#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 5
#define STATE_COUNT 1604
#define SYMBOL_COUNT 193
#define ALIAS_COUNT 7
#define TOKEN_COUNT 84
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6

enum {
  anon_sym_LF = 1,
  anon_sym_SEMI = 2,
  anon_sym_package = 3,
  anon_sym_import = 4,
  anon_sym_DOT = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_const = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  anon_sym_var = 11,
  anon_sym_func = 12,
  anon_sym_DOT_DOT_DOT = 13,
  anon_sym_type = 14,
  anon_sym_STAR = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_struct = 18,
  anon_sym_LBRACE = 19,
  anon_sym_RBRACE = 20,
  anon_sym_interface = 21,
  anon_sym_map = 22,
  anon_sym_chan = 23,
  anon_sym_LT_DASH = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PLUS_PLUS = 26,
  anon_sym_DASH_DASH = 27,
  anon_sym_STAR_EQ = 28,
  anon_sym_SLASH_EQ = 29,
  anon_sym_PERCENT_EQ = 30,
  anon_sym_LT_LT_EQ = 31,
  anon_sym_GT_GT_EQ = 32,
  anon_sym_AMP_EQ = 33,
  anon_sym_AMP_CARET_EQ = 34,
  anon_sym_PLUS_EQ = 35,
  anon_sym_DASH_EQ = 36,
  anon_sym_PIPE_EQ = 37,
  anon_sym_CARET_EQ = 38,
  anon_sym_COLON = 39,
  anon_sym_fallthrough = 40,
  anon_sym_break = 41,
  anon_sym_continue = 42,
  anon_sym_goto = 43,
  anon_sym_return = 44,
  anon_sym_go = 45,
  anon_sym_defer = 46,
  anon_sym_if = 47,
  anon_sym_else = 48,
  anon_sym_for = 49,
  anon_sym_range = 50,
  anon_sym_switch = 51,
  anon_sym_case = 52,
  sym_default_case = 53,
  anon_sym_select = 54,
  anon_sym_new = 55,
  anon_sym_make = 56,
  anon_sym_PLUS = 57,
  anon_sym_DASH = 58,
  anon_sym_BANG = 59,
  anon_sym_CARET = 60,
  anon_sym_AMP = 61,
  anon_sym_SLASH = 62,
  anon_sym_PERCENT = 63,
  anon_sym_LT_LT = 64,
  anon_sym_GT_GT = 65,
  anon_sym_AMP_CARET = 66,
  anon_sym_PIPE = 67,
  anon_sym_EQ_EQ = 68,
  anon_sym_BANG_EQ = 69,
  anon_sym_LT = 70,
  anon_sym_LT_EQ = 71,
  anon_sym_GT = 72,
  anon_sym_GT_EQ = 73,
  anon_sym_AMP_AMP = 74,
  anon_sym_PIPE_PIPE = 75,
  sym_identifier = 76,
  sym_raw_string_literal = 77,
  sym_interpreted_string_literal = 78,
  sym_int_literal = 79,
  sym_float_literal = 80,
  sym_imaginary_literal = 81,
  sym_rune_literal = 82,
  sym_comment = 83,
  sym_source_file = 84,
  sym__top_level_declaration = 85,
  sym_package_clause = 86,
  sym_import_declaration = 87,
  sym_import_spec = 88,
  sym_import_spec_list = 89,
  sym__declaration = 90,
  sym_const_declaration = 91,
  sym_const_spec = 92,
  sym_var_declaration = 93,
  sym_var_spec = 94,
  sym_function_declaration = 95,
  sym_method_declaration = 96,
  sym_parameter_list = 97,
  sym_parameter_declaration = 98,
  sym_variadic_parameter_declaration = 99,
  sym_type_alias = 100,
  sym_type_declaration = 101,
  sym_type_spec = 102,
  sym_expression_list = 103,
  sym_parenthesized_type = 104,
  sym__simple_type = 105,
  sym_pointer_type = 106,
  sym_array_type = 107,
  sym_implicit_length_array_type = 108,
  sym_slice_type = 109,
  sym_struct_type = 110,
  sym_field_declaration_list = 111,
  sym_field_declaration = 112,
  sym_interface_type = 113,
  sym_method_spec_list = 114,
  sym_method_spec = 115,
  sym_map_type = 116,
  sym_channel_type = 117,
  sym_function_type = 118,
  sym_block = 119,
  sym__statement_list = 120,
  sym__statement = 121,
  sym_empty_statement = 122,
  sym__simple_statement = 123,
  sym_send_statement = 124,
  sym_receive_statement = 125,
  sym_inc_statement = 126,
  sym_dec_statement = 127,
  sym_assignment_statement = 128,
  sym_short_var_declaration = 129,
  sym_labeled_statement = 130,
  sym_empty_labeled_statement = 131,
  sym_fallthrough_statement = 132,
  sym_break_statement = 133,
  sym_continue_statement = 134,
  sym_goto_statement = 135,
  sym_return_statement = 136,
  sym_go_statement = 137,
  sym_defer_statement = 138,
  sym_if_statement = 139,
  sym_if_initializer = 140,
  sym_else_clause = 141,
  sym_for_statement = 142,
  sym_for_clause = 143,
  sym_range_clause = 144,
  sym_expression_switch_statement = 145,
  sym_expression_case_clause = 146,
  sym_expression_case = 147,
  sym_type_switch_statement = 148,
  sym_type_switch_guard = 149,
  sym_type_case_clause = 150,
  sym_type_case = 151,
  sym_select_statement = 152,
  sym_communication_clause = 153,
  sym_communication_case = 154,
  sym__expression = 155,
  sym_parenthesized_expression = 156,
  sym_call_expression = 157,
  sym_variadic_argument = 158,
  sym_special_argument_list = 159,
  sym_argument_list = 160,
  sym_selector_expression = 161,
  sym_index_expression = 162,
  sym_slice_expression = 163,
  sym_type_assertion_expression = 164,
  sym_type_conversion_expression = 165,
  sym_composite_literal = 166,
  sym_literal_value = 167,
  sym_keyed_element = 168,
  sym_element = 169,
  sym_func_literal = 170,
  sym_unary_expression = 171,
  sym_binary_expression = 172,
  sym_qualified_type = 173,
  sym__string_literal = 174,
  aux_sym_source_file_repeat1 = 175,
  aux_sym_import_spec_list_repeat1 = 176,
  aux_sym_const_declaration_repeat1 = 177,
  aux_sym_const_spec_repeat1 = 178,
  aux_sym_var_declaration_repeat1 = 179,
  aux_sym_parameter_list_repeat1 = 180,
  aux_sym_type_declaration_repeat1 = 181,
  aux_sym_field_name_list_repeat1 = 182,
  aux_sym_expression_list_repeat1 = 183,
  aux_sym_field_declaration_list_repeat1 = 184,
  aux_sym_method_spec_list_repeat1 = 185,
  aux_sym__statement_list_repeat1 = 186,
  aux_sym_expression_switch_statement_repeat1 = 187,
  aux_sym_type_switch_statement_repeat1 = 188,
  aux_sym_type_case_repeat1 = 189,
  aux_sym_select_statement_repeat1 = 190,
  aux_sym_argument_list_repeat1 = 191,
  aux_sym_literal_value_repeat1 = 192,
  alias_sym_argument_list = 193,
  alias_sym_field_identifier = 194,
  alias_sym_identifier = 195,
  alias_sym_label_name = 196,
  alias_sym_labeled_statement = 197,
  alias_sym_package_identifier = 198,
  alias_sym_type_identifier = 199,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "END",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [sym_default_case] = "default_case",
  [anon_sym_select] = "select",
  [anon_sym_new] = "new",
  [anon_sym_make] = "make",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_identifier] = "identifier",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__top_level_declaration] = "_top_level_declaration",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_spec_list] = "method_spec_list",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "empty_labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_if_initializer] = "if_initializer",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case_clause] = "expression_case_clause",
  [sym_expression_case] = "expression_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym_type_switch_guard] = "type_switch_guard",
  [sym_type_case_clause] = "type_case_clause",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_clause] = "communication_clause",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "special_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym__string_literal] = "_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_field_name_list_repeat1] = "field_name_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_method_spec_list_repeat1] = "method_spec_list_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [alias_sym_argument_list] = "argument_list",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_identifier] = "identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_labeled_statement] = "labeled_statement",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_name_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[16][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [1] = alias_sym_package_identifier,
  },
  [2] = {
    [0] = alias_sym_package_identifier,
  },
  [3] = {
    [0] = alias_sym_type_identifier,
  },
  [4] = {
    [0] = alias_sym_identifier,
  },
  [5] = {
    [2] = alias_sym_field_identifier,
  },
  [6] = {
    [0] = alias_sym_identifier,
    [1] = alias_sym_argument_list,
  },
  [7] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_labeled_statement,
  },
  [9] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_field_identifier,
  },
  [11] = {
    [1] = alias_sym_label_name,
  },
  [12] = {
    [0] = alias_sym_label_name,
  },
  [13] = {
    [1] = alias_sym_field_identifier,
  },
  [14] = {
    [2] = alias_sym_labeled_statement,
  },
  [15] = {
    [3] = alias_sym_labeled_statement,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '!')
        ADVANCE(3);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == '*')
        ADVANCE(31);
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '-')
        ADVANCE(37);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == '/')
        ADVANCE(48);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ':')
        ADVANCE(59);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(62);
      if (lookahead == '=')
        ADVANCE(67);
      if (lookahead == '>')
        ADVANCE(69);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == ']')
        ADVANCE(74);
      if (lookahead == '^')
        ADVANCE(75);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'b')
        ADVANCE(80);
      if (lookahead == 'c')
        ADVANCE(85);
      if (lookahead == 'd')
        ADVANCE(101);
      if (lookahead == 'f')
        ADVANCE(110);
      if (lookahead == 'g')
        ADVANCE(126);
      if (lookahead == 'i')
        ADVANCE(130);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 'p')
        ADVANCE(153);
      if (lookahead == 'r')
        ADVANCE(160);
      if (lookahead == 's')
        ADVANCE(170);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == 'v')
        ADVANCE(190);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '|')
        ADVANCE(194);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(4);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 5:
      if (lookahead == '\"')
        ADVANCE(6);
      if (lookahead == '\\')
        ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(5);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(sym_interpreted_string_literal);
      END_STATE();
    case 7:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(5);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(11);
      if (lookahead == '=')
        ADVANCE(12);
      if (lookahead == '^')
        ADVANCE(13);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 15:
      if (lookahead == '\\')
        ADVANCE(16);
      if (lookahead != 0 &&
          lookahead != '\'')
        ADVANCE(17);
      END_STATE();
    case 16:
      if (lookahead == '\"')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == 'U')
        ADVANCE(19);
      if (lookahead == '\\')
        ADVANCE(17);
      if (lookahead == 'a')
        ADVANCE(17);
      if (lookahead == 'b')
        ADVANCE(17);
      if (lookahead == 'f')
        ADVANCE(17);
      if (lookahead == 'n')
        ADVANCE(17);
      if (lookahead == 'r')
        ADVANCE(17);
      if (lookahead == 't')
        ADVANCE(17);
      if (lookahead == 'u')
        ADVANCE(23);
      if (lookahead == 'v')
        ADVANCE(17);
      if (lookahead == 'x')
        ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(27);
      END_STATE();
    case 17:
      if (lookahead == '\'')
        ADVANCE(18);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 19:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(20);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(21);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(22);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(23);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(24);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(25);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(26);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(17);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(28);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(17);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(32);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(34);
      if (lookahead == '=')
        ADVANCE(35);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(38);
      if (lookahead == '=')
        ADVANCE(39);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == '.')
        ADVANCE(42);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E')
        ADVANCE(44);
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 44:
      if (lookahead == '+')
        ADVANCE(45);
      if (lookahead == '-')
        ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(46);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(46);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(46);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(49);
      if (lookahead == '/')
        ADVANCE(52);
      if (lookahead == '=')
        ADVANCE(53);
      END_STATE();
    case 49:
      if (lookahead == '*')
        ADVANCE(50);
      if (lookahead != 0)
        ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == '*')
        ADVANCE(50);
      if (lookahead == '/')
        ADVANCE(51);
      if (lookahead != 0)
        ADVANCE(49);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(52);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(43);
      if (lookahead == 'E')
        ADVANCE(44);
      if (lookahead == 'X')
        ADVANCE(55);
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(47);
      if (lookahead == 'x')
        ADVANCE(55);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(58);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_int_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '.')
        ADVANCE(43);
      if (lookahead == 'E')
        ADVANCE(44);
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(57);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(43);
      if (lookahead == 'E')
        ADVANCE(44);
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(47);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(58);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-')
        ADVANCE(63);
      if (lookahead == '<')
        ADVANCE(64);
      if (lookahead == '=')
        ADVANCE(66);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(65);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(68);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(70);
      if (lookahead == '>')
        ADVANCE(71);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(72);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 78:
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead != 0)
        ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'k')
        ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(86);
      if (lookahead == 'h')
        ADVANCE(89);
      if (lookahead == 'o')
        ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 's')
        ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_chan);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 's')
        ADVANCE(94);
      if (lookahead == 't')
        ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'i')
        ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_continue);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(102);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(104);
      if (lookahead == 'e')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'l')
        ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_default_case);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_defer);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(111);
      if (lookahead == 'o')
        ADVANCE(121);
      if (lookahead == 'u')
        ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'l')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'l')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'o')
        ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'g')
        ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_func);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'o')
        ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'o')
        ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_goto);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(131);
      if (lookahead == 'm')
        ADVANCE(132);
      if (lookahead == 'n')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'p')
        ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'o')
        ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'k')
        ADVANCE(147);
      if (lookahead == 'p')
        ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_make);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_map);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'w')
        ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'k')
        ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'g')
        ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_package);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(161);
      if (lookahead == 'e')
        ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'g')
        ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_range);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(171);
      if (lookahead == 't')
        ADVANCE(176);
      if (lookahead == 'w')
        ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'l')
        ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_select);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_struct);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'i')
        ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'y')
        ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'p')
        ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'r')
        ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '_')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(195);
      if (lookahead == '|')
        ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(43);
      if (lookahead == 'E')
        ADVANCE(44);
      if (lookahead == 'e')
        ADVANCE(44);
      if (lookahead == 'i')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      END_STATE();
    case 199:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(200);
      if (lookahead == '%')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == '*')
        ADVANCE(31);
      if (lookahead == '+')
        ADVANCE(201);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '-')
        ADVANCE(202);
      if (lookahead == '.')
        ADVANCE(203);
      if (lookahead == '/')
        ADVANCE(48);
      if (lookahead == ':')
        ADVANCE(59);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(62);
      if (lookahead == '=')
        ADVANCE(67);
      if (lookahead == '>')
        ADVANCE(69);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == ']')
        ADVANCE(74);
      if (lookahead == '^')
        ADVANCE(75);
      if (lookahead == 'c')
        ADVANCE(204);
      if (lookahead == 'd')
        ADVANCE(215);
      if (lookahead == 'f')
        ADVANCE(222);
      if (lookahead == 'i')
        ADVANCE(226);
      if (lookahead == 'p')
        ADVANCE(233);
      if (lookahead == 't')
        ADVANCE(240);
      if (lookahead == 'v')
        ADVANCE(244);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '|')
        ADVANCE(194);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(199);
      END_STATE();
    case 200:
      if (lookahead == '=')
        ADVANCE(4);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(35);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(39);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(41);
      END_STATE();
    case 204:
      if (lookahead == 'a')
        ADVANCE(205);
      if (lookahead == 'h')
        ADVANCE(208);
      if (lookahead == 'o')
        ADVANCE(211);
      END_STATE();
    case 205:
      if (lookahead == 's')
        ADVANCE(206);
      END_STATE();
    case 206:
      if (lookahead == 'e')
        ADVANCE(207);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 208:
      if (lookahead == 'a')
        ADVANCE(209);
      END_STATE();
    case 209:
      if (lookahead == 'n')
        ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 211:
      if (lookahead == 'n')
        ADVANCE(212);
      END_STATE();
    case 212:
      if (lookahead == 's')
        ADVANCE(213);
      END_STATE();
    case 213:
      if (lookahead == 't')
        ADVANCE(214);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 215:
      if (lookahead == 'e')
        ADVANCE(216);
      END_STATE();
    case 216:
      if (lookahead == 'f')
        ADVANCE(217);
      END_STATE();
    case 217:
      if (lookahead == 'a')
        ADVANCE(218);
      END_STATE();
    case 218:
      if (lookahead == 'u')
        ADVANCE(219);
      END_STATE();
    case 219:
      if (lookahead == 'l')
        ADVANCE(220);
      END_STATE();
    case 220:
      if (lookahead == 't')
        ADVANCE(221);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_default_case);
      END_STATE();
    case 222:
      if (lookahead == 'u')
        ADVANCE(223);
      END_STATE();
    case 223:
      if (lookahead == 'n')
        ADVANCE(224);
      END_STATE();
    case 224:
      if (lookahead == 'c')
        ADVANCE(225);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 226:
      if (lookahead == 'f')
        ADVANCE(227);
      if (lookahead == 'm')
        ADVANCE(228);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 228:
      if (lookahead == 'p')
        ADVANCE(229);
      END_STATE();
    case 229:
      if (lookahead == 'o')
        ADVANCE(230);
      END_STATE();
    case 230:
      if (lookahead == 'r')
        ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == 't')
        ADVANCE(232);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 233:
      if (lookahead == 'a')
        ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 'c')
        ADVANCE(235);
      END_STATE();
    case 235:
      if (lookahead == 'k')
        ADVANCE(236);
      END_STATE();
    case 236:
      if (lookahead == 'a')
        ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'g')
        ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'e')
        ADVANCE(239);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 240:
      if (lookahead == 'y')
        ADVANCE(241);
      END_STATE();
    case 241:
      if (lookahead == 'p')
        ADVANCE(242);
      END_STATE();
    case 242:
      if (lookahead == 'e')
        ADVANCE(243);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 244:
      if (lookahead == 'a')
        ADVANCE(245);
      END_STATE();
    case 245:
      if (lookahead == 'r')
        ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 247:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(247);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 250:
      if (lookahead == '*')
        ADVANCE(49);
      if (lookahead == '/')
        ADVANCE(52);
      END_STATE();
    case 251:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '!')
        ADVANCE(200);
      if (lookahead == '%')
        ADVANCE(252);
      if (lookahead == '&')
        ADVANCE(253);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(257);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(258);
      if (lookahead == '=')
        ADVANCE(67);
      if (lookahead == '>')
        ADVANCE(260);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == 'c')
        ADVANCE(263);
      if (lookahead == 'd')
        ADVANCE(215);
      if (lookahead == 'e')
        ADVANCE(264);
      if (lookahead == 'f')
        ADVANCE(222);
      if (lookahead == 'i')
        ADVANCE(268);
      if (lookahead == 'p')
        ADVANCE(233);
      if (lookahead == 't')
        ADVANCE(240);
      if (lookahead == 'v')
        ADVANCE(244);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '|')
        ADVANCE(269);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(11);
      if (lookahead == '^')
        ADVANCE(254);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(49);
      if (lookahead == '/')
        ADVANCE(52);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(259);
      if (lookahead == '=')
        ADVANCE(66);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(70);
      if (lookahead == '>')
        ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 263:
      if (lookahead == 'a')
        ADVANCE(205);
      if (lookahead == 'o')
        ADVANCE(211);
      END_STATE();
    case 264:
      if (lookahead == 'l')
        ADVANCE(265);
      END_STATE();
    case 265:
      if (lookahead == 's')
        ADVANCE(266);
      END_STATE();
    case 266:
      if (lookahead == 'e')
        ADVANCE(267);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 268:
      if (lookahead == 'm')
        ADVANCE(228);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(196);
      END_STATE();
    case 270:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(273);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(277);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 'p')
        ADVANCE(153);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == 'v')
        ADVANCE(190);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(270);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 271:
      if (lookahead == '-')
        ADVANCE(63);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(89);
      if (lookahead == 'o')
        ADVANCE(274);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(275);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 's')
        ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'u')
        ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'm')
        ADVANCE(132);
      if (lookahead == 'n')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'p')
        ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 't')
        ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 281:
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(203);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ':')
        ADVANCE(282);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == ']')
        ADVANCE(74);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(281);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'n')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 285:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(285);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 286:
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(289);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ':')
        ADVANCE(282);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == ']')
        ADVANCE(74);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(286);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 289:
      if (lookahead == '.')
        ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 290:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(263);
      if (lookahead == 'd')
        ADVANCE(215);
      if (lookahead == 'f')
        ADVANCE(222);
      if (lookahead == 'i')
        ADVANCE(268);
      if (lookahead == 'p')
        ADVANCE(233);
      if (lookahead == 't')
        ADVANCE(240);
      if (lookahead == 'v')
        ADVANCE(244);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(290);
      END_STATE();
    case 291:
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == ')')
        ADVANCE(30);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ':')
        ADVANCE(282);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == ']')
        ADVANCE(74);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(291);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 292:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(273);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(277);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 'p')
        ADVANCE(153);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == 'v')
        ADVANCE(190);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(292);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 293:
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(294);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'b')
        ADVANCE(80);
      if (lookahead == 'c')
        ADVANCE(295);
      if (lookahead == 'd')
        ADVANCE(296);
      if (lookahead == 'f')
        ADVANCE(110);
      if (lookahead == 'g')
        ADVANCE(126);
      if (lookahead == 'i')
        ADVANCE(299);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 's')
        ADVANCE(170);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == 'v')
        ADVANCE(190);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(293);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 294:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'h')
        ADVANCE(89);
      if (lookahead == 'o')
        ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(131);
      if (lookahead == 'n')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 301:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(301);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 302:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(302);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 303:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(294);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(303);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 304:
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(294);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 'r')
        ADVANCE(305);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(304);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 306:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '!')
        ADVANCE(200);
      if (lookahead == '%')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(31);
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '-')
        ADVANCE(37);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(48);
      if (lookahead == ':')
        ADVANCE(59);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(62);
      if (lookahead == '=')
        ADVANCE(67);
      if (lookahead == '>')
        ADVANCE(69);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(75);
      if (lookahead == 'c')
        ADVANCE(307);
      if (lookahead == 'd')
        ADVANCE(215);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '|')
        ADVANCE(194);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(306);
      END_STATE();
    case 307:
      if (lookahead == 'a')
        ADVANCE(205);
      END_STATE();
    case 308:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(308);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 309:
      if (lookahead == '!')
        ADVANCE(200);
      if (lookahead == '%')
        ADVANCE(8);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(31);
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '-')
        ADVANCE(37);
      if (lookahead == '.')
        ADVANCE(249);
      if (lookahead == '/')
        ADVANCE(48);
      if (lookahead == ':')
        ADVANCE(310);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(62);
      if (lookahead == '=')
        ADVANCE(67);
      if (lookahead == '>')
        ADVANCE(69);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(75);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '|')
        ADVANCE(194);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(309);
      END_STATE();
    case 310:
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 311:
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(294);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'b')
        ADVANCE(80);
      if (lookahead == 'c')
        ADVANCE(85);
      if (lookahead == 'd')
        ADVANCE(101);
      if (lookahead == 'f')
        ADVANCE(110);
      if (lookahead == 'g')
        ADVANCE(126);
      if (lookahead == 'i')
        ADVANCE(299);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 's')
        ADVANCE(170);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == 'v')
        ADVANCE(190);
      if (lookahead == '{')
        ADVANCE(193);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(311);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 312:
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(283);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == 't')
        ADVANCE(186);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 313:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(314);
      if (lookahead == 'd')
        ADVANCE(315);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(313);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'e')
        ADVANCE(316);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'f')
        ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 318:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '!')
        ADVANCE(287);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(288);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == '+')
        ADVANCE(255);
      if (lookahead == '-')
        ADVANCE(256);
      if (lookahead == '.')
        ADVANCE(294);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == '0')
        ADVANCE(54);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(262);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(319);
      if (lookahead == 'd')
        ADVANCE(315);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(145);
      if (lookahead == 'n')
        ADVANCE(150);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(318);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'a')
        ADVANCE(86);
      if (lookahead == 'h')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    case 320:
      if (lookahead == '\n')
        ADVANCE(2);
      if (lookahead == '(')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(248);
      if (lookahead == ',')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(250);
      if (lookahead == ';')
        ADVANCE(61);
      if (lookahead == '<')
        ADVANCE(271);
      if (lookahead == '=')
        ADVANCE(272);
      if (lookahead == '[')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(77);
      if (lookahead == 'c')
        ADVANCE(319);
      if (lookahead == 'd')
        ADVANCE(315);
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'i')
        ADVANCE(284);
      if (lookahead == 'm')
        ADVANCE(278);
      if (lookahead == 's')
        ADVANCE(280);
      if (lookahead == '}')
        ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(320);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(77);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 199},
  [2] = {.lex_state = 247},
  [3] = {.lex_state = 247},
  [4] = {.lex_state = 247},
  [5] = {.lex_state = 247},
  [6] = {.lex_state = 247},
  [7] = {.lex_state = 247},
  [8] = {.lex_state = 199},
  [9] = {.lex_state = 251},
  [10] = {.lex_state = 251},
  [11] = {.lex_state = 251},
  [12] = {.lex_state = 199},
  [13] = {.lex_state = 251},
  [14] = {.lex_state = 247},
  [15] = {.lex_state = 247},
  [16] = {.lex_state = 247},
  [17] = {.lex_state = 251},
  [18] = {.lex_state = 251},
  [19] = {.lex_state = 251},
  [20] = {.lex_state = 247},
  [21] = {.lex_state = 270},
  [22] = {.lex_state = 251},
  [23] = {.lex_state = 247},
  [24] = {.lex_state = 281},
  [25] = {.lex_state = 251},
  [26] = {.lex_state = 281},
  [27] = {.lex_state = 199},
  [28] = {.lex_state = 247},
  [29] = {.lex_state = 247},
  [30] = {.lex_state = 281},
  [31] = {.lex_state = 251},
  [32] = {.lex_state = 199},
  [33] = {.lex_state = 199},
  [34] = {.lex_state = 251},
  [35] = {.lex_state = 251},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 247},
  [38] = {.lex_state = 251},
  [39] = {.lex_state = 251},
  [40] = {.lex_state = 285},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 247},
  [43] = {.lex_state = 281},
  [44] = {.lex_state = 247},
  [45] = {.lex_state = 286},
  [46] = {.lex_state = 199},
  [47] = {.lex_state = 281},
  [48] = {.lex_state = 286},
  [49] = {.lex_state = 199},
  [50] = {.lex_state = 199},
  [51] = {.lex_state = 199},
  [52] = {.lex_state = 281},
  [53] = {.lex_state = 199},
  [54] = {.lex_state = 199},
  [55] = {.lex_state = 199},
  [56] = {.lex_state = 199},
  [57] = {.lex_state = 270},
  [58] = {.lex_state = 251},
  [59] = {.lex_state = 281},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 247},
  [62] = {.lex_state = 281},
  [63] = {.lex_state = 247},
  [64] = {.lex_state = 286},
  [65] = {.lex_state = 199},
  [66] = {.lex_state = 281},
  [67] = {.lex_state = 286},
  [68] = {.lex_state = 199},
  [69] = {.lex_state = 199},
  [70] = {.lex_state = 199},
  [71] = {.lex_state = 281},
  [72] = {.lex_state = 199},
  [73] = {.lex_state = 290},
  [74] = {.lex_state = 251},
  [75] = {.lex_state = 290},
  [76] = {.lex_state = 281},
  [77] = {.lex_state = 291},
  [78] = {.lex_state = 199},
  [79] = {.lex_state = 199},
  [80] = {.lex_state = 281},
  [81] = {.lex_state = 281},
  [82] = {.lex_state = 286},
  [83] = {.lex_state = 199},
  [84] = {.lex_state = 281},
  [85] = {.lex_state = 199},
  [86] = {.lex_state = 281},
  [87] = {.lex_state = 199},
  [88] = {.lex_state = 199},
  [89] = {.lex_state = 281},
  [90] = {.lex_state = 270},
  [91] = {.lex_state = 199},
  [92] = {.lex_state = 251},
  [93] = {.lex_state = 281},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 247},
  [96] = {.lex_state = 281},
  [97] = {.lex_state = 199},
  [98] = {.lex_state = 281},
  [99] = {.lex_state = 286},
  [100] = {.lex_state = 199},
  [101] = {.lex_state = 281},
  [102] = {.lex_state = 199},
  [103] = {.lex_state = 251},
  [104] = {.lex_state = 247},
  [105] = {.lex_state = 251},
  [106] = {.lex_state = 247},
  [107] = {.lex_state = 247},
  [108] = {.lex_state = 286},
  [109] = {.lex_state = 199},
  [110] = {.lex_state = 285},
  [111] = {.lex_state = 247},
  [112] = {.lex_state = 251},
  [113] = {.lex_state = 247},
  [114] = {.lex_state = 199},
  [115] = {.lex_state = 281},
  [116] = {.lex_state = 286},
  [117] = {.lex_state = 199},
  [118] = {.lex_state = 281},
  [119] = {.lex_state = 199},
  [120] = {.lex_state = 199},
  [121] = {.lex_state = 270},
  [122] = {.lex_state = 286},
  [123] = {.lex_state = 199},
  [124] = {.lex_state = 286},
  [125] = {.lex_state = 286},
  [126] = {.lex_state = 199},
  [127] = {.lex_state = 281},
  [128] = {.lex_state = 286},
  [129] = {.lex_state = 251},
  [130] = {.lex_state = 286},
  [131] = {.lex_state = 251},
  [132] = {.lex_state = 251},
  [133] = {.lex_state = 251},
  [134] = {.lex_state = 199},
  [135] = {.lex_state = 199},
  [136] = {.lex_state = 199},
  [137] = {.lex_state = 251},
  [138] = {.lex_state = 281},
  [139] = {.lex_state = 281},
  [140] = {.lex_state = 199},
  [141] = {.lex_state = 286},
  [142] = {.lex_state = 199},
  [143] = {.lex_state = 286},
  [144] = {.lex_state = 281},
  [145] = {.lex_state = 286},
  [146] = {.lex_state = 199},
  [147] = {.lex_state = 286},
  [148] = {.lex_state = 199},
  [149] = {.lex_state = 199},
  [150] = {.lex_state = 199},
  [151] = {.lex_state = 199},
  [152] = {.lex_state = 199},
  [153] = {.lex_state = 199},
  [154] = {.lex_state = 199},
  [155] = {.lex_state = 247},
  [156] = {.lex_state = 199},
  [157] = {.lex_state = 247},
  [158] = {.lex_state = 199},
  [159] = {.lex_state = 281},
  [160] = {.lex_state = 281},
  [161] = {.lex_state = 199},
  [162] = {.lex_state = 281},
  [163] = {.lex_state = 247},
  [164] = {.lex_state = 286},
  [165] = {.lex_state = 199},
  [166] = {.lex_state = 270},
  [167] = {.lex_state = 286},
  [168] = {.lex_state = 199},
  [169] = {.lex_state = 281},
  [170] = {.lex_state = 286},
  [171] = {.lex_state = 199},
  [172] = {.lex_state = 281},
  [173] = {.lex_state = 199},
  [174] = {.lex_state = 251},
  [175] = {.lex_state = 281},
  [176] = {.lex_state = 247},
  [177] = {.lex_state = 251},
  [178] = {.lex_state = 247},
  [179] = {.lex_state = 199},
  [180] = {.lex_state = 281},
  [181] = {.lex_state = 251},
  [182] = {.lex_state = 270},
  [183] = {.lex_state = 290},
  [184] = {.lex_state = 281},
  [185] = {.lex_state = 199},
  [186] = {.lex_state = 247},
  [187] = {.lex_state = 290},
  [188] = {.lex_state = 247},
  [189] = {.lex_state = 290},
  [190] = {.lex_state = 281},
  [191] = {.lex_state = 281},
  [192] = {.lex_state = 290},
  [193] = {.lex_state = 281},
  [194] = {.lex_state = 247},
  [195] = {.lex_state = 286},
  [196] = {.lex_state = 251},
  [197] = {.lex_state = 281},
  [198] = {.lex_state = 291},
  [199] = {.lex_state = 281},
  [200] = {.lex_state = 199},
  [201] = {.lex_state = 281},
  [202] = {.lex_state = 199},
  [203] = {.lex_state = 281},
  [204] = {.lex_state = 281},
  [205] = {.lex_state = 281},
  [206] = {.lex_state = 281},
  [207] = {.lex_state = 199},
  [208] = {.lex_state = 281},
  [209] = {.lex_state = 281},
  [210] = {.lex_state = 199},
  [211] = {.lex_state = 292},
  [212] = {.lex_state = 199},
  [213] = {.lex_state = 199},
  [214] = {.lex_state = 281},
  [215] = {.lex_state = 199},
  [216] = {.lex_state = 281},
  [217] = {.lex_state = 286},
  [218] = {.lex_state = 293},
  [219] = {.lex_state = 199},
  [220] = {.lex_state = 281},
  [221] = {.lex_state = 199},
  [222] = {.lex_state = 251},
  [223] = {.lex_state = 251},
  [224] = {.lex_state = 270},
  [225] = {.lex_state = 281},
  [226] = {.lex_state = 199},
  [227] = {.lex_state = 281},
  [228] = {.lex_state = 286},
  [229] = {.lex_state = 199},
  [230] = {.lex_state = 281},
  [231] = {.lex_state = 199},
  [232] = {.lex_state = 247},
  [233] = {.lex_state = 251},
  [234] = {.lex_state = 247},
  [235] = {.lex_state = 251},
  [236] = {.lex_state = 270},
  [237] = {.lex_state = 281},
  [238] = {.lex_state = 199},
  [239] = {.lex_state = 281},
  [240] = {.lex_state = 281},
  [241] = {.lex_state = 281},
  [242] = {.lex_state = 285},
  [243] = {.lex_state = 286},
  [244] = {.lex_state = 286},
  [245] = {.lex_state = 286},
  [246] = {.lex_state = 251},
  [247] = {.lex_state = 286},
  [248] = {.lex_state = 199},
  [249] = {.lex_state = 285},
  [250] = {.lex_state = 281},
  [251] = {.lex_state = 281},
  [252] = {.lex_state = 199},
  [253] = {.lex_state = 281},
  [254] = {.lex_state = 281},
  [255] = {.lex_state = 281},
  [256] = {.lex_state = 199},
  [257] = {.lex_state = 199},
  [258] = {.lex_state = 286},
  [259] = {.lex_state = 286},
  [260] = {.lex_state = 199},
  [261] = {.lex_state = 281},
  [262] = {.lex_state = 286},
  [263] = {.lex_state = 286},
  [264] = {.lex_state = 199},
  [265] = {.lex_state = 199},
  [266] = {.lex_state = 281},
  [267] = {.lex_state = 199},
  [268] = {.lex_state = 251},
  [269] = {.lex_state = 199},
  [270] = {.lex_state = 281},
  [271] = {.lex_state = 199},
  [272] = {.lex_state = 281},
  [273] = {.lex_state = 199},
  [274] = {.lex_state = 281},
  [275] = {.lex_state = 286},
  [276] = {.lex_state = 199},
  [277] = {.lex_state = 281},
  [278] = {.lex_state = 281},
  [279] = {.lex_state = 281},
  [280] = {.lex_state = 251},
  [281] = {.lex_state = 286},
  [282] = {.lex_state = 251},
  [283] = {.lex_state = 286},
  [284] = {.lex_state = 251},
  [285] = {.lex_state = 247},
  [286] = {.lex_state = 286},
  [287] = {.lex_state = 286},
  [288] = {.lex_state = 286},
  [289] = {.lex_state = 286},
  [290] = {.lex_state = 286},
  [291] = {.lex_state = 286},
  [292] = {.lex_state = 286},
  [293] = {.lex_state = 286},
  [294] = {.lex_state = 251},
  [295] = {.lex_state = 251},
  [296] = {.lex_state = 281},
  [297] = {.lex_state = 199},
  [298] = {.lex_state = 199},
  [299] = {.lex_state = 199},
  [300] = {.lex_state = 199},
  [301] = {.lex_state = 281},
  [302] = {.lex_state = 199},
  [303] = {.lex_state = 199},
  [304] = {.lex_state = 281},
  [305] = {.lex_state = 199},
  [306] = {.lex_state = 286},
  [307] = {.lex_state = 199},
  [308] = {.lex_state = 286},
  [309] = {.lex_state = 199},
  [310] = {.lex_state = 247},
  [311] = {.lex_state = 286},
  [312] = {.lex_state = 286},
  [313] = {.lex_state = 286},
  [314] = {.lex_state = 281},
  [315] = {.lex_state = 286},
  [316] = {.lex_state = 286},
  [317] = {.lex_state = 286},
  [318] = {.lex_state = 286},
  [319] = {.lex_state = 199},
  [320] = {.lex_state = 247},
  [321] = {.lex_state = 199},
  [322] = {.lex_state = 301},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 301},
  [325] = {.lex_state = 199},
  [326] = {.lex_state = 251},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 199},
  [329] = {.lex_state = 281},
  [330] = {.lex_state = 286},
  [331] = {.lex_state = 199},
  [332] = {.lex_state = 281},
  [333] = {.lex_state = 199},
  [334] = {.lex_state = 199},
  [335] = {.lex_state = 281},
  [336] = {.lex_state = 199},
  [337] = {.lex_state = 199},
  [338] = {.lex_state = 251},
  [339] = {.lex_state = 286},
  [340] = {.lex_state = 281},
  [341] = {.lex_state = 285},
  [342] = {.lex_state = 281},
  [343] = {.lex_state = 199},
  [344] = {.lex_state = 281},
  [345] = {.lex_state = 281},
  [346] = {.lex_state = 281},
  [347] = {.lex_state = 286},
  [348] = {.lex_state = 251},
  [349] = {.lex_state = 290},
  [350] = {.lex_state = 290},
  [351] = {.lex_state = 290},
  [352] = {.lex_state = 281},
  [353] = {.lex_state = 290},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 290},
  [356] = {.lex_state = 251},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 199},
  [359] = {.lex_state = 281},
  [360] = {.lex_state = 290},
  [361] = {.lex_state = 290},
  [362] = {.lex_state = 251},
  [363] = {.lex_state = 286},
  [364] = {.lex_state = 281},
  [365] = {.lex_state = 199},
  [366] = {.lex_state = 281},
  [367] = {.lex_state = 199},
  [368] = {.lex_state = 199},
  [369] = {.lex_state = 281},
  [370] = {.lex_state = 291},
  [371] = {.lex_state = 199},
  [372] = {.lex_state = 281},
  [373] = {.lex_state = 199},
  [374] = {.lex_state = 292},
  [375] = {.lex_state = 281},
  [376] = {.lex_state = 199},
  [377] = {.lex_state = 251},
  [378] = {.lex_state = 199},
  [379] = {.lex_state = 199},
  [380] = {.lex_state = 270},
  [381] = {.lex_state = 281},
  [382] = {.lex_state = 199},
  [383] = {.lex_state = 251},
  [384] = {.lex_state = 286},
  [385] = {.lex_state = 247},
  [386] = {.lex_state = 247},
  [387] = {.lex_state = 199},
  [388] = {.lex_state = 247},
  [389] = {.lex_state = 286},
  [390] = {.lex_state = 251},
  [391] = {.lex_state = 286},
  [392] = {.lex_state = 251},
  [393] = {.lex_state = 302},
  [394] = {.lex_state = 302},
  [395] = {.lex_state = 247},
  [396] = {.lex_state = 303},
  [397] = {.lex_state = 286},
  [398] = {.lex_state = 286},
  [399] = {.lex_state = 286},
  [400] = {.lex_state = 304},
  [401] = {.lex_state = 286},
  [402] = {.lex_state = 199},
  [403] = {.lex_state = 306},
  [404] = {.lex_state = 286},
  [405] = {.lex_state = 306},
  [406] = {.lex_state = 306},
  [407] = {.lex_state = 306},
  [408] = {.lex_state = 251},
  [409] = {.lex_state = 199},
  [410] = {.lex_state = 199},
  [411] = {.lex_state = 199},
  [412] = {.lex_state = 199},
  [413] = {.lex_state = 199},
  [414] = {.lex_state = 0},
  [415] = {.lex_state = 251},
  [416] = {.lex_state = 199},
  [417] = {.lex_state = 306},
  [418] = {.lex_state = 281},
  [419] = {.lex_state = 281},
  [420] = {.lex_state = 281},
  [421] = {.lex_state = 251},
  [422] = {.lex_state = 251},
  [423] = {.lex_state = 251},
  [424] = {.lex_state = 285},
  [425] = {.lex_state = 281},
  [426] = {.lex_state = 199},
  [427] = {.lex_state = 281},
  [428] = {.lex_state = 281},
  [429] = {.lex_state = 281},
  [430] = {.lex_state = 281},
  [431] = {.lex_state = 199},
  [432] = {.lex_state = 281},
  [433] = {.lex_state = 286},
  [434] = {.lex_state = 286},
  [435] = {.lex_state = 286},
  [436] = {.lex_state = 286},
  [437] = {.lex_state = 286},
  [438] = {.lex_state = 286},
  [439] = {.lex_state = 251},
  [440] = {.lex_state = 286},
  [441] = {.lex_state = 281},
  [442] = {.lex_state = 199},
  [443] = {.lex_state = 281},
  [444] = {.lex_state = 281},
  [445] = {.lex_state = 281},
  [446] = {.lex_state = 199},
  [447] = {.lex_state = 281},
  [448] = {.lex_state = 199},
  [449] = {.lex_state = 281},
  [450] = {.lex_state = 286},
  [451] = {.lex_state = 199},
  [452] = {.lex_state = 281},
  [453] = {.lex_state = 286},
  [454] = {.lex_state = 281},
  [455] = {.lex_state = 286},
  [456] = {.lex_state = 199},
  [457] = {.lex_state = 251},
  [458] = {.lex_state = 286},
  [459] = {.lex_state = 286},
  [460] = {.lex_state = 286},
  [461] = {.lex_state = 286},
  [462] = {.lex_state = 286},
  [463] = {.lex_state = 199},
  [464] = {.lex_state = 281},
  [465] = {.lex_state = 286},
  [466] = {.lex_state = 281},
  [467] = {.lex_state = 199},
  [468] = {.lex_state = 199},
  [469] = {.lex_state = 251},
  [470] = {.lex_state = 281},
  [471] = {.lex_state = 281},
  [472] = {.lex_state = 199},
  [473] = {.lex_state = 281},
  [474] = {.lex_state = 199},
  [475] = {.lex_state = 281},
  [476] = {.lex_state = 199},
  [477] = {.lex_state = 281},
  [478] = {.lex_state = 199},
  [479] = {.lex_state = 286},
  [480] = {.lex_state = 251},
  [481] = {.lex_state = 286},
  [482] = {.lex_state = 286},
  [483] = {.lex_state = 199},
  [484] = {.lex_state = 199},
  [485] = {.lex_state = 199},
  [486] = {.lex_state = 199},
  [487] = {.lex_state = 286},
  [488] = {.lex_state = 286},
  [489] = {.lex_state = 286},
  [490] = {.lex_state = 199},
  [491] = {.lex_state = 281},
  [492] = {.lex_state = 251},
  [493] = {.lex_state = 251},
  [494] = {.lex_state = 286},
  [495] = {.lex_state = 286},
  [496] = {.lex_state = 286},
  [497] = {.lex_state = 199},
  [498] = {.lex_state = 199},
  [499] = {.lex_state = 251},
  [500] = {.lex_state = 251},
  [501] = {.lex_state = 286},
  [502] = {.lex_state = 286},
  [503] = {.lex_state = 286},
  [504] = {.lex_state = 286},
  [505] = {.lex_state = 199},
  [506] = {.lex_state = 251},
  [507] = {.lex_state = 251},
  [508] = {.lex_state = 251},
  [509] = {.lex_state = 251},
  [510] = {.lex_state = 251},
  [511] = {.lex_state = 281},
  [512] = {.lex_state = 281},
  [513] = {.lex_state = 199},
  [514] = {.lex_state = 199},
  [515] = {.lex_state = 293},
  [516] = {.lex_state = 199},
  [517] = {.lex_state = 199},
  [518] = {.lex_state = 199},
  [519] = {.lex_state = 199},
  [520] = {.lex_state = 199},
  [521] = {.lex_state = 199},
  [522] = {.lex_state = 281},
  [523] = {.lex_state = 199},
  [524] = {.lex_state = 199},
  [525] = {.lex_state = 199},
  [526] = {.lex_state = 199},
  [527] = {.lex_state = 199},
  [528] = {.lex_state = 286},
  [529] = {.lex_state = 199},
  [530] = {.lex_state = 199},
  [531] = {.lex_state = 199},
  [532] = {.lex_state = 199},
  [533] = {.lex_state = 199},
  [534] = {.lex_state = 199},
  [535] = {.lex_state = 301},
  [536] = {.lex_state = 301},
  [537] = {.lex_state = 247},
  [538] = {.lex_state = 199},
  [539] = {.lex_state = 281},
  [540] = {.lex_state = 286},
  [541] = {.lex_state = 199},
  [542] = {.lex_state = 281},
  [543] = {.lex_state = 199},
  [544] = {.lex_state = 301},
  [545] = {.lex_state = 0},
  [546] = {.lex_state = 281},
  [547] = {.lex_state = 247},
  [548] = {.lex_state = 199},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 0},
  [551] = {.lex_state = 247},
  [552] = {.lex_state = 199},
  [553] = {.lex_state = 285},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 247},
  [556] = {.lex_state = 199},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 281},
  [559] = {.lex_state = 281},
  [560] = {.lex_state = 199},
  [561] = {.lex_state = 281},
  [562] = {.lex_state = 281},
  [563] = {.lex_state = 281},
  [564] = {.lex_state = 281},
  [565] = {.lex_state = 251},
  [566] = {.lex_state = 308},
  [567] = {.lex_state = 199},
  [568] = {.lex_state = 199},
  [569] = {.lex_state = 281},
  [570] = {.lex_state = 199},
  [571] = {.lex_state = 281},
  [572] = {.lex_state = 286},
  [573] = {.lex_state = 290},
  [574] = {.lex_state = 247},
  [575] = {.lex_state = 290},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 247},
  [578] = {.lex_state = 290},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 247},
  [581] = {.lex_state = 290},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 281},
  [584] = {.lex_state = 251},
  [585] = {.lex_state = 281},
  [586] = {.lex_state = 291},
  [587] = {.lex_state = 281},
  [588] = {.lex_state = 292},
  [589] = {.lex_state = 281},
  [590] = {.lex_state = 251},
  [591] = {.lex_state = 281},
  [592] = {.lex_state = 199},
  [593] = {.lex_state = 281},
  [594] = {.lex_state = 199},
  [595] = {.lex_state = 285},
  [596] = {.lex_state = 281},
  [597] = {.lex_state = 281},
  [598] = {.lex_state = 281},
  [599] = {.lex_state = 306},
  [600] = {.lex_state = 306},
  [601] = {.lex_state = 251},
  [602] = {.lex_state = 251},
  [603] = {.lex_state = 251},
  [604] = {.lex_state = 286},
  [605] = {.lex_state = 286},
  [606] = {.lex_state = 286},
  [607] = {.lex_state = 251},
  [608] = {.lex_state = 251},
  [609] = {.lex_state = 286},
  [610] = {.lex_state = 286},
  [611] = {.lex_state = 286},
  [612] = {.lex_state = 251},
  [613] = {.lex_state = 251},
  [614] = {.lex_state = 286},
  [615] = {.lex_state = 199},
  [616] = {.lex_state = 286},
  [617] = {.lex_state = 286},
  [618] = {.lex_state = 309},
  [619] = {.lex_state = 286},
  [620] = {.lex_state = 309},
  [621] = {.lex_state = 309},
  [622] = {.lex_state = 309},
  [623] = {.lex_state = 199},
  [624] = {.lex_state = 199},
  [625] = {.lex_state = 199},
  [626] = {.lex_state = 199},
  [627] = {.lex_state = 199},
  [628] = {.lex_state = 199},
  [629] = {.lex_state = 286},
  [630] = {.lex_state = 309},
  [631] = {.lex_state = 286},
  [632] = {.lex_state = 286},
  [633] = {.lex_state = 199},
  [634] = {.lex_state = 251},
  [635] = {.lex_state = 199},
  [636] = {.lex_state = 199},
  [637] = {.lex_state = 309},
  [638] = {.lex_state = 199},
  [639] = {.lex_state = 199},
  [640] = {.lex_state = 199},
  [641] = {.lex_state = 199},
  [642] = {.lex_state = 309},
  [643] = {.lex_state = 199},
  [644] = {.lex_state = 281},
  [645] = {.lex_state = 306},
  [646] = {.lex_state = 286},
  [647] = {.lex_state = 293},
  [648] = {.lex_state = 306},
  [649] = {.lex_state = 286},
  [650] = {.lex_state = 286},
  [651] = {.lex_state = 286},
  [652] = {.lex_state = 306},
  [653] = {.lex_state = 251},
  [654] = {.lex_state = 293},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 247},
  [657] = {.lex_state = 286},
  [658] = {.lex_state = 286},
  [659] = {.lex_state = 286},
  [660] = {.lex_state = 286},
  [661] = {.lex_state = 286},
  [662] = {.lex_state = 251},
  [663] = {.lex_state = 251},
  [664] = {.lex_state = 286},
  [665] = {.lex_state = 286},
  [666] = {.lex_state = 286},
  [667] = {.lex_state = 286},
  [668] = {.lex_state = 306},
  [669] = {.lex_state = 199},
  [670] = {.lex_state = 199},
  [671] = {.lex_state = 281},
  [672] = {.lex_state = 251},
  [673] = {.lex_state = 281},
  [674] = {.lex_state = 199},
  [675] = {.lex_state = 281},
  [676] = {.lex_state = 281},
  [677] = {.lex_state = 251},
  [678] = {.lex_state = 251},
  [679] = {.lex_state = 251},
  [680] = {.lex_state = 251},
  [681] = {.lex_state = 251},
  [682] = {.lex_state = 251},
  [683] = {.lex_state = 281},
  [684] = {.lex_state = 199},
  [685] = {.lex_state = 281},
  [686] = {.lex_state = 286},
  [687] = {.lex_state = 281},
  [688] = {.lex_state = 199},
  [689] = {.lex_state = 281},
  [690] = {.lex_state = 199},
  [691] = {.lex_state = 281},
  [692] = {.lex_state = 199},
  [693] = {.lex_state = 281},
  [694] = {.lex_state = 199},
  [695] = {.lex_state = 281},
  [696] = {.lex_state = 281},
  [697] = {.lex_state = 281},
  [698] = {.lex_state = 199},
  [699] = {.lex_state = 199},
  [700] = {.lex_state = 199},
  [701] = {.lex_state = 199},
  [702] = {.lex_state = 281},
  [703] = {.lex_state = 281},
  [704] = {.lex_state = 281},
  [705] = {.lex_state = 251},
  [706] = {.lex_state = 199},
  [707] = {.lex_state = 281},
  [708] = {.lex_state = 286},
  [709] = {.lex_state = 199},
  [710] = {.lex_state = 281},
  [711] = {.lex_state = 199},
  [712] = {.lex_state = 199},
  [713] = {.lex_state = 281},
  [714] = {.lex_state = 281},
  [715] = {.lex_state = 281},
  [716] = {.lex_state = 199},
  [717] = {.lex_state = 251},
  [718] = {.lex_state = 286},
  [719] = {.lex_state = 199},
  [720] = {.lex_state = 286},
  [721] = {.lex_state = 286},
  [722] = {.lex_state = 286},
  [723] = {.lex_state = 286},
  [724] = {.lex_state = 286},
  [725] = {.lex_state = 286},
  [726] = {.lex_state = 286},
  [727] = {.lex_state = 286},
  [728] = {.lex_state = 251},
  [729] = {.lex_state = 199},
  [730] = {.lex_state = 251},
  [731] = {.lex_state = 199},
  [732] = {.lex_state = 286},
  [733] = {.lex_state = 286},
  [734] = {.lex_state = 286},
  [735] = {.lex_state = 286},
  [736] = {.lex_state = 286},
  [737] = {.lex_state = 199},
  [738] = {.lex_state = 251},
  [739] = {.lex_state = 286},
  [740] = {.lex_state = 199},
  [741] = {.lex_state = 286},
  [742] = {.lex_state = 286},
  [743] = {.lex_state = 286},
  [744] = {.lex_state = 286},
  [745] = {.lex_state = 286},
  [746] = {.lex_state = 199},
  [747] = {.lex_state = 251},
  [748] = {.lex_state = 199},
  [749] = {.lex_state = 286},
  [750] = {.lex_state = 251},
  [751] = {.lex_state = 286},
  [752] = {.lex_state = 286},
  [753] = {.lex_state = 286},
  [754] = {.lex_state = 286},
  [755] = {.lex_state = 286},
  [756] = {.lex_state = 281},
  [757] = {.lex_state = 281},
  [758] = {.lex_state = 199},
  [759] = {.lex_state = 199},
  [760] = {.lex_state = 199},
  [761] = {.lex_state = 199},
  [762] = {.lex_state = 286},
  [763] = {.lex_state = 199},
  [764] = {.lex_state = 286},
  [765] = {.lex_state = 199},
  [766] = {.lex_state = 199},
  [767] = {.lex_state = 199},
  [768] = {.lex_state = 199},
  [769] = {.lex_state = 199},
  [770] = {.lex_state = 199},
  [771] = {.lex_state = 286},
  [772] = {.lex_state = 199},
  [773] = {.lex_state = 199},
  [774] = {.lex_state = 199},
  [775] = {.lex_state = 199},
  [776] = {.lex_state = 286},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 281},
  [780] = {.lex_state = 301},
  [781] = {.lex_state = 281},
  [782] = {.lex_state = 199},
  [783] = {.lex_state = 281},
  [784] = {.lex_state = 281},
  [785] = {.lex_state = 281},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 301},
  [788] = {.lex_state = 281},
  [789] = {.lex_state = 199},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 247},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 199},
  [794] = {.lex_state = 251},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 199},
  [797] = {.lex_state = 281},
  [798] = {.lex_state = 286},
  [799] = {.lex_state = 199},
  [800] = {.lex_state = 281},
  [801] = {.lex_state = 199},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 247},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 199},
  [806] = {.lex_state = 247},
  [807] = {.lex_state = 281},
  [808] = {.lex_state = 199},
  [809] = {.lex_state = 281},
  [810] = {.lex_state = 199},
  [811] = {.lex_state = 308},
  [812] = {.lex_state = 281},
  [813] = {.lex_state = 199},
  [814] = {.lex_state = 281},
  [815] = {.lex_state = 290},
  [816] = {.lex_state = 247},
  [817] = {.lex_state = 290},
  [818] = {.lex_state = 247},
  [819] = {.lex_state = 290},
  [820] = {.lex_state = 247},
  [821] = {.lex_state = 290},
  [822] = {.lex_state = 292},
  [823] = {.lex_state = 251},
  [824] = {.lex_state = 281},
  [825] = {.lex_state = 306},
  [826] = {.lex_state = 286},
  [827] = {.lex_state = 199},
  [828] = {.lex_state = 285},
  [829] = {.lex_state = 286},
  [830] = {.lex_state = 199},
  [831] = {.lex_state = 281},
  [832] = {.lex_state = 286},
  [833] = {.lex_state = 199},
  [834] = {.lex_state = 281},
  [835] = {.lex_state = 199},
  [836] = {.lex_state = 251},
  [837] = {.lex_state = 281},
  [838] = {.lex_state = 293},
  [839] = {.lex_state = 199},
  [840] = {.lex_state = 306},
  [841] = {.lex_state = 281},
  [842] = {.lex_state = 286},
  [843] = {.lex_state = 286},
  [844] = {.lex_state = 286},
  [845] = {.lex_state = 286},
  [846] = {.lex_state = 286},
  [847] = {.lex_state = 286},
  [848] = {.lex_state = 251},
  [849] = {.lex_state = 286},
  [850] = {.lex_state = 286},
  [851] = {.lex_state = 286},
  [852] = {.lex_state = 286},
  [853] = {.lex_state = 286},
  [854] = {.lex_state = 199},
  [855] = {.lex_state = 281},
  [856] = {.lex_state = 309},
  [857] = {.lex_state = 281},
  [858] = {.lex_state = 309},
  [859] = {.lex_state = 286},
  [860] = {.lex_state = 309},
  [861] = {.lex_state = 286},
  [862] = {.lex_state = 286},
  [863] = {.lex_state = 286},
  [864] = {.lex_state = 309},
  [865] = {.lex_state = 286},
  [866] = {.lex_state = 286},
  [867] = {.lex_state = 286},
  [868] = {.lex_state = 286},
  [869] = {.lex_state = 199},
  [870] = {.lex_state = 199},
  [871] = {.lex_state = 247},
  [872] = {.lex_state = 286},
  [873] = {.lex_state = 286},
  [874] = {.lex_state = 286},
  [875] = {.lex_state = 286},
  [876] = {.lex_state = 199},
  [877] = {.lex_state = 199},
  [878] = {.lex_state = 286},
  [879] = {.lex_state = 286},
  [880] = {.lex_state = 286},
  [881] = {.lex_state = 286},
  [882] = {.lex_state = 251},
  [883] = {.lex_state = 309},
  [884] = {.lex_state = 286},
  [885] = {.lex_state = 286},
  [886] = {.lex_state = 286},
  [887] = {.lex_state = 286},
  [888] = {.lex_state = 199},
  [889] = {.lex_state = 199},
  [890] = {.lex_state = 304},
  [891] = {.lex_state = 304},
  [892] = {.lex_state = 286},
  [893] = {.lex_state = 251},
  [894] = {.lex_state = 251},
  [895] = {.lex_state = 286},
  [896] = {.lex_state = 199},
  [897] = {.lex_state = 199},
  [898] = {.lex_state = 199},
  [899] = {.lex_state = 286},
  [900] = {.lex_state = 286},
  [901] = {.lex_state = 199},
  [902] = {.lex_state = 247},
  [903] = {.lex_state = 199},
  [904] = {.lex_state = 251},
  [905] = {.lex_state = 286},
  [906] = {.lex_state = 199},
  [907] = {.lex_state = 199},
  [908] = {.lex_state = 199},
  [909] = {.lex_state = 199},
  [910] = {.lex_state = 306},
  [911] = {.lex_state = 199},
  [912] = {.lex_state = 306},
  [913] = {.lex_state = 251},
  [914] = {.lex_state = 251},
  [915] = {.lex_state = 251},
  [916] = {.lex_state = 199},
  [917] = {.lex_state = 251},
  [918] = {.lex_state = 199},
  [919] = {.lex_state = 293},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 281},
  [922] = {.lex_state = 306},
  [923] = {.lex_state = 306},
  [924] = {.lex_state = 199},
  [925] = {.lex_state = 199},
  [926] = {.lex_state = 286},
  [927] = {.lex_state = 286},
  [928] = {.lex_state = 286},
  [929] = {.lex_state = 199},
  [930] = {.lex_state = 306},
  [931] = {.lex_state = 286},
  [932] = {.lex_state = 199},
  [933] = {.lex_state = 251},
  [934] = {.lex_state = 306},
  [935] = {.lex_state = 306},
  [936] = {.lex_state = 306},
  [937] = {.lex_state = 306},
  [938] = {.lex_state = 199},
  [939] = {.lex_state = 281},
  [940] = {.lex_state = 281},
  [941] = {.lex_state = 281},
  [942] = {.lex_state = 281},
  [943] = {.lex_state = 281},
  [944] = {.lex_state = 281},
  [945] = {.lex_state = 281},
  [946] = {.lex_state = 281},
  [947] = {.lex_state = 199},
  [948] = {.lex_state = 281},
  [949] = {.lex_state = 281},
  [950] = {.lex_state = 281},
  [951] = {.lex_state = 199},
  [952] = {.lex_state = 281},
  [953] = {.lex_state = 281},
  [954] = {.lex_state = 281},
  [955] = {.lex_state = 281},
  [956] = {.lex_state = 251},
  [957] = {.lex_state = 199},
  [958] = {.lex_state = 286},
  [959] = {.lex_state = 199},
  [960] = {.lex_state = 286},
  [961] = {.lex_state = 286},
  [962] = {.lex_state = 286},
  [963] = {.lex_state = 199},
  [964] = {.lex_state = 199},
  [965] = {.lex_state = 199},
  [966] = {.lex_state = 199},
  [967] = {.lex_state = 199},
  [968] = {.lex_state = 199},
  [969] = {.lex_state = 199},
  [970] = {.lex_state = 199},
  [971] = {.lex_state = 251},
  [972] = {.lex_state = 199},
  [973] = {.lex_state = 286},
  [974] = {.lex_state = 199},
  [975] = {.lex_state = 251},
  [976] = {.lex_state = 199},
  [977] = {.lex_state = 199},
  [978] = {.lex_state = 199},
  [979] = {.lex_state = 199},
  [980] = {.lex_state = 251},
  [981] = {.lex_state = 251},
  [982] = {.lex_state = 199},
  [983] = {.lex_state = 199},
  [984] = {.lex_state = 199},
  [985] = {.lex_state = 199},
  [986] = {.lex_state = 199},
  [987] = {.lex_state = 199},
  [988] = {.lex_state = 286},
  [989] = {.lex_state = 199},
  [990] = {.lex_state = 251},
  [991] = {.lex_state = 286},
  [992] = {.lex_state = 199},
  [993] = {.lex_state = 199},
  [994] = {.lex_state = 199},
  [995] = {.lex_state = 199},
  [996] = {.lex_state = 199},
  [997] = {.lex_state = 281},
  [998] = {.lex_state = 199},
  [999] = {.lex_state = 199},
  [1000] = {.lex_state = 286},
  [1001] = {.lex_state = 199},
  [1002] = {.lex_state = 286},
  [1003] = {.lex_state = 199},
  [1004] = {.lex_state = 199},
  [1005] = {.lex_state = 199},
  [1006] = {.lex_state = 286},
  [1007] = {.lex_state = 199},
  [1008] = {.lex_state = 286},
  [1009] = {.lex_state = 199},
  [1010] = {.lex_state = 281},
  [1011] = {.lex_state = 199},
  [1012] = {.lex_state = 281},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 199},
  [1015] = {.lex_state = 247},
  [1016] = {.lex_state = 285},
  [1017] = {.lex_state = 281},
  [1018] = {.lex_state = 199},
  [1019] = {.lex_state = 281},
  [1020] = {.lex_state = 281},
  [1021] = {.lex_state = 281},
  [1022] = {.lex_state = 199},
  [1023] = {.lex_state = 247},
  [1024] = {.lex_state = 199},
  [1025] = {.lex_state = 281},
  [1026] = {.lex_state = 308},
  [1027] = {.lex_state = 281},
  [1028] = {.lex_state = 290},
  [1029] = {.lex_state = 290},
  [1030] = {.lex_state = 290},
  [1031] = {.lex_state = 251},
  [1032] = {.lex_state = 286},
  [1033] = {.lex_state = 199},
  [1034] = {.lex_state = 285},
  [1035] = {.lex_state = 285},
  [1036] = {.lex_state = 281},
  [1037] = {.lex_state = 199},
  [1038] = {.lex_state = 281},
  [1039] = {.lex_state = 281},
  [1040] = {.lex_state = 281},
  [1041] = {.lex_state = 286},
  [1042] = {.lex_state = 251},
  [1043] = {.lex_state = 306},
  [1044] = {.lex_state = 199},
  [1045] = {.lex_state = 306},
  [1046] = {.lex_state = 251},
  [1047] = {.lex_state = 251},
  [1048] = {.lex_state = 251},
  [1049] = {.lex_state = 251},
  [1050] = {.lex_state = 251},
  [1051] = {.lex_state = 251},
  [1052] = {.lex_state = 251},
  [1053] = {.lex_state = 251},
  [1054] = {.lex_state = 251},
  [1055] = {.lex_state = 251},
  [1056] = {.lex_state = 309},
  [1057] = {.lex_state = 293},
  [1058] = {.lex_state = 199},
  [1059] = {.lex_state = 309},
  [1060] = {.lex_state = 199},
  [1061] = {.lex_state = 309},
  [1062] = {.lex_state = 199},
  [1063] = {.lex_state = 286},
  [1064] = {.lex_state = 286},
  [1065] = {.lex_state = 286},
  [1066] = {.lex_state = 199},
  [1067] = {.lex_state = 199},
  [1068] = {.lex_state = 199},
  [1069] = {.lex_state = 199},
  [1070] = {.lex_state = 286},
  [1071] = {.lex_state = 286},
  [1072] = {.lex_state = 286},
  [1073] = {.lex_state = 286},
  [1074] = {.lex_state = 286},
  [1075] = {.lex_state = 251},
  [1076] = {.lex_state = 281},
  [1077] = {.lex_state = 309},
  [1078] = {.lex_state = 309},
  [1079] = {.lex_state = 199},
  [1080] = {.lex_state = 199},
  [1081] = {.lex_state = 309},
  [1082] = {.lex_state = 286},
  [1083] = {.lex_state = 199},
  [1084] = {.lex_state = 199},
  [1085] = {.lex_state = 309},
  [1086] = {.lex_state = 309},
  [1087] = {.lex_state = 309},
  [1088] = {.lex_state = 309},
  [1089] = {.lex_state = 199},
  [1090] = {.lex_state = 251},
  [1091] = {.lex_state = 286},
  [1092] = {.lex_state = 286},
  [1093] = {.lex_state = 286},
  [1094] = {.lex_state = 199},
  [1095] = {.lex_state = 199},
  [1096] = {.lex_state = 309},
  [1097] = {.lex_state = 286},
  [1098] = {.lex_state = 286},
  [1099] = {.lex_state = 286},
  [1100] = {.lex_state = 286},
  [1101] = {.lex_state = 286},
  [1102] = {.lex_state = 286},
  [1103] = {.lex_state = 286},
  [1104] = {.lex_state = 199},
  [1105] = {.lex_state = 286},
  [1106] = {.lex_state = 286},
  [1107] = {.lex_state = 286},
  [1108] = {.lex_state = 199},
  [1109] = {.lex_state = 199},
  [1110] = {.lex_state = 311},
  [1111] = {.lex_state = 251},
  [1112] = {.lex_state = 199},
  [1113] = {.lex_state = 199},
  [1114] = {.lex_state = 286},
  [1115] = {.lex_state = 199},
  [1116] = {.lex_state = 286},
  [1117] = {.lex_state = 286},
  [1118] = {.lex_state = 199},
  [1119] = {.lex_state = 199},
  [1120] = {.lex_state = 199},
  [1121] = {.lex_state = 251},
  [1122] = {.lex_state = 281},
  [1123] = {.lex_state = 199},
  [1124] = {.lex_state = 199},
  [1125] = {.lex_state = 199},
  [1126] = {.lex_state = 312},
  [1127] = {.lex_state = 199},
  [1128] = {.lex_state = 286},
  [1129] = {.lex_state = 286},
  [1130] = {.lex_state = 286},
  [1131] = {.lex_state = 199},
  [1132] = {.lex_state = 199},
  [1133] = {.lex_state = 199},
  [1134] = {.lex_state = 311},
  [1135] = {.lex_state = 251},
  [1136] = {.lex_state = 199},
  [1137] = {.lex_state = 306},
  [1138] = {.lex_state = 286},
  [1139] = {.lex_state = 199},
  [1140] = {.lex_state = 286},
  [1141] = {.lex_state = 306},
  [1142] = {.lex_state = 199},
  [1143] = {.lex_state = 293},
  [1144] = {.lex_state = 306},
  [1145] = {.lex_state = 199},
  [1146] = {.lex_state = 199},
  [1147] = {.lex_state = 293},
  [1148] = {.lex_state = 199},
  [1149] = {.lex_state = 306},
  [1150] = {.lex_state = 286},
  [1151] = {.lex_state = 199},
  [1152] = {.lex_state = 286},
  [1153] = {.lex_state = 286},
  [1154] = {.lex_state = 286},
  [1155] = {.lex_state = 286},
  [1156] = {.lex_state = 286},
  [1157] = {.lex_state = 306},
  [1158] = {.lex_state = 199},
  [1159] = {.lex_state = 306},
  [1160] = {.lex_state = 286},
  [1161] = {.lex_state = 281},
  [1162] = {.lex_state = 281},
  [1163] = {.lex_state = 281},
  [1164] = {.lex_state = 199},
  [1165] = {.lex_state = 281},
  [1166] = {.lex_state = 251},
  [1167] = {.lex_state = 286},
  [1168] = {.lex_state = 286},
  [1169] = {.lex_state = 286},
  [1170] = {.lex_state = 286},
  [1171] = {.lex_state = 286},
  [1172] = {.lex_state = 286},
  [1173] = {.lex_state = 251},
  [1174] = {.lex_state = 286},
  [1175] = {.lex_state = 251},
  [1176] = {.lex_state = 286},
  [1177] = {.lex_state = 199},
  [1178] = {.lex_state = 251},
  [1179] = {.lex_state = 286},
  [1180] = {.lex_state = 199},
  [1181] = {.lex_state = 199},
  [1182] = {.lex_state = 199},
  [1183] = {.lex_state = 199},
  [1184] = {.lex_state = 199},
  [1185] = {.lex_state = 286},
  [1186] = {.lex_state = 281},
  [1187] = {.lex_state = 281},
  [1188] = {.lex_state = 199},
  [1189] = {.lex_state = 281},
  [1190] = {.lex_state = 308},
  [1191] = {.lex_state = 286},
  [1192] = {.lex_state = 281},
  [1193] = {.lex_state = 199},
  [1194] = {.lex_state = 281},
  [1195] = {.lex_state = 286},
  [1196] = {.lex_state = 306},
  [1197] = {.lex_state = 309},
  [1198] = {.lex_state = 199},
  [1199] = {.lex_state = 309},
  [1200] = {.lex_state = 309},
  [1201] = {.lex_state = 286},
  [1202] = {.lex_state = 199},
  [1203] = {.lex_state = 286},
  [1204] = {.lex_state = 309},
  [1205] = {.lex_state = 199},
  [1206] = {.lex_state = 286},
  [1207] = {.lex_state = 286},
  [1208] = {.lex_state = 286},
  [1209] = {.lex_state = 286},
  [1210] = {.lex_state = 286},
  [1211] = {.lex_state = 286},
  [1212] = {.lex_state = 199},
  [1213] = {.lex_state = 309},
  [1214] = {.lex_state = 199},
  [1215] = {.lex_state = 199},
  [1216] = {.lex_state = 199},
  [1217] = {.lex_state = 199},
  [1218] = {.lex_state = 199},
  [1219] = {.lex_state = 251},
  [1220] = {.lex_state = 199},
  [1221] = {.lex_state = 309},
  [1222] = {.lex_state = 286},
  [1223] = {.lex_state = 199},
  [1224] = {.lex_state = 309},
  [1225] = {.lex_state = 199},
  [1226] = {.lex_state = 309},
  [1227] = {.lex_state = 286},
  [1228] = {.lex_state = 251},
  [1229] = {.lex_state = 286},
  [1230] = {.lex_state = 286},
  [1231] = {.lex_state = 286},
  [1232] = {.lex_state = 286},
  [1233] = {.lex_state = 286},
  [1234] = {.lex_state = 286},
  [1235] = {.lex_state = 286},
  [1236] = {.lex_state = 286},
  [1237] = {.lex_state = 199},
  [1238] = {.lex_state = 199},
  [1239] = {.lex_state = 199},
  [1240] = {.lex_state = 199},
  [1241] = {.lex_state = 199},
  [1242] = {.lex_state = 199},
  [1243] = {.lex_state = 286},
  [1244] = {.lex_state = 286},
  [1245] = {.lex_state = 286},
  [1246] = {.lex_state = 286},
  [1247] = {.lex_state = 286},
  [1248] = {.lex_state = 286},
  [1249] = {.lex_state = 286},
  [1250] = {.lex_state = 199},
  [1251] = {.lex_state = 247},
  [1252] = {.lex_state = 247},
  [1253] = {.lex_state = 247},
  [1254] = {.lex_state = 286},
  [1255] = {.lex_state = 286},
  [1256] = {.lex_state = 313},
  [1257] = {.lex_state = 313},
  [1258] = {.lex_state = 318},
  [1259] = {.lex_state = 286},
  [1260] = {.lex_state = 286},
  [1261] = {.lex_state = 286},
  [1262] = {.lex_state = 286},
  [1263] = {.lex_state = 306},
  [1264] = {.lex_state = 199},
  [1265] = {.lex_state = 199},
  [1266] = {.lex_state = 251},
  [1267] = {.lex_state = 306},
  [1268] = {.lex_state = 247},
  [1269] = {.lex_state = 251},
  [1270] = {.lex_state = 199},
  [1271] = {.lex_state = 286},
  [1272] = {.lex_state = 199},
  [1273] = {.lex_state = 247},
  [1274] = {.lex_state = 286},
  [1275] = {.lex_state = 286},
  [1276] = {.lex_state = 199},
  [1277] = {.lex_state = 286},
  [1278] = {.lex_state = 286},
  [1279] = {.lex_state = 286},
  [1280] = {.lex_state = 286},
  [1281] = {.lex_state = 199},
  [1282] = {.lex_state = 199},
  [1283] = {.lex_state = 281},
  [1284] = {.lex_state = 286},
  [1285] = {.lex_state = 199},
  [1286] = {.lex_state = 281},
  [1287] = {.lex_state = 199},
  [1288] = {.lex_state = 199},
  [1289] = {.lex_state = 311},
  [1290] = {.lex_state = 251},
  [1291] = {.lex_state = 199},
  [1292] = {.lex_state = 199},
  [1293] = {.lex_state = 286},
  [1294] = {.lex_state = 286},
  [1295] = {.lex_state = 286},
  [1296] = {.lex_state = 286},
  [1297] = {.lex_state = 286},
  [1298] = {.lex_state = 286},
  [1299] = {.lex_state = 286},
  [1300] = {.lex_state = 286},
  [1301] = {.lex_state = 199},
  [1302] = {.lex_state = 199},
  [1303] = {.lex_state = 306},
  [1304] = {.lex_state = 286},
  [1305] = {.lex_state = 306},
  [1306] = {.lex_state = 286},
  [1307] = {.lex_state = 306},
  [1308] = {.lex_state = 306},
  [1309] = {.lex_state = 306},
  [1310] = {.lex_state = 286},
  [1311] = {.lex_state = 199},
  [1312] = {.lex_state = 199},
  [1313] = {.lex_state = 199},
  [1314] = {.lex_state = 199},
  [1315] = {.lex_state = 306},
  [1316] = {.lex_state = 286},
  [1317] = {.lex_state = 199},
  [1318] = {.lex_state = 281},
  [1319] = {.lex_state = 199},
  [1320] = {.lex_state = 199},
  [1321] = {.lex_state = 199},
  [1322] = {.lex_state = 199},
  [1323] = {.lex_state = 251},
  [1324] = {.lex_state = 199},
  [1325] = {.lex_state = 199},
  [1326] = {.lex_state = 199},
  [1327] = {.lex_state = 281},
  [1328] = {.lex_state = 281},
  [1329] = {.lex_state = 309},
  [1330] = {.lex_state = 309},
  [1331] = {.lex_state = 286},
  [1332] = {.lex_state = 309},
  [1333] = {.lex_state = 286},
  [1334] = {.lex_state = 199},
  [1335] = {.lex_state = 199},
  [1336] = {.lex_state = 199},
  [1337] = {.lex_state = 199},
  [1338] = {.lex_state = 199},
  [1339] = {.lex_state = 199},
  [1340] = {.lex_state = 309},
  [1341] = {.lex_state = 309},
  [1342] = {.lex_state = 309},
  [1343] = {.lex_state = 286},
  [1344] = {.lex_state = 309},
  [1345] = {.lex_state = 286},
  [1346] = {.lex_state = 199},
  [1347] = {.lex_state = 286},
  [1348] = {.lex_state = 286},
  [1349] = {.lex_state = 286},
  [1350] = {.lex_state = 199},
  [1351] = {.lex_state = 199},
  [1352] = {.lex_state = 309},
  [1353] = {.lex_state = 309},
  [1354] = {.lex_state = 309},
  [1355] = {.lex_state = 309},
  [1356] = {.lex_state = 199},
  [1357] = {.lex_state = 199},
  [1358] = {.lex_state = 199},
  [1359] = {.lex_state = 199},
  [1360] = {.lex_state = 199},
  [1361] = {.lex_state = 199},
  [1362] = {.lex_state = 199},
  [1363] = {.lex_state = 320},
  [1364] = {.lex_state = 281},
  [1365] = {.lex_state = 281},
  [1366] = {.lex_state = 286},
  [1367] = {.lex_state = 286},
  [1368] = {.lex_state = 286},
  [1369] = {.lex_state = 251},
  [1370] = {.lex_state = 286},
  [1371] = {.lex_state = 286},
  [1372] = {.lex_state = 286},
  [1373] = {.lex_state = 251},
  [1374] = {.lex_state = 251},
  [1375] = {.lex_state = 286},
  [1376] = {.lex_state = 309},
  [1377] = {.lex_state = 311},
  [1378] = {.lex_state = 286},
  [1379] = {.lex_state = 286},
  [1380] = {.lex_state = 311},
  [1381] = {.lex_state = 251},
  [1382] = {.lex_state = 286},
  [1383] = {.lex_state = 286},
  [1384] = {.lex_state = 286},
  [1385] = {.lex_state = 286},
  [1386] = {.lex_state = 286},
  [1387] = {.lex_state = 286},
  [1388] = {.lex_state = 312},
  [1389] = {.lex_state = 251},
  [1390] = {.lex_state = 286},
  [1391] = {.lex_state = 286},
  [1392] = {.lex_state = 286},
  [1393] = {.lex_state = 199},
  [1394] = {.lex_state = 251},
  [1395] = {.lex_state = 199},
  [1396] = {.lex_state = 312},
  [1397] = {.lex_state = 286},
  [1398] = {.lex_state = 286},
  [1399] = {.lex_state = 286},
  [1400] = {.lex_state = 199},
  [1401] = {.lex_state = 199},
  [1402] = {.lex_state = 199},
  [1403] = {.lex_state = 199},
  [1404] = {.lex_state = 199},
  [1405] = {.lex_state = 199},
  [1406] = {.lex_state = 199},
  [1407] = {.lex_state = 281},
  [1408] = {.lex_state = 281},
  [1409] = {.lex_state = 199},
  [1410] = {.lex_state = 281},
  [1411] = {.lex_state = 281},
  [1412] = {.lex_state = 281},
  [1413] = {.lex_state = 281},
  [1414] = {.lex_state = 199},
  [1415] = {.lex_state = 199},
  [1416] = {.lex_state = 199},
  [1417] = {.lex_state = 286},
  [1418] = {.lex_state = 286},
  [1419] = {.lex_state = 286},
  [1420] = {.lex_state = 199},
  [1421] = {.lex_state = 286},
  [1422] = {.lex_state = 286},
  [1423] = {.lex_state = 286},
  [1424] = {.lex_state = 199},
  [1425] = {.lex_state = 199},
  [1426] = {.lex_state = 199},
  [1427] = {.lex_state = 199},
  [1428] = {.lex_state = 199},
  [1429] = {.lex_state = 199},
  [1430] = {.lex_state = 199},
  [1431] = {.lex_state = 306},
  [1432] = {.lex_state = 306},
  [1433] = {.lex_state = 306},
  [1434] = {.lex_state = 199},
  [1435] = {.lex_state = 306},
  [1436] = {.lex_state = 286},
  [1437] = {.lex_state = 251},
  [1438] = {.lex_state = 199},
  [1439] = {.lex_state = 309},
  [1440] = {.lex_state = 309},
  [1441] = {.lex_state = 309},
  [1442] = {.lex_state = 199},
  [1443] = {.lex_state = 309},
  [1444] = {.lex_state = 286},
  [1445] = {.lex_state = 286},
  [1446] = {.lex_state = 286},
  [1447] = {.lex_state = 286},
  [1448] = {.lex_state = 286},
  [1449] = {.lex_state = 286},
  [1450] = {.lex_state = 286},
  [1451] = {.lex_state = 199},
  [1452] = {.lex_state = 247},
  [1453] = {.lex_state = 286},
  [1454] = {.lex_state = 199},
  [1455] = {.lex_state = 320},
  [1456] = {.lex_state = 286},
  [1457] = {.lex_state = 199},
  [1458] = {.lex_state = 281},
  [1459] = {.lex_state = 286},
  [1460] = {.lex_state = 199},
  [1461] = {.lex_state = 281},
  [1462] = {.lex_state = 199},
  [1463] = {.lex_state = 251},
  [1464] = {.lex_state = 281},
  [1465] = {.lex_state = 281},
  [1466] = {.lex_state = 199},
  [1467] = {.lex_state = 281},
  [1468] = {.lex_state = 286},
  [1469] = {.lex_state = 199},
  [1470] = {.lex_state = 281},
  [1471] = {.lex_state = 199},
  [1472] = {.lex_state = 286},
  [1473] = {.lex_state = 286},
  [1474] = {.lex_state = 286},
  [1475] = {.lex_state = 286},
  [1476] = {.lex_state = 286},
  [1477] = {.lex_state = 286},
  [1478] = {.lex_state = 251},
  [1479] = {.lex_state = 286},
  [1480] = {.lex_state = 286},
  [1481] = {.lex_state = 286},
  [1482] = {.lex_state = 286},
  [1483] = {.lex_state = 286},
  [1484] = {.lex_state = 199},
  [1485] = {.lex_state = 251},
  [1486] = {.lex_state = 306},
  [1487] = {.lex_state = 311},
  [1488] = {.lex_state = 251},
  [1489] = {.lex_state = 251},
  [1490] = {.lex_state = 306},
  [1491] = {.lex_state = 306},
  [1492] = {.lex_state = 306},
  [1493] = {.lex_state = 306},
  [1494] = {.lex_state = 199},
  [1495] = {.lex_state = 286},
  [1496] = {.lex_state = 286},
  [1497] = {.lex_state = 286},
  [1498] = {.lex_state = 286},
  [1499] = {.lex_state = 286},
  [1500] = {.lex_state = 251},
  [1501] = {.lex_state = 286},
  [1502] = {.lex_state = 286},
  [1503] = {.lex_state = 286},
  [1504] = {.lex_state = 286},
  [1505] = {.lex_state = 286},
  [1506] = {.lex_state = 251},
  [1507] = {.lex_state = 281},
  [1508] = {.lex_state = 199},
  [1509] = {.lex_state = 281},
  [1510] = {.lex_state = 199},
  [1511] = {.lex_state = 199},
  [1512] = {.lex_state = 286},
  [1513] = {.lex_state = 286},
  [1514] = {.lex_state = 286},
  [1515] = {.lex_state = 286},
  [1516] = {.lex_state = 286},
  [1517] = {.lex_state = 286},
  [1518] = {.lex_state = 286},
  [1519] = {.lex_state = 286},
  [1520] = {.lex_state = 286},
  [1521] = {.lex_state = 286},
  [1522] = {.lex_state = 306},
  [1523] = {.lex_state = 199},
  [1524] = {.lex_state = 309},
  [1525] = {.lex_state = 199},
  [1526] = {.lex_state = 199},
  [1527] = {.lex_state = 199},
  [1528] = {.lex_state = 199},
  [1529] = {.lex_state = 199},
  [1530] = {.lex_state = 199},
  [1531] = {.lex_state = 199},
  [1532] = {.lex_state = 320},
  [1533] = {.lex_state = 286},
  [1534] = {.lex_state = 199},
  [1535] = {.lex_state = 320},
  [1536] = {.lex_state = 281},
  [1537] = {.lex_state = 320},
  [1538] = {.lex_state = 281},
  [1539] = {.lex_state = 199},
  [1540] = {.lex_state = 281},
  [1541] = {.lex_state = 281},
  [1542] = {.lex_state = 281},
  [1543] = {.lex_state = 286},
  [1544] = {.lex_state = 251},
  [1545] = {.lex_state = 320},
  [1546] = {.lex_state = 281},
  [1547] = {.lex_state = 199},
  [1548] = {.lex_state = 281},
  [1549] = {.lex_state = 281},
  [1550] = {.lex_state = 281},
  [1551] = {.lex_state = 251},
  [1552] = {.lex_state = 251},
  [1553] = {.lex_state = 251},
  [1554] = {.lex_state = 251},
  [1555] = {.lex_state = 251},
  [1556] = {.lex_state = 251},
  [1557] = {.lex_state = 251},
  [1558] = {.lex_state = 251},
  [1559] = {.lex_state = 251},
  [1560] = {.lex_state = 251},
  [1561] = {.lex_state = 251},
  [1562] = {.lex_state = 199},
  [1563] = {.lex_state = 293},
  [1564] = {.lex_state = 293},
  [1565] = {.lex_state = 199},
  [1566] = {.lex_state = 199},
  [1567] = {.lex_state = 199},
  [1568] = {.lex_state = 199},
  [1569] = {.lex_state = 199},
  [1570] = {.lex_state = 199},
  [1571] = {.lex_state = 199},
  [1572] = {.lex_state = 199},
  [1573] = {.lex_state = 199},
  [1574] = {.lex_state = 281},
  [1575] = {.lex_state = 199},
  [1576] = {.lex_state = 199},
  [1577] = {.lex_state = 199},
  [1578] = {.lex_state = 199},
  [1579] = {.lex_state = 199},
  [1580] = {.lex_state = 199},
  [1581] = {.lex_state = 199},
  [1582] = {.lex_state = 199},
  [1583] = {.lex_state = 306},
  [1584] = {.lex_state = 309},
  [1585] = {.lex_state = 286},
  [1586] = {.lex_state = 320},
  [1587] = {.lex_state = 199},
  [1588] = {.lex_state = 199},
  [1589] = {.lex_state = 281},
  [1590] = {.lex_state = 199},
  [1591] = {.lex_state = 281},
  [1592] = {.lex_state = 286},
  [1593] = {.lex_state = 281},
  [1594] = {.lex_state = 199},
  [1595] = {.lex_state = 281},
  [1596] = {.lex_state = 320},
  [1597] = {.lex_state = 281},
  [1598] = {.lex_state = 199},
  [1599] = {.lex_state = 281},
  [1600] = {.lex_state = 281},
  [1601] = {.lex_state = 320},
  [1602] = {.lex_state = 281},
  [1603] = {.lex_state = 320},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LF] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [sym_default_case] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [sym_interpreted_string_literal] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(8),
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(10),
    [sym_import_declaration] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_function_declaration] = STATE(10),
    [sym_method_declaration] = STATE(10),
    [sym_type_declaration] = STATE(11),
    [aux_sym_source_file_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(6),
    [anon_sym_package] = ACTIONS(8),
    [anon_sym_import] = ACTIONS(10),
    [anon_sym_const] = ACTIONS(12),
    [anon_sym_var] = ACTIONS(14),
    [anon_sym_func] = ACTIONS(16),
    [anon_sym_type] = ACTIONS(18),
    [sym_comment] = ACTIONS(20),
  },
  [2] = {
    [sym_identifier] = ACTIONS(22),
    [sym_comment] = ACTIONS(20),
  },
  [3] = {
    [sym_import_spec] = STATE(18),
    [sym_import_spec_list] = STATE(18),
    [sym__string_literal] = STATE(19),
    [anon_sym_DOT] = ACTIONS(24),
    [anon_sym_LPAREN] = ACTIONS(26),
    [sym_identifier] = ACTIONS(28),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_comment] = ACTIONS(20),
  },
  [4] = {
    [sym_const_spec] = STATE(22),
    [anon_sym_LPAREN] = ACTIONS(32),
    [sym_identifier] = ACTIONS(34),
    [sym_comment] = ACTIONS(20),
  },
  [5] = {
    [sym_var_spec] = STATE(25),
    [anon_sym_LPAREN] = ACTIONS(36),
    [sym_identifier] = ACTIONS(38),
    [sym_comment] = ACTIONS(20),
  },
  [6] = {
    [sym_parameter_list] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(40),
    [sym_identifier] = ACTIONS(42),
    [sym_comment] = ACTIONS(20),
  },
  [7] = {
    [sym_type_alias] = STATE(31),
    [sym_type_spec] = STATE(31),
    [anon_sym_LPAREN] = ACTIONS(44),
    [sym_identifier] = ACTIONS(46),
    [sym_comment] = ACTIONS(20),
  },
  [8] = {
    [ts_builtin_sym_end] = ACTIONS(48),
    [sym_comment] = ACTIONS(20),
  },
  [9] = {
    [ts_builtin_sym_end] = ACTIONS(50),
    [anon_sym_LF] = ACTIONS(52),
    [anon_sym_SEMI] = ACTIONS(52),
    [anon_sym_package] = ACTIONS(50),
    [anon_sym_import] = ACTIONS(50),
    [anon_sym_const] = ACTIONS(50),
    [anon_sym_var] = ACTIONS(50),
    [anon_sym_func] = ACTIONS(50),
    [anon_sym_type] = ACTIONS(50),
    [sym_comment] = ACTIONS(54),
  },
  [10] = {
    [ts_builtin_sym_end] = ACTIONS(56),
    [anon_sym_LF] = ACTIONS(56),
    [anon_sym_SEMI] = ACTIONS(56),
    [anon_sym_package] = ACTIONS(56),
    [anon_sym_import] = ACTIONS(56),
    [anon_sym_const] = ACTIONS(56),
    [anon_sym_var] = ACTIONS(56),
    [anon_sym_func] = ACTIONS(56),
    [anon_sym_type] = ACTIONS(56),
    [sym_comment] = ACTIONS(54),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(58),
    [anon_sym_LF] = ACTIONS(58),
    [anon_sym_SEMI] = ACTIONS(58),
    [anon_sym_package] = ACTIONS(58),
    [anon_sym_import] = ACTIONS(58),
    [anon_sym_const] = ACTIONS(58),
    [anon_sym_var] = ACTIONS(58),
    [anon_sym_func] = ACTIONS(58),
    [anon_sym_type] = ACTIONS(58),
    [anon_sym_RBRACE] = ACTIONS(58),
    [anon_sym_case] = ACTIONS(58),
    [sym_default_case] = ACTIONS(58),
    [sym_comment] = ACTIONS(54),
  },
  [12] = {
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(10),
    [sym_import_declaration] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_function_declaration] = STATE(10),
    [sym_method_declaration] = STATE(10),
    [sym_type_declaration] = STATE(11),
    [aux_sym_source_file_repeat1] = STATE(33),
    [ts_builtin_sym_end] = ACTIONS(60),
    [anon_sym_package] = ACTIONS(8),
    [anon_sym_import] = ACTIONS(10),
    [anon_sym_const] = ACTIONS(12),
    [anon_sym_var] = ACTIONS(14),
    [anon_sym_func] = ACTIONS(16),
    [anon_sym_type] = ACTIONS(18),
    [sym_comment] = ACTIONS(20),
  },
  [13] = {
    [ts_builtin_sym_end] = ACTIONS(62),
    [anon_sym_LF] = ACTIONS(62),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_package] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(62),
    [anon_sym_const] = ACTIONS(62),
    [anon_sym_var] = ACTIONS(62),
    [anon_sym_func] = ACTIONS(62),
    [anon_sym_type] = ACTIONS(62),
    [sym_comment] = ACTIONS(54),
  },
  [14] = {
    [sym__string_literal] = STATE(34),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_comment] = ACTIONS(20),
  },
  [15] = {
    [sym_import_spec] = STATE(36),
    [sym__string_literal] = STATE(19),
    [aux_sym_import_spec_list_repeat1] = STATE(37),
    [anon_sym_DOT] = ACTIONS(24),
    [anon_sym_RPAREN] = ACTIONS(64),
    [sym_identifier] = ACTIONS(28),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_comment] = ACTIONS(20),
  },
  [16] = {
    [sym__string_literal] = STATE(38),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_comment] = ACTIONS(20),
  },
  [17] = {
    [ts_builtin_sym_end] = ACTIONS(66),
    [anon_sym_LF] = ACTIONS(66),
    [anon_sym_SEMI] = ACTIONS(66),
    [anon_sym_package] = ACTIONS(66),
    [anon_sym_import] = ACTIONS(66),
    [anon_sym_DOT] = ACTIONS(66),
    [anon_sym_LPAREN] = ACTIONS(66),
    [anon_sym_const] = ACTIONS(66),
    [anon_sym_COMMA] = ACTIONS(66),
    [anon_sym_var] = ACTIONS(66),
    [anon_sym_func] = ACTIONS(66),
    [anon_sym_type] = ACTIONS(66),
    [anon_sym_STAR] = ACTIONS(66),
    [anon_sym_LBRACK] = ACTIONS(66),
    [anon_sym_RBRACE] = ACTIONS(66),
    [anon_sym_case] = ACTIONS(66),
    [sym_default_case] = ACTIONS(66),
    [anon_sym_PLUS] = ACTIONS(66),
    [anon_sym_DASH] = ACTIONS(66),
    [anon_sym_CARET] = ACTIONS(66),
    [anon_sym_AMP] = ACTIONS(66),
    [anon_sym_SLASH] = ACTIONS(66),
    [anon_sym_PERCENT] = ACTIONS(66),
    [anon_sym_LT_LT] = ACTIONS(66),
    [anon_sym_GT_GT] = ACTIONS(66),
    [anon_sym_AMP_CARET] = ACTIONS(66),
    [anon_sym_PIPE] = ACTIONS(66),
    [anon_sym_EQ_EQ] = ACTIONS(66),
    [anon_sym_BANG_EQ] = ACTIONS(66),
    [anon_sym_LT] = ACTIONS(66),
    [anon_sym_LT_EQ] = ACTIONS(66),
    [anon_sym_GT] = ACTIONS(66),
    [anon_sym_GT_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(66),
    [anon_sym_PIPE_PIPE] = ACTIONS(66),
    [sym_comment] = ACTIONS(54),
  },
  [18] = {
    [ts_builtin_sym_end] = ACTIONS(68),
    [anon_sym_LF] = ACTIONS(68),
    [anon_sym_SEMI] = ACTIONS(68),
    [anon_sym_package] = ACTIONS(68),
    [anon_sym_import] = ACTIONS(68),
    [anon_sym_const] = ACTIONS(68),
    [anon_sym_var] = ACTIONS(68),
    [anon_sym_func] = ACTIONS(68),
    [anon_sym_type] = ACTIONS(68),
    [sym_comment] = ACTIONS(54),
  },
  [19] = {
    [ts_builtin_sym_end] = ACTIONS(70),
    [anon_sym_LF] = ACTIONS(70),
    [anon_sym_SEMI] = ACTIONS(70),
    [anon_sym_package] = ACTIONS(70),
    [anon_sym_import] = ACTIONS(70),
    [anon_sym_const] = ACTIONS(70),
    [anon_sym_var] = ACTIONS(70),
    [anon_sym_func] = ACTIONS(70),
    [anon_sym_type] = ACTIONS(70),
    [sym_comment] = ACTIONS(54),
  },
  [20] = {
    [sym_const_spec] = STATE(41),
    [aux_sym_const_declaration_repeat1] = STATE(42),
    [anon_sym_RPAREN] = ACTIONS(72),
    [sym_identifier] = ACTIONS(74),
    [sym_comment] = ACTIONS(20),
  },
  [21] = {
    [sym_parenthesized_type] = STATE(55),
    [sym__simple_type] = STATE(55),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(76),
    [anon_sym_LF] = ACTIONS(76),
    [anon_sym_SEMI] = ACTIONS(76),
    [anon_sym_package] = ACTIONS(76),
    [anon_sym_import] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_const] = ACTIONS(76),
    [anon_sym_COMMA] = ACTIONS(80),
    [anon_sym_EQ] = ACTIONS(82),
    [anon_sym_var] = ACTIONS(76),
    [anon_sym_func] = ACTIONS(76),
    [anon_sym_type] = ACTIONS(76),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [22] = {
    [ts_builtin_sym_end] = ACTIONS(100),
    [anon_sym_LF] = ACTIONS(100),
    [anon_sym_SEMI] = ACTIONS(100),
    [anon_sym_package] = ACTIONS(100),
    [anon_sym_import] = ACTIONS(100),
    [anon_sym_const] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(100),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_type] = ACTIONS(100),
    [anon_sym_RBRACE] = ACTIONS(100),
    [anon_sym_case] = ACTIONS(100),
    [sym_default_case] = ACTIONS(100),
    [sym_comment] = ACTIONS(54),
  },
  [23] = {
    [sym_var_spec] = STATE(60),
    [aux_sym_var_declaration_repeat1] = STATE(61),
    [anon_sym_RPAREN] = ACTIONS(102),
    [sym_identifier] = ACTIONS(104),
    [sym_comment] = ACTIONS(20),
  },
  [24] = {
    [sym_parenthesized_type] = STATE(74),
    [sym__simple_type] = STATE(74),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(110),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [25] = {
    [ts_builtin_sym_end] = ACTIONS(130),
    [anon_sym_LF] = ACTIONS(130),
    [anon_sym_SEMI] = ACTIONS(130),
    [anon_sym_package] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(130),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_var] = ACTIONS(130),
    [anon_sym_func] = ACTIONS(130),
    [anon_sym_type] = ACTIONS(130),
    [anon_sym_RBRACE] = ACTIONS(130),
    [anon_sym_case] = ACTIONS(130),
    [sym_default_case] = ACTIONS(130),
    [sym_comment] = ACTIONS(54),
  },
  [26] = {
    [sym_parameter_declaration] = STATE(87),
    [sym_variadic_parameter_declaration] = STATE(87),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(134),
    [anon_sym_COMMA] = ACTIONS(136),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [27] = {
    [sym_parameter_list] = STATE(90),
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(20),
  },
  [28] = {
    [sym_identifier] = ACTIONS(160),
    [sym_comment] = ACTIONS(20),
  },
  [29] = {
    [sym_type_alias] = STATE(94),
    [sym_type_spec] = STATE(94),
    [aux_sym_type_declaration_repeat1] = STATE(95),
    [anon_sym_RPAREN] = ACTIONS(162),
    [sym_identifier] = ACTIONS(164),
    [sym_comment] = ACTIONS(20),
  },
  [30] = {
    [sym_parenthesized_type] = STATE(103),
    [sym__simple_type] = STATE(103),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_EQ] = ACTIONS(166),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [31] = {
    [ts_builtin_sym_end] = ACTIONS(180),
    [anon_sym_LF] = ACTIONS(180),
    [anon_sym_SEMI] = ACTIONS(180),
    [anon_sym_package] = ACTIONS(180),
    [anon_sym_import] = ACTIONS(180),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_var] = ACTIONS(180),
    [anon_sym_func] = ACTIONS(180),
    [anon_sym_type] = ACTIONS(180),
    [anon_sym_RBRACE] = ACTIONS(180),
    [anon_sym_case] = ACTIONS(180),
    [sym_default_case] = ACTIONS(180),
    [sym_comment] = ACTIONS(54),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(182),
    [anon_sym_package] = ACTIONS(182),
    [anon_sym_import] = ACTIONS(182),
    [anon_sym_const] = ACTIONS(182),
    [anon_sym_var] = ACTIONS(182),
    [anon_sym_func] = ACTIONS(182),
    [anon_sym_type] = ACTIONS(182),
    [sym_comment] = ACTIONS(20),
  },
  [33] = {
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(10),
    [sym_import_declaration] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_function_declaration] = STATE(10),
    [sym_method_declaration] = STATE(10),
    [sym_type_declaration] = STATE(11),
    [aux_sym_source_file_repeat1] = STATE(33),
    [ts_builtin_sym_end] = ACTIONS(182),
    [anon_sym_package] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(187),
    [anon_sym_const] = ACTIONS(190),
    [anon_sym_var] = ACTIONS(193),
    [anon_sym_func] = ACTIONS(196),
    [anon_sym_type] = ACTIONS(199),
    [sym_comment] = ACTIONS(20),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(202),
    [anon_sym_LF] = ACTIONS(202),
    [anon_sym_SEMI] = ACTIONS(202),
    [anon_sym_package] = ACTIONS(202),
    [anon_sym_import] = ACTIONS(202),
    [anon_sym_const] = ACTIONS(202),
    [anon_sym_var] = ACTIONS(202),
    [anon_sym_func] = ACTIONS(202),
    [anon_sym_type] = ACTIONS(202),
    [sym_comment] = ACTIONS(54),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(204),
    [anon_sym_LF] = ACTIONS(204),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_package] = ACTIONS(204),
    [anon_sym_import] = ACTIONS(204),
    [anon_sym_const] = ACTIONS(204),
    [anon_sym_var] = ACTIONS(204),
    [anon_sym_func] = ACTIONS(204),
    [anon_sym_type] = ACTIONS(204),
    [sym_comment] = ACTIONS(54),
  },
  [36] = {
    [anon_sym_LF] = ACTIONS(206),
    [anon_sym_SEMI] = ACTIONS(206),
    [sym_comment] = ACTIONS(54),
  },
  [37] = {
    [sym_import_spec] = STATE(36),
    [sym__string_literal] = STATE(19),
    [aux_sym_import_spec_list_repeat1] = STATE(106),
    [anon_sym_DOT] = ACTIONS(24),
    [anon_sym_RPAREN] = ACTIONS(208),
    [sym_identifier] = ACTIONS(28),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_comment] = ACTIONS(20),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(210),
    [anon_sym_LF] = ACTIONS(210),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_package] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(210),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_var] = ACTIONS(210),
    [anon_sym_func] = ACTIONS(210),
    [anon_sym_type] = ACTIONS(210),
    [sym_comment] = ACTIONS(54),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(212),
    [anon_sym_LF] = ACTIONS(212),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_package] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(212),
    [anon_sym_const] = ACTIONS(212),
    [anon_sym_var] = ACTIONS(212),
    [anon_sym_func] = ACTIONS(212),
    [anon_sym_type] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(212),
    [anon_sym_case] = ACTIONS(212),
    [sym_default_case] = ACTIONS(212),
    [sym_comment] = ACTIONS(54),
  },
  [40] = {
    [sym_parenthesized_type] = STATE(109),
    [sym__simple_type] = STATE(109),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(110),
    [anon_sym_LF] = ACTIONS(76),
    [anon_sym_SEMI] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_EQ] = ACTIONS(216),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [41] = {
    [anon_sym_LF] = ACTIONS(220),
    [anon_sym_SEMI] = ACTIONS(220),
    [sym_comment] = ACTIONS(54),
  },
  [42] = {
    [sym_const_spec] = STATE(41),
    [aux_sym_const_declaration_repeat1] = STATE(113),
    [anon_sym_RPAREN] = ACTIONS(222),
    [sym_identifier] = ACTIONS(74),
    [sym_comment] = ACTIONS(20),
  },
  [43] = {
    [sym_parenthesized_type] = STATE(120),
    [sym__simple_type] = STATE(120),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [44] = {
    [sym_identifier] = ACTIONS(236),
    [sym_comment] = ACTIONS(20),
  },
  [45] = {
    [sym_expression_list] = STATE(133),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [46] = {
    [sym_parameter_list] = STATE(139),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [47] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [48] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(154),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [49] = {
    [sym_field_declaration_list] = STATE(156),
    [anon_sym_LBRACE] = ACTIONS(298),
    [sym_comment] = ACTIONS(20),
  },
  [50] = {
    [sym_method_spec_list] = STATE(158),
    [anon_sym_LBRACE] = ACTIONS(300),
    [sym_comment] = ACTIONS(20),
  },
  [51] = {
    [anon_sym_LBRACK] = ACTIONS(302),
    [sym_comment] = ACTIONS(20),
  },
  [52] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(304),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [53] = {
    [anon_sym_chan] = ACTIONS(306),
    [sym_comment] = ACTIONS(20),
  },
  [54] = {
    [anon_sym_DOT] = ACTIONS(308),
    [anon_sym_LPAREN] = ACTIONS(310),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_EQ] = ACTIONS(310),
    [anon_sym_RBRACK] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [sym_comment] = ACTIONS(20),
  },
  [55] = {
    [anon_sym_EQ] = ACTIONS(312),
    [sym_comment] = ACTIONS(20),
  },
  [56] = {
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_RPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(314),
    [anon_sym_RBRACK] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(314),
    [anon_sym_COLON] = ACTIONS(314),
    [sym_comment] = ACTIONS(20),
  },
  [57] = {
    [sym_parenthesized_type] = STATE(165),
    [sym__simple_type] = STATE(165),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(166),
    [ts_builtin_sym_end] = ACTIONS(316),
    [anon_sym_LF] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_package] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_const] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(80),
    [anon_sym_EQ] = ACTIONS(318),
    [anon_sym_var] = ACTIONS(316),
    [anon_sym_func] = ACTIONS(316),
    [anon_sym_type] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(320),
    [anon_sym_LF] = ACTIONS(320),
    [anon_sym_SEMI] = ACTIONS(320),
    [anon_sym_package] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_var] = ACTIONS(320),
    [anon_sym_func] = ACTIONS(320),
    [anon_sym_type] = ACTIONS(320),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_case] = ACTIONS(320),
    [sym_default_case] = ACTIONS(320),
    [sym_comment] = ACTIONS(54),
  },
  [59] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(322),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [60] = {
    [anon_sym_LF] = ACTIONS(336),
    [anon_sym_SEMI] = ACTIONS(336),
    [sym_comment] = ACTIONS(54),
  },
  [61] = {
    [sym_var_spec] = STATE(60),
    [aux_sym_var_declaration_repeat1] = STATE(178),
    [anon_sym_RPAREN] = ACTIONS(338),
    [sym_identifier] = ACTIONS(104),
    [sym_comment] = ACTIONS(20),
  },
  [62] = {
    [sym_parenthesized_type] = STATE(179),
    [sym__simple_type] = STATE(179),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [63] = {
    [sym_identifier] = ACTIONS(340),
    [sym_comment] = ACTIONS(20),
  },
  [64] = {
    [sym_expression_list] = STATE(181),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [65] = {
    [sym_parameter_list] = STATE(182),
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(20),
  },
  [66] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [67] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(342),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [68] = {
    [sym_field_declaration_list] = STATE(187),
    [anon_sym_LBRACE] = ACTIONS(344),
    [sym_comment] = ACTIONS(20),
  },
  [69] = {
    [sym_method_spec_list] = STATE(189),
    [anon_sym_LBRACE] = ACTIONS(346),
    [sym_comment] = ACTIONS(20),
  },
  [70] = {
    [anon_sym_LBRACK] = ACTIONS(348),
    [sym_comment] = ACTIONS(20),
  },
  [71] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(350),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [72] = {
    [anon_sym_chan] = ACTIONS(352),
    [sym_comment] = ACTIONS(20),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(354),
    [anon_sym_LF] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(354),
    [anon_sym_package] = ACTIONS(354),
    [anon_sym_import] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(354),
    [anon_sym_EQ] = ACTIONS(354),
    [anon_sym_var] = ACTIONS(354),
    [anon_sym_func] = ACTIONS(354),
    [anon_sym_type] = ACTIONS(354),
    [anon_sym_LBRACE] = ACTIONS(354),
    [anon_sym_RBRACE] = ACTIONS(354),
    [anon_sym_case] = ACTIONS(354),
    [sym_default_case] = ACTIONS(354),
    [sym_raw_string_literal] = ACTIONS(354),
    [sym_interpreted_string_literal] = ACTIONS(354),
    [sym_comment] = ACTIONS(54),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(358),
    [anon_sym_LF] = ACTIONS(358),
    [anon_sym_SEMI] = ACTIONS(358),
    [anon_sym_package] = ACTIONS(358),
    [anon_sym_import] = ACTIONS(358),
    [anon_sym_const] = ACTIONS(358),
    [anon_sym_EQ] = ACTIONS(360),
    [anon_sym_var] = ACTIONS(358),
    [anon_sym_func] = ACTIONS(358),
    [anon_sym_type] = ACTIONS(358),
    [sym_comment] = ACTIONS(54),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(362),
    [anon_sym_LF] = ACTIONS(362),
    [anon_sym_SEMI] = ACTIONS(362),
    [anon_sym_package] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(362),
    [anon_sym_const] = ACTIONS(362),
    [anon_sym_EQ] = ACTIONS(362),
    [anon_sym_var] = ACTIONS(362),
    [anon_sym_func] = ACTIONS(362),
    [anon_sym_type] = ACTIONS(362),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(362),
    [anon_sym_case] = ACTIONS(362),
    [sym_default_case] = ACTIONS(362),
    [sym_raw_string_literal] = ACTIONS(362),
    [sym_interpreted_string_literal] = ACTIONS(362),
    [sym_comment] = ACTIONS(54),
  },
  [76] = {
    [sym_parenthesized_type] = STATE(196),
    [sym__simple_type] = STATE(196),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(364),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [77] = {
    [anon_sym_LPAREN] = ACTIONS(366),
    [anon_sym_RPAREN] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(366),
    [anon_sym_EQ] = ACTIONS(366),
    [anon_sym_RBRACK] = ACTIONS(366),
    [anon_sym_LBRACE] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(366),
    [sym_identifier] = ACTIONS(368),
    [sym_comment] = ACTIONS(20),
  },
  [78] = {
    [anon_sym_RPAREN] = ACTIONS(370),
    [sym_comment] = ACTIONS(20),
  },
  [79] = {
    [sym_parameter_list] = STATE(199),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [80] = {
    [sym_parenthesized_type] = STATE(200),
    [sym__simple_type] = STATE(200),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [81] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [82] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(202),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [83] = {
    [anon_sym_LBRACK] = ACTIONS(374),
    [sym_comment] = ACTIONS(20),
  },
  [84] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(376),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [85] = {
    [anon_sym_chan] = ACTIONS(378),
    [sym_comment] = ACTIONS(20),
  },
  [86] = {
    [sym_parenthesized_type] = STATE(207),
    [sym__simple_type] = STATE(207),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(208),
    [anon_sym_DOT] = ACTIONS(380),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(382),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(385),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [87] = {
    [aux_sym_parameter_list_repeat1] = STATE(210),
    [anon_sym_RPAREN] = ACTIONS(370),
    [anon_sym_COMMA] = ACTIONS(387),
    [sym_comment] = ACTIONS(20),
  },
  [88] = {
    [anon_sym_RPAREN] = ACTIONS(389),
    [anon_sym_COMMA] = ACTIONS(389),
    [sym_comment] = ACTIONS(20),
  },
  [89] = {
    [sym_parameter_declaration] = STATE(213),
    [sym_variadic_parameter_declaration] = STATE(213),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(391),
    [anon_sym_COMMA] = ACTIONS(393),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [90] = {
    [sym_parameter_list] = STATE(222),
    [sym__simple_type] = STATE(222),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_block] = STATE(223),
    [sym_qualified_type] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(395),
    [anon_sym_LF] = ACTIONS(395),
    [anon_sym_SEMI] = ACTIONS(395),
    [anon_sym_package] = ACTIONS(395),
    [anon_sym_import] = ACTIONS(395),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_const] = ACTIONS(395),
    [anon_sym_var] = ACTIONS(395),
    [anon_sym_func] = ACTIONS(399),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(411),
    [anon_sym_chan] = ACTIONS(413),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [91] = {
    [sym_parameter_list] = STATE(224),
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(20),
  },
  [92] = {
    [ts_builtin_sym_end] = ACTIONS(417),
    [anon_sym_LF] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_package] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(417),
    [anon_sym_const] = ACTIONS(417),
    [anon_sym_var] = ACTIONS(417),
    [anon_sym_func] = ACTIONS(417),
    [anon_sym_type] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(417),
    [sym_default_case] = ACTIONS(417),
    [sym_comment] = ACTIONS(54),
  },
  [93] = {
    [sym_parenthesized_type] = STATE(103),
    [sym__simple_type] = STATE(103),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_EQ] = ACTIONS(419),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [94] = {
    [anon_sym_LF] = ACTIONS(433),
    [anon_sym_SEMI] = ACTIONS(433),
    [sym_comment] = ACTIONS(54),
  },
  [95] = {
    [sym_type_alias] = STATE(94),
    [sym_type_spec] = STATE(94),
    [aux_sym_type_declaration_repeat1] = STATE(234),
    [anon_sym_RPAREN] = ACTIONS(435),
    [sym_identifier] = ACTIONS(164),
    [sym_comment] = ACTIONS(20),
  },
  [96] = {
    [sym_parenthesized_type] = STATE(235),
    [sym__simple_type] = STATE(235),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [97] = {
    [sym_parameter_list] = STATE(236),
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(20),
  },
  [98] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [99] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(437),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [100] = {
    [anon_sym_LBRACK] = ACTIONS(439),
    [sym_comment] = ACTIONS(20),
  },
  [101] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(441),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [102] = {
    [anon_sym_chan] = ACTIONS(443),
    [sym_comment] = ACTIONS(20),
  },
  [103] = {
    [ts_builtin_sym_end] = ACTIONS(445),
    [anon_sym_LF] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(445),
    [anon_sym_package] = ACTIONS(445),
    [anon_sym_import] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_var] = ACTIONS(445),
    [anon_sym_func] = ACTIONS(445),
    [anon_sym_type] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(445),
    [sym_default_case] = ACTIONS(445),
    [sym_comment] = ACTIONS(54),
  },
  [104] = {
    [anon_sym_DOT] = ACTIONS(447),
    [anon_sym_RPAREN] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [sym_raw_string_literal] = ACTIONS(447),
    [sym_interpreted_string_literal] = ACTIONS(447),
    [sym_comment] = ACTIONS(20),
  },
  [105] = {
    [ts_builtin_sym_end] = ACTIONS(451),
    [anon_sym_LF] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(451),
    [anon_sym_package] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(451),
    [anon_sym_const] = ACTIONS(451),
    [anon_sym_var] = ACTIONS(451),
    [anon_sym_func] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [sym_comment] = ACTIONS(54),
  },
  [106] = {
    [sym_import_spec] = STATE(36),
    [sym__string_literal] = STATE(19),
    [aux_sym_import_spec_list_repeat1] = STATE(106),
    [anon_sym_DOT] = ACTIONS(453),
    [anon_sym_RPAREN] = ACTIONS(447),
    [sym_identifier] = ACTIONS(456),
    [sym_raw_string_literal] = ACTIONS(459),
    [sym_interpreted_string_literal] = ACTIONS(459),
    [sym_comment] = ACTIONS(20),
  },
  [107] = {
    [sym_identifier] = ACTIONS(462),
    [sym_comment] = ACTIONS(20),
  },
  [108] = {
    [sym_expression_list] = STATE(133),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [109] = {
    [anon_sym_EQ] = ACTIONS(470),
    [sym_comment] = ACTIONS(20),
  },
  [110] = {
    [sym_parenthesized_type] = STATE(248),
    [sym__simple_type] = STATE(248),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(249),
    [anon_sym_LF] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_EQ] = ACTIONS(472),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [111] = {
    [anon_sym_RPAREN] = ACTIONS(474),
    [sym_identifier] = ACTIONS(476),
    [sym_comment] = ACTIONS(20),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(478),
    [anon_sym_LF] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(478),
    [anon_sym_package] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_func] = ACTIONS(478),
    [anon_sym_type] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_case] = ACTIONS(478),
    [sym_default_case] = ACTIONS(478),
    [sym_comment] = ACTIONS(54),
  },
  [113] = {
    [sym_const_spec] = STATE(41),
    [aux_sym_const_declaration_repeat1] = STATE(113),
    [anon_sym_RPAREN] = ACTIONS(474),
    [sym_identifier] = ACTIONS(480),
    [sym_comment] = ACTIONS(20),
  },
  [114] = {
    [sym_parameter_list] = STATE(250),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [115] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [116] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(252),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(483),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [117] = {
    [anon_sym_LBRACK] = ACTIONS(485),
    [sym_comment] = ACTIONS(20),
  },
  [118] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(487),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [119] = {
    [anon_sym_chan] = ACTIONS(489),
    [sym_comment] = ACTIONS(20),
  },
  [120] = {
    [anon_sym_RPAREN] = ACTIONS(491),
    [sym_comment] = ACTIONS(20),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(493),
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_package] = ACTIONS(493),
    [anon_sym_import] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_const] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_var] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_type] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [122] = {
    [sym_parenthesized_type] = STATE(264),
    [sym__simple_type] = STATE(264),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(265),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [123] = {
    [sym_parameter_list] = STATE(266),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [124] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [125] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(271),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [126] = {
    [anon_sym_LBRACK] = ACTIONS(513),
    [sym_comment] = ACTIONS(20),
  },
  [127] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [128] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [129] = {
    [sym_special_argument_list] = STATE(280),
    [ts_builtin_sym_end] = ACTIONS(527),
    [anon_sym_LF] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(527),
    [anon_sym_package] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(527),
    [anon_sym_DOT] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(527),
    [anon_sym_COMMA] = ACTIONS(527),
    [anon_sym_var] = ACTIONS(527),
    [anon_sym_func] = ACTIONS(527),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_STAR] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_case] = ACTIONS(527),
    [sym_default_case] = ACTIONS(527),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_DASH] = ACTIONS(527),
    [anon_sym_CARET] = ACTIONS(527),
    [anon_sym_AMP] = ACTIONS(527),
    [anon_sym_SLASH] = ACTIONS(527),
    [anon_sym_PERCENT] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(527),
    [anon_sym_GT_GT] = ACTIONS(527),
    [anon_sym_AMP_CARET] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(527),
    [anon_sym_EQ_EQ] = ACTIONS(527),
    [anon_sym_BANG_EQ] = ACTIONS(527),
    [anon_sym_LT] = ACTIONS(527),
    [anon_sym_LT_EQ] = ACTIONS(527),
    [anon_sym_GT] = ACTIONS(527),
    [anon_sym_GT_EQ] = ACTIONS(527),
    [anon_sym_AMP_AMP] = ACTIONS(527),
    [anon_sym_PIPE_PIPE] = ACTIONS(527),
    [sym_comment] = ACTIONS(54),
  },
  [130] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [131] = {
    [sym_literal_value] = STATE(282),
    [ts_builtin_sym_end] = ACTIONS(531),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_package] = ACTIONS(531),
    [anon_sym_import] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_const] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_var] = ACTIONS(531),
    [anon_sym_func] = ACTIONS(531),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(531),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_package] = ACTIONS(531),
    [anon_sym_import] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(531),
    [anon_sym_const] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_var] = ACTIONS(531),
    [anon_sym_func] = ACTIONS(531),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(541),
    [anon_sym_LF] = ACTIONS(541),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_package] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(541),
    [anon_sym_const] = ACTIONS(541),
    [anon_sym_var] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_type] = ACTIONS(541),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_case] = ACTIONS(541),
    [sym_default_case] = ACTIONS(541),
    [sym_comment] = ACTIONS(54),
  },
  [134] = {
    [anon_sym_LPAREN] = ACTIONS(543),
    [sym_comment] = ACTIONS(20),
  },
  [135] = {
    [sym_literal_value] = STATE(284),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(545),
    [sym_comment] = ACTIONS(20),
  },
  [136] = {
    [sym_literal_value] = STATE(284),
    [anon_sym_LBRACE] = ACTIONS(545),
    [sym_comment] = ACTIONS(20),
  },
  [137] = {
    [sym_argument_list] = STATE(294),
    [aux_sym_expression_list_repeat1] = STATE(295),
    [ts_builtin_sym_end] = ACTIONS(547),
    [anon_sym_LF] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_package] = ACTIONS(547),
    [anon_sym_import] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(547),
    [anon_sym_COMMA] = ACTIONS(553),
    [anon_sym_var] = ACTIONS(547),
    [anon_sym_func] = ACTIONS(547),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(561),
    [anon_sym_BANG_EQ] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(561),
    [anon_sym_LT_EQ] = ACTIONS(561),
    [anon_sym_GT] = ACTIONS(561),
    [anon_sym_GT_EQ] = ACTIONS(561),
    [anon_sym_AMP_AMP] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [sym_comment] = ACTIONS(54),
  },
  [138] = {
    [sym_parameter_declaration] = STATE(298),
    [sym_variadic_parameter_declaration] = STATE(298),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_COMMA] = ACTIONS(569),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [139] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_EQ] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [140] = {
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_RPAREN] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_EQ] = ACTIONS(573),
    [anon_sym_RBRACK] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_COLON] = ACTIONS(573),
    [sym_comment] = ACTIONS(20),
  },
  [141] = {
    [sym_parenthesized_type] = STATE(264),
    [sym__simple_type] = STATE(264),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(300),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [142] = {
    [sym_parameter_list] = STATE(301),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [143] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [144] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [145] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [146] = {
    [sym_special_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(575),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_EQ] = ACTIONS(577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_RBRACK] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_LT_DASH] = ACTIONS(575),
    [anon_sym_COLON_EQ] = ACTIONS(575),
    [anon_sym_STAR_EQ] = ACTIONS(575),
    [anon_sym_SLASH_EQ] = ACTIONS(575),
    [anon_sym_PERCENT_EQ] = ACTIONS(575),
    [anon_sym_LT_LT_EQ] = ACTIONS(575),
    [anon_sym_GT_GT_EQ] = ACTIONS(575),
    [anon_sym_AMP_EQ] = ACTIONS(575),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(575),
    [anon_sym_PLUS_EQ] = ACTIONS(575),
    [anon_sym_DASH_EQ] = ACTIONS(575),
    [anon_sym_PIPE_EQ] = ACTIONS(575),
    [anon_sym_CARET_EQ] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_CARET] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(577),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(577),
    [anon_sym_AMP_CARET] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [anon_sym_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [sym_comment] = ACTIONS(20),
  },
  [147] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [148] = {
    [sym_literal_value] = STATE(307),
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_LT_DASH] = ACTIONS(581),
    [anon_sym_COLON_EQ] = ACTIONS(581),
    [anon_sym_STAR_EQ] = ACTIONS(581),
    [anon_sym_SLASH_EQ] = ACTIONS(581),
    [anon_sym_PERCENT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT_EQ] = ACTIONS(581),
    [anon_sym_GT_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_EQ] = ACTIONS(581),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS_EQ] = ACTIONS(581),
    [anon_sym_DASH_EQ] = ACTIONS(581),
    [anon_sym_PIPE_EQ] = ACTIONS(581),
    [anon_sym_CARET_EQ] = ACTIONS(581),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [149] = {
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_RPAREN] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [anon_sym_STAR_EQ] = ACTIONS(593),
    [anon_sym_SLASH_EQ] = ACTIONS(593),
    [anon_sym_PERCENT_EQ] = ACTIONS(593),
    [anon_sym_LT_LT_EQ] = ACTIONS(593),
    [anon_sym_GT_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_EQ] = ACTIONS(593),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS_EQ] = ACTIONS(593),
    [anon_sym_DASH_EQ] = ACTIONS(593),
    [anon_sym_PIPE_EQ] = ACTIONS(593),
    [anon_sym_CARET_EQ] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(20),
  },
  [150] = {
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_LT_DASH] = ACTIONS(581),
    [anon_sym_COLON_EQ] = ACTIONS(581),
    [anon_sym_STAR_EQ] = ACTIONS(581),
    [anon_sym_SLASH_EQ] = ACTIONS(581),
    [anon_sym_PERCENT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT_EQ] = ACTIONS(581),
    [anon_sym_GT_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_EQ] = ACTIONS(581),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS_EQ] = ACTIONS(581),
    [anon_sym_DASH_EQ] = ACTIONS(581),
    [anon_sym_PIPE_EQ] = ACTIONS(581),
    [anon_sym_CARET_EQ] = ACTIONS(581),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [151] = {
    [anon_sym_LPAREN] = ACTIONS(597),
    [sym_comment] = ACTIONS(20),
  },
  [152] = {
    [sym_literal_value] = STATE(309),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_RPAREN] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(591),
    [sym_comment] = ACTIONS(20),
  },
  [153] = {
    [sym_literal_value] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(591),
    [sym_comment] = ACTIONS(20),
  },
  [154] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [155] = {
    [sym_field_declaration] = STATE(323),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(625),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [156] = {
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_COLON] = ACTIONS(629),
    [sym_comment] = ACTIONS(20),
  },
  [157] = {
    [sym_method_spec] = STATE(327),
    [sym_qualified_type] = STATE(327),
    [anon_sym_RBRACE] = ACTIONS(631),
    [sym_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(20),
  },
  [158] = {
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(635),
    [sym_comment] = ACTIONS(20),
  },
  [159] = {
    [sym_parenthesized_type] = STATE(334),
    [sym__simple_type] = STATE(334),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [160] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(649),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [161] = {
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(651),
    [sym_comment] = ACTIONS(20),
  },
  [162] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [163] = {
    [sym_identifier] = ACTIONS(653),
    [sym_comment] = ACTIONS(20),
  },
  [164] = {
    [sym_expression_list] = STATE(338),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [165] = {
    [anon_sym_EQ] = ACTIONS(655),
    [sym_comment] = ACTIONS(20),
  },
  [166] = {
    [aux_sym_const_spec_repeat1] = STATE(166),
    [ts_builtin_sym_end] = ACTIONS(493),
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_package] = ACTIONS(493),
    [anon_sym_import] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_const] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(657),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_var] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_type] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [167] = {
    [sym_expression_list] = STATE(181),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [168] = {
    [sym_parameter_list] = STATE(341),
    [anon_sym_LPAREN] = ACTIONS(660),
    [sym_comment] = ACTIONS(20),
  },
  [169] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [170] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(343),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(662),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [171] = {
    [anon_sym_LBRACK] = ACTIONS(664),
    [sym_comment] = ACTIONS(20),
  },
  [172] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(666),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [173] = {
    [anon_sym_chan] = ACTIONS(668),
    [sym_comment] = ACTIONS(20),
  },
  [174] = {
    [anon_sym_LF] = ACTIONS(358),
    [anon_sym_SEMI] = ACTIONS(358),
    [anon_sym_EQ] = ACTIONS(670),
    [sym_comment] = ACTIONS(54),
  },
  [175] = {
    [sym_parenthesized_type] = STATE(348),
    [sym__simple_type] = STATE(348),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(672),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [176] = {
    [anon_sym_RPAREN] = ACTIONS(674),
    [sym_identifier] = ACTIONS(676),
    [sym_comment] = ACTIONS(20),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(678),
    [anon_sym_LF] = ACTIONS(678),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_package] = ACTIONS(678),
    [anon_sym_import] = ACTIONS(678),
    [anon_sym_const] = ACTIONS(678),
    [anon_sym_var] = ACTIONS(678),
    [anon_sym_func] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(678),
    [sym_default_case] = ACTIONS(678),
    [sym_comment] = ACTIONS(54),
  },
  [178] = {
    [sym_var_spec] = STATE(60),
    [aux_sym_var_declaration_repeat1] = STATE(178),
    [anon_sym_RPAREN] = ACTIONS(674),
    [sym_identifier] = ACTIONS(680),
    [sym_comment] = ACTIONS(20),
  },
  [179] = {
    [anon_sym_RPAREN] = ACTIONS(683),
    [sym_comment] = ACTIONS(20),
  },
  [180] = {
    [anon_sym_LPAREN] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(685),
    [anon_sym_EQ] = ACTIONS(685),
    [anon_sym_func] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(687),
    [anon_sym_interface] = ACTIONS(687),
    [anon_sym_map] = ACTIONS(687),
    [anon_sym_chan] = ACTIONS(687),
    [anon_sym_LT_DASH] = ACTIONS(685),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(20),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(689),
    [anon_sym_LF] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_package] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_const] = ACTIONS(689),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_func] = ACTIONS(689),
    [anon_sym_type] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_case] = ACTIONS(689),
    [sym_default_case] = ACTIONS(689),
    [sym_comment] = ACTIONS(54),
  },
  [182] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(691),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_package] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_const] = ACTIONS(691),
    [anon_sym_EQ] = ACTIONS(691),
    [anon_sym_var] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(693),
    [anon_sym_type] = ACTIONS(691),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(700),
    [anon_sym_chan] = ACTIONS(702),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(706),
    [anon_sym_LF] = ACTIONS(706),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_package] = ACTIONS(706),
    [anon_sym_import] = ACTIONS(706),
    [anon_sym_const] = ACTIONS(706),
    [anon_sym_EQ] = ACTIONS(706),
    [anon_sym_var] = ACTIONS(706),
    [anon_sym_func] = ACTIONS(706),
    [anon_sym_type] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(706),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_case] = ACTIONS(706),
    [sym_default_case] = ACTIONS(706),
    [sym_raw_string_literal] = ACTIONS(706),
    [sym_interpreted_string_literal] = ACTIONS(706),
    [sym_comment] = ACTIONS(54),
  },
  [184] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [185] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(708),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [186] = {
    [sym_field_declaration] = STATE(354),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(710),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(712),
    [anon_sym_LF] = ACTIONS(712),
    [anon_sym_SEMI] = ACTIONS(712),
    [anon_sym_package] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(712),
    [anon_sym_const] = ACTIONS(712),
    [anon_sym_EQ] = ACTIONS(712),
    [anon_sym_var] = ACTIONS(712),
    [anon_sym_func] = ACTIONS(712),
    [anon_sym_type] = ACTIONS(712),
    [anon_sym_LBRACE] = ACTIONS(712),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_case] = ACTIONS(712),
    [sym_default_case] = ACTIONS(712),
    [sym_raw_string_literal] = ACTIONS(712),
    [sym_interpreted_string_literal] = ACTIONS(712),
    [sym_comment] = ACTIONS(54),
  },
  [188] = {
    [sym_method_spec] = STATE(357),
    [sym_qualified_type] = STATE(357),
    [anon_sym_RBRACE] = ACTIONS(714),
    [sym_identifier] = ACTIONS(716),
    [sym_comment] = ACTIONS(20),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(718),
    [anon_sym_LF] = ACTIONS(718),
    [anon_sym_SEMI] = ACTIONS(718),
    [anon_sym_package] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(718),
    [anon_sym_const] = ACTIONS(718),
    [anon_sym_EQ] = ACTIONS(718),
    [anon_sym_var] = ACTIONS(718),
    [anon_sym_func] = ACTIONS(718),
    [anon_sym_type] = ACTIONS(718),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_case] = ACTIONS(718),
    [sym_default_case] = ACTIONS(718),
    [sym_raw_string_literal] = ACTIONS(718),
    [sym_interpreted_string_literal] = ACTIONS(718),
    [sym_comment] = ACTIONS(54),
  },
  [190] = {
    [sym_parenthesized_type] = STATE(358),
    [sym__simple_type] = STATE(358),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [191] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(720),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(722),
    [anon_sym_LF] = ACTIONS(722),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_package] = ACTIONS(722),
    [anon_sym_import] = ACTIONS(722),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_EQ] = ACTIONS(722),
    [anon_sym_var] = ACTIONS(722),
    [anon_sym_func] = ACTIONS(722),
    [anon_sym_type] = ACTIONS(722),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_case] = ACTIONS(722),
    [sym_default_case] = ACTIONS(722),
    [sym_raw_string_literal] = ACTIONS(722),
    [sym_interpreted_string_literal] = ACTIONS(722),
    [sym_comment] = ACTIONS(54),
  },
  [193] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [194] = {
    [sym_identifier] = ACTIONS(724),
    [sym_comment] = ACTIONS(20),
  },
  [195] = {
    [sym_expression_list] = STATE(362),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(689),
    [anon_sym_LF] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_package] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_const] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_func] = ACTIONS(689),
    [anon_sym_type] = ACTIONS(689),
    [sym_comment] = ACTIONS(54),
  },
  [197] = {
    [aux_sym_const_spec_repeat1] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(685),
    [anon_sym_func] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(687),
    [anon_sym_interface] = ACTIONS(687),
    [anon_sym_map] = ACTIONS(687),
    [anon_sym_chan] = ACTIONS(687),
    [anon_sym_LT_DASH] = ACTIONS(685),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(20),
  },
  [198] = {
    [anon_sym_LPAREN] = ACTIONS(731),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_EQ] = ACTIONS(731),
    [anon_sym_RBRACK] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COLON] = ACTIONS(731),
    [sym_identifier] = ACTIONS(733),
    [sym_comment] = ACTIONS(20),
  },
  [199] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [200] = {
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_COMMA] = ACTIONS(735),
    [sym_comment] = ACTIONS(20),
  },
  [201] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [202] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [203] = {
    [sym_parenthesized_type] = STATE(365),
    [sym__simple_type] = STATE(365),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [204] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [205] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [206] = {
    [sym_parenthesized_type] = STATE(367),
    [sym__simple_type] = STATE(367),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [207] = {
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(20),
  },
  [208] = {
    [sym_parenthesized_type] = STATE(368),
    [sym__simple_type] = STATE(368),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(369),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [209] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [210] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_COMMA] = ACTIONS(745),
    [sym_comment] = ACTIONS(20),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym_LF] = ACTIONS(747),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(747),
    [anon_sym_func] = ACTIONS(747),
    [anon_sym_type] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_struct] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_interface] = ACTIONS(747),
    [anon_sym_map] = ACTIONS(747),
    [anon_sym_chan] = ACTIONS(747),
    [anon_sym_LT_DASH] = ACTIONS(747),
    [sym_identifier] = ACTIONS(747),
    [sym_raw_string_literal] = ACTIONS(747),
    [sym_interpreted_string_literal] = ACTIONS(747),
    [sym_comment] = ACTIONS(54),
  },
  [212] = {
    [anon_sym_RPAREN] = ACTIONS(749),
    [sym_comment] = ACTIONS(20),
  },
  [213] = {
    [aux_sym_parameter_list_repeat1] = STATE(376),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_COMMA] = ACTIONS(751),
    [sym_comment] = ACTIONS(20),
  },
  [214] = {
    [sym_parameter_declaration] = STATE(379),
    [sym_variadic_parameter_declaration] = STATE(379),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [215] = {
    [sym_parameter_list] = STATE(380),
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(20),
  },
  [216] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [217] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(382),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [218] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(413),
    [sym__statement] = STATE(414),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(787),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [219] = {
    [anon_sym_LBRACK] = ACTIONS(825),
    [sym_comment] = ACTIONS(20),
  },
  [220] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(827),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [221] = {
    [anon_sym_chan] = ACTIONS(829),
    [sym_comment] = ACTIONS(20),
  },
  [222] = {
    [sym_block] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(831),
    [anon_sym_LF] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_package] = ACTIONS(831),
    [anon_sym_import] = ACTIONS(831),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_var] = ACTIONS(831),
    [anon_sym_func] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_LBRACE] = ACTIONS(407),
    [sym_comment] = ACTIONS(54),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(831),
    [anon_sym_LF] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_package] = ACTIONS(831),
    [anon_sym_import] = ACTIONS(831),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_var] = ACTIONS(831),
    [anon_sym_func] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [sym_comment] = ACTIONS(54),
  },
  [224] = {
    [sym_parameter_list] = STATE(422),
    [sym__simple_type] = STATE(422),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_block] = STATE(423),
    [sym_qualified_type] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(833),
    [anon_sym_LF] = ACTIONS(833),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_package] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_const] = ACTIONS(833),
    [anon_sym_var] = ACTIONS(833),
    [anon_sym_func] = ACTIONS(399),
    [anon_sym_type] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(411),
    [anon_sym_chan] = ACTIONS(413),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [225] = {
    [sym_parenthesized_type] = STATE(235),
    [sym__simple_type] = STATE(235),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [226] = {
    [sym_parameter_list] = STATE(424),
    [anon_sym_LPAREN] = ACTIONS(660),
    [sym_comment] = ACTIONS(20),
  },
  [227] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [228] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(426),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [229] = {
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_comment] = ACTIONS(20),
  },
  [230] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [231] = {
    [anon_sym_chan] = ACTIONS(841),
    [sym_comment] = ACTIONS(20),
  },
  [232] = {
    [anon_sym_RPAREN] = ACTIONS(843),
    [sym_identifier] = ACTIONS(845),
    [sym_comment] = ACTIONS(20),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(847),
    [anon_sym_LF] = ACTIONS(847),
    [anon_sym_SEMI] = ACTIONS(847),
    [anon_sym_package] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(847),
    [anon_sym_const] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(847),
    [anon_sym_func] = ACTIONS(847),
    [anon_sym_type] = ACTIONS(847),
    [anon_sym_RBRACE] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(847),
    [sym_default_case] = ACTIONS(847),
    [sym_comment] = ACTIONS(54),
  },
  [234] = {
    [sym_type_alias] = STATE(94),
    [sym_type_spec] = STATE(94),
    [aux_sym_type_declaration_repeat1] = STATE(234),
    [anon_sym_RPAREN] = ACTIONS(843),
    [sym_identifier] = ACTIONS(849),
    [sym_comment] = ACTIONS(20),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(852),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_func] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [sym_default_case] = ACTIONS(852),
    [sym_comment] = ACTIONS(54),
  },
  [236] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(691),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_package] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_const] = ACTIONS(691),
    [anon_sym_var] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(854),
    [anon_sym_type] = ACTIONS(691),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(861),
    [anon_sym_chan] = ACTIONS(863),
    [anon_sym_LT_DASH] = ACTIONS(865),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [237] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [238] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [239] = {
    [sym_parenthesized_type] = STATE(431),
    [sym__simple_type] = STATE(431),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [240] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(869),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [241] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [242] = {
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [243] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [244] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [245] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [246] = {
    [sym_argument_list] = STATE(294),
    [aux_sym_expression_list_repeat1] = STATE(439),
    [anon_sym_LF] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(879),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [sym_comment] = ACTIONS(54),
  },
  [247] = {
    [sym_expression_list] = STATE(338),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [248] = {
    [anon_sym_EQ] = ACTIONS(883),
    [sym_comment] = ACTIONS(20),
  },
  [249] = {
    [aux_sym_const_spec_repeat1] = STATE(249),
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [250] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [251] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [252] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [253] = {
    [sym_parenthesized_type] = STATE(442),
    [sym__simple_type] = STATE(442),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [254] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(890),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [255] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [256] = {
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_RPAREN] = ACTIONS(892),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_COLON] = ACTIONS(892),
    [sym_comment] = ACTIONS(20),
  },
  [257] = {
    [sym_parameter_list] = STATE(444),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [258] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [259] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(446),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [260] = {
    [anon_sym_LBRACK] = ACTIONS(896),
    [sym_comment] = ACTIONS(20),
  },
  [261] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(906),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [262] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(910),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [263] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [264] = {
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_RPAREN] = ACTIONS(491),
    [sym_comment] = ACTIONS(20),
  },
  [265] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(916),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(930),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [sym_comment] = ACTIONS(20),
  },
  [266] = {
    [sym_parameter_list] = STATE(468),
    [sym__simple_type] = STATE(468),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(469),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [267] = {
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_RPAREN] = ACTIONS(573),
    [sym_comment] = ACTIONS(20),
  },
  [268] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(947),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [anon_sym_package] = ACTIONS(947),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(947),
    [anon_sym_func] = ACTIONS(947),
    [anon_sym_type] = ACTIONS(947),
    [anon_sym_STAR] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(947),
    [sym_default_case] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_CARET] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(947),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(947),
    [anon_sym_GT_GT] = ACTIONS(947),
    [anon_sym_AMP_CARET] = ACTIONS(947),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_EQ_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_AMP_AMP] = ACTIONS(947),
    [anon_sym_PIPE_PIPE] = ACTIONS(947),
    [sym_comment] = ACTIONS(54),
  },
  [269] = {
    [anon_sym_RBRACK] = ACTIONS(949),
    [sym_comment] = ACTIONS(20),
  },
  [270] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [271] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [272] = {
    [sym_parenthesized_type] = STATE(472),
    [sym__simple_type] = STATE(472),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [273] = {
    [sym_parameter_list] = STATE(473),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [274] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [275] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(476),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [276] = {
    [anon_sym_LBRACK] = ACTIONS(957),
    [sym_comment] = ACTIONS(20),
  },
  [277] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [278] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [279] = {
    [sym_parenthesized_type] = STATE(478),
    [sym__simple_type] = STATE(478),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(959),
    [anon_sym_LF] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_package] = ACTIONS(959),
    [anon_sym_import] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_func] = ACTIONS(959),
    [anon_sym_type] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(959),
    [sym_default_case] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_AMP_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [sym_comment] = ACTIONS(54),
  },
  [281] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(486),
    [sym_element] = STATE(486),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(971),
    [anon_sym_LF] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(971),
    [anon_sym_DOT] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_func] = ACTIONS(971),
    [anon_sym_type] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(971),
    [sym_default_case] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_CARET] = ACTIONS(971),
    [anon_sym_AMP] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(971),
    [anon_sym_LT_LT] = ACTIONS(971),
    [anon_sym_GT_GT] = ACTIONS(971),
    [anon_sym_AMP_CARET] = ACTIONS(971),
    [anon_sym_PIPE] = ACTIONS(971),
    [anon_sym_EQ_EQ] = ACTIONS(971),
    [anon_sym_BANG_EQ] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_LT_EQ] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(971),
    [anon_sym_GT_EQ] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(971),
    [anon_sym_PIPE_PIPE] = ACTIONS(971),
    [sym_comment] = ACTIONS(54),
  },
  [283] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(979),
    [anon_sym_LF] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_package] = ACTIONS(979),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_DOT] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_func] = ACTIONS(979),
    [anon_sym_type] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(979),
    [sym_default_case] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_CARET] = ACTIONS(979),
    [anon_sym_AMP] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(979),
    [anon_sym_GT_GT] = ACTIONS(979),
    [anon_sym_AMP_CARET] = ACTIONS(979),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(979),
    [anon_sym_BANG_EQ] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_LT_EQ] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(979),
    [anon_sym_GT_EQ] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(979),
    [anon_sym_PIPE_PIPE] = ACTIONS(979),
    [sym_comment] = ACTIONS(54),
  },
  [285] = {
    [anon_sym_LPAREN] = ACTIONS(981),
    [sym_identifier] = ACTIONS(983),
    [sym_comment] = ACTIONS(20),
  },
  [286] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(497),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(498),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(985),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [287] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(499),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [288] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [289] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [290] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(506),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [291] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(507),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [292] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(508),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [293] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(509),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1001),
    [anon_sym_LF] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(1001),
    [anon_sym_package] = ACTIONS(1001),
    [anon_sym_import] = ACTIONS(1001),
    [anon_sym_DOT] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_const] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [anon_sym_var] = ACTIONS(1001),
    [anon_sym_func] = ACTIONS(1001),
    [anon_sym_type] = ACTIONS(1001),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_case] = ACTIONS(1001),
    [sym_default_case] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_CARET] = ACTIONS(1001),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_SLASH] = ACTIONS(1001),
    [anon_sym_PERCENT] = ACTIONS(1001),
    [anon_sym_LT_LT] = ACTIONS(1001),
    [anon_sym_GT_GT] = ACTIONS(1001),
    [anon_sym_AMP_CARET] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1001),
    [anon_sym_EQ_EQ] = ACTIONS(1001),
    [anon_sym_BANG_EQ] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1001),
    [anon_sym_LT_EQ] = ACTIONS(1001),
    [anon_sym_GT] = ACTIONS(1001),
    [anon_sym_GT_EQ] = ACTIONS(1001),
    [anon_sym_AMP_AMP] = ACTIONS(1001),
    [anon_sym_PIPE_PIPE] = ACTIONS(1001),
    [sym_comment] = ACTIONS(54),
  },
  [295] = {
    [aux_sym_expression_list_repeat1] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [anon_sym_LF] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_package] = ACTIONS(1003),
    [anon_sym_import] = ACTIONS(1003),
    [anon_sym_const] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(553),
    [anon_sym_var] = ACTIONS(1003),
    [anon_sym_func] = ACTIONS(1003),
    [anon_sym_type] = ACTIONS(1003),
    [sym_comment] = ACTIONS(54),
  },
  [296] = {
    [anon_sym_LPAREN] = ACTIONS(366),
    [anon_sym_RPAREN] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(366),
    [anon_sym_EQ] = ACTIONS(366),
    [anon_sym_func] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_LBRACK] = ACTIONS(366),
    [anon_sym_RBRACK] = ACTIONS(366),
    [anon_sym_struct] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(366),
    [anon_sym_interface] = ACTIONS(368),
    [anon_sym_map] = ACTIONS(368),
    [anon_sym_chan] = ACTIONS(368),
    [anon_sym_LT_DASH] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(366),
    [sym_identifier] = ACTIONS(747),
    [sym_comment] = ACTIONS(20),
  },
  [297] = {
    [anon_sym_RPAREN] = ACTIONS(1005),
    [sym_comment] = ACTIONS(20),
  },
  [298] = {
    [aux_sym_parameter_list_repeat1] = STATE(513),
    [anon_sym_RPAREN] = ACTIONS(1005),
    [anon_sym_COMMA] = ACTIONS(1007),
    [sym_comment] = ACTIONS(20),
  },
  [299] = {
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_RPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1009),
    [anon_sym_EQ] = ACTIONS(1009),
    [anon_sym_RBRACK] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_COLON] = ACTIONS(1009),
    [sym_comment] = ACTIONS(20),
  },
  [300] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(930),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [sym_comment] = ACTIONS(20),
  },
  [301] = {
    [sym_parameter_list] = STATE(516),
    [sym__simple_type] = STATE(516),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(517),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [302] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1015),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1015),
    [anon_sym_COMMA] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(1019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [anon_sym_LT_DASH] = ACTIONS(1015),
    [anon_sym_COLON_EQ] = ACTIONS(1015),
    [anon_sym_STAR_EQ] = ACTIONS(1015),
    [anon_sym_SLASH_EQ] = ACTIONS(1015),
    [anon_sym_PERCENT_EQ] = ACTIONS(1015),
    [anon_sym_LT_LT_EQ] = ACTIONS(1015),
    [anon_sym_GT_GT_EQ] = ACTIONS(1015),
    [anon_sym_AMP_EQ] = ACTIONS(1015),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1015),
    [anon_sym_PLUS_EQ] = ACTIONS(1015),
    [anon_sym_DASH_EQ] = ACTIONS(1015),
    [anon_sym_PIPE_EQ] = ACTIONS(1015),
    [anon_sym_CARET_EQ] = ACTIONS(1015),
    [anon_sym_COLON] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1019),
    [anon_sym_PERCENT] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1015),
    [anon_sym_BANG_EQ] = ACTIONS(1015),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1015),
    [anon_sym_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1015),
    [anon_sym_AMP_AMP] = ACTIONS(1015),
    [anon_sym_PIPE_PIPE] = ACTIONS(1015),
    [sym_comment] = ACTIONS(20),
  },
  [303] = {
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_RPAREN] = ACTIONS(1021),
    [anon_sym_COMMA] = ACTIONS(1021),
    [anon_sym_EQ] = ACTIONS(1021),
    [anon_sym_RBRACK] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(1021),
    [anon_sym_COLON] = ACTIONS(1021),
    [sym_comment] = ACTIONS(20),
  },
  [304] = {
    [sym_parenthesized_type] = STATE(518),
    [sym__simple_type] = STATE(518),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [305] = {
    [anon_sym_SEMI] = ACTIONS(1023),
    [anon_sym_DOT] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_RPAREN] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_STAR] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_RBRACK] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [anon_sym_LT_DASH] = ACTIONS(1023),
    [anon_sym_COLON_EQ] = ACTIONS(1023),
    [anon_sym_STAR_EQ] = ACTIONS(1023),
    [anon_sym_SLASH_EQ] = ACTIONS(1023),
    [anon_sym_PERCENT_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT_EQ] = ACTIONS(1023),
    [anon_sym_GT_GT_EQ] = ACTIONS(1023),
    [anon_sym_AMP_EQ] = ACTIONS(1023),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1023),
    [anon_sym_PLUS_EQ] = ACTIONS(1023),
    [anon_sym_DASH_EQ] = ACTIONS(1023),
    [anon_sym_PIPE_EQ] = ACTIONS(1023),
    [anon_sym_CARET_EQ] = ACTIONS(1023),
    [anon_sym_COLON] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_CARET] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(1025),
    [anon_sym_SLASH] = ACTIONS(1025),
    [anon_sym_PERCENT] = ACTIONS(1025),
    [anon_sym_LT_LT] = ACTIONS(1025),
    [anon_sym_GT_GT] = ACTIONS(1025),
    [anon_sym_AMP_CARET] = ACTIONS(1025),
    [anon_sym_PIPE] = ACTIONS(1025),
    [anon_sym_EQ_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_GT] = ACTIONS(1025),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_AMP_AMP] = ACTIONS(1023),
    [anon_sym_PIPE_PIPE] = ACTIONS(1023),
    [sym_comment] = ACTIONS(20),
  },
  [306] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(520),
    [sym_element] = STATE(520),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [307] = {
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_RPAREN] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_RBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_COLON] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_CARET] = ACTIONS(1031),
    [anon_sym_AMP] = ACTIONS(1031),
    [anon_sym_SLASH] = ACTIONS(1031),
    [anon_sym_PERCENT] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1031),
    [anon_sym_AMP_CARET] = ACTIONS(1031),
    [anon_sym_PIPE] = ACTIONS(1031),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(20),
  },
  [308] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [309] = {
    [anon_sym_SEMI] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1033),
    [anon_sym_STAR] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT_DASH] = ACTIONS(1033),
    [anon_sym_COLON_EQ] = ACTIONS(1033),
    [anon_sym_STAR_EQ] = ACTIONS(1033),
    [anon_sym_SLASH_EQ] = ACTIONS(1033),
    [anon_sym_PERCENT_EQ] = ACTIONS(1033),
    [anon_sym_LT_LT_EQ] = ACTIONS(1033),
    [anon_sym_GT_GT_EQ] = ACTIONS(1033),
    [anon_sym_AMP_EQ] = ACTIONS(1033),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1033),
    [anon_sym_PLUS_EQ] = ACTIONS(1033),
    [anon_sym_DASH_EQ] = ACTIONS(1033),
    [anon_sym_PIPE_EQ] = ACTIONS(1033),
    [anon_sym_CARET_EQ] = ACTIONS(1033),
    [anon_sym_COLON] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_CARET] = ACTIONS(1035),
    [anon_sym_AMP] = ACTIONS(1035),
    [anon_sym_SLASH] = ACTIONS(1035),
    [anon_sym_PERCENT] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1035),
    [anon_sym_GT_GT] = ACTIONS(1035),
    [anon_sym_AMP_CARET] = ACTIONS(1035),
    [anon_sym_PIPE] = ACTIONS(1035),
    [anon_sym_EQ_EQ] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_LT_EQ] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1033),
    [anon_sym_AMP_AMP] = ACTIONS(1033),
    [anon_sym_PIPE_PIPE] = ACTIONS(1033),
    [sym_comment] = ACTIONS(20),
  },
  [310] = {
    [anon_sym_LPAREN] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(20),
  },
  [311] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(525),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(526),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [312] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [313] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(529),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [314] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [315] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(531),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [316] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(532),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [317] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(533),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [318] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [319] = {
    [anon_sym_SEMI] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(1045),
    [anon_sym_COMMA] = ACTIONS(1045),
    [anon_sym_EQ] = ACTIONS(1047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1045),
    [anon_sym_STAR] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_LT_DASH] = ACTIONS(1045),
    [anon_sym_COLON_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1045),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_COLON] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_CARET] = ACTIONS(1047),
    [anon_sym_AMP] = ACTIONS(1047),
    [anon_sym_SLASH] = ACTIONS(1047),
    [anon_sym_PERCENT] = ACTIONS(1047),
    [anon_sym_LT_LT] = ACTIONS(1047),
    [anon_sym_GT_GT] = ACTIONS(1047),
    [anon_sym_AMP_CARET] = ACTIONS(1047),
    [anon_sym_PIPE] = ACTIONS(1047),
    [anon_sym_EQ_EQ] = ACTIONS(1045),
    [anon_sym_BANG_EQ] = ACTIONS(1045),
    [anon_sym_LT] = ACTIONS(1047),
    [anon_sym_LT_EQ] = ACTIONS(1045),
    [anon_sym_GT] = ACTIONS(1047),
    [anon_sym_GT_EQ] = ACTIONS(1045),
    [anon_sym_AMP_AMP] = ACTIONS(1045),
    [anon_sym_PIPE_PIPE] = ACTIONS(1045),
    [sym_comment] = ACTIONS(20),
  },
  [320] = {
    [sym_qualified_type] = STATE(536),
    [sym_identifier] = ACTIONS(1049),
    [sym_comment] = ACTIONS(20),
  },
  [321] = {
    [anon_sym_LPAREN] = ACTIONS(1051),
    [anon_sym_RPAREN] = ACTIONS(1051),
    [anon_sym_COMMA] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(1051),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_COLON] = ACTIONS(1051),
    [sym_comment] = ACTIONS(20),
  },
  [322] = {
    [sym_parenthesized_type] = STATE(544),
    [sym__simple_type] = STATE(544),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [sym__string_literal] = STATE(545),
    [aux_sym_field_name_list_repeat1] = STATE(546),
    [anon_sym_LF] = ACTIONS(1053),
    [anon_sym_SEMI] = ACTIONS(1053),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_COMMA] = ACTIONS(1057),
    [anon_sym_func] = ACTIONS(1059),
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1065),
    [anon_sym_chan] = ACTIONS(1067),
    [anon_sym_LT_DASH] = ACTIONS(1069),
    [sym_identifier] = ACTIONS(128),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [323] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(549),
    [anon_sym_LF] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [sym_comment] = ACTIONS(54),
  },
  [324] = {
    [sym__string_literal] = STATE(550),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [325] = {
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_RBRACK] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(1079),
    [sym_comment] = ACTIONS(20),
  },
  [326] = {
    [sym_parameter_list] = STATE(553),
    [aux_sym_method_spec_list_repeat1] = STATE(554),
    [anon_sym_LF] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1081),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [sym_comment] = ACTIONS(54),
  },
  [327] = {
    [aux_sym_method_spec_list_repeat1] = STATE(557),
    [anon_sym_LF] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [sym_comment] = ACTIONS(54),
  },
  [328] = {
    [sym_parameter_list] = STATE(558),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [329] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [330] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(560),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1091),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [331] = {
    [anon_sym_LBRACK] = ACTIONS(1093),
    [sym_comment] = ACTIONS(20),
  },
  [332] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(1095),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [333] = {
    [anon_sym_chan] = ACTIONS(1097),
    [sym_comment] = ACTIONS(20),
  },
  [334] = {
    [anon_sym_RBRACK] = ACTIONS(1099),
    [sym_comment] = ACTIONS(20),
  },
  [335] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(304),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [336] = {
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1101),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_RBRACK] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COLON] = ACTIONS(1101),
    [sym_comment] = ACTIONS(20),
  },
  [337] = {
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_COLON] = ACTIONS(1103),
    [sym_comment] = ACTIONS(20),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1105),
    [anon_sym_LF] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_package] = ACTIONS(1105),
    [anon_sym_import] = ACTIONS(1105),
    [anon_sym_const] = ACTIONS(1105),
    [anon_sym_var] = ACTIONS(1105),
    [anon_sym_func] = ACTIONS(1105),
    [anon_sym_type] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_case] = ACTIONS(1105),
    [sym_default_case] = ACTIONS(1105),
    [sym_comment] = ACTIONS(54),
  },
  [339] = {
    [sym_expression_list] = STATE(565),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [340] = {
    [sym_parameter_declaration] = STATE(568),
    [sym_variadic_parameter_declaration] = STATE(568),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [341] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(1113),
    [anon_sym_STAR] = ACTIONS(1115),
    [anon_sym_LBRACK] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1119),
    [anon_sym_chan] = ACTIONS(1121),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [342] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [343] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [344] = {
    [sym_parenthesized_type] = STATE(570),
    [sym__simple_type] = STATE(570),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [345] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(1127),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [346] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [347] = {
    [sym_expression_list] = STATE(362),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [348] = {
    [anon_sym_LF] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(1129),
    [sym_comment] = ACTIONS(54),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [anon_sym_LF] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_package] = ACTIONS(1131),
    [anon_sym_import] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_var] = ACTIONS(1131),
    [anon_sym_func] = ACTIONS(1131),
    [anon_sym_type] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [sym_default_case] = ACTIONS(1131),
    [sym_raw_string_literal] = ACTIONS(1131),
    [sym_interpreted_string_literal] = ACTIONS(1131),
    [sym_comment] = ACTIONS(54),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [anon_sym_LF] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym_package] = ACTIONS(1133),
    [anon_sym_import] = ACTIONS(1133),
    [anon_sym_const] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(1133),
    [anon_sym_var] = ACTIONS(1133),
    [anon_sym_func] = ACTIONS(1133),
    [anon_sym_type] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_case] = ACTIONS(1133),
    [sym_default_case] = ACTIONS(1133),
    [sym_raw_string_literal] = ACTIONS(1133),
    [sym_interpreted_string_literal] = ACTIONS(1133),
    [sym_comment] = ACTIONS(54),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1135),
    [anon_sym_LF] = ACTIONS(1135),
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_package] = ACTIONS(1135),
    [anon_sym_import] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_var] = ACTIONS(1135),
    [anon_sym_func] = ACTIONS(1135),
    [anon_sym_type] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [sym_default_case] = ACTIONS(1135),
    [sym_raw_string_literal] = ACTIONS(1135),
    [sym_interpreted_string_literal] = ACTIONS(1135),
    [sym_comment] = ACTIONS(54),
  },
  [352] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1137),
    [anon_sym_LF] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_package] = ACTIONS(1137),
    [anon_sym_import] = ACTIONS(1137),
    [anon_sym_const] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(1137),
    [anon_sym_func] = ACTIONS(1137),
    [anon_sym_type] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_case] = ACTIONS(1137),
    [sym_default_case] = ACTIONS(1137),
    [sym_raw_string_literal] = ACTIONS(1137),
    [sym_interpreted_string_literal] = ACTIONS(1137),
    [sym_comment] = ACTIONS(54),
  },
  [354] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(576),
    [anon_sym_LF] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(54),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [anon_sym_LF] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_package] = ACTIONS(1143),
    [anon_sym_import] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_func] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [sym_default_case] = ACTIONS(1143),
    [sym_raw_string_literal] = ACTIONS(1143),
    [sym_interpreted_string_literal] = ACTIONS(1143),
    [sym_comment] = ACTIONS(54),
  },
  [356] = {
    [sym_parameter_list] = STATE(553),
    [aux_sym_method_spec_list_repeat1] = STATE(579),
    [anon_sym_LF] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [sym_comment] = ACTIONS(54),
  },
  [357] = {
    [aux_sym_method_spec_list_repeat1] = STATE(582),
    [anon_sym_LF] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [sym_comment] = ACTIONS(54),
  },
  [358] = {
    [anon_sym_RBRACK] = ACTIONS(1153),
    [sym_comment] = ACTIONS(20),
  },
  [359] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(350),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1155),
    [anon_sym_LF] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_EQ] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(1155),
    [anon_sym_func] = ACTIONS(1155),
    [anon_sym_type] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [sym_default_case] = ACTIONS(1155),
    [sym_raw_string_literal] = ACTIONS(1155),
    [sym_interpreted_string_literal] = ACTIONS(1155),
    [sym_comment] = ACTIONS(54),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [anon_sym_LF] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_package] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1157),
    [anon_sym_const] = ACTIONS(1157),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_var] = ACTIONS(1157),
    [anon_sym_func] = ACTIONS(1157),
    [anon_sym_type] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1157),
    [sym_default_case] = ACTIONS(1157),
    [sym_raw_string_literal] = ACTIONS(1157),
    [sym_interpreted_string_literal] = ACTIONS(1157),
    [sym_comment] = ACTIONS(54),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1159),
    [anon_sym_LF] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_func] = ACTIONS(1159),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [sym_default_case] = ACTIONS(1159),
    [sym_comment] = ACTIONS(54),
  },
  [363] = {
    [sym_expression_list] = STATE(584),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(137),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(254),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(254),
    [anon_sym_AMP] = ACTIONS(254),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [364] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [365] = {
    [anon_sym_RBRACK] = ACTIONS(1161),
    [sym_comment] = ACTIONS(20),
  },
  [366] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(376),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [367] = {
    [anon_sym_RPAREN] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [sym_comment] = ACTIONS(20),
  },
  [368] = {
    [anon_sym_RPAREN] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [sym_comment] = ACTIONS(20),
  },
  [369] = {
    [aux_sym_const_spec_repeat1] = STATE(369),
    [anon_sym_LPAREN] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_func] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(687),
    [anon_sym_interface] = ACTIONS(687),
    [anon_sym_map] = ACTIONS(687),
    [anon_sym_chan] = ACTIONS(687),
    [anon_sym_LT_DASH] = ACTIONS(685),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(20),
  },
  [370] = {
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_RPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_RBRACK] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_COLON] = ACTIONS(1167),
    [sym_identifier] = ACTIONS(1169),
    [sym_comment] = ACTIONS(20),
  },
  [371] = {
    [anon_sym_RPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1171),
    [sym_comment] = ACTIONS(20),
  },
  [372] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1173),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [373] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1175),
    [sym_comment] = ACTIONS(20),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [anon_sym_LF] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_package] = ACTIONS(1178),
    [anon_sym_import] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_EQ] = ACTIONS(1178),
    [anon_sym_var] = ACTIONS(1178),
    [anon_sym_func] = ACTIONS(1178),
    [anon_sym_type] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_interface] = ACTIONS(1178),
    [anon_sym_map] = ACTIONS(1178),
    [anon_sym_chan] = ACTIONS(1178),
    [anon_sym_LT_DASH] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1178),
    [sym_raw_string_literal] = ACTIONS(1178),
    [sym_interpreted_string_literal] = ACTIONS(1178),
    [sym_comment] = ACTIONS(54),
  },
  [375] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1180),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [376] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(1180),
    [anon_sym_COMMA] = ACTIONS(1182),
    [sym_comment] = ACTIONS(20),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(747),
    [anon_sym_LF] = ACTIONS(747),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(747),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(747),
    [anon_sym_func] = ACTIONS(747),
    [anon_sym_type] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_case] = ACTIONS(747),
    [sym_default_case] = ACTIONS(747),
    [sym_comment] = ACTIONS(54),
  },
  [378] = {
    [anon_sym_RPAREN] = ACTIONS(1184),
    [sym_comment] = ACTIONS(20),
  },
  [379] = {
    [aux_sym_parameter_list_repeat1] = STATE(592),
    [anon_sym_RPAREN] = ACTIONS(1184),
    [anon_sym_COMMA] = ACTIONS(1186),
    [sym_comment] = ACTIONS(20),
  },
  [380] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(691),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_package] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_const] = ACTIONS(691),
    [anon_sym_var] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(1188),
    [anon_sym_type] = ACTIONS(691),
    [anon_sym_STAR] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(411),
    [anon_sym_chan] = ACTIONS(413),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [381] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [382] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [383] = {
    [anon_sym_LF] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_case] = ACTIONS(1193),
    [sym_default_case] = ACTIONS(1193),
    [sym_comment] = ACTIONS(54),
  },
  [384] = {
    [sym_parenthesized_type] = STATE(264),
    [sym__simple_type] = STATE(264),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(594),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [385] = {
    [sym_const_spec] = STATE(22),
    [anon_sym_LPAREN] = ACTIONS(32),
    [sym_identifier] = ACTIONS(1195),
    [sym_comment] = ACTIONS(20),
  },
  [386] = {
    [sym_var_spec] = STATE(25),
    [anon_sym_LPAREN] = ACTIONS(36),
    [sym_identifier] = ACTIONS(1197),
    [sym_comment] = ACTIONS(20),
  },
  [387] = {
    [sym_parameter_list] = STATE(597),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [388] = {
    [sym_type_alias] = STATE(31),
    [sym_type_spec] = STATE(31),
    [anon_sym_LPAREN] = ACTIONS(44),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(20),
  },
  [389] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [anon_sym_LF] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_package] = ACTIONS(1203),
    [anon_sym_import] = ACTIONS(1203),
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_var] = ACTIONS(1203),
    [anon_sym_func] = ACTIONS(1203),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [sym_default_case] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_AMP] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_AMP_CARET] = ACTIONS(1203),
    [anon_sym_PIPE] = ACTIONS(1203),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(54),
  },
  [391] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [392] = {
    [anon_sym_LF] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_case] = ACTIONS(1205),
    [sym_default_case] = ACTIONS(1205),
    [sym_comment] = ACTIONS(54),
  },
  [393] = {
    [anon_sym_LF] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1209),
    [sym_comment] = ACTIONS(54),
  },
  [394] = {
    [anon_sym_LF] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [sym_comment] = ACTIONS(54),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1215),
    [sym_comment] = ACTIONS(20),
  },
  [396] = {
    [sym_expression_list] = STATE(607),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LF] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_func] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(1227),
    [anon_sym_chan] = ACTIONS(1229),
    [anon_sym_LT_DASH] = ACTIONS(1231),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_make] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_int_literal] = ACTIONS(1237),
    [sym_float_literal] = ACTIONS(1237),
    [sym_imaginary_literal] = ACTIONS(1237),
    [sym_rune_literal] = ACTIONS(1237),
    [sym_comment] = ACTIONS(54),
  },
  [397] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(612),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [398] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(613),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [399] = {
    [sym_expression_list] = STATE(623),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(627),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym_if_initializer] = STATE(629),
    [sym__expression] = STATE(630),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [400] = {
    [sym_expression_list] = STATE(633),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(634),
    [sym__simple_statement] = STATE(635),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym_for_clause] = STATE(636),
    [sym_range_clause] = STATE(636),
    [sym__expression] = STATE(637),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_range] = ACTIONS(1267),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [401] = {
    [sym_expression_list] = STATE(639),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(640),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym_type_switch_guard] = STATE(641),
    [sym__expression] = STATE(642),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [402] = {
    [anon_sym_LBRACE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(20),
  },
  [403] = {
    [sym_special_argument_list] = STATE(645),
    [anon_sym_LF] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(527),
    [anon_sym_DOT] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_COMMA] = ACTIONS(527),
    [anon_sym_EQ] = ACTIONS(527),
    [anon_sym_STAR] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_COLON_EQ] = ACTIONS(527),
    [anon_sym_PLUS_PLUS] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(527),
    [anon_sym_STAR_EQ] = ACTIONS(527),
    [anon_sym_SLASH_EQ] = ACTIONS(527),
    [anon_sym_PERCENT_EQ] = ACTIONS(527),
    [anon_sym_LT_LT_EQ] = ACTIONS(527),
    [anon_sym_GT_GT_EQ] = ACTIONS(527),
    [anon_sym_AMP_EQ] = ACTIONS(527),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(527),
    [anon_sym_PLUS_EQ] = ACTIONS(527),
    [anon_sym_DASH_EQ] = ACTIONS(527),
    [anon_sym_PIPE_EQ] = ACTIONS(527),
    [anon_sym_CARET_EQ] = ACTIONS(527),
    [anon_sym_case] = ACTIONS(527),
    [sym_default_case] = ACTIONS(527),
    [anon_sym_PLUS] = ACTIONS(527),
    [anon_sym_DASH] = ACTIONS(527),
    [anon_sym_CARET] = ACTIONS(527),
    [anon_sym_AMP] = ACTIONS(527),
    [anon_sym_SLASH] = ACTIONS(527),
    [anon_sym_PERCENT] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(527),
    [anon_sym_GT_GT] = ACTIONS(527),
    [anon_sym_AMP_CARET] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(527),
    [anon_sym_EQ_EQ] = ACTIONS(527),
    [anon_sym_BANG_EQ] = ACTIONS(527),
    [anon_sym_LT] = ACTIONS(527),
    [anon_sym_LT_EQ] = ACTIONS(527),
    [anon_sym_GT] = ACTIONS(527),
    [anon_sym_GT_EQ] = ACTIONS(527),
    [anon_sym_AMP_AMP] = ACTIONS(527),
    [anon_sym_PIPE_PIPE] = ACTIONS(527),
    [sym_comment] = ACTIONS(54),
  },
  [404] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [405] = {
    [sym_literal_value] = STATE(648),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [406] = {
    [anon_sym_LF] = ACTIONS(66),
    [anon_sym_SEMI] = ACTIONS(66),
    [anon_sym_DOT] = ACTIONS(66),
    [anon_sym_LPAREN] = ACTIONS(66),
    [anon_sym_COMMA] = ACTIONS(66),
    [anon_sym_EQ] = ACTIONS(66),
    [anon_sym_STAR] = ACTIONS(66),
    [anon_sym_LBRACK] = ACTIONS(66),
    [anon_sym_RBRACE] = ACTIONS(66),
    [anon_sym_LT_DASH] = ACTIONS(66),
    [anon_sym_COLON_EQ] = ACTIONS(66),
    [anon_sym_PLUS_PLUS] = ACTIONS(66),
    [anon_sym_DASH_DASH] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(66),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_case] = ACTIONS(66),
    [sym_default_case] = ACTIONS(66),
    [anon_sym_PLUS] = ACTIONS(66),
    [anon_sym_DASH] = ACTIONS(66),
    [anon_sym_CARET] = ACTIONS(66),
    [anon_sym_AMP] = ACTIONS(66),
    [anon_sym_SLASH] = ACTIONS(66),
    [anon_sym_PERCENT] = ACTIONS(66),
    [anon_sym_LT_LT] = ACTIONS(66),
    [anon_sym_GT_GT] = ACTIONS(66),
    [anon_sym_AMP_CARET] = ACTIONS(66),
    [anon_sym_PIPE] = ACTIONS(66),
    [anon_sym_EQ_EQ] = ACTIONS(66),
    [anon_sym_BANG_EQ] = ACTIONS(66),
    [anon_sym_LT] = ACTIONS(66),
    [anon_sym_LT_EQ] = ACTIONS(66),
    [anon_sym_GT] = ACTIONS(66),
    [anon_sym_GT_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(66),
    [anon_sym_PIPE_PIPE] = ACTIONS(66),
    [sym_comment] = ACTIONS(54),
  },
  [407] = {
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [408] = {
    [anon_sym_LF] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(1279),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [sym_default_case] = ACTIONS(1279),
    [sym_comment] = ACTIONS(54),
  },
  [409] = {
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_COLON_EQ] = ACTIONS(1283),
    [anon_sym_STAR_EQ] = ACTIONS(1281),
    [anon_sym_SLASH_EQ] = ACTIONS(1281),
    [anon_sym_PERCENT_EQ] = ACTIONS(1281),
    [anon_sym_LT_LT_EQ] = ACTIONS(1281),
    [anon_sym_GT_GT_EQ] = ACTIONS(1281),
    [anon_sym_AMP_EQ] = ACTIONS(1281),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1281),
    [anon_sym_PLUS_EQ] = ACTIONS(1281),
    [anon_sym_DASH_EQ] = ACTIONS(1281),
    [anon_sym_PIPE_EQ] = ACTIONS(1281),
    [anon_sym_CARET_EQ] = ACTIONS(1281),
    [sym_comment] = ACTIONS(20),
  },
  [410] = {
    [anon_sym_LPAREN] = ACTIONS(1285),
    [sym_comment] = ACTIONS(20),
  },
  [411] = {
    [sym_literal_value] = STATE(652),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [sym_comment] = ACTIONS(20),
  },
  [412] = {
    [sym_literal_value] = STATE(652),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [sym_comment] = ACTIONS(20),
  },
  [413] = {
    [anon_sym_RBRACE] = ACTIONS(1289),
    [sym_comment] = ACTIONS(20),
  },
  [414] = {
    [aux_sym__statement_list_repeat1] = STATE(655),
    [anon_sym_LF] = ACTIONS(1291),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [sym_comment] = ACTIONS(54),
  },
  [415] = {
    [anon_sym_LF] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [sym_default_case] = ACTIONS(1295),
    [sym_comment] = ACTIONS(54),
  },
  [416] = {
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_case] = ACTIONS(1297),
    [sym_default_case] = ACTIONS(1297),
    [sym_comment] = ACTIONS(20),
  },
  [417] = {
    [sym_argument_list] = STATE(668),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_LF] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(547),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_LT_DASH] = ACTIONS(1309),
    [anon_sym_COLON_EQ] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_STAR_EQ] = ACTIONS(547),
    [anon_sym_SLASH_EQ] = ACTIONS(547),
    [anon_sym_PERCENT_EQ] = ACTIONS(547),
    [anon_sym_LT_LT_EQ] = ACTIONS(547),
    [anon_sym_GT_GT_EQ] = ACTIONS(547),
    [anon_sym_AMP_EQ] = ACTIONS(547),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(547),
    [anon_sym_PLUS_EQ] = ACTIONS(547),
    [anon_sym_DASH_EQ] = ACTIONS(547),
    [anon_sym_PIPE_EQ] = ACTIONS(547),
    [anon_sym_CARET_EQ] = ACTIONS(547),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_AMP_CARET] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_PIPE_PIPE] = ACTIONS(1321),
    [sym_comment] = ACTIONS(54),
  },
  [418] = {
    [sym_parenthesized_type] = STATE(670),
    [sym__simple_type] = STATE(670),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [419] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(1323),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [420] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [anon_sym_LF] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_package] = ACTIONS(1325),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_const] = ACTIONS(1325),
    [anon_sym_var] = ACTIONS(1325),
    [anon_sym_func] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [sym_comment] = ACTIONS(54),
  },
  [422] = {
    [sym_block] = STATE(672),
    [ts_builtin_sym_end] = ACTIONS(1327),
    [anon_sym_LF] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1327),
    [anon_sym_package] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_func] = ACTIONS(1327),
    [anon_sym_type] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(407),
    [sym_comment] = ACTIONS(54),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(1327),
    [anon_sym_LF] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1327),
    [anon_sym_package] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_func] = ACTIONS(1327),
    [anon_sym_type] = ACTIONS(1327),
    [sym_comment] = ACTIONS(54),
  },
  [424] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_func] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1335),
    [anon_sym_chan] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [425] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [426] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [427] = {
    [sym_parenthesized_type] = STATE(674),
    [sym__simple_type] = STATE(674),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [428] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(1343),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [429] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [430] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [431] = {
    [anon_sym_RBRACK] = ACTIONS(1345),
    [sym_comment] = ACTIONS(20),
  },
  [432] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(441),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [433] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(677),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [434] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [435] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(678),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [436] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(679),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [437] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(680),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [438] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(681),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [439] = {
    [aux_sym_expression_list_repeat1] = STATE(682),
    [anon_sym_LF] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(871),
    [sym_comment] = ACTIONS(54),
  },
  [440] = {
    [sym_expression_list] = STATE(565),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [441] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [442] = {
    [anon_sym_RBRACK] = ACTIONS(1347),
    [sym_comment] = ACTIONS(20),
  },
  [443] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(487),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [444] = {
    [sym_parameter_list] = STATE(516),
    [sym__simple_type] = STATE(516),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(517),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [445] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [446] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [447] = {
    [sym_parenthesized_type] = STATE(690),
    [sym__simple_type] = STATE(690),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [448] = {
    [sym_parameter_list] = STATE(691),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [449] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [450] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(694),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [451] = {
    [anon_sym_LBRACK] = ACTIONS(1365),
    [sym_comment] = ACTIONS(20),
  },
  [452] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [453] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [454] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [455] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [456] = {
    [sym_literal_value] = STATE(307),
    [anon_sym_DOT] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_AMP_CARET] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [anon_sym_LF] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_package] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_var] = ACTIONS(1374),
    [anon_sym_func] = ACTIONS(1374),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [sym_default_case] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [sym_comment] = ACTIONS(54),
  },
  [458] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [459] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(698),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [460] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(699),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [461] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(700),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [462] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(701),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [463] = {
    [sym_parameter_list] = STATE(702),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [464] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [465] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(271),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [466] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [467] = {
    [anon_sym_chan] = ACTIONS(1378),
    [sym_comment] = ACTIONS(20),
  },
  [468] = {
    [sym_block] = STATE(705),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(785),
    [sym_comment] = ACTIONS(20),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [anon_sym_LF] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_package] = ACTIONS(1380),
    [anon_sym_import] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_var] = ACTIONS(1380),
    [anon_sym_func] = ACTIONS(1380),
    [anon_sym_type] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [sym_default_case] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_AMP_AMP] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [sym_comment] = ACTIONS(54),
  },
  [470] = {
    [sym_parenthesized_type] = STATE(712),
    [sym__simple_type] = STATE(712),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [471] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [472] = {
    [anon_sym_RBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(20),
  },
  [473] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [474] = {
    [anon_sym_chan] = ACTIONS(1396),
    [sym_comment] = ACTIONS(20),
  },
  [475] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [476] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [477] = {
    [sym_parenthesized_type] = STATE(716),
    [sym__simple_type] = STATE(716),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [478] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [anon_sym_RPAREN] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1402),
    [sym_comment] = ACTIONS(20),
  },
  [479] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [anon_sym_LF] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_package] = ACTIONS(1404),
    [anon_sym_import] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_var] = ACTIONS(1404),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_type] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [sym_default_case] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_AMP_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_AMP_AMP] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [sym_comment] = ACTIONS(54),
  },
  [481] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [482] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [483] = {
    [sym_literal_value] = STATE(307),
    [anon_sym_DOT] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_AMP_CARET] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [484] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [sym_comment] = ACTIONS(20),
  },
  [485] = {
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_COLON] = ACTIONS(1412),
    [sym_comment] = ACTIONS(20),
  },
  [486] = {
    [aux_sym_literal_value_repeat1] = STATE(729),
    [anon_sym_COMMA] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [sym_comment] = ACTIONS(20),
  },
  [487] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [488] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [489] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [490] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(20),
  },
  [491] = {
    [sym_parenthesized_type] = STATE(737),
    [sym__simple_type] = STATE(737),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1452),
    [anon_sym_LF] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_package] = ACTIONS(1452),
    [anon_sym_import] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_var] = ACTIONS(1452),
    [anon_sym_func] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [sym_default_case] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_AMP_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [sym_comment] = ACTIONS(54),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [anon_sym_LF] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_package] = ACTIONS(1454),
    [anon_sym_import] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_var] = ACTIONS(1454),
    [anon_sym_func] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [sym_default_case] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [sym_comment] = ACTIONS(54),
  },
  [494] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [495] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [496] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [497] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_argument_list_repeat1] = STATE(746),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(20),
  },
  [498] = {
    [aux_sym_argument_list_repeat1] = STATE(746),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1458),
    [sym_comment] = ACTIONS(20),
  },
  [499] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_package] = ACTIONS(1478),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_var] = ACTIONS(1478),
    [anon_sym_func] = ACTIONS(1478),
    [anon_sym_type] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(561),
    [anon_sym_BANG_EQ] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(561),
    [anon_sym_LT_EQ] = ACTIONS(561),
    [anon_sym_GT] = ACTIONS(561),
    [anon_sym_GT_EQ] = ACTIONS(561),
    [anon_sym_AMP_AMP] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [sym_comment] = ACTIONS(54),
  },
  [500] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [501] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [502] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [503] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(748),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [504] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [505] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [506] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [507] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [508] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(561),
    [anon_sym_BANG_EQ] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(561),
    [anon_sym_LT_EQ] = ACTIONS(561),
    [anon_sym_GT] = ACTIONS(561),
    [anon_sym_GT_EQ] = ACTIONS(561),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [509] = {
    [sym_argument_list] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_SLASH] = ACTIONS(555),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_AMP_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(561),
    [anon_sym_BANG_EQ] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(561),
    [anon_sym_LT_EQ] = ACTIONS(561),
    [anon_sym_GT] = ACTIONS(561),
    [anon_sym_GT_EQ] = ACTIONS(561),
    [anon_sym_AMP_AMP] = ACTIONS(563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [510] = {
    [aux_sym_expression_list_repeat1] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_package] = ACTIONS(1478),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1504),
    [anon_sym_var] = ACTIONS(1478),
    [anon_sym_func] = ACTIONS(1478),
    [anon_sym_type] = ACTIONS(1478),
    [sym_comment] = ACTIONS(54),
  },
  [511] = {
    [anon_sym_LPAREN] = ACTIONS(731),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_EQ] = ACTIONS(731),
    [anon_sym_func] = ACTIONS(733),
    [anon_sym_STAR] = ACTIONS(731),
    [anon_sym_LBRACK] = ACTIONS(731),
    [anon_sym_RBRACK] = ACTIONS(731),
    [anon_sym_struct] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_interface] = ACTIONS(733),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_chan] = ACTIONS(733),
    [anon_sym_LT_DASH] = ACTIONS(731),
    [anon_sym_COLON] = ACTIONS(731),
    [sym_identifier] = ACTIONS(1178),
    [sym_comment] = ACTIONS(20),
  },
  [512] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [513] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1509),
    [sym_comment] = ACTIONS(20),
  },
  [514] = {
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_RBRACK] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_LT_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT_GT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_EQ] = ACTIONS(1511),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_CARET_EQ] = ACTIONS(1511),
    [anon_sym_COLON] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [sym_comment] = ACTIONS(20),
  },
  [515] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(759),
    [sym__statement] = STATE(414),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [516] = {
    [sym_block] = STATE(760),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_RPAREN] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [sym_comment] = ACTIONS(20),
  },
  [517] = {
    [anon_sym_SEMI] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_RBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_STAR_EQ] = ACTIONS(1517),
    [anon_sym_SLASH_EQ] = ACTIONS(1517),
    [anon_sym_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP_EQ] = ACTIONS(1517),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_EQ] = ACTIONS(1517),
    [anon_sym_DASH_EQ] = ACTIONS(1517),
    [anon_sym_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_CARET_EQ] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_AMP_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [sym_comment] = ACTIONS(20),
  },
  [518] = {
    [aux_sym_expression_list_repeat1] = STATE(763),
    [anon_sym_RPAREN] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1523),
    [sym_comment] = ACTIONS(20),
  },
  [519] = {
    [anon_sym_SEMI] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1525),
    [anon_sym_RBRACK] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_STAR_EQ] = ACTIONS(1525),
    [anon_sym_SLASH_EQ] = ACTIONS(1525),
    [anon_sym_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_EQ] = ACTIONS(1525),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_EQ] = ACTIONS(1525),
    [anon_sym_DASH_EQ] = ACTIONS(1525),
    [anon_sym_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_CARET_EQ] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_AMP_CARET] = ACTIONS(1527),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [sym_comment] = ACTIONS(20),
  },
  [520] = {
    [aux_sym_literal_value_repeat1] = STATE(766),
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [sym_comment] = ACTIONS(20),
  },
  [521] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(20),
  },
  [522] = {
    [sym_parenthesized_type] = STATE(769),
    [sym__simple_type] = STATE(769),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [523] = {
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_LT_DASH] = ACTIONS(1537),
    [anon_sym_COLON_EQ] = ACTIONS(1537),
    [anon_sym_STAR_EQ] = ACTIONS(1537),
    [anon_sym_SLASH_EQ] = ACTIONS(1537),
    [anon_sym_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_EQ] = ACTIONS(1537),
    [anon_sym_GT_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_EQ] = ACTIONS(1537),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_EQ] = ACTIONS(1537),
    [anon_sym_DASH_EQ] = ACTIONS(1537),
    [anon_sym_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_CARET_EQ] = ACTIONS(1537),
    [anon_sym_COLON] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_AMP] = ACTIONS(1537),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(20),
  },
  [524] = {
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1541),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1541),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_LT_DASH] = ACTIONS(1541),
    [anon_sym_COLON_EQ] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_AMP_CARET] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_AMP] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [sym_comment] = ACTIONS(20),
  },
  [525] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_argument_list_repeat1] = STATE(772),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1547),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(20),
  },
  [526] = {
    [aux_sym_argument_list_repeat1] = STATE(772),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1547),
    [sym_comment] = ACTIONS(20),
  },
  [527] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1551),
    [anon_sym_AMP_CARET] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [528] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(774),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [529] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [530] = {
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_EQ] = ACTIONS(1559),
    [anon_sym_RBRACK] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1559),
    [sym_comment] = ACTIONS(20),
  },
  [531] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [532] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [533] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [534] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [535] = {
    [sym__string_literal] = STATE(777),
    [anon_sym_LF] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [536] = {
    [sym__string_literal] = STATE(778),
    [anon_sym_LF] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [537] = {
    [sym_identifier] = ACTIONS(1565),
    [sym_comment] = ACTIONS(20),
  },
  [538] = {
    [sym_parameter_list] = STATE(780),
    [anon_sym_LPAREN] = ACTIONS(660),
    [sym_comment] = ACTIONS(20),
  },
  [539] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [540] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(782),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1579),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [541] = {
    [anon_sym_LBRACK] = ACTIONS(1581),
    [sym_comment] = ACTIONS(20),
  },
  [542] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [543] = {
    [anon_sym_chan] = ACTIONS(1585),
    [sym_comment] = ACTIONS(20),
  },
  [544] = {
    [sym__string_literal] = STATE(786),
    [anon_sym_LF] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [545] = {
    [anon_sym_LF] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1589),
    [anon_sym_RBRACE] = ACTIONS(1589),
    [sym_comment] = ACTIONS(54),
  },
  [546] = {
    [sym_parenthesized_type] = STATE(787),
    [sym__simple_type] = STATE(787),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_field_name_list_repeat1] = STATE(788),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(1591),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [547] = {
    [sym_field_declaration] = STATE(790),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [548] = {
    [anon_sym_LPAREN] = ACTIONS(1595),
    [anon_sym_RPAREN] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(1595),
    [anon_sym_RBRACK] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_COLON] = ACTIONS(1595),
    [sym_comment] = ACTIONS(20),
  },
  [549] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(792),
    [anon_sym_LF] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_RBRACE] = ACTIONS(1599),
    [sym_comment] = ACTIONS(54),
  },
  [550] = {
    [anon_sym_LF] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_comment] = ACTIONS(54),
  },
  [551] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [552] = {
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_RBRACK] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_COLON] = ACTIONS(1605),
    [sym_comment] = ACTIONS(20),
  },
  [553] = {
    [sym_parameter_list] = STATE(802),
    [sym__simple_type] = STATE(802),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_func] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1615),
    [anon_sym_chan] = ACTIONS(1617),
    [anon_sym_LT_DASH] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [554] = {
    [aux_sym_method_spec_list_repeat1] = STATE(804),
    [anon_sym_LF] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1623),
    [sym_comment] = ACTIONS(54),
  },
  [555] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [556] = {
    [anon_sym_LPAREN] = ACTIONS(1627),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1627),
    [anon_sym_EQ] = ACTIONS(1627),
    [anon_sym_RBRACK] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_COLON] = ACTIONS(1627),
    [sym_comment] = ACTIONS(20),
  },
  [557] = {
    [aux_sym_method_spec_list_repeat1] = STATE(804),
    [anon_sym_LF] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [sym_comment] = ACTIONS(54),
  },
  [558] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(571),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [559] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [560] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [561] = {
    [sym_parenthesized_type] = STATE(808),
    [sym__simple_type] = STATE(808),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [562] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(1635),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [563] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [564] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(264),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(270),
    [anon_sym_chan] = ACTIONS(272),
    [anon_sym_LT_DASH] = ACTIONS(274),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [anon_sym_LF] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym_package] = ACTIONS(1637),
    [anon_sym_import] = ACTIONS(1637),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_var] = ACTIONS(1637),
    [anon_sym_func] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_RBRACE] = ACTIONS(1637),
    [anon_sym_case] = ACTIONS(1637),
    [sym_default_case] = ACTIONS(1637),
    [sym_comment] = ACTIONS(54),
  },
  [566] = {
    [anon_sym_LF] = ACTIONS(747),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_func] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_struct] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_interface] = ACTIONS(747),
    [anon_sym_map] = ACTIONS(747),
    [anon_sym_chan] = ACTIONS(747),
    [anon_sym_LT_DASH] = ACTIONS(747),
    [sym_identifier] = ACTIONS(747),
    [sym_raw_string_literal] = ACTIONS(747),
    [sym_interpreted_string_literal] = ACTIONS(747),
    [sym_comment] = ACTIONS(54),
  },
  [567] = {
    [anon_sym_RPAREN] = ACTIONS(1639),
    [sym_comment] = ACTIONS(20),
  },
  [568] = {
    [aux_sym_parameter_list_repeat1] = STATE(813),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1641),
    [sym_comment] = ACTIONS(20),
  },
  [569] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [570] = {
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(20),
  },
  [571] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(666),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [572] = {
    [sym_expression_list] = STATE(584),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(246),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(468),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [anon_sym_LF] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_package] = ACTIONS(1645),
    [anon_sym_import] = ACTIONS(1645),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_var] = ACTIONS(1645),
    [anon_sym_func] = ACTIONS(1645),
    [anon_sym_type] = ACTIONS(1645),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_RBRACE] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [sym_default_case] = ACTIONS(1645),
    [sym_raw_string_literal] = ACTIONS(1645),
    [sym_interpreted_string_literal] = ACTIONS(1645),
    [sym_comment] = ACTIONS(54),
  },
  [574] = {
    [sym_field_declaration] = STATE(790),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [anon_sym_LF] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_package] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1649),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_var] = ACTIONS(1649),
    [anon_sym_func] = ACTIONS(1649),
    [anon_sym_type] = ACTIONS(1649),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [sym_default_case] = ACTIONS(1649),
    [sym_raw_string_literal] = ACTIONS(1649),
    [sym_interpreted_string_literal] = ACTIONS(1649),
    [sym_comment] = ACTIONS(54),
  },
  [576] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(792),
    [anon_sym_LF] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1651),
    [anon_sym_RBRACE] = ACTIONS(1653),
    [sym_comment] = ACTIONS(54),
  },
  [577] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [anon_sym_LF] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_package] = ACTIONS(1657),
    [anon_sym_import] = ACTIONS(1657),
    [anon_sym_const] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [anon_sym_var] = ACTIONS(1657),
    [anon_sym_func] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_case] = ACTIONS(1657),
    [sym_default_case] = ACTIONS(1657),
    [sym_raw_string_literal] = ACTIONS(1657),
    [sym_interpreted_string_literal] = ACTIONS(1657),
    [sym_comment] = ACTIONS(54),
  },
  [579] = {
    [aux_sym_method_spec_list_repeat1] = STATE(804),
    [anon_sym_LF] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [sym_comment] = ACTIONS(54),
  },
  [580] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [anon_sym_LF] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_package] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1665),
    [anon_sym_const] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_var] = ACTIONS(1665),
    [anon_sym_func] = ACTIONS(1665),
    [anon_sym_type] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_case] = ACTIONS(1665),
    [sym_default_case] = ACTIONS(1665),
    [sym_raw_string_literal] = ACTIONS(1665),
    [sym_interpreted_string_literal] = ACTIONS(1665),
    [sym_comment] = ACTIONS(54),
  },
  [582] = {
    [aux_sym_method_spec_list_repeat1] = STATE(804),
    [anon_sym_LF] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1667),
    [anon_sym_RBRACE] = ACTIONS(1669),
    [sym_comment] = ACTIONS(54),
  },
  [583] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(112),
    [anon_sym_STAR] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(116),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(122),
    [anon_sym_chan] = ACTIONS(124),
    [anon_sym_LT_DASH] = ACTIONS(126),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1671),
    [anon_sym_LF] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1671),
    [anon_sym_package] = ACTIONS(1671),
    [anon_sym_import] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_var] = ACTIONS(1671),
    [anon_sym_func] = ACTIONS(1671),
    [anon_sym_type] = ACTIONS(1671),
    [anon_sym_RBRACE] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [sym_default_case] = ACTIONS(1671),
    [sym_comment] = ACTIONS(54),
  },
  [585] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [586] = {
    [anon_sym_LPAREN] = ACTIONS(1673),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [anon_sym_RBRACK] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_COLON] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(20),
  },
  [587] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [anon_sym_LF] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_package] = ACTIONS(1677),
    [anon_sym_import] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [anon_sym_var] = ACTIONS(1677),
    [anon_sym_func] = ACTIONS(1677),
    [anon_sym_type] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_interface] = ACTIONS(1677),
    [anon_sym_map] = ACTIONS(1677),
    [anon_sym_chan] = ACTIONS(1677),
    [anon_sym_LT_DASH] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_raw_string_literal] = ACTIONS(1677),
    [sym_interpreted_string_literal] = ACTIONS(1677),
    [sym_comment] = ACTIONS(54),
  },
  [589] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [anon_sym_LF] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_package] = ACTIONS(1178),
    [anon_sym_import] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_EQ] = ACTIONS(1178),
    [anon_sym_var] = ACTIONS(1178),
    [anon_sym_func] = ACTIONS(1178),
    [anon_sym_type] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [sym_default_case] = ACTIONS(1178),
    [sym_comment] = ACTIONS(54),
  },
  [591] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [592] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1683),
    [sym_comment] = ACTIONS(20),
  },
  [593] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [594] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(930),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [sym_comment] = ACTIONS(20),
  },
  [595] = {
    [sym_parenthesized_type] = STATE(827),
    [sym__simple_type] = STATE(827),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(828),
    [anon_sym_LF] = ACTIONS(76),
    [anon_sym_SEMI] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_EQ] = ACTIONS(1687),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(76),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [596] = {
    [sym_parenthesized_type] = STATE(836),
    [sym__simple_type] = STATE(836),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(837),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(1689),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [597] = {
    [sym_parameter_list] = STATE(839),
    [sym__simple_type] = STATE(839),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(840),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [598] = {
    [sym_parenthesized_type] = STATE(103),
    [sym__simple_type] = STATE(103),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_EQ] = ACTIONS(1705),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [599] = {
    [sym_literal_value] = STATE(648),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [600] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_STAR] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_LT_DASH] = ACTIONS(947),
    [anon_sym_COLON_EQ] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [anon_sym_STAR_EQ] = ACTIONS(947),
    [anon_sym_SLASH_EQ] = ACTIONS(947),
    [anon_sym_PERCENT_EQ] = ACTIONS(947),
    [anon_sym_LT_LT_EQ] = ACTIONS(947),
    [anon_sym_GT_GT_EQ] = ACTIONS(947),
    [anon_sym_AMP_EQ] = ACTIONS(947),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(947),
    [anon_sym_PLUS_EQ] = ACTIONS(947),
    [anon_sym_DASH_EQ] = ACTIONS(947),
    [anon_sym_PIPE_EQ] = ACTIONS(947),
    [anon_sym_CARET_EQ] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(947),
    [sym_default_case] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_CARET] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(947),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(947),
    [anon_sym_GT_GT] = ACTIONS(947),
    [anon_sym_AMP_CARET] = ACTIONS(947),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_EQ_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_AMP_AMP] = ACTIONS(947),
    [anon_sym_PIPE_PIPE] = ACTIONS(947),
    [sym_comment] = ACTIONS(54),
  },
  [601] = {
    [anon_sym_LF] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [sym_default_case] = ACTIONS(1719),
    [sym_comment] = ACTIONS(54),
  },
  [602] = {
    [anon_sym_LF] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1721),
    [sym_default_case] = ACTIONS(1721),
    [sym_comment] = ACTIONS(54),
  },
  [603] = {
    [anon_sym_LF] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1723),
    [anon_sym_RBRACE] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [sym_default_case] = ACTIONS(1723),
    [sym_comment] = ACTIONS(54),
  },
  [604] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [605] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [606] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [607] = {
    [anon_sym_LF] = ACTIONS(1731),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_case] = ACTIONS(1731),
    [sym_default_case] = ACTIONS(1731),
    [sym_comment] = ACTIONS(54),
  },
  [608] = {
    [sym_argument_list] = STATE(294),
    [aux_sym_expression_list_repeat1] = STATE(848),
    [anon_sym_LF] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(54),
  },
  [609] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [610] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [611] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [612] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [sym_comment] = ACTIONS(54),
  },
  [613] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [sym_comment] = ACTIONS(54),
  },
  [614] = {
    [sym_parenthesized_type] = STATE(264),
    [sym__simple_type] = STATE(264),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(854),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [615] = {
    [sym_parameter_list] = STATE(855),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [616] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [617] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [618] = {
    [sym_special_argument_list] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_EQ] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_LT_DASH] = ACTIONS(575),
    [anon_sym_COLON_EQ] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [anon_sym_STAR_EQ] = ACTIONS(575),
    [anon_sym_SLASH_EQ] = ACTIONS(575),
    [anon_sym_PERCENT_EQ] = ACTIONS(575),
    [anon_sym_LT_LT_EQ] = ACTIONS(575),
    [anon_sym_GT_GT_EQ] = ACTIONS(575),
    [anon_sym_AMP_EQ] = ACTIONS(575),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(575),
    [anon_sym_PLUS_EQ] = ACTIONS(575),
    [anon_sym_DASH_EQ] = ACTIONS(575),
    [anon_sym_PIPE_EQ] = ACTIONS(575),
    [anon_sym_CARET_EQ] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_CARET] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(577),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(577),
    [anon_sym_AMP_CARET] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [anon_sym_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [sym_comment] = ACTIONS(20),
  },
  [619] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [620] = {
    [sym_literal_value] = STATE(860),
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_LT_DASH] = ACTIONS(581),
    [anon_sym_COLON_EQ] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(581),
    [anon_sym_DASH_DASH] = ACTIONS(581),
    [anon_sym_STAR_EQ] = ACTIONS(581),
    [anon_sym_SLASH_EQ] = ACTIONS(581),
    [anon_sym_PERCENT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT_EQ] = ACTIONS(581),
    [anon_sym_GT_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_EQ] = ACTIONS(581),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS_EQ] = ACTIONS(581),
    [anon_sym_DASH_EQ] = ACTIONS(581),
    [anon_sym_PIPE_EQ] = ACTIONS(581),
    [anon_sym_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [621] = {
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [anon_sym_PLUS_PLUS] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(593),
    [anon_sym_STAR_EQ] = ACTIONS(593),
    [anon_sym_SLASH_EQ] = ACTIONS(593),
    [anon_sym_PERCENT_EQ] = ACTIONS(593),
    [anon_sym_LT_LT_EQ] = ACTIONS(593),
    [anon_sym_GT_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_EQ] = ACTIONS(593),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS_EQ] = ACTIONS(593),
    [anon_sym_DASH_EQ] = ACTIONS(593),
    [anon_sym_PIPE_EQ] = ACTIONS(593),
    [anon_sym_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(20),
  },
  [622] = {
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_LT_DASH] = ACTIONS(581),
    [anon_sym_COLON_EQ] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(581),
    [anon_sym_DASH_DASH] = ACTIONS(581),
    [anon_sym_STAR_EQ] = ACTIONS(581),
    [anon_sym_SLASH_EQ] = ACTIONS(581),
    [anon_sym_PERCENT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT_EQ] = ACTIONS(581),
    [anon_sym_GT_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_EQ] = ACTIONS(581),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS_EQ] = ACTIONS(581),
    [anon_sym_DASH_EQ] = ACTIONS(581),
    [anon_sym_PIPE_EQ] = ACTIONS(581),
    [anon_sym_CARET_EQ] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [623] = {
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_COLON_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [sym_comment] = ACTIONS(20),
  },
  [624] = {
    [anon_sym_LPAREN] = ACTIONS(1765),
    [sym_comment] = ACTIONS(20),
  },
  [625] = {
    [sym_literal_value] = STATE(864),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(20),
  },
  [626] = {
    [sym_literal_value] = STATE(864),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(20),
  },
  [627] = {
    [anon_sym_SEMI] = ACTIONS(1769),
    [sym_comment] = ACTIONS(20),
  },
  [628] = {
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [sym_comment] = ACTIONS(20),
  },
  [629] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [630] = {
    [sym_block] = STATE(882),
    [sym_argument_list] = STATE(883),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LT_DASH] = ACTIONS(1793),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1797),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [sym_comment] = ACTIONS(20),
  },
  [631] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(888),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_SEMI] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [632] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(889),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [633] = {
    [anon_sym_EQ] = ACTIONS(1819),
    [anon_sym_COLON_EQ] = ACTIONS(1821),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [sym_comment] = ACTIONS(20),
  },
  [634] = {
    [anon_sym_LF] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(1823),
    [anon_sym_case] = ACTIONS(1823),
    [sym_default_case] = ACTIONS(1823),
    [sym_comment] = ACTIONS(54),
  },
  [635] = {
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_comment] = ACTIONS(20),
  },
  [636] = {
    [sym_block] = STATE(893),
    [anon_sym_LBRACE] = ACTIONS(785),
    [sym_comment] = ACTIONS(20),
  },
  [637] = {
    [sym_block] = STATE(893),
    [sym_argument_list] = STATE(883),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LT_DASH] = ACTIONS(1793),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1797),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [sym_comment] = ACTIONS(20),
  },
  [638] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(898),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [639] = {
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_COLON_EQ] = ACTIONS(1833),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [sym_comment] = ACTIONS(20),
  },
  [640] = {
    [anon_sym_SEMI] = ACTIONS(1835),
    [sym_comment] = ACTIONS(20),
  },
  [641] = {
    [anon_sym_LBRACE] = ACTIONS(1837),
    [sym_comment] = ACTIONS(20),
  },
  [642] = {
    [sym_argument_list] = STATE(883),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1793),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1797),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [sym_comment] = ACTIONS(20),
  },
  [643] = {
    [sym_communication_clause] = STATE(907),
    [sym_communication_case] = STATE(906),
    [aux_sym_select_statement_repeat1] = STATE(908),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [sym_default_case] = ACTIONS(1847),
    [sym_comment] = ACTIONS(20),
  },
  [644] = {
    [sym_parenthesized_type] = STATE(909),
    [sym__simple_type] = STATE(909),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [645] = {
    [anon_sym_LF] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_LT_DASH] = ACTIONS(959),
    [anon_sym_COLON_EQ] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_STAR_EQ] = ACTIONS(959),
    [anon_sym_SLASH_EQ] = ACTIONS(959),
    [anon_sym_PERCENT_EQ] = ACTIONS(959),
    [anon_sym_LT_LT_EQ] = ACTIONS(959),
    [anon_sym_GT_GT_EQ] = ACTIONS(959),
    [anon_sym_AMP_EQ] = ACTIONS(959),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(959),
    [anon_sym_PLUS_EQ] = ACTIONS(959),
    [anon_sym_DASH_EQ] = ACTIONS(959),
    [anon_sym_PIPE_EQ] = ACTIONS(959),
    [anon_sym_CARET_EQ] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(959),
    [sym_default_case] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_AMP_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [sym_comment] = ACTIONS(54),
  },
  [646] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(911),
    [sym_element] = STATE(911),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [647] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(913),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1853),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [648] = {
    [anon_sym_LF] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_DOT] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(971),
    [anon_sym_EQ] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_LT_DASH] = ACTIONS(971),
    [anon_sym_COLON_EQ] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [anon_sym_STAR_EQ] = ACTIONS(971),
    [anon_sym_SLASH_EQ] = ACTIONS(971),
    [anon_sym_PERCENT_EQ] = ACTIONS(971),
    [anon_sym_LT_LT_EQ] = ACTIONS(971),
    [anon_sym_GT_GT_EQ] = ACTIONS(971),
    [anon_sym_AMP_EQ] = ACTIONS(971),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(971),
    [anon_sym_PLUS_EQ] = ACTIONS(971),
    [anon_sym_DASH_EQ] = ACTIONS(971),
    [anon_sym_PIPE_EQ] = ACTIONS(971),
    [anon_sym_CARET_EQ] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(971),
    [sym_default_case] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_CARET] = ACTIONS(971),
    [anon_sym_AMP] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(971),
    [anon_sym_LT_LT] = ACTIONS(971),
    [anon_sym_GT_GT] = ACTIONS(971),
    [anon_sym_AMP_CARET] = ACTIONS(971),
    [anon_sym_PIPE] = ACTIONS(971),
    [anon_sym_EQ_EQ] = ACTIONS(971),
    [anon_sym_BANG_EQ] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_LT_EQ] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(971),
    [anon_sym_GT_EQ] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(971),
    [anon_sym_PIPE_PIPE] = ACTIONS(971),
    [sym_comment] = ACTIONS(54),
  },
  [649] = {
    [sym_expression_list] = STATE(914),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [650] = {
    [sym_expression_list] = STATE(915),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [651] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(916),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [652] = {
    [anon_sym_LF] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_DOT] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(979),
    [anon_sym_EQ] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_LT_DASH] = ACTIONS(979),
    [anon_sym_COLON_EQ] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [anon_sym_STAR_EQ] = ACTIONS(979),
    [anon_sym_SLASH_EQ] = ACTIONS(979),
    [anon_sym_PERCENT_EQ] = ACTIONS(979),
    [anon_sym_LT_LT_EQ] = ACTIONS(979),
    [anon_sym_GT_GT_EQ] = ACTIONS(979),
    [anon_sym_AMP_EQ] = ACTIONS(979),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(979),
    [anon_sym_PLUS_EQ] = ACTIONS(979),
    [anon_sym_DASH_EQ] = ACTIONS(979),
    [anon_sym_PIPE_EQ] = ACTIONS(979),
    [anon_sym_CARET_EQ] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(979),
    [sym_default_case] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_CARET] = ACTIONS(979),
    [anon_sym_AMP] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(979),
    [anon_sym_GT_GT] = ACTIONS(979),
    [anon_sym_AMP_CARET] = ACTIONS(979),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(979),
    [anon_sym_BANG_EQ] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_LT_EQ] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(979),
    [anon_sym_GT_EQ] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(979),
    [anon_sym_PIPE_PIPE] = ACTIONS(979),
    [sym_comment] = ACTIONS(54),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [anon_sym_LF] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_package] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_func] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [sym_default_case] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_AMP_CARET] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [sym_comment] = ACTIONS(54),
  },
  [654] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(918),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [655] = {
    [aux_sym__statement_list_repeat1] = STATE(920),
    [anon_sym_LF] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [sym_comment] = ACTIONS(54),
  },
  [656] = {
    [anon_sym_LPAREN] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(20),
  },
  [657] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(924),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(925),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1867),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [658] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(929),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [659] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(930),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [660] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(932),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(1875),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [661] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [662] = {
    [anon_sym_LF] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1877),
    [sym_default_case] = ACTIONS(1877),
    [sym_comment] = ACTIONS(54),
  },
  [663] = {
    [anon_sym_LF] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1879),
    [anon_sym_RBRACE] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1879),
    [sym_default_case] = ACTIONS(1879),
    [sym_comment] = ACTIONS(54),
  },
  [664] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(934),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [665] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(935),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [666] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [667] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(937),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [668] = {
    [anon_sym_LF] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(1001),
    [anon_sym_DOT] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [anon_sym_EQ] = ACTIONS(1001),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_LT_DASH] = ACTIONS(1001),
    [anon_sym_COLON_EQ] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_STAR_EQ] = ACTIONS(1001),
    [anon_sym_SLASH_EQ] = ACTIONS(1001),
    [anon_sym_PERCENT_EQ] = ACTIONS(1001),
    [anon_sym_LT_LT_EQ] = ACTIONS(1001),
    [anon_sym_GT_GT_EQ] = ACTIONS(1001),
    [anon_sym_AMP_EQ] = ACTIONS(1001),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1001),
    [anon_sym_PLUS_EQ] = ACTIONS(1001),
    [anon_sym_DASH_EQ] = ACTIONS(1001),
    [anon_sym_PIPE_EQ] = ACTIONS(1001),
    [anon_sym_CARET_EQ] = ACTIONS(1001),
    [anon_sym_case] = ACTIONS(1001),
    [sym_default_case] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_CARET] = ACTIONS(1001),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_SLASH] = ACTIONS(1001),
    [anon_sym_PERCENT] = ACTIONS(1001),
    [anon_sym_LT_LT] = ACTIONS(1001),
    [anon_sym_GT_GT] = ACTIONS(1001),
    [anon_sym_AMP_CARET] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1001),
    [anon_sym_EQ_EQ] = ACTIONS(1001),
    [anon_sym_BANG_EQ] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1001),
    [anon_sym_LT_EQ] = ACTIONS(1001),
    [anon_sym_GT] = ACTIONS(1001),
    [anon_sym_GT_EQ] = ACTIONS(1001),
    [anon_sym_AMP_AMP] = ACTIONS(1001),
    [anon_sym_PIPE_PIPE] = ACTIONS(1001),
    [sym_comment] = ACTIONS(54),
  },
  [669] = {
    [aux_sym_expression_list_repeat1] = STATE(938),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1881),
    [anon_sym_COLON_EQ] = ACTIONS(1881),
    [anon_sym_STAR_EQ] = ACTIONS(1881),
    [anon_sym_SLASH_EQ] = ACTIONS(1881),
    [anon_sym_PERCENT_EQ] = ACTIONS(1881),
    [anon_sym_LT_LT_EQ] = ACTIONS(1881),
    [anon_sym_GT_GT_EQ] = ACTIONS(1881),
    [anon_sym_AMP_EQ] = ACTIONS(1881),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1881),
    [anon_sym_PLUS_EQ] = ACTIONS(1881),
    [anon_sym_DASH_EQ] = ACTIONS(1881),
    [anon_sym_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_CARET_EQ] = ACTIONS(1881),
    [sym_comment] = ACTIONS(20),
  },
  [670] = {
    [anon_sym_RBRACK] = ACTIONS(1883),
    [sym_comment] = ACTIONS(20),
  },
  [671] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(827),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(1885),
    [anon_sym_LF] = ACTIONS(1885),
    [anon_sym_SEMI] = ACTIONS(1885),
    [anon_sym_package] = ACTIONS(1885),
    [anon_sym_import] = ACTIONS(1885),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_var] = ACTIONS(1885),
    [anon_sym_func] = ACTIONS(1885),
    [anon_sym_type] = ACTIONS(1885),
    [sym_comment] = ACTIONS(54),
  },
  [673] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [674] = {
    [anon_sym_RBRACK] = ACTIONS(1887),
    [sym_comment] = ACTIONS(20),
  },
  [675] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [676] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(168),
    [anon_sym_STAR] = ACTIONS(170),
    [anon_sym_LBRACK] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_chan] = ACTIONS(176),
    [anon_sym_LT_DASH] = ACTIONS(178),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [677] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(879),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [sym_comment] = ACTIONS(54),
  },
  [678] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [679] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [680] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [681] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(879),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [682] = {
    [aux_sym_expression_list_repeat1] = STATE(682),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1889),
    [sym_comment] = ACTIONS(54),
  },
  [683] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [684] = {
    [sym_parameter_list] = STATE(941),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [685] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [686] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(446),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [687] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1892),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [688] = {
    [anon_sym_chan] = ACTIONS(1894),
    [sym_comment] = ACTIONS(20),
  },
  [689] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [690] = {
    [anon_sym_RBRACK] = ACTIONS(1896),
    [sym_comment] = ACTIONS(20),
  },
  [691] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [692] = {
    [anon_sym_chan] = ACTIONS(1898),
    [sym_comment] = ACTIONS(20),
  },
  [693] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [694] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1900),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [695] = {
    [sym_parenthesized_type] = STATE(947),
    [sym__simple_type] = STATE(947),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [696] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(906),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [697] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(910),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [698] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [699] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [700] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [701] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [702] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [703] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(1902),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [704] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1904),
    [anon_sym_LF] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_package] = ACTIONS(1904),
    [anon_sym_import] = ACTIONS(1904),
    [anon_sym_DOT] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1904),
    [anon_sym_const] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_var] = ACTIONS(1904),
    [anon_sym_func] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_case] = ACTIONS(1904),
    [sym_default_case] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_AMP_CARET] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1904),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1904),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [sym_comment] = ACTIONS(54),
  },
  [706] = {
    [sym_parameter_list] = STATE(949),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [707] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [708] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [709] = {
    [anon_sym_LBRACK] = ACTIONS(1908),
    [sym_comment] = ACTIONS(20),
  },
  [710] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1910),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [711] = {
    [anon_sym_chan] = ACTIONS(1912),
    [sym_comment] = ACTIONS(20),
  },
  [712] = {
    [anon_sym_LBRACE] = ACTIONS(1914),
    [sym_comment] = ACTIONS(20),
  },
  [713] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [714] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [715] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [716] = {
    [anon_sym_RBRACK] = ACTIONS(1916),
    [sym_comment] = ACTIONS(20),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1918),
    [anon_sym_LF] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_package] = ACTIONS(1918),
    [anon_sym_import] = ACTIONS(1918),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_LPAREN] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_var] = ACTIONS(1918),
    [anon_sym_func] = ACTIONS(1918),
    [anon_sym_type] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [sym_default_case] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_AMP_CARET] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1918),
    [anon_sym_BANG_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [sym_comment] = ACTIONS(54),
  },
  [718] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [719] = {
    [aux_sym_expression_list_repeat1] = STATE(959),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1922),
    [sym_comment] = ACTIONS(20),
  },
  [720] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(963),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(964),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [721] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [722] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(965),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(966),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [723] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(967),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [724] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(968),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [725] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(969),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [726] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(970),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [727] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [anon_sym_LF] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym_package] = ACTIONS(1932),
    [anon_sym_import] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_func] = ACTIONS(1932),
    [anon_sym_type] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_case] = ACTIONS(1932),
    [sym_default_case] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_AMP_CARET] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1932),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1932),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(54),
  },
  [729] = {
    [aux_sym_literal_value_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [sym_comment] = ACTIONS(20),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(1936),
    [anon_sym_LF] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_package] = ACTIONS(1936),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_var] = ACTIONS(1936),
    [anon_sym_func] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_case] = ACTIONS(1936),
    [sym_default_case] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1936),
    [anon_sym_PERCENT] = ACTIONS(1936),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_GT_GT] = ACTIONS(1936),
    [anon_sym_AMP_CARET] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1936),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [sym_comment] = ACTIONS(54),
  },
  [731] = {
    [anon_sym_RPAREN] = ACTIONS(1938),
    [sym_comment] = ACTIONS(20),
  },
  [732] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [733] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(976),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [734] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(977),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [735] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(978),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [736] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [737] = {
    [anon_sym_RPAREN] = ACTIONS(1940),
    [sym_comment] = ACTIONS(20),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1942),
    [anon_sym_LF] = ACTIONS(1942),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_package] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1942),
    [anon_sym_DOT] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(1942),
    [anon_sym_var] = ACTIONS(1942),
    [anon_sym_func] = ACTIONS(1942),
    [anon_sym_type] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [sym_default_case] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1942),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_SLASH] = ACTIONS(1942),
    [anon_sym_PERCENT] = ACTIONS(1942),
    [anon_sym_LT_LT] = ACTIONS(1942),
    [anon_sym_GT_GT] = ACTIONS(1942),
    [anon_sym_AMP_CARET] = ACTIONS(1942),
    [anon_sym_PIPE] = ACTIONS(1942),
    [anon_sym_EQ_EQ] = ACTIONS(1942),
    [anon_sym_BANG_EQ] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_LT_EQ] = ACTIONS(1942),
    [anon_sym_GT] = ACTIONS(1942),
    [anon_sym_GT_EQ] = ACTIONS(1942),
    [anon_sym_AMP_AMP] = ACTIONS(1942),
    [anon_sym_PIPE_PIPE] = ACTIONS(1942),
    [sym_comment] = ACTIONS(54),
  },
  [739] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1944),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [740] = {
    [anon_sym_RPAREN] = ACTIONS(1946),
    [anon_sym_COMMA] = ACTIONS(1946),
    [sym_comment] = ACTIONS(20),
  },
  [741] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [742] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [743] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(985),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [744] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [745] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [746] = {
    [aux_sym_argument_list_repeat1] = STATE(989),
    [anon_sym_RPAREN] = ACTIONS(1944),
    [anon_sym_COMMA] = ACTIONS(1948),
    [sym_comment] = ACTIONS(20),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [anon_sym_LF] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym_package] = ACTIONS(1950),
    [anon_sym_import] = ACTIONS(1950),
    [anon_sym_DOT] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_var] = ACTIONS(1950),
    [anon_sym_func] = ACTIONS(1950),
    [anon_sym_type] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [sym_default_case] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1950),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_AMP_CARET] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1950),
    [anon_sym_EQ_EQ] = ACTIONS(1950),
    [anon_sym_BANG_EQ] = ACTIONS(1950),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_GT_EQ] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(54),
  },
  [748] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1952),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [749] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1956),
    [anon_sym_LF] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_package] = ACTIONS(1956),
    [anon_sym_import] = ACTIONS(1956),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_var] = ACTIONS(1956),
    [anon_sym_func] = ACTIONS(1956),
    [anon_sym_type] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [sym_default_case] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_CARET] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1956),
    [anon_sym_LT_LT] = ACTIONS(1956),
    [anon_sym_GT_GT] = ACTIONS(1956),
    [anon_sym_AMP_CARET] = ACTIONS(1956),
    [anon_sym_PIPE] = ACTIONS(1956),
    [anon_sym_EQ_EQ] = ACTIONS(1956),
    [anon_sym_BANG_EQ] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_LT_EQ] = ACTIONS(1956),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_GT_EQ] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_PIPE_PIPE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(54),
  },
  [751] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(992),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [752] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(993),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [753] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(994),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [754] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(995),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [755] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(996),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [756] = {
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_RPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_func] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_RBRACK] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1169),
    [anon_sym_map] = ACTIONS(1169),
    [anon_sym_chan] = ACTIONS(1169),
    [anon_sym_LT_DASH] = ACTIONS(1167),
    [anon_sym_COLON] = ACTIONS(1167),
    [sym_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(20),
  },
  [757] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [758] = {
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym_DOT] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_COMMA] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_RBRACK] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1960),
    [anon_sym_RBRACE] = ACTIONS(1960),
    [anon_sym_LT_DASH] = ACTIONS(1960),
    [anon_sym_COLON_EQ] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_GT_GT] = ACTIONS(1962),
    [anon_sym_AMP_CARET] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1962),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1962),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [sym_comment] = ACTIONS(20),
  },
  [759] = {
    [anon_sym_RBRACE] = ACTIONS(1964),
    [sym_comment] = ACTIONS(20),
  },
  [760] = {
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_RBRACK] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_LT_DASH] = ACTIONS(1966),
    [anon_sym_COLON_EQ] = ACTIONS(1966),
    [anon_sym_STAR_EQ] = ACTIONS(1966),
    [anon_sym_SLASH_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_LT_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_EQ] = ACTIONS(1966),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1966),
    [anon_sym_PLUS_EQ] = ACTIONS(1966),
    [anon_sym_DASH_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_EQ] = ACTIONS(1966),
    [anon_sym_CARET_EQ] = ACTIONS(1966),
    [anon_sym_COLON] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_GT_GT] = ACTIONS(1968),
    [anon_sym_AMP_CARET] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [sym_comment] = ACTIONS(20),
  },
  [761] = {
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_DOT] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1970),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_LT_DASH] = ACTIONS(1970),
    [anon_sym_COLON_EQ] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1972),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1972),
    [anon_sym_LT_LT] = ACTIONS(1972),
    [anon_sym_GT_GT] = ACTIONS(1972),
    [anon_sym_AMP_CARET] = ACTIONS(1972),
    [anon_sym_PIPE] = ACTIONS(1972),
    [anon_sym_EQ_EQ] = ACTIONS(1970),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_PIPE_PIPE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(20),
  },
  [762] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [763] = {
    [aux_sym_expression_list_repeat1] = STATE(959),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_COMMA] = ACTIONS(1976),
    [sym_comment] = ACTIONS(20),
  },
  [764] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [765] = {
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_DOT] = ACTIONS(1982),
    [anon_sym_LPAREN] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1980),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_RBRACK] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1980),
    [anon_sym_RBRACE] = ACTIONS(1980),
    [anon_sym_LT_DASH] = ACTIONS(1980),
    [anon_sym_COLON_EQ] = ACTIONS(1980),
    [anon_sym_STAR_EQ] = ACTIONS(1980),
    [anon_sym_SLASH_EQ] = ACTIONS(1980),
    [anon_sym_PERCENT_EQ] = ACTIONS(1980),
    [anon_sym_LT_LT_EQ] = ACTIONS(1980),
    [anon_sym_GT_GT_EQ] = ACTIONS(1980),
    [anon_sym_AMP_EQ] = ACTIONS(1980),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1980),
    [anon_sym_PLUS_EQ] = ACTIONS(1980),
    [anon_sym_DASH_EQ] = ACTIONS(1980),
    [anon_sym_PIPE_EQ] = ACTIONS(1980),
    [anon_sym_CARET_EQ] = ACTIONS(1980),
    [anon_sym_COLON] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_SLASH] = ACTIONS(1982),
    [anon_sym_PERCENT] = ACTIONS(1982),
    [anon_sym_LT_LT] = ACTIONS(1982),
    [anon_sym_GT_GT] = ACTIONS(1982),
    [anon_sym_AMP_CARET] = ACTIONS(1982),
    [anon_sym_PIPE] = ACTIONS(1982),
    [anon_sym_EQ_EQ] = ACTIONS(1980),
    [anon_sym_BANG_EQ] = ACTIONS(1980),
    [anon_sym_LT] = ACTIONS(1982),
    [anon_sym_LT_EQ] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(1982),
    [anon_sym_GT_EQ] = ACTIONS(1980),
    [anon_sym_AMP_AMP] = ACTIONS(1980),
    [anon_sym_PIPE_PIPE] = ACTIONS(1980),
    [sym_comment] = ACTIONS(20),
  },
  [766] = {
    [aux_sym_literal_value_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [sym_comment] = ACTIONS(20),
  },
  [767] = {
    [anon_sym_SEMI] = ACTIONS(1986),
    [anon_sym_DOT] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_RPAREN] = ACTIONS(1986),
    [anon_sym_COMMA] = ACTIONS(1986),
    [anon_sym_EQ] = ACTIONS(1988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_RBRACK] = ACTIONS(1986),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_RBRACE] = ACTIONS(1986),
    [anon_sym_LT_DASH] = ACTIONS(1986),
    [anon_sym_COLON_EQ] = ACTIONS(1986),
    [anon_sym_STAR_EQ] = ACTIONS(1986),
    [anon_sym_SLASH_EQ] = ACTIONS(1986),
    [anon_sym_PERCENT_EQ] = ACTIONS(1986),
    [anon_sym_LT_LT_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_AMP_EQ] = ACTIONS(1986),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1986),
    [anon_sym_PLUS_EQ] = ACTIONS(1986),
    [anon_sym_DASH_EQ] = ACTIONS(1986),
    [anon_sym_PIPE_EQ] = ACTIONS(1986),
    [anon_sym_CARET_EQ] = ACTIONS(1986),
    [anon_sym_COLON] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_CARET] = ACTIONS(1988),
    [anon_sym_AMP] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1988),
    [anon_sym_PERCENT] = ACTIONS(1988),
    [anon_sym_LT_LT] = ACTIONS(1988),
    [anon_sym_GT_GT] = ACTIONS(1988),
    [anon_sym_AMP_CARET] = ACTIONS(1988),
    [anon_sym_PIPE] = ACTIONS(1988),
    [anon_sym_EQ_EQ] = ACTIONS(1986),
    [anon_sym_BANG_EQ] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_EQ] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(1988),
    [anon_sym_GT_EQ] = ACTIONS(1986),
    [anon_sym_AMP_AMP] = ACTIONS(1986),
    [anon_sym_PIPE_PIPE] = ACTIONS(1986),
    [sym_comment] = ACTIONS(20),
  },
  [768] = {
    [anon_sym_RPAREN] = ACTIONS(1990),
    [sym_comment] = ACTIONS(20),
  },
  [769] = {
    [anon_sym_RPAREN] = ACTIONS(1992),
    [sym_comment] = ACTIONS(20),
  },
  [770] = {
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(1996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_RBRACK] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_LT_DASH] = ACTIONS(1994),
    [anon_sym_COLON_EQ] = ACTIONS(1994),
    [anon_sym_STAR_EQ] = ACTIONS(1994),
    [anon_sym_SLASH_EQ] = ACTIONS(1994),
    [anon_sym_PERCENT_EQ] = ACTIONS(1994),
    [anon_sym_LT_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT_GT_EQ] = ACTIONS(1994),
    [anon_sym_AMP_EQ] = ACTIONS(1994),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(1994),
    [anon_sym_DASH_EQ] = ACTIONS(1994),
    [anon_sym_PIPE_EQ] = ACTIONS(1994),
    [anon_sym_CARET_EQ] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1996),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1996),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_GT_GT] = ACTIONS(1996),
    [anon_sym_AMP_CARET] = ACTIONS(1996),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1994),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [anon_sym_AMP_AMP] = ACTIONS(1994),
    [anon_sym_PIPE_PIPE] = ACTIONS(1994),
    [sym_comment] = ACTIONS(20),
  },
  [771] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [772] = {
    [aux_sym_argument_list_repeat1] = STATE(989),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_COMMA] = ACTIONS(2000),
    [sym_comment] = ACTIONS(20),
  },
  [773] = {
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_RPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2002),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_RBRACK] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_COLON_EQ] = ACTIONS(2002),
    [anon_sym_STAR_EQ] = ACTIONS(2002),
    [anon_sym_SLASH_EQ] = ACTIONS(2002),
    [anon_sym_PERCENT_EQ] = ACTIONS(2002),
    [anon_sym_LT_LT_EQ] = ACTIONS(2002),
    [anon_sym_GT_GT_EQ] = ACTIONS(2002),
    [anon_sym_AMP_EQ] = ACTIONS(2002),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2002),
    [anon_sym_PLUS_EQ] = ACTIONS(2002),
    [anon_sym_DASH_EQ] = ACTIONS(2002),
    [anon_sym_PIPE_EQ] = ACTIONS(2002),
    [anon_sym_CARET_EQ] = ACTIONS(2002),
    [anon_sym_COLON] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_AMP] = ACTIONS(2004),
    [anon_sym_SLASH] = ACTIONS(2004),
    [anon_sym_PERCENT] = ACTIONS(2004),
    [anon_sym_LT_LT] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(2004),
    [anon_sym_AMP_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2004),
    [anon_sym_EQ_EQ] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_EQ] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2004),
    [anon_sym_GT_EQ] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(20),
  },
  [774] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [775] = {
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2012),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_EQ] = ACTIONS(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_RBRACK] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_LT_DASH] = ACTIONS(2010),
    [anon_sym_COLON_EQ] = ACTIONS(2010),
    [anon_sym_STAR_EQ] = ACTIONS(2010),
    [anon_sym_SLASH_EQ] = ACTIONS(2010),
    [anon_sym_PERCENT_EQ] = ACTIONS(2010),
    [anon_sym_LT_LT_EQ] = ACTIONS(2010),
    [anon_sym_GT_GT_EQ] = ACTIONS(2010),
    [anon_sym_AMP_EQ] = ACTIONS(2010),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2010),
    [anon_sym_PLUS_EQ] = ACTIONS(2010),
    [anon_sym_DASH_EQ] = ACTIONS(2010),
    [anon_sym_PIPE_EQ] = ACTIONS(2010),
    [anon_sym_CARET_EQ] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2012),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2012),
    [anon_sym_CARET] = ACTIONS(2012),
    [anon_sym_AMP] = ACTIONS(2012),
    [anon_sym_SLASH] = ACTIONS(2012),
    [anon_sym_PERCENT] = ACTIONS(2012),
    [anon_sym_LT_LT] = ACTIONS(2012),
    [anon_sym_GT_GT] = ACTIONS(2012),
    [anon_sym_AMP_CARET] = ACTIONS(2012),
    [anon_sym_PIPE] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(2010),
    [anon_sym_BANG_EQ] = ACTIONS(2010),
    [anon_sym_LT] = ACTIONS(2012),
    [anon_sym_LT_EQ] = ACTIONS(2010),
    [anon_sym_GT] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2010),
    [anon_sym_AMP_AMP] = ACTIONS(2010),
    [anon_sym_PIPE_PIPE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(20),
  },
  [776] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [777] = {
    [anon_sym_LF] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2014),
    [anon_sym_RBRACE] = ACTIONS(2014),
    [sym_comment] = ACTIONS(54),
  },
  [778] = {
    [anon_sym_LF] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2016),
    [anon_sym_RBRACE] = ACTIONS(2016),
    [sym_comment] = ACTIONS(54),
  },
  [779] = {
    [anon_sym_LPAREN] = ACTIONS(2018),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_func] = ACTIONS(2020),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2018),
    [anon_sym_struct] = ACTIONS(2020),
    [anon_sym_interface] = ACTIONS(2020),
    [anon_sym_map] = ACTIONS(2020),
    [anon_sym_chan] = ACTIONS(2020),
    [anon_sym_LT_DASH] = ACTIONS(2018),
    [sym_identifier] = ACTIONS(2022),
    [sym_comment] = ACTIONS(20),
  },
  [780] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_func] = ACTIONS(1059),
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1065),
    [anon_sym_chan] = ACTIONS(1067),
    [anon_sym_LT_DASH] = ACTIONS(1069),
    [sym_identifier] = ACTIONS(128),
    [sym_raw_string_literal] = ACTIONS(691),
    [sym_interpreted_string_literal] = ACTIONS(691),
    [sym_comment] = ACTIONS(54),
  },
  [781] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [782] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [783] = {
    [sym_parenthesized_type] = STATE(1011),
    [sym__simple_type] = STATE(1011),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [784] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(2026),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [785] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [786] = {
    [anon_sym_LF] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [sym_comment] = ACTIONS(54),
  },
  [787] = {
    [sym__string_literal] = STATE(1013),
    [anon_sym_LF] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_comment] = ACTIONS(54),
  },
  [788] = {
    [aux_sym_field_name_list_repeat1] = STATE(788),
    [anon_sym_LPAREN] = ACTIONS(2030),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_func] = ACTIONS(2035),
    [anon_sym_STAR] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_struct] = ACTIONS(2035),
    [anon_sym_interface] = ACTIONS(2035),
    [anon_sym_map] = ACTIONS(2035),
    [anon_sym_chan] = ACTIONS(2035),
    [anon_sym_LT_DASH] = ACTIONS(2030),
    [sym_identifier] = ACTIONS(2037),
    [sym_comment] = ACTIONS(20),
  },
  [789] = {
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_RPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(2039),
    [anon_sym_EQ] = ACTIONS(2039),
    [anon_sym_RBRACK] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2039),
    [sym_comment] = ACTIONS(20),
  },
  [790] = {
    [anon_sym_LF] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [sym_comment] = ACTIONS(54),
  },
  [791] = {
    [sym_field_declaration] = STATE(790),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [792] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(792),
    [anon_sym_LF] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [sym_comment] = ACTIONS(54),
  },
  [793] = {
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_RPAREN] = ACTIONS(2048),
    [anon_sym_COMMA] = ACTIONS(2048),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_RBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_COLON] = ACTIONS(2048),
    [sym_comment] = ACTIONS(20),
  },
  [794] = {
    [sym_parameter_list] = STATE(553),
    [anon_sym_LF] = ACTIONS(2050),
    [anon_sym_SEMI] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(356),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_comment] = ACTIONS(54),
  },
  [795] = {
    [anon_sym_LF] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [sym_comment] = ACTIONS(54),
  },
  [796] = {
    [sym_parameter_list] = STATE(1016),
    [anon_sym_LPAREN] = ACTIONS(660),
    [sym_comment] = ACTIONS(20),
  },
  [797] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [798] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1018),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [799] = {
    [anon_sym_LBRACK] = ACTIONS(2056),
    [sym_comment] = ACTIONS(20),
  },
  [800] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(2058),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [801] = {
    [anon_sym_chan] = ACTIONS(2060),
    [sym_comment] = ACTIONS(20),
  },
  [802] = {
    [anon_sym_LF] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [sym_comment] = ACTIONS(54),
  },
  [803] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [804] = {
    [aux_sym_method_spec_list_repeat1] = STATE(804),
    [anon_sym_LF] = ACTIONS(2066),
    [anon_sym_SEMI] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [sym_comment] = ACTIONS(54),
  },
  [805] = {
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_EQ] = ACTIONS(2069),
    [anon_sym_RBRACK] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_COLON] = ACTIONS(2069),
    [sym_comment] = ACTIONS(20),
  },
  [806] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(2071),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [807] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [808] = {
    [anon_sym_RBRACK] = ACTIONS(2073),
    [sym_comment] = ACTIONS(20),
  },
  [809] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(1095),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [810] = {
    [anon_sym_LPAREN] = ACTIONS(2075),
    [anon_sym_RPAREN] = ACTIONS(2075),
    [anon_sym_COMMA] = ACTIONS(2075),
    [anon_sym_EQ] = ACTIONS(2075),
    [anon_sym_RBRACK] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_COLON] = ACTIONS(2075),
    [sym_comment] = ACTIONS(20),
  },
  [811] = {
    [anon_sym_LF] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_EQ] = ACTIONS(1178),
    [anon_sym_func] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_interface] = ACTIONS(1178),
    [anon_sym_map] = ACTIONS(1178),
    [anon_sym_chan] = ACTIONS(1178),
    [anon_sym_LT_DASH] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1178),
    [sym_raw_string_literal] = ACTIONS(1178),
    [sym_interpreted_string_literal] = ACTIONS(1178),
    [sym_comment] = ACTIONS(54),
  },
  [812] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [813] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2079),
    [sym_comment] = ACTIONS(20),
  },
  [814] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(330),
    [anon_sym_chan] = ACTIONS(332),
    [anon_sym_LT_DASH] = ACTIONS(334),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2081),
    [anon_sym_LF] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_package] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_EQ] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_func] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [sym_default_case] = ACTIONS(2081),
    [sym_raw_string_literal] = ACTIONS(2081),
    [sym_interpreted_string_literal] = ACTIONS(2081),
    [sym_comment] = ACTIONS(54),
  },
  [816] = {
    [sym_field_declaration] = STATE(790),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2085),
    [anon_sym_LF] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_package] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_EQ] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_func] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [sym_default_case] = ACTIONS(2085),
    [sym_raw_string_literal] = ACTIONS(2085),
    [sym_interpreted_string_literal] = ACTIONS(2085),
    [sym_comment] = ACTIONS(54),
  },
  [818] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2089),
    [anon_sym_LF] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_EQ] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_func] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [sym_default_case] = ACTIONS(2089),
    [sym_raw_string_literal] = ACTIONS(2089),
    [sym_interpreted_string_literal] = ACTIONS(2089),
    [sym_comment] = ACTIONS(54),
  },
  [820] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2093),
    [anon_sym_LF] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_EQ] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_func] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [sym_default_case] = ACTIONS(2093),
    [sym_raw_string_literal] = ACTIONS(2093),
    [sym_interpreted_string_literal] = ACTIONS(2093),
    [sym_comment] = ACTIONS(54),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2095),
    [anon_sym_LF] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_package] = ACTIONS(2095),
    [anon_sym_import] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(2095),
    [anon_sym_const] = ACTIONS(2095),
    [anon_sym_EQ] = ACTIONS(2095),
    [anon_sym_var] = ACTIONS(2095),
    [anon_sym_func] = ACTIONS(2095),
    [anon_sym_type] = ACTIONS(2095),
    [anon_sym_STAR] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(2095),
    [anon_sym_struct] = ACTIONS(2095),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_interface] = ACTIONS(2095),
    [anon_sym_map] = ACTIONS(2095),
    [anon_sym_chan] = ACTIONS(2095),
    [anon_sym_LT_DASH] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_raw_string_literal] = ACTIONS(2095),
    [sym_interpreted_string_literal] = ACTIONS(2095),
    [sym_comment] = ACTIONS(54),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [anon_sym_LF] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_package] = ACTIONS(1677),
    [anon_sym_import] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [anon_sym_var] = ACTIONS(1677),
    [anon_sym_func] = ACTIONS(1677),
    [anon_sym_type] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [sym_default_case] = ACTIONS(1677),
    [sym_comment] = ACTIONS(54),
  },
  [824] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [825] = {
    [anon_sym_LF] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1374),
    [anon_sym_COLON_EQ] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_STAR_EQ] = ACTIONS(1374),
    [anon_sym_SLASH_EQ] = ACTIONS(1374),
    [anon_sym_PERCENT_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_GT_EQ] = ACTIONS(1374),
    [anon_sym_AMP_EQ] = ACTIONS(1374),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1374),
    [anon_sym_PLUS_EQ] = ACTIONS(1374),
    [anon_sym_DASH_EQ] = ACTIONS(1374),
    [anon_sym_PIPE_EQ] = ACTIONS(1374),
    [anon_sym_CARET_EQ] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [sym_default_case] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [sym_comment] = ACTIONS(54),
  },
  [826] = {
    [sym_expression_list] = STATE(133),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [827] = {
    [anon_sym_EQ] = ACTIONS(2099),
    [sym_comment] = ACTIONS(20),
  },
  [828] = {
    [sym_parenthesized_type] = STATE(1033),
    [sym__simple_type] = STATE(1033),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(1034),
    [anon_sym_LF] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_EQ] = ACTIONS(2101),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [829] = {
    [sym_expression_list] = STATE(181),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [830] = {
    [sym_parameter_list] = STATE(1035),
    [anon_sym_LPAREN] = ACTIONS(660),
    [sym_comment] = ACTIONS(20),
  },
  [831] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [832] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2103),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [833] = {
    [anon_sym_LBRACK] = ACTIONS(2105),
    [sym_comment] = ACTIONS(20),
  },
  [834] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [835] = {
    [anon_sym_chan] = ACTIONS(2109),
    [sym_comment] = ACTIONS(20),
  },
  [836] = {
    [anon_sym_LF] = ACTIONS(358),
    [anon_sym_SEMI] = ACTIONS(358),
    [anon_sym_EQ] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(358),
    [sym_comment] = ACTIONS(54),
  },
  [837] = {
    [sym_parenthesized_type] = STATE(1042),
    [sym__simple_type] = STATE(1042),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [838] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(1044),
    [sym__statement] = STATE(414),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [839] = {
    [sym_block] = STATE(1045),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [sym_comment] = ACTIONS(20),
  },
  [840] = {
    [anon_sym_LF] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_LT_DASH] = ACTIONS(1380),
    [anon_sym_COLON_EQ] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_STAR_EQ] = ACTIONS(1380),
    [anon_sym_SLASH_EQ] = ACTIONS(1380),
    [anon_sym_PERCENT_EQ] = ACTIONS(1380),
    [anon_sym_LT_LT_EQ] = ACTIONS(1380),
    [anon_sym_GT_GT_EQ] = ACTIONS(1380),
    [anon_sym_AMP_EQ] = ACTIONS(1380),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1380),
    [anon_sym_PLUS_EQ] = ACTIONS(1380),
    [anon_sym_DASH_EQ] = ACTIONS(1380),
    [anon_sym_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_CARET_EQ] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [sym_default_case] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_AMP_AMP] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [sym_comment] = ACTIONS(54),
  },
  [841] = {
    [sym_parenthesized_type] = STATE(235),
    [sym__simple_type] = STATE(235),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [842] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1046),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [843] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [844] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [845] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [846] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [847] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1050),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [848] = {
    [aux_sym_expression_list_repeat1] = STATE(1051),
    [anon_sym_LF] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [sym_comment] = ACTIONS(54),
  },
  [849] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [850] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1052),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [851] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1053),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [852] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1054),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [853] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1055),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [854] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(918),
    [anon_sym_AMP_CARET] = ACTIONS(918),
    [anon_sym_PIPE] = ACTIONS(924),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_AMP_AMP] = ACTIONS(930),
    [anon_sym_PIPE_PIPE] = ACTIONS(932),
    [sym_comment] = ACTIONS(20),
  },
  [855] = {
    [sym_parameter_list] = STATE(1058),
    [sym__simple_type] = STATE(1058),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(1059),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [856] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1015),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_LT_DASH] = ACTIONS(1015),
    [anon_sym_COLON_EQ] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [anon_sym_STAR_EQ] = ACTIONS(1015),
    [anon_sym_SLASH_EQ] = ACTIONS(1015),
    [anon_sym_PERCENT_EQ] = ACTIONS(1015),
    [anon_sym_LT_LT_EQ] = ACTIONS(1015),
    [anon_sym_GT_GT_EQ] = ACTIONS(1015),
    [anon_sym_AMP_EQ] = ACTIONS(1015),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1015),
    [anon_sym_PLUS_EQ] = ACTIONS(1015),
    [anon_sym_DASH_EQ] = ACTIONS(1015),
    [anon_sym_PIPE_EQ] = ACTIONS(1015),
    [anon_sym_CARET_EQ] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1019),
    [anon_sym_PERCENT] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1015),
    [anon_sym_BANG_EQ] = ACTIONS(1015),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1015),
    [anon_sym_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1015),
    [anon_sym_AMP_AMP] = ACTIONS(1015),
    [anon_sym_PIPE_PIPE] = ACTIONS(1015),
    [sym_comment] = ACTIONS(20),
  },
  [857] = {
    [sym_parenthesized_type] = STATE(1060),
    [sym__simple_type] = STATE(1060),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [858] = {
    [anon_sym_SEMI] = ACTIONS(1023),
    [anon_sym_DOT] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1025),
    [anon_sym_STAR] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_LT_DASH] = ACTIONS(1023),
    [anon_sym_COLON_EQ] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_STAR_EQ] = ACTIONS(1023),
    [anon_sym_SLASH_EQ] = ACTIONS(1023),
    [anon_sym_PERCENT_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT_EQ] = ACTIONS(1023),
    [anon_sym_GT_GT_EQ] = ACTIONS(1023),
    [anon_sym_AMP_EQ] = ACTIONS(1023),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1023),
    [anon_sym_PLUS_EQ] = ACTIONS(1023),
    [anon_sym_DASH_EQ] = ACTIONS(1023),
    [anon_sym_PIPE_EQ] = ACTIONS(1023),
    [anon_sym_CARET_EQ] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_CARET] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(1025),
    [anon_sym_SLASH] = ACTIONS(1025),
    [anon_sym_PERCENT] = ACTIONS(1025),
    [anon_sym_LT_LT] = ACTIONS(1025),
    [anon_sym_GT_GT] = ACTIONS(1025),
    [anon_sym_AMP_CARET] = ACTIONS(1025),
    [anon_sym_PIPE] = ACTIONS(1025),
    [anon_sym_EQ_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_GT] = ACTIONS(1025),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_AMP_AMP] = ACTIONS(1023),
    [anon_sym_PIPE_PIPE] = ACTIONS(1023),
    [sym_comment] = ACTIONS(20),
  },
  [859] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(1062),
    [sym_element] = STATE(1062),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [860] = {
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_CARET] = ACTIONS(1031),
    [anon_sym_AMP] = ACTIONS(1031),
    [anon_sym_SLASH] = ACTIONS(1031),
    [anon_sym_PERCENT] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1031),
    [anon_sym_AMP_CARET] = ACTIONS(1031),
    [anon_sym_PIPE] = ACTIONS(1031),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(20),
  },
  [861] = {
    [sym_expression_list] = STATE(1066),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1067),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [862] = {
    [sym_expression_list] = STATE(1068),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1067),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [863] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [864] = {
    [anon_sym_SEMI] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LT_DASH] = ACTIONS(1033),
    [anon_sym_COLON_EQ] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_STAR_EQ] = ACTIONS(1033),
    [anon_sym_SLASH_EQ] = ACTIONS(1033),
    [anon_sym_PERCENT_EQ] = ACTIONS(1033),
    [anon_sym_LT_LT_EQ] = ACTIONS(1033),
    [anon_sym_GT_GT_EQ] = ACTIONS(1033),
    [anon_sym_AMP_EQ] = ACTIONS(1033),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1033),
    [anon_sym_PLUS_EQ] = ACTIONS(1033),
    [anon_sym_DASH_EQ] = ACTIONS(1033),
    [anon_sym_PIPE_EQ] = ACTIONS(1033),
    [anon_sym_CARET_EQ] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_CARET] = ACTIONS(1035),
    [anon_sym_AMP] = ACTIONS(1035),
    [anon_sym_SLASH] = ACTIONS(1035),
    [anon_sym_PERCENT] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1035),
    [anon_sym_GT_GT] = ACTIONS(1035),
    [anon_sym_AMP_CARET] = ACTIONS(1035),
    [anon_sym_PIPE] = ACTIONS(1035),
    [anon_sym_EQ_EQ] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_LT_EQ] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1033),
    [anon_sym_AMP_AMP] = ACTIONS(1033),
    [anon_sym_PIPE_PIPE] = ACTIONS(1033),
    [sym_comment] = ACTIONS(20),
  },
  [865] = {
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_func] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_map] = ACTIONS(2131),
    [anon_sym_chan] = ACTIONS(2131),
    [anon_sym_LT_DASH] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_make] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2133),
    [sym_raw_string_literal] = ACTIONS(2129),
    [sym_interpreted_string_literal] = ACTIONS(2129),
    [sym_int_literal] = ACTIONS(2131),
    [sym_float_literal] = ACTIONS(2131),
    [sym_imaginary_literal] = ACTIONS(2129),
    [sym_rune_literal] = ACTIONS(2129),
    [sym_comment] = ACTIONS(20),
  },
  [866] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [867] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [868] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [869] = {
    [sym_literal_value] = STATE(307),
    [anon_sym_DOT] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_COLON_EQ] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_AMP_CARET] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_AMP_AMP] = ACTIONS(581),
    [anon_sym_PIPE_PIPE] = ACTIONS(581),
    [sym_comment] = ACTIONS(20),
  },
  [870] = {
    [sym_block] = STATE(1075),
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [sym_comment] = ACTIONS(20),
  },
  [871] = {
    [anon_sym_LPAREN] = ACTIONS(2151),
    [sym_identifier] = ACTIONS(2153),
    [sym_comment] = ACTIONS(20),
  },
  [872] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(1080),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2155),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [873] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [874] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [875] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1084),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [876] = {
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [sym_comment] = ACTIONS(20),
  },
  [877] = {
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [sym_comment] = ACTIONS(20),
  },
  [878] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [879] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1086),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [880] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1087),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [881] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1088),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [882] = {
    [sym_else_clause] = STATE(1090),
    [anon_sym_LF] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2165),
    [sym_comment] = ACTIONS(54),
  },
  [883] = {
    [anon_sym_SEMI] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_COMMA] = ACTIONS(1045),
    [anon_sym_EQ] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_LT_DASH] = ACTIONS(1045),
    [anon_sym_COLON_EQ] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1045),
    [anon_sym_DASH_DASH] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1045),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_CARET] = ACTIONS(1047),
    [anon_sym_AMP] = ACTIONS(1047),
    [anon_sym_SLASH] = ACTIONS(1047),
    [anon_sym_PERCENT] = ACTIONS(1047),
    [anon_sym_LT_LT] = ACTIONS(1047),
    [anon_sym_GT_GT] = ACTIONS(1047),
    [anon_sym_AMP_CARET] = ACTIONS(1047),
    [anon_sym_PIPE] = ACTIONS(1047),
    [anon_sym_EQ_EQ] = ACTIONS(1045),
    [anon_sym_BANG_EQ] = ACTIONS(1045),
    [anon_sym_LT] = ACTIONS(1047),
    [anon_sym_LT_EQ] = ACTIONS(1045),
    [anon_sym_GT] = ACTIONS(1047),
    [anon_sym_GT_EQ] = ACTIONS(1045),
    [anon_sym_AMP_AMP] = ACTIONS(1045),
    [anon_sym_PIPE_PIPE] = ACTIONS(1045),
    [sym_comment] = ACTIONS(20),
  },
  [884] = {
    [sym_expression_list] = STATE(1094),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(1095),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym__expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [885] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [886] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [887] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [888] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2189),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(20),
  },
  [889] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [sym_comment] = ACTIONS(20),
  },
  [890] = {
    [sym_expression_list] = STATE(1066),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1067),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_range] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [891] = {
    [sym_expression_list] = STATE(1068),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1067),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_range] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [892] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [893] = {
    [anon_sym_LF] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [sym_default_case] = ACTIONS(2197),
    [sym_comment] = ACTIONS(54),
  },
  [894] = {
    [anon_sym_LF] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2199),
    [sym_default_case] = ACTIONS(2199),
    [sym_comment] = ACTIONS(54),
  },
  [895] = {
    [sym_expression_list] = STATE(1108),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1109),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [896] = {
    [anon_sym_COLON] = ACTIONS(2207),
    [sym_comment] = ACTIONS(20),
  },
  [897] = {
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [sym_default_case] = ACTIONS(2209),
    [sym_comment] = ACTIONS(20),
  },
  [898] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [899] = {
    [sym_expression_list] = STATE(1068),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1113),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [900] = {
    [sym_expression_list] = STATE(1118),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_type_switch_guard] = STATE(1119),
    [sym__expression] = STATE(1120),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [901] = {
    [sym_type_case_clause] = STATE(1124),
    [sym_type_case] = STATE(1123),
    [aux_sym_type_switch_statement_repeat1] = STATE(1125),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2223),
    [sym_default_case] = ACTIONS(2225),
    [sym_comment] = ACTIONS(20),
  },
  [902] = {
    [anon_sym_LPAREN] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2153),
    [sym_comment] = ACTIONS(20),
  },
  [903] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1127),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [904] = {
    [anon_sym_LF] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_case] = ACTIONS(2229),
    [sym_default_case] = ACTIONS(2229),
    [sym_comment] = ACTIONS(54),
  },
  [905] = {
    [sym_expression_list] = STATE(1131),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_send_statement] = STATE(1132),
    [sym_receive_statement] = STATE(1132),
    [sym__expression] = STATE(1133),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [906] = {
    [anon_sym_COLON] = ACTIONS(2237),
    [sym_comment] = ACTIONS(20),
  },
  [907] = {
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_case] = ACTIONS(2239),
    [sym_default_case] = ACTIONS(2239),
    [sym_comment] = ACTIONS(20),
  },
  [908] = {
    [sym_communication_clause] = STATE(907),
    [sym_communication_case] = STATE(906),
    [aux_sym_select_statement_repeat1] = STATE(1136),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_case] = ACTIONS(1845),
    [sym_default_case] = ACTIONS(1847),
    [sym_comment] = ACTIONS(20),
  },
  [909] = {
    [aux_sym_expression_list_repeat1] = STATE(1139),
    [anon_sym_RPAREN] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(2245),
    [sym_comment] = ACTIONS(20),
  },
  [910] = {
    [anon_sym_LF] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1404),
    [anon_sym_COLON_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_STAR_EQ] = ACTIONS(1404),
    [anon_sym_SLASH_EQ] = ACTIONS(1404),
    [anon_sym_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT_EQ] = ACTIONS(1404),
    [anon_sym_GT_GT_EQ] = ACTIONS(1404),
    [anon_sym_AMP_EQ] = ACTIONS(1404),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_EQ] = ACTIONS(1404),
    [anon_sym_DASH_EQ] = ACTIONS(1404),
    [anon_sym_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_CARET_EQ] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [sym_default_case] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_AMP_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_AMP_AMP] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [sym_comment] = ACTIONS(54),
  },
  [911] = {
    [aux_sym_literal_value_repeat1] = STATE(1142),
    [anon_sym_COMMA] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [sym_comment] = ACTIONS(20),
  },
  [912] = {
    [sym_literal_value] = STATE(648),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [913] = {
    [anon_sym_LF] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [sym_default_case] = ACTIONS(2253),
    [sym_comment] = ACTIONS(54),
  },
  [914] = {
    [anon_sym_LF] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_RBRACE] = ACTIONS(2255),
    [anon_sym_case] = ACTIONS(2255),
    [sym_default_case] = ACTIONS(2255),
    [sym_comment] = ACTIONS(54),
  },
  [915] = {
    [anon_sym_LF] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2257),
    [sym_default_case] = ACTIONS(2257),
    [sym_comment] = ACTIONS(54),
  },
  [916] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(20),
  },
  [917] = {
    [anon_sym_LF] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_case] = ACTIONS(2263),
    [sym_default_case] = ACTIONS(2263),
    [sym_comment] = ACTIONS(54),
  },
  [918] = {
    [anon_sym_RBRACE] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [sym_default_case] = ACTIONS(2265),
    [sym_comment] = ACTIONS(20),
  },
  [919] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(1146),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2267),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [920] = {
    [aux_sym__statement_list_repeat1] = STATE(920),
    [anon_sym_LF] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [sym_comment] = ACTIONS(54),
  },
  [921] = {
    [sym_parenthesized_type] = STATE(1148),
    [sym__simple_type] = STATE(1148),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [922] = {
    [anon_sym_LF] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_COLON_EQ] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_STAR_EQ] = ACTIONS(1452),
    [anon_sym_SLASH_EQ] = ACTIONS(1452),
    [anon_sym_PERCENT_EQ] = ACTIONS(1452),
    [anon_sym_LT_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP_EQ] = ACTIONS(1452),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1452),
    [anon_sym_DASH_EQ] = ACTIONS(1452),
    [anon_sym_PIPE_EQ] = ACTIONS(1452),
    [anon_sym_CARET_EQ] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [sym_default_case] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_AMP_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [sym_comment] = ACTIONS(54),
  },
  [923] = {
    [anon_sym_LF] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_STAR_EQ] = ACTIONS(1454),
    [anon_sym_SLASH_EQ] = ACTIONS(1454),
    [anon_sym_PERCENT_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT_GT_EQ] = ACTIONS(1454),
    [anon_sym_AMP_EQ] = ACTIONS(1454),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1454),
    [anon_sym_PLUS_EQ] = ACTIONS(1454),
    [anon_sym_DASH_EQ] = ACTIONS(1454),
    [anon_sym_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_CARET_EQ] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [sym_default_case] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [sym_comment] = ACTIONS(54),
  },
  [924] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_argument_list_repeat1] = STATE(1151),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(20),
  },
  [925] = {
    [aux_sym_argument_list_repeat1] = STATE(1151),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [sym_comment] = ACTIONS(20),
  },
  [926] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [927] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [928] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [929] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_EQ] = ACTIONS(2278),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [anon_sym_STAR_EQ] = ACTIONS(2276),
    [anon_sym_SLASH_EQ] = ACTIONS(2276),
    [anon_sym_PERCENT_EQ] = ACTIONS(2276),
    [anon_sym_LT_LT_EQ] = ACTIONS(2276),
    [anon_sym_GT_GT_EQ] = ACTIONS(2276),
    [anon_sym_AMP_EQ] = ACTIONS(2276),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2276),
    [anon_sym_PLUS_EQ] = ACTIONS(2276),
    [anon_sym_DASH_EQ] = ACTIONS(2276),
    [anon_sym_PIPE_EQ] = ACTIONS(2276),
    [anon_sym_CARET_EQ] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_AMP_CARET] = ACTIONS(2280),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2284),
    [anon_sym_BANG_EQ] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_LT_EQ] = ACTIONS(2284),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_GT_EQ] = ACTIONS(2284),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [sym_comment] = ACTIONS(20),
  },
  [930] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [931] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1158),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [932] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2294),
    [anon_sym_COLON] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [933] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [sym_comment] = ACTIONS(54),
  },
  [934] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_AMP_CARET] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [935] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_AMP_CARET] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [936] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_AMP_CARET] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [937] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_AMP_CARET] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [938] = {
    [aux_sym_expression_list_repeat1] = STATE(938),
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [anon_sym_STAR_EQ] = ACTIONS(2276),
    [anon_sym_SLASH_EQ] = ACTIONS(2276),
    [anon_sym_PERCENT_EQ] = ACTIONS(2276),
    [anon_sym_LT_LT_EQ] = ACTIONS(2276),
    [anon_sym_GT_GT_EQ] = ACTIONS(2276),
    [anon_sym_AMP_EQ] = ACTIONS(2276),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2276),
    [anon_sym_PLUS_EQ] = ACTIONS(2276),
    [anon_sym_DASH_EQ] = ACTIONS(2276),
    [anon_sym_PIPE_EQ] = ACTIONS(2276),
    [anon_sym_CARET_EQ] = ACTIONS(2276),
    [sym_comment] = ACTIONS(20),
  },
  [939] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(763),
    [anon_sym_chan] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [940] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(427),
    [anon_sym_chan] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [941] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [942] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(2303),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [943] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [944] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [945] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [946] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [947] = {
    [anon_sym_RBRACK] = ACTIONS(2305),
    [sym_comment] = ACTIONS(20),
  },
  [948] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [949] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [950] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [951] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [952] = {
    [sym_parenthesized_type] = STATE(1164),
    [sym__simple_type] = STATE(1164),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [953] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(2309),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [954] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [955] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(521),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [956] = {
    [ts_builtin_sym_end] = ACTIONS(2311),
    [anon_sym_LF] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_package] = ACTIONS(2311),
    [anon_sym_import] = ACTIONS(2311),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_const] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_var] = ACTIONS(2311),
    [anon_sym_func] = ACTIONS(2311),
    [anon_sym_type] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_case] = ACTIONS(2311),
    [sym_default_case] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_CARET] = ACTIONS(2311),
    [anon_sym_AMP] = ACTIONS(2311),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2311),
    [anon_sym_LT_LT] = ACTIONS(2311),
    [anon_sym_GT_GT] = ACTIONS(2311),
    [anon_sym_AMP_CARET] = ACTIONS(2311),
    [anon_sym_PIPE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2311),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT] = ACTIONS(2311),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2311),
    [anon_sym_PIPE_PIPE] = ACTIONS(2311),
    [sym_comment] = ACTIONS(54),
  },
  [957] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(20),
  },
  [958] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2313),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [959] = {
    [aux_sym_expression_list_repeat1] = STATE(959),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2315),
    [sym_comment] = ACTIONS(20),
  },
  [960] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [961] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [962] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [963] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(20),
  },
  [964] = {
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [sym_comment] = ACTIONS(20),
  },
  [965] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(20),
  },
  [966] = {
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [sym_comment] = ACTIONS(20),
  },
  [967] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [968] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [969] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [970] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [971] = {
    [ts_builtin_sym_end] = ACTIONS(2338),
    [anon_sym_LF] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_package] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_func] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [sym_default_case] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [sym_comment] = ACTIONS(54),
  },
  [972] = {
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [sym_comment] = ACTIONS(20),
  },
  [973] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [974] = {
    [aux_sym_literal_value_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [sym_comment] = ACTIONS(20),
  },
  [975] = {
    [ts_builtin_sym_end] = ACTIONS(2347),
    [anon_sym_LF] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2347),
    [anon_sym_package] = ACTIONS(2347),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_DOT] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_COMMA] = ACTIONS(2347),
    [anon_sym_var] = ACTIONS(2347),
    [anon_sym_func] = ACTIONS(2347),
    [anon_sym_type] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_RBRACE] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [sym_default_case] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_CARET] = ACTIONS(2347),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SLASH] = ACTIONS(2347),
    [anon_sym_PERCENT] = ACTIONS(2347),
    [anon_sym_LT_LT] = ACTIONS(2347),
    [anon_sym_GT_GT] = ACTIONS(2347),
    [anon_sym_AMP_CARET] = ACTIONS(2347),
    [anon_sym_PIPE] = ACTIONS(2347),
    [anon_sym_EQ_EQ] = ACTIONS(2347),
    [anon_sym_BANG_EQ] = ACTIONS(2347),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_LT_EQ] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_GT_EQ] = ACTIONS(2347),
    [anon_sym_AMP_AMP] = ACTIONS(2347),
    [anon_sym_PIPE_PIPE] = ACTIONS(2347),
    [sym_comment] = ACTIONS(54),
  },
  [976] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [977] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [978] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [979] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(2349),
    [anon_sym_LF] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym_package] = ACTIONS(2349),
    [anon_sym_import] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2349),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_const] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(2349),
    [anon_sym_var] = ACTIONS(2349),
    [anon_sym_func] = ACTIONS(2349),
    [anon_sym_type] = ACTIONS(2349),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_case] = ACTIONS(2349),
    [sym_default_case] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_CARET] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2349),
    [anon_sym_SLASH] = ACTIONS(2349),
    [anon_sym_PERCENT] = ACTIONS(2349),
    [anon_sym_LT_LT] = ACTIONS(2349),
    [anon_sym_GT_GT] = ACTIONS(2349),
    [anon_sym_AMP_CARET] = ACTIONS(2349),
    [anon_sym_PIPE] = ACTIONS(2349),
    [anon_sym_EQ_EQ] = ACTIONS(2349),
    [anon_sym_BANG_EQ] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_GT] = ACTIONS(2349),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_PIPE_PIPE] = ACTIONS(2349),
    [sym_comment] = ACTIONS(54),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(2351),
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_package] = ACTIONS(2351),
    [anon_sym_import] = ACTIONS(2351),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2351),
    [anon_sym_var] = ACTIONS(2351),
    [anon_sym_func] = ACTIONS(2351),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [sym_default_case] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_CARET] = ACTIONS(2351),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2351),
    [anon_sym_LT_LT] = ACTIONS(2351),
    [anon_sym_GT_GT] = ACTIONS(2351),
    [anon_sym_AMP_CARET] = ACTIONS(2351),
    [anon_sym_PIPE] = ACTIONS(2351),
    [anon_sym_EQ_EQ] = ACTIONS(2351),
    [anon_sym_BANG_EQ] = ACTIONS(2351),
    [anon_sym_LT] = ACTIONS(2351),
    [anon_sym_LT_EQ] = ACTIONS(2351),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2351),
    [anon_sym_AMP_AMP] = ACTIONS(2351),
    [anon_sym_PIPE_PIPE] = ACTIONS(2351),
    [sym_comment] = ACTIONS(54),
  },
  [982] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(20),
  },
  [983] = {
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2353),
    [sym_comment] = ACTIONS(20),
  },
  [984] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [985] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [986] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [987] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [988] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2355),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [989] = {
    [aux_sym_argument_list_repeat1] = STATE(989),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2357),
    [sym_comment] = ACTIONS(20),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(2360),
    [anon_sym_LF] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_package] = ACTIONS(2360),
    [anon_sym_import] = ACTIONS(2360),
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_var] = ACTIONS(2360),
    [anon_sym_func] = ACTIONS(2360),
    [anon_sym_type] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [sym_default_case] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SLASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_GT_GT] = ACTIONS(2360),
    [anon_sym_AMP_CARET] = ACTIONS(2360),
    [anon_sym_PIPE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2360),
    [anon_sym_PIPE_PIPE] = ACTIONS(2360),
    [sym_comment] = ACTIONS(54),
  },
  [991] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [992] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2362),
    [anon_sym_COLON] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [993] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [994] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [995] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [996] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [997] = {
    [anon_sym_LPAREN] = ACTIONS(1673),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [anon_sym_func] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [anon_sym_RBRACK] = ACTIONS(1673),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_interface] = ACTIONS(1675),
    [anon_sym_map] = ACTIONS(1675),
    [anon_sym_chan] = ACTIONS(1675),
    [anon_sym_LT_DASH] = ACTIONS(1673),
    [anon_sym_COLON] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(2095),
    [sym_comment] = ACTIONS(20),
  },
  [998] = {
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym_DOT] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2366),
    [anon_sym_RPAREN] = ACTIONS(2366),
    [anon_sym_COMMA] = ACTIONS(2366),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_RBRACK] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_LT_DASH] = ACTIONS(2366),
    [anon_sym_COLON_EQ] = ACTIONS(2366),
    [anon_sym_STAR_EQ] = ACTIONS(2366),
    [anon_sym_SLASH_EQ] = ACTIONS(2366),
    [anon_sym_PERCENT_EQ] = ACTIONS(2366),
    [anon_sym_LT_LT_EQ] = ACTIONS(2366),
    [anon_sym_GT_GT_EQ] = ACTIONS(2366),
    [anon_sym_AMP_EQ] = ACTIONS(2366),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2366),
    [anon_sym_PLUS_EQ] = ACTIONS(2366),
    [anon_sym_DASH_EQ] = ACTIONS(2366),
    [anon_sym_PIPE_EQ] = ACTIONS(2366),
    [anon_sym_CARET_EQ] = ACTIONS(2366),
    [anon_sym_COLON] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SLASH] = ACTIONS(2368),
    [anon_sym_PERCENT] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_GT_GT] = ACTIONS(2368),
    [anon_sym_AMP_CARET] = ACTIONS(2368),
    [anon_sym_PIPE] = ACTIONS(2368),
    [anon_sym_EQ_EQ] = ACTIONS(2366),
    [anon_sym_BANG_EQ] = ACTIONS(2366),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_LT_EQ] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_PIPE_PIPE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(20),
  },
  [999] = {
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_COLON_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_GT_GT] = ACTIONS(2372),
    [anon_sym_AMP_CARET] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [sym_comment] = ACTIONS(20),
  },
  [1000] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1001] = {
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_COLON_EQ] = ACTIONS(2376),
    [anon_sym_STAR_EQ] = ACTIONS(2376),
    [anon_sym_SLASH_EQ] = ACTIONS(2376),
    [anon_sym_PERCENT_EQ] = ACTIONS(2376),
    [anon_sym_LT_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_GT_EQ] = ACTIONS(2376),
    [anon_sym_AMP_EQ] = ACTIONS(2376),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2376),
    [anon_sym_PLUS_EQ] = ACTIONS(2376),
    [anon_sym_DASH_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_EQ] = ACTIONS(2376),
    [anon_sym_CARET_EQ] = ACTIONS(2376),
    [anon_sym_COLON] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_CARET] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SLASH] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2378),
    [anon_sym_LT_LT] = ACTIONS(2378),
    [anon_sym_GT_GT] = ACTIONS(2378),
    [anon_sym_AMP_CARET] = ACTIONS(2378),
    [anon_sym_PIPE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2378),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [sym_comment] = ACTIONS(20),
  },
  [1002] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1003] = {
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_RBRACK] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_LT_DASH] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_AMP_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_PIPE_PIPE] = ACTIONS(2382),
    [sym_comment] = ACTIONS(20),
  },
  [1004] = {
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_LT_DASH] = ACTIONS(2386),
    [anon_sym_COLON_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_COLON] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_GT_GT] = ACTIONS(2388),
    [anon_sym_AMP_CARET] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_EQ_EQ] = ACTIONS(2386),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_PIPE_PIPE] = ACTIONS(2386),
    [sym_comment] = ACTIONS(20),
  },
  [1005] = {
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_RPAREN] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_RBRACK] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_LT_DASH] = ACTIONS(2390),
    [anon_sym_COLON_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_COLON] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_GT_GT] = ACTIONS(2392),
    [anon_sym_AMP_CARET] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2390),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_PIPE_PIPE] = ACTIONS(2390),
    [sym_comment] = ACTIONS(20),
  },
  [1006] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1007] = {
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_LPAREN] = ACTIONS(2396),
    [anon_sym_RPAREN] = ACTIONS(2396),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_RBRACK] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2396),
    [anon_sym_LT_DASH] = ACTIONS(2396),
    [anon_sym_COLON_EQ] = ACTIONS(2396),
    [anon_sym_STAR_EQ] = ACTIONS(2396),
    [anon_sym_SLASH_EQ] = ACTIONS(2396),
    [anon_sym_PERCENT_EQ] = ACTIONS(2396),
    [anon_sym_LT_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_GT_EQ] = ACTIONS(2396),
    [anon_sym_AMP_EQ] = ACTIONS(2396),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2396),
    [anon_sym_PLUS_EQ] = ACTIONS(2396),
    [anon_sym_DASH_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_EQ] = ACTIONS(2396),
    [anon_sym_CARET_EQ] = ACTIONS(2396),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_GT_GT] = ACTIONS(2398),
    [anon_sym_AMP_CARET] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [sym_comment] = ACTIONS(20),
  },
  [1008] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1183),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1009] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1010] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1011] = {
    [anon_sym_RBRACK] = ACTIONS(2404),
    [sym_comment] = ACTIONS(20),
  },
  [1012] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1013] = {
    [anon_sym_LF] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [sym_comment] = ACTIONS(54),
  },
  [1014] = {
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_RPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_RBRACK] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2408),
    [sym_comment] = ACTIONS(20),
  },
  [1015] = {
    [sym_field_declaration] = STATE(790),
    [sym_qualified_type] = STATE(324),
    [anon_sym_STAR] = ACTIONS(623),
    [sym_identifier] = ACTIONS(627),
    [sym_comment] = ACTIONS(20),
  },
  [1016] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_func] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(1615),
    [anon_sym_chan] = ACTIONS(1617),
    [anon_sym_LT_DASH] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [1017] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1018] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1019] = {
    [sym_parenthesized_type] = STATE(1188),
    [sym__simple_type] = STATE(1188),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1020] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(2412),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1021] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1022] = {
    [anon_sym_LPAREN] = ACTIONS(2414),
    [anon_sym_RPAREN] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_RBRACK] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2414),
    [sym_comment] = ACTIONS(20),
  },
  [1023] = {
    [sym_method_spec] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(20),
  },
  [1024] = {
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2416),
    [anon_sym_EQ] = ACTIONS(2416),
    [anon_sym_RBRACK] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COLON] = ACTIONS(2416),
    [sym_comment] = ACTIONS(20),
  },
  [1025] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1026] = {
    [anon_sym_LF] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [anon_sym_func] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_interface] = ACTIONS(1677),
    [anon_sym_map] = ACTIONS(1677),
    [anon_sym_chan] = ACTIONS(1677),
    [anon_sym_LT_DASH] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_raw_string_literal] = ACTIONS(1677),
    [sym_interpreted_string_literal] = ACTIONS(1677),
    [sym_comment] = ACTIONS(54),
  },
  [1027] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(2420),
    [anon_sym_LF] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2420),
    [anon_sym_package] = ACTIONS(2420),
    [anon_sym_import] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_var] = ACTIONS(2420),
    [anon_sym_func] = ACTIONS(2420),
    [anon_sym_type] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2420),
    [anon_sym_RBRACE] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [sym_default_case] = ACTIONS(2420),
    [sym_raw_string_literal] = ACTIONS(2420),
    [sym_interpreted_string_literal] = ACTIONS(2420),
    [sym_comment] = ACTIONS(54),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [anon_sym_LF] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym_package] = ACTIONS(2422),
    [anon_sym_import] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_var] = ACTIONS(2422),
    [anon_sym_func] = ACTIONS(2422),
    [anon_sym_type] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_case] = ACTIONS(2422),
    [sym_default_case] = ACTIONS(2422),
    [sym_raw_string_literal] = ACTIONS(2422),
    [sym_interpreted_string_literal] = ACTIONS(2422),
    [sym_comment] = ACTIONS(54),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(2424),
    [anon_sym_LF] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_package] = ACTIONS(2424),
    [anon_sym_import] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2424),
    [anon_sym_var] = ACTIONS(2424),
    [anon_sym_func] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [sym_default_case] = ACTIONS(2424),
    [sym_raw_string_literal] = ACTIONS(2424),
    [sym_interpreted_string_literal] = ACTIONS(2424),
    [sym_comment] = ACTIONS(54),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(2095),
    [anon_sym_LF] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_package] = ACTIONS(2095),
    [anon_sym_import] = ACTIONS(2095),
    [anon_sym_const] = ACTIONS(2095),
    [anon_sym_EQ] = ACTIONS(2095),
    [anon_sym_var] = ACTIONS(2095),
    [anon_sym_func] = ACTIONS(2095),
    [anon_sym_type] = ACTIONS(2095),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_case] = ACTIONS(2095),
    [sym_default_case] = ACTIONS(2095),
    [sym_comment] = ACTIONS(54),
  },
  [1032] = {
    [sym_expression_list] = STATE(338),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1033] = {
    [anon_sym_EQ] = ACTIONS(2426),
    [sym_comment] = ACTIONS(20),
  },
  [1034] = {
    [aux_sym_const_spec_repeat1] = STATE(1034),
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [1035] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(2434),
    [anon_sym_chan] = ACTIONS(2436),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [1036] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1037] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1038] = {
    [sym_parenthesized_type] = STATE(1193),
    [sym__simple_type] = STATE(1193),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1039] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1040] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1041] = {
    [sym_expression_list] = STATE(362),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1042] = {
    [anon_sym_LF] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_RBRACE] = ACTIONS(689),
    [sym_comment] = ACTIONS(54),
  },
  [1043] = {
    [anon_sym_LF] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_LT_DASH] = ACTIONS(1203),
    [anon_sym_COLON_EQ] = ACTIONS(1203),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_STAR_EQ] = ACTIONS(1203),
    [anon_sym_SLASH_EQ] = ACTIONS(1203),
    [anon_sym_PERCENT_EQ] = ACTIONS(1203),
    [anon_sym_LT_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_EQ] = ACTIONS(1203),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1203),
    [anon_sym_PLUS_EQ] = ACTIONS(1203),
    [anon_sym_DASH_EQ] = ACTIONS(1203),
    [anon_sym_PIPE_EQ] = ACTIONS(1203),
    [anon_sym_CARET_EQ] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [sym_default_case] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_AMP] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_AMP_CARET] = ACTIONS(1203),
    [anon_sym_PIPE] = ACTIONS(1203),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(54),
  },
  [1044] = {
    [anon_sym_RBRACE] = ACTIONS(2446),
    [sym_comment] = ACTIONS(20),
  },
  [1045] = {
    [anon_sym_LF] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_DOT] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LT_DASH] = ACTIONS(1904),
    [anon_sym_COLON_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_case] = ACTIONS(1904),
    [sym_default_case] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_AMP_CARET] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1904),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1904),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [sym_comment] = ACTIONS(54),
  },
  [1046] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(54),
  },
  [1047] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1048] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1049] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1050] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1051] = {
    [aux_sym_expression_list_repeat1] = STATE(1051),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [sym_comment] = ACTIONS(54),
  },
  [1052] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1053] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1054] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1055] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1747),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1056] = {
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_LT_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT_GT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_EQ] = ACTIONS(1511),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_CARET_EQ] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [sym_comment] = ACTIONS(20),
  },
  [1057] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(1198),
    [sym__statement] = STATE(414),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1058] = {
    [sym_block] = STATE(1199),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(20),
  },
  [1059] = {
    [anon_sym_SEMI] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [anon_sym_STAR_EQ] = ACTIONS(1517),
    [anon_sym_SLASH_EQ] = ACTIONS(1517),
    [anon_sym_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP_EQ] = ACTIONS(1517),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_EQ] = ACTIONS(1517),
    [anon_sym_DASH_EQ] = ACTIONS(1517),
    [anon_sym_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_CARET_EQ] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_AMP_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [sym_comment] = ACTIONS(20),
  },
  [1060] = {
    [aux_sym_expression_list_repeat1] = STATE(1202),
    [anon_sym_RPAREN] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym_comment] = ACTIONS(20),
  },
  [1061] = {
    [anon_sym_SEMI] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_STAR_EQ] = ACTIONS(1525),
    [anon_sym_SLASH_EQ] = ACTIONS(1525),
    [anon_sym_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_EQ] = ACTIONS(1525),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_EQ] = ACTIONS(1525),
    [anon_sym_DASH_EQ] = ACTIONS(1525),
    [anon_sym_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_CARET_EQ] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_AMP_CARET] = ACTIONS(1527),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [sym_comment] = ACTIONS(20),
  },
  [1062] = {
    [aux_sym_literal_value_repeat1] = STATE(1205),
    [anon_sym_COMMA] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [sym_comment] = ACTIONS(20),
  },
  [1063] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1064] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1065] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1066] = {
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [sym_comment] = ACTIONS(20),
  },
  [1067] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1212),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP] = ACTIONS(2477),
    [anon_sym_PIPE_PIPE] = ACTIONS(2479),
    [sym_comment] = ACTIONS(20),
  },
  [1068] = {
    [anon_sym_SEMI] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(2481),
    [sym_comment] = ACTIONS(20),
  },
  [1069] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_COMMA] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(20),
  },
  [1070] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1071] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1215),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1072] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1073] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1217),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1074] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1218),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1075] = {
    [sym_else_clause] = STATE(1219),
    [anon_sym_LF] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_else] = ACTIONS(2165),
    [sym_comment] = ACTIONS(54),
  },
  [1076] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1077] = {
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_LT_DASH] = ACTIONS(1537),
    [anon_sym_COLON_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_PLUS] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1537),
    [anon_sym_STAR_EQ] = ACTIONS(1537),
    [anon_sym_SLASH_EQ] = ACTIONS(1537),
    [anon_sym_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_EQ] = ACTIONS(1537),
    [anon_sym_GT_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_EQ] = ACTIONS(1537),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_EQ] = ACTIONS(1537),
    [anon_sym_DASH_EQ] = ACTIONS(1537),
    [anon_sym_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_CARET_EQ] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_AMP] = ACTIONS(1537),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(20),
  },
  [1078] = {
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_LT_DASH] = ACTIONS(1541),
    [anon_sym_COLON_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_AMP_CARET] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_AMP] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [sym_comment] = ACTIONS(20),
  },
  [1079] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_argument_list_repeat1] = STATE(1223),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(20),
  },
  [1080] = {
    [aux_sym_argument_list_repeat1] = STATE(1223),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2491),
    [sym_comment] = ACTIONS(20),
  },
  [1081] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1551),
    [anon_sym_AMP_CARET] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1082] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1225),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2493),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1083] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1084] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2189),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(20),
  },
  [1085] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1086] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1087] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1088] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1089] = {
    [sym_block] = STATE(1228),
    [sym_if_statement] = STATE(1228),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(2501),
    [sym_comment] = ACTIONS(20),
  },
  [1090] = {
    [anon_sym_LF] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_case] = ACTIONS(2487),
    [sym_default_case] = ACTIONS(2487),
    [sym_comment] = ACTIONS(54),
  },
  [1091] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1092] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1093] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(856),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1094] = {
    [anon_sym_EQ] = ACTIONS(2503),
    [anon_sym_COLON_EQ] = ACTIONS(2505),
    [anon_sym_STAR_EQ] = ACTIONS(2503),
    [anon_sym_SLASH_EQ] = ACTIONS(2503),
    [anon_sym_PERCENT_EQ] = ACTIONS(2503),
    [anon_sym_LT_LT_EQ] = ACTIONS(2503),
    [anon_sym_GT_GT_EQ] = ACTIONS(2503),
    [anon_sym_AMP_EQ] = ACTIONS(2503),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2503),
    [anon_sym_DASH_EQ] = ACTIONS(2503),
    [anon_sym_PIPE_EQ] = ACTIONS(2503),
    [anon_sym_CARET_EQ] = ACTIONS(2503),
    [sym_comment] = ACTIONS(20),
  },
  [1095] = {
    [anon_sym_LBRACE] = ACTIONS(2507),
    [sym_comment] = ACTIONS(20),
  },
  [1096] = {
    [sym_argument_list] = STATE(883),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_LT_DASH] = ACTIONS(2511),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1797),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_LT_LT] = ACTIONS(2509),
    [anon_sym_GT_GT] = ACTIONS(2509),
    [anon_sym_AMP_CARET] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(2513),
    [anon_sym_EQ_EQ] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2519),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [sym_comment] = ACTIONS(20),
  },
  [1097] = {
    [sym_expression_list] = STATE(1094),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(1237),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym__expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1098] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1099] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1238),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1100] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1239),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1101] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1240),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1102] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1241),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1103] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1242),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1104] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2189),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(20),
  },
  [1105] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1106] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1107] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1108] = {
    [anon_sym_COLON] = ACTIONS(2525),
    [sym_comment] = ACTIONS(20),
  },
  [1109] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1250),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_CARET] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_AMP_AMP] = ACTIONS(2541),
    [anon_sym_PIPE_PIPE] = ACTIONS(2543),
    [sym_comment] = ACTIONS(20),
  },
  [1110] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(1265),
    [sym__statement] = STATE(1266),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2553),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(2569),
    [sym_default_case] = ACTIONS(2569),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1111] = {
    [anon_sym_LF] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [sym_default_case] = ACTIONS(2575),
    [sym_comment] = ACTIONS(54),
  },
  [1112] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2579),
    [sym_default_case] = ACTIONS(2582),
    [sym_comment] = ACTIONS(20),
  },
  [1113] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1212),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP] = ACTIONS(2477),
    [anon_sym_PIPE_PIPE] = ACTIONS(2479),
    [sym_comment] = ACTIONS(20),
  },
  [1114] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1115] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1270),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [1116] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1117] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1118] = {
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [sym_comment] = ACTIONS(20),
  },
  [1119] = {
    [anon_sym_LBRACE] = ACTIONS(2591),
    [sym_comment] = ACTIONS(20),
  },
  [1120] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1281),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_CARET] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_GT_GT] = ACTIONS(2597),
    [anon_sym_AMP_CARET] = ACTIONS(2597),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_EQ_EQ] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [sym_comment] = ACTIONS(20),
  },
  [1121] = {
    [anon_sym_LF] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2615),
    [sym_default_case] = ACTIONS(2615),
    [sym_comment] = ACTIONS(54),
  },
  [1122] = {
    [sym_parenthesized_type] = STATE(1288),
    [sym__simple_type] = STATE(1288),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1123] = {
    [anon_sym_COLON] = ACTIONS(2629),
    [sym_comment] = ACTIONS(20),
  },
  [1124] = {
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2631),
    [sym_default_case] = ACTIONS(2631),
    [sym_comment] = ACTIONS(20),
  },
  [1125] = {
    [sym_type_case_clause] = STATE(1124),
    [sym_type_case] = STATE(1123),
    [aux_sym_type_switch_statement_repeat1] = STATE(1291),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2223),
    [sym_default_case] = ACTIONS(2225),
    [sym_comment] = ACTIONS(20),
  },
  [1126] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1127] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [1128] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1129] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1130] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1131] = {
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_COLON_EQ] = ACTIONS(2637),
    [sym_comment] = ACTIONS(20),
  },
  [1132] = {
    [anon_sym_COLON] = ACTIONS(2639),
    [sym_comment] = ACTIONS(20),
  },
  [1133] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1301),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_LT_LT] = ACTIONS(2643),
    [anon_sym_GT_GT] = ACTIONS(2643),
    [anon_sym_AMP_CARET] = ACTIONS(2643),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2655),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [sym_comment] = ACTIONS(20),
  },
  [1134] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(1302),
    [sym__statement] = STATE(1266),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(2665),
    [sym_default_case] = ACTIONS(2665),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1135] = {
    [anon_sym_LF] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2667),
    [sym_default_case] = ACTIONS(2667),
    [sym_comment] = ACTIONS(54),
  },
  [1136] = {
    [sym_communication_clause] = STATE(907),
    [sym_communication_case] = STATE(906),
    [aux_sym_select_statement_repeat1] = STATE(1136),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2671),
    [sym_default_case] = ACTIONS(2674),
    [sym_comment] = ACTIONS(20),
  },
  [1137] = {
    [anon_sym_LF] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_LPAREN] = ACTIONS(1918),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_LT_DASH] = ACTIONS(1918),
    [anon_sym_COLON_EQ] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_STAR_EQ] = ACTIONS(1918),
    [anon_sym_SLASH_EQ] = ACTIONS(1918),
    [anon_sym_PERCENT_EQ] = ACTIONS(1918),
    [anon_sym_LT_LT_EQ] = ACTIONS(1918),
    [anon_sym_GT_GT_EQ] = ACTIONS(1918),
    [anon_sym_AMP_EQ] = ACTIONS(1918),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1918),
    [anon_sym_PLUS_EQ] = ACTIONS(1918),
    [anon_sym_DASH_EQ] = ACTIONS(1918),
    [anon_sym_PIPE_EQ] = ACTIONS(1918),
    [anon_sym_CARET_EQ] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [sym_default_case] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_AMP_CARET] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1918),
    [anon_sym_BANG_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [sym_comment] = ACTIONS(54),
  },
  [1138] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1139] = {
    [aux_sym_expression_list_repeat1] = STATE(959),
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [sym_comment] = ACTIONS(20),
  },
  [1140] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1141] = {
    [anon_sym_LF] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_LT_DASH] = ACTIONS(1932),
    [anon_sym_COLON_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_case] = ACTIONS(1932),
    [sym_default_case] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_AMP_CARET] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1932),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1932),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(54),
  },
  [1142] = {
    [aux_sym_literal_value_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(2683),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [sym_comment] = ACTIONS(20),
  },
  [1143] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(913),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1853),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1144] = {
    [anon_sym_LF] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_LT_DASH] = ACTIONS(1936),
    [anon_sym_COLON_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_case] = ACTIONS(1936),
    [sym_default_case] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1936),
    [anon_sym_PERCENT] = ACTIONS(1936),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_GT_GT] = ACTIONS(1936),
    [anon_sym_AMP_CARET] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1936),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [sym_comment] = ACTIONS(54),
  },
  [1145] = {
    [anon_sym_RPAREN] = ACTIONS(2685),
    [sym_comment] = ACTIONS(20),
  },
  [1146] = {
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2687),
    [sym_default_case] = ACTIONS(2687),
    [sym_comment] = ACTIONS(20),
  },
  [1147] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(409),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(417),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_go] = ACTIONS(801),
    [anon_sym_defer] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_CARET] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [sym_identifier] = ACTIONS(1853),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1148] = {
    [anon_sym_RPAREN] = ACTIONS(2689),
    [sym_comment] = ACTIONS(20),
  },
  [1149] = {
    [anon_sym_LF] = ACTIONS(1942),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_DOT] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(1942),
    [anon_sym_EQ] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_LT_DASH] = ACTIONS(1942),
    [anon_sym_COLON_EQ] = ACTIONS(1942),
    [anon_sym_PLUS_PLUS] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1942),
    [anon_sym_STAR_EQ] = ACTIONS(1942),
    [anon_sym_SLASH_EQ] = ACTIONS(1942),
    [anon_sym_PERCENT_EQ] = ACTIONS(1942),
    [anon_sym_LT_LT_EQ] = ACTIONS(1942),
    [anon_sym_GT_GT_EQ] = ACTIONS(1942),
    [anon_sym_AMP_EQ] = ACTIONS(1942),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1942),
    [anon_sym_PLUS_EQ] = ACTIONS(1942),
    [anon_sym_DASH_EQ] = ACTIONS(1942),
    [anon_sym_PIPE_EQ] = ACTIONS(1942),
    [anon_sym_CARET_EQ] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [sym_default_case] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1942),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_SLASH] = ACTIONS(1942),
    [anon_sym_PERCENT] = ACTIONS(1942),
    [anon_sym_LT_LT] = ACTIONS(1942),
    [anon_sym_GT_GT] = ACTIONS(1942),
    [anon_sym_AMP_CARET] = ACTIONS(1942),
    [anon_sym_PIPE] = ACTIONS(1942),
    [anon_sym_EQ_EQ] = ACTIONS(1942),
    [anon_sym_BANG_EQ] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_LT_EQ] = ACTIONS(1942),
    [anon_sym_GT] = ACTIONS(1942),
    [anon_sym_GT_EQ] = ACTIONS(1942),
    [anon_sym_AMP_AMP] = ACTIONS(1942),
    [anon_sym_PIPE_PIPE] = ACTIONS(1942),
    [sym_comment] = ACTIONS(54),
  },
  [1150] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2691),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1151] = {
    [aux_sym_argument_list_repeat1] = STATE(989),
    [anon_sym_RPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(2693),
    [sym_comment] = ACTIONS(20),
  },
  [1152] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1153] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1154] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1312),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1155] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1313),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1156] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1314),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1157] = {
    [anon_sym_LF] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym_DOT] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_LT_DASH] = ACTIONS(1950),
    [anon_sym_COLON_EQ] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_STAR_EQ] = ACTIONS(1950),
    [anon_sym_SLASH_EQ] = ACTIONS(1950),
    [anon_sym_PERCENT_EQ] = ACTIONS(1950),
    [anon_sym_LT_LT_EQ] = ACTIONS(1950),
    [anon_sym_GT_GT_EQ] = ACTIONS(1950),
    [anon_sym_AMP_EQ] = ACTIONS(1950),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1950),
    [anon_sym_PLUS_EQ] = ACTIONS(1950),
    [anon_sym_DASH_EQ] = ACTIONS(1950),
    [anon_sym_PIPE_EQ] = ACTIONS(1950),
    [anon_sym_CARET_EQ] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [sym_default_case] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1950),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_AMP_CARET] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1950),
    [anon_sym_EQ_EQ] = ACTIONS(1950),
    [anon_sym_BANG_EQ] = ACTIONS(1950),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_GT_EQ] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(54),
  },
  [1158] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2695),
    [anon_sym_COLON] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1159] = {
    [anon_sym_LF] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_LT_DASH] = ACTIONS(1956),
    [anon_sym_COLON_EQ] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_STAR_EQ] = ACTIONS(1956),
    [anon_sym_SLASH_EQ] = ACTIONS(1956),
    [anon_sym_PERCENT_EQ] = ACTIONS(1956),
    [anon_sym_LT_LT_EQ] = ACTIONS(1956),
    [anon_sym_GT_GT_EQ] = ACTIONS(1956),
    [anon_sym_AMP_EQ] = ACTIONS(1956),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1956),
    [anon_sym_PLUS_EQ] = ACTIONS(1956),
    [anon_sym_DASH_EQ] = ACTIONS(1956),
    [anon_sym_PIPE_EQ] = ACTIONS(1956),
    [anon_sym_CARET_EQ] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [sym_default_case] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_CARET] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1956),
    [anon_sym_LT_LT] = ACTIONS(1956),
    [anon_sym_GT_GT] = ACTIONS(1956),
    [anon_sym_AMP_CARET] = ACTIONS(1956),
    [anon_sym_PIPE] = ACTIONS(1956),
    [anon_sym_EQ_EQ] = ACTIONS(1956),
    [anon_sym_BANG_EQ] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_LT_EQ] = ACTIONS(1956),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_GT_EQ] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_PIPE_PIPE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(54),
  },
  [1160] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1317),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1161] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(501),
    [anon_sym_chan] = ACTIONS(1355),
    [anon_sym_LT_DASH] = ACTIONS(1892),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1162] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(902),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(904),
    [anon_sym_chan] = ACTIONS(503),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1163] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1164] = {
    [anon_sym_RBRACK] = ACTIONS(2699),
    [sym_comment] = ACTIONS(20),
  },
  [1165] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1910),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1166] = {
    [ts_builtin_sym_end] = ACTIONS(2701),
    [anon_sym_LF] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_package] = ACTIONS(2701),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_DOT] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2701),
    [anon_sym_const] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_var] = ACTIONS(2701),
    [anon_sym_func] = ACTIONS(2701),
    [anon_sym_type] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_case] = ACTIONS(2701),
    [sym_default_case] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_CARET] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2701),
    [anon_sym_LT_LT] = ACTIONS(2701),
    [anon_sym_GT_GT] = ACTIONS(2701),
    [anon_sym_AMP_CARET] = ACTIONS(2701),
    [anon_sym_PIPE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2701),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT] = ACTIONS(2701),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [sym_comment] = ACTIONS(54),
  },
  [1167] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1168] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1169] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1319),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1170] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1320),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1171] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1321),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1172] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1322),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1173] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [anon_sym_LF] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_package] = ACTIONS(2703),
    [anon_sym_import] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2703),
    [anon_sym_var] = ACTIONS(2703),
    [anon_sym_func] = ACTIONS(2703),
    [anon_sym_type] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [sym_default_case] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_GT_GT] = ACTIONS(2703),
    [anon_sym_AMP_CARET] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [sym_comment] = ACTIONS(54),
  },
  [1174] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1175] = {
    [ts_builtin_sym_end] = ACTIONS(2705),
    [anon_sym_LF] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_package] = ACTIONS(2705),
    [anon_sym_import] = ACTIONS(2705),
    [anon_sym_DOT] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_const] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_var] = ACTIONS(2705),
    [anon_sym_func] = ACTIONS(2705),
    [anon_sym_type] = ACTIONS(2705),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2705),
    [sym_default_case] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_CARET] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2705),
    [anon_sym_LT_LT] = ACTIONS(2705),
    [anon_sym_GT_GT] = ACTIONS(2705),
    [anon_sym_AMP_CARET] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2705),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT] = ACTIONS(2705),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE_PIPE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(54),
  },
  [1176] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1177] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1178] = {
    [ts_builtin_sym_end] = ACTIONS(2709),
    [anon_sym_LF] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_package] = ACTIONS(2709),
    [anon_sym_import] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2709),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_var] = ACTIONS(2709),
    [anon_sym_func] = ACTIONS(2709),
    [anon_sym_type] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [sym_default_case] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_CARET] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_PERCENT] = ACTIONS(2709),
    [anon_sym_LT_LT] = ACTIONS(2709),
    [anon_sym_GT_GT] = ACTIONS(2709),
    [anon_sym_AMP_CARET] = ACTIONS(2709),
    [anon_sym_PIPE] = ACTIONS(2709),
    [anon_sym_EQ_EQ] = ACTIONS(2709),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT] = ACTIONS(2709),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_PIPE_PIPE] = ACTIONS(2709),
    [sym_comment] = ACTIONS(54),
  },
  [1179] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1324),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1180] = {
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2711),
    [anon_sym_RPAREN] = ACTIONS(2711),
    [anon_sym_COMMA] = ACTIONS(2711),
    [anon_sym_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_RBRACK] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [anon_sym_LT_DASH] = ACTIONS(2711),
    [anon_sym_COLON_EQ] = ACTIONS(2711),
    [anon_sym_STAR_EQ] = ACTIONS(2711),
    [anon_sym_SLASH_EQ] = ACTIONS(2711),
    [anon_sym_PERCENT_EQ] = ACTIONS(2711),
    [anon_sym_LT_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_GT_EQ] = ACTIONS(2711),
    [anon_sym_AMP_EQ] = ACTIONS(2711),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2711),
    [anon_sym_PLUS_EQ] = ACTIONS(2711),
    [anon_sym_DASH_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_EQ] = ACTIONS(2711),
    [anon_sym_CARET_EQ] = ACTIONS(2711),
    [anon_sym_COLON] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_CARET] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2713),
    [anon_sym_LT_LT] = ACTIONS(2713),
    [anon_sym_GT_GT] = ACTIONS(2713),
    [anon_sym_AMP_CARET] = ACTIONS(2713),
    [anon_sym_PIPE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2711),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_GT_EQ] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [sym_comment] = ACTIONS(20),
  },
  [1181] = {
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(2715),
    [anon_sym_RPAREN] = ACTIONS(2715),
    [anon_sym_COMMA] = ACTIONS(2715),
    [anon_sym_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_RBRACK] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_RBRACE] = ACTIONS(2715),
    [anon_sym_LT_DASH] = ACTIONS(2715),
    [anon_sym_COLON_EQ] = ACTIONS(2715),
    [anon_sym_STAR_EQ] = ACTIONS(2715),
    [anon_sym_SLASH_EQ] = ACTIONS(2715),
    [anon_sym_PERCENT_EQ] = ACTIONS(2715),
    [anon_sym_LT_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_AMP_EQ] = ACTIONS(2715),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2715),
    [anon_sym_PLUS_EQ] = ACTIONS(2715),
    [anon_sym_DASH_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_EQ] = ACTIONS(2715),
    [anon_sym_CARET_EQ] = ACTIONS(2715),
    [anon_sym_COLON] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_CARET] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SLASH] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_GT_GT] = ACTIONS(2717),
    [anon_sym_AMP_CARET] = ACTIONS(2717),
    [anon_sym_PIPE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [sym_comment] = ACTIONS(20),
  },
  [1182] = {
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_RPAREN] = ACTIONS(2719),
    [anon_sym_COMMA] = ACTIONS(2719),
    [anon_sym_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_RBRACK] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_LT_DASH] = ACTIONS(2719),
    [anon_sym_COLON_EQ] = ACTIONS(2719),
    [anon_sym_STAR_EQ] = ACTIONS(2719),
    [anon_sym_SLASH_EQ] = ACTIONS(2719),
    [anon_sym_PERCENT_EQ] = ACTIONS(2719),
    [anon_sym_LT_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_GT_EQ] = ACTIONS(2719),
    [anon_sym_AMP_EQ] = ACTIONS(2719),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2719),
    [anon_sym_PLUS_EQ] = ACTIONS(2719),
    [anon_sym_DASH_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_EQ] = ACTIONS(2719),
    [anon_sym_CARET_EQ] = ACTIONS(2719),
    [anon_sym_COLON] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_CARET] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2721),
    [anon_sym_LT_LT] = ACTIONS(2721),
    [anon_sym_GT_GT] = ACTIONS(2721),
    [anon_sym_AMP_CARET] = ACTIONS(2721),
    [anon_sym_PIPE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [sym_comment] = ACTIONS(20),
  },
  [1183] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1184] = {
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_RBRACK] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_LT_DASH] = ACTIONS(2725),
    [anon_sym_COLON_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_COLON] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_GT_GT] = ACTIONS(2727),
    [anon_sym_AMP_CARET] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_EQ_EQ] = ACTIONS(2725),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(20),
  },
  [1185] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1326),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1186] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1573),
    [anon_sym_chan] = ACTIONS(1575),
    [anon_sym_LT_DASH] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1187] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1188] = {
    [anon_sym_RBRACK] = ACTIONS(2729),
    [sym_comment] = ACTIONS(20),
  },
  [1189] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(2058),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1190] = {
    [anon_sym_LF] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(2095),
    [anon_sym_EQ] = ACTIONS(2095),
    [anon_sym_func] = ACTIONS(2095),
    [anon_sym_STAR] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(2095),
    [anon_sym_struct] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_interface] = ACTIONS(2095),
    [anon_sym_map] = ACTIONS(2095),
    [anon_sym_chan] = ACTIONS(2095),
    [anon_sym_LT_DASH] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_raw_string_literal] = ACTIONS(2095),
    [sym_interpreted_string_literal] = ACTIONS(2095),
    [sym_comment] = ACTIONS(54),
  },
  [1191] = {
    [sym_expression_list] = STATE(565),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1192] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1193] = {
    [anon_sym_RBRACK] = ACTIONS(2731),
    [sym_comment] = ACTIONS(20),
  },
  [1194] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1195] = {
    [sym_expression_list] = STATE(584),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(1729),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1196] = {
    [anon_sym_LF] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_LT_DASH] = ACTIONS(1855),
    [anon_sym_COLON_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [sym_default_case] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_AMP_CARET] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [sym_comment] = ACTIONS(54),
  },
  [1197] = {
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_COMMA] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1960),
    [anon_sym_LT_DASH] = ACTIONS(1960),
    [anon_sym_COLON_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_GT_GT] = ACTIONS(1962),
    [anon_sym_AMP_CARET] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1962),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1962),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [sym_comment] = ACTIONS(20),
  },
  [1198] = {
    [anon_sym_RBRACE] = ACTIONS(2733),
    [sym_comment] = ACTIONS(20),
  },
  [1199] = {
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LT_DASH] = ACTIONS(1966),
    [anon_sym_COLON_EQ] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_STAR_EQ] = ACTIONS(1966),
    [anon_sym_SLASH_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_LT_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_EQ] = ACTIONS(1966),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1966),
    [anon_sym_PLUS_EQ] = ACTIONS(1966),
    [anon_sym_DASH_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_EQ] = ACTIONS(1966),
    [anon_sym_CARET_EQ] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_GT_GT] = ACTIONS(1968),
    [anon_sym_AMP_CARET] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [sym_comment] = ACTIONS(20),
  },
  [1200] = {
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_DOT] = ACTIONS(1970),
    [anon_sym_LPAREN] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_EQ] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_LT_DASH] = ACTIONS(1970),
    [anon_sym_COLON_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_STAR_EQ] = ACTIONS(1970),
    [anon_sym_SLASH_EQ] = ACTIONS(1970),
    [anon_sym_PERCENT_EQ] = ACTIONS(1970),
    [anon_sym_LT_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_EQ] = ACTIONS(1970),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1970),
    [anon_sym_PLUS_EQ] = ACTIONS(1970),
    [anon_sym_DASH_EQ] = ACTIONS(1970),
    [anon_sym_PIPE_EQ] = ACTIONS(1970),
    [anon_sym_CARET_EQ] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1972),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1972),
    [anon_sym_LT_LT] = ACTIONS(1972),
    [anon_sym_GT_GT] = ACTIONS(1972),
    [anon_sym_AMP_CARET] = ACTIONS(1972),
    [anon_sym_PIPE] = ACTIONS(1972),
    [anon_sym_EQ_EQ] = ACTIONS(1970),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_PIPE_PIPE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(20),
  },
  [1201] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1202] = {
    [aux_sym_expression_list_repeat1] = STATE(959),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2737),
    [sym_comment] = ACTIONS(20),
  },
  [1203] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1204] = {
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_DOT] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1980),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1980),
    [anon_sym_LT_DASH] = ACTIONS(1980),
    [anon_sym_COLON_EQ] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1980),
    [anon_sym_STAR_EQ] = ACTIONS(1980),
    [anon_sym_SLASH_EQ] = ACTIONS(1980),
    [anon_sym_PERCENT_EQ] = ACTIONS(1980),
    [anon_sym_LT_LT_EQ] = ACTIONS(1980),
    [anon_sym_GT_GT_EQ] = ACTIONS(1980),
    [anon_sym_AMP_EQ] = ACTIONS(1980),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1980),
    [anon_sym_PLUS_EQ] = ACTIONS(1980),
    [anon_sym_DASH_EQ] = ACTIONS(1980),
    [anon_sym_PIPE_EQ] = ACTIONS(1980),
    [anon_sym_CARET_EQ] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_SLASH] = ACTIONS(1982),
    [anon_sym_PERCENT] = ACTIONS(1982),
    [anon_sym_LT_LT] = ACTIONS(1982),
    [anon_sym_GT_GT] = ACTIONS(1982),
    [anon_sym_AMP_CARET] = ACTIONS(1982),
    [anon_sym_PIPE] = ACTIONS(1982),
    [anon_sym_EQ_EQ] = ACTIONS(1980),
    [anon_sym_BANG_EQ] = ACTIONS(1980),
    [anon_sym_LT] = ACTIONS(1982),
    [anon_sym_LT_EQ] = ACTIONS(1980),
    [anon_sym_GT] = ACTIONS(1982),
    [anon_sym_GT_EQ] = ACTIONS(1980),
    [anon_sym_AMP_AMP] = ACTIONS(1980),
    [anon_sym_PIPE_PIPE] = ACTIONS(1980),
    [sym_comment] = ACTIONS(20),
  },
  [1205] = {
    [aux_sym_literal_value_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [sym_comment] = ACTIONS(20),
  },
  [1206] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1334),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1207] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1208] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1335),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1209] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1336),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1210] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1337),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1211] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1338),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1212] = {
    [aux_sym_expression_list_repeat1] = STATE(1339),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_COMMA] = ACTIONS(2463),
    [sym_comment] = ACTIONS(20),
  },
  [1213] = {
    [anon_sym_SEMI] = ACTIONS(1986),
    [anon_sym_DOT] = ACTIONS(1986),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_COMMA] = ACTIONS(1986),
    [anon_sym_EQ] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LT_DASH] = ACTIONS(1986),
    [anon_sym_COLON_EQ] = ACTIONS(1986),
    [anon_sym_PLUS_PLUS] = ACTIONS(1986),
    [anon_sym_DASH_DASH] = ACTIONS(1986),
    [anon_sym_STAR_EQ] = ACTIONS(1986),
    [anon_sym_SLASH_EQ] = ACTIONS(1986),
    [anon_sym_PERCENT_EQ] = ACTIONS(1986),
    [anon_sym_LT_LT_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_AMP_EQ] = ACTIONS(1986),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1986),
    [anon_sym_PLUS_EQ] = ACTIONS(1986),
    [anon_sym_DASH_EQ] = ACTIONS(1986),
    [anon_sym_PIPE_EQ] = ACTIONS(1986),
    [anon_sym_CARET_EQ] = ACTIONS(1986),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_CARET] = ACTIONS(1988),
    [anon_sym_AMP] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1988),
    [anon_sym_PERCENT] = ACTIONS(1988),
    [anon_sym_LT_LT] = ACTIONS(1988),
    [anon_sym_GT_GT] = ACTIONS(1988),
    [anon_sym_AMP_CARET] = ACTIONS(1988),
    [anon_sym_PIPE] = ACTIONS(1988),
    [anon_sym_EQ_EQ] = ACTIONS(1986),
    [anon_sym_BANG_EQ] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_EQ] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(1988),
    [anon_sym_GT_EQ] = ACTIONS(1986),
    [anon_sym_AMP_AMP] = ACTIONS(1986),
    [anon_sym_PIPE_PIPE] = ACTIONS(1986),
    [sym_comment] = ACTIONS(20),
  },
  [1214] = {
    [anon_sym_RPAREN] = ACTIONS(2743),
    [sym_comment] = ACTIONS(20),
  },
  [1215] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1216] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1217] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1218] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1219] = {
    [anon_sym_LF] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_case] = ACTIONS(2745),
    [sym_default_case] = ACTIONS(2745),
    [sym_comment] = ACTIONS(54),
  },
  [1220] = {
    [anon_sym_RPAREN] = ACTIONS(2747),
    [sym_comment] = ACTIONS(20),
  },
  [1221] = {
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_DOT] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(1996),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_LT_DASH] = ACTIONS(1994),
    [anon_sym_COLON_EQ] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_STAR_EQ] = ACTIONS(1994),
    [anon_sym_SLASH_EQ] = ACTIONS(1994),
    [anon_sym_PERCENT_EQ] = ACTIONS(1994),
    [anon_sym_LT_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT_GT_EQ] = ACTIONS(1994),
    [anon_sym_AMP_EQ] = ACTIONS(1994),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(1994),
    [anon_sym_DASH_EQ] = ACTIONS(1994),
    [anon_sym_PIPE_EQ] = ACTIONS(1994),
    [anon_sym_CARET_EQ] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1996),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_GT_GT] = ACTIONS(1996),
    [anon_sym_AMP_CARET] = ACTIONS(1996),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1994),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [anon_sym_AMP_AMP] = ACTIONS(1994),
    [anon_sym_PIPE_PIPE] = ACTIONS(1994),
    [sym_comment] = ACTIONS(20),
  },
  [1222] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1223] = {
    [aux_sym_argument_list_repeat1] = STATE(989),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [sym_comment] = ACTIONS(20),
  },
  [1224] = {
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_COLON_EQ] = ACTIONS(2002),
    [anon_sym_PLUS_PLUS] = ACTIONS(2002),
    [anon_sym_DASH_DASH] = ACTIONS(2002),
    [anon_sym_STAR_EQ] = ACTIONS(2002),
    [anon_sym_SLASH_EQ] = ACTIONS(2002),
    [anon_sym_PERCENT_EQ] = ACTIONS(2002),
    [anon_sym_LT_LT_EQ] = ACTIONS(2002),
    [anon_sym_GT_GT_EQ] = ACTIONS(2002),
    [anon_sym_AMP_EQ] = ACTIONS(2002),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2002),
    [anon_sym_PLUS_EQ] = ACTIONS(2002),
    [anon_sym_DASH_EQ] = ACTIONS(2002),
    [anon_sym_PIPE_EQ] = ACTIONS(2002),
    [anon_sym_CARET_EQ] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_AMP] = ACTIONS(2004),
    [anon_sym_SLASH] = ACTIONS(2004),
    [anon_sym_PERCENT] = ACTIONS(2004),
    [anon_sym_LT_LT] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(2004),
    [anon_sym_AMP_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2004),
    [anon_sym_EQ_EQ] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_EQ] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2004),
    [anon_sym_GT_EQ] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(20),
  },
  [1225] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_COLON] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1226] = {
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2010),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_EQ] = ACTIONS(2012),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_LT_DASH] = ACTIONS(2010),
    [anon_sym_COLON_EQ] = ACTIONS(2010),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [anon_sym_STAR_EQ] = ACTIONS(2010),
    [anon_sym_SLASH_EQ] = ACTIONS(2010),
    [anon_sym_PERCENT_EQ] = ACTIONS(2010),
    [anon_sym_LT_LT_EQ] = ACTIONS(2010),
    [anon_sym_GT_GT_EQ] = ACTIONS(2010),
    [anon_sym_AMP_EQ] = ACTIONS(2010),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2010),
    [anon_sym_PLUS_EQ] = ACTIONS(2010),
    [anon_sym_DASH_EQ] = ACTIONS(2010),
    [anon_sym_PIPE_EQ] = ACTIONS(2010),
    [anon_sym_CARET_EQ] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2012),
    [anon_sym_CARET] = ACTIONS(2012),
    [anon_sym_AMP] = ACTIONS(2012),
    [anon_sym_SLASH] = ACTIONS(2012),
    [anon_sym_PERCENT] = ACTIONS(2012),
    [anon_sym_LT_LT] = ACTIONS(2012),
    [anon_sym_GT_GT] = ACTIONS(2012),
    [anon_sym_AMP_CARET] = ACTIONS(2012),
    [anon_sym_PIPE] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(2010),
    [anon_sym_BANG_EQ] = ACTIONS(2010),
    [anon_sym_LT] = ACTIONS(2012),
    [anon_sym_LT_EQ] = ACTIONS(2010),
    [anon_sym_GT] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2010),
    [anon_sym_AMP_AMP] = ACTIONS(2010),
    [anon_sym_PIPE_PIPE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(20),
  },
  [1227] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1346),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1228] = {
    [anon_sym_LF] = ACTIONS(2757),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_case] = ACTIONS(2757),
    [sym_default_case] = ACTIONS(2757),
    [sym_comment] = ACTIONS(54),
  },
  [1229] = {
    [sym_expression_list] = STATE(1066),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1350),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1230] = {
    [sym_expression_list] = STATE(1068),
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1350),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1231] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1232] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1351),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1233] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1352),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1234] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1353),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1235] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1354),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1236] = {
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1355),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1237] = {
    [anon_sym_LBRACE] = ACTIONS(2765),
    [sym_comment] = ACTIONS(20),
  },
  [1238] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1239] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1240] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1241] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_AMP_CARET] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1242] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [sym_comment] = ACTIONS(20),
  },
  [1243] = {
    [sym_expression_list] = STATE(1094),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(1356),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym__expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1244] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1357),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1245] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1246] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1247] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1359),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1248] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1360),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1249] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1361),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1250] = {
    [aux_sym_expression_list_repeat1] = STATE(1362),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_COLON] = ACTIONS(1881),
    [sym_comment] = ACTIONS(20),
  },
  [1251] = {
    [sym_const_spec] = STATE(22),
    [anon_sym_LPAREN] = ACTIONS(32),
    [sym_identifier] = ACTIONS(2769),
    [sym_comment] = ACTIONS(20),
  },
  [1252] = {
    [sym_var_spec] = STATE(25),
    [anon_sym_LPAREN] = ACTIONS(36),
    [sym_identifier] = ACTIONS(2771),
    [sym_comment] = ACTIONS(20),
  },
  [1253] = {
    [sym_type_alias] = STATE(31),
    [sym_type_spec] = STATE(31),
    [anon_sym_LPAREN] = ACTIONS(44),
    [sym_identifier] = ACTIONS(2773),
    [sym_comment] = ACTIONS(20),
  },
  [1254] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1255] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1256] = {
    [anon_sym_LF] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [sym_default_case] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1209),
    [sym_comment] = ACTIONS(54),
  },
  [1257] = {
    [anon_sym_LF] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [sym_default_case] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [sym_comment] = ACTIONS(54),
  },
  [1258] = {
    [sym_expression_list] = STATE(607),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LF] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_func] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(1227),
    [anon_sym_chan] = ACTIONS(1229),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(1217),
    [sym_default_case] = ACTIONS(1217),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_make] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(1071),
    [sym_interpreted_string_literal] = ACTIONS(1071),
    [sym_int_literal] = ACTIONS(1237),
    [sym_float_literal] = ACTIONS(1237),
    [sym_imaginary_literal] = ACTIONS(1237),
    [sym_rune_literal] = ACTIONS(1237),
    [sym_comment] = ACTIONS(54),
  },
  [1259] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1373),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1260] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1374),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1261] = {
    [sym_expression_list] = STATE(623),
    [sym_parenthesized_type] = STATE(624),
    [sym__simple_type] = STATE(624),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(625),
    [sym_implicit_length_array_type] = STATE(626),
    [sym_slice_type] = STATE(625),
    [sym_struct_type] = STATE(625),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(625),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__simple_statement] = STATE(627),
    [sym_send_statement] = STATE(628),
    [sym_inc_statement] = STATE(628),
    [sym_dec_statement] = STATE(628),
    [sym_assignment_statement] = STATE(628),
    [sym_short_var_declaration] = STATE(628),
    [sym_if_initializer] = STATE(1375),
    [sym__expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(625),
    [sym__string_literal] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_func] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_make] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_raw_string_literal] = ACTIONS(1259),
    [sym_interpreted_string_literal] = ACTIONS(1259),
    [sym_int_literal] = ACTIONS(1261),
    [sym_float_literal] = ACTIONS(1261),
    [sym_imaginary_literal] = ACTIONS(1263),
    [sym_rune_literal] = ACTIONS(1263),
    [sym_comment] = ACTIONS(20),
  },
  [1262] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1263] = {
    [sym_literal_value] = STATE(648),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [1264] = {
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [sym_comment] = ACTIONS(20),
  },
  [1265] = {
    [anon_sym_RBRACE] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [sym_default_case] = ACTIONS(2793),
    [sym_comment] = ACTIONS(20),
  },
  [1266] = {
    [aux_sym__statement_list_repeat1] = STATE(1381),
    [anon_sym_LF] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1293),
    [sym_default_case] = ACTIONS(1293),
    [sym_comment] = ACTIONS(54),
  },
  [1267] = {
    [sym_argument_list] = STATE(668),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_LF] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(547),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_LT_DASH] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_STAR_EQ] = ACTIONS(547),
    [anon_sym_SLASH_EQ] = ACTIONS(547),
    [anon_sym_PERCENT_EQ] = ACTIONS(547),
    [anon_sym_LT_LT_EQ] = ACTIONS(547),
    [anon_sym_GT_GT_EQ] = ACTIONS(547),
    [anon_sym_AMP_EQ] = ACTIONS(547),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(547),
    [anon_sym_PLUS_EQ] = ACTIONS(547),
    [anon_sym_DASH_EQ] = ACTIONS(547),
    [anon_sym_PIPE_EQ] = ACTIONS(547),
    [anon_sym_CARET_EQ] = ACTIONS(547),
    [anon_sym_case] = ACTIONS(1295),
    [sym_default_case] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_CARET] = ACTIONS(2801),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [sym_comment] = ACTIONS(54),
  },
  [1268] = {
    [anon_sym_LPAREN] = ACTIONS(2809),
    [sym_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(20),
  },
  [1269] = {
    [anon_sym_LF] = ACTIONS(2811),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_case] = ACTIONS(2811),
    [sym_default_case] = ACTIONS(2811),
    [sym_comment] = ACTIONS(54),
  },
  [1270] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [1271] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1393),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1272] = {
    [sym_type_case_clause] = STATE(1124),
    [sym_type_case] = STATE(1123),
    [aux_sym_type_switch_statement_repeat1] = STATE(1395),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2223),
    [sym_default_case] = ACTIONS(2225),
    [sym_comment] = ACTIONS(20),
  },
  [1273] = {
    [anon_sym_LPAREN] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(20),
  },
  [1274] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1400),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1275] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1276] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1401),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [1277] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1402),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1278] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1403),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1279] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1404),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1280] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1405),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1281] = {
    [aux_sym_expression_list_repeat1] = STATE(1406),
    [anon_sym_COMMA] = ACTIONS(2595),
    [anon_sym_COLON_EQ] = ACTIONS(1881),
    [sym_comment] = ACTIONS(20),
  },
  [1282] = {
    [sym_parameter_list] = STATE(1407),
    [anon_sym_LPAREN] = ACTIONS(262),
    [sym_comment] = ACTIONS(20),
  },
  [1283] = {
    [sym_parenthesized_type] = STATE(140),
    [sym__simple_type] = STATE(140),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1284] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1409),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1285] = {
    [anon_sym_LBRACK] = ACTIONS(2833),
    [sym_comment] = ACTIONS(20),
  },
  [1286] = {
    [sym_parenthesized_type] = STATE(161),
    [sym__simple_type] = STATE(161),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1287] = {
    [anon_sym_chan] = ACTIONS(2837),
    [sym_comment] = ACTIONS(20),
  },
  [1288] = {
    [aux_sym_type_case_repeat1] = STATE(1414),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2841),
    [sym_comment] = ACTIONS(20),
  },
  [1289] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement_list] = STATE(1415),
    [sym__statement] = STATE(1266),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(416),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(2845),
    [sym_default_case] = ACTIONS(2845),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1290] = {
    [anon_sym_LF] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [sym_default_case] = ACTIONS(2847),
    [sym_comment] = ACTIONS(54),
  },
  [1291] = {
    [sym_type_case_clause] = STATE(1124),
    [sym_type_case] = STATE(1123),
    [aux_sym_type_switch_statement_repeat1] = STATE(1291),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2851),
    [sym_default_case] = ACTIONS(2854),
    [sym_comment] = ACTIONS(20),
  },
  [1292] = {
    [anon_sym_RPAREN] = ACTIONS(2857),
    [sym_comment] = ACTIONS(20),
  },
  [1293] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1420),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1294] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1424),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1295] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1296] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1425),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1297] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1298] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1427),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1299] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1428),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1300] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1429),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_AMP] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1301] = {
    [aux_sym_expression_list_repeat1] = STATE(1430),
    [anon_sym_COMMA] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(1881),
    [anon_sym_COLON_EQ] = ACTIONS(1881),
    [sym_comment] = ACTIONS(20),
  },
  [1302] = {
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [sym_default_case] = ACTIONS(2871),
    [sym_comment] = ACTIONS(20),
  },
  [1303] = {
    [anon_sym_LF] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_LT_DASH] = ACTIONS(2311),
    [anon_sym_COLON_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_case] = ACTIONS(2311),
    [sym_default_case] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_CARET] = ACTIONS(2311),
    [anon_sym_AMP] = ACTIONS(2311),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2311),
    [anon_sym_LT_LT] = ACTIONS(2311),
    [anon_sym_GT_GT] = ACTIONS(2311),
    [anon_sym_AMP_CARET] = ACTIONS(2311),
    [anon_sym_PIPE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2311),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT] = ACTIONS(2311),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2311),
    [anon_sym_PIPE_PIPE] = ACTIONS(2311),
    [sym_comment] = ACTIONS(54),
  },
  [1304] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1305] = {
    [anon_sym_LF] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_EQ] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_LT_DASH] = ACTIONS(2338),
    [anon_sym_COLON_EQ] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_STAR_EQ] = ACTIONS(2338),
    [anon_sym_SLASH_EQ] = ACTIONS(2338),
    [anon_sym_PERCENT_EQ] = ACTIONS(2338),
    [anon_sym_LT_LT_EQ] = ACTIONS(2338),
    [anon_sym_GT_GT_EQ] = ACTIONS(2338),
    [anon_sym_AMP_EQ] = ACTIONS(2338),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2338),
    [anon_sym_PLUS_EQ] = ACTIONS(2338),
    [anon_sym_DASH_EQ] = ACTIONS(2338),
    [anon_sym_PIPE_EQ] = ACTIONS(2338),
    [anon_sym_CARET_EQ] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [sym_default_case] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [sym_comment] = ACTIONS(54),
  },
  [1306] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1307] = {
    [anon_sym_LF] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2347),
    [anon_sym_DOT] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2347),
    [anon_sym_COMMA] = ACTIONS(2347),
    [anon_sym_EQ] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_RBRACE] = ACTIONS(2347),
    [anon_sym_LT_DASH] = ACTIONS(2347),
    [anon_sym_COLON_EQ] = ACTIONS(2347),
    [anon_sym_PLUS_PLUS] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2347),
    [anon_sym_STAR_EQ] = ACTIONS(2347),
    [anon_sym_SLASH_EQ] = ACTIONS(2347),
    [anon_sym_PERCENT_EQ] = ACTIONS(2347),
    [anon_sym_LT_LT_EQ] = ACTIONS(2347),
    [anon_sym_GT_GT_EQ] = ACTIONS(2347),
    [anon_sym_AMP_EQ] = ACTIONS(2347),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2347),
    [anon_sym_PLUS_EQ] = ACTIONS(2347),
    [anon_sym_DASH_EQ] = ACTIONS(2347),
    [anon_sym_PIPE_EQ] = ACTIONS(2347),
    [anon_sym_CARET_EQ] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [sym_default_case] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_CARET] = ACTIONS(2347),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SLASH] = ACTIONS(2347),
    [anon_sym_PERCENT] = ACTIONS(2347),
    [anon_sym_LT_LT] = ACTIONS(2347),
    [anon_sym_GT_GT] = ACTIONS(2347),
    [anon_sym_AMP_CARET] = ACTIONS(2347),
    [anon_sym_PIPE] = ACTIONS(2347),
    [anon_sym_EQ_EQ] = ACTIONS(2347),
    [anon_sym_BANG_EQ] = ACTIONS(2347),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_LT_EQ] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_GT_EQ] = ACTIONS(2347),
    [anon_sym_AMP_AMP] = ACTIONS(2347),
    [anon_sym_PIPE_PIPE] = ACTIONS(2347),
    [sym_comment] = ACTIONS(54),
  },
  [1308] = {
    [anon_sym_LF] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2349),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(2349),
    [anon_sym_EQ] = ACTIONS(2349),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_LT_DASH] = ACTIONS(2349),
    [anon_sym_COLON_EQ] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_STAR_EQ] = ACTIONS(2349),
    [anon_sym_SLASH_EQ] = ACTIONS(2349),
    [anon_sym_PERCENT_EQ] = ACTIONS(2349),
    [anon_sym_LT_LT_EQ] = ACTIONS(2349),
    [anon_sym_GT_GT_EQ] = ACTIONS(2349),
    [anon_sym_AMP_EQ] = ACTIONS(2349),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2349),
    [anon_sym_PLUS_EQ] = ACTIONS(2349),
    [anon_sym_DASH_EQ] = ACTIONS(2349),
    [anon_sym_PIPE_EQ] = ACTIONS(2349),
    [anon_sym_CARET_EQ] = ACTIONS(2349),
    [anon_sym_case] = ACTIONS(2349),
    [sym_default_case] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_CARET] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2349),
    [anon_sym_SLASH] = ACTIONS(2349),
    [anon_sym_PERCENT] = ACTIONS(2349),
    [anon_sym_LT_LT] = ACTIONS(2349),
    [anon_sym_GT_GT] = ACTIONS(2349),
    [anon_sym_AMP_CARET] = ACTIONS(2349),
    [anon_sym_PIPE] = ACTIONS(2349),
    [anon_sym_EQ_EQ] = ACTIONS(2349),
    [anon_sym_BANG_EQ] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_GT] = ACTIONS(2349),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_PIPE_PIPE] = ACTIONS(2349),
    [sym_comment] = ACTIONS(54),
  },
  [1309] = {
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_LT_DASH] = ACTIONS(2351),
    [anon_sym_COLON_EQ] = ACTIONS(2351),
    [anon_sym_PLUS_PLUS] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2351),
    [anon_sym_STAR_EQ] = ACTIONS(2351),
    [anon_sym_SLASH_EQ] = ACTIONS(2351),
    [anon_sym_PERCENT_EQ] = ACTIONS(2351),
    [anon_sym_LT_LT_EQ] = ACTIONS(2351),
    [anon_sym_GT_GT_EQ] = ACTIONS(2351),
    [anon_sym_AMP_EQ] = ACTIONS(2351),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2351),
    [anon_sym_PLUS_EQ] = ACTIONS(2351),
    [anon_sym_DASH_EQ] = ACTIONS(2351),
    [anon_sym_PIPE_EQ] = ACTIONS(2351),
    [anon_sym_CARET_EQ] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [sym_default_case] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_CARET] = ACTIONS(2351),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2351),
    [anon_sym_LT_LT] = ACTIONS(2351),
    [anon_sym_GT_GT] = ACTIONS(2351),
    [anon_sym_AMP_CARET] = ACTIONS(2351),
    [anon_sym_PIPE] = ACTIONS(2351),
    [anon_sym_EQ_EQ] = ACTIONS(2351),
    [anon_sym_BANG_EQ] = ACTIONS(2351),
    [anon_sym_LT] = ACTIONS(2351),
    [anon_sym_LT_EQ] = ACTIONS(2351),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2351),
    [anon_sym_AMP_AMP] = ACTIONS(2351),
    [anon_sym_PIPE_PIPE] = ACTIONS(2351),
    [sym_comment] = ACTIONS(54),
  },
  [1310] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1311] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_AMP_CARET] = ACTIONS(2280),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1312] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_AMP_CARET] = ACTIONS(2280),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1313] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_AMP_CARET] = ACTIONS(2280),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2284),
    [anon_sym_BANG_EQ] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_LT_EQ] = ACTIONS(2284),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_GT_EQ] = ACTIONS(2284),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1314] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_AMP_CARET] = ACTIONS(2280),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2284),
    [anon_sym_BANG_EQ] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_LT_EQ] = ACTIONS(2284),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_GT_EQ] = ACTIONS(2284),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1315] = {
    [anon_sym_LF] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_LT_DASH] = ACTIONS(2360),
    [anon_sym_COLON_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [sym_default_case] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SLASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_GT_GT] = ACTIONS(2360),
    [anon_sym_AMP_CARET] = ACTIONS(2360),
    [anon_sym_PIPE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2360),
    [anon_sym_PIPE_PIPE] = ACTIONS(2360),
    [sym_comment] = ACTIONS(54),
  },
  [1316] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1434),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1317] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2879),
    [anon_sym_COLON] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1318] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1390),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1319] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1320] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1321] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1322] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_GT_GT] = ACTIONS(2320),
    [anon_sym_AMP_CARET] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1323] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [anon_sym_LF] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_package] = ACTIONS(2883),
    [anon_sym_import] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_var] = ACTIONS(2883),
    [anon_sym_func] = ACTIONS(2883),
    [anon_sym_type] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [sym_default_case] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_GT_GT] = ACTIONS(2883),
    [anon_sym_AMP_CARET] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [sym_comment] = ACTIONS(54),
  },
  [1324] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1325] = {
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_RBRACK] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_COLON_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2889),
    [anon_sym_LT_LT] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2889),
    [anon_sym_AMP_CARET] = ACTIONS(2889),
    [anon_sym_PIPE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [sym_comment] = ACTIONS(20),
  },
  [1326] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1327] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1713),
    [anon_sym_chan] = ACTIONS(1715),
    [anon_sym_LT_DASH] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1328] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(1697),
    [anon_sym_chan] = ACTIONS(1699),
    [anon_sym_LT_DASH] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1329] = {
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym_DOT] = ACTIONS(2366),
    [anon_sym_LPAREN] = ACTIONS(2366),
    [anon_sym_COMMA] = ACTIONS(2366),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_LT_DASH] = ACTIONS(2366),
    [anon_sym_COLON_EQ] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_STAR_EQ] = ACTIONS(2366),
    [anon_sym_SLASH_EQ] = ACTIONS(2366),
    [anon_sym_PERCENT_EQ] = ACTIONS(2366),
    [anon_sym_LT_LT_EQ] = ACTIONS(2366),
    [anon_sym_GT_GT_EQ] = ACTIONS(2366),
    [anon_sym_AMP_EQ] = ACTIONS(2366),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2366),
    [anon_sym_PLUS_EQ] = ACTIONS(2366),
    [anon_sym_DASH_EQ] = ACTIONS(2366),
    [anon_sym_PIPE_EQ] = ACTIONS(2366),
    [anon_sym_CARET_EQ] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SLASH] = ACTIONS(2368),
    [anon_sym_PERCENT] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_GT_GT] = ACTIONS(2368),
    [anon_sym_AMP_CARET] = ACTIONS(2368),
    [anon_sym_PIPE] = ACTIONS(2368),
    [anon_sym_EQ_EQ] = ACTIONS(2366),
    [anon_sym_BANG_EQ] = ACTIONS(2366),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_LT_EQ] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_PIPE_PIPE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(20),
  },
  [1330] = {
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_COLON_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_GT_GT] = ACTIONS(2372),
    [anon_sym_AMP_CARET] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [sym_comment] = ACTIONS(20),
  },
  [1331] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1332] = {
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_COLON_EQ] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_STAR_EQ] = ACTIONS(2376),
    [anon_sym_SLASH_EQ] = ACTIONS(2376),
    [anon_sym_PERCENT_EQ] = ACTIONS(2376),
    [anon_sym_LT_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_GT_EQ] = ACTIONS(2376),
    [anon_sym_AMP_EQ] = ACTIONS(2376),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2376),
    [anon_sym_PLUS_EQ] = ACTIONS(2376),
    [anon_sym_DASH_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_EQ] = ACTIONS(2376),
    [anon_sym_CARET_EQ] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_CARET] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SLASH] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2378),
    [anon_sym_LT_LT] = ACTIONS(2378),
    [anon_sym_GT_GT] = ACTIONS(2378),
    [anon_sym_AMP_CARET] = ACTIONS(2378),
    [anon_sym_PIPE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2378),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [sym_comment] = ACTIONS(20),
  },
  [1333] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_literal_value] = STATE(485),
    [sym_keyed_element] = STATE(972),
    [sym_element] = STATE(972),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1334] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP] = ACTIONS(2477),
    [anon_sym_PIPE_PIPE] = ACTIONS(2479),
    [sym_comment] = ACTIONS(20),
  },
  [1335] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1336] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1337] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1338] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_CARET] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_AMP_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_EQ_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_AMP_AMP] = ACTIONS(2477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1339] = {
    [aux_sym_expression_list_repeat1] = STATE(1339),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2897),
    [sym_comment] = ACTIONS(20),
  },
  [1340] = {
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_LT_DASH] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_AMP_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_PIPE_PIPE] = ACTIONS(2382),
    [sym_comment] = ACTIONS(20),
  },
  [1341] = {
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_DOT] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_LT_DASH] = ACTIONS(2386),
    [anon_sym_COLON_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_GT_GT] = ACTIONS(2388),
    [anon_sym_AMP_CARET] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_EQ_EQ] = ACTIONS(2386),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_PIPE_PIPE] = ACTIONS(2386),
    [sym_comment] = ACTIONS(20),
  },
  [1342] = {
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym_DOT] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_LT_DASH] = ACTIONS(2390),
    [anon_sym_COLON_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_GT_GT] = ACTIONS(2392),
    [anon_sym_AMP_CARET] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2390),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_PIPE_PIPE] = ACTIONS(2390),
    [sym_comment] = ACTIONS(20),
  },
  [1343] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(982),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_variadic_argument] = STATE(983),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [sym_identifier] = ACTIONS(914),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1344] = {
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_LPAREN] = ACTIONS(2396),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_LT_DASH] = ACTIONS(2396),
    [anon_sym_COLON_EQ] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [anon_sym_STAR_EQ] = ACTIONS(2396),
    [anon_sym_SLASH_EQ] = ACTIONS(2396),
    [anon_sym_PERCENT_EQ] = ACTIONS(2396),
    [anon_sym_LT_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_GT_EQ] = ACTIONS(2396),
    [anon_sym_AMP_EQ] = ACTIONS(2396),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2396),
    [anon_sym_PLUS_EQ] = ACTIONS(2396),
    [anon_sym_DASH_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_EQ] = ACTIONS(2396),
    [anon_sym_CARET_EQ] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_GT_GT] = ACTIONS(2398),
    [anon_sym_AMP_CARET] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [sym_comment] = ACTIONS(20),
  },
  [1345] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1346] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(20),
  },
  [1347] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1348] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1349] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1350] = {
    [sym_argument_list] = STATE(319),
    [aux_sym_expression_list_repeat1] = STATE(1451),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_EQ_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2922),
    [sym_comment] = ACTIONS(20),
  },
  [1351] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [sym_comment] = ACTIONS(20),
  },
  [1352] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_LT_LT] = ACTIONS(2509),
    [anon_sym_GT_GT] = ACTIONS(2509),
    [anon_sym_AMP_CARET] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1353] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_LT_LT] = ACTIONS(2509),
    [anon_sym_GT_GT] = ACTIONS(2509),
    [anon_sym_AMP_CARET] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(2513),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1354] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_LT_LT] = ACTIONS(2509),
    [anon_sym_GT_GT] = ACTIONS(2509),
    [anon_sym_AMP_CARET] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(2513),
    [anon_sym_EQ_EQ] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1355] = {
    [sym_argument_list] = STATE(883),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_LT_LT] = ACTIONS(2509),
    [anon_sym_GT_GT] = ACTIONS(2509),
    [anon_sym_AMP_CARET] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(2513),
    [anon_sym_EQ_EQ] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1356] = {
    [anon_sym_LBRACE] = ACTIONS(2924),
    [sym_comment] = ACTIONS(20),
  },
  [1357] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_CARET] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_AMP_AMP] = ACTIONS(2541),
    [anon_sym_PIPE_PIPE] = ACTIONS(2543),
    [sym_comment] = ACTIONS(20),
  },
  [1358] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1359] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_CARET] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1360] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_CARET] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1361] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_CARET] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2529),
    [anon_sym_LT_LT] = ACTIONS(2529),
    [anon_sym_GT_GT] = ACTIONS(2529),
    [anon_sym_AMP_CARET] = ACTIONS(2529),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_AMP_AMP] = ACTIONS(2541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1362] = {
    [aux_sym_expression_list_repeat1] = STATE(1362),
    [anon_sym_COMMA] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(2276),
    [sym_comment] = ACTIONS(20),
  },
  [1363] = {
    [sym_parenthesized_type] = STATE(1454),
    [sym__simple_type] = STATE(1454),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(1455),
    [anon_sym_LF] = ACTIONS(76),
    [anon_sym_SEMI] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(76),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [anon_sym_case] = ACTIONS(76),
    [sym_default_case] = ACTIONS(76),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [1364] = {
    [sym_parenthesized_type] = STATE(1463),
    [sym__simple_type] = STATE(1463),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(1464),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1365] = {
    [sym_parenthesized_type] = STATE(103),
    [sym__simple_type] = STATE(103),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1366] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1367] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1368] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1369] = {
    [sym_argument_list] = STATE(294),
    [aux_sym_expression_list_repeat1] = STATE(1478),
    [anon_sym_LF] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_case] = ACTIONS(547),
    [sym_default_case] = ACTIONS(547),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [sym_comment] = ACTIONS(54),
  },
  [1370] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1371] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1372] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1373] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [sym_default_case] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [sym_comment] = ACTIONS(54),
  },
  [1374] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_case] = ACTIONS(1757),
    [sym_default_case] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [sym_comment] = ACTIONS(54),
  },
  [1375] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1484),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1376] = {
    [sym_block] = STATE(1485),
    [sym_argument_list] = STATE(883),
    [aux_sym_expression_list_repeat1] = STATE(669),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LT_DASH] = ACTIONS(1793),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1797),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_AMP_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [sym_comment] = ACTIONS(20),
  },
  [1377] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(913),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(2989),
    [sym_default_case] = ACTIONS(2989),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2991),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1378] = {
    [sym_expression_list] = STATE(914),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1379] = {
    [sym_expression_list] = STATE(915),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1380] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(918),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(2993),
    [sym_default_case] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1381] = {
    [aux_sym__statement_list_repeat1] = STATE(1488),
    [anon_sym_LF] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_case] = ACTIONS(1861),
    [sym_default_case] = ACTIONS(1861),
    [sym_comment] = ACTIONS(54),
  },
  [1382] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(930),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1383] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1489),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1384] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1490),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1385] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1491),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1386] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1492),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1387] = {
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1493),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(1201),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1388] = {
    [sym_parenthesized_type] = STATE(769),
    [sym__simple_type] = STATE(769),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1389] = {
    [anon_sym_LF] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [sym_default_case] = ACTIONS(2999),
    [sym_comment] = ACTIONS(54),
  },
  [1390] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1391] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1392] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1393] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_GT_GT] = ACTIONS(3001),
    [anon_sym_AMP_CARET] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3009),
    [anon_sym_LT] = ACTIONS(3011),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3011),
    [anon_sym_GT_EQ] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [sym_comment] = ACTIONS(20),
  },
  [1394] = {
    [anon_sym_LF] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [sym_default_case] = ACTIONS(3017),
    [sym_comment] = ACTIONS(54),
  },
  [1395] = {
    [sym_type_case_clause] = STATE(1124),
    [sym_type_case] = STATE(1123),
    [aux_sym_type_switch_statement_repeat1] = STATE(1291),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(2223),
    [sym_default_case] = ACTIONS(2225),
    [sym_comment] = ACTIONS(20),
  },
  [1396] = {
    [sym_parenthesized_type] = STATE(769),
    [sym__simple_type] = STATE(769),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(230),
    [anon_sym_chan] = ACTIONS(232),
    [anon_sym_LT_DASH] = ACTIONS(234),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1397] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1398] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1399] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1400] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3025),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_GT_GT] = ACTIONS(3021),
    [anon_sym_AMP_CARET] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3027),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_LT] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [sym_comment] = ACTIONS(20),
  },
  [1401] = {
    [sym_expression_case_clause] = STATE(897),
    [sym_expression_case] = STATE(896),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(1829),
    [sym_default_case] = ACTIONS(1831),
    [sym_comment] = ACTIONS(20),
  },
  [1402] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_GT_GT] = ACTIONS(2597),
    [anon_sym_AMP_CARET] = ACTIONS(2597),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1403] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_CARET] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_GT_GT] = ACTIONS(2597),
    [anon_sym_AMP_CARET] = ACTIONS(2597),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1404] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_CARET] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_GT_GT] = ACTIONS(2597),
    [anon_sym_AMP_CARET] = ACTIONS(2597),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_EQ_EQ] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1405] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_CARET] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_LT_LT] = ACTIONS(2597),
    [anon_sym_GT_GT] = ACTIONS(2597),
    [anon_sym_AMP_CARET] = ACTIONS(2597),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_EQ_EQ] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1406] = {
    [aux_sym_expression_list_repeat1] = STATE(1406),
    [anon_sym_COMMA] = ACTIONS(3039),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [sym_comment] = ACTIONS(20),
  },
  [1407] = {
    [sym_parameter_list] = STATE(299),
    [sym__simple_type] = STATE(299),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(40),
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [anon_sym_COLON] = ACTIONS(571),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1408] = {
    [sym_parenthesized_type] = STATE(303),
    [sym__simple_type] = STATE(303),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1409] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1410] = {
    [sym_parenthesized_type] = STATE(1508),
    [sym__simple_type] = STATE(1508),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1411] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(3044),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1412] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1413] = {
    [sym_parenthesized_type] = STATE(1510),
    [sym__simple_type] = STATE(1510),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1414] = {
    [aux_sym_type_case_repeat1] = STATE(1511),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(3046),
    [sym_comment] = ACTIONS(20),
  },
  [1415] = {
    [anon_sym_RBRACE] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [sym_default_case] = ACTIONS(3048),
    [sym_comment] = ACTIONS(20),
  },
  [1416] = {
    [anon_sym_LBRACE] = ACTIONS(3050),
    [sym_comment] = ACTIONS(20),
  },
  [1417] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1418] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1419] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1420] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [sym_comment] = ACTIONS(20),
  },
  [1421] = {
    [sym_parenthesized_type] = STATE(267),
    [sym__simple_type] = STATE(267),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1422] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(525),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1423] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(302),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1424] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_EQ] = ACTIONS(2278),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_AMP_CARET] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [sym_comment] = ACTIONS(20),
  },
  [1425] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [sym_comment] = ACTIONS(20),
  },
  [1426] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_LT_LT] = ACTIONS(2643),
    [anon_sym_GT_GT] = ACTIONS(2643),
    [anon_sym_AMP_CARET] = ACTIONS(2643),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1427] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_LT_LT] = ACTIONS(2643),
    [anon_sym_GT_GT] = ACTIONS(2643),
    [anon_sym_AMP_CARET] = ACTIONS(2643),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1428] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_LT_LT] = ACTIONS(2643),
    [anon_sym_GT_GT] = ACTIONS(2643),
    [anon_sym_AMP_CARET] = ACTIONS(2643),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2655),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1429] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LT_DASH] = ACTIONS(1549),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_LT_LT] = ACTIONS(2643),
    [anon_sym_GT_GT] = ACTIONS(2643),
    [anon_sym_AMP_CARET] = ACTIONS(2643),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2655),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1430] = {
    [aux_sym_expression_list_repeat1] = STATE(1430),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_COLON_EQ] = ACTIONS(2276),
    [sym_comment] = ACTIONS(20),
  },
  [1431] = {
    [anon_sym_LF] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_DOT] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_LT_DASH] = ACTIONS(2701),
    [anon_sym_COLON_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_case] = ACTIONS(2701),
    [sym_default_case] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_CARET] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2701),
    [anon_sym_LT_LT] = ACTIONS(2701),
    [anon_sym_GT_GT] = ACTIONS(2701),
    [anon_sym_AMP_CARET] = ACTIONS(2701),
    [anon_sym_PIPE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2701),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT] = ACTIONS(2701),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [sym_comment] = ACTIONS(54),
  },
  [1432] = {
    [anon_sym_LF] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2703),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_LT_DASH] = ACTIONS(2703),
    [anon_sym_COLON_EQ] = ACTIONS(2703),
    [anon_sym_PLUS_PLUS] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2703),
    [anon_sym_STAR_EQ] = ACTIONS(2703),
    [anon_sym_SLASH_EQ] = ACTIONS(2703),
    [anon_sym_PERCENT_EQ] = ACTIONS(2703),
    [anon_sym_LT_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_GT_EQ] = ACTIONS(2703),
    [anon_sym_AMP_EQ] = ACTIONS(2703),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2703),
    [anon_sym_PLUS_EQ] = ACTIONS(2703),
    [anon_sym_DASH_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_EQ] = ACTIONS(2703),
    [anon_sym_CARET_EQ] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [sym_default_case] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_GT_GT] = ACTIONS(2703),
    [anon_sym_AMP_CARET] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [sym_comment] = ACTIONS(54),
  },
  [1433] = {
    [anon_sym_LF] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_DOT] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_LT_DASH] = ACTIONS(2705),
    [anon_sym_COLON_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2705),
    [sym_default_case] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_CARET] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2705),
    [anon_sym_LT_LT] = ACTIONS(2705),
    [anon_sym_GT_GT] = ACTIONS(2705),
    [anon_sym_AMP_CARET] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2705),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT] = ACTIONS(2705),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE_PIPE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(54),
  },
  [1434] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1435] = {
    [anon_sym_LF] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2709),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_LT_DASH] = ACTIONS(2709),
    [anon_sym_COLON_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [sym_default_case] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_CARET] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_PERCENT] = ACTIONS(2709),
    [anon_sym_LT_LT] = ACTIONS(2709),
    [anon_sym_GT_GT] = ACTIONS(2709),
    [anon_sym_AMP_CARET] = ACTIONS(2709),
    [anon_sym_PIPE] = ACTIONS(2709),
    [anon_sym_EQ_EQ] = ACTIONS(2709),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT] = ACTIONS(2709),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_PIPE_PIPE] = ACTIONS(2709),
    [sym_comment] = ACTIONS(54),
  },
  [1436] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1523),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1437] = {
    [ts_builtin_sym_end] = ACTIONS(3091),
    [anon_sym_LF] = ACTIONS(3091),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym_package] = ACTIONS(3091),
    [anon_sym_import] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LPAREN] = ACTIONS(3091),
    [anon_sym_const] = ACTIONS(3091),
    [anon_sym_COMMA] = ACTIONS(3091),
    [anon_sym_var] = ACTIONS(3091),
    [anon_sym_func] = ACTIONS(3091),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_case] = ACTIONS(3091),
    [sym_default_case] = ACTIONS(3091),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_CARET] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_SLASH] = ACTIONS(3091),
    [anon_sym_PERCENT] = ACTIONS(3091),
    [anon_sym_LT_LT] = ACTIONS(3091),
    [anon_sym_GT_GT] = ACTIONS(3091),
    [anon_sym_AMP_CARET] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_EQ_EQ] = ACTIONS(3091),
    [anon_sym_BANG_EQ] = ACTIONS(3091),
    [anon_sym_LT] = ACTIONS(3091),
    [anon_sym_LT_EQ] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3091),
    [anon_sym_GT_EQ] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_PIPE_PIPE] = ACTIONS(3091),
    [sym_comment] = ACTIONS(54),
  },
  [1438] = {
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_DOT] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_EQ] = ACTIONS(3095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3093),
    [anon_sym_LT_DASH] = ACTIONS(3093),
    [anon_sym_COLON_EQ] = ACTIONS(3093),
    [anon_sym_STAR_EQ] = ACTIONS(3093),
    [anon_sym_SLASH_EQ] = ACTIONS(3093),
    [anon_sym_PERCENT_EQ] = ACTIONS(3093),
    [anon_sym_LT_LT_EQ] = ACTIONS(3093),
    [anon_sym_GT_GT_EQ] = ACTIONS(3093),
    [anon_sym_AMP_EQ] = ACTIONS(3093),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3093),
    [anon_sym_PLUS_EQ] = ACTIONS(3093),
    [anon_sym_DASH_EQ] = ACTIONS(3093),
    [anon_sym_PIPE_EQ] = ACTIONS(3093),
    [anon_sym_CARET_EQ] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_CARET] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SLASH] = ACTIONS(3095),
    [anon_sym_PERCENT] = ACTIONS(3095),
    [anon_sym_LT_LT] = ACTIONS(3095),
    [anon_sym_GT_GT] = ACTIONS(3095),
    [anon_sym_AMP_CARET] = ACTIONS(3095),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_EQ_EQ] = ACTIONS(3093),
    [anon_sym_BANG_EQ] = ACTIONS(3093),
    [anon_sym_LT] = ACTIONS(3095),
    [anon_sym_LT_EQ] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3095),
    [anon_sym_GT_EQ] = ACTIONS(3093),
    [anon_sym_AMP_AMP] = ACTIONS(3093),
    [anon_sym_PIPE_PIPE] = ACTIONS(3093),
    [sym_comment] = ACTIONS(20),
  },
  [1439] = {
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(2711),
    [anon_sym_COMMA] = ACTIONS(2711),
    [anon_sym_EQ] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_LT_DASH] = ACTIONS(2711),
    [anon_sym_COLON_EQ] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [anon_sym_STAR_EQ] = ACTIONS(2711),
    [anon_sym_SLASH_EQ] = ACTIONS(2711),
    [anon_sym_PERCENT_EQ] = ACTIONS(2711),
    [anon_sym_LT_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_GT_EQ] = ACTIONS(2711),
    [anon_sym_AMP_EQ] = ACTIONS(2711),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2711),
    [anon_sym_PLUS_EQ] = ACTIONS(2711),
    [anon_sym_DASH_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_EQ] = ACTIONS(2711),
    [anon_sym_CARET_EQ] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_CARET] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2713),
    [anon_sym_LT_LT] = ACTIONS(2713),
    [anon_sym_GT_GT] = ACTIONS(2713),
    [anon_sym_AMP_CARET] = ACTIONS(2713),
    [anon_sym_PIPE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2711),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_GT_EQ] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [sym_comment] = ACTIONS(20),
  },
  [1440] = {
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_LPAREN] = ACTIONS(2715),
    [anon_sym_COMMA] = ACTIONS(2715),
    [anon_sym_EQ] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_LT_DASH] = ACTIONS(2715),
    [anon_sym_COLON_EQ] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [anon_sym_STAR_EQ] = ACTIONS(2715),
    [anon_sym_SLASH_EQ] = ACTIONS(2715),
    [anon_sym_PERCENT_EQ] = ACTIONS(2715),
    [anon_sym_LT_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_AMP_EQ] = ACTIONS(2715),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2715),
    [anon_sym_PLUS_EQ] = ACTIONS(2715),
    [anon_sym_DASH_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_EQ] = ACTIONS(2715),
    [anon_sym_CARET_EQ] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_CARET] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SLASH] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_GT_GT] = ACTIONS(2717),
    [anon_sym_AMP_CARET] = ACTIONS(2717),
    [anon_sym_PIPE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [sym_comment] = ACTIONS(20),
  },
  [1441] = {
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_COMMA] = ACTIONS(2719),
    [anon_sym_EQ] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_LT_DASH] = ACTIONS(2719),
    [anon_sym_COLON_EQ] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_STAR_EQ] = ACTIONS(2719),
    [anon_sym_SLASH_EQ] = ACTIONS(2719),
    [anon_sym_PERCENT_EQ] = ACTIONS(2719),
    [anon_sym_LT_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_GT_EQ] = ACTIONS(2719),
    [anon_sym_AMP_EQ] = ACTIONS(2719),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2719),
    [anon_sym_PLUS_EQ] = ACTIONS(2719),
    [anon_sym_DASH_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_EQ] = ACTIONS(2719),
    [anon_sym_CARET_EQ] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_CARET] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2721),
    [anon_sym_LT_LT] = ACTIONS(2721),
    [anon_sym_GT_GT] = ACTIONS(2721),
    [anon_sym_AMP_CARET] = ACTIONS(2721),
    [anon_sym_PIPE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [sym_comment] = ACTIONS(20),
  },
  [1442] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1443] = {
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_LT_DASH] = ACTIONS(2725),
    [anon_sym_COLON_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_GT_GT] = ACTIONS(2727),
    [anon_sym_AMP_CARET] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_EQ_EQ] = ACTIONS(2725),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(20),
  },
  [1444] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1525),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1445] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1526),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1446] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1447] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1448] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1528),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1449] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1529),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1450] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1530),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(1779),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1451] = {
    [aux_sym_expression_list_repeat1] = STATE(1531),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [sym_comment] = ACTIONS(20),
  },
  [1452] = {
    [sym_identifier] = ACTIONS(3099),
    [sym_comment] = ACTIONS(20),
  },
  [1453] = {
    [sym_expression_list] = STATE(133),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1454] = {
    [anon_sym_EQ] = ACTIONS(3101),
    [sym_comment] = ACTIONS(20),
  },
  [1455] = {
    [sym_parenthesized_type] = STATE(1534),
    [sym__simple_type] = STATE(1534),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [aux_sym_const_spec_repeat1] = STATE(1535),
    [anon_sym_LF] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(78),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(3103),
    [anon_sym_func] = ACTIONS(218),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(86),
    [anon_sym_struct] = ACTIONS(88),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_interface] = ACTIONS(90),
    [anon_sym_map] = ACTIONS(92),
    [anon_sym_chan] = ACTIONS(94),
    [anon_sym_LT_DASH] = ACTIONS(96),
    [anon_sym_case] = ACTIONS(316),
    [sym_default_case] = ACTIONS(316),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(54),
  },
  [1456] = {
    [sym_expression_list] = STATE(181),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1457] = {
    [sym_parameter_list] = STATE(1537),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [sym_comment] = ACTIONS(20),
  },
  [1458] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1459] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1539),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1460] = {
    [anon_sym_LBRACK] = ACTIONS(3109),
    [sym_comment] = ACTIONS(20),
  },
  [1461] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(3111),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1462] = {
    [anon_sym_chan] = ACTIONS(3113),
    [sym_comment] = ACTIONS(20),
  },
  [1463] = {
    [anon_sym_LF] = ACTIONS(358),
    [anon_sym_SEMI] = ACTIONS(358),
    [anon_sym_EQ] = ACTIONS(3115),
    [anon_sym_RBRACE] = ACTIONS(358),
    [anon_sym_case] = ACTIONS(358),
    [sym_default_case] = ACTIONS(358),
    [sym_comment] = ACTIONS(54),
  },
  [1464] = {
    [sym_parenthesized_type] = STATE(1544),
    [sym__simple_type] = STATE(1544),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [aux_sym_const_spec_repeat1] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(108),
    [anon_sym_EQ] = ACTIONS(3117),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1465] = {
    [sym_parenthesized_type] = STATE(235),
    [sym__simple_type] = STATE(235),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1466] = {
    [sym_parameter_list] = STATE(1545),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [sym_comment] = ACTIONS(20),
  },
  [1467] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1468] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1547),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_RBRACK] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(284),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_CARET] = ACTIONS(288),
    [anon_sym_AMP] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1469] = {
    [anon_sym_LBRACK] = ACTIONS(3121),
    [sym_comment] = ACTIONS(20),
  },
  [1470] = {
    [sym_parenthesized_type] = STATE(192),
    [sym__simple_type] = STATE(192),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(3123),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1471] = {
    [anon_sym_chan] = ACTIONS(3125),
    [sym_comment] = ACTIONS(20),
  },
  [1472] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1551),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1473] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1474] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1552),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1475] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1553),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1476] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1554),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1477] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1478] = {
    [aux_sym_expression_list_repeat1] = STATE(1556),
    [anon_sym_LF] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_case] = ACTIONS(1003),
    [sym_default_case] = ACTIONS(1003),
    [sym_comment] = ACTIONS(54),
  },
  [1479] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1480] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1557),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1481] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1558),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1482] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1559),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1483] = {
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1560),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1484] = {
    [sym_block] = STATE(1561),
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_AMP_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [sym_comment] = ACTIONS(20),
  },
  [1485] = {
    [sym_else_clause] = STATE(1090),
    [anon_sym_LF] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(2163),
    [sym_default_case] = ACTIONS(2163),
    [sym_comment] = ACTIONS(54),
  },
  [1486] = {
    [sym_literal_value] = STATE(648),
    [anon_sym_LF] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_LT_DASH] = ACTIONS(531),
    [anon_sym_COLON_EQ] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [anon_sym_STAR_EQ] = ACTIONS(531),
    [anon_sym_SLASH_EQ] = ACTIONS(531),
    [anon_sym_PERCENT_EQ] = ACTIONS(531),
    [anon_sym_LT_LT_EQ] = ACTIONS(531),
    [anon_sym_GT_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_EQ] = ACTIONS(531),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(531),
    [anon_sym_DASH_EQ] = ACTIONS(531),
    [anon_sym_PIPE_EQ] = ACTIONS(531),
    [anon_sym_CARET_EQ] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(531),
    [sym_default_case] = ACTIONS(531),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_AMP_CARET] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(531),
    [anon_sym_BANG_EQ] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_LT_EQ] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(531),
    [sym_comment] = ACTIONS(54),
  },
  [1487] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_empty_labeled_statement] = STATE(1146),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(2267),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(3131),
    [sym_default_case] = ACTIONS(3131),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1488] = {
    [aux_sym__statement_list_repeat1] = STATE(1488),
    [anon_sym_LF] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_case] = ACTIONS(2263),
    [sym_default_case] = ACTIONS(2263),
    [sym_comment] = ACTIONS(54),
  },
  [1489] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_case] = ACTIONS(2298),
    [sym_default_case] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [sym_comment] = ACTIONS(54),
  },
  [1490] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1491] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_CARET] = ACTIONS(2801),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1492] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_CARET] = ACTIONS(2801),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1493] = {
    [sym_argument_list] = STATE(668),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_CARET] = ACTIONS(2801),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1494] = {
    [anon_sym_RPAREN] = ACTIONS(3136),
    [sym_comment] = ACTIONS(20),
  },
  [1495] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1496] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1566),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1497] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1567),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1498] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1568),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1499] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1569),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1500] = {
    [anon_sym_LF] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [sym_default_case] = ACTIONS(3138),
    [sym_comment] = ACTIONS(54),
  },
  [1501] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1502] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1570),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1503] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1571),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1504] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1572),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1505] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1573),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1506] = {
    [anon_sym_LF] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [sym_default_case] = ACTIONS(3140),
    [sym_comment] = ACTIONS(54),
  },
  [1507] = {
    [sym_parenthesized_type] = STATE(530),
    [sym__simple_type] = STATE(530),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1508] = {
    [anon_sym_RBRACK] = ACTIONS(3142),
    [sym_comment] = ACTIONS(20),
  },
  [1509] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1510] = {
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_COLON] = ACTIONS(3144),
    [sym_comment] = ACTIONS(20),
  },
  [1511] = {
    [aux_sym_type_case_repeat1] = STATE(1511),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_COLON] = ACTIONS(3144),
    [sym_comment] = ACTIONS(20),
  },
  [1512] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1513] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1575),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1514] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1576),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1515] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1577),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1516] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1578),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1517] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1518] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1579),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1519] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1580),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1520] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1581),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1521] = {
    [sym_parenthesized_type] = STATE(151),
    [sym__simple_type] = STATE(151),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(152),
    [sym_implicit_length_array_type] = STATE(153),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1582),
    [sym_parenthesized_expression] = STATE(150),
    [sym_call_expression] = STATE(150),
    [sym_selector_expression] = STATE(150),
    [sym_index_expression] = STATE(150),
    [sym_slice_expression] = STATE(150),
    [sym_type_assertion_expression] = STATE(150),
    [sym_type_conversion_expression] = STATE(150),
    [sym_composite_literal] = STATE(150),
    [sym_func_literal] = STATE(150),
    [sym_unary_expression] = STATE(150),
    [sym_binary_expression] = STATE(150),
    [sym_qualified_type] = STATE(152),
    [sym__string_literal] = STATE(150),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_func] = ACTIONS(278),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(286),
    [anon_sym_make] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_CARET] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(290),
    [sym_raw_string_literal] = ACTIONS(292),
    [sym_interpreted_string_literal] = ACTIONS(292),
    [sym_int_literal] = ACTIONS(294),
    [sym_float_literal] = ACTIONS(294),
    [sym_imaginary_literal] = ACTIONS(296),
    [sym_rune_literal] = ACTIONS(296),
    [sym_comment] = ACTIONS(20),
  },
  [1522] = {
    [anon_sym_LF] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_LT_DASH] = ACTIONS(2883),
    [anon_sym_COLON_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_STAR_EQ] = ACTIONS(2883),
    [anon_sym_SLASH_EQ] = ACTIONS(2883),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_LT_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_EQ] = ACTIONS(2883),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2883),
    [anon_sym_PLUS_EQ] = ACTIONS(2883),
    [anon_sym_DASH_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_EQ] = ACTIONS(2883),
    [anon_sym_CARET_EQ] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [sym_default_case] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_GT_GT] = ACTIONS(2883),
    [anon_sym_AMP_CARET] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [sym_comment] = ACTIONS(54),
  },
  [1523] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1524] = {
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_COLON_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2889),
    [anon_sym_LT_LT] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2889),
    [anon_sym_AMP_CARET] = ACTIONS(2889),
    [anon_sym_PIPE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [sym_comment] = ACTIONS(20),
  },
  [1525] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1526] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_EQ_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2922),
    [sym_comment] = ACTIONS(20),
  },
  [1527] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1528] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1529] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_EQ_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1530] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_LT_LT] = ACTIONS(2908),
    [anon_sym_GT_GT] = ACTIONS(2908),
    [anon_sym_AMP_CARET] = ACTIONS(2908),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_EQ_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1531] = {
    [aux_sym_expression_list_repeat1] = STATE(1531),
    [anon_sym_COMMA] = ACTIONS(3153),
    [anon_sym_LBRACE] = ACTIONS(2276),
    [sym_comment] = ACTIONS(20),
  },
  [1532] = {
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(493),
    [sym_default_case] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [1533] = {
    [sym_expression_list] = STATE(338),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1534] = {
    [anon_sym_EQ] = ACTIONS(3156),
    [sym_comment] = ACTIONS(20),
  },
  [1535] = {
    [aux_sym_const_spec_repeat1] = STATE(1535),
    [anon_sym_LF] = ACTIONS(493),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_func] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_struct] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_interface] = ACTIONS(493),
    [anon_sym_map] = ACTIONS(493),
    [anon_sym_chan] = ACTIONS(493),
    [anon_sym_LT_DASH] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(493),
    [sym_default_case] = ACTIONS(493),
    [sym_identifier] = ACTIONS(493),
    [sym_comment] = ACTIONS(54),
  },
  [1536] = {
    [sym_parameter_declaration] = STATE(1588),
    [sym_variadic_parameter_declaration] = STATE(1588),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_COMMA] = ACTIONS(3163),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [1537] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(691),
    [anon_sym_func] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(3171),
    [anon_sym_chan] = ACTIONS(3173),
    [anon_sym_LT_DASH] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(691),
    [sym_default_case] = ACTIONS(691),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [1538] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1539] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1540] = {
    [sym_parenthesized_type] = STATE(1590),
    [sym__simple_type] = STATE(1590),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1541] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(3179),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1542] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1543] = {
    [sym_expression_list] = STATE(362),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1544] = {
    [anon_sym_LF] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_case] = ACTIONS(689),
    [sym_default_case] = ACTIONS(689),
    [sym_comment] = ACTIONS(54),
  },
  [1545] = {
    [sym_parameter_list] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_func] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(409),
    [anon_sym_map] = ACTIONS(3189),
    [anon_sym_chan] = ACTIONS(3191),
    [anon_sym_LT_DASH] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(691),
    [sym_default_case] = ACTIONS(691),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(54),
  },
  [1546] = {
    [sym_parenthesized_type] = STATE(351),
    [sym__simple_type] = STATE(351),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1547] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_CARET] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(615),
    [anon_sym_BANG_EQ] = ACTIONS(615),
    [anon_sym_LT] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(615),
    [anon_sym_GT] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_PIPE_PIPE] = ACTIONS(621),
    [sym_comment] = ACTIONS(20),
  },
  [1548] = {
    [sym_parenthesized_type] = STATE(1594),
    [sym__simple_type] = STATE(1594),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(643),
    [anon_sym_chan] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1549] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(3197),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1550] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1551] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [sym_default_case] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2977),
    [sym_comment] = ACTIONS(54),
  },
  [1552] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1553] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1554] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1555] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2969),
    [anon_sym_GT_GT] = ACTIONS(2969),
    [anon_sym_AMP_CARET] = ACTIONS(2969),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1556] = {
    [aux_sym_expression_list_repeat1] = STATE(1556),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [sym_default_case] = ACTIONS(1478),
    [sym_comment] = ACTIONS(54),
  },
  [1557] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1558] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1559] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1560] = {
    [sym_argument_list] = STATE(294),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [sym_default_case] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP_CARET] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [sym_comment] = ACTIONS(54),
  },
  [1561] = {
    [sym_else_clause] = STATE(1219),
    [anon_sym_LF] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_else] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(2487),
    [sym_default_case] = ACTIONS(2487),
    [sym_comment] = ACTIONS(54),
  },
  [1562] = {
    [sym_block] = STATE(1228),
    [sym_if_statement] = STATE(1228),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(3202),
    [sym_comment] = ACTIONS(20),
  },
  [1563] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(913),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2991),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1564] = {
    [sym__declaration] = STATE(408),
    [sym_const_declaration] = STATE(11),
    [sym_var_declaration] = STATE(11),
    [sym_type_declaration] = STATE(11),
    [sym_expression_list] = STATE(1264),
    [sym_parenthesized_type] = STATE(410),
    [sym__simple_type] = STATE(410),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(411),
    [sym_implicit_length_array_type] = STATE(412),
    [sym_slice_type] = STATE(411),
    [sym_struct_type] = STATE(411),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(411),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_block] = STATE(408),
    [sym__statement] = STATE(917),
    [sym_empty_statement] = STATE(408),
    [sym__simple_statement] = STATE(408),
    [sym_send_statement] = STATE(415),
    [sym_inc_statement] = STATE(415),
    [sym_dec_statement] = STATE(415),
    [sym_assignment_statement] = STATE(415),
    [sym_short_var_declaration] = STATE(415),
    [sym_labeled_statement] = STATE(408),
    [sym_fallthrough_statement] = STATE(408),
    [sym_break_statement] = STATE(408),
    [sym_continue_statement] = STATE(408),
    [sym_goto_statement] = STATE(408),
    [sym_return_statement] = STATE(408),
    [sym_go_statement] = STATE(408),
    [sym_defer_statement] = STATE(408),
    [sym_if_statement] = STATE(408),
    [sym_for_statement] = STATE(408),
    [sym_expression_switch_statement] = STATE(408),
    [sym_type_switch_statement] = STATE(408),
    [sym_select_statement] = STATE(408),
    [sym__expression] = STATE(1267),
    [sym_parenthesized_expression] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_selector_expression] = STATE(407),
    [sym_index_expression] = STATE(407),
    [sym_slice_expression] = STATE(407),
    [sym_type_assertion_expression] = STATE(407),
    [sym_type_conversion_expression] = STATE(407),
    [sym_composite_literal] = STATE(407),
    [sym_func_literal] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_qualified_type] = STATE(411),
    [sym__string_literal] = STATE(407),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_func] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2555),
    [anon_sym_fallthrough] = ACTIONS(791),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_goto] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_go] = ACTIONS(2563),
    [anon_sym_defer] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_select] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_make] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2991),
    [sym_raw_string_literal] = ACTIONS(819),
    [sym_interpreted_string_literal] = ACTIONS(819),
    [sym_int_literal] = ACTIONS(821),
    [sym_float_literal] = ACTIONS(821),
    [sym_imaginary_literal] = ACTIONS(823),
    [sym_rune_literal] = ACTIONS(823),
    [sym_comment] = ACTIONS(20),
  },
  [1565] = {
    [anon_sym_LBRACE] = ACTIONS(3204),
    [sym_comment] = ACTIONS(20),
  },
  [1566] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_GT_GT] = ACTIONS(3001),
    [anon_sym_AMP_CARET] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1567] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_GT_GT] = ACTIONS(3001),
    [anon_sym_AMP_CARET] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1568] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_GT_GT] = ACTIONS(3001),
    [anon_sym_AMP_CARET] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3009),
    [anon_sym_LT] = ACTIONS(3011),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3011),
    [anon_sym_GT_EQ] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1569] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3001),
    [anon_sym_LT_LT] = ACTIONS(3001),
    [anon_sym_GT_GT] = ACTIONS(3001),
    [anon_sym_AMP_CARET] = ACTIONS(3001),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_EQ_EQ] = ACTIONS(3009),
    [anon_sym_BANG_EQ] = ACTIONS(3009),
    [anon_sym_LT] = ACTIONS(3011),
    [anon_sym_LT_EQ] = ACTIONS(3009),
    [anon_sym_GT] = ACTIONS(3011),
    [anon_sym_GT_EQ] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1570] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3025),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_GT_GT] = ACTIONS(3021),
    [anon_sym_AMP_CARET] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1571] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3025),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_GT_GT] = ACTIONS(3021),
    [anon_sym_AMP_CARET] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3027),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1572] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3025),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_GT_GT] = ACTIONS(3021),
    [anon_sym_AMP_CARET] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3027),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_LT] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1573] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3025),
    [anon_sym_PERCENT] = ACTIONS(3021),
    [anon_sym_LT_LT] = ACTIONS(3021),
    [anon_sym_GT_GT] = ACTIONS(3021),
    [anon_sym_AMP_CARET] = ACTIONS(3021),
    [anon_sym_PIPE] = ACTIONS(3027),
    [anon_sym_EQ_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_LT] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1574] = {
    [sym_parenthesized_type] = STATE(810),
    [sym__simple_type] = STATE(810),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_func] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_chan] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(98),
    [sym_comment] = ACTIONS(20),
  },
  [1575] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1576] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1577] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1578] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_AMP_CARET] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1579] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_AMP_CARET] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1580] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_AMP_CARET] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1581] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_AMP_CARET] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1582] = {
    [sym_argument_list] = STATE(319),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_AMP_CARET] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [sym_comment] = ACTIONS(20),
  },
  [1583] = {
    [anon_sym_LF] = ACTIONS(3091),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LPAREN] = ACTIONS(3091),
    [anon_sym_COMMA] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_LT_DASH] = ACTIONS(3091),
    [anon_sym_COLON_EQ] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_STAR_EQ] = ACTIONS(3091),
    [anon_sym_SLASH_EQ] = ACTIONS(3091),
    [anon_sym_PERCENT_EQ] = ACTIONS(3091),
    [anon_sym_LT_LT_EQ] = ACTIONS(3091),
    [anon_sym_GT_GT_EQ] = ACTIONS(3091),
    [anon_sym_AMP_EQ] = ACTIONS(3091),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(3091),
    [anon_sym_DASH_EQ] = ACTIONS(3091),
    [anon_sym_PIPE_EQ] = ACTIONS(3091),
    [anon_sym_CARET_EQ] = ACTIONS(3091),
    [anon_sym_case] = ACTIONS(3091),
    [sym_default_case] = ACTIONS(3091),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_CARET] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_SLASH] = ACTIONS(3091),
    [anon_sym_PERCENT] = ACTIONS(3091),
    [anon_sym_LT_LT] = ACTIONS(3091),
    [anon_sym_GT_GT] = ACTIONS(3091),
    [anon_sym_AMP_CARET] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_EQ_EQ] = ACTIONS(3091),
    [anon_sym_BANG_EQ] = ACTIONS(3091),
    [anon_sym_LT] = ACTIONS(3091),
    [anon_sym_LT_EQ] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3091),
    [anon_sym_GT_EQ] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_PIPE_PIPE] = ACTIONS(3091),
    [sym_comment] = ACTIONS(54),
  },
  [1584] = {
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_EQ] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_LT_DASH] = ACTIONS(3093),
    [anon_sym_COLON_EQ] = ACTIONS(3093),
    [anon_sym_PLUS_PLUS] = ACTIONS(3093),
    [anon_sym_DASH_DASH] = ACTIONS(3093),
    [anon_sym_STAR_EQ] = ACTIONS(3093),
    [anon_sym_SLASH_EQ] = ACTIONS(3093),
    [anon_sym_PERCENT_EQ] = ACTIONS(3093),
    [anon_sym_LT_LT_EQ] = ACTIONS(3093),
    [anon_sym_GT_GT_EQ] = ACTIONS(3093),
    [anon_sym_AMP_EQ] = ACTIONS(3093),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3093),
    [anon_sym_PLUS_EQ] = ACTIONS(3093),
    [anon_sym_DASH_EQ] = ACTIONS(3093),
    [anon_sym_PIPE_EQ] = ACTIONS(3093),
    [anon_sym_CARET_EQ] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_CARET] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SLASH] = ACTIONS(3095),
    [anon_sym_PERCENT] = ACTIONS(3095),
    [anon_sym_LT_LT] = ACTIONS(3095),
    [anon_sym_GT_GT] = ACTIONS(3095),
    [anon_sym_AMP_CARET] = ACTIONS(3095),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_EQ_EQ] = ACTIONS(3093),
    [anon_sym_BANG_EQ] = ACTIONS(3093),
    [anon_sym_LT] = ACTIONS(3095),
    [anon_sym_LT_EQ] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3095),
    [anon_sym_GT_EQ] = ACTIONS(3093),
    [anon_sym_AMP_AMP] = ACTIONS(3093),
    [anon_sym_PIPE_PIPE] = ACTIONS(3093),
    [sym_comment] = ACTIONS(20),
  },
  [1585] = {
    [sym_expression_list] = STATE(565),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1586] = {
    [anon_sym_LF] = ACTIONS(747),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_EQ] = ACTIONS(747),
    [anon_sym_func] = ACTIONS(747),
    [anon_sym_STAR] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_struct] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_interface] = ACTIONS(747),
    [anon_sym_map] = ACTIONS(747),
    [anon_sym_chan] = ACTIONS(747),
    [anon_sym_LT_DASH] = ACTIONS(747),
    [anon_sym_case] = ACTIONS(747),
    [sym_default_case] = ACTIONS(747),
    [sym_identifier] = ACTIONS(747),
    [sym_comment] = ACTIONS(54),
  },
  [1587] = {
    [anon_sym_RPAREN] = ACTIONS(3206),
    [sym_comment] = ACTIONS(20),
  },
  [1588] = {
    [aux_sym_parameter_list_repeat1] = STATE(1598),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3208),
    [sym_comment] = ACTIONS(20),
  },
  [1589] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1590] = {
    [anon_sym_RBRACK] = ACTIONS(3210),
    [sym_comment] = ACTIONS(20),
  },
  [1591] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(3111),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1592] = {
    [sym_expression_list] = STATE(584),
    [sym_parenthesized_type] = STATE(134),
    [sym__simple_type] = STATE(134),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(135),
    [sym_implicit_length_array_type] = STATE(136),
    [sym_slice_type] = STATE(135),
    [sym_struct_type] = STATE(135),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(135),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(132),
    [sym_call_expression] = STATE(132),
    [sym_selector_expression] = STATE(132),
    [sym_index_expression] = STATE(132),
    [sym_slice_expression] = STATE(132),
    [sym_type_assertion_expression] = STATE(132),
    [sym_type_conversion_expression] = STATE(132),
    [sym_composite_literal] = STATE(132),
    [sym_func_literal] = STATE(132),
    [sym_unary_expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym_qualified_type] = STATE(135),
    [sym__string_literal] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_func] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(246),
    [anon_sym_chan] = ACTIONS(248),
    [anon_sym_LT_DASH] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_make] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(256),
    [sym_raw_string_literal] = ACTIONS(30),
    [sym_interpreted_string_literal] = ACTIONS(30),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_comment] = ACTIONS(20),
  },
  [1593] = {
    [sym_parenthesized_type] = STATE(573),
    [sym__simple_type] = STATE(573),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1594] = {
    [anon_sym_RBRACK] = ACTIONS(3212),
    [sym_comment] = ACTIONS(20),
  },
  [1595] = {
    [sym_parenthesized_type] = STATE(360),
    [sym__simple_type] = STATE(360),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(3123),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1596] = {
    [anon_sym_LF] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_EQ] = ACTIONS(1178),
    [anon_sym_func] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_interface] = ACTIONS(1178),
    [anon_sym_map] = ACTIONS(1178),
    [anon_sym_chan] = ACTIONS(1178),
    [anon_sym_LT_DASH] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [sym_default_case] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1178),
    [sym_comment] = ACTIONS(54),
  },
  [1597] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [1598] = {
    [aux_sym_parameter_list_repeat1] = STATE(373),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3216),
    [sym_comment] = ACTIONS(20),
  },
  [1599] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2941),
    [anon_sym_chan] = ACTIONS(2943),
    [anon_sym_LT_DASH] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1600] = {
    [sym_parenthesized_type] = STATE(821),
    [sym__simple_type] = STATE(821),
    [sym_pointer_type] = STATE(75),
    [sym_array_type] = STATE(75),
    [sym_slice_type] = STATE(75),
    [sym_struct_type] = STATE(75),
    [sym_interface_type] = STATE(75),
    [sym_map_type] = STATE(75),
    [sym_channel_type] = STATE(75),
    [sym_function_type] = STATE(75),
    [sym_qualified_type] = STATE(75),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_func] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(120),
    [anon_sym_map] = ACTIONS(2955),
    [anon_sym_chan] = ACTIONS(2957),
    [anon_sym_LT_DASH] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(128),
    [sym_comment] = ACTIONS(20),
  },
  [1601] = {
    [anon_sym_LF] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [anon_sym_func] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_interface] = ACTIONS(1677),
    [anon_sym_map] = ACTIONS(1677),
    [anon_sym_chan] = ACTIONS(1677),
    [anon_sym_LT_DASH] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [sym_default_case] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(54),
  },
  [1602] = {
    [sym_parameter_declaration] = STATE(371),
    [sym_variadic_parameter_declaration] = STATE(371),
    [sym_parenthesized_type] = STATE(88),
    [sym__simple_type] = STATE(88),
    [sym_pointer_type] = STATE(56),
    [sym_array_type] = STATE(56),
    [sym_slice_type] = STATE(56),
    [sym_struct_type] = STATE(56),
    [sym_interface_type] = STATE(56),
    [sym_map_type] = STATE(56),
    [sym_channel_type] = STATE(56),
    [sym_function_type] = STATE(56),
    [sym_qualified_type] = STATE(56),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_func] = ACTIONS(138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(140),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(144),
    [anon_sym_struct] = ACTIONS(146),
    [anon_sym_interface] = ACTIONS(148),
    [anon_sym_map] = ACTIONS(150),
    [anon_sym_chan] = ACTIONS(152),
    [anon_sym_LT_DASH] = ACTIONS(154),
    [sym_identifier] = ACTIONS(156),
    [sym_comment] = ACTIONS(20),
  },
  [1603] = {
    [anon_sym_LF] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(2095),
    [anon_sym_EQ] = ACTIONS(2095),
    [anon_sym_func] = ACTIONS(2095),
    [anon_sym_STAR] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(2095),
    [anon_sym_struct] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_interface] = ACTIONS(2095),
    [anon_sym_map] = ACTIONS(2095),
    [anon_sym_chan] = ACTIONS(2095),
    [anon_sym_LT_DASH] = ACTIONS(2095),
    [anon_sym_case] = ACTIONS(2095),
    [sym_default_case] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2095),
    [sym_comment] = ACTIONS(54),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false, .depends_on_lookahead = false},
  [1] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, RECOVER(),
  [3] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, SHIFT_EXTRA(), RECOVER(),
  [6] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_source_file, 0),
  [8] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2),
  [10] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(3),
  [12] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(4),
  [14] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(5),
  [16] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(6),
  [18] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(7),
  [20] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT_EXTRA(),
  [22] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(13),
  [24] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(14),
  [26] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(15),
  [28] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(16),
  [30] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(17),
  [32] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(20),
  [34] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(21),
  [36] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(23),
  [38] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(24),
  [40] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(26),
  [42] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(27),
  [44] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(29),
  [46] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(30),
  [48] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, ACCEPT_INPUT(),
  [50] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 1),
  [52] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(32),
  [54] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT_EXTRA(),
  [56] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__top_level_declaration, 1),
  [58] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__declaration, 1),
  [60] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_source_file, 1),
  [62] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_package_clause, 2, .alias_sequence_id = 1),
  [64] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(35),
  [66] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__string_literal, 1),
  [68] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_declaration, 2),
  [70] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_spec, 1),
  [72] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(39),
  [74] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(40),
  [76] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_spec, 1),
  [78] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(43),
  [80] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(44),
  [82] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(45),
  [84] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(47),
  [86] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(48),
  [88] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(49),
  [90] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(50),
  [92] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(51),
  [94] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(52),
  [96] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(53),
  [98] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(54),
  [100] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_declaration, 2),
  [102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(58),
  [104] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(59),
  [106] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(62),
  [108] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(63),
  [110] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(64),
  [112] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(65),
  [114] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(66),
  [116] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(67),
  [118] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(68),
  [120] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(69),
  [122] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(70),
  [124] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(71),
  [126] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(72),
  [128] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(73),
  [130] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_declaration, 2),
  [132] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(43),
  [134] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(77),
  [136] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(78),
  [138] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(79),
  [140] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(80),
  [142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(81),
  [144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(82),
  [146] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(49),
  [148] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(50),
  [150] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(83),
  [152] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(84),
  [154] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(85),
  [156] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(86),
  [158] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(89),
  [160] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(91),
  [162] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(92),
  [164] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(93),
  [166] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(96),
  [168] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(97),
  [170] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(98),
  [172] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(99),
  [174] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(100),
  [176] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(101),
  [178] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(102),
  [180] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_declaration, 2),
  [182] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2),
  [184] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2),
  [187] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3),
  [190] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4),
  [193] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(5),
  [196] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(6),
  [199] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(7),
  [202] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_spec, 2),
  [204] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_spec_list, 2),
  [206] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(104),
  [208] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(105),
  [210] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_spec, 2, .alias_sequence_id = 2),
  [212] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_declaration, 3),
  [214] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(107),
  [216] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(108),
  [218] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(46),
  [220] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(111),
  [222] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(112),
  [224] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(114),
  [226] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(115),
  [228] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(116),
  [230] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(117),
  [232] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(118),
  [234] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(119),
  [236] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(121),
  [238] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(122),
  [240] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(123),
  [242] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(124),
  [244] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(125),
  [246] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(126),
  [248] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(127),
  [250] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(128),
  [252] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(129),
  [254] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(130),
  [256] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(131),
  [258] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(132),
  [260] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(132),
  [262] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(138),
  [264] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(46),
  [266] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(47),
  [268] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(48),
  [270] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(51),
  [272] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(52),
  [274] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(53),
  [276] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(141),
  [278] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(142),
  [280] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(143),
  [282] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(144),
  [284] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(145),
  [286] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(146),
  [288] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(147),
  [290] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(148),
  [292] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(149),
  [294] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(150),
  [296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(150),
  [298] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(155),
  [300] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(157),
  [302] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(159),
  [304] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(160),
  [306] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(162),
  [308] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(163),
  [310] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1, .fragile = true, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [312] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(164),
  [314] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1),
  [316] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_spec, 2),
  [318] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(164),
  [320] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_declaration, 3),
  [322] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(167),
  [324] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(168),
  [326] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(169),
  [328] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(170),
  [330] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(171),
  [332] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(172),
  [334] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(173),
  [336] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(176),
  [338] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(177),
  [340] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(180),
  [342] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(184),
  [344] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(186),
  [346] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(188),
  [348] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(190),
  [350] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(191),
  [352] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(193),
  [354] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1, .fragile = true, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [356] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(194),
  [358] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_spec, 2),
  [360] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(195),
  [362] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1),
  [364] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(195),
  [366] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 2),
  [368] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parameter_list, 2),
  [370] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(198),
  [372] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(201),
  [374] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(203),
  [376] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(204),
  [378] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(205),
  [380] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(163),
  [382] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1, .fragile = true, .dynamic_precedence = -1, .alias_sequence_id = 3), SHIFT(63),
  [385] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(206),
  [387] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(209),
  [389] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_declaration, 1),
  [391] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(211),
  [393] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(212),
  [395] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_declaration, 3, .fragile = true),
  [397] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(214),
  [399] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(215),
  [401] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(216),
  [403] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(217),
  [405] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(68),
  [407] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(218),
  [409] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(69),
  [411] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(219),
  [413] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(220),
  [415] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(221),
  [417] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_declaration, 3),
  [419] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(225),
  [421] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(226),
  [423] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(227),
  [425] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(228),
  [427] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(229),
  [429] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(230),
  [431] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(231),
  [433] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(232),
  [435] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(233),
  [437] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(237),
  [439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(239),
  [441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(240),
  [443] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(241),
  [445] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_spec, 2, .alias_sequence_id = 3),
  [447] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [449] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [451] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_spec_list, 3),
  [453] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(14),
  [456] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(16),
  [459] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(17),
  [462] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(242),
  [464] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(243),
  [466] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(244),
  [468] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(245),
  [470] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(247),
  [472] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(247),
  [474] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [476] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [478] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_declaration, 4),
  [480] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(40),
  [483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(251),
  [485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(253),
  [487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(254),
  [489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(255),
  [491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(256),
  [493] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [495] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(257),
  [497] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(258),
  [499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(259),
  [501] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(260),
  [503] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(261),
  [505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(262),
  [507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(263),
  [509] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(269),
  [511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(270),
  [513] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(272),
  [515] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(273),
  [517] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(274),
  [519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(275),
  [521] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(276),
  [523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(277),
  [525] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(278),
  [527] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 4),
  [529] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(279),
  [531] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true),
  [533] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(163),
  [536] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1, .fragile = true, .dynamic_precedence = -1, .alias_sequence_id = 3), REDUCE(sym__expression, 1, .fragile = true),
  [539] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(281),
  [541] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_spec, 3),
  [543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(283),
  [545] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(281),
  [547] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 1),
  [549] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(285),
  [551] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(286),
  [553] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(287),
  [555] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(288),
  [557] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(289),
  [559] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(290),
  [561] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(291),
  [563] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(292),
  [565] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(293),
  [567] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(296),
  [569] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(297),
  [571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true),
  [573] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_pointer_type, 2),
  [575] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 4),
  [577] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 4),
  [579] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(304),
  [581] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true),
  [583] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(163),
  [586] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_type, 1, .fragile = true, .dynamic_precedence = -1, .alias_sequence_id = 3), REDUCE(sym__expression, 1, .fragile = true),
  [589] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true),
  [591] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(306),
  [593] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__string_literal, 1),
  [595] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__string_literal, 1),
  [597] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(308),
  [599] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(310),
  [601] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(311),
  [603] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(312),
  [605] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(313),
  [607] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(314),
  [609] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(315),
  [611] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(312),
  [613] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(315),
  [615] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(316),
  [617] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(316),
  [619] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(317),
  [621] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(318),
  [623] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(320),
  [625] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(321),
  [627] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(322),
  [629] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_struct_type, 2),
  [631] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(325),
  [633] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(326),
  [635] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_interface_type, 2),
  [637] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(328),
  [639] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(329),
  [641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(330),
  [643] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(331),
  [645] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(332),
  [647] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(333),
  [649] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(335),
  [651] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_channel_type, 2, .fragile = true),
  [653] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(337),
  [655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(339),
  [657] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(44),
  [660] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(340),
  [662] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(342),
  [664] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(344),
  [666] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(345),
  [668] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(346),
  [670] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(347),
  [672] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(347),
  [674] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [676] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [678] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_declaration, 4),
  [680] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(59),
  [683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(349),
  [685] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [687] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [689] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_spec, 3),
  [691] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true),
  [693] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true), SHIFT(65),
  [696] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(66),
  [698] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(67),
  [700] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(70),
  [702] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(71),
  [704] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(72),
  [706] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_pointer_type, 2),
  [708] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(352),
  [710] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(353),
  [712] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_struct_type, 2),
  [714] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(355),
  [716] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(356),
  [718] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_interface_type, 2),
  [720] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(359),
  [722] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_channel_type, 2, .fragile = true),
  [724] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(361),
  [726] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(363),
  [728] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(63),
  [731] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 3),
  [733] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parameter_list, 3),
  [735] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variadic_parameter_declaration, 2),
  [737] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(364),
  [739] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(366),
  [741] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_declaration, 2),
  [743] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(370),
  [745] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(372),
  [747] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 2),
  [749] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(374),
  [751] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(375),
  [753] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(377),
  [755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(378),
  [757] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(215),
  [759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(216),
  [761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(217),
  [763] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(219),
  [765] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(220),
  [767] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(221),
  [769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(381),
  [771] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(383),
  [773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(384),
  [775] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(385),
  [777] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(386),
  [779] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(387),
  [781] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(388),
  [783] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(389),
  [785] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(218),
  [787] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(390),
  [789] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(391),
  [791] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(392),
  [793] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(393),
  [795] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(394),
  [797] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(395),
  [799] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(396),
  [801] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(397),
  [803] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(398),
  [805] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(399),
  [807] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(400),
  [809] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(401),
  [811] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(402),
  [813] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(403),
  [815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(404),
  [817] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(405),
  [819] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(406),
  [821] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(407),
  [823] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(407),
  [825] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(418),
  [827] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(419),
  [829] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(420),
  [831] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_declaration, 4),
  [833] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_declaration, 4, .fragile = true, .alias_sequence_id = 5),
  [835] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(425),
  [837] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(427),
  [839] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(428),
  [841] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(429),
  [843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [845] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [847] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_declaration, 4),
  [849] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(93),
  [852] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_alias, 3, .alias_sequence_id = 3),
  [854] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true), SHIFT(97),
  [857] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(98),
  [859] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(99),
  [861] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(100),
  [863] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(101),
  [865] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(102),
  [867] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(430),
  [869] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(432),
  [871] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(433),
  [873] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(434),
  [875] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(435),
  [877] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(436),
  [879] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(437),
  [881] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(438),
  [883] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(440),
  [885] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(107),
  [888] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(441),
  [890] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(443),
  [892] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_type, 3),
  [894] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(445),
  [896] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(447),
  [898] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(448),
  [900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(449),
  [902] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(450),
  [904] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(451),
  [906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(452),
  [908] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(453),
  [910] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(454),
  [912] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(455),
  [914] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(456),
  [916] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(457),
  [918] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(458),
  [920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(459),
  [922] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(458),
  [924] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(459),
  [926] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(460),
  [928] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(460),
  [930] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(461),
  [932] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(462),
  [934] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true), SHIFT(26),
  [937] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(463),
  [939] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(464),
  [941] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(465),
  [943] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(466),
  [945] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(467),
  [947] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_unary_expression, 2),
  [949] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(470),
  [951] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(471),
  [953] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(474),
  [955] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(475),
  [957] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(477),
  [959] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_call_expression, 2, .alias_sequence_id = 6),
  [961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(479),
  [963] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(480),
  [965] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(481),
  [967] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(482),
  [969] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(483),
  [971] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_composite_literal, 2, .alias_sequence_id = 3),
  [973] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(487),
  [975] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(488),
  [977] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(489),
  [979] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_composite_literal, 2),
  [981] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(491),
  [983] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(492),
  [985] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(493),
  [987] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(494),
  [989] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(495),
  [991] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(496),
  [993] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(501),
  [995] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(502),
  [997] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(503),
  [999] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(504),
  [1001] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_call_expression, 2),
  [1003] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 2),
  [1005] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(511),
  [1007] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(512),
  [1009] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function_type, 3),
  [1011] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(514),
  [1013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(515),
  [1015] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_unary_expression, 2),
  [1017] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(310),
  [1019] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_unary_expression, 2),
  [1021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_type, 3),
  [1023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_call_expression, 2, .alias_sequence_id = 6),
  [1025] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_call_expression, 2, .alias_sequence_id = 6),
  [1027] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(519),
  [1029] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_composite_literal, 2, .alias_sequence_id = 3),
  [1031] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_composite_literal, 2, .alias_sequence_id = 3),
  [1033] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_composite_literal, 2),
  [1035] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_composite_literal, 2),
  [1037] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(522),
  [1039] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(523),
  [1041] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(524),
  [1043] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(528),
  [1045] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_call_expression, 2),
  [1047] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_call_expression, 2),
  [1049] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(535),
  [1051] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 2),
  [1053] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 1, .alias_sequence_id = 3),
  [1055] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(62),
  [1057] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(537),
  [1059] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(538),
  [1061] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(539),
  [1063] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(540),
  [1065] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(541),
  [1067] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(542),
  [1069] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(543),
  [1071] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(17),
  [1073] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(547),
  [1075] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(548),
  [1077] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 1),
  [1079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 2),
  [1081] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(551),
  [1083] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(340),
  [1085] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(552),
  [1087] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(555),
  [1089] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(556),
  [1091] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(559),
  [1093] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(561),
  [1095] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(562),
  [1097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(563),
  [1099] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(564),
  [1101] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_channel_type, 3),
  [1103] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_qualified_type, 3, .alias_sequence_id = 7),
  [1105] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_spec, 4),
  [1107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(566),
  [1109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(567),
  [1111] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(89),
  [1113] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(168),
  [1115] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(169),
  [1117] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(170),
  [1119] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(171),
  [1121] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(172),
  [1123] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(173),
  [1125] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(569),
  [1127] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(571),
  [1129] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(572),
  [1131] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_type, 3),
  [1133] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_type, 3),
  [1135] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_type, 3),
  [1137] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 2),
  [1139] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(574),
  [1141] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(575),
  [1143] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 2),
  [1145] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(577),
  [1147] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(578),
  [1149] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(580),
  [1151] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(581),
  [1153] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(583),
  [1155] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_channel_type, 3),
  [1157] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_qualified_type, 3, .alias_sequence_id = 7),
  [1159] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_spec, 4),
  [1161] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(585),
  [1163] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variadic_parameter_declaration, 3),
  [1165] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_declaration, 3),
  [1167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 4),
  [1169] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parameter_list, 4),
  [1171] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [1173] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(586),
  [1175] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(587),
  [1178] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 3),
  [1180] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(588),
  [1182] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(589),
  [1184] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(590),
  [1186] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(591),
  [1188] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_type, 2, .fragile = true), SHIFT(215),
  [1191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(593),
  [1193] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_empty_statement, 1),
  [1195] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(595),
  [1197] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(596),
  [1199] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(598),
  [1201] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(599),
  [1203] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_block, 2),
  [1205] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_fallthrough_statement, 1),
  [1207] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 1),
  [1209] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(601),
  [1211] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 1),
  [1213] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(602),
  [1215] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(603),
  [1217] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 1),
  [1219] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(122),
  [1221] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(123),
  [1223] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(604),
  [1225] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(125),
  [1227] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(126),
  [1229] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(127),
  [1231] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(605),
  [1233] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(129),
  [1235] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(606),
  [1237] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(132),
  [1239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(609),
  [1241] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(610),
  [1243] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(611),
  [1245] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(614),
  [1247] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(615),
  [1249] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(616),
  [1251] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(617),
  [1253] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(618),
  [1255] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(619),
  [1257] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(620),
  [1259] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(621),
  [1261] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(622),
  [1263] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(622),
  [1265] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(631),
  [1267] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(632),
  [1269] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(638),
  [1271] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(643),
  [1273] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(644),
  [1275] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(646),
  [1277] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(647),
  [1279] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__statement, 1),
  [1281] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(649),
  [1283] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(650),
  [1285] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(651),
  [1287] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(646),
  [1289] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(653),
  [1291] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(654),
  [1293] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 1),
  [1295] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_statement, 1),
  [1297] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 1, .alias_sequence_id = 8),
  [1299] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(656),
  [1301] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(657),
  [1303] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(658),
  [1305] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(659),
  [1307] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(660),
  [1309] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(661),
  [1311] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(662),
  [1313] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(663),
  [1315] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(664),
  [1317] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(665),
  [1319] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(666),
  [1321] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(667),
  [1323] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(671),
  [1325] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_declaration, 5),
  [1327] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_declaration, 5, .alias_sequence_id = 5),
  [1329] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(226),
  [1331] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(227),
  [1333] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(228),
  [1335] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(229),
  [1337] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(230),
  [1339] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(231),
  [1341] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(673),
  [1343] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(675),
  [1345] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(676),
  [1347] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(683),
  [1349] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(684),
  [1351] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(685),
  [1353] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(686),
  [1355] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(687),
  [1357] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(688),
  [1359] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(689),
  [1361] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(692),
  [1363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(693),
  [1365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(695),
  [1367] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(696),
  [1369] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(697),
  [1371] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(163),
  [1374] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_expression, 3),
  [1376] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(703),
  [1378] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(704),
  [1380] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_func_literal, 3),
  [1382] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(706),
  [1384] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(707),
  [1386] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(708),
  [1388] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(709),
  [1390] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(710),
  [1392] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(711),
  [1394] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(713),
  [1396] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(714),
  [1398] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(715),
  [1400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(717),
  [1402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(718),
  [1404] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 2),
  [1406] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(720),
  [1408] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_element, 1),
  [1410] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(721),
  [1412] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(722),
  [1414] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(723),
  [1416] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(721),
  [1418] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(723),
  [1420] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(724),
  [1422] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(724),
  [1424] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(725),
  [1426] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(726),
  [1428] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(727),
  [1430] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(728),
  [1432] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(730),
  [1434] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(731),
  [1436] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(732),
  [1438] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(733),
  [1440] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(732),
  [1442] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(733),
  [1444] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(734),
  [1446] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(734),
  [1448] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(735),
  [1450] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(736),
  [1452] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_selector_expression, 3, .alias_sequence_id = 5),
  [1454] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 2),
  [1456] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(738),
  [1458] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(739),
  [1460] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(740),
  [1462] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(741),
  [1464] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(742),
  [1466] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(741),
  [1468] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(742),
  [1470] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(743),
  [1472] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(743),
  [1474] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(744),
  [1476] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(745),
  [1478] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1480] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_binary_expression, 3),
  [1482] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(747),
  [1484] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(749),
  [1486] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(750),
  [1488] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(751),
  [1490] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(752),
  [1492] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(749),
  [1494] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(752),
  [1496] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(753),
  [1498] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(753),
  [1500] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(754),
  [1502] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(755),
  [1504] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(287),
  [1507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(756),
  [1509] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(757),
  [1511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_expression, 3),
  [1513] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parenthesized_expression, 3),
  [1515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(758),
  [1517] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_func_literal, 3),
  [1519] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_func_literal, 3),
  [1521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(761),
  [1523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(762),
  [1525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 2),
  [1527] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_literal_value, 2),
  [1529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(764),
  [1531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(765),
  [1533] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(767),
  [1535] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(768),
  [1537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_selector_expression, 3, .alias_sequence_id = 5),
  [1539] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_selector_expression, 3, .alias_sequence_id = 5),
  [1541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 2),
  [1543] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 2),
  [1545] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(770),
  [1547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(771),
  [1549] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_binary_expression, 3),
  [1551] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_binary_expression, 3),
  [1553] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(773),
  [1555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(775),
  [1557] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(776),
  [1559] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_array_type, 4),
  [1561] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 9),
  [1563] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 2),
  [1565] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(779),
  [1567] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(538),
  [1569] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(539),
  [1571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(540),
  [1573] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(541),
  [1575] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(542),
  [1577] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(543),
  [1579] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(781),
  [1581] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(783),
  [1583] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(784),
  [1585] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(785),
  [1587] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 10),
  [1589] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 3),
  [1591] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(537),
  [1593] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(789),
  [1595] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 3),
  [1597] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(791),
  [1599] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(789),
  [1601] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(793),
  [1603] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(794),
  [1605] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 3, .alias_sequence_id = 9),
  [1607] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec, 2, .alias_sequence_id = 10),
  [1609] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(796),
  [1611] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(797),
  [1613] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(798),
  [1615] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(799),
  [1617] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(800),
  [1619] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(801),
  [1621] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(803),
  [1623] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(793),
  [1625] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(805),
  [1627] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 3),
  [1629] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(806),
  [1631] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(805),
  [1633] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(807),
  [1635] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(809),
  [1637] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_const_spec, 5),
  [1639] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(811),
  [1641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(812),
  [1643] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(814),
  [1645] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_array_type, 4),
  [1647] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(815),
  [1649] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 3),
  [1651] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(816),
  [1653] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(815),
  [1655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(817),
  [1657] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 3, .alias_sequence_id = 9),
  [1659] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(818),
  [1661] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(817),
  [1663] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(819),
  [1665] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 3),
  [1667] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(820),
  [1669] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(819),
  [1671] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_var_spec, 5),
  [1673] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 5),
  [1675] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parameter_list, 5),
  [1677] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 4),
  [1679] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(822),
  [1681] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(823),
  [1683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(824),
  [1685] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(825),
  [1687] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(826),
  [1689] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(829),
  [1691] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(830),
  [1693] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(831),
  [1695] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(832),
  [1697] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(833),
  [1699] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(834),
  [1701] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(835),
  [1703] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(838),
  [1705] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(841),
  [1707] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(796),
  [1709] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(797),
  [1711] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(798),
  [1713] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(799),
  [1715] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(800),
  [1717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(801),
  [1719] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 2, .alias_sequence_id = 11),
  [1721] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 2, .alias_sequence_id = 11),
  [1723] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_goto_statement, 2, .alias_sequence_id = 11),
  [1725] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(604),
  [1727] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(605),
  [1729] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(606),
  [1731] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 2),
  [1733] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(842),
  [1735] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(843),
  [1737] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(844),
  [1739] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(845),
  [1741] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(846),
  [1743] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(847),
  [1745] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_go_statement, 2),
  [1747] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(849),
  [1749] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(850),
  [1751] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(851),
  [1753] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(852),
  [1755] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(853),
  [1757] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_defer_statement, 2),
  [1759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(857),
  [1761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(861),
  [1763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(862),
  [1765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(863),
  [1767] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(859),
  [1769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(865),
  [1771] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_statement, 1),
  [1773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(866),
  [1775] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(867),
  [1777] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(868),
  [1779] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(869),
  [1781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(871),
  [1783] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(872),
  [1785] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(658),
  [1787] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_expression_list, 1),
  [1789] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(873),
  [1791] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(874),
  [1793] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(875),
  [1795] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 1),
  [1797] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(876),
  [1799] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(877),
  [1801] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(878),
  [1803] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(879),
  [1805] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(879),
  [1807] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(880),
  [1809] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(881),
  [1811] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(884),
  [1813] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(885),
  [1815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(886),
  [1817] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(887),
  [1819] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(890),
  [1821] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(891),
  [1823] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 2),
  [1825] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(892),
  [1827] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(894),
  [1829] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(895),
  [1831] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(896),
  [1833] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(899),
  [1835] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(900),
  [1837] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(901),
  [1839] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(902),
  [1841] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(903),
  [1843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(904),
  [1845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(905),
  [1847] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(906),
  [1849] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(910),
  [1851] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_empty_labeled_statement, 2, .alias_sequence_id = 12),
  [1853] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(912),
  [1855] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_block, 3),
  [1857] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 2),
  [1859] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(919),
  [1861] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 2),
  [1863] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(921),
  [1865] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(922),
  [1867] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(923),
  [1869] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(926),
  [1871] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(927),
  [1873] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(928),
  [1875] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(931),
  [1877] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_inc_statement, 2),
  [1879] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_dec_statement, 2),
  [1881] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 2),
  [1883] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(939),
  [1885] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_declaration, 6, .alias_sequence_id = 5),
  [1887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(940),
  [1889] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(433),
  [1892] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(942),
  [1894] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(943),
  [1896] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(944),
  [1898] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(945),
  [1900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(946),
  [1902] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(948),
  [1904] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_func_literal, 4),
  [1906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(950),
  [1908] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(952),
  [1910] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(953),
  [1912] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(954),
  [1914] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_implicit_length_array_type, 4),
  [1916] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(955),
  [1918] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 3),
  [1920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(956),
  [1922] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(958),
  [1924] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(960),
  [1926] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(961),
  [1928] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(962),
  [1930] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(971),
  [1932] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 3),
  [1934] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(973),
  [1936] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_conversion_expression, 4),
  [1938] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(975),
  [1940] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(980),
  [1942] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 3),
  [1944] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(981),
  [1946] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variadic_argument, 2),
  [1948] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(988),
  [1950] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 4),
  [1952] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(990),
  [1954] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(991),
  [1956] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_index_expression, 4),
  [1958] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(997),
  [1960] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_block, 2),
  [1962] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_block, 2),
  [1964] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(998),
  [1966] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_func_literal, 4),
  [1968] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_func_literal, 4),
  [1970] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 3),
  [1972] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_special_argument_list, 3),
  [1974] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(999),
  [1976] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1000),
  [1978] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1001),
  [1980] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 3),
  [1982] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_literal_value, 3),
  [1984] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1002),
  [1986] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_conversion_expression, 4),
  [1988] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_type_conversion_expression, 4),
  [1990] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1003),
  [1992] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1004),
  [1994] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 3),
  [1996] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 3),
  [1998] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1005),
  [2000] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1006),
  [2002] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 4),
  [2004] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_slice_expression, 4),
  [2006] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1007),
  [2008] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1008),
  [2010] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_index_expression, 4),
  [2012] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_index_expression, 4),
  [2014] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 9),
  [2016] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 3),
  [2018] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .alias_sequence_id = 13),
  [2020] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_field_name_list_repeat1, 2, .alias_sequence_id = 13),
  [2022] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .alias_sequence_id = 13),
  [2024] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1010),
  [2026] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1012),
  [2028] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 10),
  [2030] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [2032] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_field_name_list_repeat1, 2), SHIFT_REPEAT(537),
  [2035] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [2037] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [2039] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 4),
  [2041] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2043] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1014),
  [2045] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1015),
  [2048] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 4, .alias_sequence_id = 9),
  [2050] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .alias_sequence_id = 9),
  [2052] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2054] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1017),
  [2056] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1019),
  [2058] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1020),
  [2060] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1021),
  [2062] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec, 3, .alias_sequence_id = 10),
  [2064] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1022),
  [2066] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(1023),
  [2069] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 4),
  [2071] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1024),
  [2073] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1025),
  [2075] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_map_type, 5),
  [2077] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1026),
  [2079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1027),
  [2081] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 4),
  [2083] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1028),
  [2085] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 4, .alias_sequence_id = 9),
  [2087] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1029),
  [2089] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 4),
  [2091] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1030),
  [2093] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_map_type, 5),
  [2095] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parameter_list, 5),
  [2097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1031),
  [2099] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1032),
  [2101] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1032),
  [2103] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1036),
  [2105] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1038),
  [2107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1039),
  [2109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1040),
  [2111] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1041),
  [2113] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1041),
  [2115] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1043),
  [2117] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1056),
  [2119] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1057),
  [2121] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1061),
  [2123] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1063),
  [2125] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1064),
  [2127] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1065),
  [2129] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_initializer, 2),
  [2131] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_initializer, 2),
  [2133] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_initializer, 2),
  [2135] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1070),
  [2137] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1071),
  [2139] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1070),
  [2141] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1071),
  [2143] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1072),
  [2145] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1072),
  [2147] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1073),
  [2149] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1074),
  [2151] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1076),
  [2153] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1077),
  [2155] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1078),
  [2157] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1082),
  [2159] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_inc_statement, 2),
  [2161] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dec_statement, 2),
  [2163] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 3),
  [2165] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1089),
  [2167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1091),
  [2169] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_clause, 2),
  [2171] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1092),
  [2173] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1093),
  [2175] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1097),
  [2177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1098),
  [2179] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1099),
  [2181] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1098),
  [2183] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1099),
  [2185] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1100),
  [2187] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1100),
  [2189] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1101),
  [2191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1102),
  [2193] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_range_clause, 2),
  [2195] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1103),
  [2197] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 3),
  [2199] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_switch_statement, 3),
  [2201] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1105),
  [2203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1106),
  [2205] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1107),
  [2207] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1110),
  [2209] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_switch_statement_repeat1, 1),
  [2211] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1111),
  [2213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1114),
  [2215] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1115),
  [2217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1116),
  [2219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1117),
  [2221] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1121),
  [2223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1122),
  [2225] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1123),
  [2227] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1126),
  [2229] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_select_statement, 3),
  [2231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1128),
  [2233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1129),
  [2235] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1130),
  [2237] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1134),
  [2239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_select_statement_repeat1, 1),
  [2241] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1135),
  [2243] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1137),
  [2245] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1138),
  [2247] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1140),
  [2249] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1141),
  [2251] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1143),
  [2253] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 12),
  [2255] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_assignment_statement, 3),
  [2257] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_short_var_declaration, 3),
  [2259] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1144),
  [2261] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1145),
  [2263] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2265] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 3, .alias_sequence_id = 14),
  [2267] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 3),
  [2269] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1147),
  [2272] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1149),
  [2274] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1150),
  [2276] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [2278] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [2280] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1152),
  [2282] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1153),
  [2284] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1154),
  [2286] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1154),
  [2288] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1155),
  [2290] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1156),
  [2292] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1157),
  [2294] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1159),
  [2296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1160),
  [2298] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_send_statement, 3),
  [2300] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(658),
  [2303] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1161),
  [2305] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1162),
  [2307] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1163),
  [2309] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1165),
  [2311] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 4),
  [2313] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1166),
  [2315] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1167),
  [2318] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_keyed_element, 3, .alias_sequence_id = 10),
  [2320] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1168),
  [2322] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1169),
  [2324] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1168),
  [2326] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1169),
  [2328] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1170),
  [2330] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1170),
  [2332] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1171),
  [2334] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1172),
  [2336] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_keyed_element, 3),
  [2338] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 4),
  [2340] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2342] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1173),
  [2344] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(1174),
  [2347] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_conversion_expression, 5),
  [2349] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_assertion_expression, 5),
  [2351] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 4),
  [2353] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2355] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1175),
  [2357] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1176),
  [2360] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 5),
  [2362] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1178),
  [2364] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1179),
  [2366] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_block, 3),
  [2368] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_block, 3),
  [2370] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 4),
  [2372] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_special_argument_list, 4),
  [2374] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1180),
  [2376] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 4),
  [2378] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_literal_value, 4),
  [2380] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1181),
  [2382] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_conversion_expression, 5),
  [2384] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_type_conversion_expression, 5),
  [2386] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_assertion_expression, 5),
  [2388] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_type_assertion_expression, 5),
  [2390] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 4),
  [2392] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 4),
  [2394] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1182),
  [2396] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 5),
  [2398] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_slice_expression, 5),
  [2400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1184),
  [2402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1185),
  [2404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1186),
  [2406] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration, 4, .alias_sequence_id = 10),
  [2408] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 5),
  [2410] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1187),
  [2412] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1189),
  [2414] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 5, .alias_sequence_id = 9),
  [2416] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 5),
  [2418] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1190),
  [2420] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_field_declaration_list, 5),
  [2422] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 5, .alias_sequence_id = 9),
  [2424] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_spec_list, 5),
  [2426] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1191),
  [2428] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(830),
  [2430] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(831),
  [2432] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(832),
  [2434] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(833),
  [2436] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(834),
  [2438] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(835),
  [2440] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1192),
  [2442] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1194),
  [2444] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1195),
  [2446] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1196),
  [2448] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(842),
  [2451] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1197),
  [2453] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1200),
  [2455] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1201),
  [2457] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1203),
  [2459] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1204),
  [2461] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_statement, 3),
  [2463] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1206),
  [2465] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1207),
  [2467] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1208),
  [2469] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1207),
  [2471] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1208),
  [2473] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1209),
  [2475] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1209),
  [2477] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1210),
  [2479] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1211),
  [2481] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_short_var_declaration, 3),
  [2483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1213),
  [2485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1214),
  [2487] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 4),
  [2489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1221),
  [2491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1222),
  [2493] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1224),
  [2495] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1226),
  [2497] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1227),
  [2499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_send_statement, 3),
  [2501] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(399),
  [2503] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1229),
  [2505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1230),
  [2507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_clause, 3),
  [2509] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1231),
  [2511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1232),
  [2513] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1233),
  [2515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1234),
  [2517] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1234),
  [2519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1235),
  [2521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1236),
  [2523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1243),
  [2525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_case, 2),
  [2527] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1244),
  [2529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1245),
  [2531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1246),
  [2533] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1245),
  [2535] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1246),
  [2537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1247),
  [2539] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1247),
  [2541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1248),
  [2543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1249),
  [2545] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1251),
  [2547] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1252),
  [2549] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1253),
  [2551] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1254),
  [2553] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_case_clause, 2),
  [2555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1255),
  [2557] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1256),
  [2559] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1257),
  [2561] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1258),
  [2563] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1259),
  [2565] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1260),
  [2567] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1261),
  [2569] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_expression_case_clause, 2),
  [2571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1262),
  [2573] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1263),
  [2575] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_switch_statement, 4),
  [2577] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [2579] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(895),
  [2582] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(896),
  [2585] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1268),
  [2587] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1269),
  [2589] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1271),
  [2591] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1272),
  [2593] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1273),
  [2595] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1274),
  [2597] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1275),
  [2599] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1276),
  [2601] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1277),
  [2603] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1275),
  [2605] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1277),
  [2607] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1278),
  [2609] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1278),
  [2611] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1279),
  [2613] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1280),
  [2615] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_switch_statement, 4),
  [2617] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1282),
  [2619] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1283),
  [2621] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1284),
  [2623] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1285),
  [2625] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1286),
  [2627] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1287),
  [2629] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1289),
  [2631] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_switch_statement_repeat1, 1),
  [2633] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1290),
  [2635] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1292),
  [2637] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1293),
  [2639] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_communication_case, 2),
  [2641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1294),
  [2643] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1295),
  [2645] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1296),
  [2647] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_receive_statement, 1),
  [2649] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1297),
  [2651] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1295),
  [2653] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1297),
  [2655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1298),
  [2657] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1298),
  [2659] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1299),
  [2661] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1300),
  [2663] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_communication_clause, 2),
  [2665] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_communication_clause, 2),
  [2667] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_select_statement, 4),
  [2669] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [2671] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(905),
  [2674] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(906),
  [2677] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1303),
  [2679] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1304),
  [2681] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1305),
  [2683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1306),
  [2685] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1307),
  [2687] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement_list, 4, .alias_sequence_id = 15),
  [2689] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1308),
  [2691] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1309),
  [2693] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1310),
  [2695] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1315),
  [2697] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1316),
  [2699] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1318),
  [2701] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 5),
  [2703] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 5),
  [2705] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 5),
  [2707] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1323),
  [2709] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 6),
  [2711] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_special_argument_list, 5),
  [2713] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_special_argument_list, 5),
  [2715] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_literal_value, 5),
  [2717] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_literal_value, 5),
  [2719] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 5),
  [2721] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 5),
  [2723] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1325),
  [2725] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 6),
  [2727] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_slice_expression, 6),
  [2729] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1327),
  [2731] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1328),
  [2733] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1329),
  [2735] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1330),
  [2737] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1331),
  [2739] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1332),
  [2741] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1333),
  [2743] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1340),
  [2745] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 5),
  [2747] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1341),
  [2749] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1342),
  [2751] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1343),
  [2753] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1344),
  [2755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1345),
  [2757] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_else_clause, 2),
  [2759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1347),
  [2761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1348),
  [2763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1349),
  [2765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_clause, 4),
  [2767] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_range_clause, 4),
  [2769] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1363),
  [2771] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1364),
  [2773] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1365),
  [2775] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1366),
  [2777] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1367),
  [2779] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1368),
  [2781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1370),
  [2783] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1371),
  [2785] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1372),
  [2787] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1377),
  [2789] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1378),
  [2791] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1379),
  [2793] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_case_clause, 3),
  [2795] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1380),
  [2797] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1382),
  [2799] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1383),
  [2801] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1384),
  [2803] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1385),
  [2805] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1386),
  [2807] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1387),
  [2809] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1388),
  [2811] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_switch_statement, 5),
  [2813] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1389),
  [2815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1390),
  [2817] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1391),
  [2819] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1392),
  [2821] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1394),
  [2823] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1396),
  [2825] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1397),
  [2827] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1398),
  [2829] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1399),
  [2831] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1408),
  [2833] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1410),
  [2835] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1411),
  [2837] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1412),
  [2839] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1413),
  [2841] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_case, 2),
  [2843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_case_clause, 2),
  [2845] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_type_case_clause, 2),
  [2847] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_switch_statement, 5),
  [2849] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [2851] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1122),
  [2854] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1123),
  [2857] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1416),
  [2859] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1417),
  [2861] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1418),
  [2863] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1419),
  [2865] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1421),
  [2867] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1422),
  [2869] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1423),
  [2871] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_communication_clause, 3),
  [2873] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1431),
  [2875] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1432),
  [2877] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1433),
  [2879] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1435),
  [2881] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1436),
  [2883] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 7),
  [2885] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1437),
  [2887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 7),
  [2889] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_slice_expression, 7),
  [2891] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1438),
  [2893] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1439),
  [2895] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1440),
  [2897] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1206),
  [2900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1441),
  [2902] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1443),
  [2904] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1444),
  [2906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1445),
  [2908] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1446),
  [2910] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1447),
  [2912] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1446),
  [2914] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1447),
  [2916] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1448),
  [2918] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1448),
  [2920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1449),
  [2922] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1450),
  [2924] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_clause, 5),
  [2926] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1244),
  [2929] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1452),
  [2931] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1453),
  [2933] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1456),
  [2935] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1457),
  [2937] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1458),
  [2939] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1459),
  [2941] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1460),
  [2943] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1461),
  [2945] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1462),
  [2947] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1465),
  [2949] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1466),
  [2951] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1467),
  [2953] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1468),
  [2955] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1469),
  [2957] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1470),
  [2959] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1471),
  [2961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1366),
  [2963] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1367),
  [2965] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1368),
  [2967] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1472),
  [2969] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1473),
  [2971] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1474),
  [2973] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1475),
  [2975] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1476),
  [2977] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1477),
  [2979] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1479),
  [2981] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1480),
  [2983] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1481),
  [2985] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1482),
  [2987] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1483),
  [2989] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_empty_labeled_statement, 2, .alias_sequence_id = 12),
  [2991] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1486),
  [2993] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__statement_list, 2),
  [2995] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1487),
  [2997] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1494),
  [2999] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_switch_statement, 6),
  [3001] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1495),
  [3003] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1496),
  [3005] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1495),
  [3007] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1496),
  [3009] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1497),
  [3011] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1497),
  [3013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1498),
  [3015] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1499),
  [3017] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_switch_statement, 6),
  [3019] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1500),
  [3021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1501),
  [3023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1502),
  [3025] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1501),
  [3027] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1502),
  [3029] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1503),
  [3031] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1503),
  [3033] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1504),
  [3035] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1505),
  [3037] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1506),
  [3039] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1274),
  [3042] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1507),
  [3044] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1509),
  [3046] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_case, 3),
  [3048] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_case_clause, 3),
  [3050] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_switch_guard, 5),
  [3052] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1512),
  [3054] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_receive_statement, 3),
  [3056] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1513),
  [3058] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1512),
  [3060] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1513),
  [3062] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1514),
  [3064] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1514),
  [3066] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1515),
  [3068] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1516),
  [3070] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1517),
  [3072] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1518),
  [3074] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1517),
  [3076] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1518),
  [3078] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1519),
  [3080] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1519),
  [3082] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1520),
  [3084] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1521),
  [3086] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1294),
  [3089] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1522),
  [3091] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 8),
  [3093] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice_expression, 8),
  [3095] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_slice_expression, 8),
  [3097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1524),
  [3099] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1532),
  [3101] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1533),
  [3103] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1533),
  [3105] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1536),
  [3107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1538),
  [3109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1540),
  [3111] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1541),
  [3113] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1542),
  [3115] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1543),
  [3117] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1543),
  [3119] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1546),
  [3121] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1548),
  [3123] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1549),
  [3125] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1550),
  [3127] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1562),
  [3129] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1563),
  [3131] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__statement_list, 3),
  [3133] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1564),
  [3136] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1565),
  [3138] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_type_switch_statement, 7),
  [3140] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_switch_statement, 7),
  [3142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1574),
  [3144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_case_repeat1, 2),
  [3146] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(1413),
  [3149] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1583),
  [3151] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1584),
  [3153] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1445),
  [3156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1585),
  [3158] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1452),
  [3161] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1586),
  [3163] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1587),
  [3165] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1457),
  [3167] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1458),
  [3169] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1459),
  [3171] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1460),
  [3173] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1461),
  [3175] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1462),
  [3177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1589),
  [3179] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1591),
  [3181] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1592),
  [3183] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1466),
  [3185] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1467),
  [3187] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1468),
  [3189] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1469),
  [3191] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1470),
  [3193] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1471),
  [3195] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1593),
  [3197] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1595),
  [3199] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1472),
  [3202] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1261),
  [3204] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type_switch_guard, 7),
  [3206] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1596),
  [3208] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1597),
  [3210] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1599),
  [3212] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1600),
  [3214] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1601),
  [3216] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1602),
  [3218] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1603),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
