#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 5
#define STATE_COUNT 2525
#define SYMBOL_COUNT 210
#define ALIAS_COUNT 10
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 8

enum {
  sym__automatic_semicolon = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_in = 21,
  anon_sym_of = 22,
  anon_sym_while = 23,
  anon_sym_do = 24,
  anon_sym_try = 25,
  anon_sym_with = 26,
  anon_sym_break = 27,
  anon_sym_continue = 28,
  anon_sym_debugger = 29,
  anon_sym_return = 30,
  anon_sym_throw = 31,
  anon_sym_SEMI = 32,
  anon_sym_COLON = 33,
  anon_sym_case = 34,
  anon_sym_catch = 35,
  anon_sym_finally = 36,
  anon_sym_yield = 37,
  anon_sym_LBRACK = 38,
  anon_sym_RBRACK = 39,
  anon_sym_LT = 40,
  anon_sym_GT = 41,
  anon_sym_SLASH = 42,
  sym_jsx_text = 43,
  sym_jsx_identifier = 44,
  anon_sym_DOT = 45,
  anon_sym_EQ = 46,
  anon_sym_class = 47,
  anon_sym_extends = 48,
  anon_sym_async = 49,
  anon_sym_function = 50,
  anon_sym_EQ_GT = 51,
  anon_sym_new = 52,
  anon_sym_await = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_DOT_DOT_DOT = 65,
  anon_sym_QMARK = 66,
  anon_sym_AMP_AMP = 67,
  anon_sym_PIPE_PIPE = 68,
  anon_sym_GT_GT = 69,
  anon_sym_GT_GT_GT = 70,
  anon_sym_LT_LT = 71,
  anon_sym_AMP = 72,
  anon_sym_CARET = 73,
  anon_sym_PIPE = 74,
  anon_sym_PLUS = 75,
  anon_sym_DASH = 76,
  anon_sym_PERCENT = 77,
  anon_sym_LT_EQ = 78,
  anon_sym_EQ_EQ = 79,
  anon_sym_EQ_EQ_EQ = 80,
  anon_sym_BANG_EQ = 81,
  anon_sym_BANG_EQ_EQ = 82,
  anon_sym_GT_EQ = 83,
  anon_sym_instanceof = 84,
  anon_sym_BANG = 85,
  anon_sym_TILDE = 86,
  anon_sym_typeof = 87,
  anon_sym_void = 88,
  anon_sym_delete = 89,
  anon_sym_PLUS_PLUS = 90,
  anon_sym_DASH_DASH = 91,
  sym_comment = 92,
  sym_string = 93,
  anon_sym_BQUOTE = 94,
  sym__template_chars = 95,
  anon_sym_DOLLAR_LBRACE = 96,
  sym_regex = 97,
  sym_number = 98,
  sym_identifier = 99,
  sym_this = 100,
  sym_super = 101,
  sym_true = 102,
  sym_false = 103,
  sym_null = 104,
  sym_undefined = 105,
  anon_sym_AT = 106,
  anon_sym_static = 107,
  anon_sym_get = 108,
  anon_sym_set = 109,
  sym_program = 110,
  sym_export_statement = 111,
  sym_export_clause = 112,
  sym__import_export_specifier = 113,
  sym__declaration = 114,
  sym_import_statement = 115,
  sym_import_clause = 116,
  sym__from_clause = 117,
  sym_namespace_import = 118,
  sym_named_imports = 119,
  sym_expression_statement = 120,
  sym_variable_declaration = 121,
  sym_lexical_declaration = 122,
  sym_variable_declarator = 123,
  sym_statement_block = 124,
  sym_if_statement = 125,
  sym_switch_statement = 126,
  sym_for_statement = 127,
  sym_for_in_statement = 128,
  sym_for_of_statement = 129,
  sym_while_statement = 130,
  sym_do_statement = 131,
  sym_try_statement = 132,
  sym_with_statement = 133,
  sym_break_statement = 134,
  sym_continue_statement = 135,
  sym_debugger_statement = 136,
  sym_return_statement = 137,
  sym_throw_statement = 138,
  sym_empty_statement = 139,
  sym_labeled_statement = 140,
  sym_switch_body = 141,
  sym_switch_case = 142,
  sym_switch_default = 143,
  sym_catch_clause = 144,
  sym_finally_clause = 145,
  sym_parenthesized_expression = 146,
  sym__expressions = 147,
  sym__expression = 148,
  sym_yield_expression = 149,
  sym_object = 150,
  sym_assignment_pattern = 151,
  sym_array = 152,
  sym_jsx_element = 153,
  sym_jsx_fragment = 154,
  sym_jsx_expression = 155,
  sym_jsx_opening_element = 156,
  sym_nested_identifier = 157,
  sym_jsx_namespace_name = 158,
  sym_jsx_closing_element = 159,
  sym_jsx_self_closing_element = 160,
  sym_jsx_attribute = 161,
  sym_anonymous_class = 162,
  sym_class = 163,
  sym_class_heritage = 164,
  sym_function = 165,
  sym_arrow_function = 166,
  sym_generator_function = 167,
  sym_call_expression = 168,
  sym_new_expression = 169,
  sym_await_expression = 170,
  sym_member_expression = 171,
  sym_subscript_expression = 172,
  sym_assignment_expression = 173,
  sym_augmented_assignment_expression = 174,
  sym__initializer = 175,
  sym_spread_element = 176,
  sym_ternary_expression = 177,
  sym_binary_expression = 178,
  sym_unary_expression = 179,
  sym_update_expression = 180,
  sym_sequence_expression = 181,
  sym_template_string = 182,
  sym_template_substitution = 183,
  sym_arguments = 184,
  sym_decorator = 185,
  sym__identifier_reference = 186,
  sym_decorator_member_expression = 187,
  sym_decorator_call_expression = 188,
  sym_class_body = 189,
  sym_public_field_definition = 190,
  sym_formal_parameters = 191,
  sym_rest_parameter = 192,
  sym_method_definition = 193,
  sym_pair = 194,
  sym__property_name = 195,
  sym_computed_property_name = 196,
  aux_sym_program_repeat1 = 197,
  aux_sym_export_statement_repeat1 = 198,
  aux_sym_export_clause_repeat1 = 199,
  aux_sym_named_imports_repeat1 = 200,
  aux_sym_variable_declaration_repeat1 = 201,
  aux_sym_switch_body_repeat1 = 202,
  aux_sym_object_repeat1 = 203,
  aux_sym_array_repeat1 = 204,
  aux_sym_jsx_element_repeat1 = 205,
  aux_sym_jsx_opening_element_repeat1 = 206,
  aux_sym_template_string_repeat1 = 207,
  aux_sym_class_body_repeat1 = 208,
  aux_sym_formal_parameters_repeat1 = 209,
  alias_sym_array_pattern = 210,
  alias_sym_call_expression = 211,
  alias_sym_export_specifier = 212,
  alias_sym_identifier = 213,
  alias_sym_import_specifier = 214,
  alias_sym_member_expression = 215,
  alias_sym_object_pattern = 216,
  alias_sym_property_identifier = 217,
  alias_sym_shorthand_property_identifier = 218,
  alias_sym_statement_identifier = 219,
};

static const char *ts_symbol_names[] = {
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [ts_builtin_sym_end] = "END",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "jsx_identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_await] = "await",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_comment] = "comment",
  [sym_string] = "string",
  [anon_sym_BQUOTE] = "`",
  [sym__template_chars] = "_template_chars",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [sym_regex] = "regex",
  [sym_number] = "number",
  [sym_identifier] = "identifier",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_for_of_statement] = "for_of_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expressions] = "_expressions",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_anonymous_class] = "anonymous_class",
  [sym_class] = "class",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_arrow_function] = "arrow_function",
  [sym_generator_function] = "generator_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym__identifier_reference] = "_identifier_reference",
  [sym_decorator_member_expression] = "decorator_member_expression",
  [sym_decorator_call_expression] = "decorator_call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_call_expression] = "call_expression",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_identifier] = "identifier",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_member_expression] = "member_expression",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_of_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[26][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_identifier,
  },
  [2] = {
    [0] = alias_sym_property_identifier,
  },
  [3] = {
    [0] = alias_sym_object_pattern,
  },
  [4] = {
    [0] = alias_sym_array_pattern,
  },
  [5] = {
    [1] = alias_sym_member_expression,
  },
  [6] = {
    [1] = alias_sym_call_expression,
  },
  [7] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [8] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [9] = {
    [1] = alias_sym_object_pattern,
  },
  [10] = {
    [1] = alias_sym_array_pattern,
  },
  [11] = {
    [1] = alias_sym_statement_identifier,
  },
  [12] = {
    [1] = alias_sym_identifier,
  },
  [13] = {
    [0] = alias_sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [2] = alias_sym_property_identifier,
  },
  [16] = {
    [0] = alias_sym_member_expression,
  },
  [17] = {
    [1] = alias_sym_export_specifier,
  },
  [18] = {
    [1] = alias_sym_import_specifier,
  },
  [19] = {
    [0] = alias_sym_identifier,
    [2] = alias_sym_identifier,
  },
  [20] = {
    [2] = alias_sym_identifier,
  },
  [21] = {
    [0] = alias_sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [22] = {
    [2] = alias_sym_object_pattern,
  },
  [23] = {
    [2] = alias_sym_array_pattern,
  },
  [24] = {
    [3] = alias_sym_object_pattern,
  },
  [25] = {
    [3] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '#')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(28);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == ']')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(86);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(124);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(192);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (('$' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=')
        ADVANCE(4);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 5:
      if (lookahead == '\"')
        ADVANCE(6);
      if (lookahead == '\\')
        ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(5);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 7:
      if (lookahead == '\n')
        ADVANCE(5);
      if (lookahead != 0)
        ADVANCE(5);
      END_STATE();
    case 8:
      if (lookahead == '!')
        ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(9);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(11);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(13);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 15:
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '\\')
        ADVANCE(16);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '\n')
        ADVANCE(15);
      if (lookahead != 0)
        ADVANCE(15);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(20);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(22);
      if (lookahead == '=')
        ADVANCE(23);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(26);
      if (lookahead == '=')
        ADVANCE(27);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 29:
      if (lookahead == '.')
        ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'e')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == '-')
        ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      if (lookahead == '=')
        ADVANCE(40);
      END_STATE();
    case 36:
      if (lookahead == '*')
        ADVANCE(37);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '*')
        ADVANCE(37);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(39);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(31);
      if (lookahead == 'B')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'O')
        ADVANCE(44);
      if (lookahead == 'X')
        ADVANCE(46);
      if (lookahead == 'b')
        ADVANCE(42);
      if (lookahead == 'e')
        ADVANCE(32);
      if (lookahead == 'o')
        ADVANCE(44);
      if (lookahead == 'x')
        ADVANCE(46);
      END_STATE();
    case 42:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(43);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(43);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(45);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(47);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(47);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(53);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(52);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(57);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=')
        ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(59);
      if (lookahead == '>')
        ADVANCE(60);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(61);
      if (lookahead == '>')
        ADVANCE(62);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=')
        ADVANCE(63);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(69);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(72);
      if (lookahead == 'w')
        ADVANCE(77);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(73);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(74);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(75);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(78);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(79);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(80);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(82);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(83);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(84);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k')
        ADVANCE(85);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(87);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == 'o')
        ADVANCE(97);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(88);
      if (lookahead == 't')
        ADVANCE(90);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(89);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(91);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(92);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(94);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(95);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(96);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(98);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(99);
      if (lookahead == 't')
        ADVANCE(101);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(100);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(102);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(103);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(104);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_continue);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(107);
      if (lookahead == 'o')
        ADVANCE(123);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(108);
      if (lookahead == 'f')
        ADVANCE(114);
      if (lookahead == 'l')
        ADVANCE(119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(109);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g')
        ADVANCE(110);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g')
        ADVANCE(111);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(112);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(113);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_debugger);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(115);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(116);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(117);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(118);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(120);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(121);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(122);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(125);
      if (lookahead == 'x')
        ADVANCE(128);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(126);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(127);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(129);
      if (lookahead == 't')
        ADVANCE(133);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(130);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(131);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(132);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(134);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(135);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(137);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(139);
      if (lookahead == 'i')
        ADVANCE(143);
      if (lookahead == 'o')
        ADVANCE(149);
      if (lookahead == 'u')
        ADVANCE(151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(140);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(141);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(142);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(144);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(145);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(146);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(147);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(148);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(150);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(152);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(153);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(154);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(155);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(156);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(157);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(159);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(160);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_get);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(162);
      if (lookahead == 'm')
        ADVANCE(163);
      if (lookahead == 'n')
        ADVANCE(168);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(164);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(165);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(166);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's')
        ADVANCE(169);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(170);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(171);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(172);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(173);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(174);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(175);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(176);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(178);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(179);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(181);
      if (lookahead == 'u')
        ADVANCE(183);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'w')
        ADVANCE(182);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(184);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_null);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(188);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(189);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(190);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(193);
      if (lookahead == 't')
        ADVANCE(195);
      if (lookahead == 'u')
        ADVANCE(200);
      if (lookahead == 'w')
        ADVANCE(204);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(194);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(196);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(197);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(198);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(199);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(203);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_super);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(205);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(206);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(207);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(208);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(210);
      if (lookahead == 'r')
        ADVANCE(216);
      if (lookahead == 'y')
        ADVANCE(220);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(211);
      if (lookahead == 'r')
        ADVANCE(213);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(212);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_this);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(214);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'w')
        ADVANCE(215);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(217);
      if (lookahead == 'y')
        ADVANCE(219);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(218);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_try);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(221);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(222);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(223);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(224);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_typeof);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(226);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(227);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(228);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(229);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(230);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(231);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(232);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(233);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_undefined);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(235);
      if (lookahead == 'o')
        ADVANCE(237);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(241);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(242);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(243);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(244);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(247);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(249);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(251);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_yield);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(255);
      if (lookahead == '|')
        ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(31);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'e')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      END_STATE();
    case 260:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '#')
        ADVANCE(8);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(260);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(22);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(26);
      END_STATE();
    case 264:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 265:
      if (lookahead == '*')
        ADVANCE(266);
      if (lookahead == '/')
        ADVANCE(278);
      if (lookahead == '[')
        ADVANCE(279);
      if (lookahead == '\\')
        ADVANCE(285);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(283);
      END_STATE();
    case 266:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(267);
      if (lookahead == '/')
        ADVANCE(276);
      if (lookahead == '[')
        ADVANCE(268);
      if (lookahead == '\\')
        ADVANCE(277);
      if (lookahead != 0)
        ADVANCE(266);
      END_STATE();
    case 267:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(267);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '[')
        ADVANCE(268);
      if (lookahead == '\\')
        ADVANCE(277);
      if (lookahead != 0)
        ADVANCE(266);
      END_STATE();
    case 268:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(269);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == ']')
        ADVANCE(266);
      if (lookahead != 0)
        ADVANCE(268);
      END_STATE();
    case 269:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(269);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == ']')
        ADVANCE(266);
      if (lookahead != 0)
        ADVANCE(268);
      END_STATE();
    case 270:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(269);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == ']')
        ADVANCE(271);
      if (lookahead != 0)
        ADVANCE(268);
      END_STATE();
    case 271:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(272);
      if (lookahead == '/')
        ADVANCE(275);
      if (lookahead == '[')
        ADVANCE(268);
      if (lookahead == '\\')
        ADVANCE(273);
      if (lookahead == ']')
        ADVANCE(266);
      if (lookahead != 0)
        ADVANCE(271);
      END_STATE();
    case 272:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(272);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '[')
        ADVANCE(268);
      if (lookahead == '\\')
        ADVANCE(273);
      if (lookahead == ']')
        ADVANCE(266);
      if (lookahead != 0)
        ADVANCE(271);
      END_STATE();
    case 273:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(272);
      if (lookahead == '\\')
        ADVANCE(274);
      if (lookahead == ']')
        ADVANCE(271);
      if (lookahead != 0)
        ADVANCE(271);
      END_STATE();
    case 274:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(272);
      if (lookahead == '/')
        ADVANCE(275);
      if (lookahead == '[')
        ADVANCE(268);
      if (lookahead == '\\')
        ADVANCE(273);
      if (lookahead == ']')
        ADVANCE(271);
      if (lookahead != 0)
        ADVANCE(271);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(269);
      if (lookahead == '\\')
        ADVANCE(270);
      if (lookahead == ']')
        ADVANCE(266);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(275);
      if (lookahead != 0)
        ADVANCE(268);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '*')
        ADVANCE(37);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(276);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 277:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(267);
      if (lookahead != 0)
        ADVANCE(266);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_comment);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(39);
      END_STATE();
    case 279:
      if (lookahead == '\\')
        ADVANCE(280);
      if (lookahead == ']')
        ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(279);
      END_STATE();
    case 280:
      if (lookahead == '\\')
        ADVANCE(280);
      if (lookahead == ']')
        ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(279);
      END_STATE();
    case 281:
      if (lookahead == '/')
        ADVANCE(282);
      if (lookahead == '[')
        ADVANCE(279);
      if (lookahead == '\\')
        ADVANCE(286);
      if (lookahead == ']')
        ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '\\')
        ADVANCE(280);
      if (lookahead == ']')
        ADVANCE(283);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(279);
      END_STATE();
    case 283:
      if (lookahead == '/')
        ADVANCE(284);
      if (lookahead == '[')
        ADVANCE(279);
      if (lookahead == '\\')
        ADVANCE(285);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_regex);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(284);
      END_STATE();
    case 285:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(283);
      END_STATE();
    case 286:
      if (lookahead == '\\')
        ADVANCE(287);
      if (lookahead == ']')
        ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(281);
      END_STATE();
    case 287:
      if (lookahead == '/')
        ADVANCE(282);
      if (lookahead == '[')
        ADVANCE(279);
      if (lookahead == '\\')
        ADVANCE(286);
      if (lookahead == ']')
        ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(281);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 289:
      if (lookahead == '>')
        ADVANCE(57);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == 'o')
        ADVANCE(97);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(292);
      if (lookahead == 'o')
        ADVANCE(123);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(108);
      if (lookahead == 'l')
        ADVANCE(119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(294);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(129);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(139);
      if (lookahead == 'o')
        ADVANCE(149);
      if (lookahead == 'u')
        ADVANCE(151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(162);
      if (lookahead == 'm')
        ADVANCE(163);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(193);
      if (lookahead == 'u')
        ADVANCE(200);
      if (lookahead == 'w')
        ADVANCE(204);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 298:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == ']')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(312);
      if (lookahead == 'c')
        ADVANCE(317);
      if (lookahead == 'd')
        ADVANCE(332);
      if (lookahead == 'e')
        ADVANCE(339);
      if (lookahead == 'f')
        ADVANCE(353);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'l')
        ADVANCE(380);
      if (lookahead == 'v')
        ADVANCE(383);
      if (lookahead == 'w')
        ADVANCE(386);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(298);
      END_STATE();
    case 299:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(13);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(306);
      if (lookahead == '=')
        ADVANCE(53);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(55);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(59);
      if (lookahead == '>')
        ADVANCE(309);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>')
        ADVANCE(310);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 312:
      if (lookahead == 's')
        ADVANCE(313);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y')
        ADVANCE(314);
      END_STATE();
    case 314:
      if (lookahead == 'n')
        ADVANCE(315);
      END_STATE();
    case 315:
      if (lookahead == 'c')
        ADVANCE(316);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 317:
      if (lookahead == 'a')
        ADVANCE(318);
      if (lookahead == 'l')
        ADVANCE(324);
      if (lookahead == 'o')
        ADVANCE(328);
      END_STATE();
    case 318:
      if (lookahead == 's')
        ADVANCE(319);
      if (lookahead == 't')
        ADVANCE(321);
      END_STATE();
    case 319:
      if (lookahead == 'e')
        ADVANCE(320);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 321:
      if (lookahead == 'c')
        ADVANCE(322);
      END_STATE();
    case 322:
      if (lookahead == 'h')
        ADVANCE(323);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 324:
      if (lookahead == 'a')
        ADVANCE(325);
      END_STATE();
    case 325:
      if (lookahead == 's')
        ADVANCE(326);
      END_STATE();
    case 326:
      if (lookahead == 's')
        ADVANCE(327);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 328:
      if (lookahead == 'n')
        ADVANCE(329);
      END_STATE();
    case 329:
      if (lookahead == 's')
        ADVANCE(330);
      END_STATE();
    case 330:
      if (lookahead == 't')
        ADVANCE(331);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 332:
      if (lookahead == 'e')
        ADVANCE(333);
      END_STATE();
    case 333:
      if (lookahead == 'f')
        ADVANCE(334);
      END_STATE();
    case 334:
      if (lookahead == 'a')
        ADVANCE(335);
      END_STATE();
    case 335:
      if (lookahead == 'u')
        ADVANCE(336);
      END_STATE();
    case 336:
      if (lookahead == 'l')
        ADVANCE(337);
      END_STATE();
    case 337:
      if (lookahead == 't')
        ADVANCE(338);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 339:
      if (lookahead == 'l')
        ADVANCE(340);
      if (lookahead == 'x')
        ADVANCE(343);
      END_STATE();
    case 340:
      if (lookahead == 's')
        ADVANCE(341);
      END_STATE();
    case 341:
      if (lookahead == 'e')
        ADVANCE(342);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 343:
      if (lookahead == 'p')
        ADVANCE(344);
      if (lookahead == 't')
        ADVANCE(348);
      END_STATE();
    case 344:
      if (lookahead == 'o')
        ADVANCE(345);
      END_STATE();
    case 345:
      if (lookahead == 'r')
        ADVANCE(346);
      END_STATE();
    case 346:
      if (lookahead == 't')
        ADVANCE(347);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 348:
      if (lookahead == 'e')
        ADVANCE(349);
      END_STATE();
    case 349:
      if (lookahead == 'n')
        ADVANCE(350);
      END_STATE();
    case 350:
      if (lookahead == 'd')
        ADVANCE(351);
      END_STATE();
    case 351:
      if (lookahead == 's')
        ADVANCE(352);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 353:
      if (lookahead == 'i')
        ADVANCE(354);
      if (lookahead == 'r')
        ADVANCE(360);
      if (lookahead == 'u')
        ADVANCE(363);
      END_STATE();
    case 354:
      if (lookahead == 'n')
        ADVANCE(355);
      END_STATE();
    case 355:
      if (lookahead == 'a')
        ADVANCE(356);
      END_STATE();
    case 356:
      if (lookahead == 'l')
        ADVANCE(357);
      END_STATE();
    case 357:
      if (lookahead == 'l')
        ADVANCE(358);
      END_STATE();
    case 358:
      if (lookahead == 'y')
        ADVANCE(359);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 360:
      if (lookahead == 'o')
        ADVANCE(361);
      END_STATE();
    case 361:
      if (lookahead == 'm')
        ADVANCE(362);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 363:
      if (lookahead == 'n')
        ADVANCE(364);
      END_STATE();
    case 364:
      if (lookahead == 'c')
        ADVANCE(365);
      END_STATE();
    case 365:
      if (lookahead == 't')
        ADVANCE(366);
      END_STATE();
    case 366:
      if (lookahead == 'i')
        ADVANCE(367);
      END_STATE();
    case 367:
      if (lookahead == 'o')
        ADVANCE(368);
      END_STATE();
    case 368:
      if (lookahead == 'n')
        ADVANCE(369);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 370:
      if (lookahead == 'n')
        ADVANCE(371);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's')
        ADVANCE(372);
      END_STATE();
    case 372:
      if (lookahead == 't')
        ADVANCE(373);
      END_STATE();
    case 373:
      if (lookahead == 'a')
        ADVANCE(374);
      END_STATE();
    case 374:
      if (lookahead == 'n')
        ADVANCE(375);
      END_STATE();
    case 375:
      if (lookahead == 'c')
        ADVANCE(376);
      END_STATE();
    case 376:
      if (lookahead == 'e')
        ADVANCE(377);
      END_STATE();
    case 377:
      if (lookahead == 'o')
        ADVANCE(378);
      END_STATE();
    case 378:
      if (lookahead == 'f')
        ADVANCE(379);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 380:
      if (lookahead == 'e')
        ADVANCE(381);
      END_STATE();
    case 381:
      if (lookahead == 't')
        ADVANCE(382);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 383:
      if (lookahead == 'a')
        ADVANCE(384);
      END_STATE();
    case 384:
      if (lookahead == 'r')
        ADVANCE(385);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 386:
      if (lookahead == 'h')
        ADVANCE(387);
      END_STATE();
    case 387:
      if (lookahead == 'i')
        ADVANCE(388);
      END_STATE();
    case 388:
      if (lookahead == 'l')
        ADVANCE(389);
      END_STATE();
    case 389:
      if (lookahead == 'e')
        ADVANCE(390);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(256);
      END_STATE();
    case 392:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(28);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(393);
      if (lookahead == '>')
        ADVANCE(394);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(392);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>')
        ADVANCE(57);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 395:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '.')
        ADVANCE(396);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(395);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 396:
      if (lookahead == '.')
        ADVANCE(29);
      END_STATE();
    case 397:
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      END_STATE();
    case 398:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(399);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == ']')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(398);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 399:
      if (lookahead == '.')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(402);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(139);
      if (lookahead == 'u')
        ADVANCE(151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(193);
      if (lookahead == 'u')
        ADVANCE(200);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(406);
      if (lookahead == 'r')
        ADVANCE(407);
      if (lookahead == 'y')
        ADVANCE(220);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(211);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(217);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(237);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 409:
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(409);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 410:
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(410);
      END_STATE();
    case 411:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(411);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 412:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(412);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(266);
      if (lookahead == '/')
        ADVANCE(278);
      if (lookahead == '[')
        ADVANCE(279);
      if (lookahead == '\\')
        ADVANCE(285);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(283);
      END_STATE();
    case 415:
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(57);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(168);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 417:
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == '>')
        ADVANCE(394);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(417);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(419);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-')
        ADVANCE(420);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(419);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(420);
      END_STATE();
    case 421:
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == 'e')
        ADVANCE(422);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(421);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(423);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(133);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 424:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(424);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 426:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(426);
      END_STATE();
    case 427:
      if (lookahead == '=')
        ADVANCE(55);
      END_STATE();
    case 428:
      if (lookahead == '$')
        ADVANCE(429);
      if (lookahead == '/')
        ADVANCE(435);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(445);
      if (lookahead != 0)
        ADVANCE(431);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '{')
        ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '`')
        ADVANCE(431);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(432);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead != 0 &&
          lookahead != '`')
        ADVANCE(431);
      END_STATE();
    case 432:
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '`' &&
          lookahead != '{')
        ADVANCE(431);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(434);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead == '`')
        ADVANCE(431);
      if (lookahead != 0)
        ADVANCE(431);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(432);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead == '{')
        ADVANCE(431);
      if (lookahead != 0 &&
          lookahead != '`')
        ADVANCE(431);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(432);
      if (lookahead == '*')
        ADVANCE(436);
      if (lookahead == '/')
        ADVANCE(441);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead != 0 &&
          lookahead != '`')
        ADVANCE(431);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(437);
      if (lookahead == '*')
        ADVANCE(438);
      if (lookahead == '\\')
        ADVANCE(439);
      if (lookahead == '`')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(436);
      END_STATE();
    case 437:
      if (lookahead == '*')
        ADVANCE(438);
      if (lookahead == '$' ||
          lookahead == '`' ||
          lookahead == '{')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(436);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(437);
      if (lookahead == '*')
        ADVANCE(438);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '\\')
        ADVANCE(439);
      if (lookahead == '`')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(436);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(440);
      if (lookahead == '*')
        ADVANCE(438);
      if (lookahead == '\\')
        ADVANCE(439);
      if (lookahead == '`')
        ADVANCE(436);
      if (lookahead != 0)
        ADVANCE(436);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(437);
      if (lookahead == '*')
        ADVANCE(438);
      if (lookahead == '\\')
        ADVANCE(439);
      if (lookahead == '`')
        ADVANCE(36);
      if (lookahead == '{')
        ADVANCE(436);
      if (lookahead != 0)
        ADVANCE(436);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '$')
        ADVANCE(442);
      if (lookahead == '\\')
        ADVANCE(443);
      if (lookahead == '`')
        ADVANCE(39);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(441);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '$' ||
          lookahead == '`' ||
          lookahead == '{')
        ADVANCE(39);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(441);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '$')
        ADVANCE(444);
      if (lookahead == '\\')
        ADVANCE(443);
      if (lookahead == '`')
        ADVANCE(441);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(441);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '$')
        ADVANCE(442);
      if (lookahead == '\\')
        ADVANCE(443);
      if (lookahead == '`')
        ADVANCE(39);
      if (lookahead == '{')
        ADVANCE(441);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(441);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym__template_chars);
      if (lookahead == '$')
        ADVANCE(429);
      if (lookahead == '/')
        ADVANCE(435);
      if (lookahead == '\\')
        ADVANCE(433);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(445);
      if (lookahead != 0 &&
          lookahead != '`')
        ADVANCE(431);
      END_STATE();
    case 446:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(446);
      END_STATE();
    case 447:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '.')
        ADVANCE(28);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(447);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(72);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(193);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 450:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(450);
      END_STATE();
    case 451:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(451);
      END_STATE();
    case 452:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(452);
      END_STATE();
    case 453:
      if (lookahead == '/')
        ADVANCE(454);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(459);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}')
        ADVANCE(458);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(455);
      if (lookahead == '/')
        ADVANCE(457);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(458);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(456);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(455);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(456);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(455);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(39);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(457);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(458);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/')
        ADVANCE(454);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(459);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(458);
      END_STATE();
    case 460:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(460);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 461:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(461);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 462:
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == 'f')
        ADVANCE(463);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(462);
      END_STATE();
    case 463:
      if (lookahead == 'r')
        ADVANCE(360);
      END_STATE();
    case 464:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(464);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 465:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(465);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 466:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(466);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 467:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(467);
      END_STATE();
    case 468:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(468);
      END_STATE();
    case 469:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(469);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 470:
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(470);
      END_STATE();
    case 471:
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(471);
      END_STATE();
    case 472:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(473);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(472);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == 'o')
        ADVANCE(474);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(475);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(99);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 476:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == ']')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(476);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 477:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == ']')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(477);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 478:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'w')
        ADVANCE(386);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(478);
      END_STATE();
    case 479:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(480);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(479);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(481);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == 'o')
        ADVANCE(97);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(90);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 482:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(482);
      END_STATE();
    case 483:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'o')
        ADVANCE(484);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(483);
      END_STATE();
    case 484:
      if (lookahead == 'f')
        ADVANCE(485);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 486:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 's')
        ADVANCE(487);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(486);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(193);
      if (lookahead == 't')
        ADVANCE(195);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 488:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(488);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 489:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(489);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 490:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(490);
      END_STATE();
    case 491:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(491);
      END_STATE();
    case 492:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(492);
      END_STATE();
    case 493:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(493);
      END_STATE();
    case 494:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(494);
      END_STATE();
    case 495:
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == 'i')
        ADVANCE(496);
      if (lookahead == 'o')
        ADVANCE(484);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(495);
      END_STATE();
    case 496:
      if (lookahead == 'n')
        ADVANCE(497);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 498:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(498);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(125);
      if (lookahead == 'x')
        ADVANCE(294);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 500:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(500);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 501:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'o')
        ADVANCE(484);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(501);
      END_STATE();
    case 502:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'o')
        ADVANCE(484);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(502);
      END_STATE();
    case 503:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'e')
        ADVANCE(504);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'w')
        ADVANCE(386);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(503);
      END_STATE();
    case 504:
      if (lookahead == 'l')
        ADVANCE(340);
      END_STATE();
    case 505:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(505);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 506:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'e')
        ADVANCE(504);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'w')
        ADVANCE(386);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(506);
      END_STATE();
    case 507:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(507);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 508:
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(508);
      END_STATE();
    case 509:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(397);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(418);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == 'a')
        ADVANCE(448);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 's')
        ADVANCE(449);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(509);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 510:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(510);
      END_STATE();
    case 511:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ':')
        ADVANCE(48);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(511);
      END_STATE();
    case 512:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(512);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 513:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(513);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 514:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(514);
      END_STATE();
    case 515:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(515);
      END_STATE();
    case 516:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(516);
      END_STATE();
    case 517:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(517);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 518:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(480);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(518);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 519:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'e')
        ADVANCE(504);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == 'w')
        ADVANCE(386);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(519);
      END_STATE();
    case 520:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(290);
      if (lookahead == 'd')
        ADVANCE(291);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(520);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 521:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(521);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(523);
      if (lookahead == 'l')
        ADVANCE(93);
      if (lookahead == 'o')
        ADVANCE(97);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(88);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 524:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'c')
        ADVANCE(400);
      if (lookahead == 'd')
        ADVANCE(401);
      if (lookahead == 'f')
        ADVANCE(403);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 's')
        ADVANCE(404);
      if (lookahead == 't')
        ADVANCE(405);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(408);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(524);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 525:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'f')
        ADVANCE(425);
      if (lookahead == 'i')
        ADVANCE(416);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(525);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 526:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(526);
      END_STATE();
    case 527:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(58);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(254);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(527);
      END_STATE();
    case 528:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(427);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(528);
      END_STATE();
    case 529:
      if (lookahead == '!')
        ADVANCE(299);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(303);
      if (lookahead == '/')
        ADVANCE(304);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(307);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'i')
        ADVANCE(370);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(529);
      END_STATE();
    case 530:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(530);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 531:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(531);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 532:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(86);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(532);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 533:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(533);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 534:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(415);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(534);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 535:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(293);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(535);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 536:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(300);
      if (lookahead == '&')
        ADVANCE(301);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(302);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(413);
      if (lookahead == '/')
        ADVANCE(414);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(305);
      if (lookahead == '=')
        ADVANCE(54);
      if (lookahead == '>')
        ADVANCE(308);
      if (lookahead == '?')
        ADVANCE(64);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '^')
        ADVANCE(311);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(295);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '|')
        ADVANCE(391);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(536);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 537:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(86);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(537);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    case 538:
      if (lookahead == '!')
        ADVANCE(261);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(262);
      if (lookahead == '-')
        ADVANCE(263);
      if (lookahead == '.')
        ADVANCE(264);
      if (lookahead == '/')
        ADVANCE(265);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(288);
      if (lookahead == '=')
        ADVANCE(289);
      if (lookahead == '@')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(66);
      if (lookahead == '`')
        ADVANCE(70);
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'c')
        ADVANCE(522);
      if (lookahead == 'd')
        ADVANCE(106);
      if (lookahead == 'e')
        ADVANCE(499);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'g')
        ADVANCE(158);
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'l')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(180);
      if (lookahead == 'r')
        ADVANCE(186);
      if (lookahead == 's')
        ADVANCE(297);
      if (lookahead == 't')
        ADVANCE(209);
      if (lookahead == 'u')
        ADVANCE(225);
      if (lookahead == 'v')
        ADVANCE(234);
      if (lookahead == 'w')
        ADVANCE(240);
      if (lookahead == 'y')
        ADVANCE(248);
      if (lookahead == '{')
        ADVANCE(253);
      if (lookahead == '}')
        ADVANCE(257);
      if (lookahead == '~')
        ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(538);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(259);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(76);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 260},
  [2] = {.lex_state = 260},
  [3] = {.lex_state = 298},
  [4] = {.lex_state = 392},
  [5] = {.lex_state = 395},
  [6] = {.lex_state = 395},
  [7] = {.lex_state = 395},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 398},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 260},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 409, .external_lex_state = 1},
  [17] = {.lex_state = 409, .external_lex_state = 1},
  [18] = {.lex_state = 410, .external_lex_state = 1},
  [19] = {.lex_state = 411, .external_lex_state = 1},
  [20] = {.lex_state = 398},
  [21] = {.lex_state = 392},
  [22] = {.lex_state = 412, .external_lex_state = 1},
  [23] = {.lex_state = 398},
  [24] = {.lex_state = 417},
  [25] = {.lex_state = 421},
  [26] = {.lex_state = 424, .external_lex_state = 1},
  [27] = {.lex_state = 395},
  [28] = {.lex_state = 398},
  [29] = {.lex_state = 398},
  [30] = {.lex_state = 398},
  [31] = {.lex_state = 398},
  [32] = {.lex_state = 398},
  [33] = {.lex_state = 426, .external_lex_state = 1},
  [34] = {.lex_state = 428},
  [35] = {.lex_state = 446, .external_lex_state = 1},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 447},
  [38] = {.lex_state = 450, .external_lex_state = 1},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 392},
  [41] = {.lex_state = 392},
  [42] = {.lex_state = 410, .external_lex_state = 1},
  [43] = {.lex_state = 451, .external_lex_state = 1},
  [44] = {.lex_state = 452, .external_lex_state = 1},
  [45] = {.lex_state = 452, .external_lex_state = 1},
  [46] = {.lex_state = 453},
  [47] = {.lex_state = 460, .external_lex_state = 1},
  [48] = {.lex_state = 460, .external_lex_state = 1},
  [49] = {.lex_state = 450, .external_lex_state = 1},
  [50] = {.lex_state = 410, .external_lex_state = 1},
  [51] = {.lex_state = 461},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 260},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 260},
  [56] = {.lex_state = 298},
  [57] = {.lex_state = 398},
  [58] = {.lex_state = 395},
  [59] = {.lex_state = 395},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 395},
  [62] = {.lex_state = 462, .external_lex_state = 1},
  [63] = {.lex_state = 392},
  [64] = {.lex_state = 464, .external_lex_state = 1},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 447},
  [67] = {.lex_state = 447},
  [68] = {.lex_state = 465, .external_lex_state = 1},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 398},
  [74] = {.lex_state = 466, .external_lex_state = 1},
  [75] = {.lex_state = 398},
  [76] = {.lex_state = 467, .external_lex_state = 1},
  [77] = {.lex_state = 468, .external_lex_state = 1},
  [78] = {.lex_state = 447},
  [79] = {.lex_state = 469, .external_lex_state = 1},
  [80] = {.lex_state = 452, .external_lex_state = 1},
  [81] = {.lex_state = 298},
  [82] = {.lex_state = 452, .external_lex_state = 1},
  [83] = {.lex_state = 298},
  [84] = {.lex_state = 298},
  [85] = {.lex_state = 392},
  [86] = {.lex_state = 461},
  [87] = {.lex_state = 298},
  [88] = {.lex_state = 298},
  [89] = {.lex_state = 395},
  [90] = {.lex_state = 410, .external_lex_state = 1},
  [91] = {.lex_state = 298},
  [92] = {.lex_state = 298},
  [93] = {.lex_state = 298},
  [94] = {.lex_state = 447},
  [95] = {.lex_state = 398},
  [96] = {.lex_state = 470, .external_lex_state = 1},
  [97] = {.lex_state = 471, .external_lex_state = 1},
  [98] = {.lex_state = 470, .external_lex_state = 1},
  [99] = {.lex_state = 470, .external_lex_state = 1},
  [100] = {.lex_state = 471, .external_lex_state = 1},
  [101] = {.lex_state = 398},
  [102] = {.lex_state = 260},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 472},
  [105] = {.lex_state = 447},
  [106] = {.lex_state = 398},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 476},
  [109] = {.lex_state = 398},
  [110] = {.lex_state = 417},
  [111] = {.lex_state = 421},
  [112] = {.lex_state = 477},
  [113] = {.lex_state = 395},
  [114] = {.lex_state = 398},
  [115] = {.lex_state = 398},
  [116] = {.lex_state = 398},
  [117] = {.lex_state = 395},
  [118] = {.lex_state = 398},
  [119] = {.lex_state = 398},
  [120] = {.lex_state = 298},
  [121] = {.lex_state = 428},
  [122] = {.lex_state = 477},
  [123] = {.lex_state = 0},
  [124] = {.lex_state = 477},
  [125] = {.lex_state = 298},
  [126] = {.lex_state = 298},
  [127] = {.lex_state = 298},
  [128] = {.lex_state = 298},
  [129] = {.lex_state = 298},
  [130] = {.lex_state = 453},
  [131] = {.lex_state = 298},
  [132] = {.lex_state = 477},
  [133] = {.lex_state = 298},
  [134] = {.lex_state = 0},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 260},
  [137] = {.lex_state = 298},
  [138] = {.lex_state = 392},
  [139] = {.lex_state = 0},
  [140] = {.lex_state = 0},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 421},
  [145] = {.lex_state = 424, .external_lex_state = 1},
  [146] = {.lex_state = 395},
  [147] = {.lex_state = 446, .external_lex_state = 1},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 478, .external_lex_state = 1},
  [150] = {.lex_state = 478, .external_lex_state = 1},
  [151] = {.lex_state = 0},
  [152] = {.lex_state = 392},
  [153] = {.lex_state = 479},
  [154] = {.lex_state = 260},
  [155] = {.lex_state = 392},
  [156] = {.lex_state = 410, .external_lex_state = 1},
  [157] = {.lex_state = 392},
  [158] = {.lex_state = 410, .external_lex_state = 1},
  [159] = {.lex_state = 392},
  [160] = {.lex_state = 392},
  [161] = {.lex_state = 447},
  [162] = {.lex_state = 482, .external_lex_state = 1},
  [163] = {.lex_state = 410, .external_lex_state = 1},
  [164] = {.lex_state = 426, .external_lex_state = 1},
  [165] = {.lex_state = 0},
  [166] = {.lex_state = 410, .external_lex_state = 1},
  [167] = {.lex_state = 451, .external_lex_state = 1},
  [168] = {.lex_state = 398},
  [169] = {.lex_state = 476},
  [170] = {.lex_state = 483, .external_lex_state = 1},
  [171] = {.lex_state = 477},
  [172] = {.lex_state = 398},
  [173] = {.lex_state = 398},
  [174] = {.lex_state = 398},
  [175] = {.lex_state = 398},
  [176] = {.lex_state = 398},
  [177] = {.lex_state = 398},
  [178] = {.lex_state = 477},
  [179] = {.lex_state = 477},
  [180] = {.lex_state = 298},
  [181] = {.lex_state = 298},
  [182] = {.lex_state = 298},
  [183] = {.lex_state = 477},
  [184] = {.lex_state = 298},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 298},
  [187] = {.lex_state = 453},
  [188] = {.lex_state = 417},
  [189] = {.lex_state = 417},
  [190] = {.lex_state = 417},
  [191] = {.lex_state = 417},
  [192] = {.lex_state = 486},
  [193] = {.lex_state = 398},
  [194] = {.lex_state = 298},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 426, .external_lex_state = 1},
  [197] = {.lex_state = 395},
  [198] = {.lex_state = 395},
  [199] = {.lex_state = 398},
  [200] = {.lex_state = 395},
  [201] = {.lex_state = 398},
  [202] = {.lex_state = 398},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 426, .external_lex_state = 1},
  [205] = {.lex_state = 395},
  [206] = {.lex_state = 0},
  [207] = {.lex_state = 0},
  [208] = {.lex_state = 392},
  [209] = {.lex_state = 426, .external_lex_state = 1},
  [210] = {.lex_state = 451, .external_lex_state = 1},
  [211] = {.lex_state = 426, .external_lex_state = 1},
  [212] = {.lex_state = 451, .external_lex_state = 1},
  [213] = {.lex_state = 426, .external_lex_state = 1},
  [214] = {.lex_state = 426, .external_lex_state = 1},
  [215] = {.lex_state = 426, .external_lex_state = 1},
  [216] = {.lex_state = 428},
  [217] = {.lex_state = 398},
  [218] = {.lex_state = 428},
  [219] = {.lex_state = 398},
  [220] = {.lex_state = 260},
  [221] = {.lex_state = 395},
  [222] = {.lex_state = 398},
  [223] = {.lex_state = 426, .external_lex_state = 1},
  [224] = {.lex_state = 398},
  [225] = {.lex_state = 426, .external_lex_state = 1},
  [226] = {.lex_state = 461},
  [227] = {.lex_state = 461},
  [228] = {.lex_state = 298},
  [229] = {.lex_state = 298},
  [230] = {.lex_state = 461},
  [231] = {.lex_state = 392},
  [232] = {.lex_state = 398},
  [233] = {.lex_state = 398},
  [234] = {.lex_state = 398},
  [235] = {.lex_state = 398},
  [236] = {.lex_state = 398},
  [237] = {.lex_state = 398},
  [238] = {.lex_state = 398},
  [239] = {.lex_state = 426, .external_lex_state = 1},
  [240] = {.lex_state = 426, .external_lex_state = 1},
  [241] = {.lex_state = 426, .external_lex_state = 1},
  [242] = {.lex_state = 398},
  [243] = {.lex_state = 417},
  [244] = {.lex_state = 453},
  [245] = {.lex_state = 453},
  [246] = {.lex_state = 426, .external_lex_state = 1},
  [247] = {.lex_state = 453},
  [248] = {.lex_state = 392},
  [249] = {.lex_state = 260},
  [250] = {.lex_state = 298},
  [251] = {.lex_state = 421},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 260},
  [254] = {.lex_state = 410, .external_lex_state = 1},
  [255] = {.lex_state = 488, .external_lex_state = 1},
  [256] = {.lex_state = 489, .external_lex_state = 1},
  [257] = {.lex_state = 398},
  [258] = {.lex_state = 398},
  [259] = {.lex_state = 398},
  [260] = {.lex_state = 398},
  [261] = {.lex_state = 398},
  [262] = {.lex_state = 490, .external_lex_state = 1},
  [263] = {.lex_state = 491, .external_lex_state = 1},
  [264] = {.lex_state = 492, .external_lex_state = 1},
  [265] = {.lex_state = 493, .external_lex_state = 1},
  [266] = {.lex_state = 493, .external_lex_state = 1},
  [267] = {.lex_state = 491, .external_lex_state = 1},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 298},
  [270] = {.lex_state = 462, .external_lex_state = 1},
  [271] = {.lex_state = 298},
  [272] = {.lex_state = 298},
  [273] = {.lex_state = 298},
  [274] = {.lex_state = 395},
  [275] = {.lex_state = 395},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 392},
  [279] = {.lex_state = 395},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 398},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 447},
  [285] = {.lex_state = 398},
  [286] = {.lex_state = 447},
  [287] = {.lex_state = 392},
  [288] = {.lex_state = 447},
  [289] = {.lex_state = 447},
  [290] = {.lex_state = 392},
  [291] = {.lex_state = 298},
  [292] = {.lex_state = 392},
  [293] = {.lex_state = 447},
  [294] = {.lex_state = 447},
  [295] = {.lex_state = 260},
  [296] = {.lex_state = 472},
  [297] = {.lex_state = 260},
  [298] = {.lex_state = 260},
  [299] = {.lex_state = 298},
  [300] = {.lex_state = 447},
  [301] = {.lex_state = 483, .external_lex_state = 1},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 447},
  [304] = {.lex_state = 298},
  [305] = {.lex_state = 476},
  [306] = {.lex_state = 477},
  [307] = {.lex_state = 398},
  [308] = {.lex_state = 398},
  [309] = {.lex_state = 398},
  [310] = {.lex_state = 398},
  [311] = {.lex_state = 398},
  [312] = {.lex_state = 466},
  [313] = {.lex_state = 466},
  [314] = {.lex_state = 298},
  [315] = {.lex_state = 298},
  [316] = {.lex_state = 298},
  [317] = {.lex_state = 466},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 260},
  [320] = {.lex_state = 398},
  [321] = {.lex_state = 494, .external_lex_state = 1},
  [322] = {.lex_state = 461},
  [323] = {.lex_state = 461},
  [324] = {.lex_state = 494, .external_lex_state = 1},
  [325] = {.lex_state = 483, .external_lex_state = 1},
  [326] = {.lex_state = 298},
  [327] = {.lex_state = 494, .external_lex_state = 1},
  [328] = {.lex_state = 398},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 392},
  [331] = {.lex_state = 446, .external_lex_state = 1},
  [332] = {.lex_state = 392},
  [333] = {.lex_state = 447},
  [334] = {.lex_state = 447},
  [335] = {.lex_state = 298},
  [336] = {.lex_state = 0},
  [337] = {.lex_state = 461},
  [338] = {.lex_state = 298},
  [339] = {.lex_state = 395},
  [340] = {.lex_state = 298},
  [341] = {.lex_state = 298},
  [342] = {.lex_state = 298},
  [343] = {.lex_state = 392},
  [344] = {.lex_state = 298},
  [345] = {.lex_state = 410, .external_lex_state = 1},
  [346] = {.lex_state = 495, .external_lex_state = 1},
  [347] = {.lex_state = 447},
  [348] = {.lex_state = 392},
  [349] = {.lex_state = 447},
  [350] = {.lex_state = 298},
  [351] = {.lex_state = 447},
  [352] = {.lex_state = 298},
  [353] = {.lex_state = 495, .external_lex_state = 1},
  [354] = {.lex_state = 298},
  [355] = {.lex_state = 298},
  [356] = {.lex_state = 298},
  [357] = {.lex_state = 471, .external_lex_state = 1},
  [358] = {.lex_state = 392},
  [359] = {.lex_state = 395},
  [360] = {.lex_state = 471, .external_lex_state = 1},
  [361] = {.lex_state = 471, .external_lex_state = 1},
  [362] = {.lex_state = 471, .external_lex_state = 1},
  [363] = {.lex_state = 392},
  [364] = {.lex_state = 471, .external_lex_state = 1},
  [365] = {.lex_state = 477},
  [366] = {.lex_state = 298},
  [367] = {.lex_state = 298},
  [368] = {.lex_state = 298},
  [369] = {.lex_state = 298},
  [370] = {.lex_state = 392},
  [371] = {.lex_state = 395},
  [372] = {.lex_state = 395},
  [373] = {.lex_state = 395},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 260},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 409, .external_lex_state = 1},
  [382] = {.lex_state = 409, .external_lex_state = 1},
  [383] = {.lex_state = 410, .external_lex_state = 1},
  [384] = {.lex_state = 411, .external_lex_state = 1},
  [385] = {.lex_state = 398},
  [386] = {.lex_state = 498},
  [387] = {.lex_state = 421},
  [388] = {.lex_state = 424, .external_lex_state = 1},
  [389] = {.lex_state = 395},
  [390] = {.lex_state = 446, .external_lex_state = 1},
  [391] = {.lex_state = 498},
  [392] = {.lex_state = 498},
  [393] = {.lex_state = 410, .external_lex_state = 1},
  [394] = {.lex_state = 500, .external_lex_state = 1},
  [395] = {.lex_state = 500, .external_lex_state = 1},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 298},
  [398] = {.lex_state = 392},
  [399] = {.lex_state = 395},
  [400] = {.lex_state = 395},
  [401] = {.lex_state = 398},
  [402] = {.lex_state = 501, .external_lex_state = 1},
  [403] = {.lex_state = 398},
  [404] = {.lex_state = 410, .external_lex_state = 1},
  [405] = {.lex_state = 502, .external_lex_state = 1},
  [406] = {.lex_state = 502, .external_lex_state = 1},
  [407] = {.lex_state = 298},
  [408] = {.lex_state = 447},
  [409] = {.lex_state = 392},
  [410] = {.lex_state = 447},
  [411] = {.lex_state = 298},
  [412] = {.lex_state = 447},
  [413] = {.lex_state = 298},
  [414] = {.lex_state = 298},
  [415] = {.lex_state = 298},
  [416] = {.lex_state = 298},
  [417] = {.lex_state = 298},
  [418] = {.lex_state = 298},
  [419] = {.lex_state = 298},
  [420] = {.lex_state = 453},
  [421] = {.lex_state = 417},
  [422] = {.lex_state = 417},
  [423] = {.lex_state = 417},
  [424] = {.lex_state = 417},
  [425] = {.lex_state = 486},
  [426] = {.lex_state = 298},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 298},
  [429] = {.lex_state = 395},
  [430] = {.lex_state = 398},
  [431] = {.lex_state = 395},
  [432] = {.lex_state = 398},
  [433] = {.lex_state = 398},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 298},
  [436] = {.lex_state = 395},
  [437] = {.lex_state = 0},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 392},
  [440] = {.lex_state = 298},
  [441] = {.lex_state = 298},
  [442] = {.lex_state = 298},
  [443] = {.lex_state = 298},
  [444] = {.lex_state = 298},
  [445] = {.lex_state = 298},
  [446] = {.lex_state = 298},
  [447] = {.lex_state = 298},
  [448] = {.lex_state = 428},
  [449] = {.lex_state = 395},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 398},
  [452] = {.lex_state = 395},
  [453] = {.lex_state = 398},
  [454] = {.lex_state = 298},
  [455] = {.lex_state = 298},
  [456] = {.lex_state = 398},
  [457] = {.lex_state = 298},
  [458] = {.lex_state = 426, .external_lex_state = 1},
  [459] = {.lex_state = 398},
  [460] = {.lex_state = 398},
  [461] = {.lex_state = 398},
  [462] = {.lex_state = 398},
  [463] = {.lex_state = 398},
  [464] = {.lex_state = 398},
  [465] = {.lex_state = 398},
  [466] = {.lex_state = 298},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 298},
  [469] = {.lex_state = 298},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 298},
  [472] = {.lex_state = 298},
  [473] = {.lex_state = 417},
  [474] = {.lex_state = 298},
  [475] = {.lex_state = 453},
  [476] = {.lex_state = 298},
  [477] = {.lex_state = 421},
  [478] = {.lex_state = 392},
  [479] = {.lex_state = 395},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 395},
  [482] = {.lex_state = 0},
  [483] = {.lex_state = 503, .external_lex_state = 1},
  [484] = {.lex_state = 260},
  [485] = {.lex_state = 472},
  [486] = {.lex_state = 260},
  [487] = {.lex_state = 298},
  [488] = {.lex_state = 260},
  [489] = {.lex_state = 298},
  [490] = {.lex_state = 395},
  [491] = {.lex_state = 395},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 260},
  [495] = {.lex_state = 0},
  [496] = {.lex_state = 298},
  [497] = {.lex_state = 421},
  [498] = {.lex_state = 479},
  [499] = {.lex_state = 392},
  [500] = {.lex_state = 0},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 505},
  [503] = {.lex_state = 392},
  [504] = {.lex_state = 392},
  [505] = {.lex_state = 392},
  [506] = {.lex_state = 392},
  [507] = {.lex_state = 483, .external_lex_state = 1},
  [508] = {.lex_state = 447},
  [509] = {.lex_state = 392},
  [510] = {.lex_state = 447},
  [511] = {.lex_state = 447},
  [512] = {.lex_state = 392},
  [513] = {.lex_state = 392},
  [514] = {.lex_state = 298},
  [515] = {.lex_state = 298},
  [516] = {.lex_state = 298},
  [517] = {.lex_state = 398},
  [518] = {.lex_state = 398},
  [519] = {.lex_state = 398},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 298},
  [522] = {.lex_state = 298},
  [523] = {.lex_state = 298},
  [524] = {.lex_state = 398},
  [525] = {.lex_state = 398},
  [526] = {.lex_state = 398},
  [527] = {.lex_state = 483, .external_lex_state = 1},
  [528] = {.lex_state = 398},
  [529] = {.lex_state = 398},
  [530] = {.lex_state = 398},
  [531] = {.lex_state = 398},
  [532] = {.lex_state = 298},
  [533] = {.lex_state = 298},
  [534] = {.lex_state = 298},
  [535] = {.lex_state = 298},
  [536] = {.lex_state = 417},
  [537] = {.lex_state = 453},
  [538] = {.lex_state = 398},
  [539] = {.lex_state = 417},
  [540] = {.lex_state = 453},
  [541] = {.lex_state = 392},
  [542] = {.lex_state = 417},
  [543] = {.lex_state = 417},
  [544] = {.lex_state = 417},
  [545] = {.lex_state = 417},
  [546] = {.lex_state = 417},
  [547] = {.lex_state = 417},
  [548] = {.lex_state = 453},
  [549] = {.lex_state = 392},
  [550] = {.lex_state = 395},
  [551] = {.lex_state = 417},
  [552] = {.lex_state = 447},
  [553] = {.lex_state = 506, .external_lex_state = 1},
  [554] = {.lex_state = 398},
  [555] = {.lex_state = 507, .external_lex_state = 1},
  [556] = {.lex_state = 508, .external_lex_state = 1},
  [557] = {.lex_state = 508, .external_lex_state = 1},
  [558] = {.lex_state = 447},
  [559] = {.lex_state = 447},
  [560] = {.lex_state = 509, .external_lex_state = 1},
  [561] = {.lex_state = 486},
  [562] = {.lex_state = 410, .external_lex_state = 1},
  [563] = {.lex_state = 486},
  [564] = {.lex_state = 508, .external_lex_state = 1},
  [565] = {.lex_state = 486},
  [566] = {.lex_state = 486},
  [567] = {.lex_state = 412},
  [568] = {.lex_state = 477},
  [569] = {.lex_state = 398},
  [570] = {.lex_state = 398},
  [571] = {.lex_state = 398},
  [572] = {.lex_state = 398},
  [573] = {.lex_state = 398},
  [574] = {.lex_state = 477},
  [575] = {.lex_state = 477},
  [576] = {.lex_state = 298},
  [577] = {.lex_state = 298},
  [578] = {.lex_state = 298},
  [579] = {.lex_state = 477},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 486},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 460, .external_lex_state = 1},
  [584] = {.lex_state = 426, .external_lex_state = 1},
  [585] = {.lex_state = 398},
  [586] = {.lex_state = 392},
  [587] = {.lex_state = 392},
  [588] = {.lex_state = 392},
  [589] = {.lex_state = 510, .external_lex_state = 1},
  [590] = {.lex_state = 451, .external_lex_state = 1},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 426, .external_lex_state = 1},
  [594] = {.lex_state = 451, .external_lex_state = 1},
  [595] = {.lex_state = 451, .external_lex_state = 1},
  [596] = {.lex_state = 398},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 392},
  [600] = {.lex_state = 460, .external_lex_state = 1},
  [601] = {.lex_state = 392},
  [602] = {.lex_state = 298},
  [603] = {.lex_state = 298},
  [604] = {.lex_state = 426, .external_lex_state = 1},
  [605] = {.lex_state = 428},
  [606] = {.lex_state = 451, .external_lex_state = 1},
  [607] = {.lex_state = 392},
  [608] = {.lex_state = 510, .external_lex_state = 1},
  [609] = {.lex_state = 451, .external_lex_state = 1},
  [610] = {.lex_state = 398},
  [611] = {.lex_state = 426, .external_lex_state = 1},
  [612] = {.lex_state = 398},
  [613] = {.lex_state = 298},
  [614] = {.lex_state = 298},
  [615] = {.lex_state = 298},
  [616] = {.lex_state = 395},
  [617] = {.lex_state = 461},
  [618] = {.lex_state = 395},
  [619] = {.lex_state = 461},
  [620] = {.lex_state = 426, .external_lex_state = 1},
  [621] = {.lex_state = 451, .external_lex_state = 1},
  [622] = {.lex_state = 410, .external_lex_state = 1},
  [623] = {.lex_state = 298},
  [624] = {.lex_state = 298},
  [625] = {.lex_state = 476},
  [626] = {.lex_state = 477},
  [627] = {.lex_state = 398},
  [628] = {.lex_state = 398},
  [629] = {.lex_state = 398},
  [630] = {.lex_state = 398},
  [631] = {.lex_state = 398},
  [632] = {.lex_state = 446},
  [633] = {.lex_state = 446},
  [634] = {.lex_state = 298},
  [635] = {.lex_state = 298},
  [636] = {.lex_state = 298},
  [637] = {.lex_state = 446},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 451, .external_lex_state = 1},
  [640] = {.lex_state = 451, .external_lex_state = 1},
  [641] = {.lex_state = 451, .external_lex_state = 1},
  [642] = {.lex_state = 453},
  [643] = {.lex_state = 398},
  [644] = {.lex_state = 298},
  [645] = {.lex_state = 298},
  [646] = {.lex_state = 417},
  [647] = {.lex_state = 417},
  [648] = {.lex_state = 417},
  [649] = {.lex_state = 417},
  [650] = {.lex_state = 417},
  [651] = {.lex_state = 417},
  [652] = {.lex_state = 453},
  [653] = {.lex_state = 453},
  [654] = {.lex_state = 426, .external_lex_state = 1},
  [655] = {.lex_state = 453},
  [656] = {.lex_state = 398},
  [657] = {.lex_state = 298},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 410, .external_lex_state = 1},
  [660] = {.lex_state = 392},
  [661] = {.lex_state = 492, .external_lex_state = 1},
  [662] = {.lex_state = 398},
  [663] = {.lex_state = 398},
  [664] = {.lex_state = 398},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 492, .external_lex_state = 1},
  [667] = {.lex_state = 492, .external_lex_state = 1},
  [668] = {.lex_state = 398},
  [669] = {.lex_state = 398},
  [670] = {.lex_state = 398},
  [671] = {.lex_state = 398},
  [672] = {.lex_state = 398},
  [673] = {.lex_state = 398},
  [674] = {.lex_state = 398},
  [675] = {.lex_state = 462, .external_lex_state = 1},
  [676] = {.lex_state = 395},
  [677] = {.lex_state = 395},
  [678] = {.lex_state = 462, .external_lex_state = 1},
  [679] = {.lex_state = 298},
  [680] = {.lex_state = 486},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 464, .external_lex_state = 1},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 392},
  [688] = {.lex_state = 464, .external_lex_state = 1},
  [689] = {.lex_state = 298},
  [690] = {.lex_state = 476},
  [691] = {.lex_state = 477},
  [692] = {.lex_state = 398},
  [693] = {.lex_state = 398},
  [694] = {.lex_state = 398},
  [695] = {.lex_state = 398},
  [696] = {.lex_state = 398},
  [697] = {.lex_state = 477},
  [698] = {.lex_state = 477},
  [699] = {.lex_state = 298},
  [700] = {.lex_state = 298},
  [701] = {.lex_state = 298},
  [702] = {.lex_state = 477},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 392},
  [706] = {.lex_state = 447},
  [707] = {.lex_state = 392},
  [708] = {.lex_state = 447},
  [709] = {.lex_state = 298},
  [710] = {.lex_state = 447},
  [711] = {.lex_state = 298},
  [712] = {.lex_state = 392},
  [713] = {.lex_state = 298},
  [714] = {.lex_state = 298},
  [715] = {.lex_state = 298},
  [716] = {.lex_state = 398},
  [717] = {.lex_state = 298},
  [718] = {.lex_state = 447},
  [719] = {.lex_state = 447},
  [720] = {.lex_state = 447},
  [721] = {.lex_state = 447},
  [722] = {.lex_state = 447},
  [723] = {.lex_state = 298},
  [724] = {.lex_state = 298},
  [725] = {.lex_state = 298},
  [726] = {.lex_state = 447},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 446, .external_lex_state = 1},
  [732] = {.lex_state = 498},
  [733] = {.lex_state = 395},
  [734] = {.lex_state = 395},
  [735] = {.lex_state = 501, .external_lex_state = 1},
  [736] = {.lex_state = 398},
  [737] = {.lex_state = 502, .external_lex_state = 1},
  [738] = {.lex_state = 502, .external_lex_state = 1},
  [739] = {.lex_state = 511, .external_lex_state = 1},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 483, .external_lex_state = 1},
  [742] = {.lex_state = 298},
  [743] = {.lex_state = 398},
  [744] = {.lex_state = 398},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 298},
  [747] = {.lex_state = 298},
  [748] = {.lex_state = 398},
  [749] = {.lex_state = 398},
  [750] = {.lex_state = 398},
  [751] = {.lex_state = 398},
  [752] = {.lex_state = 398},
  [753] = {.lex_state = 398},
  [754] = {.lex_state = 398},
  [755] = {.lex_state = 512, .external_lex_state = 1},
  [756] = {.lex_state = 513, .external_lex_state = 1},
  [757] = {.lex_state = 398},
  [758] = {.lex_state = 398},
  [759] = {.lex_state = 398},
  [760] = {.lex_state = 398},
  [761] = {.lex_state = 398},
  [762] = {.lex_state = 514, .external_lex_state = 1},
  [763] = {.lex_state = 515, .external_lex_state = 1},
  [764] = {.lex_state = 494, .external_lex_state = 1},
  [765] = {.lex_state = 516, .external_lex_state = 1},
  [766] = {.lex_state = 516, .external_lex_state = 1},
  [767] = {.lex_state = 515, .external_lex_state = 1},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 398},
  [770] = {.lex_state = 483, .external_lex_state = 1},
  [771] = {.lex_state = 298},
  [772] = {.lex_state = 392},
  [773] = {.lex_state = 486},
  [774] = {.lex_state = 298},
  [775] = {.lex_state = 298},
  [776] = {.lex_state = 298},
  [777] = {.lex_state = 395},
  [778] = {.lex_state = 298},
  [779] = {.lex_state = 298},
  [780] = {.lex_state = 298},
  [781] = {.lex_state = 392},
  [782] = {.lex_state = 495, .external_lex_state = 1},
  [783] = {.lex_state = 298},
  [784] = {.lex_state = 495, .external_lex_state = 1},
  [785] = {.lex_state = 298},
  [786] = {.lex_state = 298},
  [787] = {.lex_state = 495, .external_lex_state = 1},
  [788] = {.lex_state = 298},
  [789] = {.lex_state = 471, .external_lex_state = 1},
  [790] = {.lex_state = 392},
  [791] = {.lex_state = 471, .external_lex_state = 1},
  [792] = {.lex_state = 392},
  [793] = {.lex_state = 260},
  [794] = {.lex_state = 298},
  [795] = {.lex_state = 398},
  [796] = {.lex_state = 395},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 395},
  [799] = {.lex_state = 462, .external_lex_state = 1},
  [800] = {.lex_state = 498},
  [801] = {.lex_state = 498, .external_lex_state = 1},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 517, .external_lex_state = 1},
  [804] = {.lex_state = 392},
  [805] = {.lex_state = 410, .external_lex_state = 1},
  [806] = {.lex_state = 298},
  [807] = {.lex_state = 471, .external_lex_state = 1},
  [808] = {.lex_state = 471, .external_lex_state = 1},
  [809] = {.lex_state = 260},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 472},
  [812] = {.lex_state = 260},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 392},
  [815] = {.lex_state = 518},
  [816] = {.lex_state = 260},
  [817] = {.lex_state = 498},
  [818] = {.lex_state = 410, .external_lex_state = 1},
  [819] = {.lex_state = 498},
  [820] = {.lex_state = 410, .external_lex_state = 1},
  [821] = {.lex_state = 498},
  [822] = {.lex_state = 498},
  [823] = {.lex_state = 410, .external_lex_state = 1},
  [824] = {.lex_state = 410, .external_lex_state = 1},
  [825] = {.lex_state = 298},
  [826] = {.lex_state = 395},
  [827] = {.lex_state = 395},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 260},
  [831] = {.lex_state = 260},
  [832] = {.lex_state = 498},
  [833] = {.lex_state = 498},
  [834] = {.lex_state = 298},
  [835] = {.lex_state = 421},
  [836] = {.lex_state = 298},
  [837] = {.lex_state = 392},
  [838] = {.lex_state = 398},
  [839] = {.lex_state = 298},
  [840] = {.lex_state = 298},
  [841] = {.lex_state = 495, .external_lex_state = 1},
  [842] = {.lex_state = 471, .external_lex_state = 1},
  [843] = {.lex_state = 495, .external_lex_state = 1},
  [844] = {.lex_state = 495, .external_lex_state = 1},
  [845] = {.lex_state = 471, .external_lex_state = 1},
  [846] = {.lex_state = 398},
  [847] = {.lex_state = 398},
  [848] = {.lex_state = 398},
  [849] = {.lex_state = 398},
  [850] = {.lex_state = 398},
  [851] = {.lex_state = 398},
  [852] = {.lex_state = 398},
  [853] = {.lex_state = 398},
  [854] = {.lex_state = 298},
  [855] = {.lex_state = 298},
  [856] = {.lex_state = 298},
  [857] = {.lex_state = 298},
  [858] = {.lex_state = 298},
  [859] = {.lex_state = 298},
  [860] = {.lex_state = 298},
  [861] = {.lex_state = 298},
  [862] = {.lex_state = 417},
  [863] = {.lex_state = 453},
  [864] = {.lex_state = 392},
  [865] = {.lex_state = 417},
  [866] = {.lex_state = 392},
  [867] = {.lex_state = 417},
  [868] = {.lex_state = 298},
  [869] = {.lex_state = 486},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 298},
  [872] = {.lex_state = 298},
  [873] = {.lex_state = 477},
  [874] = {.lex_state = 298},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 298},
  [878] = {.lex_state = 298},
  [879] = {.lex_state = 298},
  [880] = {.lex_state = 398},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 392},
  [884] = {.lex_state = 298},
  [885] = {.lex_state = 466, .external_lex_state = 1},
  [886] = {.lex_state = 468, .external_lex_state = 1},
  [887] = {.lex_state = 469, .external_lex_state = 1},
  [888] = {.lex_state = 392},
  [889] = {.lex_state = 461},
  [890] = {.lex_state = 298},
  [891] = {.lex_state = 392},
  [892] = {.lex_state = 392},
  [893] = {.lex_state = 298},
  [894] = {.lex_state = 392},
  [895] = {.lex_state = 298},
  [896] = {.lex_state = 477},
  [897] = {.lex_state = 298},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 298},
  [900] = {.lex_state = 298},
  [901] = {.lex_state = 298},
  [902] = {.lex_state = 298},
  [903] = {.lex_state = 298},
  [904] = {.lex_state = 298},
  [905] = {.lex_state = 298},
  [906] = {.lex_state = 298},
  [907] = {.lex_state = 298},
  [908] = {.lex_state = 298},
  [909] = {.lex_state = 298},
  [910] = {.lex_state = 298},
  [911] = {.lex_state = 298},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 417},
  [915] = {.lex_state = 298},
  [916] = {.lex_state = 298},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 298},
  [919] = {.lex_state = 395},
  [920] = {.lex_state = 395},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 395},
  [924] = {.lex_state = 298},
  [925] = {.lex_state = 392},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 446, .external_lex_state = 1},
  [932] = {.lex_state = 298},
  [933] = {.lex_state = 519, .external_lex_state = 1},
  [934] = {.lex_state = 519, .external_lex_state = 1},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 395},
  [937] = {.lex_state = 395},
  [938] = {.lex_state = 501, .external_lex_state = 1},
  [939] = {.lex_state = 398},
  [940] = {.lex_state = 502, .external_lex_state = 1},
  [941] = {.lex_state = 502, .external_lex_state = 1},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 298},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 506, .external_lex_state = 1},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 392},
  [952] = {.lex_state = 506, .external_lex_state = 1},
  [953] = {.lex_state = 398},
  [954] = {.lex_state = 410, .external_lex_state = 1},
  [955] = {.lex_state = 298},
  [956] = {.lex_state = 479},
  [957] = {.lex_state = 392},
  [958] = {.lex_state = 395},
  [959] = {.lex_state = 505},
  [960] = {.lex_state = 392},
  [961] = {.lex_state = 392},
  [962] = {.lex_state = 392},
  [963] = {.lex_state = 298},
  [964] = {.lex_state = 298},
  [965] = {.lex_state = 298},
  [966] = {.lex_state = 398},
  [967] = {.lex_state = 298},
  [968] = {.lex_state = 298},
  [969] = {.lex_state = 298},
  [970] = {.lex_state = 298},
  [971] = {.lex_state = 298},
  [972] = {.lex_state = 298},
  [973] = {.lex_state = 483, .external_lex_state = 1},
  [974] = {.lex_state = 392},
  [975] = {.lex_state = 417},
  [976] = {.lex_state = 417},
  [977] = {.lex_state = 298},
  [978] = {.lex_state = 298},
  [979] = {.lex_state = 417},
  [980] = {.lex_state = 417},
  [981] = {.lex_state = 426, .external_lex_state = 1},
  [982] = {.lex_state = 260},
  [983] = {.lex_state = 260},
  [984] = {.lex_state = 453},
  [985] = {.lex_state = 392},
  [986] = {.lex_state = 417},
  [987] = {.lex_state = 417},
  [988] = {.lex_state = 417},
  [989] = {.lex_state = 426, .external_lex_state = 1},
  [990] = {.lex_state = 417},
  [991] = {.lex_state = 453},
  [992] = {.lex_state = 392},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 298},
  [995] = {.lex_state = 447},
  [996] = {.lex_state = 447},
  [997] = {.lex_state = 486},
  [998] = {.lex_state = 486},
  [999] = {.lex_state = 486},
  [1000] = {.lex_state = 486},
  [1001] = {.lex_state = 486},
  [1002] = {.lex_state = 410, .external_lex_state = 1},
  [1003] = {.lex_state = 486},
  [1004] = {.lex_state = 486},
  [1005] = {.lex_state = 410, .external_lex_state = 1},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 447},
  [1008] = {.lex_state = 486},
  [1009] = {.lex_state = 506, .external_lex_state = 1},
  [1010] = {.lex_state = 486},
  [1011] = {.lex_state = 298},
  [1012] = {.lex_state = 398},
  [1013] = {.lex_state = 398},
  [1014] = {.lex_state = 398},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 298},
  [1017] = {.lex_state = 298},
  [1018] = {.lex_state = 398},
  [1019] = {.lex_state = 398},
  [1020] = {.lex_state = 398},
  [1021] = {.lex_state = 398},
  [1022] = {.lex_state = 398},
  [1023] = {.lex_state = 398},
  [1024] = {.lex_state = 398},
  [1025] = {.lex_state = 460, .external_lex_state = 1},
  [1026] = {.lex_state = 486},
  [1027] = {.lex_state = 460, .external_lex_state = 1},
  [1028] = {.lex_state = 298},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 460, .external_lex_state = 1},
  [1031] = {.lex_state = 426, .external_lex_state = 1},
  [1032] = {.lex_state = 451, .external_lex_state = 1},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 460, .external_lex_state = 1},
  [1035] = {.lex_state = 460, .external_lex_state = 1},
  [1036] = {.lex_state = 392},
  [1037] = {.lex_state = 506, .external_lex_state = 1},
  [1038] = {.lex_state = 428},
  [1039] = {.lex_state = 398},
  [1040] = {.lex_state = 298},
  [1041] = {.lex_state = 298},
  [1042] = {.lex_state = 426, .external_lex_state = 1},
  [1043] = {.lex_state = 298},
  [1044] = {.lex_state = 298},
  [1045] = {.lex_state = 461},
  [1046] = {.lex_state = 461},
  [1047] = {.lex_state = 510, .external_lex_state = 1},
  [1048] = {.lex_state = 398},
  [1049] = {.lex_state = 298},
  [1050] = {.lex_state = 398},
  [1051] = {.lex_state = 398},
  [1052] = {.lex_state = 398},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 298},
  [1055] = {.lex_state = 298},
  [1056] = {.lex_state = 398},
  [1057] = {.lex_state = 398},
  [1058] = {.lex_state = 398},
  [1059] = {.lex_state = 398},
  [1060] = {.lex_state = 398},
  [1061] = {.lex_state = 398},
  [1062] = {.lex_state = 398},
  [1063] = {.lex_state = 398},
  [1064] = {.lex_state = 476},
  [1065] = {.lex_state = 477},
  [1066] = {.lex_state = 398},
  [1067] = {.lex_state = 398},
  [1068] = {.lex_state = 398},
  [1069] = {.lex_state = 398},
  [1070] = {.lex_state = 398},
  [1071] = {.lex_state = 466},
  [1072] = {.lex_state = 466},
  [1073] = {.lex_state = 298},
  [1074] = {.lex_state = 298},
  [1075] = {.lex_state = 298},
  [1076] = {.lex_state = 466},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 453},
  [1079] = {.lex_state = 392},
  [1080] = {.lex_state = 392},
  [1081] = {.lex_state = 392},
  [1082] = {.lex_state = 392},
  [1083] = {.lex_state = 392},
  [1084] = {.lex_state = 417},
  [1085] = {.lex_state = 392},
  [1086] = {.lex_state = 417},
  [1087] = {.lex_state = 417},
  [1088] = {.lex_state = 453},
  [1089] = {.lex_state = 417},
  [1090] = {.lex_state = 492, .external_lex_state = 1},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 426, .external_lex_state = 1},
  [1093] = {.lex_state = 492, .external_lex_state = 1},
  [1094] = {.lex_state = 492, .external_lex_state = 1},
  [1095] = {.lex_state = 492, .external_lex_state = 1},
  [1096] = {.lex_state = 398},
  [1097] = {.lex_state = 492, .external_lex_state = 1},
  [1098] = {.lex_state = 492, .external_lex_state = 1},
  [1099] = {.lex_state = 298},
  [1100] = {.lex_state = 492, .external_lex_state = 1},
  [1101] = {.lex_state = 492, .external_lex_state = 1},
  [1102] = {.lex_state = 492, .external_lex_state = 1},
  [1103] = {.lex_state = 298},
  [1104] = {.lex_state = 462, .external_lex_state = 1},
  [1105] = {.lex_state = 298},
  [1106] = {.lex_state = 395},
  [1107] = {.lex_state = 298},
  [1108] = {.lex_state = 464, .external_lex_state = 1},
  [1109] = {.lex_state = 486},
  [1110] = {.lex_state = 464, .external_lex_state = 1},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 464, .external_lex_state = 1},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 464, .external_lex_state = 1},
  [1115] = {.lex_state = 464, .external_lex_state = 1},
  [1116] = {.lex_state = 392},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 298},
  [1119] = {.lex_state = 398},
  [1120] = {.lex_state = 398},
  [1121] = {.lex_state = 398},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 298},
  [1124] = {.lex_state = 298},
  [1125] = {.lex_state = 398},
  [1126] = {.lex_state = 398},
  [1127] = {.lex_state = 398},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 398},
  [1130] = {.lex_state = 398},
  [1131] = {.lex_state = 398},
  [1132] = {.lex_state = 398},
  [1133] = {.lex_state = 486},
  [1134] = {.lex_state = 392},
  [1135] = {.lex_state = 298},
  [1136] = {.lex_state = 392},
  [1137] = {.lex_state = 298},
  [1138] = {.lex_state = 298},
  [1139] = {.lex_state = 392},
  [1140] = {.lex_state = 298},
  [1141] = {.lex_state = 392},
  [1142] = {.lex_state = 298},
  [1143] = {.lex_state = 398},
  [1144] = {.lex_state = 395},
  [1145] = {.lex_state = 447},
  [1146] = {.lex_state = 395},
  [1147] = {.lex_state = 447},
  [1148] = {.lex_state = 260},
  [1149] = {.lex_state = 472},
  [1150] = {.lex_state = 260},
  [1151] = {.lex_state = 260},
  [1152] = {.lex_state = 260},
  [1153] = {.lex_state = 260},
  [1154] = {.lex_state = 495, .external_lex_state = 1},
  [1155] = {.lex_state = 495, .external_lex_state = 1},
  [1156] = {.lex_state = 495, .external_lex_state = 1},
  [1157] = {.lex_state = 398},
  [1158] = {.lex_state = 398},
  [1159] = {.lex_state = 398},
  [1160] = {.lex_state = 398},
  [1161] = {.lex_state = 398},
  [1162] = {.lex_state = 398},
  [1163] = {.lex_state = 398},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 298},
  [1166] = {.lex_state = 298},
  [1167] = {.lex_state = 398},
  [1168] = {.lex_state = 298},
  [1169] = {.lex_state = 298},
  [1170] = {.lex_state = 298},
  [1171] = {.lex_state = 298},
  [1172] = {.lex_state = 298},
  [1173] = {.lex_state = 298},
  [1174] = {.lex_state = 494, .external_lex_state = 1},
  [1175] = {.lex_state = 398},
  [1176] = {.lex_state = 398},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 494, .external_lex_state = 1},
  [1179] = {.lex_state = 494, .external_lex_state = 1},
  [1180] = {.lex_state = 398},
  [1181] = {.lex_state = 398},
  [1182] = {.lex_state = 398},
  [1183] = {.lex_state = 398},
  [1184] = {.lex_state = 398},
  [1185] = {.lex_state = 398},
  [1186] = {.lex_state = 398},
  [1187] = {.lex_state = 461},
  [1188] = {.lex_state = 298},
  [1189] = {.lex_state = 298},
  [1190] = {.lex_state = 298},
  [1191] = {.lex_state = 483, .external_lex_state = 1},
  [1192] = {.lex_state = 298},
  [1193] = {.lex_state = 298},
  [1194] = {.lex_state = 395},
  [1195] = {.lex_state = 298},
  [1196] = {.lex_state = 495, .external_lex_state = 1},
  [1197] = {.lex_state = 495, .external_lex_state = 1},
  [1198] = {.lex_state = 298},
  [1199] = {.lex_state = 495, .external_lex_state = 1},
  [1200] = {.lex_state = 410, .external_lex_state = 1},
  [1201] = {.lex_state = 492, .external_lex_state = 1},
  [1202] = {.lex_state = 298},
  [1203] = {.lex_state = 395},
  [1204] = {.lex_state = 395},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 498},
  [1208] = {.lex_state = 395},
  [1209] = {.lex_state = 498},
  [1210] = {.lex_state = 498},
  [1211] = {.lex_state = 410, .external_lex_state = 1},
  [1212] = {.lex_state = 498},
  [1213] = {.lex_state = 471, .external_lex_state = 1},
  [1214] = {.lex_state = 498},
  [1215] = {.lex_state = 471, .external_lex_state = 1},
  [1216] = {.lex_state = 498},
  [1217] = {.lex_state = 298},
  [1218] = {.lex_state = 498},
  [1219] = {.lex_state = 395},
  [1220] = {.lex_state = 395},
  [1221] = {.lex_state = 501, .external_lex_state = 1},
  [1222] = {.lex_state = 398},
  [1223] = {.lex_state = 502, .external_lex_state = 1},
  [1224] = {.lex_state = 502, .external_lex_state = 1},
  [1225] = {.lex_state = 498},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 518},
  [1228] = {.lex_state = 392},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 520},
  [1232] = {.lex_state = 498},
  [1233] = {.lex_state = 498},
  [1234] = {.lex_state = 498},
  [1235] = {.lex_state = 498},
  [1236] = {.lex_state = 498},
  [1237] = {.lex_state = 498},
  [1238] = {.lex_state = 486},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 500, .external_lex_state = 1},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 392},
  [1246] = {.lex_state = 500, .external_lex_state = 1},
  [1247] = {.lex_state = 498},
  [1248] = {.lex_state = 392},
  [1249] = {.lex_state = 398},
  [1250] = {.lex_state = 298},
  [1251] = {.lex_state = 521},
  [1252] = {.lex_state = 476},
  [1253] = {.lex_state = 477},
  [1254] = {.lex_state = 398},
  [1255] = {.lex_state = 398},
  [1256] = {.lex_state = 398},
  [1257] = {.lex_state = 398},
  [1258] = {.lex_state = 398},
  [1259] = {.lex_state = 446},
  [1260] = {.lex_state = 446},
  [1261] = {.lex_state = 298},
  [1262] = {.lex_state = 298},
  [1263] = {.lex_state = 298},
  [1264] = {.lex_state = 298},
  [1265] = {.lex_state = 446},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 392},
  [1268] = {.lex_state = 298},
  [1269] = {.lex_state = 398},
  [1270] = {.lex_state = 398},
  [1271] = {.lex_state = 398},
  [1272] = {.lex_state = 471, .external_lex_state = 1},
  [1273] = {.lex_state = 398},
  [1274] = {.lex_state = 398},
  [1275] = {.lex_state = 398},
  [1276] = {.lex_state = 398},
  [1277] = {.lex_state = 398},
  [1278] = {.lex_state = 471, .external_lex_state = 1},
  [1279] = {.lex_state = 524, .external_lex_state = 1},
  [1280] = {.lex_state = 525, .external_lex_state = 1},
  [1281] = {.lex_state = 398},
  [1282] = {.lex_state = 398},
  [1283] = {.lex_state = 398},
  [1284] = {.lex_state = 398},
  [1285] = {.lex_state = 398},
  [1286] = {.lex_state = 526, .external_lex_state = 1},
  [1287] = {.lex_state = 527, .external_lex_state = 1},
  [1288] = {.lex_state = 298},
  [1289] = {.lex_state = 528, .external_lex_state = 1},
  [1290] = {.lex_state = 529, .external_lex_state = 1},
  [1291] = {.lex_state = 529, .external_lex_state = 1},
  [1292] = {.lex_state = 527, .external_lex_state = 1},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 476},
  [1295] = {.lex_state = 477},
  [1296] = {.lex_state = 398},
  [1297] = {.lex_state = 398},
  [1298] = {.lex_state = 398},
  [1299] = {.lex_state = 398},
  [1300] = {.lex_state = 398},
  [1301] = {.lex_state = 477},
  [1302] = {.lex_state = 477},
  [1303] = {.lex_state = 298},
  [1304] = {.lex_state = 298},
  [1305] = {.lex_state = 298},
  [1306] = {.lex_state = 477},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 260},
  [1309] = {.lex_state = 298},
  [1310] = {.lex_state = 298},
  [1311] = {.lex_state = 298},
  [1312] = {.lex_state = 298},
  [1313] = {.lex_state = 298},
  [1314] = {.lex_state = 298},
  [1315] = {.lex_state = 298},
  [1316] = {.lex_state = 298},
  [1317] = {.lex_state = 298},
  [1318] = {.lex_state = 392},
  [1319] = {.lex_state = 417},
  [1320] = {.lex_state = 298},
  [1321] = {.lex_state = 392},
  [1322] = {.lex_state = 298},
  [1323] = {.lex_state = 392},
  [1324] = {.lex_state = 298},
  [1325] = {.lex_state = 298},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 298},
  [1328] = {.lex_state = 298},
  [1329] = {.lex_state = 298},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 298},
  [1332] = {.lex_state = 298},
  [1333] = {.lex_state = 298},
  [1334] = {.lex_state = 298},
  [1335] = {.lex_state = 298},
  [1336] = {.lex_state = 477},
  [1337] = {.lex_state = 398},
  [1338] = {.lex_state = 392},
  [1339] = {.lex_state = 392},
  [1340] = {.lex_state = 392},
  [1341] = {.lex_state = 392},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 298},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 392},
  [1350] = {.lex_state = 298},
  [1351] = {.lex_state = 395},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 260},
  [1355] = {.lex_state = 472},
  [1356] = {.lex_state = 260},
  [1357] = {.lex_state = 392},
  [1358] = {.lex_state = 298},
  [1359] = {.lex_state = 260},
  [1360] = {.lex_state = 260},
  [1361] = {.lex_state = 260},
  [1362] = {.lex_state = 298},
  [1363] = {.lex_state = 495, .external_lex_state = 1},
  [1364] = {.lex_state = 495, .external_lex_state = 1},
  [1365] = {.lex_state = 495, .external_lex_state = 1},
  [1366] = {.lex_state = 398},
  [1367] = {.lex_state = 398},
  [1368] = {.lex_state = 398},
  [1369] = {.lex_state = 398},
  [1370] = {.lex_state = 398},
  [1371] = {.lex_state = 398},
  [1372] = {.lex_state = 398},
  [1373] = {.lex_state = 395},
  [1374] = {.lex_state = 506, .external_lex_state = 1},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 506, .external_lex_state = 1},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 506, .external_lex_state = 1},
  [1379] = {.lex_state = 506, .external_lex_state = 1},
  [1380] = {.lex_state = 392},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 505},
  [1383] = {.lex_state = 392},
  [1384] = {.lex_state = 298},
  [1385] = {.lex_state = 392},
  [1386] = {.lex_state = 298},
  [1387] = {.lex_state = 398},
  [1388] = {.lex_state = 426, .external_lex_state = 1},
  [1389] = {.lex_state = 392},
  [1390] = {.lex_state = 417},
  [1391] = {.lex_state = 417},
  [1392] = {.lex_state = 417},
  [1393] = {.lex_state = 453},
  [1394] = {.lex_state = 417},
  [1395] = {.lex_state = 426, .external_lex_state = 1},
  [1396] = {.lex_state = 426, .external_lex_state = 1},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 508, .external_lex_state = 1},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 398},
  [1401] = {.lex_state = 395},
  [1402] = {.lex_state = 486},
  [1403] = {.lex_state = 395},
  [1404] = {.lex_state = 486},
  [1405] = {.lex_state = 486},
  [1406] = {.lex_state = 392},
  [1407] = {.lex_state = 410, .external_lex_state = 1},
  [1408] = {.lex_state = 486},
  [1409] = {.lex_state = 298},
  [1410] = {.lex_state = 298},
  [1411] = {.lex_state = 298},
  [1412] = {.lex_state = 398},
  [1413] = {.lex_state = 298},
  [1414] = {.lex_state = 298},
  [1415] = {.lex_state = 298},
  [1416] = {.lex_state = 298},
  [1417] = {.lex_state = 298},
  [1418] = {.lex_state = 298},
  [1419] = {.lex_state = 460, .external_lex_state = 1},
  [1420] = {.lex_state = 460, .external_lex_state = 1},
  [1421] = {.lex_state = 460, .external_lex_state = 1},
  [1422] = {.lex_state = 460, .external_lex_state = 1},
  [1423] = {.lex_state = 298},
  [1424] = {.lex_state = 426, .external_lex_state = 1},
  [1425] = {.lex_state = 298},
  [1426] = {.lex_state = 298},
  [1427] = {.lex_state = 298},
  [1428] = {.lex_state = 298},
  [1429] = {.lex_state = 398},
  [1430] = {.lex_state = 298},
  [1431] = {.lex_state = 298},
  [1432] = {.lex_state = 451, .external_lex_state = 1},
  [1433] = {.lex_state = 298},
  [1434] = {.lex_state = 298},
  [1435] = {.lex_state = 298},
  [1436] = {.lex_state = 298},
  [1437] = {.lex_state = 298},
  [1438] = {.lex_state = 398},
  [1439] = {.lex_state = 398},
  [1440] = {.lex_state = 398},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 298},
  [1443] = {.lex_state = 298},
  [1444] = {.lex_state = 398},
  [1445] = {.lex_state = 398},
  [1446] = {.lex_state = 398},
  [1447] = {.lex_state = 398},
  [1448] = {.lex_state = 398},
  [1449] = {.lex_state = 398},
  [1450] = {.lex_state = 398},
  [1451] = {.lex_state = 426, .external_lex_state = 1},
  [1452] = {.lex_state = 426, .external_lex_state = 1},
  [1453] = {.lex_state = 453},
  [1454] = {.lex_state = 392},
  [1455] = {.lex_state = 453},
  [1456] = {.lex_state = 392},
  [1457] = {.lex_state = 392},
  [1458] = {.lex_state = 392},
  [1459] = {.lex_state = 392},
  [1460] = {.lex_state = 392},
  [1461] = {.lex_state = 392},
  [1462] = {.lex_state = 460, .external_lex_state = 1},
  [1463] = {.lex_state = 492, .external_lex_state = 1},
  [1464] = {.lex_state = 398},
  [1465] = {.lex_state = 462, .external_lex_state = 1},
  [1466] = {.lex_state = 395},
  [1467] = {.lex_state = 464, .external_lex_state = 1},
  [1468] = {.lex_state = 464, .external_lex_state = 1},
  [1469] = {.lex_state = 464, .external_lex_state = 1},
  [1470] = {.lex_state = 464, .external_lex_state = 1},
  [1471] = {.lex_state = 464, .external_lex_state = 1},
  [1472] = {.lex_state = 298},
  [1473] = {.lex_state = 298},
  [1474] = {.lex_state = 298},
  [1475] = {.lex_state = 398},
  [1476] = {.lex_state = 298},
  [1477] = {.lex_state = 298},
  [1478] = {.lex_state = 298},
  [1479] = {.lex_state = 298},
  [1480] = {.lex_state = 298},
  [1481] = {.lex_state = 298},
  [1482] = {.lex_state = 392},
  [1483] = {.lex_state = 392},
  [1484] = {.lex_state = 298},
  [1485] = {.lex_state = 392},
  [1486] = {.lex_state = 447},
  [1487] = {.lex_state = 298},
  [1488] = {.lex_state = 298},
  [1489] = {.lex_state = 298},
  [1490] = {.lex_state = 447},
  [1491] = {.lex_state = 447},
  [1492] = {.lex_state = 498},
  [1493] = {.lex_state = 395},
  [1494] = {.lex_state = 395},
  [1495] = {.lex_state = 501, .external_lex_state = 1},
  [1496] = {.lex_state = 398},
  [1497] = {.lex_state = 502, .external_lex_state = 1},
  [1498] = {.lex_state = 502, .external_lex_state = 1},
  [1499] = {.lex_state = 398},
  [1500] = {.lex_state = 398},
  [1501] = {.lex_state = 398},
  [1502] = {.lex_state = 398},
  [1503] = {.lex_state = 398},
  [1504] = {.lex_state = 398},
  [1505] = {.lex_state = 298},
  [1506] = {.lex_state = 298},
  [1507] = {.lex_state = 260},
  [1508] = {.lex_state = 298},
  [1509] = {.lex_state = 298},
  [1510] = {.lex_state = 298},
  [1511] = {.lex_state = 298},
  [1512] = {.lex_state = 298},
  [1513] = {.lex_state = 486},
  [1514] = {.lex_state = 298},
  [1515] = {.lex_state = 398},
  [1516] = {.lex_state = 494, .external_lex_state = 1},
  [1517] = {.lex_state = 494, .external_lex_state = 1},
  [1518] = {.lex_state = 398},
  [1519] = {.lex_state = 494, .external_lex_state = 1},
  [1520] = {.lex_state = 494, .external_lex_state = 1},
  [1521] = {.lex_state = 298},
  [1522] = {.lex_state = 494, .external_lex_state = 1},
  [1523] = {.lex_state = 494, .external_lex_state = 1},
  [1524] = {.lex_state = 494, .external_lex_state = 1},
  [1525] = {.lex_state = 461},
  [1526] = {.lex_state = 298},
  [1527] = {.lex_state = 298},
  [1528] = {.lex_state = 395},
  [1529] = {.lex_state = 495, .external_lex_state = 1},
  [1530] = {.lex_state = 498},
  [1531] = {.lex_state = 486},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 498, .external_lex_state = 1},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 392},
  [1539] = {.lex_state = 498, .external_lex_state = 1},
  [1540] = {.lex_state = 298},
  [1541] = {.lex_state = 498},
  [1542] = {.lex_state = 498},
  [1543] = {.lex_state = 498},
  [1544] = {.lex_state = 260},
  [1545] = {.lex_state = 498},
  [1546] = {.lex_state = 298},
  [1547] = {.lex_state = 495, .external_lex_state = 1},
  [1548] = {.lex_state = 495, .external_lex_state = 1},
  [1549] = {.lex_state = 495, .external_lex_state = 1},
  [1550] = {.lex_state = 398},
  [1551] = {.lex_state = 398},
  [1552] = {.lex_state = 398},
  [1553] = {.lex_state = 398},
  [1554] = {.lex_state = 398},
  [1555] = {.lex_state = 398},
  [1556] = {.lex_state = 398},
  [1557] = {.lex_state = 410, .external_lex_state = 1},
  [1558] = {.lex_state = 518},
  [1559] = {.lex_state = 392},
  [1560] = {.lex_state = 395},
  [1561] = {.lex_state = 520},
  [1562] = {.lex_state = 392},
  [1563] = {.lex_state = 498},
  [1564] = {.lex_state = 498},
  [1565] = {.lex_state = 500, .external_lex_state = 1},
  [1566] = {.lex_state = 486},
  [1567] = {.lex_state = 500, .external_lex_state = 1},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 500, .external_lex_state = 1},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 500, .external_lex_state = 1},
  [1572] = {.lex_state = 500, .external_lex_state = 1},
  [1573] = {.lex_state = 392},
  [1574] = {.lex_state = 492, .external_lex_state = 1},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 298},
  [1577] = {.lex_state = 392},
  [1578] = {.lex_state = 395},
  [1579] = {.lex_state = 395},
  [1580] = {.lex_state = 395},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 260},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 409, .external_lex_state = 1},
  [1589] = {.lex_state = 409, .external_lex_state = 1},
  [1590] = {.lex_state = 410, .external_lex_state = 1},
  [1591] = {.lex_state = 411, .external_lex_state = 1},
  [1592] = {.lex_state = 398},
  [1593] = {.lex_state = 521},
  [1594] = {.lex_state = 421},
  [1595] = {.lex_state = 424, .external_lex_state = 1},
  [1596] = {.lex_state = 395},
  [1597] = {.lex_state = 446, .external_lex_state = 1},
  [1598] = {.lex_state = 521},
  [1599] = {.lex_state = 521},
  [1600] = {.lex_state = 410, .external_lex_state = 1},
  [1601] = {.lex_state = 530, .external_lex_state = 1},
  [1602] = {.lex_state = 530, .external_lex_state = 1},
  [1603] = {.lex_state = 521},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 298},
  [1606] = {.lex_state = 398},
  [1607] = {.lex_state = 398},
  [1608] = {.lex_state = 398},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 298},
  [1611] = {.lex_state = 298},
  [1612] = {.lex_state = 398},
  [1613] = {.lex_state = 398},
  [1614] = {.lex_state = 521},
  [1615] = {.lex_state = 398},
  [1616] = {.lex_state = 398},
  [1617] = {.lex_state = 398},
  [1618] = {.lex_state = 398},
  [1619] = {.lex_state = 398},
  [1620] = {.lex_state = 398},
  [1621] = {.lex_state = 298},
  [1622] = {.lex_state = 298},
  [1623] = {.lex_state = 398},
  [1624] = {.lex_state = 298},
  [1625] = {.lex_state = 298},
  [1626] = {.lex_state = 298},
  [1627] = {.lex_state = 298},
  [1628] = {.lex_state = 398},
  [1629] = {.lex_state = 528, .external_lex_state = 1},
  [1630] = {.lex_state = 398},
  [1631] = {.lex_state = 398},
  [1632] = {.lex_state = 398},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 528, .external_lex_state = 1},
  [1635] = {.lex_state = 528, .external_lex_state = 1},
  [1636] = {.lex_state = 398},
  [1637] = {.lex_state = 398},
  [1638] = {.lex_state = 260},
  [1639] = {.lex_state = 398},
  [1640] = {.lex_state = 398},
  [1641] = {.lex_state = 398},
  [1642] = {.lex_state = 398},
  [1643] = {.lex_state = 398},
  [1644] = {.lex_state = 298},
  [1645] = {.lex_state = 398},
  [1646] = {.lex_state = 398},
  [1647] = {.lex_state = 398},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 298},
  [1650] = {.lex_state = 298},
  [1651] = {.lex_state = 398},
  [1652] = {.lex_state = 398},
  [1653] = {.lex_state = 398},
  [1654] = {.lex_state = 260},
  [1655] = {.lex_state = 398},
  [1656] = {.lex_state = 398},
  [1657] = {.lex_state = 398},
  [1658] = {.lex_state = 398},
  [1659] = {.lex_state = 392},
  [1660] = {.lex_state = 260},
  [1661] = {.lex_state = 260},
  [1662] = {.lex_state = 260},
  [1663] = {.lex_state = 260},
  [1664] = {.lex_state = 260},
  [1665] = {.lex_state = 298},
  [1666] = {.lex_state = 298},
  [1667] = {.lex_state = 392},
  [1668] = {.lex_state = 298},
  [1669] = {.lex_state = 298},
  [1670] = {.lex_state = 298},
  [1671] = {.lex_state = 298},
  [1672] = {.lex_state = 298},
  [1673] = {.lex_state = 298},
  [1674] = {.lex_state = 298},
  [1675] = {.lex_state = 298},
  [1676] = {.lex_state = 298},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 395},
  [1681] = {.lex_state = 298},
  [1682] = {.lex_state = 395},
  [1683] = {.lex_state = 395},
  [1684] = {.lex_state = 501, .external_lex_state = 1},
  [1685] = {.lex_state = 398},
  [1686] = {.lex_state = 502, .external_lex_state = 1},
  [1687] = {.lex_state = 502, .external_lex_state = 1},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 298},
  [1691] = {.lex_state = 398},
  [1692] = {.lex_state = 398},
  [1693] = {.lex_state = 398},
  [1694] = {.lex_state = 398},
  [1695] = {.lex_state = 398},
  [1696] = {.lex_state = 398},
  [1697] = {.lex_state = 298},
  [1698] = {.lex_state = 298},
  [1699] = {.lex_state = 260},
  [1700] = {.lex_state = 298},
  [1701] = {.lex_state = 298},
  [1702] = {.lex_state = 298},
  [1703] = {.lex_state = 298},
  [1704] = {.lex_state = 298},
  [1705] = {.lex_state = 298},
  [1706] = {.lex_state = 506, .external_lex_state = 1},
  [1707] = {.lex_state = 506, .external_lex_state = 1},
  [1708] = {.lex_state = 506, .external_lex_state = 1},
  [1709] = {.lex_state = 505},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 298},
  [1712] = {.lex_state = 426, .external_lex_state = 1},
  [1713] = {.lex_state = 453},
  [1714] = {.lex_state = 417},
  [1715] = {.lex_state = 417},
  [1716] = {.lex_state = 417},
  [1717] = {.lex_state = 417},
  [1718] = {.lex_state = 417},
  [1719] = {.lex_state = 417},
  [1720] = {.lex_state = 453},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 486},
  [1723] = {.lex_state = 298},
  [1724] = {.lex_state = 298},
  [1725] = {.lex_state = 298},
  [1726] = {.lex_state = 486},
  [1727] = {.lex_state = 486},
  [1728] = {.lex_state = 486},
  [1729] = {.lex_state = 392},
  [1730] = {.lex_state = 486},
  [1731] = {.lex_state = 298},
  [1732] = {.lex_state = 398},
  [1733] = {.lex_state = 298},
  [1734] = {.lex_state = 398},
  [1735] = {.lex_state = 298},
  [1736] = {.lex_state = 298},
  [1737] = {.lex_state = 298},
  [1738] = {.lex_state = 398},
  [1739] = {.lex_state = 298},
  [1740] = {.lex_state = 298},
  [1741] = {.lex_state = 298},
  [1742] = {.lex_state = 298},
  [1743] = {.lex_state = 298},
  [1744] = {.lex_state = 298},
  [1745] = {.lex_state = 453},
  [1746] = {.lex_state = 453},
  [1747] = {.lex_state = 453},
  [1748] = {.lex_state = 453},
  [1749] = {.lex_state = 492, .external_lex_state = 1},
  [1750] = {.lex_state = 298},
  [1751] = {.lex_state = 398},
  [1752] = {.lex_state = 392},
  [1753] = {.lex_state = 447},
  [1754] = {.lex_state = 298},
  [1755] = {.lex_state = 260},
  [1756] = {.lex_state = 495, .external_lex_state = 1},
  [1757] = {.lex_state = 495, .external_lex_state = 1},
  [1758] = {.lex_state = 495, .external_lex_state = 1},
  [1759] = {.lex_state = 398},
  [1760] = {.lex_state = 398},
  [1761] = {.lex_state = 398},
  [1762] = {.lex_state = 398},
  [1763] = {.lex_state = 398},
  [1764] = {.lex_state = 398},
  [1765] = {.lex_state = 398},
  [1766] = {.lex_state = 298},
  [1767] = {.lex_state = 298},
  [1768] = {.lex_state = 298},
  [1769] = {.lex_state = 298},
  [1770] = {.lex_state = 298},
  [1771] = {.lex_state = 298},
  [1772] = {.lex_state = 260},
  [1773] = {.lex_state = 260},
  [1774] = {.lex_state = 260},
  [1775] = {.lex_state = 260},
  [1776] = {.lex_state = 260},
  [1777] = {.lex_state = 260},
  [1778] = {.lex_state = 260},
  [1779] = {.lex_state = 298},
  [1780] = {.lex_state = 494, .external_lex_state = 1},
  [1781] = {.lex_state = 398},
  [1782] = {.lex_state = 461},
  [1783] = {.lex_state = 498, .external_lex_state = 1},
  [1784] = {.lex_state = 486},
  [1785] = {.lex_state = 498, .external_lex_state = 1},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 498, .external_lex_state = 1},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 498, .external_lex_state = 1},
  [1790] = {.lex_state = 498, .external_lex_state = 1},
  [1791] = {.lex_state = 392},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 498},
  [1794] = {.lex_state = 498},
  [1795] = {.lex_state = 398},
  [1796] = {.lex_state = 398},
  [1797] = {.lex_state = 398},
  [1798] = {.lex_state = 398},
  [1799] = {.lex_state = 398},
  [1800] = {.lex_state = 398},
  [1801] = {.lex_state = 298},
  [1802] = {.lex_state = 298},
  [1803] = {.lex_state = 260},
  [1804] = {.lex_state = 298},
  [1805] = {.lex_state = 298},
  [1806] = {.lex_state = 298},
  [1807] = {.lex_state = 298},
  [1808] = {.lex_state = 298},
  [1809] = {.lex_state = 498},
  [1810] = {.lex_state = 520},
  [1811] = {.lex_state = 392},
  [1812] = {.lex_state = 298},
  [1813] = {.lex_state = 498},
  [1814] = {.lex_state = 500, .external_lex_state = 1},
  [1815] = {.lex_state = 500, .external_lex_state = 1},
  [1816] = {.lex_state = 500, .external_lex_state = 1},
  [1817] = {.lex_state = 500, .external_lex_state = 1},
  [1818] = {.lex_state = 498},
  [1819] = {.lex_state = 500, .external_lex_state = 1},
  [1820] = {.lex_state = 298},
  [1821] = {.lex_state = 398},
  [1822] = {.lex_state = 395},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 395},
  [1825] = {.lex_state = 462, .external_lex_state = 1},
  [1826] = {.lex_state = 521},
  [1827] = {.lex_state = 521, .external_lex_state = 1},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 531, .external_lex_state = 1},
  [1830] = {.lex_state = 392},
  [1831] = {.lex_state = 410, .external_lex_state = 1},
  [1832] = {.lex_state = 298},
  [1833] = {.lex_state = 471, .external_lex_state = 1},
  [1834] = {.lex_state = 471, .external_lex_state = 1},
  [1835] = {.lex_state = 260},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 472},
  [1838] = {.lex_state = 260},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 392},
  [1841] = {.lex_state = 532},
  [1842] = {.lex_state = 260},
  [1843] = {.lex_state = 521},
  [1844] = {.lex_state = 410, .external_lex_state = 1},
  [1845] = {.lex_state = 521},
  [1846] = {.lex_state = 410, .external_lex_state = 1},
  [1847] = {.lex_state = 521},
  [1848] = {.lex_state = 521},
  [1849] = {.lex_state = 410, .external_lex_state = 1},
  [1850] = {.lex_state = 410, .external_lex_state = 1},
  [1851] = {.lex_state = 298},
  [1852] = {.lex_state = 395},
  [1853] = {.lex_state = 395},
  [1854] = {.lex_state = 0},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 260},
  [1857] = {.lex_state = 521},
  [1858] = {.lex_state = 521},
  [1859] = {.lex_state = 521},
  [1860] = {.lex_state = 298},
  [1861] = {.lex_state = 421},
  [1862] = {.lex_state = 298},
  [1863] = {.lex_state = 298},
  [1864] = {.lex_state = 298},
  [1865] = {.lex_state = 398},
  [1866] = {.lex_state = 298},
  [1867] = {.lex_state = 298},
  [1868] = {.lex_state = 521},
  [1869] = {.lex_state = 298},
  [1870] = {.lex_state = 298},
  [1871] = {.lex_state = 298},
  [1872] = {.lex_state = 298},
  [1873] = {.lex_state = 298},
  [1874] = {.lex_state = 260},
  [1875] = {.lex_state = 260},
  [1876] = {.lex_state = 260},
  [1877] = {.lex_state = 260},
  [1878] = {.lex_state = 260},
  [1879] = {.lex_state = 260},
  [1880] = {.lex_state = 528, .external_lex_state = 1},
  [1881] = {.lex_state = 528, .external_lex_state = 1},
  [1882] = {.lex_state = 528, .external_lex_state = 1},
  [1883] = {.lex_state = 398},
  [1884] = {.lex_state = 528, .external_lex_state = 1},
  [1885] = {.lex_state = 528, .external_lex_state = 1},
  [1886] = {.lex_state = 392},
  [1887] = {.lex_state = 298},
  [1888] = {.lex_state = 528, .external_lex_state = 1},
  [1889] = {.lex_state = 528, .external_lex_state = 1},
  [1890] = {.lex_state = 528, .external_lex_state = 1},
  [1891] = {.lex_state = 298},
  [1892] = {.lex_state = 298},
  [1893] = {.lex_state = 298},
  [1894] = {.lex_state = 398},
  [1895] = {.lex_state = 298},
  [1896] = {.lex_state = 298},
  [1897] = {.lex_state = 392},
  [1898] = {.lex_state = 298},
  [1899] = {.lex_state = 298},
  [1900] = {.lex_state = 298},
  [1901] = {.lex_state = 298},
  [1902] = {.lex_state = 392},
  [1903] = {.lex_state = 392},
  [1904] = {.lex_state = 392},
  [1905] = {.lex_state = 392},
  [1906] = {.lex_state = 392},
  [1907] = {.lex_state = 298},
  [1908] = {.lex_state = 260},
  [1909] = {.lex_state = 495, .external_lex_state = 1},
  [1910] = {.lex_state = 495, .external_lex_state = 1},
  [1911] = {.lex_state = 495, .external_lex_state = 1},
  [1912] = {.lex_state = 398},
  [1913] = {.lex_state = 398},
  [1914] = {.lex_state = 398},
  [1915] = {.lex_state = 398},
  [1916] = {.lex_state = 398},
  [1917] = {.lex_state = 398},
  [1918] = {.lex_state = 398},
  [1919] = {.lex_state = 395},
  [1920] = {.lex_state = 392},
  [1921] = {.lex_state = 298},
  [1922] = {.lex_state = 298},
  [1923] = {.lex_state = 298},
  [1924] = {.lex_state = 298},
  [1925] = {.lex_state = 298},
  [1926] = {.lex_state = 298},
  [1927] = {.lex_state = 260},
  [1928] = {.lex_state = 260},
  [1929] = {.lex_state = 260},
  [1930] = {.lex_state = 260},
  [1931] = {.lex_state = 260},
  [1932] = {.lex_state = 260},
  [1933] = {.lex_state = 260},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 505},
  [1936] = {.lex_state = 417},
  [1937] = {.lex_state = 453},
  [1938] = {.lex_state = 392},
  [1939] = {.lex_state = 417},
  [1940] = {.lex_state = 392},
  [1941] = {.lex_state = 417},
  [1942] = {.lex_state = 417},
  [1943] = {.lex_state = 417},
  [1944] = {.lex_state = 486},
  [1945] = {.lex_state = 298},
  [1946] = {.lex_state = 486},
  [1947] = {.lex_state = 298},
  [1948] = {.lex_state = 298},
  [1949] = {.lex_state = 298},
  [1950] = {.lex_state = 398},
  [1951] = {.lex_state = 298},
  [1952] = {.lex_state = 447},
  [1953] = {.lex_state = 398},
  [1954] = {.lex_state = 398},
  [1955] = {.lex_state = 398},
  [1956] = {.lex_state = 398},
  [1957] = {.lex_state = 398},
  [1958] = {.lex_state = 398},
  [1959] = {.lex_state = 298},
  [1960] = {.lex_state = 298},
  [1961] = {.lex_state = 260},
  [1962] = {.lex_state = 298},
  [1963] = {.lex_state = 298},
  [1964] = {.lex_state = 298},
  [1965] = {.lex_state = 298},
  [1966] = {.lex_state = 298},
  [1967] = {.lex_state = 260},
  [1968] = {.lex_state = 260},
  [1969] = {.lex_state = 260},
  [1970] = {.lex_state = 260},
  [1971] = {.lex_state = 260},
  [1972] = {.lex_state = 260},
  [1973] = {.lex_state = 494, .external_lex_state = 1},
  [1974] = {.lex_state = 498, .external_lex_state = 1},
  [1975] = {.lex_state = 498, .external_lex_state = 1},
  [1976] = {.lex_state = 498, .external_lex_state = 1},
  [1977] = {.lex_state = 498, .external_lex_state = 1},
  [1978] = {.lex_state = 498, .external_lex_state = 1},
  [1979] = {.lex_state = 298},
  [1980] = {.lex_state = 298},
  [1981] = {.lex_state = 298},
  [1982] = {.lex_state = 298},
  [1983] = {.lex_state = 298},
  [1984] = {.lex_state = 298},
  [1985] = {.lex_state = 260},
  [1986] = {.lex_state = 260},
  [1987] = {.lex_state = 498},
  [1988] = {.lex_state = 260},
  [1989] = {.lex_state = 260},
  [1990] = {.lex_state = 260},
  [1991] = {.lex_state = 260},
  [1992] = {.lex_state = 260},
  [1993] = {.lex_state = 520},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 410, .external_lex_state = 1},
  [1996] = {.lex_state = 492, .external_lex_state = 1},
  [1997] = {.lex_state = 298},
  [1998] = {.lex_state = 395},
  [1999] = {.lex_state = 395},
  [2000] = {.lex_state = 0},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 521},
  [2003] = {.lex_state = 395},
  [2004] = {.lex_state = 521},
  [2005] = {.lex_state = 521},
  [2006] = {.lex_state = 410, .external_lex_state = 1},
  [2007] = {.lex_state = 521},
  [2008] = {.lex_state = 471, .external_lex_state = 1},
  [2009] = {.lex_state = 521},
  [2010] = {.lex_state = 471, .external_lex_state = 1},
  [2011] = {.lex_state = 298},
  [2012] = {.lex_state = 392},
  [2013] = {.lex_state = 395},
  [2014] = {.lex_state = 395},
  [2015] = {.lex_state = 395},
  [2016] = {.lex_state = 0},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 0},
  [2020] = {.lex_state = 260},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 0},
  [2023] = {.lex_state = 409, .external_lex_state = 1},
  [2024] = {.lex_state = 409, .external_lex_state = 1},
  [2025] = {.lex_state = 410, .external_lex_state = 1},
  [2026] = {.lex_state = 411, .external_lex_state = 1},
  [2027] = {.lex_state = 398},
  [2028] = {.lex_state = 533},
  [2029] = {.lex_state = 421},
  [2030] = {.lex_state = 424, .external_lex_state = 1},
  [2031] = {.lex_state = 395},
  [2032] = {.lex_state = 446, .external_lex_state = 1},
  [2033] = {.lex_state = 533},
  [2034] = {.lex_state = 533},
  [2035] = {.lex_state = 410, .external_lex_state = 1},
  [2036] = {.lex_state = 534, .external_lex_state = 1},
  [2037] = {.lex_state = 534, .external_lex_state = 1},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 298},
  [2040] = {.lex_state = 521},
  [2041] = {.lex_state = 395},
  [2042] = {.lex_state = 395},
  [2043] = {.lex_state = 501, .external_lex_state = 1},
  [2044] = {.lex_state = 398},
  [2045] = {.lex_state = 502, .external_lex_state = 1},
  [2046] = {.lex_state = 502, .external_lex_state = 1},
  [2047] = {.lex_state = 521},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 532},
  [2050] = {.lex_state = 392},
  [2051] = {.lex_state = 0},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 535},
  [2054] = {.lex_state = 521},
  [2055] = {.lex_state = 521},
  [2056] = {.lex_state = 521},
  [2057] = {.lex_state = 521},
  [2058] = {.lex_state = 521},
  [2059] = {.lex_state = 521},
  [2060] = {.lex_state = 486},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 530, .external_lex_state = 1},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 0},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 0},
  [2067] = {.lex_state = 392},
  [2068] = {.lex_state = 530, .external_lex_state = 1},
  [2069] = {.lex_state = 521},
  [2070] = {.lex_state = 398},
  [2071] = {.lex_state = 298},
  [2072] = {.lex_state = 298},
  [2073] = {.lex_state = 398},
  [2074] = {.lex_state = 392},
  [2075] = {.lex_state = 392},
  [2076] = {.lex_state = 392},
  [2077] = {.lex_state = 392},
  [2078] = {.lex_state = 392},
  [2079] = {.lex_state = 392},
  [2080] = {.lex_state = 528, .external_lex_state = 1},
  [2081] = {.lex_state = 398},
  [2082] = {.lex_state = 298},
  [2083] = {.lex_state = 398},
  [2084] = {.lex_state = 398},
  [2085] = {.lex_state = 398},
  [2086] = {.lex_state = 398},
  [2087] = {.lex_state = 398},
  [2088] = {.lex_state = 398},
  [2089] = {.lex_state = 398},
  [2090] = {.lex_state = 298},
  [2091] = {.lex_state = 298},
  [2092] = {.lex_state = 260},
  [2093] = {.lex_state = 298},
  [2094] = {.lex_state = 298},
  [2095] = {.lex_state = 298},
  [2096] = {.lex_state = 298},
  [2097] = {.lex_state = 298},
  [2098] = {.lex_state = 298},
  [2099] = {.lex_state = 260},
  [2100] = {.lex_state = 260},
  [2101] = {.lex_state = 260},
  [2102] = {.lex_state = 260},
  [2103] = {.lex_state = 260},
  [2104] = {.lex_state = 260},
  [2105] = {.lex_state = 392},
  [2106] = {.lex_state = 417},
  [2107] = {.lex_state = 417},
  [2108] = {.lex_state = 392},
  [2109] = {.lex_state = 417},
  [2110] = {.lex_state = 392},
  [2111] = {.lex_state = 392},
  [2112] = {.lex_state = 392},
  [2113] = {.lex_state = 392},
  [2114] = {.lex_state = 392},
  [2115] = {.lex_state = 486},
  [2116] = {.lex_state = 298},
  [2117] = {.lex_state = 298},
  [2118] = {.lex_state = 298},
  [2119] = {.lex_state = 298},
  [2120] = {.lex_state = 298},
  [2121] = {.lex_state = 298},
  [2122] = {.lex_state = 298},
  [2123] = {.lex_state = 260},
  [2124] = {.lex_state = 260},
  [2125] = {.lex_state = 260},
  [2126] = {.lex_state = 260},
  [2127] = {.lex_state = 260},
  [2128] = {.lex_state = 260},
  [2129] = {.lex_state = 260},
  [2130] = {.lex_state = 260},
  [2131] = {.lex_state = 260},
  [2132] = {.lex_state = 260},
  [2133] = {.lex_state = 260},
  [2134] = {.lex_state = 260},
  [2135] = {.lex_state = 260},
  [2136] = {.lex_state = 498},
  [2137] = {.lex_state = 498},
  [2138] = {.lex_state = 498},
  [2139] = {.lex_state = 498},
  [2140] = {.lex_state = 498},
  [2141] = {.lex_state = 498},
  [2142] = {.lex_state = 498},
  [2143] = {.lex_state = 520},
  [2144] = {.lex_state = 521},
  [2145] = {.lex_state = 486},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 521, .external_lex_state = 1},
  [2148] = {.lex_state = 0},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 0},
  [2152] = {.lex_state = 392},
  [2153] = {.lex_state = 521, .external_lex_state = 1},
  [2154] = {.lex_state = 298},
  [2155] = {.lex_state = 521},
  [2156] = {.lex_state = 521},
  [2157] = {.lex_state = 521},
  [2158] = {.lex_state = 298},
  [2159] = {.lex_state = 398},
  [2160] = {.lex_state = 395},
  [2161] = {.lex_state = 0},
  [2162] = {.lex_state = 395},
  [2163] = {.lex_state = 462, .external_lex_state = 1},
  [2164] = {.lex_state = 533},
  [2165] = {.lex_state = 533, .external_lex_state = 1},
  [2166] = {.lex_state = 0},
  [2167] = {.lex_state = 536, .external_lex_state = 1},
  [2168] = {.lex_state = 392},
  [2169] = {.lex_state = 410, .external_lex_state = 1},
  [2170] = {.lex_state = 298},
  [2171] = {.lex_state = 471, .external_lex_state = 1},
  [2172] = {.lex_state = 471, .external_lex_state = 1},
  [2173] = {.lex_state = 260},
  [2174] = {.lex_state = 0},
  [2175] = {.lex_state = 472},
  [2176] = {.lex_state = 260},
  [2177] = {.lex_state = 0},
  [2178] = {.lex_state = 392},
  [2179] = {.lex_state = 537},
  [2180] = {.lex_state = 260},
  [2181] = {.lex_state = 533},
  [2182] = {.lex_state = 410, .external_lex_state = 1},
  [2183] = {.lex_state = 533},
  [2184] = {.lex_state = 410, .external_lex_state = 1},
  [2185] = {.lex_state = 533},
  [2186] = {.lex_state = 533},
  [2187] = {.lex_state = 410, .external_lex_state = 1},
  [2188] = {.lex_state = 410, .external_lex_state = 1},
  [2189] = {.lex_state = 298},
  [2190] = {.lex_state = 395},
  [2191] = {.lex_state = 395},
  [2192] = {.lex_state = 0},
  [2193] = {.lex_state = 0},
  [2194] = {.lex_state = 260},
  [2195] = {.lex_state = 260},
  [2196] = {.lex_state = 533},
  [2197] = {.lex_state = 533},
  [2198] = {.lex_state = 298},
  [2199] = {.lex_state = 421},
  [2200] = {.lex_state = 521},
  [2201] = {.lex_state = 298},
  [2202] = {.lex_state = 495, .external_lex_state = 1},
  [2203] = {.lex_state = 495, .external_lex_state = 1},
  [2204] = {.lex_state = 495, .external_lex_state = 1},
  [2205] = {.lex_state = 398},
  [2206] = {.lex_state = 398},
  [2207] = {.lex_state = 398},
  [2208] = {.lex_state = 398},
  [2209] = {.lex_state = 398},
  [2210] = {.lex_state = 398},
  [2211] = {.lex_state = 398},
  [2212] = {.lex_state = 410, .external_lex_state = 1},
  [2213] = {.lex_state = 532},
  [2214] = {.lex_state = 392},
  [2215] = {.lex_state = 395},
  [2216] = {.lex_state = 535},
  [2217] = {.lex_state = 392},
  [2218] = {.lex_state = 521},
  [2219] = {.lex_state = 521},
  [2220] = {.lex_state = 530, .external_lex_state = 1},
  [2221] = {.lex_state = 486},
  [2222] = {.lex_state = 530, .external_lex_state = 1},
  [2223] = {.lex_state = 0},
  [2224] = {.lex_state = 530, .external_lex_state = 1},
  [2225] = {.lex_state = 0},
  [2226] = {.lex_state = 530, .external_lex_state = 1},
  [2227] = {.lex_state = 530, .external_lex_state = 1},
  [2228] = {.lex_state = 392},
  [2229] = {.lex_state = 492, .external_lex_state = 1},
  [2230] = {.lex_state = 0},
  [2231] = {.lex_state = 298},
  [2232] = {.lex_state = 528, .external_lex_state = 1},
  [2233] = {.lex_state = 298},
  [2234] = {.lex_state = 298},
  [2235] = {.lex_state = 298},
  [2236] = {.lex_state = 298},
  [2237] = {.lex_state = 298},
  [2238] = {.lex_state = 298},
  [2239] = {.lex_state = 298},
  [2240] = {.lex_state = 260},
  [2241] = {.lex_state = 260},
  [2242] = {.lex_state = 260},
  [2243] = {.lex_state = 260},
  [2244] = {.lex_state = 260},
  [2245] = {.lex_state = 260},
  [2246] = {.lex_state = 260},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 417},
  [2249] = {.lex_state = 392},
  [2250] = {.lex_state = 417},
  [2251] = {.lex_state = 417},
  [2252] = {.lex_state = 417},
  [2253] = {.lex_state = 417},
  [2254] = {.lex_state = 260},
  [2255] = {.lex_state = 260},
  [2256] = {.lex_state = 260},
  [2257] = {.lex_state = 260},
  [2258] = {.lex_state = 260},
  [2259] = {.lex_state = 260},
  [2260] = {.lex_state = 498},
  [2261] = {.lex_state = 498},
  [2262] = {.lex_state = 498},
  [2263] = {.lex_state = 498},
  [2264] = {.lex_state = 498},
  [2265] = {.lex_state = 498},
  [2266] = {.lex_state = 521, .external_lex_state = 1},
  [2267] = {.lex_state = 486},
  [2268] = {.lex_state = 521, .external_lex_state = 1},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 521, .external_lex_state = 1},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 521, .external_lex_state = 1},
  [2273] = {.lex_state = 521, .external_lex_state = 1},
  [2274] = {.lex_state = 392},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 410, .external_lex_state = 1},
  [2277] = {.lex_state = 492, .external_lex_state = 1},
  [2278] = {.lex_state = 298},
  [2279] = {.lex_state = 395},
  [2280] = {.lex_state = 395},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 533},
  [2284] = {.lex_state = 395},
  [2285] = {.lex_state = 533},
  [2286] = {.lex_state = 533},
  [2287] = {.lex_state = 410, .external_lex_state = 1},
  [2288] = {.lex_state = 533},
  [2289] = {.lex_state = 471, .external_lex_state = 1},
  [2290] = {.lex_state = 533},
  [2291] = {.lex_state = 471, .external_lex_state = 1},
  [2292] = {.lex_state = 533},
  [2293] = {.lex_state = 298},
  [2294] = {.lex_state = 533},
  [2295] = {.lex_state = 395},
  [2296] = {.lex_state = 395},
  [2297] = {.lex_state = 501, .external_lex_state = 1},
  [2298] = {.lex_state = 398},
  [2299] = {.lex_state = 502, .external_lex_state = 1},
  [2300] = {.lex_state = 502, .external_lex_state = 1},
  [2301] = {.lex_state = 533},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 537},
  [2304] = {.lex_state = 392},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 0},
  [2307] = {.lex_state = 538},
  [2308] = {.lex_state = 533},
  [2309] = {.lex_state = 533},
  [2310] = {.lex_state = 533},
  [2311] = {.lex_state = 533},
  [2312] = {.lex_state = 533},
  [2313] = {.lex_state = 533},
  [2314] = {.lex_state = 486},
  [2315] = {.lex_state = 0},
  [2316] = {.lex_state = 534, .external_lex_state = 1},
  [2317] = {.lex_state = 0},
  [2318] = {.lex_state = 0},
  [2319] = {.lex_state = 0},
  [2320] = {.lex_state = 0},
  [2321] = {.lex_state = 392},
  [2322] = {.lex_state = 534, .external_lex_state = 1},
  [2323] = {.lex_state = 533},
  [2324] = {.lex_state = 521},
  [2325] = {.lex_state = 398},
  [2326] = {.lex_state = 298},
  [2327] = {.lex_state = 521},
  [2328] = {.lex_state = 398},
  [2329] = {.lex_state = 398},
  [2330] = {.lex_state = 398},
  [2331] = {.lex_state = 398},
  [2332] = {.lex_state = 398},
  [2333] = {.lex_state = 398},
  [2334] = {.lex_state = 298},
  [2335] = {.lex_state = 298},
  [2336] = {.lex_state = 260},
  [2337] = {.lex_state = 298},
  [2338] = {.lex_state = 298},
  [2339] = {.lex_state = 298},
  [2340] = {.lex_state = 298},
  [2341] = {.lex_state = 298},
  [2342] = {.lex_state = 521},
  [2343] = {.lex_state = 535},
  [2344] = {.lex_state = 392},
  [2345] = {.lex_state = 298},
  [2346] = {.lex_state = 521},
  [2347] = {.lex_state = 530, .external_lex_state = 1},
  [2348] = {.lex_state = 530, .external_lex_state = 1},
  [2349] = {.lex_state = 530, .external_lex_state = 1},
  [2350] = {.lex_state = 530, .external_lex_state = 1},
  [2351] = {.lex_state = 521},
  [2352] = {.lex_state = 530, .external_lex_state = 1},
  [2353] = {.lex_state = 260},
  [2354] = {.lex_state = 260},
  [2355] = {.lex_state = 260},
  [2356] = {.lex_state = 260},
  [2357] = {.lex_state = 260},
  [2358] = {.lex_state = 260},
  [2359] = {.lex_state = 417},
  [2360] = {.lex_state = 521, .external_lex_state = 1},
  [2361] = {.lex_state = 521, .external_lex_state = 1},
  [2362] = {.lex_state = 521, .external_lex_state = 1},
  [2363] = {.lex_state = 521, .external_lex_state = 1},
  [2364] = {.lex_state = 521, .external_lex_state = 1},
  [2365] = {.lex_state = 533},
  [2366] = {.lex_state = 486},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 533, .external_lex_state = 1},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 0},
  [2371] = {.lex_state = 0},
  [2372] = {.lex_state = 0},
  [2373] = {.lex_state = 392},
  [2374] = {.lex_state = 533, .external_lex_state = 1},
  [2375] = {.lex_state = 298},
  [2376] = {.lex_state = 533},
  [2377] = {.lex_state = 533},
  [2378] = {.lex_state = 533},
  [2379] = {.lex_state = 260},
  [2380] = {.lex_state = 533},
  [2381] = {.lex_state = 298},
  [2382] = {.lex_state = 495, .external_lex_state = 1},
  [2383] = {.lex_state = 495, .external_lex_state = 1},
  [2384] = {.lex_state = 495, .external_lex_state = 1},
  [2385] = {.lex_state = 398},
  [2386] = {.lex_state = 398},
  [2387] = {.lex_state = 398},
  [2388] = {.lex_state = 398},
  [2389] = {.lex_state = 398},
  [2390] = {.lex_state = 398},
  [2391] = {.lex_state = 398},
  [2392] = {.lex_state = 410, .external_lex_state = 1},
  [2393] = {.lex_state = 537},
  [2394] = {.lex_state = 392},
  [2395] = {.lex_state = 395},
  [2396] = {.lex_state = 538},
  [2397] = {.lex_state = 392},
  [2398] = {.lex_state = 533},
  [2399] = {.lex_state = 533},
  [2400] = {.lex_state = 534, .external_lex_state = 1},
  [2401] = {.lex_state = 486},
  [2402] = {.lex_state = 534, .external_lex_state = 1},
  [2403] = {.lex_state = 0},
  [2404] = {.lex_state = 534, .external_lex_state = 1},
  [2405] = {.lex_state = 0},
  [2406] = {.lex_state = 534, .external_lex_state = 1},
  [2407] = {.lex_state = 534, .external_lex_state = 1},
  [2408] = {.lex_state = 392},
  [2409] = {.lex_state = 492, .external_lex_state = 1},
  [2410] = {.lex_state = 0},
  [2411] = {.lex_state = 298},
  [2412] = {.lex_state = 298},
  [2413] = {.lex_state = 298},
  [2414] = {.lex_state = 298},
  [2415] = {.lex_state = 298},
  [2416] = {.lex_state = 298},
  [2417] = {.lex_state = 260},
  [2418] = {.lex_state = 260},
  [2419] = {.lex_state = 521},
  [2420] = {.lex_state = 260},
  [2421] = {.lex_state = 260},
  [2422] = {.lex_state = 260},
  [2423] = {.lex_state = 260},
  [2424] = {.lex_state = 260},
  [2425] = {.lex_state = 535},
  [2426] = {.lex_state = 0},
  [2427] = {.lex_state = 533, .external_lex_state = 1},
  [2428] = {.lex_state = 486},
  [2429] = {.lex_state = 533, .external_lex_state = 1},
  [2430] = {.lex_state = 0},
  [2431] = {.lex_state = 533, .external_lex_state = 1},
  [2432] = {.lex_state = 0},
  [2433] = {.lex_state = 533, .external_lex_state = 1},
  [2434] = {.lex_state = 533, .external_lex_state = 1},
  [2435] = {.lex_state = 392},
  [2436] = {.lex_state = 0},
  [2437] = {.lex_state = 533},
  [2438] = {.lex_state = 533},
  [2439] = {.lex_state = 398},
  [2440] = {.lex_state = 398},
  [2441] = {.lex_state = 398},
  [2442] = {.lex_state = 398},
  [2443] = {.lex_state = 398},
  [2444] = {.lex_state = 398},
  [2445] = {.lex_state = 298},
  [2446] = {.lex_state = 298},
  [2447] = {.lex_state = 260},
  [2448] = {.lex_state = 298},
  [2449] = {.lex_state = 298},
  [2450] = {.lex_state = 298},
  [2451] = {.lex_state = 298},
  [2452] = {.lex_state = 298},
  [2453] = {.lex_state = 533},
  [2454] = {.lex_state = 538},
  [2455] = {.lex_state = 392},
  [2456] = {.lex_state = 298},
  [2457] = {.lex_state = 533},
  [2458] = {.lex_state = 534, .external_lex_state = 1},
  [2459] = {.lex_state = 534, .external_lex_state = 1},
  [2460] = {.lex_state = 534, .external_lex_state = 1},
  [2461] = {.lex_state = 534, .external_lex_state = 1},
  [2462] = {.lex_state = 533},
  [2463] = {.lex_state = 534, .external_lex_state = 1},
  [2464] = {.lex_state = 260},
  [2465] = {.lex_state = 260},
  [2466] = {.lex_state = 260},
  [2467] = {.lex_state = 260},
  [2468] = {.lex_state = 260},
  [2469] = {.lex_state = 260},
  [2470] = {.lex_state = 521},
  [2471] = {.lex_state = 521},
  [2472] = {.lex_state = 521},
  [2473] = {.lex_state = 521},
  [2474] = {.lex_state = 521},
  [2475] = {.lex_state = 521},
  [2476] = {.lex_state = 521},
  [2477] = {.lex_state = 535},
  [2478] = {.lex_state = 533, .external_lex_state = 1},
  [2479] = {.lex_state = 533, .external_lex_state = 1},
  [2480] = {.lex_state = 533, .external_lex_state = 1},
  [2481] = {.lex_state = 533, .external_lex_state = 1},
  [2482] = {.lex_state = 533, .external_lex_state = 1},
  [2483] = {.lex_state = 298},
  [2484] = {.lex_state = 298},
  [2485] = {.lex_state = 298},
  [2486] = {.lex_state = 298},
  [2487] = {.lex_state = 298},
  [2488] = {.lex_state = 298},
  [2489] = {.lex_state = 260},
  [2490] = {.lex_state = 260},
  [2491] = {.lex_state = 533},
  [2492] = {.lex_state = 260},
  [2493] = {.lex_state = 260},
  [2494] = {.lex_state = 260},
  [2495] = {.lex_state = 260},
  [2496] = {.lex_state = 260},
  [2497] = {.lex_state = 538},
  [2498] = {.lex_state = 0},
  [2499] = {.lex_state = 521},
  [2500] = {.lex_state = 521},
  [2501] = {.lex_state = 521},
  [2502] = {.lex_state = 521},
  [2503] = {.lex_state = 521},
  [2504] = {.lex_state = 521},
  [2505] = {.lex_state = 260},
  [2506] = {.lex_state = 260},
  [2507] = {.lex_state = 260},
  [2508] = {.lex_state = 260},
  [2509] = {.lex_state = 260},
  [2510] = {.lex_state = 260},
  [2511] = {.lex_state = 533},
  [2512] = {.lex_state = 533},
  [2513] = {.lex_state = 533},
  [2514] = {.lex_state = 533},
  [2515] = {.lex_state = 533},
  [2516] = {.lex_state = 533},
  [2517] = {.lex_state = 533},
  [2518] = {.lex_state = 538},
  [2519] = {.lex_state = 533},
  [2520] = {.lex_state = 533},
  [2521] = {.lex_state = 533},
  [2522] = {.lex_state = 533},
  [2523] = {.lex_state = 533},
  [2524] = {.lex_state = 533},
};

enum {
  ts_external_token__automatic_semicolon,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
};

static bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym__automatic_semicolon] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(3),
    [anon_sym_export] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_var] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(3),
    [anon_sym_const] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_switch] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_do] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(3),
    [anon_sym_with] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_continue] = ACTIONS(3),
    [anon_sym_debugger] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_throw] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(3),
    [anon_sym_catch] = ACTIONS(3),
    [anon_sym_finally] = ACTIONS(3),
    [anon_sym_yield] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3),
    [anon_sym_function] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(3),
    [anon_sym_await] = ACTIONS(3),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_GT_GT_GT] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(3),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(3),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(3),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(3),
    [anon_sym_void] = ACTIONS(3),
    [anon_sym_delete] = ACTIONS(3),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym_string] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_number] = ACTIONS(3),
    [sym_identifier] = ACTIONS(8),
    [sym_this] = ACTIONS(3),
    [sym_super] = ACTIONS(3),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [sym_null] = ACTIONS(3),
    [sym_undefined] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(3),
    [anon_sym_set] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(39),
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(10),
    [sym_hash_bang_line] = ACTIONS(12),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(94),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [3] = {
    [sym_export_clause] = STATE(62),
    [sym__declaration] = STATE(63),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_class] = STATE(64),
    [sym_function] = STATE(64),
    [sym_generator_function] = STATE(64),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(65),
    [anon_sym_STAR] = ACTIONS(96),
    [anon_sym_default] = ACTIONS(98),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(102),
    [anon_sym_let] = ACTIONS(104),
    [anon_sym_const] = ACTIONS(104),
    [anon_sym_class] = ACTIONS(106),
    [anon_sym_async] = ACTIONS(108),
    [anon_sym_function] = ACTIONS(110),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [4] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(116),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [5] = {
    [sym_import_clause] = STATE(92),
    [sym_namespace_import] = STATE(93),
    [sym_named_imports] = STATE(93),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(144),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(146),
    [sym_identifier] = ACTIONS(148),
  },
  [6] = {
    [sym_variable_declarator] = STATE(97),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [7] = {
    [sym_variable_declarator] = STATE(100),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [8] = {
    [sym_parenthesized_expression] = STATE(102),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [9] = {
    [sym_parenthesized_expression] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [10] = {
    [anon_sym_LPAREN] = ACTIONS(158),
    [sym_comment] = ACTIONS(76),
  },
  [11] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(125),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(127),
    [sym_assignment_pattern] = STATE(128),
    [sym_array] = STATE(129),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [sym_rest_parameter] = STATE(128),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(164),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(200),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [12] = {
    [sym_parenthesized_expression] = STATE(136),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [13] = {
    [sym_export_statement] = STATE(148),
    [sym__declaration] = STATE(148),
    [sym_import_statement] = STATE(148),
    [sym_expression_statement] = STATE(148),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(148),
    [sym_if_statement] = STATE(148),
    [sym_switch_statement] = STATE(148),
    [sym_for_statement] = STATE(148),
    [sym_for_in_statement] = STATE(148),
    [sym_for_of_statement] = STATE(148),
    [sym_while_statement] = STATE(148),
    [sym_do_statement] = STATE(148),
    [sym_try_statement] = STATE(148),
    [sym_with_statement] = STATE(148),
    [sym_break_statement] = STATE(148),
    [sym_continue_statement] = STATE(148),
    [sym_debugger_statement] = STATE(148),
    [sym_return_statement] = STATE(148),
    [sym_throw_statement] = STATE(148),
    [sym_empty_statement] = STATE(148),
    [sym_labeled_statement] = STATE(148),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [14] = {
    [sym_statement_block] = STATE(153),
    [anon_sym_LBRACE] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [15] = {
    [sym_parenthesized_expression] = STATE(154),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [16] = {
    [sym__automatic_semicolon] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(230),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(232),
  },
  [17] = {
    [sym__automatic_semicolon] = ACTIONS(234),
    [anon_sym_SEMI] = ACTIONS(234),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(236),
  },
  [18] = {
    [sym__automatic_semicolon] = ACTIONS(238),
    [anon_sym_SEMI] = ACTIONS(238),
    [sym_comment] = ACTIONS(76),
  },
  [19] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(163),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(240),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(240),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [20] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(166),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [21] = {
    [ts_builtin_sym_end] = ACTIONS(246),
    [anon_sym_export] = ACTIONS(248),
    [anon_sym_LBRACE] = ACTIONS(246),
    [anon_sym_RBRACE] = ACTIONS(246),
    [anon_sym_import] = ACTIONS(248),
    [anon_sym_var] = ACTIONS(248),
    [anon_sym_let] = ACTIONS(248),
    [anon_sym_const] = ACTIONS(248),
    [anon_sym_if] = ACTIONS(248),
    [anon_sym_switch] = ACTIONS(248),
    [anon_sym_for] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(246),
    [anon_sym_while] = ACTIONS(248),
    [anon_sym_do] = ACTIONS(248),
    [anon_sym_try] = ACTIONS(248),
    [anon_sym_with] = ACTIONS(248),
    [anon_sym_break] = ACTIONS(248),
    [anon_sym_continue] = ACTIONS(248),
    [anon_sym_debugger] = ACTIONS(248),
    [anon_sym_return] = ACTIONS(248),
    [anon_sym_throw] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(246),
    [anon_sym_yield] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(246),
    [anon_sym_LT] = ACTIONS(246),
    [anon_sym_class] = ACTIONS(248),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(248),
    [anon_sym_EQ_GT] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(248),
    [anon_sym_await] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(248),
    [anon_sym_DASH] = ACTIONS(248),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_typeof] = ACTIONS(248),
    [anon_sym_void] = ACTIONS(248),
    [anon_sym_delete] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(246),
    [anon_sym_DASH_DASH] = ACTIONS(246),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(246),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_regex] = ACTIONS(250),
    [sym_number] = ACTIONS(248),
    [sym_identifier] = ACTIONS(250),
    [sym_this] = ACTIONS(248),
    [sym_super] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [sym_undefined] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
  },
  [22] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(167),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(70),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [23] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(180),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(184),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(186),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(262),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [24] = {
    [sym_nested_identifier] = STATE(190),
    [sym_jsx_namespace_name] = STATE(191),
    [anon_sym_GT] = ACTIONS(284),
    [sym_jsx_identifier] = ACTIONS(286),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(288),
  },
  [25] = {
    [sym_class_heritage] = STATE(195),
    [sym_class_body] = STATE(196),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(294),
  },
  [26] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(313),
  },
  [27] = {
    [sym_formal_parameters] = STATE(207),
    [anon_sym_STAR] = ACTIONS(315),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(319),
  },
  [28] = {
    [sym_statement_block] = STATE(209),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(210),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [29] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(211),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [30] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(212),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [31] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(213),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [32] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(214),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [33] = {
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [34] = {
    [sym_template_substitution] = STATE(216),
    [aux_sym_template_string_repeat1] = STATE(218),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(327),
    [sym__template_chars] = ACTIONS(329),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(331),
  },
  [35] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [36] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [anon_sym_LPAREN] = ACTIONS(341),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [37] = {
    [sym__identifier_reference] = STATE(228),
    [sym_decorator_member_expression] = STATE(229),
    [sym_decorator_call_expression] = STATE(230),
    [anon_sym_async] = ACTIONS(343),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(343),
    [anon_sym_set] = ACTIONS(343),
  },
  [38] = {
    [sym__initializer] = STATE(204),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_comment] = ACTIONS(76),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(349),
    [anon_sym_export] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(351),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_switch] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(351),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_try] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_break] = ACTIONS(351),
    [anon_sym_continue] = ACTIONS(351),
    [anon_sym_debugger] = ACTIONS(351),
    [anon_sym_return] = ACTIONS(351),
    [anon_sym_throw] = ACTIONS(351),
    [anon_sym_SEMI] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(349),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_class] = ACTIONS(351),
    [anon_sym_async] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_EQ_GT] = ACTIONS(349),
    [anon_sym_new] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(351),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_TILDE] = ACTIONS(349),
    [anon_sym_typeof] = ACTIONS(351),
    [anon_sym_void] = ACTIONS(351),
    [anon_sym_delete] = ACTIONS(351),
    [anon_sym_PLUS_PLUS] = ACTIONS(349),
    [anon_sym_DASH_DASH] = ACTIONS(349),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(349),
    [anon_sym_BQUOTE] = ACTIONS(349),
    [sym_regex] = ACTIONS(353),
    [sym_number] = ACTIONS(351),
    [sym_identifier] = ACTIONS(353),
    [sym_this] = ACTIONS(351),
    [sym_super] = ACTIONS(351),
    [sym_true] = ACTIONS(351),
    [sym_false] = ACTIONS(351),
    [sym_null] = ACTIONS(351),
    [sym_undefined] = ACTIONS(351),
    [anon_sym_AT] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(351),
    [anon_sym_set] = ACTIONS(351),
  },
  [41] = {
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [42] = {
    [sym__automatic_semicolon] = ACTIONS(361),
    [anon_sym_SEMI] = ACTIONS(361),
    [sym_comment] = ACTIONS(76),
  },
  [43] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [44] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [45] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [46] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(246),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(247),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [47] = {
    [sym__automatic_semicolon] = ACTIONS(395),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [48] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(395),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [49] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [50] = {
    [sym__automatic_semicolon] = ACTIONS(363),
    [anon_sym_SEMI] = ACTIONS(363),
    [sym_comment] = ACTIONS(76),
  },
  [51] = {
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_STAR] = ACTIONS(399),
    [anon_sym_LBRACK] = ACTIONS(399),
    [anon_sym_class] = ACTIONS(397),
    [anon_sym_async] = ACTIONS(397),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(399),
    [sym_number] = ACTIONS(397),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_get] = ACTIONS(397),
    [anon_sym_set] = ACTIONS(397),
  },
  [52] = {
    [anon_sym_EQ_GT] = ACTIONS(309),
    [sym_comment] = ACTIONS(76),
  },
  [53] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(249),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(94),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [54] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_class] = ACTIONS(405),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [55] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(249),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(407),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [56] = {
    [sym__from_clause] = STATE(254),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [57] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(264),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [58] = {
    [sym__import_export_specifier] = STATE(272),
    [anon_sym_COMMA] = ACTIONS(431),
    [anon_sym_RBRACE] = ACTIONS(433),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [59] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(437),
  },
  [60] = {
    [anon_sym_function] = ACTIONS(439),
    [sym_comment] = ACTIONS(76),
  },
  [61] = {
    [sym_formal_parameters] = STATE(277),
    [anon_sym_STAR] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(443),
  },
  [62] = {
    [sym__from_clause] = STATE(254),
    [sym__automatic_semicolon] = ACTIONS(445),
    [anon_sym_from] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(445),
    [sym_comment] = ACTIONS(76),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(447),
    [anon_sym_export] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_var] = ACTIONS(449),
    [anon_sym_let] = ACTIONS(449),
    [anon_sym_const] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_debugger] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(447),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(449),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ_GT] = ACTIONS(447),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_typeof] = ACTIONS(449),
    [anon_sym_void] = ACTIONS(449),
    [anon_sym_delete] = ACTIONS(449),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(447),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_regex] = ACTIONS(451),
    [sym_number] = ACTIONS(449),
    [sym_identifier] = ACTIONS(451),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_undefined] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(449),
    [anon_sym_set] = ACTIONS(449),
  },
  [64] = {
    [sym__automatic_semicolon] = ACTIONS(395),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [65] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(453),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [66] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [67] = {
    [sym_object] = STATE(290),
    [sym_assignment_pattern] = STATE(291),
    [sym_array] = STATE(292),
    [sym_spread_element] = STATE(291),
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(291),
    [sym_pair] = STATE(291),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(294),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(467),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(477),
    [anon_sym_set] = ACTIONS(477),
  },
  [68] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(485),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [69] = {
    [sym_parenthesized_expression] = STATE(295),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [70] = {
    [anon_sym_LPAREN] = ACTIONS(489),
    [sym_comment] = ACTIONS(76),
  },
  [71] = {
    [sym_parenthesized_expression] = STATE(297),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [72] = {
    [sym_parenthesized_expression] = STATE(298),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [73] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(299),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(184),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(186),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(262),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [74] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(304),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(505),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(507),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [75] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(314),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [76] = {
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(531),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [77] = {
    [sym__initializer] = STATE(321),
    [aux_sym_object_repeat1] = STATE(304),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [78] = {
    [sym__identifier_reference] = STATE(322),
    [sym_decorator_member_expression] = STATE(323),
    [sym_decorator_call_expression] = STATE(230),
    [anon_sym_async] = ACTIONS(343),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(343),
    [anon_sym_set] = ACTIONS(343),
  },
  [79] = {
    [sym__initializer] = STATE(204),
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(304),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(505),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [80] = {
    [sym__initializer] = STATE(324),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [81] = {
    [aux_sym_object_repeat1] = STATE(326),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(547),
    [sym_comment] = ACTIONS(76),
  },
  [82] = {
    [sym__initializer] = STATE(327),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [83] = {
    [sym_formal_parameters] = STATE(329),
    [anon_sym_LPAREN] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(549),
    [sym_comment] = ACTIONS(76),
  },
  [84] = {
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_COLON] = ACTIONS(534),
    [sym_comment] = ACTIONS(76),
  },
  [85] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [86] = {
    [sym_decorator] = STATE(51),
    [sym_method_definition] = STATE(335),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(337),
    [anon_sym_export] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_class] = ACTIONS(557),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [87] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(547),
    [sym_comment] = ACTIONS(76),
  },
  [88] = {
    [anon_sym_as] = ACTIONS(563),
    [sym_comment] = ACTIONS(76),
  },
  [89] = {
    [sym__import_export_specifier] = STATE(342),
    [anon_sym_COMMA] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(567),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [90] = {
    [sym__automatic_semicolon] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(569),
    [sym_comment] = ACTIONS(76),
  },
  [91] = {
    [anon_sym_COMMA] = ACTIONS(571),
    [anon_sym_from] = ACTIONS(573),
    [sym_comment] = ACTIONS(76),
  },
  [92] = {
    [sym__from_clause] = STATE(345),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [93] = {
    [anon_sym_from] = ACTIONS(573),
    [sym_comment] = ACTIONS(76),
  },
  [94] = {
    [sym_object] = STATE(290),
    [sym_assignment_pattern] = STATE(350),
    [sym_array] = STATE(292),
    [sym_spread_element] = STATE(350),
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(350),
    [sym_pair] = STATE(350),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [aux_sym_object_repeat1] = STATE(352),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(581),
    [anon_sym_set] = ACTIONS(581),
  },
  [95] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(354),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(355),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(356),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(583),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [96] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [97] = {
    [aux_sym_variable_declaration_repeat1] = STATE(360),
    [sym__automatic_semicolon] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(589),
    [sym_comment] = ACTIONS(76),
  },
  [98] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [99] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [100] = {
    [aux_sym_variable_declaration_repeat1] = STATE(364),
    [sym__automatic_semicolon] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(597),
    [sym_comment] = ACTIONS(76),
  },
  [101] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(366),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [102] = {
    [sym_export_statement] = STATE(391),
    [sym__declaration] = STATE(391),
    [sym_import_statement] = STATE(391),
    [sym_expression_statement] = STATE(391),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(391),
    [sym_if_statement] = STATE(391),
    [sym_switch_statement] = STATE(391),
    [sym_for_statement] = STATE(391),
    [sym_for_in_statement] = STATE(391),
    [sym_for_of_statement] = STATE(391),
    [sym_while_statement] = STATE(391),
    [sym_do_statement] = STATE(391),
    [sym_try_statement] = STATE(391),
    [sym_with_statement] = STATE(391),
    [sym_break_statement] = STATE(391),
    [sym_continue_statement] = STATE(391),
    [sym_debugger_statement] = STATE(391),
    [sym_return_statement] = STATE(391),
    [sym_throw_statement] = STATE(391),
    [sym_empty_statement] = STATE(391),
    [sym_labeled_statement] = STATE(391),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [103] = {
    [sym_switch_body] = STATE(398),
    [anon_sym_LBRACE] = ACTIONS(645),
    [sym_comment] = ACTIONS(76),
  },
  [104] = {
    [sym_expression_statement] = STATE(403),
    [sym_variable_declaration] = STATE(403),
    [sym_lexical_declaration] = STATE(403),
    [sym_empty_statement] = STATE(403),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(405),
    [sym_array] = STATE(406),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(647),
    [anon_sym_let] = ACTIONS(649),
    [anon_sym_const] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(653),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [105] = {
    [sym_object] = STATE(290),
    [sym_assignment_pattern] = STATE(411),
    [sym_array] = STATE(292),
    [sym_spread_element] = STATE(411),
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(411),
    [sym_pair] = STATE(411),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(412),
    [aux_sym_object_repeat1] = STATE(413),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
  },
  [106] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(414),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(127),
    [sym_assignment_pattern] = STATE(128),
    [sym_array] = STATE(129),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [sym_rest_parameter] = STATE(128),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(164),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(200),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [107] = {
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [sym_comment] = ACTIONS(76),
  },
  [108] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(415),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [109] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(417),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(418),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(419),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [110] = {
    [sym_nested_identifier] = STATE(423),
    [sym_jsx_namespace_name] = STATE(424),
    [anon_sym_GT] = ACTIONS(669),
    [sym_jsx_identifier] = ACTIONS(671),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(673),
  },
  [111] = {
    [sym_class_heritage] = STATE(427),
    [sym_class_body] = STATE(428),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(677),
  },
  [112] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(434),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_PLUS_EQ] = ACTIONS(687),
    [anon_sym_DASH_EQ] = ACTIONS(687),
    [anon_sym_STAR_EQ] = ACTIONS(687),
    [anon_sym_SLASH_EQ] = ACTIONS(687),
    [anon_sym_PERCENT_EQ] = ACTIONS(687),
    [anon_sym_CARET_EQ] = ACTIONS(687),
    [anon_sym_AMP_EQ] = ACTIONS(687),
    [anon_sym_PIPE_EQ] = ACTIONS(687),
    [anon_sym_GT_GT_EQ] = ACTIONS(687),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(687),
    [anon_sym_LT_LT_EQ] = ACTIONS(687),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(689),
  },
  [113] = {
    [sym_formal_parameters] = STATE(438),
    [anon_sym_STAR] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(693),
  },
  [114] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(441),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [115] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [116] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(443),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [117] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(697),
  },
  [118] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [119] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [120] = {
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [121] = {
    [sym_template_substitution] = STATE(216),
    [aux_sym_template_string_repeat1] = STATE(448),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(699),
    [sym__template_chars] = ACTIONS(329),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(331),
  },
  [122] = {
    [sym__initializer] = STATE(454),
    [aux_sym_formal_parameters_repeat1] = STATE(455),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(704),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_PLUS_EQ] = ACTIONS(711),
    [anon_sym_DASH_EQ] = ACTIONS(711),
    [anon_sym_STAR_EQ] = ACTIONS(711),
    [anon_sym_SLASH_EQ] = ACTIONS(711),
    [anon_sym_PERCENT_EQ] = ACTIONS(711),
    [anon_sym_CARET_EQ] = ACTIONS(711),
    [anon_sym_AMP_EQ] = ACTIONS(711),
    [anon_sym_PIPE_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_LT_LT_EQ] = ACTIONS(711),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [123] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_LPAREN] = ACTIONS(713),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [124] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_PLUS_EQ] = ACTIONS(687),
    [anon_sym_DASH_EQ] = ACTIONS(687),
    [anon_sym_STAR_EQ] = ACTIONS(687),
    [anon_sym_SLASH_EQ] = ACTIONS(687),
    [anon_sym_PERCENT_EQ] = ACTIONS(687),
    [anon_sym_CARET_EQ] = ACTIONS(687),
    [anon_sym_AMP_EQ] = ACTIONS(687),
    [anon_sym_PIPE_EQ] = ACTIONS(687),
    [anon_sym_GT_GT_EQ] = ACTIONS(687),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(687),
    [anon_sym_LT_LT_EQ] = ACTIONS(687),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [125] = {
    [anon_sym_RPAREN] = ACTIONS(715),
    [sym_comment] = ACTIONS(76),
  },
  [126] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [127] = {
    [sym__initializer] = STATE(468),
    [aux_sym_formal_parameters_repeat1] = STATE(469),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [128] = {
    [aux_sym_formal_parameters_repeat1] = STATE(455),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(746),
    [sym_comment] = ACTIONS(76),
  },
  [129] = {
    [sym__initializer] = STATE(471),
    [aux_sym_formal_parameters_repeat1] = STATE(472),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(748),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [130] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(474),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(475),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(751),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [131] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [132] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_PLUS_EQ] = ACTIONS(711),
    [anon_sym_DASH_EQ] = ACTIONS(711),
    [anon_sym_STAR_EQ] = ACTIONS(711),
    [anon_sym_SLASH_EQ] = ACTIONS(711),
    [anon_sym_PERCENT_EQ] = ACTIONS(711),
    [anon_sym_CARET_EQ] = ACTIONS(711),
    [anon_sym_AMP_EQ] = ACTIONS(711),
    [anon_sym_PIPE_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_LT_LT_EQ] = ACTIONS(711),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [133] = {
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_RBRACK] = ACTIONS(363),
    [sym_comment] = ACTIONS(76),
  },
  [134] = {
    [anon_sym_EQ_GT] = ACTIONS(685),
    [sym_comment] = ACTIONS(76),
  },
  [135] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(753),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [136] = {
    [sym_export_statement] = STATE(478),
    [sym__declaration] = STATE(478),
    [sym_import_statement] = STATE(478),
    [sym_expression_statement] = STATE(478),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(478),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(478),
    [sym_for_statement] = STATE(478),
    [sym_for_in_statement] = STATE(478),
    [sym_for_of_statement] = STATE(478),
    [sym_while_statement] = STATE(478),
    [sym_do_statement] = STATE(478),
    [sym_try_statement] = STATE(478),
    [sym_with_statement] = STATE(478),
    [sym_break_statement] = STATE(478),
    [sym_continue_statement] = STATE(478),
    [sym_debugger_statement] = STATE(478),
    [sym_return_statement] = STATE(478),
    [sym_throw_statement] = STATE(478),
    [sym_empty_statement] = STATE(478),
    [sym_labeled_statement] = STATE(478),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [137] = {
    [sym_export_clause] = STATE(62),
    [sym__declaration] = STATE(63),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_class] = STATE(64),
    [sym_function] = STATE(64),
    [sym_generator_function] = STATE(64),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(482),
    [anon_sym_STAR] = ACTIONS(96),
    [anon_sym_default] = ACTIONS(98),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(102),
    [anon_sym_let] = ACTIONS(104),
    [anon_sym_const] = ACTIONS(104),
    [anon_sym_class] = ACTIONS(755),
    [anon_sym_async] = ACTIONS(757),
    [anon_sym_function] = ACTIONS(759),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [138] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [139] = {
    [sym_parenthesized_expression] = STATE(484),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [140] = {
    [anon_sym_LPAREN] = ACTIONS(763),
    [sym_comment] = ACTIONS(76),
  },
  [141] = {
    [sym_parenthesized_expression] = STATE(486),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [142] = {
    [sym_statement_block] = STATE(487),
    [anon_sym_LBRACE] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [143] = {
    [sym_parenthesized_expression] = STATE(488),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [144] = {
    [sym_class_heritage] = STATE(195),
    [sym_class_body] = STATE(196),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(765),
  },
  [145] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(313),
  },
  [146] = {
    [sym_formal_parameters] = STATE(493),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(771),
  },
  [147] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [148] = {
    [anon_sym_while] = ACTIONS(775),
    [sym_comment] = ACTIONS(76),
  },
  [149] = {
    [sym__automatic_semicolon] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [150] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [151] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(777),
    [anon_sym_class] = ACTIONS(779),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [152] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(499),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [153] = {
    [sym_catch_clause] = STATE(502),
    [sym_finally_clause] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(783),
    [anon_sym_export] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_var] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(785),
    [anon_sym_const] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_debugger] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_catch] = ACTIONS(787),
    [anon_sym_finally] = ACTIONS(789),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_EQ_GT] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_typeof] = ACTIONS(785),
    [anon_sym_void] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(783),
    [anon_sym_BQUOTE] = ACTIONS(783),
    [sym_regex] = ACTIONS(791),
    [sym_number] = ACTIONS(785),
    [sym_identifier] = ACTIONS(791),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(785),
    [anon_sym_set] = ACTIONS(785),
  },
  [154] = {
    [sym_export_statement] = STATE(504),
    [sym__declaration] = STATE(504),
    [sym_import_statement] = STATE(504),
    [sym_expression_statement] = STATE(504),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(504),
    [sym_if_statement] = STATE(504),
    [sym_switch_statement] = STATE(504),
    [sym_for_statement] = STATE(504),
    [sym_for_in_statement] = STATE(504),
    [sym_for_of_statement] = STATE(504),
    [sym_while_statement] = STATE(504),
    [sym_do_statement] = STATE(504),
    [sym_try_statement] = STATE(504),
    [sym_with_statement] = STATE(504),
    [sym_break_statement] = STATE(504),
    [sym_continue_statement] = STATE(504),
    [sym_debugger_statement] = STATE(504),
    [sym_return_statement] = STATE(504),
    [sym_throw_statement] = STATE(504),
    [sym_empty_statement] = STATE(504),
    [sym_labeled_statement] = STATE(504),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(795),
    [anon_sym_var] = ACTIONS(795),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_switch] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_do] = ACTIONS(795),
    [anon_sym_try] = ACTIONS(795),
    [anon_sym_with] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(795),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_debugger] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_throw] = ACTIONS(795),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_yield] = ACTIONS(795),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(795),
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ_GT] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_typeof] = ACTIONS(795),
    [anon_sym_void] = ACTIONS(795),
    [anon_sym_delete] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(793),
    [anon_sym_DASH_DASH] = ACTIONS(793),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(793),
    [anon_sym_BQUOTE] = ACTIONS(793),
    [sym_regex] = ACTIONS(797),
    [sym_number] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_undefined] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
  },
  [156] = {
    [sym__automatic_semicolon] = ACTIONS(799),
    [anon_sym_SEMI] = ACTIONS(799),
    [sym_comment] = ACTIONS(76),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(801),
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(803),
    [anon_sym_var] = ACTIONS(803),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_const] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_switch] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(803),
    [anon_sym_try] = ACTIONS(803),
    [anon_sym_with] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [anon_sym_debugger] = ACTIONS(803),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_throw] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_yield] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(803),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(801),
    [anon_sym_new] = ACTIONS(803),
    [anon_sym_await] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_TILDE] = ACTIONS(801),
    [anon_sym_typeof] = ACTIONS(803),
    [anon_sym_void] = ACTIONS(803),
    [anon_sym_delete] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(801),
    [anon_sym_DASH_DASH] = ACTIONS(801),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(801),
    [anon_sym_BQUOTE] = ACTIONS(801),
    [sym_regex] = ACTIONS(805),
    [sym_number] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_undefined] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
  },
  [158] = {
    [sym__automatic_semicolon] = ACTIONS(807),
    [anon_sym_SEMI] = ACTIONS(807),
    [sym_comment] = ACTIONS(76),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(811),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_switch] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_do] = ACTIONS(811),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_with] = ACTIONS(811),
    [anon_sym_break] = ACTIONS(811),
    [anon_sym_continue] = ACTIONS(811),
    [anon_sym_debugger] = ACTIONS(811),
    [anon_sym_return] = ACTIONS(811),
    [anon_sym_throw] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ_GT] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_typeof] = ACTIONS(811),
    [anon_sym_void] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(809),
    [anon_sym_DASH_DASH] = ACTIONS(809),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(809),
    [anon_sym_BQUOTE] = ACTIONS(809),
    [sym_regex] = ACTIONS(813),
    [sym_number] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_this] = ACTIONS(811),
    [sym_super] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_undefined] = ACTIONS(811),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [anon_sym_export] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_const] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_debugger] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_EQ_GT] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(817),
    [anon_sym_void] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(817),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(815),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_regex] = ACTIONS(819),
    [sym_number] = ACTIONS(817),
    [sym_identifier] = ACTIONS(819),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_null] = ACTIONS(817),
    [sym_undefined] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(815),
    [anon_sym_get] = ACTIONS(817),
    [anon_sym_set] = ACTIONS(817),
  },
  [161] = {
    [sym_object] = STATE(290),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(292),
    [sym_spread_element] = STATE(81),
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(511),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(827),
    [anon_sym_set] = ACTIONS(827),
  },
  [162] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [163] = {
    [sym__automatic_semicolon] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(829),
    [sym_comment] = ACTIONS(76),
  },
  [164] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [165] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(779),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [166] = {
    [sym__automatic_semicolon] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(831),
    [sym_comment] = ACTIONS(76),
  },
  [167] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [168] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(514),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(515),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [169] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(516),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [170] = {
    [sym__automatic_semicolon] = ACTIONS(837),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(837),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_of] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_LT] = ACTIONS(839),
    [anon_sym_GT] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(837),
    [anon_sym_AMP_AMP] = ACTIONS(837),
    [anon_sym_PIPE_PIPE] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_GT_GT_GT] = ACTIONS(837),
    [anon_sym_LT_LT] = ACTIONS(837),
    [anon_sym_AMP] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(837),
    [anon_sym_PIPE] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(837),
    [anon_sym_EQ_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(837),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(837),
    [anon_sym_GT_EQ] = ACTIONS(837),
    [anon_sym_instanceof] = ACTIONS(837),
    [anon_sym_PLUS_PLUS] = ACTIONS(837),
    [anon_sym_DASH_DASH] = ACTIONS(837),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(837),
  },
  [171] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(520),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_RBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(843),
    [anon_sym_PLUS_EQ] = ACTIONS(845),
    [anon_sym_DASH_EQ] = ACTIONS(845),
    [anon_sym_STAR_EQ] = ACTIONS(845),
    [anon_sym_SLASH_EQ] = ACTIONS(845),
    [anon_sym_PERCENT_EQ] = ACTIONS(845),
    [anon_sym_CARET_EQ] = ACTIONS(845),
    [anon_sym_AMP_EQ] = ACTIONS(845),
    [anon_sym_PIPE_EQ] = ACTIONS(845),
    [anon_sym_GT_GT_EQ] = ACTIONS(845),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(845),
    [anon_sym_LT_LT_EQ] = ACTIONS(845),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(847),
  },
  [172] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(521),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [173] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [174] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(522),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [175] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(523),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [176] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [177] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [178] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_EQ_GT] = ACTIONS(843),
    [anon_sym_PLUS_EQ] = ACTIONS(851),
    [anon_sym_DASH_EQ] = ACTIONS(851),
    [anon_sym_STAR_EQ] = ACTIONS(851),
    [anon_sym_SLASH_EQ] = ACTIONS(851),
    [anon_sym_PERCENT_EQ] = ACTIONS(851),
    [anon_sym_CARET_EQ] = ACTIONS(851),
    [anon_sym_AMP_EQ] = ACTIONS(851),
    [anon_sym_PIPE_EQ] = ACTIONS(851),
    [anon_sym_GT_GT_EQ] = ACTIONS(851),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(851),
    [anon_sym_LT_LT_EQ] = ACTIONS(851),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [179] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_RBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(845),
    [anon_sym_DASH_EQ] = ACTIONS(845),
    [anon_sym_STAR_EQ] = ACTIONS(845),
    [anon_sym_SLASH_EQ] = ACTIONS(845),
    [anon_sym_PERCENT_EQ] = ACTIONS(845),
    [anon_sym_CARET_EQ] = ACTIONS(845),
    [anon_sym_AMP_EQ] = ACTIONS(845),
    [anon_sym_PIPE_EQ] = ACTIONS(845),
    [anon_sym_GT_GT_EQ] = ACTIONS(845),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(845),
    [anon_sym_LT_LT_EQ] = ACTIONS(845),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [180] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(532),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [181] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [182] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [183] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(851),
    [anon_sym_DASH_EQ] = ACTIONS(851),
    [anon_sym_STAR_EQ] = ACTIONS(851),
    [anon_sym_SLASH_EQ] = ACTIONS(851),
    [anon_sym_PERCENT_EQ] = ACTIONS(851),
    [anon_sym_CARET_EQ] = ACTIONS(851),
    [anon_sym_AMP_EQ] = ACTIONS(851),
    [anon_sym_PIPE_EQ] = ACTIONS(851),
    [anon_sym_GT_GT_EQ] = ACTIONS(851),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(851),
    [anon_sym_LT_LT_EQ] = ACTIONS(851),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [184] = {
    [aux_sym_array_repeat1] = STATE(532),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(855),
    [sym_comment] = ACTIONS(76),
  },
  [185] = {
    [anon_sym_EQ_GT] = ACTIONS(843),
    [sym_comment] = ACTIONS(76),
  },
  [186] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(855),
    [sym_comment] = ACTIONS(76),
  },
  [187] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(537),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(873),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [188] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(546),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(881),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [189] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(551),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(891),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [190] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(551),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(891),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [191] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(551),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(891),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [192] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(566),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [193] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(576),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [194] = {
    [sym_class_heritage] = STATE(582),
    [sym_class_body] = STATE(583),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [195] = {
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [196] = {
    [sym__automatic_semicolon] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(939),
  },
  [197] = {
    [sym_object] = STATE(587),
    [sym_assignment_pattern] = STATE(128),
    [sym_array] = STATE(588),
    [sym_rest_parameter] = STATE(128),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_RPAREN] = ACTIONS(164),
    [anon_sym_LBRACK] = ACTIONS(943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(945),
  },
  [198] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(947),
  },
  [199] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(590),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [200] = {
    [sym_formal_parameters] = STATE(592),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(949),
  },
  [201] = {
    [sym_statement_block] = STATE(593),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(594),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [202] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(595),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [203] = {
    [anon_sym_EQ_GT] = ACTIONS(951),
    [sym_comment] = ACTIONS(76),
  },
  [204] = {
    [sym__automatic_semicolon] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(953),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_instanceof] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(953),
  },
  [205] = {
    [sym_formal_parameters] = STATE(598),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(957),
  },
  [206] = {
    [sym_formal_parameters] = STATE(592),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [207] = {
    [sym_statement_block] = STATE(600),
    [anon_sym_LBRACE] = ACTIONS(959),
    [sym_comment] = ACTIONS(76),
  },
  [208] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(601),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(821),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [209] = {
    [sym__automatic_semicolon] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_QMARK] = ACTIONS(961),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(961),
    [anon_sym_DASH_DASH] = ACTIONS(961),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(961),
  },
  [210] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [211] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [212] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [213] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(971),
    [anon_sym_PIPE_PIPE] = ACTIONS(971),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(971),
    [anon_sym_LT_LT] = ACTIONS(971),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(971),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(971),
    [anon_sym_LT_EQ] = ACTIONS(971),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(971),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(971),
    [anon_sym_GT_EQ] = ACTIONS(971),
    [anon_sym_instanceof] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [214] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(977),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [215] = {
    [sym__automatic_semicolon] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_RPAREN] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(979),
    [anon_sym_QMARK] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(979),
    [anon_sym_PIPE_PIPE] = ACTIONS(979),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(979),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(979),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_LT_EQ] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(979),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(979),
    [anon_sym_GT_EQ] = ACTIONS(979),
    [anon_sym_instanceof] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(979),
  },
  [216] = {
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [sym__template_chars] = ACTIONS(983),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(985),
  },
  [217] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(602),
    [sym__expression] = STATE(603),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [218] = {
    [sym_template_substitution] = STATE(216),
    [aux_sym_template_string_repeat1] = STATE(605),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym__template_chars] = ACTIONS(329),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(331),
  },
  [219] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(606),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [220] = {
    [sym_export_statement] = STATE(607),
    [sym__declaration] = STATE(607),
    [sym_import_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_for_in_statement] = STATE(607),
    [sym_for_of_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_with_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_debugger_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_empty_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [221] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(989),
  },
  [222] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(609),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [223] = {
    [sym__automatic_semicolon] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_RPAREN] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(991),
  },
  [224] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(613),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(614),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(615),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(997),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [225] = {
    [sym__automatic_semicolon] = ACTIONS(1001),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_RPAREN] = ACTIONS(1001),
    [anon_sym_in] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1003),
    [anon_sym_GT] = ACTIONS(1003),
    [anon_sym_SLASH] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(1001),
    [anon_sym_QMARK] = ACTIONS(1001),
    [anon_sym_AMP_AMP] = ACTIONS(1001),
    [anon_sym_PIPE_PIPE] = ACTIONS(1001),
    [anon_sym_GT_GT] = ACTIONS(1003),
    [anon_sym_GT_GT_GT] = ACTIONS(1001),
    [anon_sym_LT_LT] = ACTIONS(1001),
    [anon_sym_AMP] = ACTIONS(1003),
    [anon_sym_CARET] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_PERCENT] = ACTIONS(1001),
    [anon_sym_LT_EQ] = ACTIONS(1001),
    [anon_sym_EQ_EQ] = ACTIONS(1003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1001),
    [anon_sym_BANG_EQ] = ACTIONS(1003),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1001),
    [anon_sym_GT_EQ] = ACTIONS(1001),
    [anon_sym_instanceof] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1001),
  },
  [226] = {
    [anon_sym_export] = ACTIONS(1005),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_DOT] = ACTIONS(1005),
    [anon_sym_class] = ACTIONS(1005),
    [anon_sym_async] = ACTIONS(1005),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1007),
    [sym_number] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_get] = ACTIONS(1005),
    [anon_sym_set] = ACTIONS(1005),
  },
  [227] = {
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1011),
    [anon_sym_class] = ACTIONS(1011),
    [anon_sym_async] = ACTIONS(1011),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1013),
    [sym_number] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_get] = ACTIONS(1011),
    [anon_sym_set] = ACTIONS(1011),
  },
  [228] = {
    [sym_arguments] = STATE(617),
    [anon_sym_export] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1017),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(1017),
  },
  [229] = {
    [sym_arguments] = STATE(619),
    [anon_sym_export] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(1023),
    [anon_sym_class] = ACTIONS(1021),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(1021),
  },
  [230] = {
    [anon_sym_export] = ACTIONS(1025),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_class] = ACTIONS(1025),
    [anon_sym_async] = ACTIONS(1025),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1027),
    [sym_number] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1025),
    [anon_sym_set] = ACTIONS(1025),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [anon_sym_export] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_var] = ACTIONS(1033),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_debugger] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1033),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_await] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1033),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [sym_regex] = ACTIONS(1035),
    [sym_number] = ACTIONS(1033),
    [sym_identifier] = ACTIONS(1035),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1033),
  },
  [232] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(620),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [233] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(621),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(622),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [234] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(623),
    [sym__expression] = STATE(624),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [235] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(634),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [236] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(639),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [237] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(640),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [238] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(641),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [239] = {
    [sym__automatic_semicolon] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_RPAREN] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(977),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_QMARK] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(975),
  },
  [240] = {
    [sym__automatic_semicolon] = ACTIONS(1057),
    [anon_sym_STAR] = ACTIONS(1057),
    [anon_sym_COMMA] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_RPAREN] = ACTIONS(1057),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(1059),
    [anon_sym_SLASH] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(1057),
    [anon_sym_AMP_AMP] = ACTIONS(1057),
    [anon_sym_PIPE_PIPE] = ACTIONS(1057),
    [anon_sym_GT_GT] = ACTIONS(1059),
    [anon_sym_GT_GT_GT] = ACTIONS(1057),
    [anon_sym_LT_LT] = ACTIONS(1057),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_CARET] = ACTIONS(1057),
    [anon_sym_PIPE] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_PERCENT] = ACTIONS(1057),
    [anon_sym_LT_EQ] = ACTIONS(1057),
    [anon_sym_EQ_EQ] = ACTIONS(1059),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1057),
    [anon_sym_BANG_EQ] = ACTIONS(1059),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1057),
    [anon_sym_GT_EQ] = ACTIONS(1057),
    [anon_sym_instanceof] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1057),
  },
  [241] = {
    [sym__automatic_semicolon] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [anon_sym_in] = ACTIONS(1063),
    [anon_sym_SEMI] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_GT] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(1061),
    [anon_sym_PIPE_PIPE] = ACTIONS(1061),
    [anon_sym_GT_GT] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1061),
    [anon_sym_LT_LT] = ACTIONS(1061),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(1061),
    [anon_sym_PIPE] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_PERCENT] = ACTIONS(1061),
    [anon_sym_LT_EQ] = ACTIONS(1061),
    [anon_sym_EQ_EQ] = ACTIONS(1063),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1061),
    [anon_sym_BANG_EQ] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1061),
    [anon_sym_GT_EQ] = ACTIONS(1061),
    [anon_sym_instanceof] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1061),
  },
  [242] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(644),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(645),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(645),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_RBRACE] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [243] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(1069),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [244] = {
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [sym_jsx_text] = ACTIONS(1075),
    [sym_comment] = ACTIONS(76),
  },
  [245] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(652),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(653),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(1077),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [246] = {
    [sym__automatic_semicolon] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_in] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_DOT] = ACTIONS(1079),
    [anon_sym_QMARK] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1081),
    [anon_sym_GT_GT_GT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_instanceof] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1079),
  },
  [247] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(654),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_let] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_debugger] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_EQ_GT] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_delete] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [sym_regex] = ACTIONS(1087),
    [sym_number] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_undefined] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_get] = ACTIONS(1085),
    [anon_sym_set] = ACTIONS(1085),
  },
  [249] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(249),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [anon_sym_export] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1097),
    [anon_sym_var] = ACTIONS(1100),
    [anon_sym_let] = ACTIONS(1103),
    [anon_sym_const] = ACTIONS(1103),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1124),
    [anon_sym_with] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_debugger] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_class] = ACTIONS(1157),
    [anon_sym_async] = ACTIONS(1160),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_EQ_GT] = ACTIONS(1166),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_typeof] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [sym_regex] = ACTIONS(1190),
    [sym_number] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1193),
    [sym_super] = ACTIONS(1199),
    [sym_true] = ACTIONS(1193),
    [sym_false] = ACTIONS(1193),
    [sym_null] = ACTIONS(1193),
    [sym_undefined] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
  },
  [250] = {
    [sym__declaration] = STATE(278),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_class] = STATE(64),
    [sym_function] = STATE(64),
    [sym_generator_function] = STATE(64),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(65),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(102),
    [anon_sym_let] = ACTIONS(104),
    [anon_sym_const] = ACTIONS(104),
    [anon_sym_class] = ACTIONS(106),
    [anon_sym_async] = ACTIONS(108),
    [anon_sym_function] = ACTIONS(110),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [251] = {
    [sym_class_heritage] = STATE(658),
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1210),
  },
  [252] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(1212),
    [anon_sym_class] = ACTIONS(1212),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(1214),
  },
  [253] = {
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1217),
  },
  [254] = {
    [sym__automatic_semicolon] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1219),
    [sym_comment] = ACTIONS(76),
  },
  [255] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(661),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [256] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(665),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [anon_sym_PLUS_EQ] = ACTIONS(1225),
    [anon_sym_DASH_EQ] = ACTIONS(1225),
    [anon_sym_STAR_EQ] = ACTIONS(1225),
    [anon_sym_SLASH_EQ] = ACTIONS(1225),
    [anon_sym_PERCENT_EQ] = ACTIONS(1225),
    [anon_sym_CARET_EQ] = ACTIONS(1225),
    [anon_sym_AMP_EQ] = ACTIONS(1225),
    [anon_sym_PIPE_EQ] = ACTIONS(1225),
    [anon_sym_GT_GT_EQ] = ACTIONS(1225),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT_EQ] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(1227),
  },
  [257] = {
    [sym_statement_block] = STATE(209),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(666),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [258] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(211),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [259] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(667),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [260] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(213),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [261] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(214),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [262] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [anon_sym_PLUS_EQ] = ACTIONS(1231),
    [anon_sym_DASH_EQ] = ACTIONS(1231),
    [anon_sym_STAR_EQ] = ACTIONS(1231),
    [anon_sym_SLASH_EQ] = ACTIONS(1231),
    [anon_sym_PERCENT_EQ] = ACTIONS(1231),
    [anon_sym_CARET_EQ] = ACTIONS(1231),
    [anon_sym_AMP_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_LT_LT_EQ] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [263] = {
    [sym__initializer] = STATE(204),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_PLUS_EQ] = ACTIONS(1225),
    [anon_sym_DASH_EQ] = ACTIONS(1225),
    [anon_sym_STAR_EQ] = ACTIONS(1225),
    [anon_sym_SLASH_EQ] = ACTIONS(1225),
    [anon_sym_PERCENT_EQ] = ACTIONS(1225),
    [anon_sym_CARET_EQ] = ACTIONS(1225),
    [anon_sym_AMP_EQ] = ACTIONS(1225),
    [anon_sym_PIPE_EQ] = ACTIONS(1225),
    [anon_sym_GT_GT_EQ] = ACTIONS(1225),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT_EQ] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [264] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [265] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [266] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [267] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_PLUS_EQ] = ACTIONS(1231),
    [anon_sym_DASH_EQ] = ACTIONS(1231),
    [anon_sym_STAR_EQ] = ACTIONS(1231),
    [anon_sym_SLASH_EQ] = ACTIONS(1231),
    [anon_sym_PERCENT_EQ] = ACTIONS(1231),
    [anon_sym_CARET_EQ] = ACTIONS(1231),
    [anon_sym_AMP_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_LT_LT_EQ] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [268] = {
    [anon_sym_EQ_GT] = ACTIONS(1223),
    [sym_comment] = ACTIONS(76),
  },
  [269] = {
    [anon_sym_RBRACE] = ACTIONS(1251),
    [sym_comment] = ACTIONS(76),
  },
  [270] = {
    [sym__automatic_semicolon] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [sym_comment] = ACTIONS(76),
  },
  [271] = {
    [anon_sym_COMMA] = ACTIONS(1255),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_as] = ACTIONS(1257),
    [sym_comment] = ACTIONS(76),
  },
  [272] = {
    [aux_sym_export_clause_repeat1] = STATE(679),
    [anon_sym_COMMA] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [sym_comment] = ACTIONS(76),
  },
  [273] = {
    [sym_class_heritage] = STATE(681),
    [sym_class_body] = STATE(682),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [274] = {
    [sym_formal_parameters] = STATE(684),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1265),
  },
  [275] = {
    [sym_formal_parameters] = STATE(686),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1267),
  },
  [276] = {
    [sym_formal_parameters] = STATE(684),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [277] = {
    [sym_statement_block] = STATE(688),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(76),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_regex] = ACTIONS(1275),
    [sym_number] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1275),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
  },
  [279] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1277),
  },
  [280] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(1212),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(1214),
  },
  [281] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(699),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [282] = {
    [anon_sym_LPAREN] = ACTIONS(500),
    [sym_comment] = ACTIONS(76),
  },
  [283] = {
    [sym_formal_parameters] = STATE(704),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [284] = {
    [sym_object] = STATE(290),
    [sym_assignment_pattern] = STATE(709),
    [sym_array] = STATE(292),
    [sym_spread_element] = STATE(709),
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(709),
    [sym_pair] = STATE(709),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(710),
    [aux_sym_object_repeat1] = STATE(711),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(1301),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(1305),
    [anon_sym_set] = ACTIONS(1305),
  },
  [285] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(713),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(714),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(715),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [286] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [287] = {
    [sym__initializer] = STATE(717),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [288] = {
    [sym__identifier_reference] = STATE(720),
    [sym_decorator_member_expression] = STATE(721),
    [sym_decorator_call_expression] = STATE(722),
    [anon_sym_async] = ACTIONS(1315),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
  },
  [289] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [290] = {
    [sym__initializer] = STATE(723),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [291] = {
    [anon_sym_COMMA] = ACTIONS(1319),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [sym_comment] = ACTIONS(76),
  },
  [292] = {
    [sym__initializer] = STATE(724),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [293] = {
    [anon_sym_STAR] = ACTIONS(399),
    [anon_sym_LBRACK] = ACTIONS(399),
    [anon_sym_async] = ACTIONS(397),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(399),
    [sym_number] = ACTIONS(397),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_get] = ACTIONS(397),
    [anon_sym_set] = ACTIONS(397),
  },
  [294] = {
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(725),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [295] = {
    [sym_export_statement] = STATE(732),
    [sym__declaration] = STATE(732),
    [sym_import_statement] = STATE(732),
    [sym_expression_statement] = STATE(732),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(732),
    [sym_if_statement] = STATE(732),
    [sym_switch_statement] = STATE(732),
    [sym_for_statement] = STATE(732),
    [sym_for_in_statement] = STATE(732),
    [sym_for_of_statement] = STATE(732),
    [sym_while_statement] = STATE(732),
    [sym_do_statement] = STATE(732),
    [sym_try_statement] = STATE(732),
    [sym_with_statement] = STATE(732),
    [sym_break_statement] = STATE(732),
    [sym_continue_statement] = STATE(732),
    [sym_debugger_statement] = STATE(732),
    [sym_return_statement] = STATE(732),
    [sym_throw_statement] = STATE(732),
    [sym_empty_statement] = STATE(732),
    [sym_labeled_statement] = STATE(732),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [296] = {
    [sym_expression_statement] = STATE(736),
    [sym_variable_declaration] = STATE(736),
    [sym_lexical_declaration] = STATE(736),
    [sym_empty_statement] = STATE(736),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(737),
    [sym_array] = STATE(738),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(1331),
    [anon_sym_let] = ACTIONS(1333),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1335),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [297] = {
    [sym_export_statement] = STATE(478),
    [sym__declaration] = STATE(478),
    [sym_import_statement] = STATE(478),
    [sym_expression_statement] = STATE(478),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(478),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(478),
    [sym_for_statement] = STATE(478),
    [sym_for_in_statement] = STATE(478),
    [sym_for_of_statement] = STATE(478),
    [sym_while_statement] = STATE(478),
    [sym_do_statement] = STATE(478),
    [sym_try_statement] = STATE(478),
    [sym_with_statement] = STATE(478),
    [sym_break_statement] = STATE(478),
    [sym_continue_statement] = STATE(478),
    [sym_debugger_statement] = STATE(478),
    [sym_return_statement] = STATE(478),
    [sym_throw_statement] = STATE(478),
    [sym_empty_statement] = STATE(478),
    [sym_labeled_statement] = STATE(478),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [298] = {
    [sym_export_statement] = STATE(504),
    [sym__declaration] = STATE(504),
    [sym_import_statement] = STATE(504),
    [sym_expression_statement] = STATE(504),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(504),
    [sym_if_statement] = STATE(504),
    [sym_switch_statement] = STATE(504),
    [sym_for_statement] = STATE(504),
    [sym_for_in_statement] = STATE(504),
    [sym_for_of_statement] = STATE(504),
    [sym_while_statement] = STATE(504),
    [sym_do_statement] = STATE(504),
    [sym_try_statement] = STATE(504),
    [sym_with_statement] = STATE(504),
    [sym_break_statement] = STATE(504),
    [sym_continue_statement] = STATE(504),
    [sym_debugger_statement] = STATE(504),
    [sym_return_statement] = STATE(504),
    [sym_throw_statement] = STATE(504),
    [sym_empty_statement] = STATE(504),
    [sym_labeled_statement] = STATE(504),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [299] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(532),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [300] = {
    [sym__property_name] = STATE(740),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [301] = {
    [sym__automatic_semicolon] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1339),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_RPAREN] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(1341),
    [anon_sym_of] = ACTIONS(1339),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1339),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1339),
    [anon_sym_GT_GT] = ACTIONS(1341),
    [anon_sym_GT_GT_GT] = ACTIONS(1339),
    [anon_sym_LT_LT] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [anon_sym_LT_EQ] = ACTIONS(1339),
    [anon_sym_EQ_EQ] = ACTIONS(1341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1339),
    [anon_sym_BANG_EQ] = ACTIONS(1341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1339),
    [anon_sym_GT_EQ] = ACTIONS(1339),
    [anon_sym_instanceof] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1339),
  },
  [302] = {
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_EQ_GT] = ACTIONS(951),
    [sym_comment] = ACTIONS(76),
  },
  [303] = {
    [sym__property_name] = STATE(740),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [304] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1343),
    [sym_comment] = ACTIONS(76),
  },
  [305] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(742),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_RBRACE] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [306] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(745),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(1347),
    [anon_sym_PLUS_EQ] = ACTIONS(1349),
    [anon_sym_DASH_EQ] = ACTIONS(1349),
    [anon_sym_STAR_EQ] = ACTIONS(1349),
    [anon_sym_SLASH_EQ] = ACTIONS(1349),
    [anon_sym_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_CARET_EQ] = ACTIONS(1349),
    [anon_sym_AMP_EQ] = ACTIONS(1349),
    [anon_sym_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_GT_GT_EQ] = ACTIONS(1349),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT_EQ] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(1351),
  },
  [307] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(746),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [308] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [309] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(747),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [310] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [311] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [312] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_EQ_GT] = ACTIONS(1347),
    [anon_sym_PLUS_EQ] = ACTIONS(1355),
    [anon_sym_DASH_EQ] = ACTIONS(1355),
    [anon_sym_STAR_EQ] = ACTIONS(1355),
    [anon_sym_SLASH_EQ] = ACTIONS(1355),
    [anon_sym_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_CARET_EQ] = ACTIONS(1355),
    [anon_sym_AMP_EQ] = ACTIONS(1355),
    [anon_sym_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_GT_GT_EQ] = ACTIONS(1355),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1355),
    [anon_sym_LT_LT_EQ] = ACTIONS(1355),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [313] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_PLUS_EQ] = ACTIONS(1349),
    [anon_sym_DASH_EQ] = ACTIONS(1349),
    [anon_sym_STAR_EQ] = ACTIONS(1349),
    [anon_sym_SLASH_EQ] = ACTIONS(1349),
    [anon_sym_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_CARET_EQ] = ACTIONS(1349),
    [anon_sym_AMP_EQ] = ACTIONS(1349),
    [anon_sym_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_GT_GT_EQ] = ACTIONS(1349),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT_EQ] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [314] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [315] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [316] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [317] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_PLUS_EQ] = ACTIONS(1355),
    [anon_sym_DASH_EQ] = ACTIONS(1355),
    [anon_sym_STAR_EQ] = ACTIONS(1355),
    [anon_sym_SLASH_EQ] = ACTIONS(1355),
    [anon_sym_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_CARET_EQ] = ACTIONS(1355),
    [anon_sym_AMP_EQ] = ACTIONS(1355),
    [anon_sym_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_GT_GT_EQ] = ACTIONS(1355),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1355),
    [anon_sym_LT_LT_EQ] = ACTIONS(1355),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [318] = {
    [anon_sym_EQ_GT] = ACTIONS(1347),
    [sym_comment] = ACTIONS(76),
  },
  [319] = {
    [sym_export_statement] = STATE(607),
    [sym__declaration] = STATE(607),
    [sym_import_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_for_in_statement] = STATE(607),
    [sym_for_of_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_with_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_debugger_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_empty_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [320] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(764),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [321] = {
    [sym__automatic_semicolon] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(991),
  },
  [322] = {
    [sym_arguments] = STATE(617),
    [anon_sym_export] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1406),
    [anon_sym_class] = ACTIONS(1402),
    [anon_sym_async] = ACTIONS(1402),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1017),
    [sym_number] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_get] = ACTIONS(1402),
    [anon_sym_set] = ACTIONS(1402),
  },
  [323] = {
    [sym_arguments] = STATE(619),
    [anon_sym_export] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1021),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_class] = ACTIONS(1410),
    [anon_sym_async] = ACTIONS(1410),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1021),
    [sym_number] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1021),
    [anon_sym_get] = ACTIONS(1410),
    [anon_sym_set] = ACTIONS(1410),
  },
  [324] = {
    [sym__automatic_semicolon] = ACTIONS(1057),
    [anon_sym_STAR] = ACTIONS(1057),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(1059),
    [anon_sym_SLASH] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(1057),
    [anon_sym_AMP_AMP] = ACTIONS(1057),
    [anon_sym_PIPE_PIPE] = ACTIONS(1057),
    [anon_sym_GT_GT] = ACTIONS(1059),
    [anon_sym_GT_GT_GT] = ACTIONS(1057),
    [anon_sym_LT_LT] = ACTIONS(1057),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_CARET] = ACTIONS(1057),
    [anon_sym_PIPE] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_PERCENT] = ACTIONS(1057),
    [anon_sym_LT_EQ] = ACTIONS(1057),
    [anon_sym_EQ_EQ] = ACTIONS(1059),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1057),
    [anon_sym_BANG_EQ] = ACTIONS(1059),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1057),
    [anon_sym_GT_EQ] = ACTIONS(1057),
    [anon_sym_instanceof] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1057),
  },
  [325] = {
    [sym__automatic_semicolon] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_of] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_GT_GT_GT] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_instanceof] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1421),
  },
  [326] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(76),
  },
  [327] = {
    [sym__automatic_semicolon] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_in] = ACTIONS(1063),
    [anon_sym_SEMI] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_GT] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(1061),
    [anon_sym_PIPE_PIPE] = ACTIONS(1061),
    [anon_sym_GT_GT] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1061),
    [anon_sym_LT_LT] = ACTIONS(1061),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(1061),
    [anon_sym_PIPE] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_PERCENT] = ACTIONS(1061),
    [anon_sym_LT_EQ] = ACTIONS(1061),
    [anon_sym_EQ_EQ] = ACTIONS(1063),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1061),
    [anon_sym_BANG_EQ] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1061),
    [anon_sym_GT_EQ] = ACTIONS(1061),
    [anon_sym_instanceof] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1061),
  },
  [328] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(771),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [329] = {
    [sym_statement_block] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [sym_comment] = ACTIONS(76),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [331] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [332] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_import] = ACTIONS(1097),
    [anon_sym_var] = ACTIONS(1100),
    [anon_sym_let] = ACTIONS(1103),
    [anon_sym_const] = ACTIONS(1103),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1124),
    [anon_sym_with] = ACTIONS(1451),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_debugger] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_class] = ACTIONS(1157),
    [anon_sym_async] = ACTIONS(1160),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_EQ_GT] = ACTIONS(1166),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_typeof] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [sym_regex] = ACTIONS(1190),
    [sym_number] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1454),
    [sym_this] = ACTIONS(1193),
    [sym_super] = ACTIONS(1199),
    [sym_true] = ACTIONS(1193),
    [sym_false] = ACTIONS(1193),
    [sym_null] = ACTIONS(1193),
    [sym_undefined] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
  },
  [333] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [334] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [335] = {
    [aux_sym_object_repeat1] = STATE(774),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(76),
  },
  [336] = {
    [sym_formal_parameters] = STATE(329),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [337] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(337),
    [anon_sym_export] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_class] = ACTIONS(1457),
    [anon_sym_async] = ACTIONS(1457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1212),
    [sym_number] = ACTIONS(1457),
    [sym_identifier] = ACTIONS(1459),
    [anon_sym_AT] = ACTIONS(1461),
    [anon_sym_get] = ACTIONS(1457),
    [anon_sym_set] = ACTIONS(1457),
  },
  [338] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [sym_comment] = ACTIONS(76),
  },
  [339] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1467),
  },
  [340] = {
    [anon_sym_RBRACE] = ACTIONS(1469),
    [sym_comment] = ACTIONS(76),
  },
  [341] = {
    [anon_sym_from] = ACTIONS(1471),
    [sym_comment] = ACTIONS(76),
  },
  [342] = {
    [aux_sym_named_imports_repeat1] = STATE(779),
    [anon_sym_COMMA] = ACTIONS(1473),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [sym_comment] = ACTIONS(76),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1477),
    [anon_sym_export] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_var] = ACTIONS(1479),
    [anon_sym_let] = ACTIONS(1479),
    [anon_sym_const] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_debugger] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1477),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(1479),
    [anon_sym_EQ_GT] = ACTIONS(1477),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_await] = ACTIONS(1479),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_TILDE] = ACTIONS(1477),
    [anon_sym_typeof] = ACTIONS(1479),
    [anon_sym_void] = ACTIONS(1479),
    [anon_sym_delete] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1477),
    [anon_sym_BQUOTE] = ACTIONS(1477),
    [sym_regex] = ACTIONS(1481),
    [sym_number] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1481),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_null] = ACTIONS(1479),
    [sym_undefined] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1479),
    [anon_sym_set] = ACTIONS(1479),
  },
  [344] = {
    [sym_namespace_import] = STATE(780),
    [sym_named_imports] = STATE(780),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(144),
    [sym_comment] = ACTIONS(76),
  },
  [345] = {
    [sym__automatic_semicolon] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1483),
    [sym_comment] = ACTIONS(76),
  },
  [346] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_of] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
  },
  [347] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(783),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [348] = {
    [sym__initializer] = STATE(717),
    [aux_sym_object_repeat1] = STATE(783),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [349] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(783),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [350] = {
    [aux_sym_object_repeat1] = STATE(785),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [sym_comment] = ACTIONS(76),
  },
  [351] = {
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(786),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [352] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [sym_comment] = ACTIONS(76),
  },
  [353] = {
    [sym__automatic_semicolon] = ACTIONS(837),
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_in] = ACTIONS(837),
    [anon_sym_of] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(837),
    [sym_comment] = ACTIONS(76),
  },
  [354] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(788),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [355] = {
    [aux_sym_array_repeat1] = STATE(788),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(76),
  },
  [356] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(76),
  },
  [357] = {
    [sym__automatic_semicolon] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1491),
    [sym_comment] = ACTIONS(76),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [anon_sym_export] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_import] = ACTIONS(1495),
    [anon_sym_var] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_const] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_do] = ACTIONS(1495),
    [anon_sym_try] = ACTIONS(1495),
    [anon_sym_with] = ACTIONS(1495),
    [anon_sym_break] = ACTIONS(1495),
    [anon_sym_continue] = ACTIONS(1495),
    [anon_sym_debugger] = ACTIONS(1495),
    [anon_sym_return] = ACTIONS(1495),
    [anon_sym_throw] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_yield] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1495),
    [anon_sym_async] = ACTIONS(1495),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_await] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_typeof] = ACTIONS(1495),
    [anon_sym_void] = ACTIONS(1495),
    [anon_sym_delete] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [sym_regex] = ACTIONS(1497),
    [sym_number] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1495),
    [anon_sym_set] = ACTIONS(1495),
  },
  [359] = {
    [sym_variable_declarator] = STATE(789),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [360] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(1499),
    [sym_comment] = ACTIONS(76),
  },
  [361] = {
    [sym__automatic_semicolon] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [sym_comment] = ACTIONS(76),
  },
  [362] = {
    [sym__automatic_semicolon] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [sym_comment] = ACTIONS(76),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1505),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_regex] = ACTIONS(1509),
    [sym_number] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1505),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
  },
  [364] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(1511),
    [sym_comment] = ACTIONS(76),
  },
  [365] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_PLUS_EQ] = ACTIONS(711),
    [anon_sym_DASH_EQ] = ACTIONS(711),
    [anon_sym_STAR_EQ] = ACTIONS(711),
    [anon_sym_SLASH_EQ] = ACTIONS(711),
    [anon_sym_PERCENT_EQ] = ACTIONS(711),
    [anon_sym_CARET_EQ] = ACTIONS(711),
    [anon_sym_AMP_EQ] = ACTIONS(711),
    [anon_sym_PIPE_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(711),
    [anon_sym_LT_LT_EQ] = ACTIONS(711),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [366] = {
    [anon_sym_RPAREN] = ACTIONS(1513),
    [sym_comment] = ACTIONS(76),
  },
  [367] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [368] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(681),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [369] = {
    [sym_export_clause] = STATE(799),
    [sym__declaration] = STATE(800),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_class] = STATE(801),
    [sym_function] = STATE(801),
    [sym_generator_function] = STATE(801),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(802),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(1519),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(1523),
    [anon_sym_async] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [370] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(804),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [371] = {
    [sym_import_clause] = STATE(806),
    [sym_namespace_import] = STATE(93),
    [sym_named_imports] = STATE(93),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(144),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1531),
    [sym_identifier] = ACTIONS(148),
  },
  [372] = {
    [sym_variable_declarator] = STATE(807),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [373] = {
    [sym_variable_declarator] = STATE(808),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [374] = {
    [sym_parenthesized_expression] = STATE(809),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [375] = {
    [sym_parenthesized_expression] = STATE(810),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [376] = {
    [anon_sym_LPAREN] = ACTIONS(1533),
    [sym_comment] = ACTIONS(76),
  },
  [377] = {
    [sym_parenthesized_expression] = STATE(812),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [378] = {
    [sym_export_statement] = STATE(813),
    [sym__declaration] = STATE(813),
    [sym_import_statement] = STATE(813),
    [sym_expression_statement] = STATE(813),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(813),
    [sym_if_statement] = STATE(813),
    [sym_switch_statement] = STATE(813),
    [sym_for_statement] = STATE(813),
    [sym_for_in_statement] = STATE(813),
    [sym_for_of_statement] = STATE(813),
    [sym_while_statement] = STATE(813),
    [sym_do_statement] = STATE(813),
    [sym_try_statement] = STATE(813),
    [sym_with_statement] = STATE(813),
    [sym_break_statement] = STATE(813),
    [sym_continue_statement] = STATE(813),
    [sym_debugger_statement] = STATE(813),
    [sym_return_statement] = STATE(813),
    [sym_throw_statement] = STATE(813),
    [sym_empty_statement] = STATE(813),
    [sym_labeled_statement] = STATE(813),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [379] = {
    [sym_statement_block] = STATE(815),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [sym_comment] = ACTIONS(76),
  },
  [380] = {
    [sym_parenthesized_expression] = STATE(816),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [381] = {
    [sym__automatic_semicolon] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1537),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1539),
  },
  [382] = {
    [sym__automatic_semicolon] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1541),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1543),
  },
  [383] = {
    [sym__automatic_semicolon] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [sym_comment] = ACTIONS(76),
  },
  [384] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(823),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [385] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(824),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(246),
    [anon_sym_export] = ACTIONS(248),
    [anon_sym_LBRACE] = ACTIONS(246),
    [anon_sym_RBRACE] = ACTIONS(246),
    [anon_sym_import] = ACTIONS(248),
    [anon_sym_var] = ACTIONS(248),
    [anon_sym_let] = ACTIONS(248),
    [anon_sym_const] = ACTIONS(248),
    [anon_sym_if] = ACTIONS(248),
    [anon_sym_else] = ACTIONS(248),
    [anon_sym_switch] = ACTIONS(248),
    [anon_sym_for] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(246),
    [anon_sym_while] = ACTIONS(248),
    [anon_sym_do] = ACTIONS(248),
    [anon_sym_try] = ACTIONS(248),
    [anon_sym_with] = ACTIONS(248),
    [anon_sym_break] = ACTIONS(248),
    [anon_sym_continue] = ACTIONS(248),
    [anon_sym_debugger] = ACTIONS(248),
    [anon_sym_return] = ACTIONS(248),
    [anon_sym_throw] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(246),
    [anon_sym_yield] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(246),
    [anon_sym_LT] = ACTIONS(246),
    [anon_sym_class] = ACTIONS(248),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(248),
    [anon_sym_EQ_GT] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(248),
    [anon_sym_await] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(248),
    [anon_sym_DASH] = ACTIONS(248),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_typeof] = ACTIONS(248),
    [anon_sym_void] = ACTIONS(248),
    [anon_sym_delete] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(246),
    [anon_sym_DASH_DASH] = ACTIONS(246),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(246),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_regex] = ACTIONS(250),
    [sym_number] = ACTIONS(248),
    [sym_identifier] = ACTIONS(250),
    [sym_this] = ACTIONS(248),
    [sym_super] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [sym_undefined] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
  },
  [387] = {
    [sym_class_heritage] = STATE(195),
    [sym_class_body] = STATE(196),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1549),
  },
  [388] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(1551),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(313),
  },
  [389] = {
    [sym_formal_parameters] = STATE(829),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1555),
  },
  [390] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1563),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [393] = {
    [sym__automatic_semicolon] = ACTIONS(1567),
    [anon_sym_SEMI] = ACTIONS(1567),
    [sym_comment] = ACTIONS(76),
  },
  [394] = {
    [sym__automatic_semicolon] = ACTIONS(1569),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [395] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1569),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [396] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(1571),
    [anon_sym_class] = ACTIONS(1573),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [397] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(840),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(1581),
    [anon_sym_export] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1583),
    [anon_sym_var] = ACTIONS(1583),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_const] = ACTIONS(1583),
    [anon_sym_if] = ACTIONS(1583),
    [anon_sym_switch] = ACTIONS(1583),
    [anon_sym_for] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1583),
    [anon_sym_do] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1583),
    [anon_sym_with] = ACTIONS(1583),
    [anon_sym_break] = ACTIONS(1583),
    [anon_sym_continue] = ACTIONS(1583),
    [anon_sym_debugger] = ACTIONS(1583),
    [anon_sym_return] = ACTIONS(1583),
    [anon_sym_throw] = ACTIONS(1583),
    [anon_sym_SEMI] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1583),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1583),
    [anon_sym_EQ_GT] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [anon_sym_typeof] = ACTIONS(1583),
    [anon_sym_void] = ACTIONS(1583),
    [anon_sym_delete] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1581),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1581),
    [anon_sym_BQUOTE] = ACTIONS(1581),
    [sym_regex] = ACTIONS(1585),
    [sym_number] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_this] = ACTIONS(1583),
    [sym_super] = ACTIONS(1583),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_null] = ACTIONS(1583),
    [sym_undefined] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1583),
    [anon_sym_set] = ACTIONS(1583),
  },
  [399] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(843),
    [sym_array] = STATE(844),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1587),
  },
  [400] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(843),
    [sym_array] = STATE(844),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1587),
  },
  [401] = {
    [anon_sym_LBRACE] = ACTIONS(246),
    [anon_sym_LPAREN] = ACTIONS(246),
    [anon_sym_RPAREN] = ACTIONS(246),
    [anon_sym_SEMI] = ACTIONS(246),
    [anon_sym_yield] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(246),
    [anon_sym_LT] = ACTIONS(246),
    [anon_sym_class] = ACTIONS(248),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(248),
    [anon_sym_EQ_GT] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(248),
    [anon_sym_await] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(248),
    [anon_sym_DASH] = ACTIONS(248),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_typeof] = ACTIONS(248),
    [anon_sym_void] = ACTIONS(248),
    [anon_sym_delete] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(246),
    [anon_sym_DASH_DASH] = ACTIONS(246),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(246),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_regex] = ACTIONS(250),
    [sym_number] = ACTIONS(248),
    [sym_identifier] = ACTIONS(250),
    [sym_this] = ACTIONS(248),
    [sym_super] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [sym_undefined] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
  },
  [402] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1589),
    [anon_sym_of] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [403] = {
    [sym_expression_statement] = STATE(848),
    [sym_empty_statement] = STATE(848),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [404] = {
    [sym__automatic_semicolon] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [sym_comment] = ACTIONS(76),
  },
  [405] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_of] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [406] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_of] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [407] = {
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_COLON] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_RBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(479),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(479),
  },
  [408] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(855),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [409] = {
    [sym__initializer] = STATE(717),
    [aux_sym_object_repeat1] = STATE(855),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [410] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(855),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [411] = {
    [aux_sym_object_repeat1] = STATE(857),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [sym_comment] = ACTIONS(76),
  },
  [412] = {
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(858),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [413] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [sym_comment] = ACTIONS(76),
  },
  [414] = {
    [anon_sym_RPAREN] = ACTIONS(1607),
    [sym_comment] = ACTIONS(76),
  },
  [415] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [416] = {
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(837),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_in] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_LT] = ACTIONS(839),
    [anon_sym_GT] = ACTIONS(839),
    [anon_sym_SLASH] = ACTIONS(839),
    [anon_sym_DOT] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(837),
    [anon_sym_AMP_AMP] = ACTIONS(837),
    [anon_sym_PIPE_PIPE] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(839),
    [anon_sym_GT_GT_GT] = ACTIONS(837),
    [anon_sym_LT_LT] = ACTIONS(837),
    [anon_sym_AMP] = ACTIONS(839),
    [anon_sym_CARET] = ACTIONS(837),
    [anon_sym_PIPE] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_PERCENT] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(837),
    [anon_sym_EQ_EQ] = ACTIONS(839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(837),
    [anon_sym_BANG_EQ] = ACTIONS(839),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(837),
    [anon_sym_GT_EQ] = ACTIONS(837),
    [anon_sym_instanceof] = ACTIONS(837),
    [anon_sym_PLUS_PLUS] = ACTIONS(837),
    [anon_sym_DASH_DASH] = ACTIONS(837),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(837),
  },
  [417] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(861),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [418] = {
    [aux_sym_array_repeat1] = STATE(861),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(76),
  },
  [419] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(76),
  },
  [420] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(863),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(1611),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [421] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(865),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(1613),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [422] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(867),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(1615),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [423] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(867),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(1615),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [424] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(867),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(1615),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [425] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(869),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [426] = {
    [sym_class_heritage] = STATE(870),
    [sym_class_body] = STATE(871),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [427] = {
    [sym_class_body] = STATE(872),
    [anon_sym_LBRACE] = ACTIONS(675),
    [sym_comment] = ACTIONS(76),
  },
  [428] = {
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(941),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(939),
  },
  [429] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1619),
  },
  [430] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [431] = {
    [sym_formal_parameters] = STATE(876),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1621),
  },
  [432] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(878),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [433] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(879),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [434] = {
    [anon_sym_EQ_GT] = ACTIONS(1623),
    [sym_comment] = ACTIONS(76),
  },
  [435] = {
    [anon_sym_STAR] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_COLON] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(953),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_instanceof] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(953),
  },
  [436] = {
    [sym_formal_parameters] = STATE(882),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1625),
  },
  [437] = {
    [sym_formal_parameters] = STATE(876),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [438] = {
    [sym_statement_block] = STATE(884),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [sym_comment] = ACTIONS(76),
  },
  [439] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(411),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(411),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(411),
    [sym_pair] = STATE(411),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(888),
    [aux_sym_export_statement_repeat1] = STATE(889),
    [aux_sym_object_repeat1] = STATE(413),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(1629),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(1631),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(1633),
    [anon_sym_set] = ACTIONS(1633),
  },
  [440] = {
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(963),
    [anon_sym_COLON] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_QMARK] = ACTIONS(961),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(961),
    [anon_sym_DASH_DASH] = ACTIONS(961),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(961),
  },
  [441] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [442] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_COLON] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_instanceof] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [443] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [444] = {
    [anon_sym_COMMA] = ACTIONS(1635),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [sym_comment] = ACTIONS(76),
  },
  [445] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(971),
    [anon_sym_in] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(971),
    [anon_sym_AMP_AMP] = ACTIONS(971),
    [anon_sym_PIPE_PIPE] = ACTIONS(971),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_GT_GT_GT] = ACTIONS(971),
    [anon_sym_LT_LT] = ACTIONS(971),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(971),
    [anon_sym_PIPE] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(971),
    [anon_sym_LT_EQ] = ACTIONS(971),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(971),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(971),
    [anon_sym_GT_EQ] = ACTIONS(971),
    [anon_sym_instanceof] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [446] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(977),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [447] = {
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_RPAREN] = ACTIONS(979),
    [anon_sym_in] = ACTIONS(981),
    [anon_sym_COLON] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(979),
    [anon_sym_QMARK] = ACTIONS(979),
    [anon_sym_AMP_AMP] = ACTIONS(979),
    [anon_sym_PIPE_PIPE] = ACTIONS(979),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_GT_GT_GT] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(979),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(979),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_LT_EQ] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(979),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(979),
    [anon_sym_GT_EQ] = ACTIONS(979),
    [anon_sym_instanceof] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(979),
  },
  [448] = {
    [sym_template_substitution] = STATE(216),
    [aux_sym_template_string_repeat1] = STATE(605),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1637),
    [sym__template_chars] = ACTIONS(329),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(331),
  },
  [449] = {
    [sym_object] = STATE(892),
    [sym_assignment_pattern] = STATE(893),
    [sym_array] = STATE(894),
    [sym_rest_parameter] = STATE(893),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1639),
  },
  [450] = {
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_EQ_GT] = ACTIONS(1641),
    [sym_comment] = ACTIONS(76),
  },
  [451] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(895),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [452] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1643),
  },
  [453] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(897),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [454] = {
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(991),
  },
  [455] = {
    [aux_sym_formal_parameters_repeat1] = STATE(899),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [sym_comment] = ACTIONS(76),
  },
  [456] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(901),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(902),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(903),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [457] = {
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_RPAREN] = ACTIONS(1001),
    [anon_sym_in] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_RBRACK] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1003),
    [anon_sym_GT] = ACTIONS(1003),
    [anon_sym_SLASH] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(1001),
    [anon_sym_QMARK] = ACTIONS(1001),
    [anon_sym_AMP_AMP] = ACTIONS(1001),
    [anon_sym_PIPE_PIPE] = ACTIONS(1001),
    [anon_sym_GT_GT] = ACTIONS(1003),
    [anon_sym_GT_GT_GT] = ACTIONS(1001),
    [anon_sym_LT_LT] = ACTIONS(1001),
    [anon_sym_AMP] = ACTIONS(1003),
    [anon_sym_CARET] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_PERCENT] = ACTIONS(1001),
    [anon_sym_LT_EQ] = ACTIONS(1001),
    [anon_sym_EQ_EQ] = ACTIONS(1003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1001),
    [anon_sym_BANG_EQ] = ACTIONS(1003),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1001),
    [anon_sym_GT_EQ] = ACTIONS(1001),
    [anon_sym_instanceof] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1001),
  },
  [458] = {
    [sym__automatic_semicolon] = ACTIONS(1649),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_DOT] = ACTIONS(1649),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_AMP_AMP] = ACTIONS(1649),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1651),
    [anon_sym_GT_GT_GT] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1651),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PERCENT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_EQ_EQ] = ACTIONS(1651),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1651),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_instanceof] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1649),
  },
  [459] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [460] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(905),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(906),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [461] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(907),
    [sym__expression] = STATE(624),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [462] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(908),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [463] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(909),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [464] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(910),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [465] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(911),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [466] = {
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_RPAREN] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_RBRACK] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(977),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_QMARK] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(975),
  },
  [467] = {
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_EQ_GT] = ACTIONS(1653),
    [sym_comment] = ACTIONS(76),
  },
  [468] = {
    [anon_sym_STAR] = ACTIONS(1057),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(1059),
    [anon_sym_SLASH] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(1057),
    [anon_sym_AMP_AMP] = ACTIONS(1057),
    [anon_sym_PIPE_PIPE] = ACTIONS(1057),
    [anon_sym_GT_GT] = ACTIONS(1059),
    [anon_sym_GT_GT_GT] = ACTIONS(1057),
    [anon_sym_LT_LT] = ACTIONS(1057),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_CARET] = ACTIONS(1057),
    [anon_sym_PIPE] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_PERCENT] = ACTIONS(1057),
    [anon_sym_LT_EQ] = ACTIONS(1057),
    [anon_sym_EQ_EQ] = ACTIONS(1059),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1057),
    [anon_sym_BANG_EQ] = ACTIONS(1059),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1057),
    [anon_sym_GT_EQ] = ACTIONS(1057),
    [anon_sym_instanceof] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1057),
  },
  [469] = {
    [aux_sym_formal_parameters_repeat1] = STATE(899),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [sym_comment] = ACTIONS(76),
  },
  [470] = {
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_EQ_GT] = ACTIONS(1657),
    [sym_comment] = ACTIONS(76),
  },
  [471] = {
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_GT] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(1061),
    [anon_sym_PIPE_PIPE] = ACTIONS(1061),
    [anon_sym_GT_GT] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1061),
    [anon_sym_LT_LT] = ACTIONS(1061),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(1061),
    [anon_sym_PIPE] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_PERCENT] = ACTIONS(1061),
    [anon_sym_LT_EQ] = ACTIONS(1061),
    [anon_sym_EQ_EQ] = ACTIONS(1063),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1061),
    [anon_sym_BANG_EQ] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1061),
    [anon_sym_GT_EQ] = ACTIONS(1061),
    [anon_sym_instanceof] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1061),
  },
  [472] = {
    [aux_sym_formal_parameters_repeat1] = STATE(899),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [sym_comment] = ACTIONS(76),
  },
  [473] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(1661),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [474] = {
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_in] = ACTIONS(1081),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_RBRACK] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_DOT] = ACTIONS(1079),
    [anon_sym_QMARK] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1081),
    [anon_sym_GT_GT_GT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_instanceof] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1079),
  },
  [475] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(915),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(751),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [476] = {
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_RPAREN] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_RBRACK] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(991),
  },
  [477] = {
    [sym_class_heritage] = STATE(917),
    [sym_class_body] = STATE(872),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1663),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [anon_sym_export] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1667),
    [anon_sym_var] = ACTIONS(1667),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_try] = ACTIONS(1667),
    [anon_sym_with] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_debugger] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_class] = ACTIONS(1667),
    [anon_sym_async] = ACTIONS(1667),
    [anon_sym_function] = ACTIONS(1667),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_typeof] = ACTIONS(1667),
    [anon_sym_void] = ACTIONS(1667),
    [anon_sym_delete] = ACTIONS(1667),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [sym_regex] = ACTIONS(1669),
    [sym_number] = ACTIONS(1667),
    [sym_identifier] = ACTIONS(1669),
    [sym_this] = ACTIONS(1667),
    [sym_super] = ACTIONS(1667),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [sym_null] = ACTIONS(1667),
    [sym_undefined] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_get] = ACTIONS(1667),
    [anon_sym_set] = ACTIONS(1667),
  },
  [479] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1671),
  },
  [480] = {
    [anon_sym_function] = ACTIONS(1673),
    [sym_comment] = ACTIONS(76),
  },
  [481] = {
    [sym_formal_parameters] = STATE(922),
    [anon_sym_STAR] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1677),
  },
  [482] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(1679),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [483] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_else] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_while] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(479),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(479),
  },
  [484] = {
    [sym_export_statement] = STATE(932),
    [sym__declaration] = STATE(932),
    [sym_import_statement] = STATE(932),
    [sym_expression_statement] = STATE(932),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(932),
    [sym_if_statement] = STATE(932),
    [sym_switch_statement] = STATE(932),
    [sym_for_statement] = STATE(932),
    [sym_for_in_statement] = STATE(932),
    [sym_for_of_statement] = STATE(932),
    [sym_while_statement] = STATE(932),
    [sym_do_statement] = STATE(932),
    [sym_try_statement] = STATE(932),
    [sym_with_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_debugger_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_throw_statement] = STATE(932),
    [sym_empty_statement] = STATE(932),
    [sym_labeled_statement] = STATE(932),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [485] = {
    [sym_expression_statement] = STATE(939),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_empty_statement] = STATE(939),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(940),
    [sym_array] = STATE(941),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(1697),
    [anon_sym_let] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1701),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [486] = {
    [sym_export_statement] = STATE(478),
    [sym__declaration] = STATE(478),
    [sym_import_statement] = STATE(478),
    [sym_expression_statement] = STATE(478),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(478),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(478),
    [sym_for_statement] = STATE(478),
    [sym_for_in_statement] = STATE(478),
    [sym_for_of_statement] = STATE(478),
    [sym_while_statement] = STATE(478),
    [sym_do_statement] = STATE(478),
    [sym_try_statement] = STATE(478),
    [sym_with_statement] = STATE(478),
    [sym_break_statement] = STATE(478),
    [sym_continue_statement] = STATE(478),
    [sym_debugger_statement] = STATE(478),
    [sym_return_statement] = STATE(478),
    [sym_throw_statement] = STATE(478),
    [sym_empty_statement] = STATE(478),
    [sym_labeled_statement] = STATE(478),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [487] = {
    [sym_catch_clause] = STATE(944),
    [sym_finally_clause] = STATE(503),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_catch] = ACTIONS(1703),
    [anon_sym_finally] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [488] = {
    [sym_export_statement] = STATE(504),
    [sym__declaration] = STATE(504),
    [sym_import_statement] = STATE(504),
    [sym_expression_statement] = STATE(504),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(504),
    [sym_if_statement] = STATE(504),
    [sym_switch_statement] = STATE(504),
    [sym_for_statement] = STATE(504),
    [sym_for_in_statement] = STATE(504),
    [sym_for_of_statement] = STATE(504),
    [sym_while_statement] = STATE(504),
    [sym_do_statement] = STATE(504),
    [sym_try_statement] = STATE(504),
    [sym_with_statement] = STATE(504),
    [sym_break_statement] = STATE(504),
    [sym_continue_statement] = STATE(504),
    [sym_debugger_statement] = STATE(504),
    [sym_return_statement] = STATE(504),
    [sym_throw_statement] = STATE(504),
    [sym_empty_statement] = STATE(504),
    [sym_labeled_statement] = STATE(504),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [489] = {
    [sym_class_heritage] = STATE(945),
    [sym_class_body] = STATE(946),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [490] = {
    [sym_formal_parameters] = STATE(948),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1707),
  },
  [491] = {
    [sym_formal_parameters] = STATE(950),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1709),
  },
  [492] = {
    [sym_formal_parameters] = STATE(948),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [493] = {
    [sym_statement_block] = STATE(952),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(76),
  },
  [494] = {
    [sym_export_statement] = STATE(607),
    [sym__declaration] = STATE(607),
    [sym_import_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_for_in_statement] = STATE(607),
    [sym_for_of_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_with_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_debugger_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_empty_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [495] = {
    [sym_parenthesized_expression] = STATE(954),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [sym_comment] = ACTIONS(76),
  },
  [496] = {
    [sym__declaration] = STATE(278),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_class] = STATE(64),
    [sym_function] = STATE(64),
    [sym_generator_function] = STATE(64),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(482),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(102),
    [anon_sym_let] = ACTIONS(104),
    [anon_sym_const] = ACTIONS(104),
    [anon_sym_class] = ACTIONS(755),
    [anon_sym_async] = ACTIONS(757),
    [anon_sym_function] = ACTIONS(759),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [497] = {
    [sym_class_heritage] = STATE(658),
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1715),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_catch] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [499] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [500] = {
    [sym_statement_block] = STATE(959),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [sym_comment] = ACTIONS(76),
  },
  [501] = {
    [sym_statement_block] = STATE(961),
    [anon_sym_LBRACE] = ACTIONS(1723),
    [sym_comment] = ACTIONS(76),
  },
  [502] = {
    [sym_finally_clause] = STATE(962),
    [ts_builtin_sym_end] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_finally] = ACTIONS(789),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1731),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_regex] = ACTIONS(1735),
    [sym_number] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1737),
    [anon_sym_export] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1739),
    [anon_sym_var] = ACTIONS(1739),
    [anon_sym_let] = ACTIONS(1739),
    [anon_sym_const] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_switch] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1739),
    [anon_sym_do] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1739),
    [anon_sym_with] = ACTIONS(1739),
    [anon_sym_break] = ACTIONS(1739),
    [anon_sym_continue] = ACTIONS(1739),
    [anon_sym_debugger] = ACTIONS(1739),
    [anon_sym_return] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_class] = ACTIONS(1739),
    [anon_sym_async] = ACTIONS(1739),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_EQ_GT] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1737),
    [anon_sym_typeof] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1739),
    [anon_sym_delete] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1737),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1737),
    [anon_sym_BQUOTE] = ACTIONS(1737),
    [sym_regex] = ACTIONS(1741),
    [sym_number] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [sym_this] = ACTIONS(1739),
    [sym_super] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_null] = ACTIONS(1739),
    [sym_undefined] = ACTIONS(1739),
    [anon_sym_AT] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1739),
    [anon_sym_set] = ACTIONS(1739),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_EQ_GT] = ACTIONS(1743),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1743),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_regex] = ACTIONS(1747),
    [sym_number] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
  },
  [507] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_of] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(479),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(479),
  },
  [508] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(304),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [509] = {
    [sym__initializer] = STATE(717),
    [aux_sym_object_repeat1] = STATE(304),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [510] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(304),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [511] = {
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(335),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1749),
    [anon_sym_export] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1751),
    [anon_sym_var] = ACTIONS(1751),
    [anon_sym_let] = ACTIONS(1751),
    [anon_sym_const] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_try] = ACTIONS(1751),
    [anon_sym_with] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_debugger] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_throw] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1751),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(1751),
    [anon_sym_EQ_GT] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_typeof] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1751),
    [anon_sym_delete] = ACTIONS(1751),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1749),
    [anon_sym_BQUOTE] = ACTIONS(1749),
    [sym_regex] = ACTIONS(1753),
    [sym_number] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1751),
    [sym_super] = ACTIONS(1751),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_undefined] = ACTIONS(1751),
    [anon_sym_AT] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1751),
    [anon_sym_set] = ACTIONS(1751),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [anon_sym_export] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1755),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_regex] = ACTIONS(1759),
    [sym_number] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
  },
  [514] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [515] = {
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [sym_comment] = ACTIONS(76),
  },
  [516] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [517] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(963),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [518] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(964),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [519] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(965),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [520] = {
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [sym_comment] = ACTIONS(76),
  },
  [521] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [522] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [523] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [524] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(967),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [525] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(968),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [526] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [527] = {
    [sym__automatic_semicolon] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1767),
    [anon_sym_of] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_GT_GT_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_instanceof] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1765),
  },
  [528] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(969),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [529] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(970),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [530] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(971),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [531] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(972),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [532] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(1769),
    [sym_comment] = ACTIONS(76),
  },
  [533] = {
    [anon_sym_STAR] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_COMMA] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_RPAREN] = ACTIONS(1057),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_COLON] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(1059),
    [anon_sym_SLASH] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(1057),
    [anon_sym_AMP_AMP] = ACTIONS(1057),
    [anon_sym_PIPE_PIPE] = ACTIONS(1057),
    [anon_sym_GT_GT] = ACTIONS(1059),
    [anon_sym_GT_GT_GT] = ACTIONS(1057),
    [anon_sym_LT_LT] = ACTIONS(1057),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_CARET] = ACTIONS(1057),
    [anon_sym_PIPE] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_PERCENT] = ACTIONS(1057),
    [anon_sym_LT_EQ] = ACTIONS(1057),
    [anon_sym_EQ_EQ] = ACTIONS(1059),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1057),
    [anon_sym_BANG_EQ] = ACTIONS(1059),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1057),
    [anon_sym_GT_EQ] = ACTIONS(1057),
    [anon_sym_instanceof] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1057),
  },
  [534] = {
    [anon_sym_STAR] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [anon_sym_in] = ACTIONS(1063),
    [anon_sym_COLON] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1061),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_GT] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(1061),
    [anon_sym_PIPE_PIPE] = ACTIONS(1061),
    [anon_sym_GT_GT] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1061),
    [anon_sym_LT_LT] = ACTIONS(1061),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(1061),
    [anon_sym_PIPE] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_PERCENT] = ACTIONS(1061),
    [anon_sym_LT_EQ] = ACTIONS(1061),
    [anon_sym_EQ_EQ] = ACTIONS(1063),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1061),
    [anon_sym_BANG_EQ] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1061),
    [anon_sym_GT_EQ] = ACTIONS(1061),
    [anon_sym_instanceof] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1061),
  },
  [535] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [sym_comment] = ACTIONS(76),
  },
  [536] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(1774),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [537] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(1776),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [538] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(977),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(978),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(978),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [539] = {
    [sym_jsx_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1782),
  },
  [540] = {
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1784),
    [sym_jsx_text] = ACTIONS(1784),
    [sym_comment] = ACTIONS(76),
  },
  [541] = {
    [anon_sym_GT] = ACTIONS(1786),
    [sym_comment] = ACTIONS(76),
  },
  [542] = {
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [sym_jsx_identifier] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1792),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1790),
  },
  [543] = {
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [sym_jsx_identifier] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1792),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1790),
  },
  [544] = {
    [anon_sym_LBRACE] = ACTIONS(1794),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1796),
    [sym_jsx_identifier] = ACTIONS(1796),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1796),
  },
  [545] = {
    [anon_sym_LBRACE] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1798),
    [anon_sym_SLASH] = ACTIONS(1800),
    [sym_jsx_identifier] = ACTIONS(1800),
    [anon_sym_EQ] = ACTIONS(1802),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1800),
  },
  [546] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1804),
    [anon_sym_SLASH] = ACTIONS(1806),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [547] = {
    [sym_jsx_identifier] = ACTIONS(1808),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1810),
  },
  [548] = {
    [anon_sym_LBRACE] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(1812),
    [sym_jsx_text] = ACTIONS(1812),
    [sym_comment] = ACTIONS(76),
  },
  [549] = {
    [anon_sym_GT] = ACTIONS(1814),
    [sym_comment] = ACTIONS(76),
  },
  [550] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1816),
  },
  [551] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(1820),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [552] = {
    [sym__property_name] = STATE(993),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [553] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_else] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_RPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1822),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1822),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1822),
  },
  [554] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(994),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [555] = {
    [sym__property_name] = STATE(993),
    [sym_computed_property_name] = STATE(84),
    [sym__automatic_semicolon] = ACTIONS(500),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(500),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(1828),
    [anon_sym_set] = ACTIONS(1828),
  },
  [556] = {
    [sym__automatic_semicolon] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_SEMI] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(534),
    [sym_comment] = ACTIONS(76),
  },
  [557] = {
    [sym__automatic_semicolon] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(500),
    [sym_comment] = ACTIONS(76),
  },
  [558] = {
    [sym__identifier_reference] = STATE(999),
    [sym_decorator_member_expression] = STATE(1000),
    [sym_decorator_call_expression] = STATE(1001),
    [anon_sym_async] = ACTIONS(1830),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_get] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1830),
  },
  [559] = {
    [sym_public_field_definition] = STATE(1002),
    [sym_method_definition] = STATE(1003),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [560] = {
    [sym__property_name] = STATE(993),
    [sym_computed_property_name] = STATE(84),
    [sym__automatic_semicolon] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(500),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [561] = {
    [anon_sym_STAR] = ACTIONS(399),
    [anon_sym_LBRACK] = ACTIONS(399),
    [anon_sym_async] = ACTIONS(397),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(399),
    [sym_number] = ACTIONS(397),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_static] = ACTIONS(397),
    [anon_sym_get] = ACTIONS(397),
    [anon_sym_set] = ACTIONS(397),
  },
  [562] = {
    [sym__automatic_semicolon] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [sym_comment] = ACTIONS(76),
  },
  [563] = {
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_async] = ACTIONS(1838),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1836),
    [sym_number] = ACTIONS(1838),
    [sym_identifier] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
  },
  [564] = {
    [sym__initializer] = STATE(1005),
    [sym_formal_parameters] = STATE(1006),
    [sym__automatic_semicolon] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1844),
    [sym_comment] = ACTIONS(76),
  },
  [565] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(1002),
    [sym_method_definition] = STATE(1003),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(1008),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(1846),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [566] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [567] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1011),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [568] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1015),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(1852),
    [anon_sym_PLUS_EQ] = ACTIONS(1854),
    [anon_sym_DASH_EQ] = ACTIONS(1854),
    [anon_sym_STAR_EQ] = ACTIONS(1854),
    [anon_sym_SLASH_EQ] = ACTIONS(1854),
    [anon_sym_PERCENT_EQ] = ACTIONS(1854),
    [anon_sym_CARET_EQ] = ACTIONS(1854),
    [anon_sym_AMP_EQ] = ACTIONS(1854),
    [anon_sym_PIPE_EQ] = ACTIONS(1854),
    [anon_sym_GT_GT_EQ] = ACTIONS(1854),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT_EQ] = ACTIONS(1854),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(1856),
  },
  [569] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1016),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [570] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [571] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1017),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [572] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [573] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [574] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_EQ_GT] = ACTIONS(1852),
    [anon_sym_PLUS_EQ] = ACTIONS(1860),
    [anon_sym_DASH_EQ] = ACTIONS(1860),
    [anon_sym_STAR_EQ] = ACTIONS(1860),
    [anon_sym_SLASH_EQ] = ACTIONS(1860),
    [anon_sym_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_CARET_EQ] = ACTIONS(1860),
    [anon_sym_AMP_EQ] = ACTIONS(1860),
    [anon_sym_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_GT_GT_EQ] = ACTIONS(1860),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1860),
    [anon_sym_LT_LT_EQ] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [575] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_EQ] = ACTIONS(1854),
    [anon_sym_DASH_EQ] = ACTIONS(1854),
    [anon_sym_STAR_EQ] = ACTIONS(1854),
    [anon_sym_SLASH_EQ] = ACTIONS(1854),
    [anon_sym_PERCENT_EQ] = ACTIONS(1854),
    [anon_sym_CARET_EQ] = ACTIONS(1854),
    [anon_sym_AMP_EQ] = ACTIONS(1854),
    [anon_sym_PIPE_EQ] = ACTIONS(1854),
    [anon_sym_GT_GT_EQ] = ACTIONS(1854),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT_EQ] = ACTIONS(1854),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [576] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [577] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [578] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [579] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_EQ] = ACTIONS(1860),
    [anon_sym_DASH_EQ] = ACTIONS(1860),
    [anon_sym_STAR_EQ] = ACTIONS(1860),
    [anon_sym_SLASH_EQ] = ACTIONS(1860),
    [anon_sym_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_CARET_EQ] = ACTIONS(1860),
    [anon_sym_AMP_EQ] = ACTIONS(1860),
    [anon_sym_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_GT_GT_EQ] = ACTIONS(1860),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1860),
    [anon_sym_LT_LT_EQ] = ACTIONS(1860),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [580] = {
    [anon_sym_EQ_GT] = ACTIONS(1852),
    [sym_comment] = ACTIONS(76),
  },
  [581] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1026),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [582] = {
    [sym_class_body] = STATE(1027),
    [anon_sym_LBRACE] = ACTIONS(935),
    [sym_comment] = ACTIONS(76),
  },
  [583] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [ts_builtin_sym_end] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [584] = {
    [sym__automatic_semicolon] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(1892),
    [anon_sym_SLASH] = ACTIONS(1892),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_QMARK] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_GT_GT] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1892),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_instanceof] = ACTIONS(1890),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1890),
  },
  [585] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1028),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(714),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(715),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(272),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [586] = {
    [sym__initializer] = STATE(717),
    [aux_sym_formal_parameters_repeat1] = STATE(455),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [587] = {
    [sym__initializer] = STATE(723),
    [aux_sym_formal_parameters_repeat1] = STATE(469),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(1896),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [588] = {
    [sym__initializer] = STATE(724),
    [aux_sym_formal_parameters_repeat1] = STATE(472),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(1898),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [589] = {
    [sym__automatic_semicolon] = ACTIONS(1900),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_COMMA] = ACTIONS(1900),
    [anon_sym_RBRACE] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_RPAREN] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_DOT] = ACTIONS(1900),
    [anon_sym_EQ] = ACTIONS(1902),
    [anon_sym_PLUS_EQ] = ACTIONS(1900),
    [anon_sym_DASH_EQ] = ACTIONS(1900),
    [anon_sym_STAR_EQ] = ACTIONS(1900),
    [anon_sym_SLASH_EQ] = ACTIONS(1900),
    [anon_sym_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_CARET_EQ] = ACTIONS(1900),
    [anon_sym_AMP_EQ] = ACTIONS(1900),
    [anon_sym_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_GT_GT_EQ] = ACTIONS(1900),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1900),
    [anon_sym_LT_LT_EQ] = ACTIONS(1900),
    [anon_sym_QMARK] = ACTIONS(1900),
    [anon_sym_AMP_AMP] = ACTIONS(1900),
    [anon_sym_PIPE_PIPE] = ACTIONS(1900),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_GT_GT_GT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1900),
    [anon_sym_EQ_EQ] = ACTIONS(1902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1900),
    [anon_sym_GT_EQ] = ACTIONS(1900),
    [anon_sym_instanceof] = ACTIONS(1900),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1900),
  },
  [590] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [591] = {
    [sym_formal_parameters] = STATE(1029),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [592] = {
    [sym_statement_block] = STATE(1030),
    [anon_sym_LBRACE] = ACTIONS(959),
    [sym_comment] = ACTIONS(76),
  },
  [593] = {
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(1906),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_GT] = ACTIONS(1908),
    [anon_sym_SLASH] = ACTIONS(1908),
    [anon_sym_DOT] = ACTIONS(1906),
    [anon_sym_QMARK] = ACTIONS(1906),
    [anon_sym_AMP_AMP] = ACTIONS(1906),
    [anon_sym_PIPE_PIPE] = ACTIONS(1906),
    [anon_sym_GT_GT] = ACTIONS(1908),
    [anon_sym_GT_GT_GT] = ACTIONS(1906),
    [anon_sym_LT_LT] = ACTIONS(1906),
    [anon_sym_AMP] = ACTIONS(1908),
    [anon_sym_CARET] = ACTIONS(1906),
    [anon_sym_PIPE] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_PERCENT] = ACTIONS(1906),
    [anon_sym_LT_EQ] = ACTIONS(1906),
    [anon_sym_EQ_EQ] = ACTIONS(1908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1906),
    [anon_sym_BANG_EQ] = ACTIONS(1908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1906),
    [anon_sym_GT_EQ] = ACTIONS(1906),
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_PLUS_PLUS] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(1906),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1906),
  },
  [594] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [595] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [596] = {
    [sym_statement_block] = STATE(1031),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1032),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [597] = {
    [sym_formal_parameters] = STATE(1033),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [598] = {
    [sym_statement_block] = STATE(1034),
    [anon_sym_LBRACE] = ACTIONS(959),
    [sym_comment] = ACTIONS(76),
  },
  [599] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1036),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [600] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [601] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [602] = {
    [anon_sym_RBRACE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(76),
  },
  [603] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [604] = {
    [sym__automatic_semicolon] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_COMMA] = ACTIONS(1926),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_RPAREN] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1926),
    [anon_sym_AMP_AMP] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_GT_GT_GT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_PIPE] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1926),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1926),
    [anon_sym_instanceof] = ACTIONS(1926),
    [anon_sym_PLUS_PLUS] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1926),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1926),
  },
  [605] = {
    [sym_template_substitution] = STATE(216),
    [aux_sym_template_string_repeat1] = STATE(605),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1930),
    [sym__template_chars] = ACTIONS(1932),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1935),
  },
  [606] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1942),
    [anon_sym_export] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1944),
    [anon_sym_var] = ACTIONS(1944),
    [anon_sym_let] = ACTIONS(1944),
    [anon_sym_const] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_switch] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_with] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_debugger] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_throw] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_yield] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_function] = ACTIONS(1944),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_TILDE] = ACTIONS(1942),
    [anon_sym_typeof] = ACTIONS(1944),
    [anon_sym_void] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1942),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1942),
    [anon_sym_BQUOTE] = ACTIONS(1942),
    [sym_regex] = ACTIONS(1946),
    [sym_number] = ACTIONS(1944),
    [sym_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1944),
    [sym_super] = ACTIONS(1944),
    [sym_true] = ACTIONS(1944),
    [sym_false] = ACTIONS(1944),
    [sym_null] = ACTIONS(1944),
    [sym_undefined] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1944),
    [anon_sym_set] = ACTIONS(1944),
  },
  [608] = {
    [sym__automatic_semicolon] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [anon_sym_in] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_DOT] = ACTIONS(1948),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_PLUS_EQ] = ACTIONS(1948),
    [anon_sym_DASH_EQ] = ACTIONS(1948),
    [anon_sym_STAR_EQ] = ACTIONS(1948),
    [anon_sym_SLASH_EQ] = ACTIONS(1948),
    [anon_sym_PERCENT_EQ] = ACTIONS(1948),
    [anon_sym_CARET_EQ] = ACTIONS(1948),
    [anon_sym_AMP_EQ] = ACTIONS(1948),
    [anon_sym_PIPE_EQ] = ACTIONS(1948),
    [anon_sym_GT_GT_EQ] = ACTIONS(1948),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1948),
    [anon_sym_LT_LT_EQ] = ACTIONS(1948),
    [anon_sym_QMARK] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1948),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_GT_GT_GT] = ACTIONS(1950),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_EQ_EQ] = ACTIONS(1950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1948),
    [anon_sym_BANG_EQ] = ACTIONS(1950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_instanceof] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1948),
  },
  [609] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [610] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1040),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(515),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [611] = {
    [sym__automatic_semicolon] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_DOT] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_GT_GT] = ACTIONS(1956),
    [anon_sym_GT_GT_GT] = ACTIONS(1954),
    [anon_sym_LT_LT] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_CARET] = ACTIONS(1954),
    [anon_sym_PIPE] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1954),
    [anon_sym_LT_EQ] = ACTIONS(1954),
    [anon_sym_EQ_EQ] = ACTIONS(1956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1954),
    [anon_sym_BANG_EQ] = ACTIONS(1956),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1954),
    [anon_sym_GT_EQ] = ACTIONS(1954),
    [anon_sym_instanceof] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1954),
  },
  [612] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1041),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [613] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1043),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [614] = {
    [aux_sym_array_repeat1] = STATE(1043),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [sym_comment] = ACTIONS(76),
  },
  [615] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [sym_comment] = ACTIONS(76),
  },
  [616] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1960),
  },
  [617] = {
    [anon_sym_export] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1962),
    [anon_sym_async] = ACTIONS(1962),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1964),
    [sym_number] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
  },
  [618] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1968),
  },
  [619] = {
    [anon_sym_export] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1970),
    [anon_sym_async] = ACTIONS(1970),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1972),
    [sym_number] = ACTIONS(1970),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1970),
    [anon_sym_set] = ACTIONS(1970),
  },
  [620] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1940),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [621] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [622] = {
    [sym__automatic_semicolon] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1976),
    [sym_comment] = ACTIONS(76),
  },
  [623] = {
    [anon_sym_RBRACK] = ACTIONS(1978),
    [sym_comment] = ACTIONS(76),
  },
  [624] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [625] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1049),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_COLON] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [626] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1053),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_COLON] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(1986),
    [anon_sym_DASH_EQ] = ACTIONS(1986),
    [anon_sym_STAR_EQ] = ACTIONS(1986),
    [anon_sym_SLASH_EQ] = ACTIONS(1986),
    [anon_sym_PERCENT_EQ] = ACTIONS(1986),
    [anon_sym_CARET_EQ] = ACTIONS(1986),
    [anon_sym_AMP_EQ] = ACTIONS(1986),
    [anon_sym_PIPE_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_LT_LT_EQ] = ACTIONS(1986),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(1988),
  },
  [627] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1054),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [628] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [629] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1055),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [630] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [631] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [632] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_EQ_GT] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(1992),
    [anon_sym_DASH_EQ] = ACTIONS(1992),
    [anon_sym_STAR_EQ] = ACTIONS(1992),
    [anon_sym_SLASH_EQ] = ACTIONS(1992),
    [anon_sym_PERCENT_EQ] = ACTIONS(1992),
    [anon_sym_CARET_EQ] = ACTIONS(1992),
    [anon_sym_AMP_EQ] = ACTIONS(1992),
    [anon_sym_PIPE_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_LT_LT_EQ] = ACTIONS(1992),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [633] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_COLON] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_PLUS_EQ] = ACTIONS(1986),
    [anon_sym_DASH_EQ] = ACTIONS(1986),
    [anon_sym_STAR_EQ] = ACTIONS(1986),
    [anon_sym_SLASH_EQ] = ACTIONS(1986),
    [anon_sym_PERCENT_EQ] = ACTIONS(1986),
    [anon_sym_CARET_EQ] = ACTIONS(1986),
    [anon_sym_AMP_EQ] = ACTIONS(1986),
    [anon_sym_PIPE_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1986),
    [anon_sym_LT_LT_EQ] = ACTIONS(1986),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [634] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [635] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [636] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [637] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_PLUS_EQ] = ACTIONS(1992),
    [anon_sym_DASH_EQ] = ACTIONS(1992),
    [anon_sym_STAR_EQ] = ACTIONS(1992),
    [anon_sym_SLASH_EQ] = ACTIONS(1992),
    [anon_sym_PERCENT_EQ] = ACTIONS(1992),
    [anon_sym_CARET_EQ] = ACTIONS(1992),
    [anon_sym_AMP_EQ] = ACTIONS(1992),
    [anon_sym_PIPE_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1992),
    [anon_sym_LT_LT_EQ] = ACTIONS(1992),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [638] = {
    [anon_sym_EQ_GT] = ACTIONS(1984),
    [sym_comment] = ACTIONS(76),
  },
  [639] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [640] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [641] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [642] = {
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_LT] = ACTIONS(2014),
    [sym_jsx_text] = ACTIONS(2014),
    [sym_comment] = ACTIONS(76),
  },
  [643] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1073),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [644] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [645] = {
    [anon_sym_RBRACE] = ACTIONS(2036),
    [sym_comment] = ACTIONS(76),
  },
  [646] = {
    [sym_nested_identifier] = STATE(1081),
    [sym_jsx_namespace_name] = STATE(1082),
    [sym_jsx_identifier] = ACTIONS(2038),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2040),
  },
  [647] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1084),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(2042),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [648] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1086),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(2044),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [649] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1086),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(2044),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [650] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1086),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(2044),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [651] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(2046),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [652] = {
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2048),
    [sym_jsx_text] = ACTIONS(2048),
    [sym_comment] = ACTIONS(76),
  },
  [653] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(1088),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(1077),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [654] = {
    [sym__automatic_semicolon] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_in] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_QMARK] = ACTIONS(2050),
    [anon_sym_AMP_AMP] = ACTIONS(2050),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_GT_GT_GT] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_instanceof] = ACTIONS(2050),
    [anon_sym_PLUS_PLUS] = ACTIONS(2050),
    [anon_sym_DASH_DASH] = ACTIONS(2050),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2050),
  },
  [655] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2057),
    [sym_jsx_text] = ACTIONS(2060),
    [sym_comment] = ACTIONS(76),
  },
  [656] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1090),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [657] = {
    [sym_class_heritage] = STATE(1091),
    [sym_class_body] = STATE(1027),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [658] = {
    [sym_class_body] = STATE(1092),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [659] = {
    [sym__automatic_semicolon] = ACTIONS(2063),
    [anon_sym_SEMI] = ACTIONS(2063),
    [sym_comment] = ACTIONS(76),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_EQ_GT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2065),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_regex] = ACTIONS(2069),
    [sym_number] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
  },
  [661] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [662] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1093),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [663] = {
    [sym_statement_block] = STATE(593),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1094),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [664] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1095),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [665] = {
    [anon_sym_EQ_GT] = ACTIONS(2071),
    [sym_comment] = ACTIONS(76),
  },
  [666] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [667] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [668] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1097),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [669] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1098),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [670] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(620),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [671] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1099),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [672] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1100),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [673] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1101),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [674] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1102),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [675] = {
    [sym__automatic_semicolon] = ACTIONS(2073),
    [anon_sym_from] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [sym_comment] = ACTIONS(76),
  },
  [676] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2075),
  },
  [677] = {
    [sym__import_export_specifier] = STATE(1105),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [678] = {
    [sym__automatic_semicolon] = ACTIONS(2079),
    [anon_sym_from] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(2079),
    [sym_comment] = ACTIONS(76),
  },
  [679] = {
    [aux_sym_export_clause_repeat1] = STATE(1107),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [sym_comment] = ACTIONS(76),
  },
  [680] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1109),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(2083),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [681] = {
    [sym_class_body] = STATE(1110),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(76),
  },
  [682] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [ts_builtin_sym_end] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [683] = {
    [sym_formal_parameters] = STATE(1111),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [684] = {
    [sym_statement_block] = STATE(1112),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(76),
  },
  [685] = {
    [sym_formal_parameters] = STATE(1113),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [686] = {
    [sym_statement_block] = STATE(1114),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(76),
  },
  [687] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1116),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [688] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [689] = {
    [sym_class_heritage] = STATE(1117),
    [sym_class_body] = STATE(1110),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [690] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1118),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_RBRACK] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [691] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1122),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_RBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [anon_sym_PLUS_EQ] = ACTIONS(2091),
    [anon_sym_DASH_EQ] = ACTIONS(2091),
    [anon_sym_STAR_EQ] = ACTIONS(2091),
    [anon_sym_SLASH_EQ] = ACTIONS(2091),
    [anon_sym_PERCENT_EQ] = ACTIONS(2091),
    [anon_sym_CARET_EQ] = ACTIONS(2091),
    [anon_sym_AMP_EQ] = ACTIONS(2091),
    [anon_sym_PIPE_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_LT_LT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(2093),
  },
  [692] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1123),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [693] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [694] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [695] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [696] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [697] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [anon_sym_PLUS_EQ] = ACTIONS(2097),
    [anon_sym_DASH_EQ] = ACTIONS(2097),
    [anon_sym_STAR_EQ] = ACTIONS(2097),
    [anon_sym_SLASH_EQ] = ACTIONS(2097),
    [anon_sym_PERCENT_EQ] = ACTIONS(2097),
    [anon_sym_CARET_EQ] = ACTIONS(2097),
    [anon_sym_AMP_EQ] = ACTIONS(2097),
    [anon_sym_PIPE_EQ] = ACTIONS(2097),
    [anon_sym_GT_GT_EQ] = ACTIONS(2097),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2097),
    [anon_sym_LT_LT_EQ] = ACTIONS(2097),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [698] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_RBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_EQ] = ACTIONS(2091),
    [anon_sym_DASH_EQ] = ACTIONS(2091),
    [anon_sym_STAR_EQ] = ACTIONS(2091),
    [anon_sym_SLASH_EQ] = ACTIONS(2091),
    [anon_sym_PERCENT_EQ] = ACTIONS(2091),
    [anon_sym_CARET_EQ] = ACTIONS(2091),
    [anon_sym_AMP_EQ] = ACTIONS(2091),
    [anon_sym_PIPE_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_LT_LT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [699] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [700] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [701] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [702] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_EQ] = ACTIONS(2097),
    [anon_sym_DASH_EQ] = ACTIONS(2097),
    [anon_sym_STAR_EQ] = ACTIONS(2097),
    [anon_sym_SLASH_EQ] = ACTIONS(2097),
    [anon_sym_PERCENT_EQ] = ACTIONS(2097),
    [anon_sym_CARET_EQ] = ACTIONS(2097),
    [anon_sym_AMP_EQ] = ACTIONS(2097),
    [anon_sym_PIPE_EQ] = ACTIONS(2097),
    [anon_sym_GT_GT_EQ] = ACTIONS(2097),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2097),
    [anon_sym_LT_LT_EQ] = ACTIONS(2097),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [703] = {
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [sym_comment] = ACTIONS(76),
  },
  [704] = {
    [sym_statement_block] = STATE(1133),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [sym_comment] = ACTIONS(76),
  },
  [705] = {
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
  },
  [706] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(1135),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [707] = {
    [sym__initializer] = STATE(717),
    [aux_sym_object_repeat1] = STATE(1135),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_EQ] = ACTIONS(1313),
    [sym_comment] = ACTIONS(76),
  },
  [708] = {
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(1135),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [709] = {
    [aux_sym_object_repeat1] = STATE(1137),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [sym_comment] = ACTIONS(76),
  },
  [710] = {
    [sym_decorator] = STATE(293),
    [sym_method_definition] = STATE(1138),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [711] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [sym_comment] = ACTIONS(76),
  },
  [712] = {
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(837),
    [sym_comment] = ACTIONS(76),
  },
  [713] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1140),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [714] = {
    [aux_sym_array_repeat1] = STATE(1140),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(2125),
    [sym_comment] = ACTIONS(76),
  },
  [715] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(2125),
    [sym_comment] = ACTIONS(76),
  },
  [716] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1142),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [717] = {
    [anon_sym_COMMA] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_RPAREN] = ACTIONS(1400),
    [sym_comment] = ACTIONS(76),
  },
  [718] = {
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_DOT] = ACTIONS(1005),
    [anon_sym_async] = ACTIONS(1005),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1007),
    [sym_number] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_get] = ACTIONS(1005),
    [anon_sym_set] = ACTIONS(1005),
  },
  [719] = {
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1011),
    [anon_sym_async] = ACTIONS(1011),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1013),
    [sym_number] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_get] = ACTIONS(1011),
    [anon_sym_set] = ACTIONS(1011),
  },
  [720] = {
    [sym_arguments] = STATE(1145),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(1402),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1017),
    [sym_number] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_get] = ACTIONS(1402),
    [anon_sym_set] = ACTIONS(1402),
  },
  [721] = {
    [sym_arguments] = STATE(1147),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(1021),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(1410),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1021),
    [sym_number] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1021),
    [anon_sym_get] = ACTIONS(1410),
    [anon_sym_set] = ACTIONS(1410),
  },
  [722] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_async] = ACTIONS(1025),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1027),
    [sym_number] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1025),
    [anon_sym_set] = ACTIONS(1025),
  },
  [723] = {
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [724] = {
    [anon_sym_COMMA] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1430),
    [sym_comment] = ACTIONS(76),
  },
  [725] = {
    [anon_sym_COMMA] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [sym_comment] = ACTIONS(76),
  },
  [726] = {
    [sym_decorator] = STATE(293),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_async] = ACTIONS(1457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1212),
    [sym_number] = ACTIONS(1457),
    [sym_identifier] = ACTIONS(1459),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(1457),
    [anon_sym_set] = ACTIONS(1457),
  },
  [727] = {
    [sym_parenthesized_expression] = STATE(1148),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [728] = {
    [anon_sym_LPAREN] = ACTIONS(2138),
    [sym_comment] = ACTIONS(76),
  },
  [729] = {
    [sym_parenthesized_expression] = STATE(1150),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [730] = {
    [sym_parenthesized_expression] = STATE(1151),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [731] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [732] = {
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [733] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(1155),
    [sym_array] = STATE(1156),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2144),
  },
  [734] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(1155),
    [sym_array] = STATE(1156),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2144),
  },
  [735] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_of] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [736] = {
    [sym_expression_statement] = STATE(1159),
    [sym_empty_statement] = STATE(1159),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [737] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_of] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [738] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_of] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [739] = {
    [sym__automatic_semicolon] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_GT_GT_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_instanceof] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1765),
  },
  [740] = {
    [sym_formal_parameters] = STATE(1164),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [741] = {
    [sym__automatic_semicolon] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_of] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2163),
    [anon_sym_EQ] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2163),
    [anon_sym_PIPE_PIPE] = ACTIONS(2163),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2163),
    [anon_sym_LT_LT] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2163),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2163),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2163),
    [anon_sym_GT_EQ] = ACTIONS(2163),
    [anon_sym_instanceof] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2163),
  },
  [742] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [743] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1165),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [744] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1166),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [745] = {
    [anon_sym_EQ_GT] = ACTIONS(2167),
    [sym_comment] = ACTIONS(76),
  },
  [746] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [747] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [748] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1168),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [749] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1169),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [750] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [751] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1170),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [752] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1171),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [753] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1172),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [754] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1173),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [755] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1174),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_RBRACE] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [756] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(1177),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_EQ_GT] = ACTIONS(2169),
    [anon_sym_PLUS_EQ] = ACTIONS(2171),
    [anon_sym_DASH_EQ] = ACTIONS(2171),
    [anon_sym_STAR_EQ] = ACTIONS(2171),
    [anon_sym_SLASH_EQ] = ACTIONS(2171),
    [anon_sym_PERCENT_EQ] = ACTIONS(2171),
    [anon_sym_CARET_EQ] = ACTIONS(2171),
    [anon_sym_AMP_EQ] = ACTIONS(2171),
    [anon_sym_PIPE_EQ] = ACTIONS(2171),
    [anon_sym_GT_GT_EQ] = ACTIONS(2171),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2171),
    [anon_sym_LT_LT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(2173),
  },
  [757] = {
    [sym_statement_block] = STATE(209),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1178),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [758] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(211),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [759] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1179),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [760] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(213),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [761] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(214),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [762] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_EQ_GT] = ACTIONS(2169),
    [anon_sym_PLUS_EQ] = ACTIONS(2177),
    [anon_sym_DASH_EQ] = ACTIONS(2177),
    [anon_sym_STAR_EQ] = ACTIONS(2177),
    [anon_sym_SLASH_EQ] = ACTIONS(2177),
    [anon_sym_PERCENT_EQ] = ACTIONS(2177),
    [anon_sym_CARET_EQ] = ACTIONS(2177),
    [anon_sym_AMP_EQ] = ACTIONS(2177),
    [anon_sym_PIPE_EQ] = ACTIONS(2177),
    [anon_sym_GT_GT_EQ] = ACTIONS(2177),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2177),
    [anon_sym_LT_LT_EQ] = ACTIONS(2177),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [763] = {
    [sym__initializer] = STATE(204),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_PLUS_EQ] = ACTIONS(2171),
    [anon_sym_DASH_EQ] = ACTIONS(2171),
    [anon_sym_STAR_EQ] = ACTIONS(2171),
    [anon_sym_SLASH_EQ] = ACTIONS(2171),
    [anon_sym_PERCENT_EQ] = ACTIONS(2171),
    [anon_sym_CARET_EQ] = ACTIONS(2171),
    [anon_sym_AMP_EQ] = ACTIONS(2171),
    [anon_sym_PIPE_EQ] = ACTIONS(2171),
    [anon_sym_GT_GT_EQ] = ACTIONS(2171),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2171),
    [anon_sym_LT_LT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [764] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [765] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [766] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [767] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_PLUS_EQ] = ACTIONS(2177),
    [anon_sym_DASH_EQ] = ACTIONS(2177),
    [anon_sym_STAR_EQ] = ACTIONS(2177),
    [anon_sym_SLASH_EQ] = ACTIONS(2177),
    [anon_sym_PERCENT_EQ] = ACTIONS(2177),
    [anon_sym_CARET_EQ] = ACTIONS(2177),
    [anon_sym_AMP_EQ] = ACTIONS(2177),
    [anon_sym_PIPE_EQ] = ACTIONS(2177),
    [anon_sym_GT_GT_EQ] = ACTIONS(2177),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2177),
    [anon_sym_LT_LT_EQ] = ACTIONS(2177),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [768] = {
    [anon_sym_EQ_GT] = ACTIONS(2169),
    [sym_comment] = ACTIONS(76),
  },
  [769] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1188),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(1189),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(1190),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [770] = {
    [sym__automatic_semicolon] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_of] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2201),
    [anon_sym_GT] = ACTIONS(2201),
    [anon_sym_SLASH] = ACTIONS(2201),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_EQ] = ACTIONS(2201),
    [anon_sym_QMARK] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2201),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2201),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2199),
  },
  [771] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [772] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [773] = {
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2207),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2205),
    [sym_number] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2207),
    [anon_sym_get] = ACTIONS(2207),
    [anon_sym_set] = ACTIONS(2207),
  },
  [774] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [sym_comment] = ACTIONS(76),
  },
  [775] = {
    [anon_sym_from] = ACTIONS(2213),
    [sym_comment] = ACTIONS(76),
  },
  [776] = {
    [anon_sym_from] = ACTIONS(2215),
    [sym_comment] = ACTIONS(76),
  },
  [777] = {
    [sym__import_export_specifier] = STATE(1193),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [778] = {
    [anon_sym_from] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [779] = {
    [aux_sym_named_imports_repeat1] = STATE(1195),
    [anon_sym_COMMA] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [sym_comment] = ACTIONS(76),
  },
  [780] = {
    [anon_sym_from] = ACTIONS(2223),
    [sym_comment] = ACTIONS(76),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2227),
    [anon_sym_var] = ACTIONS(2227),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_switch] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_with] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_debugger] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_throw] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_function] = ACTIONS(2227),
    [anon_sym_EQ_GT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_regex] = ACTIONS(2229),
    [sym_number] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2227),
    [sym_super] = ACTIONS(2227),
    [sym_true] = ACTIONS(2227),
    [sym_false] = ACTIONS(2227),
    [sym_null] = ACTIONS(2227),
    [sym_undefined] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2227),
    [anon_sym_set] = ACTIONS(2227),
  },
  [782] = {
    [sym__automatic_semicolon] = ACTIONS(1339),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(1339),
    [anon_sym_of] = ACTIONS(1339),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(1339),
    [sym_comment] = ACTIONS(76),
  },
  [783] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [784] = {
    [sym__automatic_semicolon] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_of] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [sym_comment] = ACTIONS(76),
  },
  [785] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [sym_comment] = ACTIONS(76),
  },
  [786] = {
    [aux_sym_object_repeat1] = STATE(1198),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [sym_comment] = ACTIONS(76),
  },
  [787] = {
    [sym__automatic_semicolon] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_of] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
  },
  [788] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(2235),
    [sym_comment] = ACTIONS(76),
  },
  [789] = {
    [sym__automatic_semicolon] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [sym_comment] = ACTIONS(76),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2239),
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_EQ_GT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2239),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_regex] = ACTIONS(2243),
    [sym_number] = ACTIONS(2241),
    [sym_identifier] = ACTIONS(2243),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
  },
  [791] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2237),
    [sym_comment] = ACTIONS(76),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_EQ_GT] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2248),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym_regex] = ACTIONS(2252),
    [sym_number] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
  },
  [793] = {
    [anon_sym_export] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_var] = ACTIONS(1651),
    [anon_sym_let] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_try] = ACTIONS(1651),
    [anon_sym_with] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_debugger] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_class] = ACTIONS(1651),
    [anon_sym_async] = ACTIONS(1651),
    [anon_sym_function] = ACTIONS(1651),
    [anon_sym_EQ_GT] = ACTIONS(1649),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_await] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_typeof] = ACTIONS(1651),
    [anon_sym_void] = ACTIONS(1651),
    [anon_sym_delete] = ACTIONS(1651),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1649),
    [anon_sym_BQUOTE] = ACTIONS(1649),
    [sym_regex] = ACTIONS(2254),
    [sym_number] = ACTIONS(1651),
    [sym_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(1651),
    [sym_super] = ACTIONS(1651),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [sym_null] = ACTIONS(1651),
    [sym_undefined] = ACTIONS(1651),
    [anon_sym_AT] = ACTIONS(1649),
    [anon_sym_get] = ACTIONS(1651),
    [anon_sym_set] = ACTIONS(1651),
  },
  [794] = {
    [sym__from_clause] = STATE(1200),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [795] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1201),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [796] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2256),
  },
  [797] = {
    [anon_sym_function] = ACTIONS(2258),
    [sym_comment] = ACTIONS(76),
  },
  [798] = {
    [sym_formal_parameters] = STATE(1206),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2262),
  },
  [799] = {
    [sym__from_clause] = STATE(1200),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [anon_sym_from] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(2264),
    [sym_comment] = ACTIONS(76),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(447),
    [anon_sym_export] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_var] = ACTIONS(449),
    [anon_sym_let] = ACTIONS(449),
    [anon_sym_const] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_else] = ACTIONS(449),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_debugger] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(447),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(449),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ_GT] = ACTIONS(447),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_typeof] = ACTIONS(449),
    [anon_sym_void] = ACTIONS(449),
    [anon_sym_delete] = ACTIONS(449),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(447),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_regex] = ACTIONS(451),
    [sym_number] = ACTIONS(449),
    [sym_identifier] = ACTIONS(451),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_undefined] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(449),
    [anon_sym_set] = ACTIONS(449),
  },
  [801] = {
    [sym__automatic_semicolon] = ACTIONS(1569),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [802] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(2266),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [803] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(485),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [804] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [805] = {
    [sym__automatic_semicolon] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2270),
    [sym_comment] = ACTIONS(76),
  },
  [806] = {
    [sym__from_clause] = STATE(1211),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [807] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1213),
    [sym__automatic_semicolon] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2272),
    [sym_comment] = ACTIONS(76),
  },
  [808] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1215),
    [sym__automatic_semicolon] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2274),
    [sym_comment] = ACTIONS(76),
  },
  [809] = {
    [sym_export_statement] = STATE(1216),
    [sym__declaration] = STATE(1216),
    [sym_import_statement] = STATE(1216),
    [sym_expression_statement] = STATE(1216),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1216),
    [sym_if_statement] = STATE(1216),
    [sym_switch_statement] = STATE(1216),
    [sym_for_statement] = STATE(1216),
    [sym_for_in_statement] = STATE(1216),
    [sym_for_of_statement] = STATE(1216),
    [sym_while_statement] = STATE(1216),
    [sym_do_statement] = STATE(1216),
    [sym_try_statement] = STATE(1216),
    [sym_with_statement] = STATE(1216),
    [sym_break_statement] = STATE(1216),
    [sym_continue_statement] = STATE(1216),
    [sym_debugger_statement] = STATE(1216),
    [sym_return_statement] = STATE(1216),
    [sym_throw_statement] = STATE(1216),
    [sym_empty_statement] = STATE(1216),
    [sym_labeled_statement] = STATE(1216),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [810] = {
    [sym_switch_body] = STATE(1218),
    [anon_sym_LBRACE] = ACTIONS(2276),
    [sym_comment] = ACTIONS(76),
  },
  [811] = {
    [sym_expression_statement] = STATE(1222),
    [sym_variable_declaration] = STATE(1222),
    [sym_lexical_declaration] = STATE(1222),
    [sym_empty_statement] = STATE(1222),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1223),
    [sym_array] = STATE(1224),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(2278),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2282),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [812] = {
    [sym_export_statement] = STATE(1225),
    [sym__declaration] = STATE(1225),
    [sym_import_statement] = STATE(1225),
    [sym_expression_statement] = STATE(1225),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1225),
    [sym_if_statement] = STATE(1225),
    [sym_switch_statement] = STATE(1225),
    [sym_for_statement] = STATE(1225),
    [sym_for_in_statement] = STATE(1225),
    [sym_for_of_statement] = STATE(1225),
    [sym_while_statement] = STATE(1225),
    [sym_do_statement] = STATE(1225),
    [sym_try_statement] = STATE(1225),
    [sym_with_statement] = STATE(1225),
    [sym_break_statement] = STATE(1225),
    [sym_continue_statement] = STATE(1225),
    [sym_debugger_statement] = STATE(1225),
    [sym_return_statement] = STATE(1225),
    [sym_throw_statement] = STATE(1225),
    [sym_empty_statement] = STATE(1225),
    [sym_labeled_statement] = STATE(1225),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [813] = {
    [anon_sym_while] = ACTIONS(2284),
    [sym_comment] = ACTIONS(76),
  },
  [814] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1228),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [815] = {
    [sym_catch_clause] = STATE(1231),
    [sym_finally_clause] = STATE(1232),
    [ts_builtin_sym_end] = ACTIONS(783),
    [anon_sym_export] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_var] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(785),
    [anon_sym_const] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_debugger] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2290),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_EQ_GT] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_typeof] = ACTIONS(785),
    [anon_sym_void] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(783),
    [anon_sym_BQUOTE] = ACTIONS(783),
    [sym_regex] = ACTIONS(791),
    [sym_number] = ACTIONS(785),
    [sym_identifier] = ACTIONS(791),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(785),
    [anon_sym_set] = ACTIONS(785),
  },
  [816] = {
    [sym_export_statement] = STATE(1233),
    [sym__declaration] = STATE(1233),
    [sym_import_statement] = STATE(1233),
    [sym_expression_statement] = STATE(1233),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1233),
    [sym_if_statement] = STATE(1233),
    [sym_switch_statement] = STATE(1233),
    [sym_for_statement] = STATE(1233),
    [sym_for_in_statement] = STATE(1233),
    [sym_for_of_statement] = STATE(1233),
    [sym_while_statement] = STATE(1233),
    [sym_do_statement] = STATE(1233),
    [sym_try_statement] = STATE(1233),
    [sym_with_statement] = STATE(1233),
    [sym_break_statement] = STATE(1233),
    [sym_continue_statement] = STATE(1233),
    [sym_debugger_statement] = STATE(1233),
    [sym_return_statement] = STATE(1233),
    [sym_throw_statement] = STATE(1233),
    [sym_empty_statement] = STATE(1233),
    [sym_labeled_statement] = STATE(1233),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(795),
    [anon_sym_var] = ACTIONS(795),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_else] = ACTIONS(795),
    [anon_sym_switch] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_do] = ACTIONS(795),
    [anon_sym_try] = ACTIONS(795),
    [anon_sym_with] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(795),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_debugger] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_throw] = ACTIONS(795),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_yield] = ACTIONS(795),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(795),
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ_GT] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_typeof] = ACTIONS(795),
    [anon_sym_void] = ACTIONS(795),
    [anon_sym_delete] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(793),
    [anon_sym_DASH_DASH] = ACTIONS(793),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(793),
    [anon_sym_BQUOTE] = ACTIONS(793),
    [sym_regex] = ACTIONS(797),
    [sym_number] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_undefined] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
  },
  [818] = {
    [sym__automatic_semicolon] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2292),
    [sym_comment] = ACTIONS(76),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(801),
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(803),
    [anon_sym_var] = ACTIONS(803),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_const] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_else] = ACTIONS(803),
    [anon_sym_switch] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(803),
    [anon_sym_try] = ACTIONS(803),
    [anon_sym_with] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [anon_sym_debugger] = ACTIONS(803),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_throw] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_yield] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(803),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(801),
    [anon_sym_new] = ACTIONS(803),
    [anon_sym_await] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_TILDE] = ACTIONS(801),
    [anon_sym_typeof] = ACTIONS(803),
    [anon_sym_void] = ACTIONS(803),
    [anon_sym_delete] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(801),
    [anon_sym_DASH_DASH] = ACTIONS(801),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(801),
    [anon_sym_BQUOTE] = ACTIONS(801),
    [sym_regex] = ACTIONS(805),
    [sym_number] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_undefined] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
  },
  [820] = {
    [sym__automatic_semicolon] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2294),
    [sym_comment] = ACTIONS(76),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(811),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_else] = ACTIONS(811),
    [anon_sym_switch] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_do] = ACTIONS(811),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_with] = ACTIONS(811),
    [anon_sym_break] = ACTIONS(811),
    [anon_sym_continue] = ACTIONS(811),
    [anon_sym_debugger] = ACTIONS(811),
    [anon_sym_return] = ACTIONS(811),
    [anon_sym_throw] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ_GT] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_typeof] = ACTIONS(811),
    [anon_sym_void] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(809),
    [anon_sym_DASH_DASH] = ACTIONS(809),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(809),
    [anon_sym_BQUOTE] = ACTIONS(809),
    [sym_regex] = ACTIONS(813),
    [sym_number] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_this] = ACTIONS(811),
    [sym_super] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_undefined] = ACTIONS(811),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [anon_sym_export] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_const] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_debugger] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_EQ_GT] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(817),
    [anon_sym_void] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(817),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(815),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_regex] = ACTIONS(819),
    [sym_number] = ACTIONS(817),
    [sym_identifier] = ACTIONS(819),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_null] = ACTIONS(817),
    [sym_undefined] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(815),
    [anon_sym_get] = ACTIONS(817),
    [anon_sym_set] = ACTIONS(817),
  },
  [823] = {
    [sym__automatic_semicolon] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [sym_comment] = ACTIONS(76),
  },
  [824] = {
    [sym__automatic_semicolon] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2298),
    [sym_comment] = ACTIONS(76),
  },
  [825] = {
    [sym_class_heritage] = STATE(1239),
    [sym_class_body] = STATE(1240),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [826] = {
    [sym_formal_parameters] = STATE(1242),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2302),
  },
  [827] = {
    [sym_formal_parameters] = STATE(1244),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2304),
  },
  [828] = {
    [sym_formal_parameters] = STATE(1242),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [829] = {
    [sym_statement_block] = STATE(1246),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(76),
  },
  [830] = {
    [sym_export_statement] = STATE(1247),
    [sym__declaration] = STATE(1247),
    [sym_import_statement] = STATE(1247),
    [sym_expression_statement] = STATE(1247),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1247),
    [sym_if_statement] = STATE(1247),
    [sym_switch_statement] = STATE(1247),
    [sym_for_statement] = STATE(1247),
    [sym_for_in_statement] = STATE(1247),
    [sym_for_of_statement] = STATE(1247),
    [sym_while_statement] = STATE(1247),
    [sym_do_statement] = STATE(1247),
    [sym_try_statement] = STATE(1247),
    [sym_with_statement] = STATE(1247),
    [sym_break_statement] = STATE(1247),
    [sym_continue_statement] = STATE(1247),
    [sym_debugger_statement] = STATE(1247),
    [sym_return_statement] = STATE(1247),
    [sym_throw_statement] = STATE(1247),
    [sym_empty_statement] = STATE(1247),
    [sym_labeled_statement] = STATE(1247),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [831] = {
    [sym_export_statement] = STATE(1248),
    [sym__declaration] = STATE(1248),
    [sym_import_statement] = STATE(1248),
    [sym_expression_statement] = STATE(1248),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1248),
    [sym_if_statement] = STATE(1248),
    [sym_switch_statement] = STATE(1248),
    [sym_for_statement] = STATE(1248),
    [sym_for_in_statement] = STATE(1248),
    [sym_for_of_statement] = STATE(1248),
    [sym_while_statement] = STATE(1248),
    [sym_do_statement] = STATE(1248),
    [sym_try_statement] = STATE(1248),
    [sym_with_statement] = STATE(1248),
    [sym_break_statement] = STATE(1248),
    [sym_continue_statement] = STATE(1248),
    [sym_debugger_statement] = STATE(1248),
    [sym_return_statement] = STATE(1248),
    [sym_throw_statement] = STATE(1248),
    [sym_empty_statement] = STATE(1248),
    [sym_labeled_statement] = STATE(1248),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [anon_sym_export] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_var] = ACTIONS(1033),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_debugger] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1033),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_await] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1033),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [sym_regex] = ACTIONS(1035),
    [sym_number] = ACTIONS(1033),
    [sym_identifier] = ACTIONS(1035),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1033),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_let] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_debugger] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_EQ_GT] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_delete] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [sym_regex] = ACTIONS(1087),
    [sym_number] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_undefined] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_get] = ACTIONS(1085),
    [anon_sym_set] = ACTIONS(1085),
  },
  [834] = {
    [sym__declaration] = STATE(1207),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_class] = STATE(801),
    [sym_function] = STATE(801),
    [sym_generator_function] = STATE(801),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(802),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(1519),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(1523),
    [anon_sym_async] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [835] = {
    [sym_class_heritage] = STATE(658),
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2310),
  },
  [836] = {
    [anon_sym_COLON] = ACTIONS(2312),
    [sym_comment] = ACTIONS(76),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2316),
    [anon_sym_var] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_debugger] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_EQ_GT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2316),
    [anon_sym_void] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2314),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_regex] = ACTIONS(2318),
    [sym_number] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2318),
    [sym_this] = ACTIONS(2316),
    [sym_super] = ACTIONS(2316),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [sym_null] = ACTIONS(2316),
    [sym_undefined] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2316),
    [anon_sym_set] = ACTIONS(2316),
  },
  [838] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1261),
    [sym__expression] = STATE(1262),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [839] = {
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_case] = ACTIONS(2340),
    [sym_comment] = ACTIONS(76),
  },
  [840] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1268),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [841] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [842] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1272),
    [sym__automatic_semicolon] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2348),
    [sym_comment] = ACTIONS(76),
  },
  [843] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [844] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_of] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [845] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1278),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2358),
    [sym_comment] = ACTIONS(76),
  },
  [846] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1288),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [847] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1303),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [848] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1309),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [849] = {
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1033),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_await] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1033),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [sym_regex] = ACTIONS(1035),
    [sym_number] = ACTIONS(1033),
    [sym_identifier] = ACTIONS(1035),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1033),
  },
  [850] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1310),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [851] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1311),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [852] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1312),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [853] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1313),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [854] = {
    [anon_sym_STAR] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_RPAREN] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(1341),
    [anon_sym_COLON] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_RBRACK] = ACTIONS(1339),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1339),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1339),
    [anon_sym_GT_GT] = ACTIONS(1341),
    [anon_sym_GT_GT_GT] = ACTIONS(1339),
    [anon_sym_LT_LT] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [anon_sym_LT_EQ] = ACTIONS(1339),
    [anon_sym_EQ_EQ] = ACTIONS(1341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1339),
    [anon_sym_BANG_EQ] = ACTIONS(1341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1339),
    [anon_sym_GT_EQ] = ACTIONS(1339),
    [anon_sym_instanceof] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1339),
  },
  [855] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [sym_comment] = ACTIONS(76),
  },
  [856] = {
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_RBRACK] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_GT_GT_GT] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_instanceof] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1421),
  },
  [857] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [sym_comment] = ACTIONS(76),
  },
  [858] = {
    [aux_sym_object_repeat1] = STATE(1316),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [sym_comment] = ACTIONS(76),
  },
  [859] = {
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_COLON] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym_RBRACK] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_DOT] = ACTIONS(1649),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_AMP_AMP] = ACTIONS(1649),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1651),
    [anon_sym_GT_GT_GT] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1651),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PERCENT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_EQ_EQ] = ACTIONS(1651),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1651),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_instanceof] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1649),
  },
  [860] = {
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1767),
    [anon_sym_COLON] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_RBRACK] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_GT_GT_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_instanceof] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1765),
  },
  [861] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(2406),
    [sym_comment] = ACTIONS(76),
  },
  [862] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(2408),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [863] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(2410),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [864] = {
    [anon_sym_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(76),
  },
  [865] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1804),
    [anon_sym_SLASH] = ACTIONS(2414),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [866] = {
    [anon_sym_GT] = ACTIONS(2416),
    [sym_comment] = ACTIONS(76),
  },
  [867] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(2418),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [868] = {
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_RPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_COLON] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_RBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1822),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1822),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1822),
  },
  [869] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [870] = {
    [sym_class_body] = STATE(1325),
    [anon_sym_LBRACE] = ACTIONS(675),
    [sym_comment] = ACTIONS(76),
  },
  [871] = {
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_RPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_RBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1884),
  },
  [872] = {
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1892),
    [anon_sym_COLON] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_RBRACK] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(1892),
    [anon_sym_SLASH] = ACTIONS(1892),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_QMARK] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_GT_GT] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1892),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_instanceof] = ACTIONS(1890),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1890),
  },
  [873] = {
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_COMMA] = ACTIONS(1900),
    [anon_sym_RBRACE] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_RPAREN] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1902),
    [anon_sym_COLON] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_RBRACK] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_DOT] = ACTIONS(1900),
    [anon_sym_EQ] = ACTIONS(1902),
    [anon_sym_PLUS_EQ] = ACTIONS(1900),
    [anon_sym_DASH_EQ] = ACTIONS(1900),
    [anon_sym_STAR_EQ] = ACTIONS(1900),
    [anon_sym_SLASH_EQ] = ACTIONS(1900),
    [anon_sym_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_CARET_EQ] = ACTIONS(1900),
    [anon_sym_AMP_EQ] = ACTIONS(1900),
    [anon_sym_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_GT_GT_EQ] = ACTIONS(1900),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1900),
    [anon_sym_LT_LT_EQ] = ACTIONS(1900),
    [anon_sym_QMARK] = ACTIONS(1900),
    [anon_sym_AMP_AMP] = ACTIONS(1900),
    [anon_sym_PIPE_PIPE] = ACTIONS(1900),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_GT_GT_GT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1900),
    [anon_sym_EQ_EQ] = ACTIONS(1902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1900),
    [anon_sym_GT_EQ] = ACTIONS(1900),
    [anon_sym_instanceof] = ACTIONS(1900),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1900),
  },
  [874] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [875] = {
    [sym_formal_parameters] = STATE(1326),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [876] = {
    [sym_statement_block] = STATE(1327),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [sym_comment] = ACTIONS(76),
  },
  [877] = {
    [anon_sym_STAR] = ACTIONS(1906),
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(1908),
    [anon_sym_COLON] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1906),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_GT] = ACTIONS(1908),
    [anon_sym_SLASH] = ACTIONS(1908),
    [anon_sym_DOT] = ACTIONS(1906),
    [anon_sym_QMARK] = ACTIONS(1906),
    [anon_sym_AMP_AMP] = ACTIONS(1906),
    [anon_sym_PIPE_PIPE] = ACTIONS(1906),
    [anon_sym_GT_GT] = ACTIONS(1908),
    [anon_sym_GT_GT_GT] = ACTIONS(1906),
    [anon_sym_LT_LT] = ACTIONS(1906),
    [anon_sym_AMP] = ACTIONS(1908),
    [anon_sym_CARET] = ACTIONS(1906),
    [anon_sym_PIPE] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_PERCENT] = ACTIONS(1906),
    [anon_sym_LT_EQ] = ACTIONS(1906),
    [anon_sym_EQ_EQ] = ACTIONS(1908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1906),
    [anon_sym_BANG_EQ] = ACTIONS(1908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1906),
    [anon_sym_GT_EQ] = ACTIONS(1906),
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_PLUS_PLUS] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(1906),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1906),
  },
  [878] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [879] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [880] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1329),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [881] = {
    [sym_formal_parameters] = STATE(1330),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [882] = {
    [sym_statement_block] = STATE(1331),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [sym_comment] = ACTIONS(76),
  },
  [883] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(888),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [884] = {
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_COLON] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_RBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1914),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1914),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1914),
  },
  [885] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(855),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(505),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(507),
    [anon_sym_get] = ACTIONS(509),
    [anon_sym_set] = ACTIONS(509),
  },
  [886] = {
    [sym__initializer] = STATE(321),
    [aux_sym_object_repeat1] = STATE(855),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [887] = {
    [sym__initializer] = STATE(204),
    [sym__property_name] = STATE(283),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_object_repeat1] = STATE(855),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_COLON] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(505),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [888] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [889] = {
    [sym_decorator] = STATE(51),
    [sym_method_definition] = STATE(858),
    [sym__property_name] = STATE(336),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_export_statement_repeat1] = STATE(337),
    [anon_sym_export] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_class] = ACTIONS(557),
    [anon_sym_async] = ACTIONS(559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
  },
  [890] = {
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_COMMA] = ACTIONS(1926),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_RPAREN] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1928),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_RBRACK] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1926),
    [anon_sym_AMP_AMP] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_GT_GT_GT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_PIPE] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1926),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1926),
    [anon_sym_instanceof] = ACTIONS(1926),
    [anon_sym_PLUS_PLUS] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1926),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1926),
  },
  [891] = {
    [sym__initializer] = STATE(717),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [892] = {
    [sym__initializer] = STATE(723),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [893] = {
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(2426),
    [sym_comment] = ACTIONS(76),
  },
  [894] = {
    [sym__initializer] = STATE(724),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_RPAREN] = ACTIONS(2430),
    [anon_sym_EQ] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [895] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [896] = {
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_COMMA] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [anon_sym_in] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_DOT] = ACTIONS(1948),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_PLUS_EQ] = ACTIONS(1948),
    [anon_sym_DASH_EQ] = ACTIONS(1948),
    [anon_sym_STAR_EQ] = ACTIONS(1948),
    [anon_sym_SLASH_EQ] = ACTIONS(1948),
    [anon_sym_PERCENT_EQ] = ACTIONS(1948),
    [anon_sym_CARET_EQ] = ACTIONS(1948),
    [anon_sym_AMP_EQ] = ACTIONS(1948),
    [anon_sym_PIPE_EQ] = ACTIONS(1948),
    [anon_sym_GT_GT_EQ] = ACTIONS(1948),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1948),
    [anon_sym_LT_LT_EQ] = ACTIONS(1948),
    [anon_sym_QMARK] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1948),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_GT_GT_GT] = ACTIONS(1950),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_EQ_EQ] = ACTIONS(1950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1948),
    [anon_sym_BANG_EQ] = ACTIONS(1950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_instanceof] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1948),
  },
  [897] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [898] = {
    [anon_sym_LBRACE] = ACTIONS(2432),
    [anon_sym_EQ_GT] = ACTIONS(2432),
    [sym_comment] = ACTIONS(76),
  },
  [899] = {
    [aux_sym_formal_parameters_repeat1] = STATE(899),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2426),
    [sym_comment] = ACTIONS(76),
  },
  [900] = {
    [anon_sym_export] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_RBRACK] = ACTIONS(1954),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_DOT] = ACTIONS(1954),
    [anon_sym_class] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_GT_GT] = ACTIONS(1956),
    [anon_sym_GT_GT_GT] = ACTIONS(1954),
    [anon_sym_LT_LT] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_CARET] = ACTIONS(1954),
    [anon_sym_PIPE] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1954),
    [anon_sym_LT_EQ] = ACTIONS(1954),
    [anon_sym_EQ_EQ] = ACTIONS(1956),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1954),
    [anon_sym_BANG_EQ] = ACTIONS(1956),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1954),
    [anon_sym_GT_EQ] = ACTIONS(1954),
    [anon_sym_instanceof] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1954),
    [anon_sym_AT] = ACTIONS(1954),
  },
  [901] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1335),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(2437),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [902] = {
    [aux_sym_array_repeat1] = STATE(1335),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(2437),
    [sym_comment] = ACTIONS(76),
  },
  [903] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(2437),
    [sym_comment] = ACTIONS(76),
  },
  [904] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1940),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [905] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1976),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [906] = {
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_RPAREN] = ACTIONS(1976),
    [anon_sym_COLON] = ACTIONS(1976),
    [anon_sym_RBRACK] = ACTIONS(1976),
    [sym_comment] = ACTIONS(76),
  },
  [907] = {
    [anon_sym_RBRACK] = ACTIONS(2439),
    [sym_comment] = ACTIONS(76),
  },
  [908] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [909] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [910] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [911] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [912] = {
    [anon_sym_LBRACE] = ACTIONS(2443),
    [anon_sym_EQ_GT] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [913] = {
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_EQ_GT] = ACTIONS(2445),
    [sym_comment] = ACTIONS(76),
  },
  [914] = {
    [sym_nested_identifier] = STATE(1340),
    [sym_jsx_namespace_name] = STATE(1341),
    [sym_jsx_identifier] = ACTIONS(2447),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2449),
  },
  [915] = {
    [anon_sym_STAR] = ACTIONS(2050),
    [anon_sym_LBRACE] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_in] = ACTIONS(2052),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_QMARK] = ACTIONS(2050),
    [anon_sym_AMP_AMP] = ACTIONS(2050),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_GT_GT_GT] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_instanceof] = ACTIONS(2050),
    [anon_sym_PLUS_PLUS] = ACTIONS(2050),
    [anon_sym_DASH_DASH] = ACTIONS(2050),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2050),
  },
  [916] = {
    [sym_class_heritage] = STATE(1342),
    [sym_class_body] = STATE(1325),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [917] = {
    [sym_class_body] = STATE(1343),
    [anon_sym_LBRACE] = ACTIONS(675),
    [sym_comment] = ACTIONS(76),
  },
  [918] = {
    [sym_class_heritage] = STATE(1344),
    [sym_class_body] = STATE(583),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [919] = {
    [sym_formal_parameters] = STATE(1346),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2451),
  },
  [920] = {
    [sym_formal_parameters] = STATE(1348),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2453),
  },
  [921] = {
    [sym_formal_parameters] = STATE(1346),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [922] = {
    [sym_statement_block] = STATE(600),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(76),
  },
  [923] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2457),
  },
  [924] = {
    [sym_export_clause] = STATE(799),
    [sym__declaration] = STATE(800),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_class] = STATE(801),
    [sym_function] = STATE(801),
    [sym_generator_function] = STATE(801),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1353),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(1519),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [925] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(804),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [926] = {
    [sym_parenthesized_expression] = STATE(1354),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [927] = {
    [anon_sym_LPAREN] = ACTIONS(2465),
    [sym_comment] = ACTIONS(76),
  },
  [928] = {
    [sym_parenthesized_expression] = STATE(1356),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [929] = {
    [sym_statement_block] = STATE(1358),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [sym_comment] = ACTIONS(76),
  },
  [930] = {
    [sym_parenthesized_expression] = STATE(1359),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [931] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(2469),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [932] = {
    [anon_sym_else] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
  },
  [933] = {
    [sym__automatic_semicolon] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [934] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [935] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(2473),
    [anon_sym_class] = ACTIONS(779),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [936] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(1364),
    [sym_array] = STATE(1365),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2475),
  },
  [937] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(1364),
    [sym_array] = STATE(1365),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2475),
  },
  [938] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_of] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [939] = {
    [sym_expression_statement] = STATE(1368),
    [sym_empty_statement] = STATE(1368),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [940] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2481),
    [anon_sym_of] = ACTIONS(2483),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [941] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2485),
    [anon_sym_of] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [942] = {
    [sym_statement_block] = STATE(959),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [sym_comment] = ACTIONS(76),
  },
  [943] = {
    [sym_statement_block] = STATE(961),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [sym_comment] = ACTIONS(76),
  },
  [944] = {
    [sym_finally_clause] = STATE(962),
    [anon_sym_while] = ACTIONS(1725),
    [anon_sym_finally] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [945] = {
    [sym_class_body] = STATE(1374),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [946] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_else] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_RPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1884),
  },
  [947] = {
    [sym_formal_parameters] = STATE(1375),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [948] = {
    [sym_statement_block] = STATE(1376),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(76),
  },
  [949] = {
    [sym_formal_parameters] = STATE(1377),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [950] = {
    [sym_statement_block] = STATE(1378),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(76),
  },
  [951] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(601),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [952] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1914),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1914),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1914),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1914),
  },
  [953] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(125),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [954] = {
    [sym__automatic_semicolon] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2493),
    [sym_comment] = ACTIONS(76),
  },
  [955] = {
    [sym_class_heritage] = STATE(1381),
    [sym_class_body] = STATE(1374),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [956] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_catch] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [957] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1383),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [958] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2497),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_finally] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_regex] = ACTIONS(2503),
    [sym_number] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
  },
  [960] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2507),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_regex] = ACTIONS(2511),
    [sym_number] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
  },
  [962] = {
    [ts_builtin_sym_end] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_EQ_GT] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2513),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2513),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_regex] = ACTIONS(2517),
    [sym_number] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
  },
  [963] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [964] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [965] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [966] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1386),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [967] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [968] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [969] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [970] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [971] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [972] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [973] = {
    [sym__automatic_semicolon] = ACTIONS(2521),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2523),
    [anon_sym_of] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_GT_GT_GT] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2521),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_instanceof] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2521),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2521),
  },
  [974] = {
    [anon_sym_GT] = ACTIONS(2525),
    [sym_comment] = ACTIONS(76),
  },
  [975] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(2527),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [976] = {
    [anon_sym_LBRACE] = ACTIONS(2529),
    [anon_sym_GT] = ACTIONS(2529),
    [anon_sym_SLASH] = ACTIONS(2531),
    [sym_jsx_identifier] = ACTIONS(2531),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2531),
  },
  [977] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [978] = {
    [anon_sym_RBRACE] = ACTIONS(2533),
    [sym_comment] = ACTIONS(76),
  },
  [979] = {
    [anon_sym_LBRACE] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_SLASH] = ACTIONS(2537),
    [sym_jsx_identifier] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2535),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2537),
  },
  [980] = {
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_GT] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2541),
    [sym_jsx_identifier] = ACTIONS(2541),
    [anon_sym_EQ] = ACTIONS(2539),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2541),
  },
  [981] = {
    [sym__automatic_semicolon] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(2543),
    [anon_sym_COMMA] = ACTIONS(2543),
    [anon_sym_RBRACE] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_RPAREN] = ACTIONS(2543),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_SEMI] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_DOT] = ACTIONS(2543),
    [anon_sym_QMARK] = ACTIONS(2543),
    [anon_sym_AMP_AMP] = ACTIONS(2543),
    [anon_sym_PIPE_PIPE] = ACTIONS(2543),
    [anon_sym_GT_GT] = ACTIONS(2545),
    [anon_sym_GT_GT_GT] = ACTIONS(2543),
    [anon_sym_LT_LT] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2543),
    [anon_sym_LT_EQ] = ACTIONS(2543),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2543),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2543),
    [anon_sym_GT_EQ] = ACTIONS(2543),
    [anon_sym_instanceof] = ACTIONS(2543),
    [anon_sym_PLUS_PLUS] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2543),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2543),
  },
  [982] = {
    [sym_jsx_element] = STATE(1392),
    [sym_jsx_fragment] = STATE(1392),
    [sym_jsx_expression] = STATE(1392),
    [sym_jsx_opening_element] = STATE(1393),
    [sym_jsx_self_closing_element] = STATE(1392),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(2547),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2549),
  },
  [983] = {
    [sym_jsx_element] = STATE(1394),
    [sym_jsx_fragment] = STATE(1394),
    [sym_jsx_expression] = STATE(1394),
    [sym_jsx_opening_element] = STATE(1393),
    [sym_jsx_self_closing_element] = STATE(1394),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(2547),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2551),
  },
  [984] = {
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_LT] = ACTIONS(2553),
    [sym_jsx_text] = ACTIONS(2553),
    [sym_comment] = ACTIONS(76),
  },
  [985] = {
    [anon_sym_GT] = ACTIONS(2555),
    [sym_comment] = ACTIONS(76),
  },
  [986] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2562),
    [sym_jsx_identifier] = ACTIONS(2564),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2567),
  },
  [987] = {
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2572),
    [sym_jsx_identifier] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2570),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2572),
  },
  [988] = {
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2576),
    [sym_jsx_identifier] = ACTIONS(2576),
    [anon_sym_EQ] = ACTIONS(2574),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2576),
  },
  [989] = {
    [sym__automatic_semicolon] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_GT_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_instanceof] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2578),
  },
  [990] = {
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2584),
    [sym_jsx_identifier] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2584),
  },
  [991] = {
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [sym_jsx_text] = ACTIONS(2586),
    [sym_comment] = ACTIONS(76),
  },
  [992] = {
    [anon_sym_GT] = ACTIONS(2588),
    [sym_comment] = ACTIONS(76),
  },
  [993] = {
    [sym_formal_parameters] = STATE(1397),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [994] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [995] = {
    [sym__property_name] = STATE(1399),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [996] = {
    [sym__property_name] = STATE(1399),
    [sym_computed_property_name] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(459),
    [sym_number] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_get] = ACTIONS(457),
    [anon_sym_set] = ACTIONS(457),
  },
  [997] = {
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_DOT] = ACTIONS(1005),
    [anon_sym_async] = ACTIONS(1005),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1007),
    [sym_number] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(1005),
    [anon_sym_get] = ACTIONS(1005),
    [anon_sym_set] = ACTIONS(1005),
  },
  [998] = {
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1011),
    [anon_sym_async] = ACTIONS(1011),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1013),
    [sym_number] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_static] = ACTIONS(1011),
    [anon_sym_get] = ACTIONS(1011),
    [anon_sym_set] = ACTIONS(1011),
  },
  [999] = {
    [sym_arguments] = STATE(1402),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_async] = ACTIONS(1402),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1017),
    [sym_number] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_get] = ACTIONS(1402),
    [anon_sym_set] = ACTIONS(1402),
  },
  [1000] = {
    [sym_arguments] = STATE(1404),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(1021),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_async] = ACTIONS(1410),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1021),
    [sym_number] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1021),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_get] = ACTIONS(1410),
    [anon_sym_set] = ACTIONS(1410),
  },
  [1001] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_async] = ACTIONS(1025),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1027),
    [sym_number] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1027),
    [anon_sym_static] = ACTIONS(1025),
    [anon_sym_get] = ACTIONS(1025),
    [anon_sym_set] = ACTIONS(1025),
  },
  [1002] = {
    [sym__automatic_semicolon] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [sym_comment] = ACTIONS(76),
  },
  [1003] = {
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_async] = ACTIONS(2602),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2600),
    [sym_number] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_get] = ACTIONS(2602),
    [anon_sym_set] = ACTIONS(2602),
  },
  [1004] = {
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_async] = ACTIONS(2602),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2600),
    [sym_number] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_get] = ACTIONS(2602),
    [anon_sym_set] = ACTIONS(2602),
  },
  [1005] = {
    [sym__automatic_semicolon] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [sym_comment] = ACTIONS(76),
  },
  [1006] = {
    [sym_statement_block] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [sym_comment] = ACTIONS(76),
  },
  [1007] = {
    [sym_public_field_definition] = STATE(1407),
    [sym_method_definition] = STATE(1408),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1008] = {
    [sym_decorator] = STATE(561),
    [aux_sym_export_statement_repeat1] = STATE(1008),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_async] = ACTIONS(1457),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1212),
    [sym_number] = ACTIONS(1457),
    [sym_identifier] = ACTIONS(1459),
    [anon_sym_AT] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_get] = ACTIONS(1457),
    [anon_sym_set] = ACTIONS(1457),
  },
  [1009] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2613),
  },
  [1010] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2623),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2626),
    [sym_number] = ACTIONS(2629),
    [sym_identifier] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2641),
    [anon_sym_set] = ACTIONS(2641),
  },
  [1011] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1012] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1409),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1013] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1410),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1014] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1411),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1015] = {
    [anon_sym_EQ_GT] = ACTIONS(2644),
    [sym_comment] = ACTIONS(76),
  },
  [1016] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1017] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1018] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1413),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1019] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1414),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1020] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1021] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1415),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1022] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1416),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1023] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1417),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1024] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1418),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1025] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [ts_builtin_sym_end] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [1026] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1027] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [ts_builtin_sym_end] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [1028] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1140),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2125),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1029] = {
    [sym_statement_block] = STATE(1420),
    [anon_sym_LBRACE] = ACTIONS(959),
    [sym_comment] = ACTIONS(76),
  },
  [1030] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [ts_builtin_sym_end] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [1031] = {
    [sym__automatic_semicolon] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_GT_GT] = ACTIONS(2664),
    [anon_sym_GT_GT_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2662),
    [anon_sym_instanceof] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2662),
  },
  [1032] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1033] = {
    [sym_statement_block] = STATE(1421),
    [anon_sym_LBRACE] = ACTIONS(959),
    [sym_comment] = ACTIONS(76),
  },
  [1034] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [ts_builtin_sym_end] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [1035] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1036] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1037] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1434),
  },
  [1038] = {
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2674),
    [sym__template_chars] = ACTIONS(2674),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2676),
  },
  [1039] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1423),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(906),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [1040] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1041] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1042] = {
    [sym__automatic_semicolon] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_LPAREN] = ACTIONS(2678),
    [anon_sym_RPAREN] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2678),
    [anon_sym_QMARK] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_PIPE_PIPE] = ACTIONS(2678),
    [anon_sym_GT_GT] = ACTIONS(2680),
    [anon_sym_GT_GT_GT] = ACTIONS(2678),
    [anon_sym_LT_LT] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2678),
    [anon_sym_PIPE] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2678),
    [anon_sym_LT_EQ] = ACTIONS(2678),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2678),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2678),
    [anon_sym_GT_EQ] = ACTIONS(2678),
    [anon_sym_instanceof] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2678),
  },
  [1043] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(2682),
    [sym_comment] = ACTIONS(76),
  },
  [1044] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [sym_comment] = ACTIONS(76),
  },
  [1045] = {
    [anon_sym_export] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_async] = ACTIONS(2687),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2689),
    [sym_number] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2687),
    [anon_sym_set] = ACTIONS(2687),
  },
  [1046] = {
    [anon_sym_export] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_class] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2695),
    [sym_number] = ACTIONS(2693),
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
  },
  [1047] = {
    [sym__automatic_semicolon] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_RPAREN] = ACTIONS(2699),
    [anon_sym_in] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_GT] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2699),
    [anon_sym_DASH_EQ] = ACTIONS(2699),
    [anon_sym_STAR_EQ] = ACTIONS(2699),
    [anon_sym_SLASH_EQ] = ACTIONS(2699),
    [anon_sym_PERCENT_EQ] = ACTIONS(2699),
    [anon_sym_CARET_EQ] = ACTIONS(2699),
    [anon_sym_AMP_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_EQ] = ACTIONS(2699),
    [anon_sym_GT_GT_EQ] = ACTIONS(2699),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2699),
    [anon_sym_LT_LT_EQ] = ACTIONS(2699),
    [anon_sym_QMARK] = ACTIONS(2699),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_GT_GT] = ACTIONS(2701),
    [anon_sym_GT_GT_GT] = ACTIONS(2701),
    [anon_sym_LT_LT] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_CARET] = ACTIONS(2701),
    [anon_sym_PIPE] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_EQ_EQ] = ACTIONS(2701),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2699),
    [anon_sym_instanceof] = ACTIONS(2699),
    [anon_sym_PLUS_PLUS] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2699),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2699),
  },
  [1048] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1425),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(906),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [1049] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1050] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1426),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1051] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1427),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1052] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1428),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1053] = {
    [anon_sym_EQ_GT] = ACTIONS(2703),
    [sym_comment] = ACTIONS(76),
  },
  [1054] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1055] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1056] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1430),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1057] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1431),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1058] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1059] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1432),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1060] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1433),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1061] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1434),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1062] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1435),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1063] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1436),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1064] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1437),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_RBRACE] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1065] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1441),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(2707),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(2711),
  },
  [1066] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1067] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1068] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1443),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1069] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1070] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1071] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2707),
    [anon_sym_PLUS_EQ] = ACTIONS(2715),
    [anon_sym_DASH_EQ] = ACTIONS(2715),
    [anon_sym_STAR_EQ] = ACTIONS(2715),
    [anon_sym_SLASH_EQ] = ACTIONS(2715),
    [anon_sym_PERCENT_EQ] = ACTIONS(2715),
    [anon_sym_CARET_EQ] = ACTIONS(2715),
    [anon_sym_AMP_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_LT_LT_EQ] = ACTIONS(2715),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1072] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [1073] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1074] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1075] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1076] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2715),
    [anon_sym_DASH_EQ] = ACTIONS(2715),
    [anon_sym_STAR_EQ] = ACTIONS(2715),
    [anon_sym_SLASH_EQ] = ACTIONS(2715),
    [anon_sym_PERCENT_EQ] = ACTIONS(2715),
    [anon_sym_CARET_EQ] = ACTIONS(2715),
    [anon_sym_AMP_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2715),
    [anon_sym_LT_LT_EQ] = ACTIONS(2715),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1077] = {
    [anon_sym_EQ_GT] = ACTIONS(2707),
    [sym_comment] = ACTIONS(76),
  },
  [1078] = {
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [sym_jsx_text] = ACTIONS(2735),
    [sym_comment] = ACTIONS(76),
  },
  [1079] = {
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(76),
  },
  [1080] = {
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1081] = {
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1082] = {
    [anon_sym_GT] = ACTIONS(2739),
    [sym_comment] = ACTIONS(76),
  },
  [1083] = {
    [anon_sym_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(76),
  },
  [1084] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1804),
    [anon_sym_SLASH] = ACTIONS(2743),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1085] = {
    [anon_sym_GT] = ACTIONS(2745),
    [sym_comment] = ACTIONS(76),
  },
  [1086] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(2747),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1087] = {
    [sym_nested_identifier] = STATE(1459),
    [sym_jsx_namespace_name] = STATE(1460),
    [sym_jsx_identifier] = ACTIONS(2749),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2751),
  },
  [1088] = {
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [sym_jsx_text] = ACTIONS(2753),
    [sym_comment] = ACTIONS(76),
  },
  [1089] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [1090] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1091] = {
    [sym_class_body] = STATE(1462),
    [anon_sym_LBRACE] = ACTIONS(935),
    [sym_comment] = ACTIONS(76),
  },
  [1092] = {
    [sym__automatic_semicolon] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_RPAREN] = ACTIONS(2757),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_GT_GT] = ACTIONS(2759),
    [anon_sym_GT_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_LT] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2757),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2757),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_instanceof] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2757),
  },
  [1093] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1094] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1095] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1096] = {
    [sym_statement_block] = STATE(1031),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1463),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [1097] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1098] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1099] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1100] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1101] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1102] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1103] = {
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [sym_comment] = ACTIONS(76),
  },
  [1104] = {
    [sym__automatic_semicolon] = ACTIONS(2765),
    [anon_sym_from] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [sym_comment] = ACTIONS(76),
  },
  [1105] = {
    [anon_sym_COMMA] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [sym_comment] = ACTIONS(76),
  },
  [1106] = {
    [sym__import_export_specifier] = STATE(1105),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [1107] = {
    [aux_sym_export_clause_repeat1] = STATE(1107),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [sym_comment] = ACTIONS(76),
  },
  [1108] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [ts_builtin_sym_end] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [1109] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1110] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [ts_builtin_sym_end] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [1111] = {
    [sym_statement_block] = STATE(1468),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(76),
  },
  [1112] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [ts_builtin_sym_end] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [1113] = {
    [sym_statement_block] = STATE(1469),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(76),
  },
  [1114] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [ts_builtin_sym_end] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [1115] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1116] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1117] = {
    [sym_class_body] = STATE(1471),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(76),
  },
  [1118] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1119] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1472),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1120] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1473),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1121] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1474),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1122] = {
    [anon_sym_EQ_GT] = ACTIONS(2780),
    [sym_comment] = ACTIONS(76),
  },
  [1123] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1124] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1125] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1476),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1126] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1477),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1127] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1128] = {
    [anon_sym_LPAREN] = ACTIONS(2161),
    [sym_comment] = ACTIONS(76),
  },
  [1129] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1478),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1130] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1479),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1131] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1480),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1132] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1481),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1133] = {
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_COMMA] = ACTIONS(2782),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_async] = ACTIONS(2784),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2782),
    [sym_number] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_get] = ACTIONS(2784),
    [anon_sym_set] = ACTIONS(2784),
  },
  [1134] = {
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_RPAREN] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(1339),
    [sym_comment] = ACTIONS(76),
  },
  [1135] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [sym_comment] = ACTIONS(76),
  },
  [1136] = {
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [sym_comment] = ACTIONS(76),
  },
  [1137] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [sym_comment] = ACTIONS(76),
  },
  [1138] = {
    [aux_sym_object_repeat1] = STATE(1484),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [sym_comment] = ACTIONS(76),
  },
  [1139] = {
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_COLON] = ACTIONS(2161),
    [anon_sym_EQ] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
  },
  [1140] = {
    [aux_sym_array_repeat1] = STATE(535),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_RBRACK] = ACTIONS(2792),
    [sym_comment] = ACTIONS(76),
  },
  [1141] = {
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
  },
  [1142] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1143] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1487),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(1488),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(1489),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(2794),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1144] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2796),
  },
  [1145] = {
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_async] = ACTIONS(1962),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1964),
    [sym_number] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
  },
  [1146] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2798),
  },
  [1147] = {
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1970),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1972),
    [sym_number] = ACTIONS(1970),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1970),
    [anon_sym_set] = ACTIONS(1970),
  },
  [1148] = {
    [sym_export_statement] = STATE(1492),
    [sym__declaration] = STATE(1492),
    [sym_import_statement] = STATE(1492),
    [sym_expression_statement] = STATE(1492),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1492),
    [sym_if_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_for_in_statement] = STATE(1492),
    [sym_for_of_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_with_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_debugger_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_empty_statement] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1149] = {
    [sym_expression_statement] = STATE(1496),
    [sym_variable_declaration] = STATE(1496),
    [sym_lexical_declaration] = STATE(1496),
    [sym_empty_statement] = STATE(1496),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1497),
    [sym_array] = STATE(1498),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(2800),
    [anon_sym_let] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2804),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1150] = {
    [sym_export_statement] = STATE(1225),
    [sym__declaration] = STATE(1225),
    [sym_import_statement] = STATE(1225),
    [sym_expression_statement] = STATE(1225),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1225),
    [sym_if_statement] = STATE(1225),
    [sym_switch_statement] = STATE(1225),
    [sym_for_statement] = STATE(1225),
    [sym_for_in_statement] = STATE(1225),
    [sym_for_of_statement] = STATE(1225),
    [sym_while_statement] = STATE(1225),
    [sym_do_statement] = STATE(1225),
    [sym_try_statement] = STATE(1225),
    [sym_with_statement] = STATE(1225),
    [sym_break_statement] = STATE(1225),
    [sym_continue_statement] = STATE(1225),
    [sym_debugger_statement] = STATE(1225),
    [sym_return_statement] = STATE(1225),
    [sym_throw_statement] = STATE(1225),
    [sym_empty_statement] = STATE(1225),
    [sym_labeled_statement] = STATE(1225),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1151] = {
    [sym_export_statement] = STATE(1233),
    [sym__declaration] = STATE(1233),
    [sym_import_statement] = STATE(1233),
    [sym_expression_statement] = STATE(1233),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1233),
    [sym_if_statement] = STATE(1233),
    [sym_switch_statement] = STATE(1233),
    [sym_for_statement] = STATE(1233),
    [sym_for_in_statement] = STATE(1233),
    [sym_for_of_statement] = STATE(1233),
    [sym_while_statement] = STATE(1233),
    [sym_do_statement] = STATE(1233),
    [sym_try_statement] = STATE(1233),
    [sym_with_statement] = STATE(1233),
    [sym_break_statement] = STATE(1233),
    [sym_continue_statement] = STATE(1233),
    [sym_debugger_statement] = STATE(1233),
    [sym_return_statement] = STATE(1233),
    [sym_throw_statement] = STATE(1233),
    [sym_empty_statement] = STATE(1233),
    [sym_labeled_statement] = STATE(1233),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1152] = {
    [sym_export_statement] = STATE(1247),
    [sym__declaration] = STATE(1247),
    [sym_import_statement] = STATE(1247),
    [sym_expression_statement] = STATE(1247),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1247),
    [sym_if_statement] = STATE(1247),
    [sym_switch_statement] = STATE(1247),
    [sym_for_statement] = STATE(1247),
    [sym_for_in_statement] = STATE(1247),
    [sym_for_of_statement] = STATE(1247),
    [sym_while_statement] = STATE(1247),
    [sym_do_statement] = STATE(1247),
    [sym_try_statement] = STATE(1247),
    [sym_with_statement] = STATE(1247),
    [sym_break_statement] = STATE(1247),
    [sym_continue_statement] = STATE(1247),
    [sym_debugger_statement] = STATE(1247),
    [sym_return_statement] = STATE(1247),
    [sym_throw_statement] = STATE(1247),
    [sym_empty_statement] = STATE(1247),
    [sym_labeled_statement] = STATE(1247),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1153] = {
    [sym_export_statement] = STATE(1248),
    [sym__declaration] = STATE(1248),
    [sym_import_statement] = STATE(1248),
    [sym_expression_statement] = STATE(1248),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1248),
    [sym_if_statement] = STATE(1248),
    [sym_switch_statement] = STATE(1248),
    [sym_for_statement] = STATE(1248),
    [sym_for_in_statement] = STATE(1248),
    [sym_for_of_statement] = STATE(1248),
    [sym_while_statement] = STATE(1248),
    [sym_do_statement] = STATE(1248),
    [sym_try_statement] = STATE(1248),
    [sym_with_statement] = STATE(1248),
    [sym_break_statement] = STATE(1248),
    [sym_continue_statement] = STATE(1248),
    [sym_debugger_statement] = STATE(1248),
    [sym_return_statement] = STATE(1248),
    [sym_throw_statement] = STATE(1248),
    [sym_empty_statement] = STATE(1248),
    [sym_labeled_statement] = STATE(1248),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1154] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_of] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1155] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(2810),
    [anon_sym_of] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1156] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(2814),
    [anon_sym_of] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1157] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1505),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1158] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1506),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1159] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1508),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1160] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1509),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1161] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1510),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1162] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1511),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1163] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1512),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1164] = {
    [sym_statement_block] = STATE(1513),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [sym_comment] = ACTIONS(76),
  },
  [1165] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1166] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1167] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1514),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [1168] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1169] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1170] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1171] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1172] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1173] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1174] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1175] = {
    [sym_statement_block] = STATE(593),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1516),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1176] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1517),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1177] = {
    [anon_sym_EQ_GT] = ACTIONS(2822),
    [sym_comment] = ACTIONS(76),
  },
  [1178] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1179] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1180] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1519),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1181] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1520),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1182] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(620),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1183] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1521),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1184] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1522),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1185] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1523),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1186] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1524),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1187] = {
    [anon_sym_export] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_async] = ACTIONS(1956),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1954),
    [sym_number] = ACTIONS(1956),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(1954),
    [anon_sym_get] = ACTIONS(1956),
    [anon_sym_set] = ACTIONS(1956),
  },
  [1188] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1526),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(2826),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1189] = {
    [aux_sym_array_repeat1] = STATE(1526),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(2826),
    [sym_comment] = ACTIONS(76),
  },
  [1190] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(2826),
    [sym_comment] = ACTIONS(76),
  },
  [1191] = {
    [sym__automatic_semicolon] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_RPAREN] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_of] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_GT_GT_GT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_instanceof] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2828),
  },
  [1192] = {
    [anon_sym_from] = ACTIONS(2832),
    [sym_comment] = ACTIONS(76),
  },
  [1193] = {
    [anon_sym_COMMA] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [sym_comment] = ACTIONS(76),
  },
  [1194] = {
    [sym__import_export_specifier] = STATE(1193),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [1195] = {
    [aux_sym_named_imports_repeat1] = STATE(1195),
    [anon_sym_COMMA] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [sym_comment] = ACTIONS(76),
  },
  [1196] = {
    [sym__automatic_semicolon] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2163),
    [anon_sym_of] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_EQ] = ACTIONS(2163),
    [sym_comment] = ACTIONS(76),
  },
  [1197] = {
    [sym__automatic_semicolon] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_of] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_EQ] = ACTIONS(2199),
    [sym_comment] = ACTIONS(76),
  },
  [1198] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [sym_comment] = ACTIONS(76),
  },
  [1199] = {
    [sym__automatic_semicolon] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_of] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [sym_comment] = ACTIONS(76),
  },
  [1200] = {
    [sym__automatic_semicolon] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [sym_comment] = ACTIONS(76),
  },
  [1201] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1202] = {
    [sym_class_heritage] = STATE(1532),
    [sym_class_body] = STATE(1533),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1203] = {
    [sym_formal_parameters] = STATE(1535),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2849),
  },
  [1204] = {
    [sym_formal_parameters] = STATE(1537),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2851),
  },
  [1205] = {
    [sym_formal_parameters] = STATE(1535),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1206] = {
    [sym_statement_block] = STATE(1539),
    [anon_sym_LBRACE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(76),
  },
  [1207] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_regex] = ACTIONS(1275),
    [sym_number] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1275),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
  },
  [1208] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2855),
  },
  [1209] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1210] = {
    [ts_builtin_sym_end] = ACTIONS(1477),
    [anon_sym_export] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_var] = ACTIONS(1479),
    [anon_sym_let] = ACTIONS(1479),
    [anon_sym_const] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_else] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_debugger] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1477),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(1479),
    [anon_sym_EQ_GT] = ACTIONS(1477),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_await] = ACTIONS(1479),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_TILDE] = ACTIONS(1477),
    [anon_sym_typeof] = ACTIONS(1479),
    [anon_sym_void] = ACTIONS(1479),
    [anon_sym_delete] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1477),
    [anon_sym_BQUOTE] = ACTIONS(1477),
    [sym_regex] = ACTIONS(1481),
    [sym_number] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1481),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_null] = ACTIONS(1479),
    [sym_undefined] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1479),
    [anon_sym_set] = ACTIONS(1479),
  },
  [1211] = {
    [sym__automatic_semicolon] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [sym_comment] = ACTIONS(76),
  },
  [1212] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [anon_sym_export] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_import] = ACTIONS(1495),
    [anon_sym_var] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_const] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_else] = ACTIONS(1495),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_do] = ACTIONS(1495),
    [anon_sym_try] = ACTIONS(1495),
    [anon_sym_with] = ACTIONS(1495),
    [anon_sym_break] = ACTIONS(1495),
    [anon_sym_continue] = ACTIONS(1495),
    [anon_sym_debugger] = ACTIONS(1495),
    [anon_sym_return] = ACTIONS(1495),
    [anon_sym_throw] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_yield] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1495),
    [anon_sym_async] = ACTIONS(1495),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_await] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_typeof] = ACTIONS(1495),
    [anon_sym_void] = ACTIONS(1495),
    [anon_sym_delete] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [sym_regex] = ACTIONS(1497),
    [sym_number] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1495),
    [anon_sym_set] = ACTIONS(1495),
  },
  [1213] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2859),
    [sym_comment] = ACTIONS(76),
  },
  [1214] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1505),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_regex] = ACTIONS(1509),
    [sym_number] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1505),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
  },
  [1215] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2861),
    [sym_comment] = ACTIONS(76),
  },
  [1216] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(2863),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [1217] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1546),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [1218] = {
    [ts_builtin_sym_end] = ACTIONS(1581),
    [anon_sym_export] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1583),
    [anon_sym_var] = ACTIONS(1583),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_const] = ACTIONS(1583),
    [anon_sym_if] = ACTIONS(1583),
    [anon_sym_else] = ACTIONS(1583),
    [anon_sym_switch] = ACTIONS(1583),
    [anon_sym_for] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1583),
    [anon_sym_do] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1583),
    [anon_sym_with] = ACTIONS(1583),
    [anon_sym_break] = ACTIONS(1583),
    [anon_sym_continue] = ACTIONS(1583),
    [anon_sym_debugger] = ACTIONS(1583),
    [anon_sym_return] = ACTIONS(1583),
    [anon_sym_throw] = ACTIONS(1583),
    [anon_sym_SEMI] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1583),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1583),
    [anon_sym_EQ_GT] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [anon_sym_typeof] = ACTIONS(1583),
    [anon_sym_void] = ACTIONS(1583),
    [anon_sym_delete] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1581),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1581),
    [anon_sym_BQUOTE] = ACTIONS(1581),
    [sym_regex] = ACTIONS(1585),
    [sym_number] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_this] = ACTIONS(1583),
    [sym_super] = ACTIONS(1583),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_null] = ACTIONS(1583),
    [sym_undefined] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1583),
    [anon_sym_set] = ACTIONS(1583),
  },
  [1219] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(1548),
    [sym_array] = STATE(1549),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2867),
  },
  [1220] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(1548),
    [sym_array] = STATE(1549),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2867),
  },
  [1221] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2869),
    [anon_sym_of] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1222] = {
    [sym_expression_statement] = STATE(1552),
    [sym_empty_statement] = STATE(1552),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1223] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2873),
    [anon_sym_of] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1224] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2877),
    [anon_sym_of] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1225] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [anon_sym_export] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1667),
    [anon_sym_var] = ACTIONS(1667),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_else] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_try] = ACTIONS(1667),
    [anon_sym_with] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_debugger] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_class] = ACTIONS(1667),
    [anon_sym_async] = ACTIONS(1667),
    [anon_sym_function] = ACTIONS(1667),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_typeof] = ACTIONS(1667),
    [anon_sym_void] = ACTIONS(1667),
    [anon_sym_delete] = ACTIONS(1667),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [sym_regex] = ACTIONS(1669),
    [sym_number] = ACTIONS(1667),
    [sym_identifier] = ACTIONS(1669),
    [sym_this] = ACTIONS(1667),
    [sym_super] = ACTIONS(1667),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [sym_null] = ACTIONS(1667),
    [sym_undefined] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_get] = ACTIONS(1667),
    [anon_sym_set] = ACTIONS(1667),
  },
  [1226] = {
    [sym_parenthesized_expression] = STATE(1557),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [sym_comment] = ACTIONS(76),
  },
  [1227] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_catch] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1228] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1229] = {
    [sym_statement_block] = STATE(1561),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_LPAREN] = ACTIONS(2885),
    [sym_comment] = ACTIONS(76),
  },
  [1230] = {
    [sym_statement_block] = STATE(1563),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
  },
  [1231] = {
    [sym_finally_clause] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_finally] = ACTIONS(2290),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [1232] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [1233] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1731),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_regex] = ACTIONS(1735),
    [sym_number] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
  },
  [1234] = {
    [ts_builtin_sym_end] = ACTIONS(1737),
    [anon_sym_export] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1739),
    [anon_sym_var] = ACTIONS(1739),
    [anon_sym_let] = ACTIONS(1739),
    [anon_sym_const] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(1739),
    [anon_sym_switch] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1739),
    [anon_sym_do] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1739),
    [anon_sym_with] = ACTIONS(1739),
    [anon_sym_break] = ACTIONS(1739),
    [anon_sym_continue] = ACTIONS(1739),
    [anon_sym_debugger] = ACTIONS(1739),
    [anon_sym_return] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_class] = ACTIONS(1739),
    [anon_sym_async] = ACTIONS(1739),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_EQ_GT] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1737),
    [anon_sym_typeof] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1739),
    [anon_sym_delete] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1737),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1737),
    [anon_sym_BQUOTE] = ACTIONS(1737),
    [sym_regex] = ACTIONS(1741),
    [sym_number] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [sym_this] = ACTIONS(1739),
    [sym_super] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_null] = ACTIONS(1739),
    [sym_undefined] = ACTIONS(1739),
    [anon_sym_AT] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1739),
    [anon_sym_set] = ACTIONS(1739),
  },
  [1235] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_EQ_GT] = ACTIONS(1743),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1743),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_regex] = ACTIONS(1747),
    [sym_number] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
  },
  [1236] = {
    [ts_builtin_sym_end] = ACTIONS(1749),
    [anon_sym_export] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1751),
    [anon_sym_var] = ACTIONS(1751),
    [anon_sym_let] = ACTIONS(1751),
    [anon_sym_const] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_try] = ACTIONS(1751),
    [anon_sym_with] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_debugger] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_throw] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1751),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(1751),
    [anon_sym_EQ_GT] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_typeof] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1751),
    [anon_sym_delete] = ACTIONS(1751),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1749),
    [anon_sym_BQUOTE] = ACTIONS(1749),
    [sym_regex] = ACTIONS(1753),
    [sym_number] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1751),
    [sym_super] = ACTIONS(1751),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_undefined] = ACTIONS(1751),
    [anon_sym_AT] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1751),
    [anon_sym_set] = ACTIONS(1751),
  },
  [1237] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [anon_sym_export] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_else] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1755),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_regex] = ACTIONS(1759),
    [sym_number] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
  },
  [1238] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1566),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1239] = {
    [sym_class_body] = STATE(1567),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [sym_comment] = ACTIONS(76),
  },
  [1240] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [ts_builtin_sym_end] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_else] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [1241] = {
    [sym_formal_parameters] = STATE(1568),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1242] = {
    [sym_statement_block] = STATE(1569),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(76),
  },
  [1243] = {
    [sym_formal_parameters] = STATE(1570),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1244] = {
    [sym_statement_block] = STATE(1571),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(76),
  },
  [1245] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1246] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_else] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [1247] = {
    [ts_builtin_sym_end] = ACTIONS(1942),
    [anon_sym_export] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1944),
    [anon_sym_var] = ACTIONS(1944),
    [anon_sym_let] = ACTIONS(1944),
    [anon_sym_const] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_else] = ACTIONS(1944),
    [anon_sym_switch] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_with] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_debugger] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_throw] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_yield] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_function] = ACTIONS(1944),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_TILDE] = ACTIONS(1942),
    [anon_sym_typeof] = ACTIONS(1944),
    [anon_sym_void] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1942),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1942),
    [anon_sym_BQUOTE] = ACTIONS(1942),
    [sym_regex] = ACTIONS(1946),
    [sym_number] = ACTIONS(1944),
    [sym_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1944),
    [sym_super] = ACTIONS(1944),
    [sym_true] = ACTIONS(1944),
    [sym_false] = ACTIONS(1944),
    [sym_null] = ACTIONS(1944),
    [sym_undefined] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1944),
    [anon_sym_set] = ACTIONS(1944),
  },
  [1248] = {
    [ts_builtin_sym_end] = ACTIONS(2893),
    [anon_sym_export] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_import] = ACTIONS(2895),
    [anon_sym_var] = ACTIONS(2895),
    [anon_sym_let] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_LPAREN] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_with] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_debugger] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_yield] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_async] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_await] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_typeof] = ACTIONS(2895),
    [anon_sym_void] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2893),
    [anon_sym_BQUOTE] = ACTIONS(2893),
    [sym_regex] = ACTIONS(2897),
    [sym_number] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [sym_this] = ACTIONS(2895),
    [sym_super] = ACTIONS(2895),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [sym_null] = ACTIONS(2895),
    [sym_undefined] = ACTIONS(2895),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2895),
    [anon_sym_set] = ACTIONS(2895),
  },
  [1249] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1574),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [1250] = {
    [sym_class_heritage] = STATE(1575),
    [sym_class_body] = STATE(1567),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1251] = {
    [sym_export_statement] = STATE(1598),
    [sym__declaration] = STATE(1598),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_for_of_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1603),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1252] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1605),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_COLON] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(2330),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1253] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1609),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_COLON] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(2953),
  },
  [1254] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1610),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1255] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1256] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1611),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1257] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1258] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1259] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1260] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_COLON] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [1261] = {
    [anon_sym_COLON] = ACTIONS(2959),
    [sym_comment] = ACTIONS(76),
  },
  [1262] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1263] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1264] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1265] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1266] = {
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(76),
  },
  [1267] = {
    [ts_builtin_sym_end] = ACTIONS(2981),
    [anon_sym_export] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_with] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_debugger] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_yield] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_function] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_await] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_void] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2981),
    [anon_sym_BQUOTE] = ACTIONS(2981),
    [sym_regex] = ACTIONS(2985),
    [sym_number] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2985),
    [sym_this] = ACTIONS(2983),
    [sym_super] = ACTIONS(2983),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [sym_null] = ACTIONS(2983),
    [sym_undefined] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2983),
  },
  [1268] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1268),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2992),
    [sym_comment] = ACTIONS(76),
  },
  [1269] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1621),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1270] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1622),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1271] = {
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_yield] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1495),
    [anon_sym_async] = ACTIONS(1495),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_await] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_typeof] = ACTIONS(1495),
    [anon_sym_void] = ACTIONS(1495),
    [anon_sym_delete] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [sym_regex] = ACTIONS(1497),
    [sym_number] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1495),
    [anon_sym_set] = ACTIONS(1495),
  },
  [1272] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2995),
    [sym_comment] = ACTIONS(76),
  },
  [1273] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1624),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1274] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1625),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1275] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1626),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1276] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1627),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1277] = {
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1505),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_regex] = ACTIONS(1509),
    [sym_number] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1505),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
  },
  [1278] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(2997),
    [sym_comment] = ACTIONS(76),
  },
  [1279] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1629),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_COMMA] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_RPAREN] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1280] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(1633),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(3005),
  },
  [1281] = {
    [sym_statement_block] = STATE(209),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1634),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1282] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(211),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1283] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1635),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1284] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(213),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1285] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(214),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1286] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3009),
    [anon_sym_DASH_EQ] = ACTIONS(3009),
    [anon_sym_STAR_EQ] = ACTIONS(3009),
    [anon_sym_SLASH_EQ] = ACTIONS(3009),
    [anon_sym_PERCENT_EQ] = ACTIONS(3009),
    [anon_sym_CARET_EQ] = ACTIONS(3009),
    [anon_sym_AMP_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_EQ] = ACTIONS(3009),
    [anon_sym_GT_GT_EQ] = ACTIONS(3009),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3009),
    [anon_sym_LT_LT_EQ] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1287] = {
    [sym__initializer] = STATE(204),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(3003),
    [anon_sym_DASH_EQ] = ACTIONS(3003),
    [anon_sym_STAR_EQ] = ACTIONS(3003),
    [anon_sym_SLASH_EQ] = ACTIONS(3003),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_CARET_EQ] = ACTIONS(3003),
    [anon_sym_AMP_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3003),
    [anon_sym_LT_LT_EQ] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [1288] = {
    [anon_sym_RPAREN] = ACTIONS(3011),
    [sym_comment] = ACTIONS(76),
  },
  [1289] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1290] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1291] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1292] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PLUS_EQ] = ACTIONS(3009),
    [anon_sym_DASH_EQ] = ACTIONS(3009),
    [anon_sym_STAR_EQ] = ACTIONS(3009),
    [anon_sym_SLASH_EQ] = ACTIONS(3009),
    [anon_sym_PERCENT_EQ] = ACTIONS(3009),
    [anon_sym_CARET_EQ] = ACTIONS(3009),
    [anon_sym_AMP_EQ] = ACTIONS(3009),
    [anon_sym_PIPE_EQ] = ACTIONS(3009),
    [anon_sym_GT_GT_EQ] = ACTIONS(3009),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3009),
    [anon_sym_LT_LT_EQ] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1293] = {
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [sym_comment] = ACTIONS(76),
  },
  [1294] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1644),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(254),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(254),
    [anon_sym_SLASH] = ACTIONS(254),
    [anon_sym_DOT] = ACTIONS(254),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_QMARK] = ACTIONS(252),
    [anon_sym_AMP_AMP] = ACTIONS(252),
    [anon_sym_PIPE_PIPE] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(254),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(254),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(252),
    [anon_sym_BANG_EQ] = ACTIONS(254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(252),
    [anon_sym_GT_EQ] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1295] = {
    [sym__initializer] = STATE(435),
    [sym_formal_parameters] = STATE(1648),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(3023),
  },
  [1296] = {
    [sym_statement_block] = STATE(440),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1649),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1297] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1298] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1650),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1299] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1300] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1301] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1302] = {
    [sym__initializer] = STATE(435),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
  },
  [1303] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1304] = {
    [sym__initializer] = STATE(533),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1305] = {
    [sym__initializer] = STATE(534),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1306] = {
    [sym__initializer] = STATE(476),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3027),
    [anon_sym_DASH_EQ] = ACTIONS(3027),
    [anon_sym_STAR_EQ] = ACTIONS(3027),
    [anon_sym_SLASH_EQ] = ACTIONS(3027),
    [anon_sym_PERCENT_EQ] = ACTIONS(3027),
    [anon_sym_CARET_EQ] = ACTIONS(3027),
    [anon_sym_AMP_EQ] = ACTIONS(3027),
    [anon_sym_PIPE_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3027),
    [anon_sym_LT_LT_EQ] = ACTIONS(3027),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1307] = {
    [anon_sym_EQ_GT] = ACTIONS(3019),
    [sym_comment] = ACTIONS(76),
  },
  [1308] = {
    [sym_export_statement] = STATE(1659),
    [sym__declaration] = STATE(1659),
    [sym_import_statement] = STATE(1659),
    [sym_expression_statement] = STATE(1659),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_switch_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_for_in_statement] = STATE(1659),
    [sym_for_of_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_do_statement] = STATE(1659),
    [sym_try_statement] = STATE(1659),
    [sym_with_statement] = STATE(1659),
    [sym_break_statement] = STATE(1659),
    [sym_continue_statement] = STATE(1659),
    [sym_debugger_statement] = STATE(1659),
    [sym_return_statement] = STATE(1659),
    [sym_throw_statement] = STATE(1659),
    [sym_empty_statement] = STATE(1659),
    [sym_labeled_statement] = STATE(1659),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1309] = {
    [anon_sym_RPAREN] = ACTIONS(3049),
    [sym_comment] = ACTIONS(76),
  },
  [1310] = {
    [anon_sym_RPAREN] = ACTIONS(3051),
    [sym_comment] = ACTIONS(76),
  },
  [1311] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3053),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1312] = {
    [anon_sym_RPAREN] = ACTIONS(3055),
    [sym_comment] = ACTIONS(76),
  },
  [1313] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3057),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1314] = {
    [anon_sym_STAR] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_COLON] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_RBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2163),
    [anon_sym_EQ] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2163),
    [anon_sym_PIPE_PIPE] = ACTIONS(2163),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2163),
    [anon_sym_LT_LT] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2163),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2163),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2163),
    [anon_sym_GT_EQ] = ACTIONS(2163),
    [anon_sym_instanceof] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2163),
  },
  [1315] = {
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_RBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2201),
    [anon_sym_GT] = ACTIONS(2201),
    [anon_sym_SLASH] = ACTIONS(2201),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_EQ] = ACTIONS(2201),
    [anon_sym_QMARK] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2201),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2201),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2199),
  },
  [1316] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [sym_comment] = ACTIONS(76),
  },
  [1317] = {
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_in] = ACTIONS(2523),
    [anon_sym_COLON] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2521),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_GT_GT] = ACTIONS(2523),
    [anon_sym_GT_GT_GT] = ACTIONS(2521),
    [anon_sym_LT_LT] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_LT_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2521),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_instanceof] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2521),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2521),
  },
  [1318] = {
    [anon_sym_GT] = ACTIONS(3061),
    [sym_comment] = ACTIONS(76),
  },
  [1319] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(3063),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [1320] = {
    [anon_sym_STAR] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_COMMA] = ACTIONS(2543),
    [anon_sym_RBRACE] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_RPAREN] = ACTIONS(2543),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_COLON] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [anon_sym_RBRACK] = ACTIONS(2543),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_DOT] = ACTIONS(2543),
    [anon_sym_QMARK] = ACTIONS(2543),
    [anon_sym_AMP_AMP] = ACTIONS(2543),
    [anon_sym_PIPE_PIPE] = ACTIONS(2543),
    [anon_sym_GT_GT] = ACTIONS(2545),
    [anon_sym_GT_GT_GT] = ACTIONS(2543),
    [anon_sym_LT_LT] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2543),
    [anon_sym_LT_EQ] = ACTIONS(2543),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2543),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2543),
    [anon_sym_GT_EQ] = ACTIONS(2543),
    [anon_sym_instanceof] = ACTIONS(2543),
    [anon_sym_PLUS_PLUS] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2543),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2543),
  },
  [1321] = {
    [anon_sym_GT] = ACTIONS(3065),
    [sym_comment] = ACTIONS(76),
  },
  [1322] = {
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_RBRACK] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_GT_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_instanceof] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2578),
  },
  [1323] = {
    [anon_sym_GT] = ACTIONS(3067),
    [sym_comment] = ACTIONS(76),
  },
  [1324] = {
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_RBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2613),
  },
  [1325] = {
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_RPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_RBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2650),
  },
  [1326] = {
    [sym_statement_block] = STATE(1670),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [sym_comment] = ACTIONS(76),
  },
  [1327] = {
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_RPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_RBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2656),
  },
  [1328] = {
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_RBRACK] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_GT_GT] = ACTIONS(2664),
    [anon_sym_GT_GT_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2662),
    [anon_sym_instanceof] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2662),
  },
  [1329] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1330] = {
    [sym_statement_block] = STATE(1671),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [sym_comment] = ACTIONS(76),
  },
  [1331] = {
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_RBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2666),
  },
  [1332] = {
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_RPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_COLON] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_RBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(481),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(481),
  },
  [1333] = {
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_catch] = ACTIONS(1434),
    [anon_sym_finally] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(1434),
  },
  [1334] = {
    [anon_sym_export] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_LPAREN] = ACTIONS(2678),
    [anon_sym_RPAREN] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_RBRACK] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_QMARK] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_PIPE_PIPE] = ACTIONS(2678),
    [anon_sym_GT_GT] = ACTIONS(2680),
    [anon_sym_GT_GT_GT] = ACTIONS(2678),
    [anon_sym_LT_LT] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2678),
    [anon_sym_PIPE] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2678),
    [anon_sym_LT_EQ] = ACTIONS(2678),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2678),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2678),
    [anon_sym_GT_EQ] = ACTIONS(2678),
    [anon_sym_instanceof] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2678),
    [anon_sym_AT] = ACTIONS(2678),
  },
  [1335] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3069),
    [sym_comment] = ACTIONS(76),
  },
  [1336] = {
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_COMMA] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_RPAREN] = ACTIONS(2699),
    [anon_sym_in] = ACTIONS(2701),
    [anon_sym_COLON] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_RBRACK] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_GT] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2699),
    [anon_sym_DASH_EQ] = ACTIONS(2699),
    [anon_sym_STAR_EQ] = ACTIONS(2699),
    [anon_sym_SLASH_EQ] = ACTIONS(2699),
    [anon_sym_PERCENT_EQ] = ACTIONS(2699),
    [anon_sym_CARET_EQ] = ACTIONS(2699),
    [anon_sym_AMP_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_EQ] = ACTIONS(2699),
    [anon_sym_GT_GT_EQ] = ACTIONS(2699),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2699),
    [anon_sym_LT_LT_EQ] = ACTIONS(2699),
    [anon_sym_QMARK] = ACTIONS(2699),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_GT_GT] = ACTIONS(2701),
    [anon_sym_GT_GT_GT] = ACTIONS(2701),
    [anon_sym_LT_LT] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_CARET] = ACTIONS(2701),
    [anon_sym_PIPE] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_EQ_EQ] = ACTIONS(2701),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2699),
    [anon_sym_instanceof] = ACTIONS(2699),
    [anon_sym_PLUS_PLUS] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2699),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2699),
  },
  [1337] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1673),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1338] = {
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(3071),
    [sym_comment] = ACTIONS(76),
  },
  [1339] = {
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1340] = {
    [anon_sym_GT] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1341] = {
    [anon_sym_GT] = ACTIONS(3073),
    [sym_comment] = ACTIONS(76),
  },
  [1342] = {
    [sym_class_body] = STATE(1676),
    [anon_sym_LBRACE] = ACTIONS(675),
    [sym_comment] = ACTIONS(76),
  },
  [1343] = {
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_RPAREN] = ACTIONS(2757),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_RBRACK] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_GT_GT] = ACTIONS(2759),
    [anon_sym_GT_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_LT] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2757),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2757),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_instanceof] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2757),
  },
  [1344] = {
    [sym_class_body] = STATE(1027),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [1345] = {
    [sym_formal_parameters] = STATE(1677),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1346] = {
    [sym_statement_block] = STATE(1030),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(76),
  },
  [1347] = {
    [sym_formal_parameters] = STATE(1678),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1348] = {
    [sym_statement_block] = STATE(1034),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(76),
  },
  [1349] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(601),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1350] = {
    [sym_class_heritage] = STATE(1679),
    [sym_class_body] = STATE(1027),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1351] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3075),
  },
  [1352] = {
    [anon_sym_function] = ACTIONS(3077),
    [sym_comment] = ACTIONS(76),
  },
  [1353] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(3079),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1354] = {
    [sym_export_statement] = STATE(1681),
    [sym__declaration] = STATE(1681),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_for_of_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1355] = {
    [sym_expression_statement] = STATE(1685),
    [sym_variable_declaration] = STATE(1685),
    [sym_lexical_declaration] = STATE(1685),
    [sym_empty_statement] = STATE(1685),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1686),
    [sym_array] = STATE(1687),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3085),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1356] = {
    [sym_export_statement] = STATE(1225),
    [sym__declaration] = STATE(1225),
    [sym_import_statement] = STATE(1225),
    [sym_expression_statement] = STATE(1225),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1225),
    [sym_if_statement] = STATE(1225),
    [sym_switch_statement] = STATE(1225),
    [sym_for_statement] = STATE(1225),
    [sym_for_in_statement] = STATE(1225),
    [sym_for_of_statement] = STATE(1225),
    [sym_while_statement] = STATE(1225),
    [sym_do_statement] = STATE(1225),
    [sym_try_statement] = STATE(1225),
    [sym_with_statement] = STATE(1225),
    [sym_break_statement] = STATE(1225),
    [sym_continue_statement] = STATE(1225),
    [sym_debugger_statement] = STATE(1225),
    [sym_return_statement] = STATE(1225),
    [sym_throw_statement] = STATE(1225),
    [sym_empty_statement] = STATE(1225),
    [sym_labeled_statement] = STATE(1225),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1357] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(888),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1358] = {
    [sym_catch_clause] = STATE(1690),
    [sym_finally_clause] = STATE(1232),
    [anon_sym_else] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_catch] = ACTIONS(3087),
    [anon_sym_finally] = ACTIONS(3089),
    [sym_comment] = ACTIONS(76),
  },
  [1359] = {
    [sym_export_statement] = STATE(1233),
    [sym__declaration] = STATE(1233),
    [sym_import_statement] = STATE(1233),
    [sym_expression_statement] = STATE(1233),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1233),
    [sym_if_statement] = STATE(1233),
    [sym_switch_statement] = STATE(1233),
    [sym_for_statement] = STATE(1233),
    [sym_for_in_statement] = STATE(1233),
    [sym_for_of_statement] = STATE(1233),
    [sym_while_statement] = STATE(1233),
    [sym_do_statement] = STATE(1233),
    [sym_try_statement] = STATE(1233),
    [sym_with_statement] = STATE(1233),
    [sym_break_statement] = STATE(1233),
    [sym_continue_statement] = STATE(1233),
    [sym_debugger_statement] = STATE(1233),
    [sym_return_statement] = STATE(1233),
    [sym_throw_statement] = STATE(1233),
    [sym_empty_statement] = STATE(1233),
    [sym_labeled_statement] = STATE(1233),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1360] = {
    [sym_export_statement] = STATE(1247),
    [sym__declaration] = STATE(1247),
    [sym_import_statement] = STATE(1247),
    [sym_expression_statement] = STATE(1247),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1247),
    [sym_if_statement] = STATE(1247),
    [sym_switch_statement] = STATE(1247),
    [sym_for_statement] = STATE(1247),
    [sym_for_in_statement] = STATE(1247),
    [sym_for_of_statement] = STATE(1247),
    [sym_while_statement] = STATE(1247),
    [sym_do_statement] = STATE(1247),
    [sym_try_statement] = STATE(1247),
    [sym_with_statement] = STATE(1247),
    [sym_break_statement] = STATE(1247),
    [sym_continue_statement] = STATE(1247),
    [sym_debugger_statement] = STATE(1247),
    [sym_return_statement] = STATE(1247),
    [sym_throw_statement] = STATE(1247),
    [sym_empty_statement] = STATE(1247),
    [sym_labeled_statement] = STATE(1247),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1361] = {
    [sym_export_statement] = STATE(1248),
    [sym__declaration] = STATE(1248),
    [sym_import_statement] = STATE(1248),
    [sym_expression_statement] = STATE(1248),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1248),
    [sym_if_statement] = STATE(1248),
    [sym_switch_statement] = STATE(1248),
    [sym_for_statement] = STATE(1248),
    [sym_for_in_statement] = STATE(1248),
    [sym_for_of_statement] = STATE(1248),
    [sym_while_statement] = STATE(1248),
    [sym_do_statement] = STATE(1248),
    [sym_try_statement] = STATE(1248),
    [sym_with_statement] = STATE(1248),
    [sym_break_statement] = STATE(1248),
    [sym_continue_statement] = STATE(1248),
    [sym_debugger_statement] = STATE(1248),
    [sym_return_statement] = STATE(1248),
    [sym_throw_statement] = STATE(1248),
    [sym_empty_statement] = STATE(1248),
    [sym_labeled_statement] = STATE(1248),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1362] = {
    [sym__declaration] = STATE(1207),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_class] = STATE(801),
    [sym_function] = STATE(801),
    [sym_generator_function] = STATE(801),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1353),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(1519),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1363] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3091),
    [anon_sym_of] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1364] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_of] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1365] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(3099),
    [anon_sym_of] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1366] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1697),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1367] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1698),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1368] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1700),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(3103),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1369] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1701),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1370] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1702),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1371] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1703),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1372] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1704),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1373] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3105),
  },
  [1374] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_RPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2650),
  },
  [1375] = {
    [sym_statement_block] = STATE(1706),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(76),
  },
  [1376] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_RPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2656),
  },
  [1377] = {
    [sym_statement_block] = STATE(1707),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(76),
  },
  [1378] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2666),
  },
  [1379] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_else] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_RPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(481),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(481),
  },
  [1380] = {
    [ts_builtin_sym_end] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_with] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_debugger] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3109),
    [anon_sym_EQ_GT] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym_void] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3107),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_regex] = ACTIONS(3111),
    [sym_number] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3111),
    [sym_this] = ACTIONS(3109),
    [sym_super] = ACTIONS(3109),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [sym_null] = ACTIONS(3109),
    [sym_undefined] = ACTIONS(3109),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3109),
    [anon_sym_set] = ACTIONS(3109),
  },
  [1381] = {
    [sym_class_body] = STATE(1708),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [1382] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1383] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1384] = {
    [anon_sym_RPAREN] = ACTIONS(3115),
    [sym_comment] = ACTIONS(76),
  },
  [1385] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1386] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1387] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1711),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(181),
    [sym_array] = STATE(182),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(183),
    [sym_subscript_expression] = STATE(183),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(264),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(266),
    [anon_sym_new] = ACTIONS(268),
    [anon_sym_await] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_typeof] = ACTIONS(274),
    [anon_sym_void] = ACTIONS(274),
    [anon_sym_delete] = ACTIONS(274),
    [anon_sym_PLUS_PLUS] = ACTIONS(278),
    [anon_sym_DASH_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(280),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(282),
    [anon_sym_set] = ACTIONS(282),
  },
  [1388] = {
    [sym__automatic_semicolon] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_COMMA] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(3117),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_in] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_LT] = ACTIONS(3119),
    [anon_sym_GT] = ACTIONS(3119),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_DOT] = ACTIONS(3117),
    [anon_sym_QMARK] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_GT_GT] = ACTIONS(3119),
    [anon_sym_GT_GT_GT] = ACTIONS(3117),
    [anon_sym_LT_LT] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_CARET] = ACTIONS(3117),
    [anon_sym_PIPE] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PERCENT] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3117),
    [anon_sym_EQ_EQ] = ACTIONS(3119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3117),
    [anon_sym_BANG_EQ] = ACTIONS(3119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3117),
    [anon_sym_GT_EQ] = ACTIONS(3117),
    [anon_sym_instanceof] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3117),
  },
  [1389] = {
    [anon_sym_GT] = ACTIONS(3121),
    [sym_comment] = ACTIONS(76),
  },
  [1390] = {
    [anon_sym_LBRACE] = ACTIONS(3123),
    [anon_sym_GT] = ACTIONS(3123),
    [anon_sym_SLASH] = ACTIONS(3125),
    [sym_jsx_identifier] = ACTIONS(3125),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3125),
  },
  [1391] = {
    [sym_nested_identifier] = STATE(1716),
    [sym_jsx_namespace_name] = STATE(1717),
    [anon_sym_GT] = ACTIONS(3127),
    [sym_jsx_identifier] = ACTIONS(3129),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3131),
  },
  [1392] = {
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_GT] = ACTIONS(3133),
    [anon_sym_SLASH] = ACTIONS(3135),
    [sym_jsx_identifier] = ACTIONS(3135),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3135),
  },
  [1393] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(1719),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(1720),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(3137),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [1394] = {
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_GT] = ACTIONS(3139),
    [anon_sym_SLASH] = ACTIONS(3141),
    [sym_jsx_identifier] = ACTIONS(3141),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3141),
  },
  [1395] = {
    [sym__automatic_semicolon] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_COMMA] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_in] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3145),
    [anon_sym_GT] = ACTIONS(3145),
    [anon_sym_SLASH] = ACTIONS(3145),
    [anon_sym_DOT] = ACTIONS(3143),
    [anon_sym_QMARK] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_PIPE_PIPE] = ACTIONS(3143),
    [anon_sym_GT_GT] = ACTIONS(3145),
    [anon_sym_GT_GT_GT] = ACTIONS(3143),
    [anon_sym_LT_LT] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_PIPE] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PERCENT] = ACTIONS(3143),
    [anon_sym_LT_EQ] = ACTIONS(3143),
    [anon_sym_EQ_EQ] = ACTIONS(3145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3143),
    [anon_sym_BANG_EQ] = ACTIONS(3145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3143),
    [anon_sym_GT_EQ] = ACTIONS(3143),
    [anon_sym_instanceof] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3143),
  },
  [1396] = {
    [sym__automatic_semicolon] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_COMMA] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_in] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_LT] = ACTIONS(3149),
    [anon_sym_GT] = ACTIONS(3149),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(3147),
    [anon_sym_AMP_AMP] = ACTIONS(3147),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_GT_GT] = ACTIONS(3149),
    [anon_sym_GT_GT_GT] = ACTIONS(3147),
    [anon_sym_LT_LT] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3149),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_PIPE] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_PERCENT] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3147),
    [anon_sym_EQ_EQ] = ACTIONS(3149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3147),
    [anon_sym_BANG_EQ] = ACTIONS(3149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3147),
    [anon_sym_GT_EQ] = ACTIONS(3147),
    [anon_sym_instanceof] = ACTIONS(3147),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3147),
  },
  [1397] = {
    [sym_statement_block] = STATE(1133),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [sym_comment] = ACTIONS(76),
  },
  [1398] = {
    [sym__automatic_semicolon] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_EQ] = ACTIONS(2161),
    [sym_comment] = ACTIONS(76),
  },
  [1399] = {
    [sym_formal_parameters] = STATE(1721),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1400] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1723),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_spread_element] = STATE(1724),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [aux_sym_array_repeat1] = STATE(1725),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1401] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3153),
  },
  [1402] = {
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_async] = ACTIONS(1962),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1964),
    [sym_number] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1962),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
  },
  [1403] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3155),
  },
  [1404] = {
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1970),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1972),
    [sym_number] = ACTIONS(1970),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1970),
    [anon_sym_get] = ACTIONS(1970),
    [anon_sym_set] = ACTIONS(1970),
  },
  [1405] = {
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3159),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3157),
    [sym_number] = ACTIONS(3159),
    [sym_identifier] = ACTIONS(3161),
    [anon_sym_AT] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_get] = ACTIONS(3159),
    [anon_sym_set] = ACTIONS(3159),
  },
  [1406] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1729),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1407] = {
    [sym__automatic_semicolon] = ACTIONS(3165),
    [anon_sym_SEMI] = ACTIONS(3165),
    [sym_comment] = ACTIONS(76),
  },
  [1408] = {
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3159),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3157),
    [sym_number] = ACTIONS(3159),
    [sym_identifier] = ACTIONS(3161),
    [anon_sym_AT] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_get] = ACTIONS(3159),
    [anon_sym_set] = ACTIONS(3159),
  },
  [1409] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1410] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1411] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1412] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1731),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1413] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1414] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1415] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1416] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1417] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1418] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1419] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [1420] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [ts_builtin_sym_end] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [1421] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [ts_builtin_sym_end] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [1422] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1423] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1424] = {
    [sym__automatic_semicolon] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_COMMA] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3183),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_in] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_GT] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_DOT] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3183),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_GT_GT_GT] = ACTIONS(3183),
    [anon_sym_LT_LT] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_CARET] = ACTIONS(3183),
    [anon_sym_PIPE] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PERCENT] = ACTIONS(3183),
    [anon_sym_LT_EQ] = ACTIONS(3183),
    [anon_sym_EQ_EQ] = ACTIONS(3185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3183),
    [anon_sym_BANG_EQ] = ACTIONS(3185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3183),
    [anon_sym_GT_EQ] = ACTIONS(3183),
    [anon_sym_instanceof] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3183),
  },
  [1425] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1976),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1426] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1427] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1428] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1429] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1733),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1430] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1431] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1432] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(373),
    [anon_sym_AMP_AMP] = ACTIONS(375),
    [anon_sym_PIPE_PIPE] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_GT_GT_GT] = ACTIONS(365),
    [anon_sym_LT_LT] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(365),
    [anon_sym_LT_EQ] = ACTIONS(385),
    [anon_sym_EQ_EQ] = ACTIONS(333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(385),
    [anon_sym_BANG_EQ] = ACTIONS(333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(385),
    [anon_sym_instanceof] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1433] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1434] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1435] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1436] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1437] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1438] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1735),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1439] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1736),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1440] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1737),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1441] = {
    [anon_sym_EQ_GT] = ACTIONS(3191),
    [sym_comment] = ACTIONS(76),
  },
  [1442] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1443] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1444] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1739),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1445] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1740),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1446] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1447] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1741),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1448] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1742),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1449] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1743),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1450] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1744),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1451] = {
    [sym__automatic_semicolon] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3195),
    [anon_sym_GT] = ACTIONS(3195),
    [anon_sym_SLASH] = ACTIONS(3195),
    [anon_sym_DOT] = ACTIONS(3193),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_PIPE_PIPE] = ACTIONS(3193),
    [anon_sym_GT_GT] = ACTIONS(3195),
    [anon_sym_GT_GT_GT] = ACTIONS(3193),
    [anon_sym_LT_LT] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3193),
    [anon_sym_PIPE] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PERCENT] = ACTIONS(3193),
    [anon_sym_LT_EQ] = ACTIONS(3193),
    [anon_sym_EQ_EQ] = ACTIONS(3195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3193),
    [anon_sym_BANG_EQ] = ACTIONS(3195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3193),
    [anon_sym_GT_EQ] = ACTIONS(3193),
    [anon_sym_instanceof] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3193),
  },
  [1452] = {
    [sym__automatic_semicolon] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_COMMA] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_in] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_GT] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_DOT] = ACTIONS(3197),
    [anon_sym_QMARK] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3199),
    [anon_sym_GT_GT_GT] = ACTIONS(3197),
    [anon_sym_LT_LT] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PERCENT] = ACTIONS(3197),
    [anon_sym_LT_EQ] = ACTIONS(3197),
    [anon_sym_EQ_EQ] = ACTIONS(3199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3197),
    [anon_sym_BANG_EQ] = ACTIONS(3199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3197),
    [anon_sym_GT_EQ] = ACTIONS(3197),
    [anon_sym_instanceof] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3197),
  },
  [1453] = {
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_LT] = ACTIONS(3201),
    [sym_jsx_text] = ACTIONS(3201),
    [sym_comment] = ACTIONS(76),
  },
  [1454] = {
    [anon_sym_GT] = ACTIONS(3203),
    [sym_comment] = ACTIONS(76),
  },
  [1455] = {
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [sym_jsx_text] = ACTIONS(3205),
    [sym_comment] = ACTIONS(76),
  },
  [1456] = {
    [anon_sym_GT] = ACTIONS(3207),
    [sym_comment] = ACTIONS(76),
  },
  [1457] = {
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(3209),
    [sym_comment] = ACTIONS(76),
  },
  [1458] = {
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1459] = {
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [1460] = {
    [anon_sym_GT] = ACTIONS(3211),
    [sym_comment] = ACTIONS(76),
  },
  [1461] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_EQ_GT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3213),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_regex] = ACTIONS(3217),
    [sym_number] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
  },
  [1462] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [ts_builtin_sym_end] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [1463] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1464] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1749),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [1465] = {
    [sym__automatic_semicolon] = ACTIONS(3225),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [sym_comment] = ACTIONS(76),
  },
  [1466] = {
    [sym__import_export_specifier] = STATE(1105),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [1467] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [1468] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [ts_builtin_sym_end] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [1469] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [ts_builtin_sym_end] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [1470] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1471] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [ts_builtin_sym_end] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [1472] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1473] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1474] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1475] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1750),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1476] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1477] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1478] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1479] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1480] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1481] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1482] = {
    [anon_sym_COMMA] = ACTIONS(2163),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_EQ] = ACTIONS(2163),
    [sym_comment] = ACTIONS(76),
  },
  [1483] = {
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [anon_sym_EQ] = ACTIONS(2199),
    [sym_comment] = ACTIONS(76),
  },
  [1484] = {
    [aux_sym_object_repeat1] = STATE(338),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [sym_comment] = ACTIONS(76),
  },
  [1485] = {
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [sym_comment] = ACTIONS(76),
  },
  [1486] = {
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_async] = ACTIONS(1956),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1954),
    [sym_number] = ACTIONS(1956),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(1954),
    [anon_sym_get] = ACTIONS(1956),
    [anon_sym_set] = ACTIONS(1956),
  },
  [1487] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1754),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1488] = {
    [aux_sym_array_repeat1] = STATE(1754),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [sym_comment] = ACTIONS(76),
  },
  [1489] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [sym_comment] = ACTIONS(76),
  },
  [1490] = {
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_async] = ACTIONS(2687),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2689),
    [sym_number] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2687),
    [anon_sym_set] = ACTIONS(2687),
  },
  [1491] = {
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2695),
    [sym_number] = ACTIONS(2693),
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
  },
  [1492] = {
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [1493] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(1757),
    [sym_array] = STATE(1758),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3235),
  },
  [1494] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(1757),
    [sym_array] = STATE(1758),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3235),
  },
  [1495] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3237),
    [anon_sym_of] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1496] = {
    [sym_expression_statement] = STATE(1761),
    [sym_empty_statement] = STATE(1761),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1497] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3241),
    [anon_sym_of] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1498] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3245),
    [anon_sym_of] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1499] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1766),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1500] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1767),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1501] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1768),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1502] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1769),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1503] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1770),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1504] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1771),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1505] = {
    [anon_sym_RPAREN] = ACTIONS(3249),
    [sym_comment] = ACTIONS(76),
  },
  [1506] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3251),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1507] = {
    [sym_export_statement] = STATE(1659),
    [sym__declaration] = STATE(1659),
    [sym_import_statement] = STATE(1659),
    [sym_expression_statement] = STATE(1659),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_switch_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_for_in_statement] = STATE(1659),
    [sym_for_of_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_do_statement] = STATE(1659),
    [sym_try_statement] = STATE(1659),
    [sym_with_statement] = STATE(1659),
    [sym_break_statement] = STATE(1659),
    [sym_continue_statement] = STATE(1659),
    [sym_debugger_statement] = STATE(1659),
    [sym_return_statement] = STATE(1659),
    [sym_throw_statement] = STATE(1659),
    [sym_empty_statement] = STATE(1659),
    [sym_labeled_statement] = STATE(1659),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1508] = {
    [anon_sym_RPAREN] = ACTIONS(3253),
    [sym_comment] = ACTIONS(76),
  },
  [1509] = {
    [anon_sym_RPAREN] = ACTIONS(3255),
    [sym_comment] = ACTIONS(76),
  },
  [1510] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3257),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1511] = {
    [anon_sym_RPAREN] = ACTIONS(3259),
    [sym_comment] = ACTIONS(76),
  },
  [1512] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3261),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1513] = {
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3265),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3263),
    [sym_number] = ACTIONS(3265),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
  },
  [1514] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1515] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1779),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(315),
    [sym_array] = STATE(316),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(317),
    [sym_subscript_expression] = STATE(317),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(318),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(515),
    [anon_sym_new] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
  },
  [1516] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1517] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1518] = {
    [sym_statement_block] = STATE(1031),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1780),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1519] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1520] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1521] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1522] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1523] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1524] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1525] = {
    [anon_sym_export] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_async] = ACTIONS(2680),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2678),
    [sym_number] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_get] = ACTIONS(2680),
    [anon_sym_set] = ACTIONS(2680),
  },
  [1526] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3273),
    [sym_comment] = ACTIONS(76),
  },
  [1527] = {
    [anon_sym_from] = ACTIONS(3275),
    [sym_comment] = ACTIONS(76),
  },
  [1528] = {
    [sym__import_export_specifier] = STATE(1193),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(435),
  },
  [1529] = {
    [sym__automatic_semicolon] = ACTIONS(2828),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_of] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2828),
    [sym_comment] = ACTIONS(76),
  },
  [1530] = {
    [ts_builtin_sym_end] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_EQ_GT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2065),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_regex] = ACTIONS(2069),
    [sym_number] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
  },
  [1531] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1784),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1532] = {
    [sym_class_body] = STATE(1785),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [sym_comment] = ACTIONS(76),
  },
  [1533] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [ts_builtin_sym_end] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_else] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [1534] = {
    [sym_formal_parameters] = STATE(1786),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1535] = {
    [sym_statement_block] = STATE(1787),
    [anon_sym_LBRACE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(76),
  },
  [1536] = {
    [sym_formal_parameters] = STATE(1788),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1537] = {
    [sym_statement_block] = STATE(1789),
    [anon_sym_LBRACE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(76),
  },
  [1538] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1791),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1539] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_else] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [1540] = {
    [sym_class_heritage] = STATE(1792),
    [sym_class_body] = STATE(1785),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1541] = {
    [ts_builtin_sym_end] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2227),
    [anon_sym_var] = ACTIONS(2227),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2227),
    [anon_sym_switch] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_with] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_debugger] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_throw] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_function] = ACTIONS(2227),
    [anon_sym_EQ_GT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_regex] = ACTIONS(2229),
    [sym_number] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2227),
    [sym_super] = ACTIONS(2227),
    [sym_true] = ACTIONS(2227),
    [sym_false] = ACTIONS(2227),
    [sym_null] = ACTIONS(2227),
    [sym_undefined] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2227),
    [anon_sym_set] = ACTIONS(2227),
  },
  [1542] = {
    [ts_builtin_sym_end] = ACTIONS(2239),
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_else] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_EQ_GT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2239),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_regex] = ACTIONS(2243),
    [sym_number] = ACTIONS(2241),
    [sym_identifier] = ACTIONS(2243),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
  },
  [1543] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_EQ_GT] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2248),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym_regex] = ACTIONS(2252),
    [sym_number] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
  },
  [1544] = {
    [sym_export_statement] = STATE(1793),
    [sym__declaration] = STATE(1793),
    [sym_import_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1793),
    [sym_if_statement] = STATE(1793),
    [sym_switch_statement] = STATE(1793),
    [sym_for_statement] = STATE(1793),
    [sym_for_in_statement] = STATE(1793),
    [sym_for_of_statement] = STATE(1793),
    [sym_while_statement] = STATE(1793),
    [sym_do_statement] = STATE(1793),
    [sym_try_statement] = STATE(1793),
    [sym_with_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_debugger_statement] = STATE(1793),
    [sym_return_statement] = STATE(1793),
    [sym_throw_statement] = STATE(1793),
    [sym_empty_statement] = STATE(1793),
    [sym_labeled_statement] = STATE(1793),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1545] = {
    [ts_builtin_sym_end] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2316),
    [anon_sym_var] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_debugger] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_EQ_GT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2316),
    [anon_sym_void] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2314),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_regex] = ACTIONS(2318),
    [sym_number] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2318),
    [sym_this] = ACTIONS(2316),
    [sym_super] = ACTIONS(2316),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [sym_null] = ACTIONS(2316),
    [sym_undefined] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2316),
    [anon_sym_set] = ACTIONS(2316),
  },
  [1546] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1268),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [1547] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3283),
    [anon_sym_of] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1548] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(3287),
    [anon_sym_of] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1549] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_of] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1550] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1801),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1551] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1802),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1552] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1804),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1553] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1805),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1554] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1806),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1555] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1807),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1556] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1808),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1557] = {
    [sym__automatic_semicolon] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [sym_comment] = ACTIONS(76),
  },
  [1558] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_catch] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1559] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1811),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1560] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3301),
  },
  [1561] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_finally] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_regex] = ACTIONS(2503),
    [sym_number] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
  },
  [1562] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(804),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1563] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2507),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_regex] = ACTIONS(2511),
    [sym_number] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
  },
  [1564] = {
    [ts_builtin_sym_end] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_EQ_GT] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2513),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2513),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_regex] = ACTIONS(2517),
    [sym_number] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
  },
  [1565] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [ts_builtin_sym_end] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [1566] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1567] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [ts_builtin_sym_end] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [1568] = {
    [sym_statement_block] = STATE(1815),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(76),
  },
  [1569] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [ts_builtin_sym_end] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [1570] = {
    [sym_statement_block] = STATE(1816),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(76),
  },
  [1571] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [ts_builtin_sym_end] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [1572] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1573] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1574] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1575] = {
    [sym_class_body] = STATE(1819),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [sym_comment] = ACTIONS(76),
  },
  [1576] = {
    [sym_export_clause] = STATE(1825),
    [sym__declaration] = STATE(1826),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_class] = STATE(1827),
    [sym_function] = STATE(1827),
    [sym_generator_function] = STATE(1827),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1828),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1577] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(1830),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [1578] = {
    [sym_import_clause] = STATE(1832),
    [sym_namespace_import] = STATE(93),
    [sym_named_imports] = STATE(93),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(144),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(148),
  },
  [1579] = {
    [sym_variable_declarator] = STATE(1833),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [1580] = {
    [sym_variable_declarator] = STATE(1834),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [1581] = {
    [sym_parenthesized_expression] = STATE(1835),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [1582] = {
    [sym_parenthesized_expression] = STATE(1836),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [1583] = {
    [anon_sym_LPAREN] = ACTIONS(3329),
    [sym_comment] = ACTIONS(76),
  },
  [1584] = {
    [sym_parenthesized_expression] = STATE(1838),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [1585] = {
    [sym_export_statement] = STATE(1839),
    [sym__declaration] = STATE(1839),
    [sym_import_statement] = STATE(1839),
    [sym_expression_statement] = STATE(1839),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1839),
    [sym_if_statement] = STATE(1839),
    [sym_switch_statement] = STATE(1839),
    [sym_for_statement] = STATE(1839),
    [sym_for_in_statement] = STATE(1839),
    [sym_for_of_statement] = STATE(1839),
    [sym_while_statement] = STATE(1839),
    [sym_do_statement] = STATE(1839),
    [sym_try_statement] = STATE(1839),
    [sym_with_statement] = STATE(1839),
    [sym_break_statement] = STATE(1839),
    [sym_continue_statement] = STATE(1839),
    [sym_debugger_statement] = STATE(1839),
    [sym_return_statement] = STATE(1839),
    [sym_throw_statement] = STATE(1839),
    [sym_empty_statement] = STATE(1839),
    [sym_labeled_statement] = STATE(1839),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1586] = {
    [sym_statement_block] = STATE(1841),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [sym_comment] = ACTIONS(76),
  },
  [1587] = {
    [sym_parenthesized_expression] = STATE(1842),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [1588] = {
    [sym__automatic_semicolon] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3335),
  },
  [1589] = {
    [sym__automatic_semicolon] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3339),
  },
  [1590] = {
    [sym__automatic_semicolon] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [sym_comment] = ACTIONS(76),
  },
  [1591] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1849),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1592] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1850),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1593] = {
    [anon_sym_export] = ACTIONS(248),
    [anon_sym_default] = ACTIONS(248),
    [anon_sym_LBRACE] = ACTIONS(246),
    [anon_sym_RBRACE] = ACTIONS(246),
    [anon_sym_import] = ACTIONS(248),
    [anon_sym_var] = ACTIONS(248),
    [anon_sym_let] = ACTIONS(248),
    [anon_sym_const] = ACTIONS(248),
    [anon_sym_if] = ACTIONS(248),
    [anon_sym_switch] = ACTIONS(248),
    [anon_sym_for] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(246),
    [anon_sym_while] = ACTIONS(248),
    [anon_sym_do] = ACTIONS(248),
    [anon_sym_try] = ACTIONS(248),
    [anon_sym_with] = ACTIONS(248),
    [anon_sym_break] = ACTIONS(248),
    [anon_sym_continue] = ACTIONS(248),
    [anon_sym_debugger] = ACTIONS(248),
    [anon_sym_return] = ACTIONS(248),
    [anon_sym_throw] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(246),
    [anon_sym_case] = ACTIONS(248),
    [anon_sym_yield] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(246),
    [anon_sym_LT] = ACTIONS(246),
    [anon_sym_class] = ACTIONS(248),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(248),
    [anon_sym_EQ_GT] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(248),
    [anon_sym_await] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(248),
    [anon_sym_DASH] = ACTIONS(248),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_typeof] = ACTIONS(248),
    [anon_sym_void] = ACTIONS(248),
    [anon_sym_delete] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(246),
    [anon_sym_DASH_DASH] = ACTIONS(246),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(246),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_regex] = ACTIONS(250),
    [sym_number] = ACTIONS(248),
    [sym_identifier] = ACTIONS(250),
    [sym_this] = ACTIONS(248),
    [sym_super] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [sym_undefined] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
  },
  [1594] = {
    [sym_class_heritage] = STATE(195),
    [sym_class_body] = STATE(196),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3345),
  },
  [1595] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(313),
  },
  [1596] = {
    [sym_formal_parameters] = STATE(1855),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3351),
  },
  [1597] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1598] = {
    [anon_sym_export] = ACTIONS(351),
    [anon_sym_default] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(351),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_switch] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(351),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_try] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_break] = ACTIONS(351),
    [anon_sym_continue] = ACTIONS(351),
    [anon_sym_debugger] = ACTIONS(351),
    [anon_sym_return] = ACTIONS(351),
    [anon_sym_throw] = ACTIONS(351),
    [anon_sym_SEMI] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(349),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_class] = ACTIONS(351),
    [anon_sym_async] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_EQ_GT] = ACTIONS(349),
    [anon_sym_new] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(351),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_TILDE] = ACTIONS(349),
    [anon_sym_typeof] = ACTIONS(351),
    [anon_sym_void] = ACTIONS(351),
    [anon_sym_delete] = ACTIONS(351),
    [anon_sym_PLUS_PLUS] = ACTIONS(349),
    [anon_sym_DASH_DASH] = ACTIONS(349),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(349),
    [anon_sym_BQUOTE] = ACTIONS(349),
    [sym_regex] = ACTIONS(353),
    [sym_number] = ACTIONS(351),
    [sym_identifier] = ACTIONS(353),
    [sym_this] = ACTIONS(351),
    [sym_super] = ACTIONS(351),
    [sym_true] = ACTIONS(351),
    [sym_false] = ACTIONS(351),
    [sym_null] = ACTIONS(351),
    [sym_undefined] = ACTIONS(351),
    [anon_sym_AT] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(351),
    [anon_sym_set] = ACTIONS(351),
  },
  [1599] = {
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [1600] = {
    [sym__automatic_semicolon] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3355),
    [sym_comment] = ACTIONS(76),
  },
  [1601] = {
    [sym__automatic_semicolon] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [1602] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [1603] = {
    [sym_export_statement] = STATE(1598),
    [sym__declaration] = STATE(1598),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_for_of_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1859),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1604] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3365),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1605] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1606] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1862),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1607] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1863),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1608] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1864),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1609] = {
    [anon_sym_EQ_GT] = ACTIONS(3367),
    [sym_comment] = ACTIONS(76),
  },
  [1610] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1611] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1612] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1866),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1613] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1867),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1614] = {
    [sym_export_statement] = STATE(1598),
    [sym__declaration] = STATE(1598),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_for_of_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1868),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1615] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1616] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1869),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(906),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1617] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1870),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1618] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1871),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1619] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1872),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1620] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1873),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1621] = {
    [anon_sym_RPAREN] = ACTIONS(3373),
    [sym_comment] = ACTIONS(76),
  },
  [1622] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3375),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1623] = {
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_EQ_GT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2239),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_regex] = ACTIONS(2243),
    [sym_number] = ACTIONS(2241),
    [sym_identifier] = ACTIONS(2243),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
  },
  [1624] = {
    [anon_sym_RPAREN] = ACTIONS(3377),
    [sym_comment] = ACTIONS(76),
  },
  [1625] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3379),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1626] = {
    [anon_sym_RPAREN] = ACTIONS(3381),
    [sym_comment] = ACTIONS(76),
  },
  [1627] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3383),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1628] = {
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_EQ_GT] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2248),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym_regex] = ACTIONS(2252),
    [sym_number] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
  },
  [1629] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1630] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1880),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1631] = {
    [sym_statement_block] = STATE(593),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1881),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1632] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1882),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1633] = {
    [anon_sym_EQ_GT] = ACTIONS(3399),
    [sym_comment] = ACTIONS(76),
  },
  [1634] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1635] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1636] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1884),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1637] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1885),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1638] = {
    [sym_export_statement] = STATE(1886),
    [sym__declaration] = STATE(1886),
    [sym_import_statement] = STATE(1886),
    [sym_expression_statement] = STATE(1886),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1886),
    [sym_if_statement] = STATE(1886),
    [sym_switch_statement] = STATE(1886),
    [sym_for_statement] = STATE(1886),
    [sym_for_in_statement] = STATE(1886),
    [sym_for_of_statement] = STATE(1886),
    [sym_while_statement] = STATE(1886),
    [sym_do_statement] = STATE(1886),
    [sym_try_statement] = STATE(1886),
    [sym_with_statement] = STATE(1886),
    [sym_break_statement] = STATE(1886),
    [sym_continue_statement] = STATE(1886),
    [sym_debugger_statement] = STATE(1886),
    [sym_return_statement] = STATE(1886),
    [sym_throw_statement] = STATE(1886),
    [sym_empty_statement] = STATE(1886),
    [sym_labeled_statement] = STATE(1886),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1639] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(620),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1640] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1887),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1641] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1888),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1642] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1889),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1643] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1890),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1644] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1645] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1891),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1646] = {
    [sym_statement_block] = STATE(877),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1892),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1647] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1893),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1648] = {
    [anon_sym_EQ_GT] = ACTIONS(3401),
    [sym_comment] = ACTIONS(76),
  },
  [1649] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1650] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1651] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1895),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1652] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1896),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1653] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(904),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1654] = {
    [sym_export_statement] = STATE(1897),
    [sym__declaration] = STATE(1897),
    [sym_import_statement] = STATE(1897),
    [sym_expression_statement] = STATE(1897),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1897),
    [sym_if_statement] = STATE(1897),
    [sym_switch_statement] = STATE(1897),
    [sym_for_statement] = STATE(1897),
    [sym_for_in_statement] = STATE(1897),
    [sym_for_of_statement] = STATE(1897),
    [sym_while_statement] = STATE(1897),
    [sym_do_statement] = STATE(1897),
    [sym_try_statement] = STATE(1897),
    [sym_with_statement] = STATE(1897),
    [sym_break_statement] = STATE(1897),
    [sym_continue_statement] = STATE(1897),
    [sym_debugger_statement] = STATE(1897),
    [sym_return_statement] = STATE(1897),
    [sym_throw_statement] = STATE(1897),
    [sym_empty_statement] = STATE(1897),
    [sym_labeled_statement] = STATE(1897),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1655] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1898),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1656] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1899),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1657] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1900),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1658] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1901),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1659] = {
    [ts_builtin_sym_end] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_EQ_GT] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3403),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_regex] = ACTIONS(3407),
    [sym_number] = ACTIONS(3405),
    [sym_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
  },
  [1660] = {
    [sym_export_statement] = STATE(1902),
    [sym__declaration] = STATE(1902),
    [sym_import_statement] = STATE(1902),
    [sym_expression_statement] = STATE(1902),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1902),
    [sym_if_statement] = STATE(1902),
    [sym_switch_statement] = STATE(1902),
    [sym_for_statement] = STATE(1902),
    [sym_for_in_statement] = STATE(1902),
    [sym_for_of_statement] = STATE(1902),
    [sym_while_statement] = STATE(1902),
    [sym_do_statement] = STATE(1902),
    [sym_try_statement] = STATE(1902),
    [sym_with_statement] = STATE(1902),
    [sym_break_statement] = STATE(1902),
    [sym_continue_statement] = STATE(1902),
    [sym_debugger_statement] = STATE(1902),
    [sym_return_statement] = STATE(1902),
    [sym_throw_statement] = STATE(1902),
    [sym_empty_statement] = STATE(1902),
    [sym_labeled_statement] = STATE(1902),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1661] = {
    [sym_export_statement] = STATE(1903),
    [sym__declaration] = STATE(1903),
    [sym_import_statement] = STATE(1903),
    [sym_expression_statement] = STATE(1903),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1903),
    [sym_if_statement] = STATE(1903),
    [sym_switch_statement] = STATE(1903),
    [sym_for_statement] = STATE(1903),
    [sym_for_in_statement] = STATE(1903),
    [sym_for_of_statement] = STATE(1903),
    [sym_while_statement] = STATE(1903),
    [sym_do_statement] = STATE(1903),
    [sym_try_statement] = STATE(1903),
    [sym_with_statement] = STATE(1903),
    [sym_break_statement] = STATE(1903),
    [sym_continue_statement] = STATE(1903),
    [sym_debugger_statement] = STATE(1903),
    [sym_return_statement] = STATE(1903),
    [sym_throw_statement] = STATE(1903),
    [sym_empty_statement] = STATE(1903),
    [sym_labeled_statement] = STATE(1903),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1662] = {
    [sym_export_statement] = STATE(1904),
    [sym__declaration] = STATE(1904),
    [sym_import_statement] = STATE(1904),
    [sym_expression_statement] = STATE(1904),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1904),
    [sym_if_statement] = STATE(1904),
    [sym_switch_statement] = STATE(1904),
    [sym_for_statement] = STATE(1904),
    [sym_for_in_statement] = STATE(1904),
    [sym_for_of_statement] = STATE(1904),
    [sym_while_statement] = STATE(1904),
    [sym_do_statement] = STATE(1904),
    [sym_try_statement] = STATE(1904),
    [sym_with_statement] = STATE(1904),
    [sym_break_statement] = STATE(1904),
    [sym_continue_statement] = STATE(1904),
    [sym_debugger_statement] = STATE(1904),
    [sym_return_statement] = STATE(1904),
    [sym_throw_statement] = STATE(1904),
    [sym_empty_statement] = STATE(1904),
    [sym_labeled_statement] = STATE(1904),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1663] = {
    [sym_export_statement] = STATE(1905),
    [sym__declaration] = STATE(1905),
    [sym_import_statement] = STATE(1905),
    [sym_expression_statement] = STATE(1905),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1905),
    [sym_if_statement] = STATE(1905),
    [sym_switch_statement] = STATE(1905),
    [sym_for_statement] = STATE(1905),
    [sym_for_in_statement] = STATE(1905),
    [sym_for_of_statement] = STATE(1905),
    [sym_while_statement] = STATE(1905),
    [sym_do_statement] = STATE(1905),
    [sym_try_statement] = STATE(1905),
    [sym_with_statement] = STATE(1905),
    [sym_break_statement] = STATE(1905),
    [sym_continue_statement] = STATE(1905),
    [sym_debugger_statement] = STATE(1905),
    [sym_return_statement] = STATE(1905),
    [sym_throw_statement] = STATE(1905),
    [sym_empty_statement] = STATE(1905),
    [sym_labeled_statement] = STATE(1905),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1664] = {
    [sym_export_statement] = STATE(1906),
    [sym__declaration] = STATE(1906),
    [sym_import_statement] = STATE(1906),
    [sym_expression_statement] = STATE(1906),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1906),
    [sym_if_statement] = STATE(1906),
    [sym_switch_statement] = STATE(1906),
    [sym_for_statement] = STATE(1906),
    [sym_for_in_statement] = STATE(1906),
    [sym_for_of_statement] = STATE(1906),
    [sym_while_statement] = STATE(1906),
    [sym_do_statement] = STATE(1906),
    [sym_try_statement] = STATE(1906),
    [sym_with_statement] = STATE(1906),
    [sym_break_statement] = STATE(1906),
    [sym_continue_statement] = STATE(1906),
    [sym_debugger_statement] = STATE(1906),
    [sym_return_statement] = STATE(1906),
    [sym_throw_statement] = STATE(1906),
    [sym_empty_statement] = STATE(1906),
    [sym_labeled_statement] = STATE(1906),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1665] = {
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_RPAREN] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_RBRACK] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_GT_GT_GT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_instanceof] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(2828),
  },
  [1666] = {
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_COMMA] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(3117),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_in] = ACTIONS(3119),
    [anon_sym_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_RBRACK] = ACTIONS(3117),
    [anon_sym_LT] = ACTIONS(3119),
    [anon_sym_GT] = ACTIONS(3119),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_DOT] = ACTIONS(3117),
    [anon_sym_QMARK] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_GT_GT] = ACTIONS(3119),
    [anon_sym_GT_GT_GT] = ACTIONS(3117),
    [anon_sym_LT_LT] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_CARET] = ACTIONS(3117),
    [anon_sym_PIPE] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PERCENT] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3117),
    [anon_sym_EQ_EQ] = ACTIONS(3119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3117),
    [anon_sym_BANG_EQ] = ACTIONS(3119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3117),
    [anon_sym_GT_EQ] = ACTIONS(3117),
    [anon_sym_instanceof] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3117),
  },
  [1667] = {
    [anon_sym_GT] = ACTIONS(3409),
    [sym_comment] = ACTIONS(76),
  },
  [1668] = {
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_COMMA] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_in] = ACTIONS(3145),
    [anon_sym_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_RBRACK] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3145),
    [anon_sym_GT] = ACTIONS(3145),
    [anon_sym_SLASH] = ACTIONS(3145),
    [anon_sym_DOT] = ACTIONS(3143),
    [anon_sym_QMARK] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_PIPE_PIPE] = ACTIONS(3143),
    [anon_sym_GT_GT] = ACTIONS(3145),
    [anon_sym_GT_GT_GT] = ACTIONS(3143),
    [anon_sym_LT_LT] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_PIPE] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PERCENT] = ACTIONS(3143),
    [anon_sym_LT_EQ] = ACTIONS(3143),
    [anon_sym_EQ_EQ] = ACTIONS(3145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3143),
    [anon_sym_BANG_EQ] = ACTIONS(3145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3143),
    [anon_sym_GT_EQ] = ACTIONS(3143),
    [anon_sym_instanceof] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3143),
  },
  [1669] = {
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3147),
    [anon_sym_COMMA] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_in] = ACTIONS(3149),
    [anon_sym_COLON] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_RBRACK] = ACTIONS(3147),
    [anon_sym_LT] = ACTIONS(3149),
    [anon_sym_GT] = ACTIONS(3149),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(3147),
    [anon_sym_AMP_AMP] = ACTIONS(3147),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_GT_GT] = ACTIONS(3149),
    [anon_sym_GT_GT_GT] = ACTIONS(3147),
    [anon_sym_LT_LT] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3149),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_PIPE] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_PERCENT] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3147),
    [anon_sym_EQ_EQ] = ACTIONS(3149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3147),
    [anon_sym_BANG_EQ] = ACTIONS(3149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3147),
    [anon_sym_GT_EQ] = ACTIONS(3147),
    [anon_sym_instanceof] = ACTIONS(3147),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3147),
  },
  [1670] = {
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_RPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_COLON] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_RBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3171),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3171),
  },
  [1671] = {
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_RBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3177),
  },
  [1672] = {
    [anon_sym_export] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_COMMA] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3183),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_in] = ACTIONS(3185),
    [anon_sym_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_RBRACK] = ACTIONS(3183),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_GT] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_DOT] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3183),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_GT_GT_GT] = ACTIONS(3183),
    [anon_sym_LT_LT] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_CARET] = ACTIONS(3183),
    [anon_sym_PIPE] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PERCENT] = ACTIONS(3183),
    [anon_sym_LT_EQ] = ACTIONS(3183),
    [anon_sym_EQ_EQ] = ACTIONS(3185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3183),
    [anon_sym_BANG_EQ] = ACTIONS(3185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3183),
    [anon_sym_GT_EQ] = ACTIONS(3183),
    [anon_sym_instanceof] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3183),
    [anon_sym_AT] = ACTIONS(3183),
  },
  [1673] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1674] = {
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3195),
    [anon_sym_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_RBRACK] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3195),
    [anon_sym_GT] = ACTIONS(3195),
    [anon_sym_SLASH] = ACTIONS(3195),
    [anon_sym_DOT] = ACTIONS(3193),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_PIPE_PIPE] = ACTIONS(3193),
    [anon_sym_GT_GT] = ACTIONS(3195),
    [anon_sym_GT_GT_GT] = ACTIONS(3193),
    [anon_sym_LT_LT] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3193),
    [anon_sym_PIPE] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PERCENT] = ACTIONS(3193),
    [anon_sym_LT_EQ] = ACTIONS(3193),
    [anon_sym_EQ_EQ] = ACTIONS(3195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3193),
    [anon_sym_BANG_EQ] = ACTIONS(3195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3193),
    [anon_sym_GT_EQ] = ACTIONS(3193),
    [anon_sym_instanceof] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3193),
  },
  [1675] = {
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_COMMA] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_in] = ACTIONS(3199),
    [anon_sym_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_RBRACK] = ACTIONS(3197),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_GT] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_DOT] = ACTIONS(3197),
    [anon_sym_QMARK] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3199),
    [anon_sym_GT_GT_GT] = ACTIONS(3197),
    [anon_sym_LT_LT] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PERCENT] = ACTIONS(3197),
    [anon_sym_LT_EQ] = ACTIONS(3197),
    [anon_sym_EQ_EQ] = ACTIONS(3199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3197),
    [anon_sym_BANG_EQ] = ACTIONS(3199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3197),
    [anon_sym_GT_EQ] = ACTIONS(3197),
    [anon_sym_instanceof] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3197),
  },
  [1676] = {
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_RBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3219),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3219),
  },
  [1677] = {
    [sym_statement_block] = STATE(1420),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(76),
  },
  [1678] = {
    [sym_statement_block] = STATE(1421),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(76),
  },
  [1679] = {
    [sym_class_body] = STATE(1462),
    [anon_sym_LBRACE] = ACTIONS(290),
    [sym_comment] = ACTIONS(76),
  },
  [1680] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3411),
  },
  [1681] = {
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
  },
  [1682] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(1910),
    [sym_array] = STATE(1911),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3415),
  },
  [1683] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(1910),
    [sym_array] = STATE(1911),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3415),
  },
  [1684] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3417),
    [anon_sym_of] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1685] = {
    [sym_expression_statement] = STATE(1914),
    [sym_empty_statement] = STATE(1914),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1686] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3421),
    [anon_sym_of] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1687] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3425),
    [anon_sym_of] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [1688] = {
    [sym_statement_block] = STATE(1561),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [sym_comment] = ACTIONS(76),
  },
  [1689] = {
    [sym_statement_block] = STATE(1563),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [sym_comment] = ACTIONS(76),
  },
  [1690] = {
    [sym_finally_clause] = STATE(1564),
    [anon_sym_else] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1725),
    [anon_sym_finally] = ACTIONS(3089),
    [sym_comment] = ACTIONS(76),
  },
  [1691] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1921),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1692] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1922),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1693] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1923),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1694] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1924),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1695] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1925),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1696] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1926),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1697] = {
    [anon_sym_RPAREN] = ACTIONS(3433),
    [sym_comment] = ACTIONS(76),
  },
  [1698] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3435),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1699] = {
    [sym_export_statement] = STATE(1659),
    [sym__declaration] = STATE(1659),
    [sym_import_statement] = STATE(1659),
    [sym_expression_statement] = STATE(1659),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_switch_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_for_in_statement] = STATE(1659),
    [sym_for_of_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_do_statement] = STATE(1659),
    [sym_try_statement] = STATE(1659),
    [sym_with_statement] = STATE(1659),
    [sym_break_statement] = STATE(1659),
    [sym_continue_statement] = STATE(1659),
    [sym_debugger_statement] = STATE(1659),
    [sym_return_statement] = STATE(1659),
    [sym_throw_statement] = STATE(1659),
    [sym_empty_statement] = STATE(1659),
    [sym_labeled_statement] = STATE(1659),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1700] = {
    [anon_sym_RPAREN] = ACTIONS(3437),
    [sym_comment] = ACTIONS(76),
  },
  [1701] = {
    [anon_sym_RPAREN] = ACTIONS(3439),
    [sym_comment] = ACTIONS(76),
  },
  [1702] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3441),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1703] = {
    [anon_sym_RPAREN] = ACTIONS(3443),
    [sym_comment] = ACTIONS(76),
  },
  [1704] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3445),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1705] = {
    [anon_sym_RPAREN] = ACTIONS(3447),
    [sym_comment] = ACTIONS(76),
  },
  [1706] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_else] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_RPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3171),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3171),
  },
  [1707] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3177),
  },
  [1708] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3219),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3219),
  },
  [1709] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1710] = {
    [sym_statement_block] = STATE(1935),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [sym_comment] = ACTIONS(76),
  },
  [1711] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(849),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_instanceof] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1712] = {
    [sym__automatic_semicolon] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_COMMA] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_RPAREN] = ACTIONS(3449),
    [anon_sym_in] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_GT] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3449),
    [anon_sym_QMARK] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE] = ACTIONS(3449),
    [anon_sym_GT_GT] = ACTIONS(3451),
    [anon_sym_GT_GT_GT] = ACTIONS(3449),
    [anon_sym_LT_LT] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_CARET] = ACTIONS(3449),
    [anon_sym_PIPE] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PERCENT] = ACTIONS(3449),
    [anon_sym_LT_EQ] = ACTIONS(3449),
    [anon_sym_EQ_EQ] = ACTIONS(3451),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3449),
    [anon_sym_BANG_EQ] = ACTIONS(3451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3449),
    [anon_sym_GT_EQ] = ACTIONS(3449),
    [anon_sym_instanceof] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3449),
  },
  [1713] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(1937),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(3453),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [1714] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1939),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(3455),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1715] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1941),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(3457),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1716] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1941),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(3457),
    [sym_jsx_identifier] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1717] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1941),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(889),
    [anon_sym_SLASH] = ACTIONS(3457),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1718] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(3459),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [1719] = {
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1081),
    [sym_jsx_identifier] = ACTIONS(1081),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1081),
  },
  [1720] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_closing_element] = STATE(1943),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(3137),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [1721] = {
    [sym_statement_block] = STATE(1513),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [sym_comment] = ACTIONS(76),
  },
  [1722] = {
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_async] = ACTIONS(1956),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1954),
    [sym_number] = ACTIONS(1956),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(1954),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_get] = ACTIONS(1956),
    [anon_sym_set] = ACTIONS(1956),
  },
  [1723] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [aux_sym_array_repeat1] = STATE(1945),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3461),
    [anon_sym_in] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_AMP_AMP] = ACTIONS(727),
    [anon_sym_PIPE_PIPE] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(723),
    [anon_sym_GT_GT_GT] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(731),
    [anon_sym_CARET] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(737),
    [anon_sym_EQ_EQ] = ACTIONS(707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(737),
    [anon_sym_GT_EQ] = ACTIONS(737),
    [anon_sym_instanceof] = ACTIONS(737),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1724] = {
    [aux_sym_array_repeat1] = STATE(1945),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3461),
    [sym_comment] = ACTIONS(76),
  },
  [1725] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3461),
    [sym_comment] = ACTIONS(76),
  },
  [1726] = {
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_async] = ACTIONS(2687),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2689),
    [sym_number] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_get] = ACTIONS(2687),
    [anon_sym_set] = ACTIONS(2687),
  },
  [1727] = {
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2695),
    [sym_number] = ACTIONS(2693),
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
  },
  [1728] = {
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_static] = ACTIONS(483),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1729] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3463),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1730] = {
    [anon_sym_STAR] = ACTIONS(3465),
    [anon_sym_RBRACE] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_async] = ACTIONS(3467),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3465),
    [sym_number] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3469),
    [anon_sym_AT] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3467),
    [anon_sym_get] = ACTIONS(3467),
    [anon_sym_set] = ACTIONS(3467),
  },
  [1731] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1732] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1947),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(577),
    [sym_array] = STATE(578),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(579),
    [sym_subscript_expression] = STATE(579),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(580),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(931),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
  },
  [1733] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1734] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1948),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(635),
    [sym_array] = STATE(636),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(638),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1053),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
  },
  [1735] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1736] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1737] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1738] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1949),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1739] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1740] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1741] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3471),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1742] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1743] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1744] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1745] = {
    [anon_sym_LBRACE] = ACTIONS(3473),
    [anon_sym_LT] = ACTIONS(3473),
    [sym_jsx_text] = ACTIONS(3473),
    [sym_comment] = ACTIONS(76),
  },
  [1746] = {
    [anon_sym_LBRACE] = ACTIONS(3475),
    [anon_sym_LT] = ACTIONS(3475),
    [sym_jsx_text] = ACTIONS(3475),
    [sym_comment] = ACTIONS(76),
  },
  [1747] = {
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_LT] = ACTIONS(3477),
    [sym_jsx_text] = ACTIONS(3477),
    [sym_comment] = ACTIONS(76),
  },
  [1748] = {
    [anon_sym_LBRACE] = ACTIONS(3479),
    [anon_sym_LT] = ACTIONS(3479),
    [sym_jsx_text] = ACTIONS(3479),
    [sym_comment] = ACTIONS(76),
  },
  [1749] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1750] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1751] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1951),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(700),
    [sym_array] = STATE(701),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(703),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(1295),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [1752] = {
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_RPAREN] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2828),
    [sym_comment] = ACTIONS(76),
  },
  [1753] = {
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_async] = ACTIONS(2680),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2678),
    [sym_number] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_get] = ACTIONS(2680),
    [anon_sym_set] = ACTIONS(2680),
  },
  [1754] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3481),
    [sym_comment] = ACTIONS(76),
  },
  [1755] = {
    [sym_export_statement] = STATE(1793),
    [sym__declaration] = STATE(1793),
    [sym_import_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1793),
    [sym_if_statement] = STATE(1793),
    [sym_switch_statement] = STATE(1793),
    [sym_for_statement] = STATE(1793),
    [sym_for_in_statement] = STATE(1793),
    [sym_for_of_statement] = STATE(1793),
    [sym_while_statement] = STATE(1793),
    [sym_do_statement] = STATE(1793),
    [sym_try_statement] = STATE(1793),
    [sym_with_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_debugger_statement] = STATE(1793),
    [sym_return_statement] = STATE(1793),
    [sym_throw_statement] = STATE(1793),
    [sym_empty_statement] = STATE(1793),
    [sym_labeled_statement] = STATE(1793),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1756] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3483),
    [anon_sym_of] = ACTIONS(3485),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1757] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(3487),
    [anon_sym_of] = ACTIONS(3489),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1758] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(3491),
    [anon_sym_of] = ACTIONS(3493),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1759] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1959),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1760] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1960),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1761] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1962),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(3495),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1762] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1963),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1763] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1964),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1764] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1965),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1765] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1966),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1766] = {
    [anon_sym_RPAREN] = ACTIONS(3497),
    [sym_comment] = ACTIONS(76),
  },
  [1767] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3499),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1768] = {
    [anon_sym_RPAREN] = ACTIONS(3501),
    [sym_comment] = ACTIONS(76),
  },
  [1769] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1770] = {
    [anon_sym_RPAREN] = ACTIONS(3505),
    [sym_comment] = ACTIONS(76),
  },
  [1771] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3507),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1772] = {
    [sym_export_statement] = STATE(1886),
    [sym__declaration] = STATE(1886),
    [sym_import_statement] = STATE(1886),
    [sym_expression_statement] = STATE(1886),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1886),
    [sym_if_statement] = STATE(1886),
    [sym_switch_statement] = STATE(1886),
    [sym_for_statement] = STATE(1886),
    [sym_for_in_statement] = STATE(1886),
    [sym_for_of_statement] = STATE(1886),
    [sym_while_statement] = STATE(1886),
    [sym_do_statement] = STATE(1886),
    [sym_try_statement] = STATE(1886),
    [sym_with_statement] = STATE(1886),
    [sym_break_statement] = STATE(1886),
    [sym_continue_statement] = STATE(1886),
    [sym_debugger_statement] = STATE(1886),
    [sym_return_statement] = STATE(1886),
    [sym_throw_statement] = STATE(1886),
    [sym_empty_statement] = STATE(1886),
    [sym_labeled_statement] = STATE(1886),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1773] = {
    [sym_export_statement] = STATE(1897),
    [sym__declaration] = STATE(1897),
    [sym_import_statement] = STATE(1897),
    [sym_expression_statement] = STATE(1897),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1897),
    [sym_if_statement] = STATE(1897),
    [sym_switch_statement] = STATE(1897),
    [sym_for_statement] = STATE(1897),
    [sym_for_in_statement] = STATE(1897),
    [sym_for_of_statement] = STATE(1897),
    [sym_while_statement] = STATE(1897),
    [sym_do_statement] = STATE(1897),
    [sym_try_statement] = STATE(1897),
    [sym_with_statement] = STATE(1897),
    [sym_break_statement] = STATE(1897),
    [sym_continue_statement] = STATE(1897),
    [sym_debugger_statement] = STATE(1897),
    [sym_return_statement] = STATE(1897),
    [sym_throw_statement] = STATE(1897),
    [sym_empty_statement] = STATE(1897),
    [sym_labeled_statement] = STATE(1897),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1774] = {
    [sym_export_statement] = STATE(1902),
    [sym__declaration] = STATE(1902),
    [sym_import_statement] = STATE(1902),
    [sym_expression_statement] = STATE(1902),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1902),
    [sym_if_statement] = STATE(1902),
    [sym_switch_statement] = STATE(1902),
    [sym_for_statement] = STATE(1902),
    [sym_for_in_statement] = STATE(1902),
    [sym_for_of_statement] = STATE(1902),
    [sym_while_statement] = STATE(1902),
    [sym_do_statement] = STATE(1902),
    [sym_try_statement] = STATE(1902),
    [sym_with_statement] = STATE(1902),
    [sym_break_statement] = STATE(1902),
    [sym_continue_statement] = STATE(1902),
    [sym_debugger_statement] = STATE(1902),
    [sym_return_statement] = STATE(1902),
    [sym_throw_statement] = STATE(1902),
    [sym_empty_statement] = STATE(1902),
    [sym_labeled_statement] = STATE(1902),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1775] = {
    [sym_export_statement] = STATE(1903),
    [sym__declaration] = STATE(1903),
    [sym_import_statement] = STATE(1903),
    [sym_expression_statement] = STATE(1903),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1903),
    [sym_if_statement] = STATE(1903),
    [sym_switch_statement] = STATE(1903),
    [sym_for_statement] = STATE(1903),
    [sym_for_in_statement] = STATE(1903),
    [sym_for_of_statement] = STATE(1903),
    [sym_while_statement] = STATE(1903),
    [sym_do_statement] = STATE(1903),
    [sym_try_statement] = STATE(1903),
    [sym_with_statement] = STATE(1903),
    [sym_break_statement] = STATE(1903),
    [sym_continue_statement] = STATE(1903),
    [sym_debugger_statement] = STATE(1903),
    [sym_return_statement] = STATE(1903),
    [sym_throw_statement] = STATE(1903),
    [sym_empty_statement] = STATE(1903),
    [sym_labeled_statement] = STATE(1903),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1776] = {
    [sym_export_statement] = STATE(1904),
    [sym__declaration] = STATE(1904),
    [sym_import_statement] = STATE(1904),
    [sym_expression_statement] = STATE(1904),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1904),
    [sym_if_statement] = STATE(1904),
    [sym_switch_statement] = STATE(1904),
    [sym_for_statement] = STATE(1904),
    [sym_for_in_statement] = STATE(1904),
    [sym_for_of_statement] = STATE(1904),
    [sym_while_statement] = STATE(1904),
    [sym_do_statement] = STATE(1904),
    [sym_try_statement] = STATE(1904),
    [sym_with_statement] = STATE(1904),
    [sym_break_statement] = STATE(1904),
    [sym_continue_statement] = STATE(1904),
    [sym_debugger_statement] = STATE(1904),
    [sym_return_statement] = STATE(1904),
    [sym_throw_statement] = STATE(1904),
    [sym_empty_statement] = STATE(1904),
    [sym_labeled_statement] = STATE(1904),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1777] = {
    [sym_export_statement] = STATE(1905),
    [sym__declaration] = STATE(1905),
    [sym_import_statement] = STATE(1905),
    [sym_expression_statement] = STATE(1905),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1905),
    [sym_if_statement] = STATE(1905),
    [sym_switch_statement] = STATE(1905),
    [sym_for_statement] = STATE(1905),
    [sym_for_in_statement] = STATE(1905),
    [sym_for_of_statement] = STATE(1905),
    [sym_while_statement] = STATE(1905),
    [sym_do_statement] = STATE(1905),
    [sym_try_statement] = STATE(1905),
    [sym_with_statement] = STATE(1905),
    [sym_break_statement] = STATE(1905),
    [sym_continue_statement] = STATE(1905),
    [sym_debugger_statement] = STATE(1905),
    [sym_return_statement] = STATE(1905),
    [sym_throw_statement] = STATE(1905),
    [sym_empty_statement] = STATE(1905),
    [sym_labeled_statement] = STATE(1905),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1778] = {
    [sym_export_statement] = STATE(1906),
    [sym__declaration] = STATE(1906),
    [sym_import_statement] = STATE(1906),
    [sym_expression_statement] = STATE(1906),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1906),
    [sym_if_statement] = STATE(1906),
    [sym_switch_statement] = STATE(1906),
    [sym_for_statement] = STATE(1906),
    [sym_for_in_statement] = STATE(1906),
    [sym_for_of_statement] = STATE(1906),
    [sym_while_statement] = STATE(1906),
    [sym_do_statement] = STATE(1906),
    [sym_try_statement] = STATE(1906),
    [sym_with_statement] = STATE(1906),
    [sym_break_statement] = STATE(1906),
    [sym_continue_statement] = STATE(1906),
    [sym_debugger_statement] = STATE(1906),
    [sym_return_statement] = STATE(1906),
    [sym_throw_statement] = STATE(1906),
    [sym_empty_statement] = STATE(1906),
    [sym_labeled_statement] = STATE(1906),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1779] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1780] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1781] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1973),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(765),
    [sym_array] = STATE(766),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(767),
    [sym_subscript_expression] = STATE(767),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(768),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1393),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(1395),
    [anon_sym_set] = ACTIONS(1395),
  },
  [1782] = {
    [anon_sym_export] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3183),
    [sym_number] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_AT] = ACTIONS(3183),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
  },
  [1783] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [ts_builtin_sym_end] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [1784] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [1785] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [ts_builtin_sym_end] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [1786] = {
    [sym_statement_block] = STATE(1975),
    [anon_sym_LBRACE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(76),
  },
  [1787] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [ts_builtin_sym_end] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [1788] = {
    [sym_statement_block] = STATE(1976),
    [anon_sym_LBRACE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(76),
  },
  [1789] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [ts_builtin_sym_end] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [1790] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1791] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3513),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1792] = {
    [sym_class_body] = STATE(1978),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [sym_comment] = ACTIONS(76),
  },
  [1793] = {
    [ts_builtin_sym_end] = ACTIONS(2893),
    [anon_sym_export] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_import] = ACTIONS(2895),
    [anon_sym_var] = ACTIONS(2895),
    [anon_sym_let] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_LPAREN] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_with] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_debugger] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_yield] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_async] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_await] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_typeof] = ACTIONS(2895),
    [anon_sym_void] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2893),
    [anon_sym_BQUOTE] = ACTIONS(2893),
    [sym_regex] = ACTIONS(2897),
    [sym_number] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [sym_this] = ACTIONS(2895),
    [sym_super] = ACTIONS(2895),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [sym_null] = ACTIONS(2895),
    [sym_undefined] = ACTIONS(2895),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2895),
    [anon_sym_set] = ACTIONS(2895),
  },
  [1794] = {
    [ts_builtin_sym_end] = ACTIONS(2981),
    [anon_sym_export] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_with] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_debugger] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_yield] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_function] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_await] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_void] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2981),
    [anon_sym_BQUOTE] = ACTIONS(2981),
    [sym_regex] = ACTIONS(2985),
    [sym_number] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2985),
    [sym_this] = ACTIONS(2983),
    [sym_super] = ACTIONS(2983),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [sym_null] = ACTIONS(2983),
    [sym_undefined] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2983),
  },
  [1795] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1979),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1796] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1980),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1797] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1981),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1798] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1982),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1799] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(1983),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1800] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(1984),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1801] = {
    [anon_sym_RPAREN] = ACTIONS(3515),
    [sym_comment] = ACTIONS(76),
  },
  [1802] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3517),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1803] = {
    [sym_export_statement] = STATE(1987),
    [sym__declaration] = STATE(1987),
    [sym_import_statement] = STATE(1987),
    [sym_expression_statement] = STATE(1987),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1987),
    [sym_if_statement] = STATE(1987),
    [sym_switch_statement] = STATE(1987),
    [sym_for_statement] = STATE(1987),
    [sym_for_in_statement] = STATE(1987),
    [sym_for_of_statement] = STATE(1987),
    [sym_while_statement] = STATE(1987),
    [sym_do_statement] = STATE(1987),
    [sym_try_statement] = STATE(1987),
    [sym_with_statement] = STATE(1987),
    [sym_break_statement] = STATE(1987),
    [sym_continue_statement] = STATE(1987),
    [sym_debugger_statement] = STATE(1987),
    [sym_return_statement] = STATE(1987),
    [sym_throw_statement] = STATE(1987),
    [sym_empty_statement] = STATE(1987),
    [sym_labeled_statement] = STATE(1987),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1804] = {
    [anon_sym_RPAREN] = ACTIONS(3519),
    [sym_comment] = ACTIONS(76),
  },
  [1805] = {
    [anon_sym_RPAREN] = ACTIONS(3521),
    [sym_comment] = ACTIONS(76),
  },
  [1806] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3523),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1807] = {
    [anon_sym_RPAREN] = ACTIONS(3525),
    [sym_comment] = ACTIONS(76),
  },
  [1808] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3527),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1809] = {
    [ts_builtin_sym_end] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_else] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_with] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_debugger] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3109),
    [anon_sym_EQ_GT] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym_void] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3107),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_regex] = ACTIONS(3111),
    [sym_number] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3111),
    [sym_this] = ACTIONS(3109),
    [sym_super] = ACTIONS(3109),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [sym_null] = ACTIONS(3109),
    [sym_undefined] = ACTIONS(3109),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3109),
    [anon_sym_set] = ACTIONS(3109),
  },
  [1810] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1811] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1812] = {
    [anon_sym_RPAREN] = ACTIONS(3531),
    [sym_comment] = ACTIONS(76),
  },
  [1813] = {
    [ts_builtin_sym_end] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1814] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [1815] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [ts_builtin_sym_end] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [1816] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [ts_builtin_sym_end] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [1817] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1818] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_else] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_EQ_GT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3213),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_regex] = ACTIONS(3217),
    [sym_number] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
  },
  [1819] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [ts_builtin_sym_end] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [1820] = {
    [sym__from_clause] = STATE(1995),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [1821] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(1996),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [1822] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3533),
  },
  [1823] = {
    [anon_sym_function] = ACTIONS(3535),
    [sym_comment] = ACTIONS(76),
  },
  [1824] = {
    [sym_formal_parameters] = STATE(2001),
    [anon_sym_STAR] = ACTIONS(3537),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3539),
  },
  [1825] = {
    [sym__from_clause] = STATE(1995),
    [sym__automatic_semicolon] = ACTIONS(3541),
    [anon_sym_from] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(3541),
    [sym_comment] = ACTIONS(76),
  },
  [1826] = {
    [anon_sym_export] = ACTIONS(449),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_var] = ACTIONS(449),
    [anon_sym_let] = ACTIONS(449),
    [anon_sym_const] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_debugger] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(449),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(449),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ_GT] = ACTIONS(447),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_typeof] = ACTIONS(449),
    [anon_sym_void] = ACTIONS(449),
    [anon_sym_delete] = ACTIONS(449),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(447),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_regex] = ACTIONS(451),
    [sym_number] = ACTIONS(449),
    [sym_identifier] = ACTIONS(451),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_undefined] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(449),
    [anon_sym_set] = ACTIONS(449),
  },
  [1827] = {
    [sym__automatic_semicolon] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [1828] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(3543),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1829] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(485),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [1830] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3545),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1831] = {
    [sym__automatic_semicolon] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3547),
    [sym_comment] = ACTIONS(76),
  },
  [1832] = {
    [sym__from_clause] = STATE(2006),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [1833] = {
    [aux_sym_variable_declaration_repeat1] = STATE(2008),
    [sym__automatic_semicolon] = ACTIONS(3549),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3549),
    [sym_comment] = ACTIONS(76),
  },
  [1834] = {
    [aux_sym_variable_declaration_repeat1] = STATE(2010),
    [sym__automatic_semicolon] = ACTIONS(3551),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3551),
    [sym_comment] = ACTIONS(76),
  },
  [1835] = {
    [sym_export_statement] = STATE(2033),
    [sym__declaration] = STATE(2033),
    [sym_import_statement] = STATE(2033),
    [sym_expression_statement] = STATE(2033),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2033),
    [sym_if_statement] = STATE(2033),
    [sym_switch_statement] = STATE(2033),
    [sym_for_statement] = STATE(2033),
    [sym_for_in_statement] = STATE(2033),
    [sym_for_of_statement] = STATE(2033),
    [sym_while_statement] = STATE(2033),
    [sym_do_statement] = STATE(2033),
    [sym_try_statement] = STATE(2033),
    [sym_with_statement] = STATE(2033),
    [sym_break_statement] = STATE(2033),
    [sym_continue_statement] = STATE(2033),
    [sym_debugger_statement] = STATE(2033),
    [sym_return_statement] = STATE(2033),
    [sym_throw_statement] = STATE(2033),
    [sym_empty_statement] = STATE(2033),
    [sym_labeled_statement] = STATE(2033),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1836] = {
    [sym_switch_body] = STATE(2040),
    [anon_sym_LBRACE] = ACTIONS(3597),
    [sym_comment] = ACTIONS(76),
  },
  [1837] = {
    [sym_expression_statement] = STATE(2044),
    [sym_variable_declaration] = STATE(2044),
    [sym_lexical_declaration] = STATE(2044),
    [sym_empty_statement] = STATE(2044),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(2045),
    [sym_array] = STATE(2046),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(3599),
    [anon_sym_let] = ACTIONS(3601),
    [anon_sym_const] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3603),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1838] = {
    [sym_export_statement] = STATE(2047),
    [sym__declaration] = STATE(2047),
    [sym_import_statement] = STATE(2047),
    [sym_expression_statement] = STATE(2047),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2047),
    [sym_if_statement] = STATE(2047),
    [sym_switch_statement] = STATE(2047),
    [sym_for_statement] = STATE(2047),
    [sym_for_in_statement] = STATE(2047),
    [sym_for_of_statement] = STATE(2047),
    [sym_while_statement] = STATE(2047),
    [sym_do_statement] = STATE(2047),
    [sym_try_statement] = STATE(2047),
    [sym_with_statement] = STATE(2047),
    [sym_break_statement] = STATE(2047),
    [sym_continue_statement] = STATE(2047),
    [sym_debugger_statement] = STATE(2047),
    [sym_return_statement] = STATE(2047),
    [sym_throw_statement] = STATE(2047),
    [sym_empty_statement] = STATE(2047),
    [sym_labeled_statement] = STATE(2047),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1839] = {
    [anon_sym_while] = ACTIONS(3605),
    [sym_comment] = ACTIONS(76),
  },
  [1840] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2050),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1841] = {
    [sym_catch_clause] = STATE(2053),
    [sym_finally_clause] = STATE(2054),
    [anon_sym_export] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_var] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(785),
    [anon_sym_const] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_debugger] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_catch] = ACTIONS(3609),
    [anon_sym_finally] = ACTIONS(3611),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_EQ_GT] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_typeof] = ACTIONS(785),
    [anon_sym_void] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(783),
    [anon_sym_BQUOTE] = ACTIONS(783),
    [sym_regex] = ACTIONS(791),
    [sym_number] = ACTIONS(785),
    [sym_identifier] = ACTIONS(791),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(785),
    [anon_sym_set] = ACTIONS(785),
  },
  [1842] = {
    [sym_export_statement] = STATE(2055),
    [sym__declaration] = STATE(2055),
    [sym_import_statement] = STATE(2055),
    [sym_expression_statement] = STATE(2055),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2055),
    [sym_if_statement] = STATE(2055),
    [sym_switch_statement] = STATE(2055),
    [sym_for_statement] = STATE(2055),
    [sym_for_in_statement] = STATE(2055),
    [sym_for_of_statement] = STATE(2055),
    [sym_while_statement] = STATE(2055),
    [sym_do_statement] = STATE(2055),
    [sym_try_statement] = STATE(2055),
    [sym_with_statement] = STATE(2055),
    [sym_break_statement] = STATE(2055),
    [sym_continue_statement] = STATE(2055),
    [sym_debugger_statement] = STATE(2055),
    [sym_return_statement] = STATE(2055),
    [sym_throw_statement] = STATE(2055),
    [sym_empty_statement] = STATE(2055),
    [sym_labeled_statement] = STATE(2055),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1843] = {
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(795),
    [anon_sym_var] = ACTIONS(795),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_switch] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_do] = ACTIONS(795),
    [anon_sym_try] = ACTIONS(795),
    [anon_sym_with] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(795),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_debugger] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_throw] = ACTIONS(795),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_case] = ACTIONS(795),
    [anon_sym_yield] = ACTIONS(795),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(795),
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ_GT] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_typeof] = ACTIONS(795),
    [anon_sym_void] = ACTIONS(795),
    [anon_sym_delete] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(793),
    [anon_sym_DASH_DASH] = ACTIONS(793),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(793),
    [anon_sym_BQUOTE] = ACTIONS(793),
    [sym_regex] = ACTIONS(797),
    [sym_number] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_undefined] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
  },
  [1844] = {
    [sym__automatic_semicolon] = ACTIONS(3613),
    [anon_sym_SEMI] = ACTIONS(3613),
    [sym_comment] = ACTIONS(76),
  },
  [1845] = {
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(803),
    [anon_sym_var] = ACTIONS(803),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_const] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_switch] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(803),
    [anon_sym_try] = ACTIONS(803),
    [anon_sym_with] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [anon_sym_debugger] = ACTIONS(803),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_throw] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_case] = ACTIONS(803),
    [anon_sym_yield] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(803),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(801),
    [anon_sym_new] = ACTIONS(803),
    [anon_sym_await] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_TILDE] = ACTIONS(801),
    [anon_sym_typeof] = ACTIONS(803),
    [anon_sym_void] = ACTIONS(803),
    [anon_sym_delete] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(801),
    [anon_sym_DASH_DASH] = ACTIONS(801),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(801),
    [anon_sym_BQUOTE] = ACTIONS(801),
    [sym_regex] = ACTIONS(805),
    [sym_number] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_undefined] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
  },
  [1846] = {
    [sym__automatic_semicolon] = ACTIONS(3615),
    [anon_sym_SEMI] = ACTIONS(3615),
    [sym_comment] = ACTIONS(76),
  },
  [1847] = {
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(811),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_switch] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_do] = ACTIONS(811),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_with] = ACTIONS(811),
    [anon_sym_break] = ACTIONS(811),
    [anon_sym_continue] = ACTIONS(811),
    [anon_sym_debugger] = ACTIONS(811),
    [anon_sym_return] = ACTIONS(811),
    [anon_sym_throw] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(811),
    [anon_sym_yield] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ_GT] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_typeof] = ACTIONS(811),
    [anon_sym_void] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(809),
    [anon_sym_DASH_DASH] = ACTIONS(809),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(809),
    [anon_sym_BQUOTE] = ACTIONS(809),
    [sym_regex] = ACTIONS(813),
    [sym_number] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_this] = ACTIONS(811),
    [sym_super] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_undefined] = ACTIONS(811),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
  },
  [1848] = {
    [anon_sym_export] = ACTIONS(817),
    [anon_sym_default] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_const] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_debugger] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_EQ_GT] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(817),
    [anon_sym_void] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(817),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(815),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_regex] = ACTIONS(819),
    [sym_number] = ACTIONS(817),
    [sym_identifier] = ACTIONS(819),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_null] = ACTIONS(817),
    [sym_undefined] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(815),
    [anon_sym_get] = ACTIONS(817),
    [anon_sym_set] = ACTIONS(817),
  },
  [1849] = {
    [sym__automatic_semicolon] = ACTIONS(3617),
    [anon_sym_SEMI] = ACTIONS(3617),
    [sym_comment] = ACTIONS(76),
  },
  [1850] = {
    [sym__automatic_semicolon] = ACTIONS(3619),
    [anon_sym_SEMI] = ACTIONS(3619),
    [sym_comment] = ACTIONS(76),
  },
  [1851] = {
    [sym_class_heritage] = STATE(2061),
    [sym_class_body] = STATE(2062),
    [anon_sym_LBRACE] = ACTIONS(3621),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1852] = {
    [sym_formal_parameters] = STATE(2064),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3623),
  },
  [1853] = {
    [sym_formal_parameters] = STATE(2066),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3625),
  },
  [1854] = {
    [sym_formal_parameters] = STATE(2064),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [1855] = {
    [sym_statement_block] = STATE(2068),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [sym_comment] = ACTIONS(76),
  },
  [1856] = {
    [sym_export_statement] = STATE(2069),
    [sym__declaration] = STATE(2069),
    [sym_import_statement] = STATE(2069),
    [sym_expression_statement] = STATE(2069),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2069),
    [sym_if_statement] = STATE(2069),
    [sym_switch_statement] = STATE(2069),
    [sym_for_statement] = STATE(2069),
    [sym_for_in_statement] = STATE(2069),
    [sym_for_of_statement] = STATE(2069),
    [sym_while_statement] = STATE(2069),
    [sym_do_statement] = STATE(2069),
    [sym_try_statement] = STATE(2069),
    [sym_with_statement] = STATE(2069),
    [sym_break_statement] = STATE(2069),
    [sym_continue_statement] = STATE(2069),
    [sym_debugger_statement] = STATE(2069),
    [sym_return_statement] = STATE(2069),
    [sym_throw_statement] = STATE(2069),
    [sym_empty_statement] = STATE(2069),
    [sym_labeled_statement] = STATE(2069),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1857] = {
    [anon_sym_export] = ACTIONS(1033),
    [anon_sym_default] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_var] = ACTIONS(1033),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_debugger] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1033),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_await] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1033),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [sym_regex] = ACTIONS(1035),
    [sym_number] = ACTIONS(1033),
    [sym_identifier] = ACTIONS(1035),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1033),
  },
  [1858] = {
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_let] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_debugger] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_EQ_GT] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_delete] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [sym_regex] = ACTIONS(1087),
    [sym_number] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_undefined] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_get] = ACTIONS(1085),
    [anon_sym_set] = ACTIONS(1085),
  },
  [1859] = {
    [sym_export_statement] = STATE(1598),
    [sym__declaration] = STATE(1598),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_for_of_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1859),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(3629),
    [anon_sym_default] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_import] = ACTIONS(3637),
    [anon_sym_var] = ACTIONS(3640),
    [anon_sym_let] = ACTIONS(3643),
    [anon_sym_const] = ACTIONS(3643),
    [anon_sym_if] = ACTIONS(3646),
    [anon_sym_switch] = ACTIONS(3649),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_while] = ACTIONS(3655),
    [anon_sym_do] = ACTIONS(3658),
    [anon_sym_try] = ACTIONS(3661),
    [anon_sym_with] = ACTIONS(3664),
    [anon_sym_break] = ACTIONS(3667),
    [anon_sym_continue] = ACTIONS(3670),
    [anon_sym_debugger] = ACTIONS(3673),
    [anon_sym_return] = ACTIONS(3676),
    [anon_sym_throw] = ACTIONS(3679),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_case] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_function] = ACTIONS(3691),
    [anon_sym_EQ_GT] = ACTIONS(1166),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_typeof] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [sym_regex] = ACTIONS(1190),
    [sym_number] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(3694),
    [sym_this] = ACTIONS(1193),
    [sym_super] = ACTIONS(1199),
    [sym_true] = ACTIONS(1193),
    [sym_false] = ACTIONS(1193),
    [sym_null] = ACTIONS(1193),
    [sym_undefined] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
  },
  [1860] = {
    [sym__declaration] = STATE(2002),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_class] = STATE(1827),
    [sym_function] = STATE(1827),
    [sym_generator_function] = STATE(1827),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1828),
    [anon_sym_default] = ACTIONS(3697),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [1861] = {
    [sym_class_heritage] = STATE(658),
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3699),
  },
  [1862] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1863] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1864] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1865] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2072),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [1866] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1867] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1868] = {
    [sym_export_statement] = STATE(1598),
    [sym__declaration] = STATE(1598),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_for_of_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1859),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(3703),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(3701),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1869] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1870] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1871] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1872] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1873] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1874] = {
    [sym_export_statement] = STATE(2074),
    [sym__declaration] = STATE(2074),
    [sym_import_statement] = STATE(2074),
    [sym_expression_statement] = STATE(2074),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2074),
    [sym_if_statement] = STATE(2074),
    [sym_switch_statement] = STATE(2074),
    [sym_for_statement] = STATE(2074),
    [sym_for_in_statement] = STATE(2074),
    [sym_for_of_statement] = STATE(2074),
    [sym_while_statement] = STATE(2074),
    [sym_do_statement] = STATE(2074),
    [sym_try_statement] = STATE(2074),
    [sym_with_statement] = STATE(2074),
    [sym_break_statement] = STATE(2074),
    [sym_continue_statement] = STATE(2074),
    [sym_debugger_statement] = STATE(2074),
    [sym_return_statement] = STATE(2074),
    [sym_throw_statement] = STATE(2074),
    [sym_empty_statement] = STATE(2074),
    [sym_labeled_statement] = STATE(2074),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1875] = {
    [sym_export_statement] = STATE(2075),
    [sym__declaration] = STATE(2075),
    [sym_import_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_switch_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_for_in_statement] = STATE(2075),
    [sym_for_of_statement] = STATE(2075),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_try_statement] = STATE(2075),
    [sym_with_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_debugger_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_statement] = STATE(2075),
    [sym_empty_statement] = STATE(2075),
    [sym_labeled_statement] = STATE(2075),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1876] = {
    [sym_export_statement] = STATE(2076),
    [sym__declaration] = STATE(2076),
    [sym_import_statement] = STATE(2076),
    [sym_expression_statement] = STATE(2076),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2076),
    [sym_if_statement] = STATE(2076),
    [sym_switch_statement] = STATE(2076),
    [sym_for_statement] = STATE(2076),
    [sym_for_in_statement] = STATE(2076),
    [sym_for_of_statement] = STATE(2076),
    [sym_while_statement] = STATE(2076),
    [sym_do_statement] = STATE(2076),
    [sym_try_statement] = STATE(2076),
    [sym_with_statement] = STATE(2076),
    [sym_break_statement] = STATE(2076),
    [sym_continue_statement] = STATE(2076),
    [sym_debugger_statement] = STATE(2076),
    [sym_return_statement] = STATE(2076),
    [sym_throw_statement] = STATE(2076),
    [sym_empty_statement] = STATE(2076),
    [sym_labeled_statement] = STATE(2076),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1877] = {
    [sym_export_statement] = STATE(2077),
    [sym__declaration] = STATE(2077),
    [sym_import_statement] = STATE(2077),
    [sym_expression_statement] = STATE(2077),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2077),
    [sym_if_statement] = STATE(2077),
    [sym_switch_statement] = STATE(2077),
    [sym_for_statement] = STATE(2077),
    [sym_for_in_statement] = STATE(2077),
    [sym_for_of_statement] = STATE(2077),
    [sym_while_statement] = STATE(2077),
    [sym_do_statement] = STATE(2077),
    [sym_try_statement] = STATE(2077),
    [sym_with_statement] = STATE(2077),
    [sym_break_statement] = STATE(2077),
    [sym_continue_statement] = STATE(2077),
    [sym_debugger_statement] = STATE(2077),
    [sym_return_statement] = STATE(2077),
    [sym_throw_statement] = STATE(2077),
    [sym_empty_statement] = STATE(2077),
    [sym_labeled_statement] = STATE(2077),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1878] = {
    [sym_export_statement] = STATE(2078),
    [sym__declaration] = STATE(2078),
    [sym_import_statement] = STATE(2078),
    [sym_expression_statement] = STATE(2078),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2078),
    [sym_if_statement] = STATE(2078),
    [sym_switch_statement] = STATE(2078),
    [sym_for_statement] = STATE(2078),
    [sym_for_in_statement] = STATE(2078),
    [sym_for_of_statement] = STATE(2078),
    [sym_while_statement] = STATE(2078),
    [sym_do_statement] = STATE(2078),
    [sym_try_statement] = STATE(2078),
    [sym_with_statement] = STATE(2078),
    [sym_break_statement] = STATE(2078),
    [sym_continue_statement] = STATE(2078),
    [sym_debugger_statement] = STATE(2078),
    [sym_return_statement] = STATE(2078),
    [sym_throw_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2078),
    [sym_labeled_statement] = STATE(2078),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1879] = {
    [sym_export_statement] = STATE(2079),
    [sym__declaration] = STATE(2079),
    [sym_import_statement] = STATE(2079),
    [sym_expression_statement] = STATE(2079),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2079),
    [sym_if_statement] = STATE(2079),
    [sym_switch_statement] = STATE(2079),
    [sym_for_statement] = STATE(2079),
    [sym_for_in_statement] = STATE(2079),
    [sym_for_of_statement] = STATE(2079),
    [sym_while_statement] = STATE(2079),
    [sym_do_statement] = STATE(2079),
    [sym_try_statement] = STATE(2079),
    [sym_with_statement] = STATE(2079),
    [sym_break_statement] = STATE(2079),
    [sym_continue_statement] = STATE(2079),
    [sym_debugger_statement] = STATE(2079),
    [sym_return_statement] = STATE(2079),
    [sym_throw_statement] = STATE(2079),
    [sym_empty_statement] = STATE(2079),
    [sym_labeled_statement] = STATE(2079),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(24),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(32),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(86),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1880] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1881] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1882] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1883] = {
    [sym_statement_block] = STATE(1031),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(2080),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1884] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1885] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1886] = {
    [ts_builtin_sym_end] = ACTIONS(3707),
    [anon_sym_export] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_import] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_with] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_debugger] = ACTIONS(3709),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_function] = ACTIONS(3709),
    [anon_sym_EQ_GT] = ACTIONS(3707),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_void] = ACTIONS(3709),
    [anon_sym_delete] = ACTIONS(3709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3707),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_regex] = ACTIONS(3711),
    [sym_number] = ACTIONS(3709),
    [sym_identifier] = ACTIONS(3711),
    [sym_this] = ACTIONS(3709),
    [sym_super] = ACTIONS(3709),
    [sym_true] = ACTIONS(3709),
    [sym_false] = ACTIONS(3709),
    [sym_null] = ACTIONS(3709),
    [sym_undefined] = ACTIONS(3709),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_get] = ACTIONS(3709),
    [anon_sym_set] = ACTIONS(3709),
  },
  [1887] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1888] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1889] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1890] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1891] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1892] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1893] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1894] = {
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2082),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1895] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1896] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1897] = {
    [ts_builtin_sym_end] = ACTIONS(3715),
    [anon_sym_export] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_RBRACE] = ACTIONS(3715),
    [anon_sym_import] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_debugger] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LT] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3717),
    [anon_sym_EQ_GT] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym_void] = ACTIONS(3717),
    [anon_sym_delete] = ACTIONS(3717),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3715),
    [anon_sym_BQUOTE] = ACTIONS(3715),
    [sym_regex] = ACTIONS(3719),
    [sym_number] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(3719),
    [sym_this] = ACTIONS(3717),
    [sym_super] = ACTIONS(3717),
    [sym_true] = ACTIONS(3717),
    [sym_false] = ACTIONS(3717),
    [sym_null] = ACTIONS(3717),
    [sym_undefined] = ACTIONS(3717),
    [anon_sym_AT] = ACTIONS(3715),
    [anon_sym_get] = ACTIONS(3717),
    [anon_sym_set] = ACTIONS(3717),
  },
  [1898] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1899] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1900] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1901] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1902] = {
    [ts_builtin_sym_end] = ACTIONS(3723),
    [anon_sym_export] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_RBRACE] = ACTIONS(3723),
    [anon_sym_import] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_with] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_debugger] = ACTIONS(3725),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(3723),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_EQ_GT] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_delete] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3723),
    [anon_sym_BQUOTE] = ACTIONS(3723),
    [sym_regex] = ACTIONS(3727),
    [sym_number] = ACTIONS(3725),
    [sym_identifier] = ACTIONS(3727),
    [sym_this] = ACTIONS(3725),
    [sym_super] = ACTIONS(3725),
    [sym_true] = ACTIONS(3725),
    [sym_false] = ACTIONS(3725),
    [sym_null] = ACTIONS(3725),
    [sym_undefined] = ACTIONS(3725),
    [anon_sym_AT] = ACTIONS(3723),
    [anon_sym_get] = ACTIONS(3725),
    [anon_sym_set] = ACTIONS(3725),
  },
  [1903] = {
    [ts_builtin_sym_end] = ACTIONS(3729),
    [anon_sym_export] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3729),
    [anon_sym_RBRACE] = ACTIONS(3729),
    [anon_sym_import] = ACTIONS(3731),
    [anon_sym_var] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_const] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_switch] = ACTIONS(3731),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_with] = ACTIONS(3731),
    [anon_sym_break] = ACTIONS(3731),
    [anon_sym_continue] = ACTIONS(3731),
    [anon_sym_debugger] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_throw] = ACTIONS(3731),
    [anon_sym_SEMI] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_LT] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3731),
    [anon_sym_async] = ACTIONS(3731),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_EQ_GT] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_await] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3731),
    [anon_sym_void] = ACTIONS(3731),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3729),
    [anon_sym_DASH_DASH] = ACTIONS(3729),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3729),
    [anon_sym_BQUOTE] = ACTIONS(3729),
    [sym_regex] = ACTIONS(3733),
    [sym_number] = ACTIONS(3731),
    [sym_identifier] = ACTIONS(3733),
    [sym_this] = ACTIONS(3731),
    [sym_super] = ACTIONS(3731),
    [sym_true] = ACTIONS(3731),
    [sym_false] = ACTIONS(3731),
    [sym_null] = ACTIONS(3731),
    [sym_undefined] = ACTIONS(3731),
    [anon_sym_AT] = ACTIONS(3729),
    [anon_sym_get] = ACTIONS(3731),
    [anon_sym_set] = ACTIONS(3731),
  },
  [1904] = {
    [ts_builtin_sym_end] = ACTIONS(3735),
    [anon_sym_export] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [anon_sym_import] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_with] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_debugger] = ACTIONS(3737),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LT] = ACTIONS(3735),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_function] = ACTIONS(3737),
    [anon_sym_EQ_GT] = ACTIONS(3735),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym_void] = ACTIONS(3737),
    [anon_sym_delete] = ACTIONS(3737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3735),
    [anon_sym_BQUOTE] = ACTIONS(3735),
    [sym_regex] = ACTIONS(3739),
    [sym_number] = ACTIONS(3737),
    [sym_identifier] = ACTIONS(3739),
    [sym_this] = ACTIONS(3737),
    [sym_super] = ACTIONS(3737),
    [sym_true] = ACTIONS(3737),
    [sym_false] = ACTIONS(3737),
    [sym_null] = ACTIONS(3737),
    [sym_undefined] = ACTIONS(3737),
    [anon_sym_AT] = ACTIONS(3735),
    [anon_sym_get] = ACTIONS(3737),
    [anon_sym_set] = ACTIONS(3737),
  },
  [1905] = {
    [ts_builtin_sym_end] = ACTIONS(3741),
    [anon_sym_export] = ACTIONS(3743),
    [anon_sym_LBRACE] = ACTIONS(3741),
    [anon_sym_RBRACE] = ACTIONS(3741),
    [anon_sym_import] = ACTIONS(3743),
    [anon_sym_var] = ACTIONS(3743),
    [anon_sym_let] = ACTIONS(3743),
    [anon_sym_const] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(3743),
    [anon_sym_switch] = ACTIONS(3743),
    [anon_sym_for] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3743),
    [anon_sym_do] = ACTIONS(3743),
    [anon_sym_try] = ACTIONS(3743),
    [anon_sym_with] = ACTIONS(3743),
    [anon_sym_break] = ACTIONS(3743),
    [anon_sym_continue] = ACTIONS(3743),
    [anon_sym_debugger] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3743),
    [anon_sym_throw] = ACTIONS(3743),
    [anon_sym_SEMI] = ACTIONS(3741),
    [anon_sym_yield] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3743),
    [anon_sym_async] = ACTIONS(3743),
    [anon_sym_function] = ACTIONS(3743),
    [anon_sym_EQ_GT] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3743),
    [anon_sym_await] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3743),
    [anon_sym_DASH] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3743),
    [anon_sym_void] = ACTIONS(3743),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3741),
    [anon_sym_DASH_DASH] = ACTIONS(3741),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3741),
    [anon_sym_BQUOTE] = ACTIONS(3741),
    [sym_regex] = ACTIONS(3745),
    [sym_number] = ACTIONS(3743),
    [sym_identifier] = ACTIONS(3745),
    [sym_this] = ACTIONS(3743),
    [sym_super] = ACTIONS(3743),
    [sym_true] = ACTIONS(3743),
    [sym_false] = ACTIONS(3743),
    [sym_null] = ACTIONS(3743),
    [sym_undefined] = ACTIONS(3743),
    [anon_sym_AT] = ACTIONS(3741),
    [anon_sym_get] = ACTIONS(3743),
    [anon_sym_set] = ACTIONS(3743),
  },
  [1906] = {
    [ts_builtin_sym_end] = ACTIONS(3747),
    [anon_sym_export] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_RBRACE] = ACTIONS(3747),
    [anon_sym_import] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_with] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_debugger] = ACTIONS(3749),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LT] = ACTIONS(3747),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_function] = ACTIONS(3749),
    [anon_sym_EQ_GT] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_void] = ACTIONS(3749),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3747),
    [anon_sym_BQUOTE] = ACTIONS(3747),
    [sym_regex] = ACTIONS(3751),
    [sym_number] = ACTIONS(3749),
    [sym_identifier] = ACTIONS(3751),
    [sym_this] = ACTIONS(3749),
    [sym_super] = ACTIONS(3749),
    [sym_true] = ACTIONS(3749),
    [sym_false] = ACTIONS(3749),
    [sym_null] = ACTIONS(3749),
    [sym_undefined] = ACTIONS(3749),
    [anon_sym_AT] = ACTIONS(3747),
    [anon_sym_get] = ACTIONS(3749),
    [anon_sym_set] = ACTIONS(3749),
  },
  [1907] = {
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_COMMA] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_RPAREN] = ACTIONS(3449),
    [anon_sym_in] = ACTIONS(3451),
    [anon_sym_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_RBRACK] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_GT] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3449),
    [anon_sym_QMARK] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE] = ACTIONS(3449),
    [anon_sym_GT_GT] = ACTIONS(3451),
    [anon_sym_GT_GT_GT] = ACTIONS(3449),
    [anon_sym_LT_LT] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_CARET] = ACTIONS(3449),
    [anon_sym_PIPE] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PERCENT] = ACTIONS(3449),
    [anon_sym_LT_EQ] = ACTIONS(3449),
    [anon_sym_EQ_EQ] = ACTIONS(3451),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3449),
    [anon_sym_BANG_EQ] = ACTIONS(3451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3449),
    [anon_sym_GT_EQ] = ACTIONS(3449),
    [anon_sym_instanceof] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(3449),
  },
  [1908] = {
    [sym_export_statement] = STATE(1793),
    [sym__declaration] = STATE(1793),
    [sym_import_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1793),
    [sym_if_statement] = STATE(1793),
    [sym_switch_statement] = STATE(1793),
    [sym_for_statement] = STATE(1793),
    [sym_for_in_statement] = STATE(1793),
    [sym_for_of_statement] = STATE(1793),
    [sym_while_statement] = STATE(1793),
    [sym_do_statement] = STATE(1793),
    [sym_try_statement] = STATE(1793),
    [sym_with_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_debugger_statement] = STATE(1793),
    [sym_return_statement] = STATE(1793),
    [sym_throw_statement] = STATE(1793),
    [sym_empty_statement] = STATE(1793),
    [sym_labeled_statement] = STATE(1793),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1909] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3753),
    [anon_sym_of] = ACTIONS(3755),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1910] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(3757),
    [anon_sym_of] = ACTIONS(3759),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1911] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(3761),
    [anon_sym_of] = ACTIONS(3763),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [1912] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2090),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1913] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2091),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1914] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2093),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(3765),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1915] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2094),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1916] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2095),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1917] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2096),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [1918] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2097),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1919] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3767),
  },
  [1920] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(804),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1921] = {
    [anon_sym_RPAREN] = ACTIONS(3769),
    [sym_comment] = ACTIONS(76),
  },
  [1922] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3771),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1923] = {
    [anon_sym_RPAREN] = ACTIONS(3773),
    [sym_comment] = ACTIONS(76),
  },
  [1924] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3775),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1925] = {
    [anon_sym_RPAREN] = ACTIONS(3777),
    [sym_comment] = ACTIONS(76),
  },
  [1926] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3779),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1927] = {
    [sym_export_statement] = STATE(1886),
    [sym__declaration] = STATE(1886),
    [sym_import_statement] = STATE(1886),
    [sym_expression_statement] = STATE(1886),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1886),
    [sym_if_statement] = STATE(1886),
    [sym_switch_statement] = STATE(1886),
    [sym_for_statement] = STATE(1886),
    [sym_for_in_statement] = STATE(1886),
    [sym_for_of_statement] = STATE(1886),
    [sym_while_statement] = STATE(1886),
    [sym_do_statement] = STATE(1886),
    [sym_try_statement] = STATE(1886),
    [sym_with_statement] = STATE(1886),
    [sym_break_statement] = STATE(1886),
    [sym_continue_statement] = STATE(1886),
    [sym_debugger_statement] = STATE(1886),
    [sym_return_statement] = STATE(1886),
    [sym_throw_statement] = STATE(1886),
    [sym_empty_statement] = STATE(1886),
    [sym_labeled_statement] = STATE(1886),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1928] = {
    [sym_export_statement] = STATE(1897),
    [sym__declaration] = STATE(1897),
    [sym_import_statement] = STATE(1897),
    [sym_expression_statement] = STATE(1897),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1897),
    [sym_if_statement] = STATE(1897),
    [sym_switch_statement] = STATE(1897),
    [sym_for_statement] = STATE(1897),
    [sym_for_in_statement] = STATE(1897),
    [sym_for_of_statement] = STATE(1897),
    [sym_while_statement] = STATE(1897),
    [sym_do_statement] = STATE(1897),
    [sym_try_statement] = STATE(1897),
    [sym_with_statement] = STATE(1897),
    [sym_break_statement] = STATE(1897),
    [sym_continue_statement] = STATE(1897),
    [sym_debugger_statement] = STATE(1897),
    [sym_return_statement] = STATE(1897),
    [sym_throw_statement] = STATE(1897),
    [sym_empty_statement] = STATE(1897),
    [sym_labeled_statement] = STATE(1897),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1929] = {
    [sym_export_statement] = STATE(1902),
    [sym__declaration] = STATE(1902),
    [sym_import_statement] = STATE(1902),
    [sym_expression_statement] = STATE(1902),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1902),
    [sym_if_statement] = STATE(1902),
    [sym_switch_statement] = STATE(1902),
    [sym_for_statement] = STATE(1902),
    [sym_for_in_statement] = STATE(1902),
    [sym_for_of_statement] = STATE(1902),
    [sym_while_statement] = STATE(1902),
    [sym_do_statement] = STATE(1902),
    [sym_try_statement] = STATE(1902),
    [sym_with_statement] = STATE(1902),
    [sym_break_statement] = STATE(1902),
    [sym_continue_statement] = STATE(1902),
    [sym_debugger_statement] = STATE(1902),
    [sym_return_statement] = STATE(1902),
    [sym_throw_statement] = STATE(1902),
    [sym_empty_statement] = STATE(1902),
    [sym_labeled_statement] = STATE(1902),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1930] = {
    [sym_export_statement] = STATE(1903),
    [sym__declaration] = STATE(1903),
    [sym_import_statement] = STATE(1903),
    [sym_expression_statement] = STATE(1903),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1903),
    [sym_if_statement] = STATE(1903),
    [sym_switch_statement] = STATE(1903),
    [sym_for_statement] = STATE(1903),
    [sym_for_in_statement] = STATE(1903),
    [sym_for_of_statement] = STATE(1903),
    [sym_while_statement] = STATE(1903),
    [sym_do_statement] = STATE(1903),
    [sym_try_statement] = STATE(1903),
    [sym_with_statement] = STATE(1903),
    [sym_break_statement] = STATE(1903),
    [sym_continue_statement] = STATE(1903),
    [sym_debugger_statement] = STATE(1903),
    [sym_return_statement] = STATE(1903),
    [sym_throw_statement] = STATE(1903),
    [sym_empty_statement] = STATE(1903),
    [sym_labeled_statement] = STATE(1903),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1931] = {
    [sym_export_statement] = STATE(1904),
    [sym__declaration] = STATE(1904),
    [sym_import_statement] = STATE(1904),
    [sym_expression_statement] = STATE(1904),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1904),
    [sym_if_statement] = STATE(1904),
    [sym_switch_statement] = STATE(1904),
    [sym_for_statement] = STATE(1904),
    [sym_for_in_statement] = STATE(1904),
    [sym_for_of_statement] = STATE(1904),
    [sym_while_statement] = STATE(1904),
    [sym_do_statement] = STATE(1904),
    [sym_try_statement] = STATE(1904),
    [sym_with_statement] = STATE(1904),
    [sym_break_statement] = STATE(1904),
    [sym_continue_statement] = STATE(1904),
    [sym_debugger_statement] = STATE(1904),
    [sym_return_statement] = STATE(1904),
    [sym_throw_statement] = STATE(1904),
    [sym_empty_statement] = STATE(1904),
    [sym_labeled_statement] = STATE(1904),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1932] = {
    [sym_export_statement] = STATE(1905),
    [sym__declaration] = STATE(1905),
    [sym_import_statement] = STATE(1905),
    [sym_expression_statement] = STATE(1905),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1905),
    [sym_if_statement] = STATE(1905),
    [sym_switch_statement] = STATE(1905),
    [sym_for_statement] = STATE(1905),
    [sym_for_in_statement] = STATE(1905),
    [sym_for_of_statement] = STATE(1905),
    [sym_while_statement] = STATE(1905),
    [sym_do_statement] = STATE(1905),
    [sym_try_statement] = STATE(1905),
    [sym_with_statement] = STATE(1905),
    [sym_break_statement] = STATE(1905),
    [sym_continue_statement] = STATE(1905),
    [sym_debugger_statement] = STATE(1905),
    [sym_return_statement] = STATE(1905),
    [sym_throw_statement] = STATE(1905),
    [sym_empty_statement] = STATE(1905),
    [sym_labeled_statement] = STATE(1905),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1933] = {
    [sym_export_statement] = STATE(1906),
    [sym__declaration] = STATE(1906),
    [sym_import_statement] = STATE(1906),
    [sym_expression_statement] = STATE(1906),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(1906),
    [sym_if_statement] = STATE(1906),
    [sym_switch_statement] = STATE(1906),
    [sym_for_statement] = STATE(1906),
    [sym_for_in_statement] = STATE(1906),
    [sym_for_of_statement] = STATE(1906),
    [sym_while_statement] = STATE(1906),
    [sym_do_statement] = STATE(1906),
    [sym_try_statement] = STATE(1906),
    [sym_with_statement] = STATE(1906),
    [sym_break_statement] = STATE(1906),
    [sym_continue_statement] = STATE(1906),
    [sym_debugger_statement] = STATE(1906),
    [sym_return_statement] = STATE(1906),
    [sym_throw_statement] = STATE(1906),
    [sym_empty_statement] = STATE(1906),
    [sym_labeled_statement] = STATE(1906),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1934] = {
    [sym_statement_block] = STATE(1935),
    [anon_sym_LBRACE] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1935] = {
    [ts_builtin_sym_end] = ACTIONS(3781),
    [anon_sym_export] = ACTIONS(3783),
    [anon_sym_LBRACE] = ACTIONS(3781),
    [anon_sym_RBRACE] = ACTIONS(3781),
    [anon_sym_import] = ACTIONS(3783),
    [anon_sym_var] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_const] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_switch] = ACTIONS(3783),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_with] = ACTIONS(3783),
    [anon_sym_break] = ACTIONS(3783),
    [anon_sym_continue] = ACTIONS(3783),
    [anon_sym_debugger] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_throw] = ACTIONS(3783),
    [anon_sym_SEMI] = ACTIONS(3781),
    [anon_sym_finally] = ACTIONS(3783),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3783),
    [anon_sym_async] = ACTIONS(3783),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_EQ_GT] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_await] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_BANG] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3783),
    [anon_sym_void] = ACTIONS(3783),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3781),
    [anon_sym_DASH_DASH] = ACTIONS(3781),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3781),
    [anon_sym_BQUOTE] = ACTIONS(3781),
    [sym_regex] = ACTIONS(3785),
    [sym_number] = ACTIONS(3783),
    [sym_identifier] = ACTIONS(3785),
    [sym_this] = ACTIONS(3783),
    [sym_super] = ACTIONS(3783),
    [sym_true] = ACTIONS(3783),
    [sym_false] = ACTIONS(3783),
    [sym_null] = ACTIONS(3783),
    [sym_undefined] = ACTIONS(3783),
    [anon_sym_AT] = ACTIONS(3781),
    [anon_sym_get] = ACTIONS(3783),
    [anon_sym_set] = ACTIONS(3783),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(3787),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [1937] = {
    [sym_jsx_element] = STATE(244),
    [sym_jsx_expression] = STATE(244),
    [sym_jsx_opening_element] = STATE(245),
    [sym_jsx_self_closing_element] = STATE(244),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(3789),
    [sym_jsx_text] = ACTIONS(393),
    [sym_comment] = ACTIONS(76),
  },
  [1938] = {
    [anon_sym_GT] = ACTIONS(3791),
    [sym_comment] = ACTIONS(76),
  },
  [1939] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1804),
    [anon_sym_SLASH] = ACTIONS(3793),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1940] = {
    [anon_sym_GT] = ACTIONS(3795),
    [sym_comment] = ACTIONS(76),
  },
  [1941] = {
    [sym_jsx_expression] = STATE(544),
    [sym_jsx_namespace_name] = STATE(545),
    [sym_jsx_attribute] = STATE(544),
    [aux_sym_jsx_opening_element_repeat1] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(3797),
    [sym_jsx_identifier] = ACTIONS(883),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(885),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(2113),
    [sym_jsx_namespace_name] = STATE(2114),
    [sym_jsx_identifier] = ACTIONS(3799),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3801),
  },
  [1943] = {
    [anon_sym_LBRACE] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(2052),
    [sym_jsx_identifier] = ACTIONS(2052),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2052),
  },
  [1944] = {
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_async] = ACTIONS(2680),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2678),
    [sym_number] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_get] = ACTIONS(2680),
    [anon_sym_set] = ACTIONS(2680),
  },
  [1945] = {
    [aux_sym_array_repeat1] = STATE(1044),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(3803),
    [sym_comment] = ACTIONS(76),
  },
  [1946] = {
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_async] = ACTIONS(1436),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1947] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(1868),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1948] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(1990),
    [anon_sym_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2004),
    [anon_sym_GT_GT] = ACTIONS(1998),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_EQ_EQ] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2012),
    [anon_sym_BANG_EQ] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_instanceof] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1949] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1950] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2116),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1074),
    [sym_array] = STATE(1075),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1077),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2032),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
  },
  [1951] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_GT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2103),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2107),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2117),
    [anon_sym_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2117),
    [anon_sym_BANG_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2117),
    [anon_sym_GT_EQ] = ACTIONS(2117),
    [anon_sym_instanceof] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1952] = {
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_async] = ACTIONS(3185),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3183),
    [sym_number] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_AT] = ACTIONS(3183),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
  },
  [1953] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2117),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1954] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2118),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1955] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2119),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1956] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2120),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1957] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2121),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [1958] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2122),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [1959] = {
    [anon_sym_RPAREN] = ACTIONS(3805),
    [sym_comment] = ACTIONS(76),
  },
  [1960] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3807),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1961] = {
    [sym_export_statement] = STATE(1987),
    [sym__declaration] = STATE(1987),
    [sym_import_statement] = STATE(1987),
    [sym_expression_statement] = STATE(1987),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1987),
    [sym_if_statement] = STATE(1987),
    [sym_switch_statement] = STATE(1987),
    [sym_for_statement] = STATE(1987),
    [sym_for_in_statement] = STATE(1987),
    [sym_for_of_statement] = STATE(1987),
    [sym_while_statement] = STATE(1987),
    [sym_do_statement] = STATE(1987),
    [sym_try_statement] = STATE(1987),
    [sym_with_statement] = STATE(1987),
    [sym_break_statement] = STATE(1987),
    [sym_continue_statement] = STATE(1987),
    [sym_debugger_statement] = STATE(1987),
    [sym_return_statement] = STATE(1987),
    [sym_throw_statement] = STATE(1987),
    [sym_empty_statement] = STATE(1987),
    [sym_labeled_statement] = STATE(1987),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1962] = {
    [anon_sym_RPAREN] = ACTIONS(3809),
    [sym_comment] = ACTIONS(76),
  },
  [1963] = {
    [anon_sym_RPAREN] = ACTIONS(3811),
    [sym_comment] = ACTIONS(76),
  },
  [1964] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3813),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1965] = {
    [anon_sym_RPAREN] = ACTIONS(3815),
    [sym_comment] = ACTIONS(76),
  },
  [1966] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3817),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1967] = {
    [sym_export_statement] = STATE(2074),
    [sym__declaration] = STATE(2074),
    [sym_import_statement] = STATE(2074),
    [sym_expression_statement] = STATE(2074),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2074),
    [sym_if_statement] = STATE(2074),
    [sym_switch_statement] = STATE(2074),
    [sym_for_statement] = STATE(2074),
    [sym_for_in_statement] = STATE(2074),
    [sym_for_of_statement] = STATE(2074),
    [sym_while_statement] = STATE(2074),
    [sym_do_statement] = STATE(2074),
    [sym_try_statement] = STATE(2074),
    [sym_with_statement] = STATE(2074),
    [sym_break_statement] = STATE(2074),
    [sym_continue_statement] = STATE(2074),
    [sym_debugger_statement] = STATE(2074),
    [sym_return_statement] = STATE(2074),
    [sym_throw_statement] = STATE(2074),
    [sym_empty_statement] = STATE(2074),
    [sym_labeled_statement] = STATE(2074),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1968] = {
    [sym_export_statement] = STATE(2075),
    [sym__declaration] = STATE(2075),
    [sym_import_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_switch_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_for_in_statement] = STATE(2075),
    [sym_for_of_statement] = STATE(2075),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_try_statement] = STATE(2075),
    [sym_with_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_debugger_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_statement] = STATE(2075),
    [sym_empty_statement] = STATE(2075),
    [sym_labeled_statement] = STATE(2075),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1969] = {
    [sym_export_statement] = STATE(2076),
    [sym__declaration] = STATE(2076),
    [sym_import_statement] = STATE(2076),
    [sym_expression_statement] = STATE(2076),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2076),
    [sym_if_statement] = STATE(2076),
    [sym_switch_statement] = STATE(2076),
    [sym_for_statement] = STATE(2076),
    [sym_for_in_statement] = STATE(2076),
    [sym_for_of_statement] = STATE(2076),
    [sym_while_statement] = STATE(2076),
    [sym_do_statement] = STATE(2076),
    [sym_try_statement] = STATE(2076),
    [sym_with_statement] = STATE(2076),
    [sym_break_statement] = STATE(2076),
    [sym_continue_statement] = STATE(2076),
    [sym_debugger_statement] = STATE(2076),
    [sym_return_statement] = STATE(2076),
    [sym_throw_statement] = STATE(2076),
    [sym_empty_statement] = STATE(2076),
    [sym_labeled_statement] = STATE(2076),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1970] = {
    [sym_export_statement] = STATE(2077),
    [sym__declaration] = STATE(2077),
    [sym_import_statement] = STATE(2077),
    [sym_expression_statement] = STATE(2077),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2077),
    [sym_if_statement] = STATE(2077),
    [sym_switch_statement] = STATE(2077),
    [sym_for_statement] = STATE(2077),
    [sym_for_in_statement] = STATE(2077),
    [sym_for_of_statement] = STATE(2077),
    [sym_while_statement] = STATE(2077),
    [sym_do_statement] = STATE(2077),
    [sym_try_statement] = STATE(2077),
    [sym_with_statement] = STATE(2077),
    [sym_break_statement] = STATE(2077),
    [sym_continue_statement] = STATE(2077),
    [sym_debugger_statement] = STATE(2077),
    [sym_return_statement] = STATE(2077),
    [sym_throw_statement] = STATE(2077),
    [sym_empty_statement] = STATE(2077),
    [sym_labeled_statement] = STATE(2077),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1971] = {
    [sym_export_statement] = STATE(2078),
    [sym__declaration] = STATE(2078),
    [sym_import_statement] = STATE(2078),
    [sym_expression_statement] = STATE(2078),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2078),
    [sym_if_statement] = STATE(2078),
    [sym_switch_statement] = STATE(2078),
    [sym_for_statement] = STATE(2078),
    [sym_for_in_statement] = STATE(2078),
    [sym_for_of_statement] = STATE(2078),
    [sym_while_statement] = STATE(2078),
    [sym_do_statement] = STATE(2078),
    [sym_try_statement] = STATE(2078),
    [sym_with_statement] = STATE(2078),
    [sym_break_statement] = STATE(2078),
    [sym_continue_statement] = STATE(2078),
    [sym_debugger_statement] = STATE(2078),
    [sym_return_statement] = STATE(2078),
    [sym_throw_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2078),
    [sym_labeled_statement] = STATE(2078),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1972] = {
    [sym_export_statement] = STATE(2079),
    [sym__declaration] = STATE(2079),
    [sym_import_statement] = STATE(2079),
    [sym_expression_statement] = STATE(2079),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2079),
    [sym_if_statement] = STATE(2079),
    [sym_switch_statement] = STATE(2079),
    [sym_for_statement] = STATE(2079),
    [sym_for_in_statement] = STATE(2079),
    [sym_for_of_statement] = STATE(2079),
    [sym_while_statement] = STATE(2079),
    [sym_do_statement] = STATE(2079),
    [sym_try_statement] = STATE(2079),
    [sym_with_statement] = STATE(2079),
    [sym_break_statement] = STATE(2079),
    [sym_continue_statement] = STATE(2079),
    [sym_debugger_statement] = STATE(2079),
    [sym_return_statement] = STATE(2079),
    [sym_throw_statement] = STATE(2079),
    [sym_empty_statement] = STATE(2079),
    [sym_labeled_statement] = STATE(2079),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1973] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2185),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1974] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [1975] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [ts_builtin_sym_end] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [1976] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [ts_builtin_sym_end] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [1977] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1978] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [ts_builtin_sym_end] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [1979] = {
    [anon_sym_RPAREN] = ACTIONS(3819),
    [sym_comment] = ACTIONS(76),
  },
  [1980] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3821),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1981] = {
    [anon_sym_RPAREN] = ACTIONS(3823),
    [sym_comment] = ACTIONS(76),
  },
  [1982] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3825),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1983] = {
    [anon_sym_RPAREN] = ACTIONS(3827),
    [sym_comment] = ACTIONS(76),
  },
  [1984] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3829),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [1985] = {
    [sym_export_statement] = STATE(2136),
    [sym__declaration] = STATE(2136),
    [sym_import_statement] = STATE(2136),
    [sym_expression_statement] = STATE(2136),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2136),
    [sym_if_statement] = STATE(2136),
    [sym_switch_statement] = STATE(2136),
    [sym_for_statement] = STATE(2136),
    [sym_for_in_statement] = STATE(2136),
    [sym_for_of_statement] = STATE(2136),
    [sym_while_statement] = STATE(2136),
    [sym_do_statement] = STATE(2136),
    [sym_try_statement] = STATE(2136),
    [sym_with_statement] = STATE(2136),
    [sym_break_statement] = STATE(2136),
    [sym_continue_statement] = STATE(2136),
    [sym_debugger_statement] = STATE(2136),
    [sym_return_statement] = STATE(2136),
    [sym_throw_statement] = STATE(2136),
    [sym_empty_statement] = STATE(2136),
    [sym_labeled_statement] = STATE(2136),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1986] = {
    [sym_export_statement] = STATE(2137),
    [sym__declaration] = STATE(2137),
    [sym_import_statement] = STATE(2137),
    [sym_expression_statement] = STATE(2137),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2137),
    [sym_if_statement] = STATE(2137),
    [sym_switch_statement] = STATE(2137),
    [sym_for_statement] = STATE(2137),
    [sym_for_in_statement] = STATE(2137),
    [sym_for_of_statement] = STATE(2137),
    [sym_while_statement] = STATE(2137),
    [sym_do_statement] = STATE(2137),
    [sym_try_statement] = STATE(2137),
    [sym_with_statement] = STATE(2137),
    [sym_break_statement] = STATE(2137),
    [sym_continue_statement] = STATE(2137),
    [sym_debugger_statement] = STATE(2137),
    [sym_return_statement] = STATE(2137),
    [sym_throw_statement] = STATE(2137),
    [sym_empty_statement] = STATE(2137),
    [sym_labeled_statement] = STATE(2137),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1987] = {
    [ts_builtin_sym_end] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_EQ_GT] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3403),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_regex] = ACTIONS(3407),
    [sym_number] = ACTIONS(3405),
    [sym_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
  },
  [1988] = {
    [sym_export_statement] = STATE(2138),
    [sym__declaration] = STATE(2138),
    [sym_import_statement] = STATE(2138),
    [sym_expression_statement] = STATE(2138),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2138),
    [sym_if_statement] = STATE(2138),
    [sym_switch_statement] = STATE(2138),
    [sym_for_statement] = STATE(2138),
    [sym_for_in_statement] = STATE(2138),
    [sym_for_of_statement] = STATE(2138),
    [sym_while_statement] = STATE(2138),
    [sym_do_statement] = STATE(2138),
    [sym_try_statement] = STATE(2138),
    [sym_with_statement] = STATE(2138),
    [sym_break_statement] = STATE(2138),
    [sym_continue_statement] = STATE(2138),
    [sym_debugger_statement] = STATE(2138),
    [sym_return_statement] = STATE(2138),
    [sym_throw_statement] = STATE(2138),
    [sym_empty_statement] = STATE(2138),
    [sym_labeled_statement] = STATE(2138),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1989] = {
    [sym_export_statement] = STATE(2139),
    [sym__declaration] = STATE(2139),
    [sym_import_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_switch_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_for_in_statement] = STATE(2139),
    [sym_for_of_statement] = STATE(2139),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_try_statement] = STATE(2139),
    [sym_with_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_debugger_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_statement] = STATE(2139),
    [sym_empty_statement] = STATE(2139),
    [sym_labeled_statement] = STATE(2139),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1990] = {
    [sym_export_statement] = STATE(2140),
    [sym__declaration] = STATE(2140),
    [sym_import_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_switch_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_for_in_statement] = STATE(2140),
    [sym_for_of_statement] = STATE(2140),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_try_statement] = STATE(2140),
    [sym_with_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_debugger_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_statement] = STATE(2140),
    [sym_empty_statement] = STATE(2140),
    [sym_labeled_statement] = STATE(2140),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1991] = {
    [sym_export_statement] = STATE(2141),
    [sym__declaration] = STATE(2141),
    [sym_import_statement] = STATE(2141),
    [sym_expression_statement] = STATE(2141),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2141),
    [sym_if_statement] = STATE(2141),
    [sym_switch_statement] = STATE(2141),
    [sym_for_statement] = STATE(2141),
    [sym_for_in_statement] = STATE(2141),
    [sym_for_of_statement] = STATE(2141),
    [sym_while_statement] = STATE(2141),
    [sym_do_statement] = STATE(2141),
    [sym_try_statement] = STATE(2141),
    [sym_with_statement] = STATE(2141),
    [sym_break_statement] = STATE(2141),
    [sym_continue_statement] = STATE(2141),
    [sym_debugger_statement] = STATE(2141),
    [sym_return_statement] = STATE(2141),
    [sym_throw_statement] = STATE(2141),
    [sym_empty_statement] = STATE(2141),
    [sym_labeled_statement] = STATE(2141),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1992] = {
    [sym_export_statement] = STATE(2142),
    [sym__declaration] = STATE(2142),
    [sym_import_statement] = STATE(2142),
    [sym_expression_statement] = STATE(2142),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2142),
    [sym_if_statement] = STATE(2142),
    [sym_switch_statement] = STATE(2142),
    [sym_for_statement] = STATE(2142),
    [sym_for_in_statement] = STATE(2142),
    [sym_for_of_statement] = STATE(2142),
    [sym_while_statement] = STATE(2142),
    [sym_do_statement] = STATE(2142),
    [sym_try_statement] = STATE(2142),
    [sym_with_statement] = STATE(2142),
    [sym_break_statement] = STATE(2142),
    [sym_continue_statement] = STATE(2142),
    [sym_debugger_statement] = STATE(2142),
    [sym_return_statement] = STATE(2142),
    [sym_throw_statement] = STATE(2142),
    [sym_empty_statement] = STATE(2142),
    [sym_labeled_statement] = STATE(2142),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [1993] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [1994] = {
    [sym_statement_block] = STATE(2143),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [sym_comment] = ACTIONS(76),
  },
  [1995] = {
    [sym__automatic_semicolon] = ACTIONS(3831),
    [anon_sym_SEMI] = ACTIONS(3831),
    [sym_comment] = ACTIONS(76),
  },
  [1996] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3831),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(3831),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [1997] = {
    [sym_class_heritage] = STATE(2146),
    [sym_class_body] = STATE(2147),
    [anon_sym_LBRACE] = ACTIONS(3833),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [1998] = {
    [sym_formal_parameters] = STATE(2149),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3835),
  },
  [1999] = {
    [sym_formal_parameters] = STATE(2151),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3837),
  },
  [2000] = {
    [sym_formal_parameters] = STATE(2149),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2001] = {
    [sym_statement_block] = STATE(2153),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [sym_comment] = ACTIONS(76),
  },
  [2002] = {
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_regex] = ACTIONS(1275),
    [sym_number] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1275),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
  },
  [2003] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3841),
  },
  [2004] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2005] = {
    [anon_sym_export] = ACTIONS(1479),
    [anon_sym_default] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_var] = ACTIONS(1479),
    [anon_sym_let] = ACTIONS(1479),
    [anon_sym_const] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_debugger] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1479),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(1479),
    [anon_sym_EQ_GT] = ACTIONS(1477),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_await] = ACTIONS(1479),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_TILDE] = ACTIONS(1477),
    [anon_sym_typeof] = ACTIONS(1479),
    [anon_sym_void] = ACTIONS(1479),
    [anon_sym_delete] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1477),
    [anon_sym_BQUOTE] = ACTIONS(1477),
    [sym_regex] = ACTIONS(1481),
    [sym_number] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1481),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_null] = ACTIONS(1479),
    [sym_undefined] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1479),
    [anon_sym_set] = ACTIONS(1479),
  },
  [2006] = {
    [sym__automatic_semicolon] = ACTIONS(3843),
    [anon_sym_SEMI] = ACTIONS(3843),
    [sym_comment] = ACTIONS(76),
  },
  [2007] = {
    [anon_sym_export] = ACTIONS(1495),
    [anon_sym_default] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_import] = ACTIONS(1495),
    [anon_sym_var] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_const] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_do] = ACTIONS(1495),
    [anon_sym_try] = ACTIONS(1495),
    [anon_sym_with] = ACTIONS(1495),
    [anon_sym_break] = ACTIONS(1495),
    [anon_sym_continue] = ACTIONS(1495),
    [anon_sym_debugger] = ACTIONS(1495),
    [anon_sym_return] = ACTIONS(1495),
    [anon_sym_throw] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1495),
    [anon_sym_yield] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1495),
    [anon_sym_async] = ACTIONS(1495),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_await] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_typeof] = ACTIONS(1495),
    [anon_sym_void] = ACTIONS(1495),
    [anon_sym_delete] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [sym_regex] = ACTIONS(1497),
    [sym_number] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1495),
    [anon_sym_set] = ACTIONS(1495),
  },
  [2008] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(3845),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3845),
    [sym_comment] = ACTIONS(76),
  },
  [2009] = {
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1505),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_regex] = ACTIONS(1509),
    [sym_number] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1505),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
  },
  [2010] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(3847),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3847),
    [sym_comment] = ACTIONS(76),
  },
  [2011] = {
    [sym_export_clause] = STATE(2163),
    [sym__declaration] = STATE(2164),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_class] = STATE(2165),
    [sym_function] = STATE(2165),
    [sym_generator_function] = STATE(2165),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(2166),
    [anon_sym_STAR] = ACTIONS(3849),
    [anon_sym_default] = ACTIONS(3851),
    [anon_sym_LBRACE] = ACTIONS(100),
    [anon_sym_var] = ACTIONS(3853),
    [anon_sym_let] = ACTIONS(3855),
    [anon_sym_const] = ACTIONS(3855),
    [anon_sym_class] = ACTIONS(3857),
    [anon_sym_async] = ACTIONS(3859),
    [anon_sym_function] = ACTIONS(3861),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [2012] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(80),
    [sym_assignment_pattern] = STATE(81),
    [sym_array] = STATE(82),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_spread_element] = STATE(81),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [sym_method_definition] = STATE(81),
    [sym_pair] = STATE(81),
    [sym__property_name] = STATE(83),
    [sym_computed_property_name] = STATE(84),
    [aux_sym_program_repeat1] = STATE(2168),
    [aux_sym_export_statement_repeat1] = STATE(86),
    [aux_sym_object_repeat1] = STATE(87),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_STAR] = ACTIONS(112),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(3863),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(128),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(134),
    [sym_identifier] = ACTIONS(136),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(138),
    [anon_sym_get] = ACTIONS(140),
    [anon_sym_set] = ACTIONS(140),
  },
  [2013] = {
    [sym_import_clause] = STATE(2170),
    [sym_namespace_import] = STATE(93),
    [sym_named_imports] = STATE(93),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(144),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3865),
    [sym_identifier] = ACTIONS(148),
  },
  [2014] = {
    [sym_variable_declarator] = STATE(2171),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [2015] = {
    [sym_variable_declarator] = STATE(2172),
    [sym_object] = STATE(98),
    [sym_array] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(154),
  },
  [2016] = {
    [sym_parenthesized_expression] = STATE(2173),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [2017] = {
    [sym_parenthesized_expression] = STATE(2174),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [2018] = {
    [anon_sym_LPAREN] = ACTIONS(3867),
    [sym_comment] = ACTIONS(76),
  },
  [2019] = {
    [sym_parenthesized_expression] = STATE(2176),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [2020] = {
    [sym_export_statement] = STATE(2177),
    [sym__declaration] = STATE(2177),
    [sym_import_statement] = STATE(2177),
    [sym_expression_statement] = STATE(2177),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2177),
    [sym_if_statement] = STATE(2177),
    [sym_switch_statement] = STATE(2177),
    [sym_for_statement] = STATE(2177),
    [sym_for_in_statement] = STATE(2177),
    [sym_for_of_statement] = STATE(2177),
    [sym_while_statement] = STATE(2177),
    [sym_do_statement] = STATE(2177),
    [sym_try_statement] = STATE(2177),
    [sym_with_statement] = STATE(2177),
    [sym_break_statement] = STATE(2177),
    [sym_continue_statement] = STATE(2177),
    [sym_debugger_statement] = STATE(2177),
    [sym_return_statement] = STATE(2177),
    [sym_throw_statement] = STATE(2177),
    [sym_empty_statement] = STATE(2177),
    [sym_labeled_statement] = STATE(2177),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2021] = {
    [sym_statement_block] = STATE(2179),
    [anon_sym_LBRACE] = ACTIONS(3869),
    [sym_comment] = ACTIONS(76),
  },
  [2022] = {
    [sym_parenthesized_expression] = STATE(2180),
    [anon_sym_LPAREN] = ACTIONS(156),
    [sym_comment] = ACTIONS(76),
  },
  [2023] = {
    [sym__automatic_semicolon] = ACTIONS(3871),
    [anon_sym_SEMI] = ACTIONS(3871),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3873),
  },
  [2024] = {
    [sym__automatic_semicolon] = ACTIONS(3875),
    [anon_sym_SEMI] = ACTIONS(3875),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3877),
  },
  [2025] = {
    [sym__automatic_semicolon] = ACTIONS(3879),
    [anon_sym_SEMI] = ACTIONS(3879),
    [sym_comment] = ACTIONS(76),
  },
  [2026] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2187),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [sym__automatic_semicolon] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(3881),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2027] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2188),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2028] = {
    [anon_sym_export] = ACTIONS(248),
    [anon_sym_default] = ACTIONS(248),
    [anon_sym_LBRACE] = ACTIONS(246),
    [anon_sym_RBRACE] = ACTIONS(246),
    [anon_sym_import] = ACTIONS(248),
    [anon_sym_var] = ACTIONS(248),
    [anon_sym_let] = ACTIONS(248),
    [anon_sym_const] = ACTIONS(248),
    [anon_sym_if] = ACTIONS(248),
    [anon_sym_else] = ACTIONS(248),
    [anon_sym_switch] = ACTIONS(248),
    [anon_sym_for] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(246),
    [anon_sym_while] = ACTIONS(248),
    [anon_sym_do] = ACTIONS(248),
    [anon_sym_try] = ACTIONS(248),
    [anon_sym_with] = ACTIONS(248),
    [anon_sym_break] = ACTIONS(248),
    [anon_sym_continue] = ACTIONS(248),
    [anon_sym_debugger] = ACTIONS(248),
    [anon_sym_return] = ACTIONS(248),
    [anon_sym_throw] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(246),
    [anon_sym_case] = ACTIONS(248),
    [anon_sym_yield] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(246),
    [anon_sym_LT] = ACTIONS(246),
    [anon_sym_class] = ACTIONS(248),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(248),
    [anon_sym_EQ_GT] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(248),
    [anon_sym_await] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(248),
    [anon_sym_DASH] = ACTIONS(248),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_typeof] = ACTIONS(248),
    [anon_sym_void] = ACTIONS(248),
    [anon_sym_delete] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(246),
    [anon_sym_DASH_DASH] = ACTIONS(246),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(246),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_regex] = ACTIONS(250),
    [sym_number] = ACTIONS(248),
    [sym_identifier] = ACTIONS(250),
    [sym_this] = ACTIONS(248),
    [sym_super] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [sym_undefined] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
  },
  [2029] = {
    [sym_class_heritage] = STATE(195),
    [sym_class_body] = STATE(196),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3883),
  },
  [2030] = {
    [sym__initializer] = STATE(204),
    [sym_formal_parameters] = STATE(203),
    [sym__automatic_semicolon] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_in] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(296),
    [anon_sym_LT] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_SLASH] = ACTIONS(298),
    [anon_sym_DOT] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(3885),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_AMP_AMP] = ACTIONS(296),
    [anon_sym_PIPE_PIPE] = ACTIONS(296),
    [anon_sym_GT_GT] = ACTIONS(298),
    [anon_sym_GT_GT_GT] = ACTIONS(298),
    [anon_sym_LT_LT] = ACTIONS(298),
    [anon_sym_AMP] = ACTIONS(298),
    [anon_sym_CARET] = ACTIONS(298),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(298),
    [anon_sym_DASH] = ACTIONS(298),
    [anon_sym_PERCENT] = ACTIONS(298),
    [anon_sym_LT_EQ] = ACTIONS(296),
    [anon_sym_EQ_EQ] = ACTIONS(298),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(296),
    [anon_sym_BANG_EQ] = ACTIONS(298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(296),
    [anon_sym_GT_EQ] = ACTIONS(296),
    [anon_sym_instanceof] = ACTIONS(298),
    [anon_sym_PLUS_PLUS] = ACTIONS(296),
    [anon_sym_DASH_DASH] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym_identifier] = ACTIONS(313),
  },
  [2031] = {
    [sym_formal_parameters] = STATE(2193),
    [anon_sym_STAR] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3889),
  },
  [2032] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2033] = {
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(3893),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [2034] = {
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [2035] = {
    [sym__automatic_semicolon] = ACTIONS(3895),
    [anon_sym_SEMI] = ACTIONS(3895),
    [sym_comment] = ACTIONS(76),
  },
  [2036] = {
    [sym__automatic_semicolon] = ACTIONS(3897),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [2037] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3897),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [2038] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(252),
    [anon_sym_export] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3901),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [2039] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(2201),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(3903),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [2040] = {
    [anon_sym_export] = ACTIONS(1583),
    [anon_sym_default] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1583),
    [anon_sym_var] = ACTIONS(1583),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_const] = ACTIONS(1583),
    [anon_sym_if] = ACTIONS(1583),
    [anon_sym_switch] = ACTIONS(1583),
    [anon_sym_for] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1583),
    [anon_sym_do] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1583),
    [anon_sym_with] = ACTIONS(1583),
    [anon_sym_break] = ACTIONS(1583),
    [anon_sym_continue] = ACTIONS(1583),
    [anon_sym_debugger] = ACTIONS(1583),
    [anon_sym_return] = ACTIONS(1583),
    [anon_sym_throw] = ACTIONS(1583),
    [anon_sym_SEMI] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1583),
    [anon_sym_yield] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1583),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1583),
    [anon_sym_EQ_GT] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [anon_sym_typeof] = ACTIONS(1583),
    [anon_sym_void] = ACTIONS(1583),
    [anon_sym_delete] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1581),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1581),
    [anon_sym_BQUOTE] = ACTIONS(1581),
    [sym_regex] = ACTIONS(1585),
    [sym_number] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_this] = ACTIONS(1583),
    [sym_super] = ACTIONS(1583),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_null] = ACTIONS(1583),
    [sym_undefined] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1583),
    [anon_sym_set] = ACTIONS(1583),
  },
  [2041] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(2203),
    [sym_array] = STATE(2204),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3905),
  },
  [2042] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(2203),
    [sym_array] = STATE(2204),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3905),
  },
  [2043] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3907),
    [anon_sym_of] = ACTIONS(3909),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2044] = {
    [sym_expression_statement] = STATE(2207),
    [sym_empty_statement] = STATE(2207),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2045] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_of] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2046] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(3915),
    [anon_sym_of] = ACTIONS(3917),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2047] = {
    [anon_sym_export] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1667),
    [anon_sym_var] = ACTIONS(1667),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_try] = ACTIONS(1667),
    [anon_sym_with] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_debugger] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_class] = ACTIONS(1667),
    [anon_sym_async] = ACTIONS(1667),
    [anon_sym_function] = ACTIONS(1667),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_typeof] = ACTIONS(1667),
    [anon_sym_void] = ACTIONS(1667),
    [anon_sym_delete] = ACTIONS(1667),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [sym_regex] = ACTIONS(1669),
    [sym_number] = ACTIONS(1667),
    [sym_identifier] = ACTIONS(1669),
    [sym_this] = ACTIONS(1667),
    [sym_super] = ACTIONS(1667),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [sym_null] = ACTIONS(1667),
    [sym_undefined] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_get] = ACTIONS(1667),
    [anon_sym_set] = ACTIONS(1667),
  },
  [2048] = {
    [sym_parenthesized_expression] = STATE(2212),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [sym_comment] = ACTIONS(76),
  },
  [2049] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_catch] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2050] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3919),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2051] = {
    [sym_statement_block] = STATE(2216),
    [anon_sym_LBRACE] = ACTIONS(3921),
    [anon_sym_LPAREN] = ACTIONS(3923),
    [sym_comment] = ACTIONS(76),
  },
  [2052] = {
    [sym_statement_block] = STATE(2218),
    [anon_sym_LBRACE] = ACTIONS(3925),
    [sym_comment] = ACTIONS(76),
  },
  [2053] = {
    [sym_finally_clause] = STATE(2219),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_finally] = ACTIONS(3611),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [2054] = {
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [2055] = {
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_default] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_case] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1731),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_regex] = ACTIONS(1735),
    [sym_number] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
  },
  [2056] = {
    [anon_sym_export] = ACTIONS(1739),
    [anon_sym_default] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1739),
    [anon_sym_var] = ACTIONS(1739),
    [anon_sym_let] = ACTIONS(1739),
    [anon_sym_const] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_switch] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1739),
    [anon_sym_do] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1739),
    [anon_sym_with] = ACTIONS(1739),
    [anon_sym_break] = ACTIONS(1739),
    [anon_sym_continue] = ACTIONS(1739),
    [anon_sym_debugger] = ACTIONS(1739),
    [anon_sym_return] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1737),
    [anon_sym_case] = ACTIONS(1739),
    [anon_sym_yield] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_class] = ACTIONS(1739),
    [anon_sym_async] = ACTIONS(1739),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_EQ_GT] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1737),
    [anon_sym_typeof] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1739),
    [anon_sym_delete] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1737),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1737),
    [anon_sym_BQUOTE] = ACTIONS(1737),
    [sym_regex] = ACTIONS(1741),
    [sym_number] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [sym_this] = ACTIONS(1739),
    [sym_super] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_null] = ACTIONS(1739),
    [sym_undefined] = ACTIONS(1739),
    [anon_sym_AT] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1739),
    [anon_sym_set] = ACTIONS(1739),
  },
  [2057] = {
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_EQ_GT] = ACTIONS(1743),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1743),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_regex] = ACTIONS(1747),
    [sym_number] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
  },
  [2058] = {
    [anon_sym_export] = ACTIONS(1751),
    [anon_sym_default] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1751),
    [anon_sym_var] = ACTIONS(1751),
    [anon_sym_let] = ACTIONS(1751),
    [anon_sym_const] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_try] = ACTIONS(1751),
    [anon_sym_with] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_debugger] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_throw] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym_case] = ACTIONS(1751),
    [anon_sym_yield] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1751),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(1751),
    [anon_sym_EQ_GT] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_typeof] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1751),
    [anon_sym_delete] = ACTIONS(1751),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1749),
    [anon_sym_BQUOTE] = ACTIONS(1749),
    [sym_regex] = ACTIONS(1753),
    [sym_number] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1751),
    [sym_super] = ACTIONS(1751),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_undefined] = ACTIONS(1751),
    [anon_sym_AT] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1751),
    [anon_sym_set] = ACTIONS(1751),
  },
  [2059] = {
    [anon_sym_export] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1755),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_regex] = ACTIONS(1759),
    [sym_number] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
  },
  [2060] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(2221),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(3927),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2061] = {
    [sym_class_body] = STATE(2222),
    [anon_sym_LBRACE] = ACTIONS(3621),
    [sym_comment] = ACTIONS(76),
  },
  [2062] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_default] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [2063] = {
    [sym_formal_parameters] = STATE(2223),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2064] = {
    [sym_statement_block] = STATE(2224),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [sym_comment] = ACTIONS(76),
  },
  [2065] = {
    [sym_formal_parameters] = STATE(2225),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2066] = {
    [sym_statement_block] = STATE(2226),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [sym_comment] = ACTIONS(76),
  },
  [2067] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2228),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(3929),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2068] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_default] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_case] = ACTIONS(1916),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [2069] = {
    [anon_sym_export] = ACTIONS(1944),
    [anon_sym_default] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1944),
    [anon_sym_var] = ACTIONS(1944),
    [anon_sym_let] = ACTIONS(1944),
    [anon_sym_const] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_switch] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_with] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_debugger] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_throw] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1944),
    [anon_sym_yield] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_function] = ACTIONS(1944),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_TILDE] = ACTIONS(1942),
    [anon_sym_typeof] = ACTIONS(1944),
    [anon_sym_void] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1942),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1942),
    [anon_sym_BQUOTE] = ACTIONS(1942),
    [sym_regex] = ACTIONS(1946),
    [sym_number] = ACTIONS(1944),
    [sym_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1944),
    [sym_super] = ACTIONS(1944),
    [sym_true] = ACTIONS(1944),
    [sym_false] = ACTIONS(1944),
    [sym_null] = ACTIONS(1944),
    [sym_undefined] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1944),
    [anon_sym_set] = ACTIONS(1944),
  },
  [2070] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(2229),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [2071] = {
    [sym_class_heritage] = STATE(2230),
    [sym_class_body] = STATE(2222),
    [anon_sym_LBRACE] = ACTIONS(3621),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2072] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2073] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2231),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1263),
    [sym_array] = STATE(1264),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1265),
    [sym_subscript_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1266),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2322),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2330),
    [anon_sym_void] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2336),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
  },
  [2074] = {
    [ts_builtin_sym_end] = ACTIONS(3931),
    [anon_sym_export] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_import] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_with] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_debugger] = ACTIONS(3933),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3931),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_function] = ACTIONS(3933),
    [anon_sym_EQ_GT] = ACTIONS(3931),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym_void] = ACTIONS(3933),
    [anon_sym_delete] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3931),
    [anon_sym_BQUOTE] = ACTIONS(3931),
    [sym_regex] = ACTIONS(3935),
    [sym_number] = ACTIONS(3933),
    [sym_identifier] = ACTIONS(3935),
    [sym_this] = ACTIONS(3933),
    [sym_super] = ACTIONS(3933),
    [sym_true] = ACTIONS(3933),
    [sym_false] = ACTIONS(3933),
    [sym_null] = ACTIONS(3933),
    [sym_undefined] = ACTIONS(3933),
    [anon_sym_AT] = ACTIONS(3931),
    [anon_sym_get] = ACTIONS(3933),
    [anon_sym_set] = ACTIONS(3933),
  },
  [2075] = {
    [ts_builtin_sym_end] = ACTIONS(3937),
    [anon_sym_export] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_import] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(3939),
    [anon_sym_let] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3939),
    [anon_sym_switch] = ACTIONS(3939),
    [anon_sym_for] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3939),
    [anon_sym_do] = ACTIONS(3939),
    [anon_sym_try] = ACTIONS(3939),
    [anon_sym_with] = ACTIONS(3939),
    [anon_sym_break] = ACTIONS(3939),
    [anon_sym_continue] = ACTIONS(3939),
    [anon_sym_debugger] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3939),
    [anon_sym_throw] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3937),
    [anon_sym_yield] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_async] = ACTIONS(3939),
    [anon_sym_function] = ACTIONS(3939),
    [anon_sym_EQ_GT] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3939),
    [anon_sym_await] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3939),
    [anon_sym_DASH] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3937),
    [anon_sym_TILDE] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3939),
    [anon_sym_void] = ACTIONS(3939),
    [anon_sym_delete] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3937),
    [anon_sym_DASH_DASH] = ACTIONS(3937),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3937),
    [anon_sym_BQUOTE] = ACTIONS(3937),
    [sym_regex] = ACTIONS(3941),
    [sym_number] = ACTIONS(3939),
    [sym_identifier] = ACTIONS(3941),
    [sym_this] = ACTIONS(3939),
    [sym_super] = ACTIONS(3939),
    [sym_true] = ACTIONS(3939),
    [sym_false] = ACTIONS(3939),
    [sym_null] = ACTIONS(3939),
    [sym_undefined] = ACTIONS(3939),
    [anon_sym_AT] = ACTIONS(3937),
    [anon_sym_get] = ACTIONS(3939),
    [anon_sym_set] = ACTIONS(3939),
  },
  [2076] = {
    [ts_builtin_sym_end] = ACTIONS(3943),
    [anon_sym_export] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_import] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_with] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_debugger] = ACTIONS(3945),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(3943),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_function] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(3943),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_void] = ACTIONS(3945),
    [anon_sym_delete] = ACTIONS(3945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3943),
    [anon_sym_BQUOTE] = ACTIONS(3943),
    [sym_regex] = ACTIONS(3947),
    [sym_number] = ACTIONS(3945),
    [sym_identifier] = ACTIONS(3947),
    [sym_this] = ACTIONS(3945),
    [sym_super] = ACTIONS(3945),
    [sym_true] = ACTIONS(3945),
    [sym_false] = ACTIONS(3945),
    [sym_null] = ACTIONS(3945),
    [sym_undefined] = ACTIONS(3945),
    [anon_sym_AT] = ACTIONS(3943),
    [anon_sym_get] = ACTIONS(3945),
    [anon_sym_set] = ACTIONS(3945),
  },
  [2077] = {
    [ts_builtin_sym_end] = ACTIONS(3949),
    [anon_sym_export] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_RBRACE] = ACTIONS(3949),
    [anon_sym_import] = ACTIONS(3951),
    [anon_sym_var] = ACTIONS(3951),
    [anon_sym_let] = ACTIONS(3951),
    [anon_sym_const] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3951),
    [anon_sym_switch] = ACTIONS(3951),
    [anon_sym_for] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3951),
    [anon_sym_do] = ACTIONS(3951),
    [anon_sym_try] = ACTIONS(3951),
    [anon_sym_with] = ACTIONS(3951),
    [anon_sym_break] = ACTIONS(3951),
    [anon_sym_continue] = ACTIONS(3951),
    [anon_sym_debugger] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3951),
    [anon_sym_throw] = ACTIONS(3951),
    [anon_sym_SEMI] = ACTIONS(3949),
    [anon_sym_yield] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3951),
    [anon_sym_async] = ACTIONS(3951),
    [anon_sym_function] = ACTIONS(3951),
    [anon_sym_EQ_GT] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_await] = ACTIONS(3951),
    [anon_sym_PLUS] = ACTIONS(3951),
    [anon_sym_DASH] = ACTIONS(3951),
    [anon_sym_BANG] = ACTIONS(3949),
    [anon_sym_TILDE] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3951),
    [anon_sym_void] = ACTIONS(3951),
    [anon_sym_delete] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3949),
    [anon_sym_DASH_DASH] = ACTIONS(3949),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3949),
    [anon_sym_BQUOTE] = ACTIONS(3949),
    [sym_regex] = ACTIONS(3953),
    [sym_number] = ACTIONS(3951),
    [sym_identifier] = ACTIONS(3953),
    [sym_this] = ACTIONS(3951),
    [sym_super] = ACTIONS(3951),
    [sym_true] = ACTIONS(3951),
    [sym_false] = ACTIONS(3951),
    [sym_null] = ACTIONS(3951),
    [sym_undefined] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(3949),
    [anon_sym_get] = ACTIONS(3951),
    [anon_sym_set] = ACTIONS(3951),
  },
  [2078] = {
    [ts_builtin_sym_end] = ACTIONS(3955),
    [anon_sym_export] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_import] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_with] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_debugger] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LT] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3957),
    [anon_sym_EQ_GT] = ACTIONS(3955),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3957),
    [anon_sym_delete] = ACTIONS(3957),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3955),
    [anon_sym_BQUOTE] = ACTIONS(3955),
    [sym_regex] = ACTIONS(3959),
    [sym_number] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [sym_this] = ACTIONS(3957),
    [sym_super] = ACTIONS(3957),
    [sym_true] = ACTIONS(3957),
    [sym_false] = ACTIONS(3957),
    [sym_null] = ACTIONS(3957),
    [sym_undefined] = ACTIONS(3957),
    [anon_sym_AT] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
  },
  [2079] = {
    [ts_builtin_sym_end] = ACTIONS(3961),
    [anon_sym_export] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3961),
    [anon_sym_RBRACE] = ACTIONS(3961),
    [anon_sym_import] = ACTIONS(3963),
    [anon_sym_var] = ACTIONS(3963),
    [anon_sym_let] = ACTIONS(3963),
    [anon_sym_const] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3963),
    [anon_sym_switch] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3963),
    [anon_sym_do] = ACTIONS(3963),
    [anon_sym_try] = ACTIONS(3963),
    [anon_sym_with] = ACTIONS(3963),
    [anon_sym_break] = ACTIONS(3963),
    [anon_sym_continue] = ACTIONS(3963),
    [anon_sym_debugger] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3963),
    [anon_sym_throw] = ACTIONS(3963),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_yield] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(3961),
    [anon_sym_LT] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3963),
    [anon_sym_async] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3963),
    [anon_sym_EQ_GT] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3963),
    [anon_sym_await] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(3963),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3963),
    [anon_sym_void] = ACTIONS(3963),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3961),
    [anon_sym_DASH_DASH] = ACTIONS(3961),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3961),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_regex] = ACTIONS(3965),
    [sym_number] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [sym_this] = ACTIONS(3963),
    [sym_super] = ACTIONS(3963),
    [sym_true] = ACTIONS(3963),
    [sym_false] = ACTIONS(3963),
    [sym_null] = ACTIONS(3963),
    [sym_undefined] = ACTIONS(3963),
    [anon_sym_AT] = ACTIONS(3961),
    [anon_sym_get] = ACTIONS(3963),
    [anon_sym_set] = ACTIONS(3963),
  },
  [2080] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [2081] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(2232),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2082] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2083] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2233),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2084] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2234),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2085] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2235),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2086] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2236),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2087] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2237),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2088] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2238),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2089] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2239),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2090] = {
    [anon_sym_RPAREN] = ACTIONS(3967),
    [sym_comment] = ACTIONS(76),
  },
  [2091] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3969),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2092] = {
    [sym_export_statement] = STATE(1987),
    [sym__declaration] = STATE(1987),
    [sym_import_statement] = STATE(1987),
    [sym_expression_statement] = STATE(1987),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(1987),
    [sym_if_statement] = STATE(1987),
    [sym_switch_statement] = STATE(1987),
    [sym_for_statement] = STATE(1987),
    [sym_for_in_statement] = STATE(1987),
    [sym_for_of_statement] = STATE(1987),
    [sym_while_statement] = STATE(1987),
    [sym_do_statement] = STATE(1987),
    [sym_try_statement] = STATE(1987),
    [sym_with_statement] = STATE(1987),
    [sym_break_statement] = STATE(1987),
    [sym_continue_statement] = STATE(1987),
    [sym_debugger_statement] = STATE(1987),
    [sym_return_statement] = STATE(1987),
    [sym_throw_statement] = STATE(1987),
    [sym_empty_statement] = STATE(1987),
    [sym_labeled_statement] = STATE(1987),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2093] = {
    [anon_sym_RPAREN] = ACTIONS(3971),
    [sym_comment] = ACTIONS(76),
  },
  [2094] = {
    [anon_sym_RPAREN] = ACTIONS(3973),
    [sym_comment] = ACTIONS(76),
  },
  [2095] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3975),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2096] = {
    [anon_sym_RPAREN] = ACTIONS(3977),
    [sym_comment] = ACTIONS(76),
  },
  [2097] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3979),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2098] = {
    [anon_sym_RPAREN] = ACTIONS(3981),
    [sym_comment] = ACTIONS(76),
  },
  [2099] = {
    [sym_export_statement] = STATE(2074),
    [sym__declaration] = STATE(2074),
    [sym_import_statement] = STATE(2074),
    [sym_expression_statement] = STATE(2074),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2074),
    [sym_if_statement] = STATE(2074),
    [sym_switch_statement] = STATE(2074),
    [sym_for_statement] = STATE(2074),
    [sym_for_in_statement] = STATE(2074),
    [sym_for_of_statement] = STATE(2074),
    [sym_while_statement] = STATE(2074),
    [sym_do_statement] = STATE(2074),
    [sym_try_statement] = STATE(2074),
    [sym_with_statement] = STATE(2074),
    [sym_break_statement] = STATE(2074),
    [sym_continue_statement] = STATE(2074),
    [sym_debugger_statement] = STATE(2074),
    [sym_return_statement] = STATE(2074),
    [sym_throw_statement] = STATE(2074),
    [sym_empty_statement] = STATE(2074),
    [sym_labeled_statement] = STATE(2074),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2100] = {
    [sym_export_statement] = STATE(2075),
    [sym__declaration] = STATE(2075),
    [sym_import_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_switch_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_for_in_statement] = STATE(2075),
    [sym_for_of_statement] = STATE(2075),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_try_statement] = STATE(2075),
    [sym_with_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_debugger_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_statement] = STATE(2075),
    [sym_empty_statement] = STATE(2075),
    [sym_labeled_statement] = STATE(2075),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2101] = {
    [sym_export_statement] = STATE(2076),
    [sym__declaration] = STATE(2076),
    [sym_import_statement] = STATE(2076),
    [sym_expression_statement] = STATE(2076),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2076),
    [sym_if_statement] = STATE(2076),
    [sym_switch_statement] = STATE(2076),
    [sym_for_statement] = STATE(2076),
    [sym_for_in_statement] = STATE(2076),
    [sym_for_of_statement] = STATE(2076),
    [sym_while_statement] = STATE(2076),
    [sym_do_statement] = STATE(2076),
    [sym_try_statement] = STATE(2076),
    [sym_with_statement] = STATE(2076),
    [sym_break_statement] = STATE(2076),
    [sym_continue_statement] = STATE(2076),
    [sym_debugger_statement] = STATE(2076),
    [sym_return_statement] = STATE(2076),
    [sym_throw_statement] = STATE(2076),
    [sym_empty_statement] = STATE(2076),
    [sym_labeled_statement] = STATE(2076),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2102] = {
    [sym_export_statement] = STATE(2077),
    [sym__declaration] = STATE(2077),
    [sym_import_statement] = STATE(2077),
    [sym_expression_statement] = STATE(2077),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2077),
    [sym_if_statement] = STATE(2077),
    [sym_switch_statement] = STATE(2077),
    [sym_for_statement] = STATE(2077),
    [sym_for_in_statement] = STATE(2077),
    [sym_for_of_statement] = STATE(2077),
    [sym_while_statement] = STATE(2077),
    [sym_do_statement] = STATE(2077),
    [sym_try_statement] = STATE(2077),
    [sym_with_statement] = STATE(2077),
    [sym_break_statement] = STATE(2077),
    [sym_continue_statement] = STATE(2077),
    [sym_debugger_statement] = STATE(2077),
    [sym_return_statement] = STATE(2077),
    [sym_throw_statement] = STATE(2077),
    [sym_empty_statement] = STATE(2077),
    [sym_labeled_statement] = STATE(2077),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2103] = {
    [sym_export_statement] = STATE(2078),
    [sym__declaration] = STATE(2078),
    [sym_import_statement] = STATE(2078),
    [sym_expression_statement] = STATE(2078),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2078),
    [sym_if_statement] = STATE(2078),
    [sym_switch_statement] = STATE(2078),
    [sym_for_statement] = STATE(2078),
    [sym_for_in_statement] = STATE(2078),
    [sym_for_of_statement] = STATE(2078),
    [sym_while_statement] = STATE(2078),
    [sym_do_statement] = STATE(2078),
    [sym_try_statement] = STATE(2078),
    [sym_with_statement] = STATE(2078),
    [sym_break_statement] = STATE(2078),
    [sym_continue_statement] = STATE(2078),
    [sym_debugger_statement] = STATE(2078),
    [sym_return_statement] = STATE(2078),
    [sym_throw_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2078),
    [sym_labeled_statement] = STATE(2078),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2104] = {
    [sym_export_statement] = STATE(2079),
    [sym__declaration] = STATE(2079),
    [sym_import_statement] = STATE(2079),
    [sym_expression_statement] = STATE(2079),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(2079),
    [sym_if_statement] = STATE(2079),
    [sym_switch_statement] = STATE(2079),
    [sym_for_statement] = STATE(2079),
    [sym_for_in_statement] = STATE(2079),
    [sym_for_of_statement] = STATE(2079),
    [sym_while_statement] = STATE(2079),
    [sym_do_statement] = STATE(2079),
    [sym_try_statement] = STATE(2079),
    [sym_with_statement] = STATE(2079),
    [sym_break_statement] = STATE(2079),
    [sym_continue_statement] = STATE(2079),
    [sym_debugger_statement] = STATE(2079),
    [sym_return_statement] = STATE(2079),
    [sym_throw_statement] = STATE(2079),
    [sym_empty_statement] = STATE(2079),
    [sym_labeled_statement] = STATE(2079),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(149),
    [sym_function] = STATE(150),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(149),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(151),
    [anon_sym_export] = ACTIONS(206),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(210),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(214),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(216),
    [anon_sym_with] = ACTIONS(218),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(226),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2105] = {
    [anon_sym_GT] = ACTIONS(3983),
    [sym_comment] = ACTIONS(76),
  },
  [2106] = {
    [sym_nested_identifier] = STATE(649),
    [sym_jsx_namespace_name] = STATE(650),
    [anon_sym_SLASH] = ACTIONS(3985),
    [sym_jsx_identifier] = ACTIONS(1071),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(1073),
  },
  [2107] = {
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_GT] = ACTIONS(2543),
    [anon_sym_SLASH] = ACTIONS(2545),
    [sym_jsx_identifier] = ACTIONS(2545),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2545),
  },
  [2108] = {
    [anon_sym_GT] = ACTIONS(3987),
    [sym_comment] = ACTIONS(76),
  },
  [2109] = {
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2580),
    [sym_jsx_identifier] = ACTIONS(2580),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(2580),
  },
  [2110] = {
    [anon_sym_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(76),
  },
  [2111] = {
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(3991),
    [sym_comment] = ACTIONS(76),
  },
  [2112] = {
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(3993),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [2113] = {
    [anon_sym_GT] = ACTIONS(3993),
    [anon_sym_DOT] = ACTIONS(893),
    [sym_comment] = ACTIONS(76),
  },
  [2114] = {
    [anon_sym_GT] = ACTIONS(3993),
    [sym_comment] = ACTIONS(76),
  },
  [2115] = {
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_async] = ACTIONS(3185),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3183),
    [sym_number] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_AT] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
  },
  [2116] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_GT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2719),
    [anon_sym_GT_GT_GT] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_instanceof] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2117] = {
    [anon_sym_RPAREN] = ACTIONS(3995),
    [sym_comment] = ACTIONS(76),
  },
  [2118] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2119] = {
    [anon_sym_RPAREN] = ACTIONS(3999),
    [sym_comment] = ACTIONS(76),
  },
  [2120] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4001),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2121] = {
    [anon_sym_RPAREN] = ACTIONS(4003),
    [sym_comment] = ACTIONS(76),
  },
  [2122] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4005),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2123] = {
    [sym_export_statement] = STATE(2136),
    [sym__declaration] = STATE(2136),
    [sym_import_statement] = STATE(2136),
    [sym_expression_statement] = STATE(2136),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2136),
    [sym_if_statement] = STATE(2136),
    [sym_switch_statement] = STATE(2136),
    [sym_for_statement] = STATE(2136),
    [sym_for_in_statement] = STATE(2136),
    [sym_for_of_statement] = STATE(2136),
    [sym_while_statement] = STATE(2136),
    [sym_do_statement] = STATE(2136),
    [sym_try_statement] = STATE(2136),
    [sym_with_statement] = STATE(2136),
    [sym_break_statement] = STATE(2136),
    [sym_continue_statement] = STATE(2136),
    [sym_debugger_statement] = STATE(2136),
    [sym_return_statement] = STATE(2136),
    [sym_throw_statement] = STATE(2136),
    [sym_empty_statement] = STATE(2136),
    [sym_labeled_statement] = STATE(2136),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2124] = {
    [sym_export_statement] = STATE(2137),
    [sym__declaration] = STATE(2137),
    [sym_import_statement] = STATE(2137),
    [sym_expression_statement] = STATE(2137),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2137),
    [sym_if_statement] = STATE(2137),
    [sym_switch_statement] = STATE(2137),
    [sym_for_statement] = STATE(2137),
    [sym_for_in_statement] = STATE(2137),
    [sym_for_of_statement] = STATE(2137),
    [sym_while_statement] = STATE(2137),
    [sym_do_statement] = STATE(2137),
    [sym_try_statement] = STATE(2137),
    [sym_with_statement] = STATE(2137),
    [sym_break_statement] = STATE(2137),
    [sym_continue_statement] = STATE(2137),
    [sym_debugger_statement] = STATE(2137),
    [sym_return_statement] = STATE(2137),
    [sym_throw_statement] = STATE(2137),
    [sym_empty_statement] = STATE(2137),
    [sym_labeled_statement] = STATE(2137),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2125] = {
    [sym_export_statement] = STATE(2138),
    [sym__declaration] = STATE(2138),
    [sym_import_statement] = STATE(2138),
    [sym_expression_statement] = STATE(2138),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2138),
    [sym_if_statement] = STATE(2138),
    [sym_switch_statement] = STATE(2138),
    [sym_for_statement] = STATE(2138),
    [sym_for_in_statement] = STATE(2138),
    [sym_for_of_statement] = STATE(2138),
    [sym_while_statement] = STATE(2138),
    [sym_do_statement] = STATE(2138),
    [sym_try_statement] = STATE(2138),
    [sym_with_statement] = STATE(2138),
    [sym_break_statement] = STATE(2138),
    [sym_continue_statement] = STATE(2138),
    [sym_debugger_statement] = STATE(2138),
    [sym_return_statement] = STATE(2138),
    [sym_throw_statement] = STATE(2138),
    [sym_empty_statement] = STATE(2138),
    [sym_labeled_statement] = STATE(2138),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2126] = {
    [sym_export_statement] = STATE(2139),
    [sym__declaration] = STATE(2139),
    [sym_import_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_switch_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_for_in_statement] = STATE(2139),
    [sym_for_of_statement] = STATE(2139),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_try_statement] = STATE(2139),
    [sym_with_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_debugger_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_statement] = STATE(2139),
    [sym_empty_statement] = STATE(2139),
    [sym_labeled_statement] = STATE(2139),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2127] = {
    [sym_export_statement] = STATE(2140),
    [sym__declaration] = STATE(2140),
    [sym_import_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_switch_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_for_in_statement] = STATE(2140),
    [sym_for_of_statement] = STATE(2140),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_try_statement] = STATE(2140),
    [sym_with_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_debugger_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_statement] = STATE(2140),
    [sym_empty_statement] = STATE(2140),
    [sym_labeled_statement] = STATE(2140),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2128] = {
    [sym_export_statement] = STATE(2141),
    [sym__declaration] = STATE(2141),
    [sym_import_statement] = STATE(2141),
    [sym_expression_statement] = STATE(2141),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2141),
    [sym_if_statement] = STATE(2141),
    [sym_switch_statement] = STATE(2141),
    [sym_for_statement] = STATE(2141),
    [sym_for_in_statement] = STATE(2141),
    [sym_for_of_statement] = STATE(2141),
    [sym_while_statement] = STATE(2141),
    [sym_do_statement] = STATE(2141),
    [sym_try_statement] = STATE(2141),
    [sym_with_statement] = STATE(2141),
    [sym_break_statement] = STATE(2141),
    [sym_continue_statement] = STATE(2141),
    [sym_debugger_statement] = STATE(2141),
    [sym_return_statement] = STATE(2141),
    [sym_throw_statement] = STATE(2141),
    [sym_empty_statement] = STATE(2141),
    [sym_labeled_statement] = STATE(2141),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2129] = {
    [sym_export_statement] = STATE(2142),
    [sym__declaration] = STATE(2142),
    [sym_import_statement] = STATE(2142),
    [sym_expression_statement] = STATE(2142),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2142),
    [sym_if_statement] = STATE(2142),
    [sym_switch_statement] = STATE(2142),
    [sym_for_statement] = STATE(2142),
    [sym_for_in_statement] = STATE(2142),
    [sym_for_of_statement] = STATE(2142),
    [sym_while_statement] = STATE(2142),
    [sym_do_statement] = STATE(2142),
    [sym_try_statement] = STATE(2142),
    [sym_with_statement] = STATE(2142),
    [sym_break_statement] = STATE(2142),
    [sym_continue_statement] = STATE(2142),
    [sym_debugger_statement] = STATE(2142),
    [sym_return_statement] = STATE(2142),
    [sym_throw_statement] = STATE(2142),
    [sym_empty_statement] = STATE(2142),
    [sym_labeled_statement] = STATE(2142),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2130] = {
    [sym_export_statement] = STATE(2260),
    [sym__declaration] = STATE(2260),
    [sym_import_statement] = STATE(2260),
    [sym_expression_statement] = STATE(2260),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2260),
    [sym_if_statement] = STATE(2260),
    [sym_switch_statement] = STATE(2260),
    [sym_for_statement] = STATE(2260),
    [sym_for_in_statement] = STATE(2260),
    [sym_for_of_statement] = STATE(2260),
    [sym_while_statement] = STATE(2260),
    [sym_do_statement] = STATE(2260),
    [sym_try_statement] = STATE(2260),
    [sym_with_statement] = STATE(2260),
    [sym_break_statement] = STATE(2260),
    [sym_continue_statement] = STATE(2260),
    [sym_debugger_statement] = STATE(2260),
    [sym_return_statement] = STATE(2260),
    [sym_throw_statement] = STATE(2260),
    [sym_empty_statement] = STATE(2260),
    [sym_labeled_statement] = STATE(2260),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2131] = {
    [sym_export_statement] = STATE(2261),
    [sym__declaration] = STATE(2261),
    [sym_import_statement] = STATE(2261),
    [sym_expression_statement] = STATE(2261),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2261),
    [sym_if_statement] = STATE(2261),
    [sym_switch_statement] = STATE(2261),
    [sym_for_statement] = STATE(2261),
    [sym_for_in_statement] = STATE(2261),
    [sym_for_of_statement] = STATE(2261),
    [sym_while_statement] = STATE(2261),
    [sym_do_statement] = STATE(2261),
    [sym_try_statement] = STATE(2261),
    [sym_with_statement] = STATE(2261),
    [sym_break_statement] = STATE(2261),
    [sym_continue_statement] = STATE(2261),
    [sym_debugger_statement] = STATE(2261),
    [sym_return_statement] = STATE(2261),
    [sym_throw_statement] = STATE(2261),
    [sym_empty_statement] = STATE(2261),
    [sym_labeled_statement] = STATE(2261),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2132] = {
    [sym_export_statement] = STATE(2262),
    [sym__declaration] = STATE(2262),
    [sym_import_statement] = STATE(2262),
    [sym_expression_statement] = STATE(2262),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2262),
    [sym_if_statement] = STATE(2262),
    [sym_switch_statement] = STATE(2262),
    [sym_for_statement] = STATE(2262),
    [sym_for_in_statement] = STATE(2262),
    [sym_for_of_statement] = STATE(2262),
    [sym_while_statement] = STATE(2262),
    [sym_do_statement] = STATE(2262),
    [sym_try_statement] = STATE(2262),
    [sym_with_statement] = STATE(2262),
    [sym_break_statement] = STATE(2262),
    [sym_continue_statement] = STATE(2262),
    [sym_debugger_statement] = STATE(2262),
    [sym_return_statement] = STATE(2262),
    [sym_throw_statement] = STATE(2262),
    [sym_empty_statement] = STATE(2262),
    [sym_labeled_statement] = STATE(2262),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2133] = {
    [sym_export_statement] = STATE(2263),
    [sym__declaration] = STATE(2263),
    [sym_import_statement] = STATE(2263),
    [sym_expression_statement] = STATE(2263),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2263),
    [sym_if_statement] = STATE(2263),
    [sym_switch_statement] = STATE(2263),
    [sym_for_statement] = STATE(2263),
    [sym_for_in_statement] = STATE(2263),
    [sym_for_of_statement] = STATE(2263),
    [sym_while_statement] = STATE(2263),
    [sym_do_statement] = STATE(2263),
    [sym_try_statement] = STATE(2263),
    [sym_with_statement] = STATE(2263),
    [sym_break_statement] = STATE(2263),
    [sym_continue_statement] = STATE(2263),
    [sym_debugger_statement] = STATE(2263),
    [sym_return_statement] = STATE(2263),
    [sym_throw_statement] = STATE(2263),
    [sym_empty_statement] = STATE(2263),
    [sym_labeled_statement] = STATE(2263),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2134] = {
    [sym_export_statement] = STATE(2264),
    [sym__declaration] = STATE(2264),
    [sym_import_statement] = STATE(2264),
    [sym_expression_statement] = STATE(2264),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2264),
    [sym_if_statement] = STATE(2264),
    [sym_switch_statement] = STATE(2264),
    [sym_for_statement] = STATE(2264),
    [sym_for_in_statement] = STATE(2264),
    [sym_for_of_statement] = STATE(2264),
    [sym_while_statement] = STATE(2264),
    [sym_do_statement] = STATE(2264),
    [sym_try_statement] = STATE(2264),
    [sym_with_statement] = STATE(2264),
    [sym_break_statement] = STATE(2264),
    [sym_continue_statement] = STATE(2264),
    [sym_debugger_statement] = STATE(2264),
    [sym_return_statement] = STATE(2264),
    [sym_throw_statement] = STATE(2264),
    [sym_empty_statement] = STATE(2264),
    [sym_labeled_statement] = STATE(2264),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2135] = {
    [sym_export_statement] = STATE(2265),
    [sym__declaration] = STATE(2265),
    [sym_import_statement] = STATE(2265),
    [sym_expression_statement] = STATE(2265),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2265),
    [sym_if_statement] = STATE(2265),
    [sym_switch_statement] = STATE(2265),
    [sym_for_statement] = STATE(2265),
    [sym_for_in_statement] = STATE(2265),
    [sym_for_of_statement] = STATE(2265),
    [sym_while_statement] = STATE(2265),
    [sym_do_statement] = STATE(2265),
    [sym_try_statement] = STATE(2265),
    [sym_with_statement] = STATE(2265),
    [sym_break_statement] = STATE(2265),
    [sym_continue_statement] = STATE(2265),
    [sym_debugger_statement] = STATE(2265),
    [sym_return_statement] = STATE(2265),
    [sym_throw_statement] = STATE(2265),
    [sym_empty_statement] = STATE(2265),
    [sym_labeled_statement] = STATE(2265),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(611),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(643),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2136] = {
    [ts_builtin_sym_end] = ACTIONS(3707),
    [anon_sym_export] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_import] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_else] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_with] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_debugger] = ACTIONS(3709),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_function] = ACTIONS(3709),
    [anon_sym_EQ_GT] = ACTIONS(3707),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_void] = ACTIONS(3709),
    [anon_sym_delete] = ACTIONS(3709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3707),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_regex] = ACTIONS(3711),
    [sym_number] = ACTIONS(3709),
    [sym_identifier] = ACTIONS(3711),
    [sym_this] = ACTIONS(3709),
    [sym_super] = ACTIONS(3709),
    [sym_true] = ACTIONS(3709),
    [sym_false] = ACTIONS(3709),
    [sym_null] = ACTIONS(3709),
    [sym_undefined] = ACTIONS(3709),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_get] = ACTIONS(3709),
    [anon_sym_set] = ACTIONS(3709),
  },
  [2137] = {
    [ts_builtin_sym_end] = ACTIONS(3715),
    [anon_sym_export] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_RBRACE] = ACTIONS(3715),
    [anon_sym_import] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_else] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_debugger] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LT] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3717),
    [anon_sym_EQ_GT] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym_void] = ACTIONS(3717),
    [anon_sym_delete] = ACTIONS(3717),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3715),
    [anon_sym_BQUOTE] = ACTIONS(3715),
    [sym_regex] = ACTIONS(3719),
    [sym_number] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(3719),
    [sym_this] = ACTIONS(3717),
    [sym_super] = ACTIONS(3717),
    [sym_true] = ACTIONS(3717),
    [sym_false] = ACTIONS(3717),
    [sym_null] = ACTIONS(3717),
    [sym_undefined] = ACTIONS(3717),
    [anon_sym_AT] = ACTIONS(3715),
    [anon_sym_get] = ACTIONS(3717),
    [anon_sym_set] = ACTIONS(3717),
  },
  [2138] = {
    [ts_builtin_sym_end] = ACTIONS(3723),
    [anon_sym_export] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_RBRACE] = ACTIONS(3723),
    [anon_sym_import] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_else] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_with] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_debugger] = ACTIONS(3725),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(3723),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_EQ_GT] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_delete] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3723),
    [anon_sym_BQUOTE] = ACTIONS(3723),
    [sym_regex] = ACTIONS(3727),
    [sym_number] = ACTIONS(3725),
    [sym_identifier] = ACTIONS(3727),
    [sym_this] = ACTIONS(3725),
    [sym_super] = ACTIONS(3725),
    [sym_true] = ACTIONS(3725),
    [sym_false] = ACTIONS(3725),
    [sym_null] = ACTIONS(3725),
    [sym_undefined] = ACTIONS(3725),
    [anon_sym_AT] = ACTIONS(3723),
    [anon_sym_get] = ACTIONS(3725),
    [anon_sym_set] = ACTIONS(3725),
  },
  [2139] = {
    [ts_builtin_sym_end] = ACTIONS(3729),
    [anon_sym_export] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3729),
    [anon_sym_RBRACE] = ACTIONS(3729),
    [anon_sym_import] = ACTIONS(3731),
    [anon_sym_var] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_const] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_else] = ACTIONS(3731),
    [anon_sym_switch] = ACTIONS(3731),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_with] = ACTIONS(3731),
    [anon_sym_break] = ACTIONS(3731),
    [anon_sym_continue] = ACTIONS(3731),
    [anon_sym_debugger] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_throw] = ACTIONS(3731),
    [anon_sym_SEMI] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_LT] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3731),
    [anon_sym_async] = ACTIONS(3731),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_EQ_GT] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_await] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3731),
    [anon_sym_void] = ACTIONS(3731),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3729),
    [anon_sym_DASH_DASH] = ACTIONS(3729),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3729),
    [anon_sym_BQUOTE] = ACTIONS(3729),
    [sym_regex] = ACTIONS(3733),
    [sym_number] = ACTIONS(3731),
    [sym_identifier] = ACTIONS(3733),
    [sym_this] = ACTIONS(3731),
    [sym_super] = ACTIONS(3731),
    [sym_true] = ACTIONS(3731),
    [sym_false] = ACTIONS(3731),
    [sym_null] = ACTIONS(3731),
    [sym_undefined] = ACTIONS(3731),
    [anon_sym_AT] = ACTIONS(3729),
    [anon_sym_get] = ACTIONS(3731),
    [anon_sym_set] = ACTIONS(3731),
  },
  [2140] = {
    [ts_builtin_sym_end] = ACTIONS(3735),
    [anon_sym_export] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [anon_sym_import] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_else] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_with] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_debugger] = ACTIONS(3737),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LT] = ACTIONS(3735),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_function] = ACTIONS(3737),
    [anon_sym_EQ_GT] = ACTIONS(3735),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym_void] = ACTIONS(3737),
    [anon_sym_delete] = ACTIONS(3737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3735),
    [anon_sym_BQUOTE] = ACTIONS(3735),
    [sym_regex] = ACTIONS(3739),
    [sym_number] = ACTIONS(3737),
    [sym_identifier] = ACTIONS(3739),
    [sym_this] = ACTIONS(3737),
    [sym_super] = ACTIONS(3737),
    [sym_true] = ACTIONS(3737),
    [sym_false] = ACTIONS(3737),
    [sym_null] = ACTIONS(3737),
    [sym_undefined] = ACTIONS(3737),
    [anon_sym_AT] = ACTIONS(3735),
    [anon_sym_get] = ACTIONS(3737),
    [anon_sym_set] = ACTIONS(3737),
  },
  [2141] = {
    [ts_builtin_sym_end] = ACTIONS(3741),
    [anon_sym_export] = ACTIONS(3743),
    [anon_sym_LBRACE] = ACTIONS(3741),
    [anon_sym_RBRACE] = ACTIONS(3741),
    [anon_sym_import] = ACTIONS(3743),
    [anon_sym_var] = ACTIONS(3743),
    [anon_sym_let] = ACTIONS(3743),
    [anon_sym_const] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(3743),
    [anon_sym_else] = ACTIONS(3743),
    [anon_sym_switch] = ACTIONS(3743),
    [anon_sym_for] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3743),
    [anon_sym_do] = ACTIONS(3743),
    [anon_sym_try] = ACTIONS(3743),
    [anon_sym_with] = ACTIONS(3743),
    [anon_sym_break] = ACTIONS(3743),
    [anon_sym_continue] = ACTIONS(3743),
    [anon_sym_debugger] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3743),
    [anon_sym_throw] = ACTIONS(3743),
    [anon_sym_SEMI] = ACTIONS(3741),
    [anon_sym_yield] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3743),
    [anon_sym_async] = ACTIONS(3743),
    [anon_sym_function] = ACTIONS(3743),
    [anon_sym_EQ_GT] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3743),
    [anon_sym_await] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3743),
    [anon_sym_DASH] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3743),
    [anon_sym_void] = ACTIONS(3743),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3741),
    [anon_sym_DASH_DASH] = ACTIONS(3741),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3741),
    [anon_sym_BQUOTE] = ACTIONS(3741),
    [sym_regex] = ACTIONS(3745),
    [sym_number] = ACTIONS(3743),
    [sym_identifier] = ACTIONS(3745),
    [sym_this] = ACTIONS(3743),
    [sym_super] = ACTIONS(3743),
    [sym_true] = ACTIONS(3743),
    [sym_false] = ACTIONS(3743),
    [sym_null] = ACTIONS(3743),
    [sym_undefined] = ACTIONS(3743),
    [anon_sym_AT] = ACTIONS(3741),
    [anon_sym_get] = ACTIONS(3743),
    [anon_sym_set] = ACTIONS(3743),
  },
  [2142] = {
    [ts_builtin_sym_end] = ACTIONS(3747),
    [anon_sym_export] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_RBRACE] = ACTIONS(3747),
    [anon_sym_import] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_else] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_with] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_debugger] = ACTIONS(3749),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LT] = ACTIONS(3747),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_function] = ACTIONS(3749),
    [anon_sym_EQ_GT] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_void] = ACTIONS(3749),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3747),
    [anon_sym_BQUOTE] = ACTIONS(3747),
    [sym_regex] = ACTIONS(3751),
    [sym_number] = ACTIONS(3749),
    [sym_identifier] = ACTIONS(3751),
    [sym_this] = ACTIONS(3749),
    [sym_super] = ACTIONS(3749),
    [sym_true] = ACTIONS(3749),
    [sym_false] = ACTIONS(3749),
    [sym_null] = ACTIONS(3749),
    [sym_undefined] = ACTIONS(3749),
    [anon_sym_AT] = ACTIONS(3747),
    [anon_sym_get] = ACTIONS(3749),
    [anon_sym_set] = ACTIONS(3749),
  },
  [2143] = {
    [ts_builtin_sym_end] = ACTIONS(3781),
    [anon_sym_export] = ACTIONS(3783),
    [anon_sym_LBRACE] = ACTIONS(3781),
    [anon_sym_RBRACE] = ACTIONS(3781),
    [anon_sym_import] = ACTIONS(3783),
    [anon_sym_var] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_const] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_else] = ACTIONS(3783),
    [anon_sym_switch] = ACTIONS(3783),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_with] = ACTIONS(3783),
    [anon_sym_break] = ACTIONS(3783),
    [anon_sym_continue] = ACTIONS(3783),
    [anon_sym_debugger] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_throw] = ACTIONS(3783),
    [anon_sym_SEMI] = ACTIONS(3781),
    [anon_sym_finally] = ACTIONS(3783),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3783),
    [anon_sym_async] = ACTIONS(3783),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_EQ_GT] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_await] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_BANG] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3783),
    [anon_sym_void] = ACTIONS(3783),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3781),
    [anon_sym_DASH_DASH] = ACTIONS(3781),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3781),
    [anon_sym_BQUOTE] = ACTIONS(3781),
    [sym_regex] = ACTIONS(3785),
    [sym_number] = ACTIONS(3783),
    [sym_identifier] = ACTIONS(3785),
    [sym_this] = ACTIONS(3783),
    [sym_super] = ACTIONS(3783),
    [sym_true] = ACTIONS(3783),
    [sym_false] = ACTIONS(3783),
    [sym_null] = ACTIONS(3783),
    [sym_undefined] = ACTIONS(3783),
    [anon_sym_AT] = ACTIONS(3781),
    [anon_sym_get] = ACTIONS(3783),
    [anon_sym_set] = ACTIONS(3783),
  },
  [2144] = {
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_EQ_GT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2065),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_regex] = ACTIONS(2069),
    [sym_number] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
  },
  [2145] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(2267),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2146] = {
    [sym_class_body] = STATE(2268),
    [anon_sym_LBRACE] = ACTIONS(3833),
    [sym_comment] = ACTIONS(76),
  },
  [2147] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_default] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [2148] = {
    [sym_formal_parameters] = STATE(2269),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2149] = {
    [sym_statement_block] = STATE(2270),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [sym_comment] = ACTIONS(76),
  },
  [2150] = {
    [sym_formal_parameters] = STATE(2271),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2151] = {
    [sym_statement_block] = STATE(2272),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [sym_comment] = ACTIONS(76),
  },
  [2152] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2274),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4009),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2153] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_default] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_case] = ACTIONS(1916),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [2154] = {
    [sym_class_heritage] = STATE(2275),
    [sym_class_body] = STATE(2268),
    [anon_sym_LBRACE] = ACTIONS(3833),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2155] = {
    [anon_sym_export] = ACTIONS(2227),
    [anon_sym_default] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2227),
    [anon_sym_var] = ACTIONS(2227),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_switch] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_with] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_debugger] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_throw] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2227),
    [anon_sym_yield] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_function] = ACTIONS(2227),
    [anon_sym_EQ_GT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_regex] = ACTIONS(2229),
    [sym_number] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2227),
    [sym_super] = ACTIONS(2227),
    [sym_true] = ACTIONS(2227),
    [sym_false] = ACTIONS(2227),
    [sym_null] = ACTIONS(2227),
    [sym_undefined] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2227),
    [anon_sym_set] = ACTIONS(2227),
  },
  [2156] = {
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_default] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_EQ_GT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2239),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_regex] = ACTIONS(2243),
    [sym_number] = ACTIONS(2241),
    [sym_identifier] = ACTIONS(2243),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
  },
  [2157] = {
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_EQ_GT] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2248),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym_regex] = ACTIONS(2252),
    [sym_number] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
  },
  [2158] = {
    [sym__from_clause] = STATE(2276),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [2159] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(2277),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [2160] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4011),
  },
  [2161] = {
    [anon_sym_function] = ACTIONS(4013),
    [sym_comment] = ACTIONS(76),
  },
  [2162] = {
    [sym_formal_parameters] = STATE(2282),
    [anon_sym_STAR] = ACTIONS(4015),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4017),
  },
  [2163] = {
    [sym__from_clause] = STATE(2276),
    [sym__automatic_semicolon] = ACTIONS(4019),
    [anon_sym_from] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(4019),
    [sym_comment] = ACTIONS(76),
  },
  [2164] = {
    [anon_sym_export] = ACTIONS(449),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_var] = ACTIONS(449),
    [anon_sym_let] = ACTIONS(449),
    [anon_sym_const] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_else] = ACTIONS(449),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_debugger] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(449),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(449),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ_GT] = ACTIONS(447),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_typeof] = ACTIONS(449),
    [anon_sym_void] = ACTIONS(449),
    [anon_sym_delete] = ACTIONS(449),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(447),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_regex] = ACTIONS(451),
    [sym_number] = ACTIONS(449),
    [sym_identifier] = ACTIONS(451),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_undefined] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(449),
    [anon_sym_set] = ACTIONS(449),
  },
  [2165] = {
    [sym__automatic_semicolon] = ACTIONS(3897),
    [anon_sym_export] = ACTIONS(357),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_do] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(357),
    [anon_sym_with] = ACTIONS(357),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_debugger] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_class] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ_GT] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(357),
    [anon_sym_await] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(355),
    [anon_sym_typeof] = ACTIONS(357),
    [anon_sym_void] = ACTIONS(357),
    [anon_sym_delete] = ACTIONS(357),
    [anon_sym_PLUS_PLUS] = ACTIONS(355),
    [anon_sym_DASH_DASH] = ACTIONS(355),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(355),
    [sym_regex] = ACTIONS(359),
    [sym_number] = ACTIONS(357),
    [sym_identifier] = ACTIONS(359),
    [sym_this] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_undefined] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(355),
    [anon_sym_get] = ACTIONS(357),
    [anon_sym_set] = ACTIONS(357),
  },
  [2166] = {
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(280),
    [anon_sym_class] = ACTIONS(4021),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [2167] = {
    [sym__automatic_semicolon] = ACTIONS(479),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(485),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_GT_GT_GT] = ACTIONS(479),
    [anon_sym_LT_LT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(479),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_instanceof] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2168] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2169] = {
    [sym__automatic_semicolon] = ACTIONS(4025),
    [anon_sym_SEMI] = ACTIONS(4025),
    [sym_comment] = ACTIONS(76),
  },
  [2170] = {
    [sym__from_clause] = STATE(2287),
    [anon_sym_from] = ACTIONS(409),
    [sym_comment] = ACTIONS(76),
  },
  [2171] = {
    [aux_sym_variable_declaration_repeat1] = STATE(2289),
    [sym__automatic_semicolon] = ACTIONS(4027),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(4027),
    [sym_comment] = ACTIONS(76),
  },
  [2172] = {
    [aux_sym_variable_declaration_repeat1] = STATE(2291),
    [sym__automatic_semicolon] = ACTIONS(4029),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(4029),
    [sym_comment] = ACTIONS(76),
  },
  [2173] = {
    [sym_export_statement] = STATE(2292),
    [sym__declaration] = STATE(2292),
    [sym_import_statement] = STATE(2292),
    [sym_expression_statement] = STATE(2292),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2292),
    [sym_if_statement] = STATE(2292),
    [sym_switch_statement] = STATE(2292),
    [sym_for_statement] = STATE(2292),
    [sym_for_in_statement] = STATE(2292),
    [sym_for_of_statement] = STATE(2292),
    [sym_while_statement] = STATE(2292),
    [sym_do_statement] = STATE(2292),
    [sym_try_statement] = STATE(2292),
    [sym_with_statement] = STATE(2292),
    [sym_break_statement] = STATE(2292),
    [sym_continue_statement] = STATE(2292),
    [sym_debugger_statement] = STATE(2292),
    [sym_return_statement] = STATE(2292),
    [sym_throw_statement] = STATE(2292),
    [sym_empty_statement] = STATE(2292),
    [sym_labeled_statement] = STATE(2292),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2174] = {
    [sym_switch_body] = STATE(2294),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [sym_comment] = ACTIONS(76),
  },
  [2175] = {
    [sym_expression_statement] = STATE(2298),
    [sym_variable_declaration] = STATE(2298),
    [sym_lexical_declaration] = STATE(2298),
    [sym_empty_statement] = STATE(2298),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(2299),
    [sym_array] = STATE(2300),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_var] = ACTIONS(4033),
    [anon_sym_let] = ACTIONS(4035),
    [anon_sym_const] = ACTIONS(4035),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(4037),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2176] = {
    [sym_export_statement] = STATE(2301),
    [sym__declaration] = STATE(2301),
    [sym_import_statement] = STATE(2301),
    [sym_expression_statement] = STATE(2301),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2301),
    [sym_if_statement] = STATE(2301),
    [sym_switch_statement] = STATE(2301),
    [sym_for_statement] = STATE(2301),
    [sym_for_in_statement] = STATE(2301),
    [sym_for_of_statement] = STATE(2301),
    [sym_while_statement] = STATE(2301),
    [sym_do_statement] = STATE(2301),
    [sym_try_statement] = STATE(2301),
    [sym_with_statement] = STATE(2301),
    [sym_break_statement] = STATE(2301),
    [sym_continue_statement] = STATE(2301),
    [sym_debugger_statement] = STATE(2301),
    [sym_return_statement] = STATE(2301),
    [sym_throw_statement] = STATE(2301),
    [sym_empty_statement] = STATE(2301),
    [sym_labeled_statement] = STATE(2301),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2177] = {
    [anon_sym_while] = ACTIONS(4039),
    [sym_comment] = ACTIONS(76),
  },
  [2178] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2304),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4041),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2179] = {
    [sym_catch_clause] = STATE(2307),
    [sym_finally_clause] = STATE(2308),
    [anon_sym_export] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_var] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(785),
    [anon_sym_const] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_debugger] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_catch] = ACTIONS(4043),
    [anon_sym_finally] = ACTIONS(4045),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_EQ_GT] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(785),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_typeof] = ACTIONS(785),
    [anon_sym_void] = ACTIONS(785),
    [anon_sym_delete] = ACTIONS(785),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(783),
    [anon_sym_BQUOTE] = ACTIONS(783),
    [sym_regex] = ACTIONS(791),
    [sym_number] = ACTIONS(785),
    [sym_identifier] = ACTIONS(791),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(785),
    [anon_sym_set] = ACTIONS(785),
  },
  [2180] = {
    [sym_export_statement] = STATE(2309),
    [sym__declaration] = STATE(2309),
    [sym_import_statement] = STATE(2309),
    [sym_expression_statement] = STATE(2309),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2309),
    [sym_if_statement] = STATE(2309),
    [sym_switch_statement] = STATE(2309),
    [sym_for_statement] = STATE(2309),
    [sym_for_in_statement] = STATE(2309),
    [sym_for_of_statement] = STATE(2309),
    [sym_while_statement] = STATE(2309),
    [sym_do_statement] = STATE(2309),
    [sym_try_statement] = STATE(2309),
    [sym_with_statement] = STATE(2309),
    [sym_break_statement] = STATE(2309),
    [sym_continue_statement] = STATE(2309),
    [sym_debugger_statement] = STATE(2309),
    [sym_return_statement] = STATE(2309),
    [sym_throw_statement] = STATE(2309),
    [sym_empty_statement] = STATE(2309),
    [sym_labeled_statement] = STATE(2309),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2181] = {
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(795),
    [anon_sym_var] = ACTIONS(795),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_else] = ACTIONS(795),
    [anon_sym_switch] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_do] = ACTIONS(795),
    [anon_sym_try] = ACTIONS(795),
    [anon_sym_with] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(795),
    [anon_sym_continue] = ACTIONS(795),
    [anon_sym_debugger] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_throw] = ACTIONS(795),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_case] = ACTIONS(795),
    [anon_sym_yield] = ACTIONS(795),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(795),
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ_GT] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(795),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_typeof] = ACTIONS(795),
    [anon_sym_void] = ACTIONS(795),
    [anon_sym_delete] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(793),
    [anon_sym_DASH_DASH] = ACTIONS(793),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(793),
    [anon_sym_BQUOTE] = ACTIONS(793),
    [sym_regex] = ACTIONS(797),
    [sym_number] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_undefined] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
  },
  [2182] = {
    [sym__automatic_semicolon] = ACTIONS(4047),
    [anon_sym_SEMI] = ACTIONS(4047),
    [sym_comment] = ACTIONS(76),
  },
  [2183] = {
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(803),
    [anon_sym_var] = ACTIONS(803),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_const] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_else] = ACTIONS(803),
    [anon_sym_switch] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(803),
    [anon_sym_try] = ACTIONS(803),
    [anon_sym_with] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [anon_sym_debugger] = ACTIONS(803),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_throw] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_case] = ACTIONS(803),
    [anon_sym_yield] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(803),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ_GT] = ACTIONS(801),
    [anon_sym_new] = ACTIONS(803),
    [anon_sym_await] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_TILDE] = ACTIONS(801),
    [anon_sym_typeof] = ACTIONS(803),
    [anon_sym_void] = ACTIONS(803),
    [anon_sym_delete] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(801),
    [anon_sym_DASH_DASH] = ACTIONS(801),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(801),
    [anon_sym_BQUOTE] = ACTIONS(801),
    [sym_regex] = ACTIONS(805),
    [sym_number] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_undefined] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
  },
  [2184] = {
    [sym__automatic_semicolon] = ACTIONS(4049),
    [anon_sym_SEMI] = ACTIONS(4049),
    [sym_comment] = ACTIONS(76),
  },
  [2185] = {
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(811),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_else] = ACTIONS(811),
    [anon_sym_switch] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_do] = ACTIONS(811),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_with] = ACTIONS(811),
    [anon_sym_break] = ACTIONS(811),
    [anon_sym_continue] = ACTIONS(811),
    [anon_sym_debugger] = ACTIONS(811),
    [anon_sym_return] = ACTIONS(811),
    [anon_sym_throw] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(811),
    [anon_sym_yield] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ_GT] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_typeof] = ACTIONS(811),
    [anon_sym_void] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(809),
    [anon_sym_DASH_DASH] = ACTIONS(809),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(809),
    [anon_sym_BQUOTE] = ACTIONS(809),
    [sym_regex] = ACTIONS(813),
    [sym_number] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_this] = ACTIONS(811),
    [sym_super] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_undefined] = ACTIONS(811),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
  },
  [2186] = {
    [anon_sym_export] = ACTIONS(817),
    [anon_sym_default] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_const] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_debugger] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_EQ_GT] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(817),
    [anon_sym_void] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(817),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(815),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_regex] = ACTIONS(819),
    [sym_number] = ACTIONS(817),
    [sym_identifier] = ACTIONS(819),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_null] = ACTIONS(817),
    [sym_undefined] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(815),
    [anon_sym_get] = ACTIONS(817),
    [anon_sym_set] = ACTIONS(817),
  },
  [2187] = {
    [sym__automatic_semicolon] = ACTIONS(4051),
    [anon_sym_SEMI] = ACTIONS(4051),
    [sym_comment] = ACTIONS(76),
  },
  [2188] = {
    [sym__automatic_semicolon] = ACTIONS(4053),
    [anon_sym_SEMI] = ACTIONS(4053),
    [sym_comment] = ACTIONS(76),
  },
  [2189] = {
    [sym_class_heritage] = STATE(2315),
    [sym_class_body] = STATE(2316),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2190] = {
    [sym_formal_parameters] = STATE(2318),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4057),
  },
  [2191] = {
    [sym_formal_parameters] = STATE(2320),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4059),
  },
  [2192] = {
    [sym_formal_parameters] = STATE(2318),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2193] = {
    [sym_statement_block] = STATE(2322),
    [anon_sym_LBRACE] = ACTIONS(4061),
    [sym_comment] = ACTIONS(76),
  },
  [2194] = {
    [sym_export_statement] = STATE(2323),
    [sym__declaration] = STATE(2323),
    [sym_import_statement] = STATE(2323),
    [sym_expression_statement] = STATE(2323),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2323),
    [sym_if_statement] = STATE(2323),
    [sym_switch_statement] = STATE(2323),
    [sym_for_statement] = STATE(2323),
    [sym_for_in_statement] = STATE(2323),
    [sym_for_of_statement] = STATE(2323),
    [sym_while_statement] = STATE(2323),
    [sym_do_statement] = STATE(2323),
    [sym_try_statement] = STATE(2323),
    [sym_with_statement] = STATE(2323),
    [sym_break_statement] = STATE(2323),
    [sym_continue_statement] = STATE(2323),
    [sym_debugger_statement] = STATE(2323),
    [sym_return_statement] = STATE(2323),
    [sym_throw_statement] = STATE(2323),
    [sym_empty_statement] = STATE(2323),
    [sym_labeled_statement] = STATE(2323),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2195] = {
    [sym_export_statement] = STATE(2324),
    [sym__declaration] = STATE(2324),
    [sym_import_statement] = STATE(2324),
    [sym_expression_statement] = STATE(2324),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2324),
    [sym_if_statement] = STATE(2324),
    [sym_switch_statement] = STATE(2324),
    [sym_for_statement] = STATE(2324),
    [sym_for_in_statement] = STATE(2324),
    [sym_for_of_statement] = STATE(2324),
    [sym_while_statement] = STATE(2324),
    [sym_do_statement] = STATE(2324),
    [sym_try_statement] = STATE(2324),
    [sym_with_statement] = STATE(2324),
    [sym_break_statement] = STATE(2324),
    [sym_continue_statement] = STATE(2324),
    [sym_debugger_statement] = STATE(2324),
    [sym_return_statement] = STATE(2324),
    [sym_throw_statement] = STATE(2324),
    [sym_empty_statement] = STATE(2324),
    [sym_labeled_statement] = STATE(2324),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2196] = {
    [anon_sym_export] = ACTIONS(1033),
    [anon_sym_default] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_var] = ACTIONS(1033),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_debugger] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1033),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_await] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1033),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [sym_regex] = ACTIONS(1035),
    [sym_number] = ACTIONS(1033),
    [sym_identifier] = ACTIONS(1035),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1033),
  },
  [2197] = {
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_let] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_debugger] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_EQ_GT] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_delete] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [sym_regex] = ACTIONS(1087),
    [sym_number] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_undefined] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_get] = ACTIONS(1085),
    [anon_sym_set] = ACTIONS(1085),
  },
  [2198] = {
    [sym__declaration] = STATE(2283),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_class] = STATE(2165),
    [sym_function] = STATE(2165),
    [sym_generator_function] = STATE(2165),
    [sym_decorator] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(2166),
    [anon_sym_default] = ACTIONS(4063),
    [anon_sym_var] = ACTIONS(3853),
    [anon_sym_let] = ACTIONS(3855),
    [anon_sym_const] = ACTIONS(3855),
    [anon_sym_class] = ACTIONS(3857),
    [anon_sym_async] = ACTIONS(3859),
    [anon_sym_function] = ACTIONS(3861),
    [sym_comment] = ACTIONS(76),
    [anon_sym_AT] = ACTIONS(90),
  },
  [2199] = {
    [sym_class_heritage] = STATE(658),
    [sym_class_body] = STATE(584),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_extends] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4065),
  },
  [2200] = {
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2316),
    [anon_sym_var] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_debugger] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_EQ_GT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2316),
    [anon_sym_void] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2314),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_regex] = ACTIONS(2318),
    [sym_number] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2318),
    [sym_this] = ACTIONS(2316),
    [sym_super] = ACTIONS(2316),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [sym_null] = ACTIONS(2316),
    [sym_undefined] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2316),
    [anon_sym_set] = ACTIONS(2316),
  },
  [2201] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1268),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(4067),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [2202] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(4069),
    [anon_sym_of] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2203] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(4073),
    [anon_sym_of] = ACTIONS(4075),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2204] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(4077),
    [anon_sym_of] = ACTIONS(4079),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2205] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2334),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2206] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2335),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2207] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2337),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(4081),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2208] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2338),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2209] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2339),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2210] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2340),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2211] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2341),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2212] = {
    [sym__automatic_semicolon] = ACTIONS(4083),
    [anon_sym_SEMI] = ACTIONS(4083),
    [sym_comment] = ACTIONS(76),
  },
  [2213] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_catch] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2214] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2344),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4085),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2215] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4087),
  },
  [2216] = {
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_finally] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_regex] = ACTIONS(2503),
    [sym_number] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
  },
  [2217] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(1830),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4089),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2218] = {
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2507),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_regex] = ACTIONS(2511),
    [sym_number] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
  },
  [2219] = {
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2513),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_EQ_GT] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2513),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2513),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_regex] = ACTIONS(2517),
    [sym_number] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
  },
  [2220] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [2221] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4091),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2222] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [2223] = {
    [sym_statement_block] = STATE(2348),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [sym_comment] = ACTIONS(76),
  },
  [2224] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [2225] = {
    [sym_statement_block] = STATE(2349),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [sym_comment] = ACTIONS(76),
  },
  [2226] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [2227] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2228] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4093),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2229] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(4095),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [2230] = {
    [sym_class_body] = STATE(2352),
    [anon_sym_LBRACE] = ACTIONS(3621),
    [sym_comment] = ACTIONS(76),
  },
  [2231] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_instanceof] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2232] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_PIPE_PIPE] = ACTIONS(3389),
    [anon_sym_GT_GT] = ACTIONS(3015),
    [anon_sym_GT_GT_GT] = ACTIONS(3013),
    [anon_sym_LT_LT] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3389),
    [anon_sym_PIPE] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_PERCENT] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_instanceof] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [2233] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2234] = {
    [anon_sym_RPAREN] = ACTIONS(4097),
    [sym_comment] = ACTIONS(76),
  },
  [2235] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4099),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2236] = {
    [anon_sym_RPAREN] = ACTIONS(4101),
    [sym_comment] = ACTIONS(76),
  },
  [2237] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2238] = {
    [anon_sym_RPAREN] = ACTIONS(4105),
    [sym_comment] = ACTIONS(76),
  },
  [2239] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4107),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2240] = {
    [sym_export_statement] = STATE(2136),
    [sym__declaration] = STATE(2136),
    [sym_import_statement] = STATE(2136),
    [sym_expression_statement] = STATE(2136),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2136),
    [sym_if_statement] = STATE(2136),
    [sym_switch_statement] = STATE(2136),
    [sym_for_statement] = STATE(2136),
    [sym_for_in_statement] = STATE(2136),
    [sym_for_of_statement] = STATE(2136),
    [sym_while_statement] = STATE(2136),
    [sym_do_statement] = STATE(2136),
    [sym_try_statement] = STATE(2136),
    [sym_with_statement] = STATE(2136),
    [sym_break_statement] = STATE(2136),
    [sym_continue_statement] = STATE(2136),
    [sym_debugger_statement] = STATE(2136),
    [sym_return_statement] = STATE(2136),
    [sym_throw_statement] = STATE(2136),
    [sym_empty_statement] = STATE(2136),
    [sym_labeled_statement] = STATE(2136),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2241] = {
    [sym_export_statement] = STATE(2137),
    [sym__declaration] = STATE(2137),
    [sym_import_statement] = STATE(2137),
    [sym_expression_statement] = STATE(2137),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2137),
    [sym_if_statement] = STATE(2137),
    [sym_switch_statement] = STATE(2137),
    [sym_for_statement] = STATE(2137),
    [sym_for_in_statement] = STATE(2137),
    [sym_for_of_statement] = STATE(2137),
    [sym_while_statement] = STATE(2137),
    [sym_do_statement] = STATE(2137),
    [sym_try_statement] = STATE(2137),
    [sym_with_statement] = STATE(2137),
    [sym_break_statement] = STATE(2137),
    [sym_continue_statement] = STATE(2137),
    [sym_debugger_statement] = STATE(2137),
    [sym_return_statement] = STATE(2137),
    [sym_throw_statement] = STATE(2137),
    [sym_empty_statement] = STATE(2137),
    [sym_labeled_statement] = STATE(2137),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2242] = {
    [sym_export_statement] = STATE(2138),
    [sym__declaration] = STATE(2138),
    [sym_import_statement] = STATE(2138),
    [sym_expression_statement] = STATE(2138),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2138),
    [sym_if_statement] = STATE(2138),
    [sym_switch_statement] = STATE(2138),
    [sym_for_statement] = STATE(2138),
    [sym_for_in_statement] = STATE(2138),
    [sym_for_of_statement] = STATE(2138),
    [sym_while_statement] = STATE(2138),
    [sym_do_statement] = STATE(2138),
    [sym_try_statement] = STATE(2138),
    [sym_with_statement] = STATE(2138),
    [sym_break_statement] = STATE(2138),
    [sym_continue_statement] = STATE(2138),
    [sym_debugger_statement] = STATE(2138),
    [sym_return_statement] = STATE(2138),
    [sym_throw_statement] = STATE(2138),
    [sym_empty_statement] = STATE(2138),
    [sym_labeled_statement] = STATE(2138),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2243] = {
    [sym_export_statement] = STATE(2139),
    [sym__declaration] = STATE(2139),
    [sym_import_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_switch_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_for_in_statement] = STATE(2139),
    [sym_for_of_statement] = STATE(2139),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_try_statement] = STATE(2139),
    [sym_with_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_debugger_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_statement] = STATE(2139),
    [sym_empty_statement] = STATE(2139),
    [sym_labeled_statement] = STATE(2139),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2244] = {
    [sym_export_statement] = STATE(2140),
    [sym__declaration] = STATE(2140),
    [sym_import_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_switch_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_for_in_statement] = STATE(2140),
    [sym_for_of_statement] = STATE(2140),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_try_statement] = STATE(2140),
    [sym_with_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_debugger_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_statement] = STATE(2140),
    [sym_empty_statement] = STATE(2140),
    [sym_labeled_statement] = STATE(2140),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2245] = {
    [sym_export_statement] = STATE(2141),
    [sym__declaration] = STATE(2141),
    [sym_import_statement] = STATE(2141),
    [sym_expression_statement] = STATE(2141),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2141),
    [sym_if_statement] = STATE(2141),
    [sym_switch_statement] = STATE(2141),
    [sym_for_statement] = STATE(2141),
    [sym_for_in_statement] = STATE(2141),
    [sym_for_of_statement] = STATE(2141),
    [sym_while_statement] = STATE(2141),
    [sym_do_statement] = STATE(2141),
    [sym_try_statement] = STATE(2141),
    [sym_with_statement] = STATE(2141),
    [sym_break_statement] = STATE(2141),
    [sym_continue_statement] = STATE(2141),
    [sym_debugger_statement] = STATE(2141),
    [sym_return_statement] = STATE(2141),
    [sym_throw_statement] = STATE(2141),
    [sym_empty_statement] = STATE(2141),
    [sym_labeled_statement] = STATE(2141),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2246] = {
    [sym_export_statement] = STATE(2142),
    [sym__declaration] = STATE(2142),
    [sym_import_statement] = STATE(2142),
    [sym_expression_statement] = STATE(2142),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2142),
    [sym_if_statement] = STATE(2142),
    [sym_switch_statement] = STATE(2142),
    [sym_for_statement] = STATE(2142),
    [sym_for_in_statement] = STATE(2142),
    [sym_for_of_statement] = STATE(2142),
    [sym_while_statement] = STATE(2142),
    [sym_do_statement] = STATE(2142),
    [sym_try_statement] = STATE(2142),
    [sym_with_statement] = STATE(2142),
    [sym_break_statement] = STATE(2142),
    [sym_continue_statement] = STATE(2142),
    [sym_debugger_statement] = STATE(2142),
    [sym_return_statement] = STATE(2142),
    [sym_throw_statement] = STATE(2142),
    [sym_empty_statement] = STATE(2142),
    [sym_labeled_statement] = STATE(2142),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2247] = {
    [sym_statement_block] = STATE(2143),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [sym_comment] = ACTIONS(76),
  },
  [2248] = {
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_GT] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [sym_jsx_identifier] = ACTIONS(3119),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3119),
  },
  [2249] = {
    [anon_sym_GT] = ACTIONS(4109),
    [sym_comment] = ACTIONS(76),
  },
  [2250] = {
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_GT] = ACTIONS(3143),
    [anon_sym_SLASH] = ACTIONS(3145),
    [sym_jsx_identifier] = ACTIONS(3145),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3145),
  },
  [2251] = {
    [anon_sym_LBRACE] = ACTIONS(3147),
    [anon_sym_GT] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [sym_jsx_identifier] = ACTIONS(3149),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3149),
  },
  [2252] = {
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_GT] = ACTIONS(3193),
    [anon_sym_SLASH] = ACTIONS(3195),
    [sym_jsx_identifier] = ACTIONS(3195),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3195),
  },
  [2253] = {
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_GT] = ACTIONS(3197),
    [anon_sym_SLASH] = ACTIONS(3199),
    [sym_jsx_identifier] = ACTIONS(3199),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3199),
  },
  [2254] = {
    [sym_export_statement] = STATE(2260),
    [sym__declaration] = STATE(2260),
    [sym_import_statement] = STATE(2260),
    [sym_expression_statement] = STATE(2260),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2260),
    [sym_if_statement] = STATE(2260),
    [sym_switch_statement] = STATE(2260),
    [sym_for_statement] = STATE(2260),
    [sym_for_in_statement] = STATE(2260),
    [sym_for_of_statement] = STATE(2260),
    [sym_while_statement] = STATE(2260),
    [sym_do_statement] = STATE(2260),
    [sym_try_statement] = STATE(2260),
    [sym_with_statement] = STATE(2260),
    [sym_break_statement] = STATE(2260),
    [sym_continue_statement] = STATE(2260),
    [sym_debugger_statement] = STATE(2260),
    [sym_return_statement] = STATE(2260),
    [sym_throw_statement] = STATE(2260),
    [sym_empty_statement] = STATE(2260),
    [sym_labeled_statement] = STATE(2260),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2255] = {
    [sym_export_statement] = STATE(2261),
    [sym__declaration] = STATE(2261),
    [sym_import_statement] = STATE(2261),
    [sym_expression_statement] = STATE(2261),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2261),
    [sym_if_statement] = STATE(2261),
    [sym_switch_statement] = STATE(2261),
    [sym_for_statement] = STATE(2261),
    [sym_for_in_statement] = STATE(2261),
    [sym_for_of_statement] = STATE(2261),
    [sym_while_statement] = STATE(2261),
    [sym_do_statement] = STATE(2261),
    [sym_try_statement] = STATE(2261),
    [sym_with_statement] = STATE(2261),
    [sym_break_statement] = STATE(2261),
    [sym_continue_statement] = STATE(2261),
    [sym_debugger_statement] = STATE(2261),
    [sym_return_statement] = STATE(2261),
    [sym_throw_statement] = STATE(2261),
    [sym_empty_statement] = STATE(2261),
    [sym_labeled_statement] = STATE(2261),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2256] = {
    [sym_export_statement] = STATE(2262),
    [sym__declaration] = STATE(2262),
    [sym_import_statement] = STATE(2262),
    [sym_expression_statement] = STATE(2262),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2262),
    [sym_if_statement] = STATE(2262),
    [sym_switch_statement] = STATE(2262),
    [sym_for_statement] = STATE(2262),
    [sym_for_in_statement] = STATE(2262),
    [sym_for_of_statement] = STATE(2262),
    [sym_while_statement] = STATE(2262),
    [sym_do_statement] = STATE(2262),
    [sym_try_statement] = STATE(2262),
    [sym_with_statement] = STATE(2262),
    [sym_break_statement] = STATE(2262),
    [sym_continue_statement] = STATE(2262),
    [sym_debugger_statement] = STATE(2262),
    [sym_return_statement] = STATE(2262),
    [sym_throw_statement] = STATE(2262),
    [sym_empty_statement] = STATE(2262),
    [sym_labeled_statement] = STATE(2262),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2257] = {
    [sym_export_statement] = STATE(2263),
    [sym__declaration] = STATE(2263),
    [sym_import_statement] = STATE(2263),
    [sym_expression_statement] = STATE(2263),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2263),
    [sym_if_statement] = STATE(2263),
    [sym_switch_statement] = STATE(2263),
    [sym_for_statement] = STATE(2263),
    [sym_for_in_statement] = STATE(2263),
    [sym_for_of_statement] = STATE(2263),
    [sym_while_statement] = STATE(2263),
    [sym_do_statement] = STATE(2263),
    [sym_try_statement] = STATE(2263),
    [sym_with_statement] = STATE(2263),
    [sym_break_statement] = STATE(2263),
    [sym_continue_statement] = STATE(2263),
    [sym_debugger_statement] = STATE(2263),
    [sym_return_statement] = STATE(2263),
    [sym_throw_statement] = STATE(2263),
    [sym_empty_statement] = STATE(2263),
    [sym_labeled_statement] = STATE(2263),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2258] = {
    [sym_export_statement] = STATE(2264),
    [sym__declaration] = STATE(2264),
    [sym_import_statement] = STATE(2264),
    [sym_expression_statement] = STATE(2264),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2264),
    [sym_if_statement] = STATE(2264),
    [sym_switch_statement] = STATE(2264),
    [sym_for_statement] = STATE(2264),
    [sym_for_in_statement] = STATE(2264),
    [sym_for_of_statement] = STATE(2264),
    [sym_while_statement] = STATE(2264),
    [sym_do_statement] = STATE(2264),
    [sym_try_statement] = STATE(2264),
    [sym_with_statement] = STATE(2264),
    [sym_break_statement] = STATE(2264),
    [sym_continue_statement] = STATE(2264),
    [sym_debugger_statement] = STATE(2264),
    [sym_return_statement] = STATE(2264),
    [sym_throw_statement] = STATE(2264),
    [sym_empty_statement] = STATE(2264),
    [sym_labeled_statement] = STATE(2264),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2259] = {
    [sym_export_statement] = STATE(2265),
    [sym__declaration] = STATE(2265),
    [sym_import_statement] = STATE(2265),
    [sym_expression_statement] = STATE(2265),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2265),
    [sym_if_statement] = STATE(2265),
    [sym_switch_statement] = STATE(2265),
    [sym_for_statement] = STATE(2265),
    [sym_for_in_statement] = STATE(2265),
    [sym_for_of_statement] = STATE(2265),
    [sym_while_statement] = STATE(2265),
    [sym_do_statement] = STATE(2265),
    [sym_try_statement] = STATE(2265),
    [sym_with_statement] = STATE(2265),
    [sym_break_statement] = STATE(2265),
    [sym_continue_statement] = STATE(2265),
    [sym_debugger_statement] = STATE(2265),
    [sym_return_statement] = STATE(2265),
    [sym_throw_statement] = STATE(2265),
    [sym_empty_statement] = STATE(2265),
    [sym_labeled_statement] = STATE(2265),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(394),
    [sym_function] = STATE(395),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(394),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(396),
    [anon_sym_export] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1329),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2260] = {
    [ts_builtin_sym_end] = ACTIONS(3931),
    [anon_sym_export] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_import] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_else] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_with] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_debugger] = ACTIONS(3933),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3931),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_function] = ACTIONS(3933),
    [anon_sym_EQ_GT] = ACTIONS(3931),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym_void] = ACTIONS(3933),
    [anon_sym_delete] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3931),
    [anon_sym_BQUOTE] = ACTIONS(3931),
    [sym_regex] = ACTIONS(3935),
    [sym_number] = ACTIONS(3933),
    [sym_identifier] = ACTIONS(3935),
    [sym_this] = ACTIONS(3933),
    [sym_super] = ACTIONS(3933),
    [sym_true] = ACTIONS(3933),
    [sym_false] = ACTIONS(3933),
    [sym_null] = ACTIONS(3933),
    [sym_undefined] = ACTIONS(3933),
    [anon_sym_AT] = ACTIONS(3931),
    [anon_sym_get] = ACTIONS(3933),
    [anon_sym_set] = ACTIONS(3933),
  },
  [2261] = {
    [ts_builtin_sym_end] = ACTIONS(3937),
    [anon_sym_export] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_import] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(3939),
    [anon_sym_let] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3939),
    [anon_sym_else] = ACTIONS(3939),
    [anon_sym_switch] = ACTIONS(3939),
    [anon_sym_for] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3939),
    [anon_sym_do] = ACTIONS(3939),
    [anon_sym_try] = ACTIONS(3939),
    [anon_sym_with] = ACTIONS(3939),
    [anon_sym_break] = ACTIONS(3939),
    [anon_sym_continue] = ACTIONS(3939),
    [anon_sym_debugger] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3939),
    [anon_sym_throw] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3937),
    [anon_sym_yield] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_async] = ACTIONS(3939),
    [anon_sym_function] = ACTIONS(3939),
    [anon_sym_EQ_GT] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3939),
    [anon_sym_await] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3939),
    [anon_sym_DASH] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3937),
    [anon_sym_TILDE] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3939),
    [anon_sym_void] = ACTIONS(3939),
    [anon_sym_delete] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3937),
    [anon_sym_DASH_DASH] = ACTIONS(3937),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3937),
    [anon_sym_BQUOTE] = ACTIONS(3937),
    [sym_regex] = ACTIONS(3941),
    [sym_number] = ACTIONS(3939),
    [sym_identifier] = ACTIONS(3941),
    [sym_this] = ACTIONS(3939),
    [sym_super] = ACTIONS(3939),
    [sym_true] = ACTIONS(3939),
    [sym_false] = ACTIONS(3939),
    [sym_null] = ACTIONS(3939),
    [sym_undefined] = ACTIONS(3939),
    [anon_sym_AT] = ACTIONS(3937),
    [anon_sym_get] = ACTIONS(3939),
    [anon_sym_set] = ACTIONS(3939),
  },
  [2262] = {
    [ts_builtin_sym_end] = ACTIONS(3943),
    [anon_sym_export] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_import] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_else] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_with] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_debugger] = ACTIONS(3945),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(3943),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_function] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(3943),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_void] = ACTIONS(3945),
    [anon_sym_delete] = ACTIONS(3945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3943),
    [anon_sym_BQUOTE] = ACTIONS(3943),
    [sym_regex] = ACTIONS(3947),
    [sym_number] = ACTIONS(3945),
    [sym_identifier] = ACTIONS(3947),
    [sym_this] = ACTIONS(3945),
    [sym_super] = ACTIONS(3945),
    [sym_true] = ACTIONS(3945),
    [sym_false] = ACTIONS(3945),
    [sym_null] = ACTIONS(3945),
    [sym_undefined] = ACTIONS(3945),
    [anon_sym_AT] = ACTIONS(3943),
    [anon_sym_get] = ACTIONS(3945),
    [anon_sym_set] = ACTIONS(3945),
  },
  [2263] = {
    [ts_builtin_sym_end] = ACTIONS(3949),
    [anon_sym_export] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_RBRACE] = ACTIONS(3949),
    [anon_sym_import] = ACTIONS(3951),
    [anon_sym_var] = ACTIONS(3951),
    [anon_sym_let] = ACTIONS(3951),
    [anon_sym_const] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3951),
    [anon_sym_else] = ACTIONS(3951),
    [anon_sym_switch] = ACTIONS(3951),
    [anon_sym_for] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3951),
    [anon_sym_do] = ACTIONS(3951),
    [anon_sym_try] = ACTIONS(3951),
    [anon_sym_with] = ACTIONS(3951),
    [anon_sym_break] = ACTIONS(3951),
    [anon_sym_continue] = ACTIONS(3951),
    [anon_sym_debugger] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3951),
    [anon_sym_throw] = ACTIONS(3951),
    [anon_sym_SEMI] = ACTIONS(3949),
    [anon_sym_yield] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3951),
    [anon_sym_async] = ACTIONS(3951),
    [anon_sym_function] = ACTIONS(3951),
    [anon_sym_EQ_GT] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_await] = ACTIONS(3951),
    [anon_sym_PLUS] = ACTIONS(3951),
    [anon_sym_DASH] = ACTIONS(3951),
    [anon_sym_BANG] = ACTIONS(3949),
    [anon_sym_TILDE] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3951),
    [anon_sym_void] = ACTIONS(3951),
    [anon_sym_delete] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3949),
    [anon_sym_DASH_DASH] = ACTIONS(3949),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3949),
    [anon_sym_BQUOTE] = ACTIONS(3949),
    [sym_regex] = ACTIONS(3953),
    [sym_number] = ACTIONS(3951),
    [sym_identifier] = ACTIONS(3953),
    [sym_this] = ACTIONS(3951),
    [sym_super] = ACTIONS(3951),
    [sym_true] = ACTIONS(3951),
    [sym_false] = ACTIONS(3951),
    [sym_null] = ACTIONS(3951),
    [sym_undefined] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(3949),
    [anon_sym_get] = ACTIONS(3951),
    [anon_sym_set] = ACTIONS(3951),
  },
  [2264] = {
    [ts_builtin_sym_end] = ACTIONS(3955),
    [anon_sym_export] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_import] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_else] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_with] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_debugger] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LT] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3957),
    [anon_sym_EQ_GT] = ACTIONS(3955),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3957),
    [anon_sym_delete] = ACTIONS(3957),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3955),
    [anon_sym_BQUOTE] = ACTIONS(3955),
    [sym_regex] = ACTIONS(3959),
    [sym_number] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [sym_this] = ACTIONS(3957),
    [sym_super] = ACTIONS(3957),
    [sym_true] = ACTIONS(3957),
    [sym_false] = ACTIONS(3957),
    [sym_null] = ACTIONS(3957),
    [sym_undefined] = ACTIONS(3957),
    [anon_sym_AT] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
  },
  [2265] = {
    [ts_builtin_sym_end] = ACTIONS(3961),
    [anon_sym_export] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3961),
    [anon_sym_RBRACE] = ACTIONS(3961),
    [anon_sym_import] = ACTIONS(3963),
    [anon_sym_var] = ACTIONS(3963),
    [anon_sym_let] = ACTIONS(3963),
    [anon_sym_const] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3963),
    [anon_sym_else] = ACTIONS(3963),
    [anon_sym_switch] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3963),
    [anon_sym_do] = ACTIONS(3963),
    [anon_sym_try] = ACTIONS(3963),
    [anon_sym_with] = ACTIONS(3963),
    [anon_sym_break] = ACTIONS(3963),
    [anon_sym_continue] = ACTIONS(3963),
    [anon_sym_debugger] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3963),
    [anon_sym_throw] = ACTIONS(3963),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_yield] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(3961),
    [anon_sym_LT] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3963),
    [anon_sym_async] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3963),
    [anon_sym_EQ_GT] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3963),
    [anon_sym_await] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(3963),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3963),
    [anon_sym_void] = ACTIONS(3963),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3961),
    [anon_sym_DASH_DASH] = ACTIONS(3961),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3961),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_regex] = ACTIONS(3965),
    [sym_number] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [sym_this] = ACTIONS(3963),
    [sym_super] = ACTIONS(3963),
    [sym_true] = ACTIONS(3963),
    [sym_false] = ACTIONS(3963),
    [sym_null] = ACTIONS(3963),
    [sym_undefined] = ACTIONS(3963),
    [anon_sym_AT] = ACTIONS(3961),
    [anon_sym_get] = ACTIONS(3963),
    [anon_sym_set] = ACTIONS(3963),
  },
  [2266] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [2267] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4111),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2268] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [2269] = {
    [sym_statement_block] = STATE(2361),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [sym_comment] = ACTIONS(76),
  },
  [2270] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [2271] = {
    [sym_statement_block] = STATE(2362),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [sym_comment] = ACTIONS(76),
  },
  [2272] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [2273] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2274] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4113),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2275] = {
    [sym_class_body] = STATE(2364),
    [anon_sym_LBRACE] = ACTIONS(3833),
    [sym_comment] = ACTIONS(76),
  },
  [2276] = {
    [sym__automatic_semicolon] = ACTIONS(4115),
    [anon_sym_SEMI] = ACTIONS(4115),
    [sym_comment] = ACTIONS(76),
  },
  [2277] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(4115),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [2278] = {
    [sym_class_heritage] = STATE(2367),
    [sym_class_body] = STATE(2368),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2279] = {
    [sym_formal_parameters] = STATE(2370),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4119),
  },
  [2280] = {
    [sym_formal_parameters] = STATE(2372),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4121),
  },
  [2281] = {
    [sym_formal_parameters] = STATE(2370),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2282] = {
    [sym_statement_block] = STATE(2374),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [sym_comment] = ACTIONS(76),
  },
  [2283] = {
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_regex] = ACTIONS(1275),
    [sym_number] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1275),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
  },
  [2284] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4125),
  },
  [2285] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2286] = {
    [anon_sym_export] = ACTIONS(1479),
    [anon_sym_default] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_var] = ACTIONS(1479),
    [anon_sym_let] = ACTIONS(1479),
    [anon_sym_const] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_else] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_debugger] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1479),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(1479),
    [anon_sym_EQ_GT] = ACTIONS(1477),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_await] = ACTIONS(1479),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_TILDE] = ACTIONS(1477),
    [anon_sym_typeof] = ACTIONS(1479),
    [anon_sym_void] = ACTIONS(1479),
    [anon_sym_delete] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1477),
    [anon_sym_BQUOTE] = ACTIONS(1477),
    [sym_regex] = ACTIONS(1481),
    [sym_number] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1481),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_null] = ACTIONS(1479),
    [sym_undefined] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1479),
    [anon_sym_set] = ACTIONS(1479),
  },
  [2287] = {
    [sym__automatic_semicolon] = ACTIONS(4127),
    [anon_sym_SEMI] = ACTIONS(4127),
    [sym_comment] = ACTIONS(76),
  },
  [2288] = {
    [anon_sym_export] = ACTIONS(1495),
    [anon_sym_default] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_import] = ACTIONS(1495),
    [anon_sym_var] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_const] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_else] = ACTIONS(1495),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_do] = ACTIONS(1495),
    [anon_sym_try] = ACTIONS(1495),
    [anon_sym_with] = ACTIONS(1495),
    [anon_sym_break] = ACTIONS(1495),
    [anon_sym_continue] = ACTIONS(1495),
    [anon_sym_debugger] = ACTIONS(1495),
    [anon_sym_return] = ACTIONS(1495),
    [anon_sym_throw] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1495),
    [anon_sym_yield] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1495),
    [anon_sym_async] = ACTIONS(1495),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_await] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_typeof] = ACTIONS(1495),
    [anon_sym_void] = ACTIONS(1495),
    [anon_sym_delete] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [sym_regex] = ACTIONS(1497),
    [sym_number] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1495),
    [anon_sym_set] = ACTIONS(1495),
  },
  [2289] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(4129),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(4129),
    [sym_comment] = ACTIONS(76),
  },
  [2290] = {
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1505),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_regex] = ACTIONS(1509),
    [sym_number] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1505),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
  },
  [2291] = {
    [aux_sym_variable_declaration_repeat1] = STATE(791),
    [sym__automatic_semicolon] = ACTIONS(4131),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(4131),
    [sym_comment] = ACTIONS(76),
  },
  [2292] = {
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [anon_sym_let] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(4133),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_async] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_void] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1559),
    [sym_regex] = ACTIONS(1565),
    [sym_number] = ACTIONS(1561),
    [sym_identifier] = ACTIONS(1565),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
  },
  [2293] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(2381),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(4135),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [2294] = {
    [anon_sym_export] = ACTIONS(1583),
    [anon_sym_default] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1583),
    [anon_sym_var] = ACTIONS(1583),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_const] = ACTIONS(1583),
    [anon_sym_if] = ACTIONS(1583),
    [anon_sym_else] = ACTIONS(1583),
    [anon_sym_switch] = ACTIONS(1583),
    [anon_sym_for] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1583),
    [anon_sym_do] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1583),
    [anon_sym_with] = ACTIONS(1583),
    [anon_sym_break] = ACTIONS(1583),
    [anon_sym_continue] = ACTIONS(1583),
    [anon_sym_debugger] = ACTIONS(1583),
    [anon_sym_return] = ACTIONS(1583),
    [anon_sym_throw] = ACTIONS(1583),
    [anon_sym_SEMI] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1583),
    [anon_sym_yield] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1583),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1583),
    [anon_sym_EQ_GT] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [anon_sym_typeof] = ACTIONS(1583),
    [anon_sym_void] = ACTIONS(1583),
    [anon_sym_delete] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1581),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1581),
    [anon_sym_BQUOTE] = ACTIONS(1581),
    [sym_regex] = ACTIONS(1585),
    [sym_number] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_this] = ACTIONS(1583),
    [sym_super] = ACTIONS(1583),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_null] = ACTIONS(1583),
    [sym_undefined] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1583),
    [anon_sym_set] = ACTIONS(1583),
  },
  [2295] = {
    [sym_variable_declarator] = STATE(842),
    [sym_object] = STATE(2383),
    [sym_array] = STATE(2384),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4137),
  },
  [2296] = {
    [sym_variable_declarator] = STATE(845),
    [sym_object] = STATE(2383),
    [sym_array] = STATE(2384),
    [anon_sym_LBRACE] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4137),
  },
  [2297] = {
    [sym__initializer] = STATE(223),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(4139),
    [anon_sym_of] = ACTIONS(4141),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_EQ_GT] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(339),
    [anon_sym_DASH_EQ] = ACTIONS(339),
    [anon_sym_STAR_EQ] = ACTIONS(339),
    [anon_sym_SLASH_EQ] = ACTIONS(339),
    [anon_sym_PERCENT_EQ] = ACTIONS(339),
    [anon_sym_CARET_EQ] = ACTIONS(339),
    [anon_sym_AMP_EQ] = ACTIONS(339),
    [anon_sym_PIPE_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(339),
    [anon_sym_LT_LT_EQ] = ACTIONS(339),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2298] = {
    [sym_expression_statement] = STATE(2387),
    [sym_empty_statement] = STATE(2387),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(404),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(244),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2299] = {
    [sym__initializer] = STATE(240),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(4143),
    [anon_sym_of] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2300] = {
    [sym__initializer] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(4147),
    [anon_sym_of] = ACTIONS(4149),
    [anon_sym_SEMI] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_AMP_AMP] = ACTIONS(323),
    [anon_sym_PIPE_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_GT_GT_GT] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_instanceof] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(323),
  },
  [2301] = {
    [anon_sym_export] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1667),
    [anon_sym_var] = ACTIONS(1667),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_else] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_try] = ACTIONS(1667),
    [anon_sym_with] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_debugger] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_class] = ACTIONS(1667),
    [anon_sym_async] = ACTIONS(1667),
    [anon_sym_function] = ACTIONS(1667),
    [anon_sym_EQ_GT] = ACTIONS(1665),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_typeof] = ACTIONS(1667),
    [anon_sym_void] = ACTIONS(1667),
    [anon_sym_delete] = ACTIONS(1667),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [sym_regex] = ACTIONS(1669),
    [sym_number] = ACTIONS(1667),
    [sym_identifier] = ACTIONS(1669),
    [sym_this] = ACTIONS(1667),
    [sym_super] = ACTIONS(1667),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [sym_null] = ACTIONS(1667),
    [sym_undefined] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_get] = ACTIONS(1667),
    [anon_sym_set] = ACTIONS(1667),
  },
  [2302] = {
    [sym_parenthesized_expression] = STATE(2392),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [sym_comment] = ACTIONS(76),
  },
  [2303] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_catch] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2304] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2305] = {
    [sym_statement_block] = STATE(2396),
    [anon_sym_LBRACE] = ACTIONS(4153),
    [anon_sym_LPAREN] = ACTIONS(4155),
    [sym_comment] = ACTIONS(76),
  },
  [2306] = {
    [sym_statement_block] = STATE(2398),
    [anon_sym_LBRACE] = ACTIONS(4157),
    [sym_comment] = ACTIONS(76),
  },
  [2307] = {
    [sym_finally_clause] = STATE(2399),
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_finally] = ACTIONS(4045),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [2308] = {
    [anon_sym_export] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1727),
    [anon_sym_let] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_try] = ACTIONS(1727),
    [anon_sym_with] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_debugger] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_yield] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1727),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1725),
    [anon_sym_BQUOTE] = ACTIONS(1725),
    [sym_regex] = ACTIONS(1729),
    [sym_number] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [sym_this] = ACTIONS(1727),
    [sym_super] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_undefined] = ACTIONS(1727),
    [anon_sym_AT] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1727),
    [anon_sym_set] = ACTIONS(1727),
  },
  [2309] = {
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_default] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_case] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1731),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_regex] = ACTIONS(1735),
    [sym_number] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
  },
  [2310] = {
    [anon_sym_export] = ACTIONS(1739),
    [anon_sym_default] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1739),
    [anon_sym_var] = ACTIONS(1739),
    [anon_sym_let] = ACTIONS(1739),
    [anon_sym_const] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(1739),
    [anon_sym_switch] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1739),
    [anon_sym_do] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1739),
    [anon_sym_with] = ACTIONS(1739),
    [anon_sym_break] = ACTIONS(1739),
    [anon_sym_continue] = ACTIONS(1739),
    [anon_sym_debugger] = ACTIONS(1739),
    [anon_sym_return] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1737),
    [anon_sym_case] = ACTIONS(1739),
    [anon_sym_yield] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_class] = ACTIONS(1739),
    [anon_sym_async] = ACTIONS(1739),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_EQ_GT] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1737),
    [anon_sym_typeof] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1739),
    [anon_sym_delete] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1737),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1737),
    [anon_sym_BQUOTE] = ACTIONS(1737),
    [sym_regex] = ACTIONS(1741),
    [sym_number] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [sym_this] = ACTIONS(1739),
    [sym_super] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_null] = ACTIONS(1739),
    [sym_undefined] = ACTIONS(1739),
    [anon_sym_AT] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1739),
    [anon_sym_set] = ACTIONS(1739),
  },
  [2311] = {
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_EQ_GT] = ACTIONS(1743),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1743),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_regex] = ACTIONS(1747),
    [sym_number] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
  },
  [2312] = {
    [anon_sym_export] = ACTIONS(1751),
    [anon_sym_default] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1751),
    [anon_sym_var] = ACTIONS(1751),
    [anon_sym_let] = ACTIONS(1751),
    [anon_sym_const] = ACTIONS(1751),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_try] = ACTIONS(1751),
    [anon_sym_with] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_debugger] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_throw] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym_case] = ACTIONS(1751),
    [anon_sym_yield] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1751),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(1751),
    [anon_sym_EQ_GT] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_typeof] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1751),
    [anon_sym_delete] = ACTIONS(1751),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1749),
    [anon_sym_BQUOTE] = ACTIONS(1749),
    [sym_regex] = ACTIONS(1753),
    [sym_number] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1751),
    [sym_super] = ACTIONS(1751),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_undefined] = ACTIONS(1751),
    [anon_sym_AT] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1751),
    [anon_sym_set] = ACTIONS(1751),
  },
  [2313] = {
    [anon_sym_export] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_else] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1755),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_regex] = ACTIONS(1759),
    [sym_number] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
  },
  [2314] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(2401),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4159),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2315] = {
    [sym_class_body] = STATE(2402),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [sym_comment] = ACTIONS(76),
  },
  [2316] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_default] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_else] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [2317] = {
    [sym_formal_parameters] = STATE(2403),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2318] = {
    [sym_statement_block] = STATE(2404),
    [anon_sym_LBRACE] = ACTIONS(4061),
    [sym_comment] = ACTIONS(76),
  },
  [2319] = {
    [sym_formal_parameters] = STATE(2405),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2320] = {
    [sym_statement_block] = STATE(2406),
    [anon_sym_LBRACE] = ACTIONS(4061),
    [sym_comment] = ACTIONS(76),
  },
  [2321] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2408),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4161),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2322] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_default] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_else] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_case] = ACTIONS(1916),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_GT] = ACTIONS(1916),
    [anon_sym_SLASH] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ] = ACTIONS(1916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_instanceof] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [2323] = {
    [anon_sym_export] = ACTIONS(1944),
    [anon_sym_default] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1944),
    [anon_sym_var] = ACTIONS(1944),
    [anon_sym_let] = ACTIONS(1944),
    [anon_sym_const] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_else] = ACTIONS(1944),
    [anon_sym_switch] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_with] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_debugger] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_throw] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1944),
    [anon_sym_yield] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_function] = ACTIONS(1944),
    [anon_sym_EQ_GT] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_TILDE] = ACTIONS(1942),
    [anon_sym_typeof] = ACTIONS(1944),
    [anon_sym_void] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1942),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1942),
    [anon_sym_BQUOTE] = ACTIONS(1942),
    [sym_regex] = ACTIONS(1946),
    [sym_number] = ACTIONS(1944),
    [sym_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1944),
    [sym_super] = ACTIONS(1944),
    [sym_true] = ACTIONS(1944),
    [sym_false] = ACTIONS(1944),
    [sym_null] = ACTIONS(1944),
    [sym_undefined] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1944),
    [anon_sym_set] = ACTIONS(1944),
  },
  [2324] = {
    [anon_sym_export] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_import] = ACTIONS(2895),
    [anon_sym_var] = ACTIONS(2895),
    [anon_sym_let] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_LPAREN] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_with] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_debugger] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_yield] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_async] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_await] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_typeof] = ACTIONS(2895),
    [anon_sym_void] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2893),
    [anon_sym_BQUOTE] = ACTIONS(2893),
    [sym_regex] = ACTIONS(2897),
    [sym_number] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [sym_this] = ACTIONS(2895),
    [sym_super] = ACTIONS(2895),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [sym_null] = ACTIONS(2895),
    [sym_undefined] = ACTIONS(2895),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2895),
    [anon_sym_set] = ACTIONS(2895),
  },
  [2325] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expression] = STATE(2409),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(265),
    [sym_array] = STATE(266),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(267),
    [sym_subscript_expression] = STATE(267),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(268),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(413),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(421),
    [anon_sym_void] = ACTIONS(421),
    [anon_sym_delete] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(427),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(429),
    [anon_sym_set] = ACTIONS(429),
  },
  [2326] = {
    [sym_class_heritage] = STATE(2410),
    [sym_class_body] = STATE(2402),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2327] = {
    [anon_sym_export] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_with] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_debugger] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_yield] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_function] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_await] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_void] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2981),
    [anon_sym_BQUOTE] = ACTIONS(2981),
    [sym_regex] = ACTIONS(2985),
    [sym_number] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2985),
    [sym_this] = ACTIONS(2983),
    [sym_super] = ACTIONS(2983),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [sym_null] = ACTIONS(2983),
    [sym_undefined] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2983),
  },
  [2328] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2411),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2329] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2412),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2330] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2413),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2331] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2414),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2332] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2415),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2333] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2416),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2334] = {
    [anon_sym_RPAREN] = ACTIONS(4163),
    [sym_comment] = ACTIONS(76),
  },
  [2335] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2336] = {
    [sym_export_statement] = STATE(2419),
    [sym__declaration] = STATE(2419),
    [sym_import_statement] = STATE(2419),
    [sym_expression_statement] = STATE(2419),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2419),
    [sym_if_statement] = STATE(2419),
    [sym_switch_statement] = STATE(2419),
    [sym_for_statement] = STATE(2419),
    [sym_for_in_statement] = STATE(2419),
    [sym_for_of_statement] = STATE(2419),
    [sym_while_statement] = STATE(2419),
    [sym_do_statement] = STATE(2419),
    [sym_try_statement] = STATE(2419),
    [sym_with_statement] = STATE(2419),
    [sym_break_statement] = STATE(2419),
    [sym_continue_statement] = STATE(2419),
    [sym_debugger_statement] = STATE(2419),
    [sym_return_statement] = STATE(2419),
    [sym_throw_statement] = STATE(2419),
    [sym_empty_statement] = STATE(2419),
    [sym_labeled_statement] = STATE(2419),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2337] = {
    [anon_sym_RPAREN] = ACTIONS(4167),
    [sym_comment] = ACTIONS(76),
  },
  [2338] = {
    [anon_sym_RPAREN] = ACTIONS(4169),
    [sym_comment] = ACTIONS(76),
  },
  [2339] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4171),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2340] = {
    [anon_sym_RPAREN] = ACTIONS(4173),
    [sym_comment] = ACTIONS(76),
  },
  [2341] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4175),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2342] = {
    [anon_sym_export] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_with] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_debugger] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3109),
    [anon_sym_EQ_GT] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym_void] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3107),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_regex] = ACTIONS(3111),
    [sym_number] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3111),
    [sym_this] = ACTIONS(3109),
    [sym_super] = ACTIONS(3109),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [sym_null] = ACTIONS(3109),
    [sym_undefined] = ACTIONS(3109),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3109),
    [anon_sym_set] = ACTIONS(3109),
  },
  [2343] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2344] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4177),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2345] = {
    [anon_sym_RPAREN] = ACTIONS(4179),
    [sym_comment] = ACTIONS(76),
  },
  [2346] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2347] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [2348] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [2349] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [2350] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2351] = {
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_EQ_GT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3213),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_regex] = ACTIONS(3217),
    [sym_number] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
  },
  [2352] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [2353] = {
    [sym_export_statement] = STATE(2260),
    [sym__declaration] = STATE(2260),
    [sym_import_statement] = STATE(2260),
    [sym_expression_statement] = STATE(2260),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2260),
    [sym_if_statement] = STATE(2260),
    [sym_switch_statement] = STATE(2260),
    [sym_for_statement] = STATE(2260),
    [sym_for_in_statement] = STATE(2260),
    [sym_for_of_statement] = STATE(2260),
    [sym_while_statement] = STATE(2260),
    [sym_do_statement] = STATE(2260),
    [sym_try_statement] = STATE(2260),
    [sym_with_statement] = STATE(2260),
    [sym_break_statement] = STATE(2260),
    [sym_continue_statement] = STATE(2260),
    [sym_debugger_statement] = STATE(2260),
    [sym_return_statement] = STATE(2260),
    [sym_throw_statement] = STATE(2260),
    [sym_empty_statement] = STATE(2260),
    [sym_labeled_statement] = STATE(2260),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2354] = {
    [sym_export_statement] = STATE(2261),
    [sym__declaration] = STATE(2261),
    [sym_import_statement] = STATE(2261),
    [sym_expression_statement] = STATE(2261),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2261),
    [sym_if_statement] = STATE(2261),
    [sym_switch_statement] = STATE(2261),
    [sym_for_statement] = STATE(2261),
    [sym_for_in_statement] = STATE(2261),
    [sym_for_of_statement] = STATE(2261),
    [sym_while_statement] = STATE(2261),
    [sym_do_statement] = STATE(2261),
    [sym_try_statement] = STATE(2261),
    [sym_with_statement] = STATE(2261),
    [sym_break_statement] = STATE(2261),
    [sym_continue_statement] = STATE(2261),
    [sym_debugger_statement] = STATE(2261),
    [sym_return_statement] = STATE(2261),
    [sym_throw_statement] = STATE(2261),
    [sym_empty_statement] = STATE(2261),
    [sym_labeled_statement] = STATE(2261),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2355] = {
    [sym_export_statement] = STATE(2262),
    [sym__declaration] = STATE(2262),
    [sym_import_statement] = STATE(2262),
    [sym_expression_statement] = STATE(2262),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2262),
    [sym_if_statement] = STATE(2262),
    [sym_switch_statement] = STATE(2262),
    [sym_for_statement] = STATE(2262),
    [sym_for_in_statement] = STATE(2262),
    [sym_for_of_statement] = STATE(2262),
    [sym_while_statement] = STATE(2262),
    [sym_do_statement] = STATE(2262),
    [sym_try_statement] = STATE(2262),
    [sym_with_statement] = STATE(2262),
    [sym_break_statement] = STATE(2262),
    [sym_continue_statement] = STATE(2262),
    [sym_debugger_statement] = STATE(2262),
    [sym_return_statement] = STATE(2262),
    [sym_throw_statement] = STATE(2262),
    [sym_empty_statement] = STATE(2262),
    [sym_labeled_statement] = STATE(2262),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2356] = {
    [sym_export_statement] = STATE(2263),
    [sym__declaration] = STATE(2263),
    [sym_import_statement] = STATE(2263),
    [sym_expression_statement] = STATE(2263),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2263),
    [sym_if_statement] = STATE(2263),
    [sym_switch_statement] = STATE(2263),
    [sym_for_statement] = STATE(2263),
    [sym_for_in_statement] = STATE(2263),
    [sym_for_of_statement] = STATE(2263),
    [sym_while_statement] = STATE(2263),
    [sym_do_statement] = STATE(2263),
    [sym_try_statement] = STATE(2263),
    [sym_with_statement] = STATE(2263),
    [sym_break_statement] = STATE(2263),
    [sym_continue_statement] = STATE(2263),
    [sym_debugger_statement] = STATE(2263),
    [sym_return_statement] = STATE(2263),
    [sym_throw_statement] = STATE(2263),
    [sym_empty_statement] = STATE(2263),
    [sym_labeled_statement] = STATE(2263),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2357] = {
    [sym_export_statement] = STATE(2264),
    [sym__declaration] = STATE(2264),
    [sym_import_statement] = STATE(2264),
    [sym_expression_statement] = STATE(2264),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2264),
    [sym_if_statement] = STATE(2264),
    [sym_switch_statement] = STATE(2264),
    [sym_for_statement] = STATE(2264),
    [sym_for_in_statement] = STATE(2264),
    [sym_for_of_statement] = STATE(2264),
    [sym_while_statement] = STATE(2264),
    [sym_do_statement] = STATE(2264),
    [sym_try_statement] = STATE(2264),
    [sym_with_statement] = STATE(2264),
    [sym_break_statement] = STATE(2264),
    [sym_continue_statement] = STATE(2264),
    [sym_debugger_statement] = STATE(2264),
    [sym_return_statement] = STATE(2264),
    [sym_throw_statement] = STATE(2264),
    [sym_empty_statement] = STATE(2264),
    [sym_labeled_statement] = STATE(2264),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2358] = {
    [sym_export_statement] = STATE(2265),
    [sym__declaration] = STATE(2265),
    [sym_import_statement] = STATE(2265),
    [sym_expression_statement] = STATE(2265),
    [sym_variable_declaration] = STATE(392),
    [sym_lexical_declaration] = STATE(392),
    [sym_statement_block] = STATE(2265),
    [sym_if_statement] = STATE(2265),
    [sym_switch_statement] = STATE(2265),
    [sym_for_statement] = STATE(2265),
    [sym_for_in_statement] = STATE(2265),
    [sym_for_of_statement] = STATE(2265),
    [sym_while_statement] = STATE(2265),
    [sym_do_statement] = STATE(2265),
    [sym_try_statement] = STATE(2265),
    [sym_with_statement] = STATE(2265),
    [sym_break_statement] = STATE(2265),
    [sym_continue_statement] = STATE(2265),
    [sym_debugger_statement] = STATE(2265),
    [sym_return_statement] = STATE(2265),
    [sym_throw_statement] = STATE(2265),
    [sym_empty_statement] = STATE(2265),
    [sym_labeled_statement] = STATE(2265),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(393),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(933),
    [sym_function] = STATE(934),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(933),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(935),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(1691),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(625),
    [anon_sym_continue] = ACTIONS(627),
    [anon_sym_debugger] = ACTIONS(629),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(1695),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2359] = {
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_GT] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3451),
    [sym_jsx_identifier] = ACTIONS(3451),
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(3451),
  },
  [2360] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [2361] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [2362] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [2363] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2364] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [2365] = {
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_EQ_GT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2065),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_regex] = ACTIONS(2069),
    [sym_number] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
  },
  [2366] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(2428),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4181),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2367] = {
    [sym_class_body] = STATE(2429),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [sym_comment] = ACTIONS(76),
  },
  [2368] = {
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1886),
    [anon_sym_default] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1886),
    [anon_sym_var] = ACTIONS(1886),
    [anon_sym_let] = ACTIONS(1886),
    [anon_sym_const] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_else] = ACTIONS(1886),
    [anon_sym_switch] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1886),
    [anon_sym_try] = ACTIONS(1886),
    [anon_sym_with] = ACTIONS(1886),
    [anon_sym_break] = ACTIONS(1886),
    [anon_sym_continue] = ACTIONS(1886),
    [anon_sym_debugger] = ACTIONS(1886),
    [anon_sym_return] = ACTIONS(1886),
    [anon_sym_throw] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_class] = ACTIONS(1886),
    [anon_sym_async] = ACTIONS(1886),
    [anon_sym_function] = ACTIONS(1886),
    [anon_sym_EQ_GT] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1886),
    [anon_sym_await] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_typeof] = ACTIONS(1886),
    [anon_sym_void] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [sym_regex] = ACTIONS(1888),
    [sym_number] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1886),
    [sym_super] = ACTIONS(1886),
    [sym_true] = ACTIONS(1886),
    [sym_false] = ACTIONS(1886),
    [sym_null] = ACTIONS(1886),
    [sym_undefined] = ACTIONS(1886),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1886),
    [anon_sym_set] = ACTIONS(1886),
  },
  [2369] = {
    [sym_formal_parameters] = STATE(2430),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2370] = {
    [sym_statement_block] = STATE(2431),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [sym_comment] = ACTIONS(76),
  },
  [2371] = {
    [sym_formal_parameters] = STATE(2432),
    [anon_sym_LPAREN] = ACTIONS(317),
    [sym_comment] = ACTIONS(76),
  },
  [2372] = {
    [sym_statement_block] = STATE(2433),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [sym_comment] = ACTIONS(76),
  },
  [2373] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2435),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4183),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2374] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_export] = ACTIONS(1916),
    [anon_sym_default] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1916),
    [anon_sym_var] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_else] = ACTIONS(1916),
    [anon_sym_switch] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_with] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_debugger] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_case] = ACTIONS(1916),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_function] = ACTIONS(1916),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1914),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [sym_regex] = ACTIONS(1918),
    [sym_number] = ACTIONS(1916),
    [sym_identifier] = ACTIONS(1918),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_true] = ACTIONS(1916),
    [sym_false] = ACTIONS(1916),
    [sym_null] = ACTIONS(1916),
    [sym_undefined] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_get] = ACTIONS(1916),
    [anon_sym_set] = ACTIONS(1916),
  },
  [2375] = {
    [sym_class_heritage] = STATE(2436),
    [sym_class_body] = STATE(2429),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_extends] = ACTIONS(937),
    [sym_comment] = ACTIONS(76),
  },
  [2376] = {
    [anon_sym_export] = ACTIONS(2227),
    [anon_sym_default] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2227),
    [anon_sym_var] = ACTIONS(2227),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2227),
    [anon_sym_switch] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_with] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_debugger] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_throw] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2227),
    [anon_sym_yield] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_function] = ACTIONS(2227),
    [anon_sym_EQ_GT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_regex] = ACTIONS(2229),
    [sym_number] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2227),
    [sym_super] = ACTIONS(2227),
    [sym_true] = ACTIONS(2227),
    [sym_false] = ACTIONS(2227),
    [sym_null] = ACTIONS(2227),
    [sym_undefined] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2227),
    [anon_sym_set] = ACTIONS(2227),
  },
  [2377] = {
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_default] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_else] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_EQ_GT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2239),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_regex] = ACTIONS(2243),
    [sym_number] = ACTIONS(2241),
    [sym_identifier] = ACTIONS(2243),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
  },
  [2378] = {
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_EQ_GT] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2248),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym_regex] = ACTIONS(2252),
    [sym_number] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
  },
  [2379] = {
    [sym_export_statement] = STATE(2437),
    [sym__declaration] = STATE(2437),
    [sym_import_statement] = STATE(2437),
    [sym_expression_statement] = STATE(2437),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2437),
    [sym_if_statement] = STATE(2437),
    [sym_switch_statement] = STATE(2437),
    [sym_for_statement] = STATE(2437),
    [sym_for_in_statement] = STATE(2437),
    [sym_for_of_statement] = STATE(2437),
    [sym_while_statement] = STATE(2437),
    [sym_do_statement] = STATE(2437),
    [sym_try_statement] = STATE(2437),
    [sym_with_statement] = STATE(2437),
    [sym_break_statement] = STATE(2437),
    [sym_continue_statement] = STATE(2437),
    [sym_debugger_statement] = STATE(2437),
    [sym_return_statement] = STATE(2437),
    [sym_throw_statement] = STATE(2437),
    [sym_empty_statement] = STATE(2437),
    [sym_labeled_statement] = STATE(2437),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2380] = {
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2316),
    [anon_sym_var] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_debugger] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_EQ_GT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_await] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2316),
    [anon_sym_void] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2314),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_regex] = ACTIONS(2318),
    [sym_number] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2318),
    [sym_this] = ACTIONS(2316),
    [sym_super] = ACTIONS(2316),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [sym_null] = ACTIONS(2316),
    [sym_undefined] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2316),
    [anon_sym_set] = ACTIONS(2316),
  },
  [2381] = {
    [sym_switch_case] = STATE(839),
    [sym_switch_default] = STATE(839),
    [aux_sym_switch_body_repeat1] = STATE(1268),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(4185),
    [anon_sym_case] = ACTIONS(1579),
    [sym_comment] = ACTIONS(76),
  },
  [2382] = {
    [sym__initializer] = STATE(357),
    [sym__automatic_semicolon] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(4187),
    [anon_sym_of] = ACTIONS(4189),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2383] = {
    [sym__initializer] = STATE(361),
    [sym__automatic_semicolon] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(4191),
    [anon_sym_of] = ACTIONS(4193),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2384] = {
    [sym__initializer] = STATE(362),
    [sym__automatic_semicolon] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(4195),
    [anon_sym_of] = ACTIONS(4197),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(587),
    [sym_comment] = ACTIONS(76),
  },
  [2385] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2445),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2386] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2446),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2387] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2448),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2388] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2449),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2389] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2450),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2390] = {
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2451),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(1290),
    [sym_array] = STATE(1291),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(33),
    [sym_function] = STATE(164),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(33),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1293),
    [aux_sym_export_statement_repeat1] = STATE(165),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_yield] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(224),
    [anon_sym_EQ_GT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
  },
  [2391] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2452),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2392] = {
    [sym__automatic_semicolon] = ACTIONS(4201),
    [anon_sym_SEMI] = ACTIONS(4201),
    [sym_comment] = ACTIONS(76),
  },
  [2393] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_catch] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2394] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2455),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4203),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2395] = {
    [sym_comment] = ACTIONS(76),
    [sym_identifier] = ACTIONS(4205),
  },
  [2396] = {
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_finally] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_regex] = ACTIONS(2503),
    [sym_number] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
  },
  [2397] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(2168),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4207),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2398] = {
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2507),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_regex] = ACTIONS(2511),
    [sym_number] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
  },
  [2399] = {
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2513),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_EQ_GT] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2513),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2513),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_regex] = ACTIONS(2517),
    [sym_number] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
  },
  [2400] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1822),
    [anon_sym_AMP_AMP] = ACTIONS(1822),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [2401] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4209),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2402] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2652),
    [anon_sym_GT_GT_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2650),
    [anon_sym_instanceof] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [2403] = {
    [sym_statement_block] = STATE(2459),
    [anon_sym_LBRACE] = ACTIONS(4061),
    [sym_comment] = ACTIONS(76),
  },
  [2404] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_GT_GT_GT] = ACTIONS(2656),
    [anon_sym_LT_LT] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_instanceof] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [2405] = {
    [sym_statement_block] = STATE(2460),
    [anon_sym_LBRACE] = ACTIONS(4061),
    [sym_comment] = ACTIONS(76),
  },
  [2406] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2668),
    [anon_sym_GT_GT_GT] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_LT_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2666),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_instanceof] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [2407] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2408] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4211),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2409] = {
    [sym_template_string] = STATE(225),
    [sym_arguments] = STATE(225),
    [sym__automatic_semicolon] = ACTIONS(4213),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(387),
    [anon_sym_DASH_DASH] = ACTIONS(387),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(80),
  },
  [2410] = {
    [sym_class_body] = STATE(2463),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [sym_comment] = ACTIONS(76),
  },
  [2411] = {
    [anon_sym_RPAREN] = ACTIONS(4215),
    [sym_comment] = ACTIONS(76),
  },
  [2412] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4217),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2413] = {
    [anon_sym_RPAREN] = ACTIONS(4219),
    [sym_comment] = ACTIONS(76),
  },
  [2414] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4221),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2415] = {
    [anon_sym_RPAREN] = ACTIONS(4223),
    [sym_comment] = ACTIONS(76),
  },
  [2416] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4225),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2417] = {
    [sym_export_statement] = STATE(2470),
    [sym__declaration] = STATE(2470),
    [sym_import_statement] = STATE(2470),
    [sym_expression_statement] = STATE(2470),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2470),
    [sym_if_statement] = STATE(2470),
    [sym_switch_statement] = STATE(2470),
    [sym_for_statement] = STATE(2470),
    [sym_for_in_statement] = STATE(2470),
    [sym_for_of_statement] = STATE(2470),
    [sym_while_statement] = STATE(2470),
    [sym_do_statement] = STATE(2470),
    [sym_try_statement] = STATE(2470),
    [sym_with_statement] = STATE(2470),
    [sym_break_statement] = STATE(2470),
    [sym_continue_statement] = STATE(2470),
    [sym_debugger_statement] = STATE(2470),
    [sym_return_statement] = STATE(2470),
    [sym_throw_statement] = STATE(2470),
    [sym_empty_statement] = STATE(2470),
    [sym_labeled_statement] = STATE(2470),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2418] = {
    [sym_export_statement] = STATE(2471),
    [sym__declaration] = STATE(2471),
    [sym_import_statement] = STATE(2471),
    [sym_expression_statement] = STATE(2471),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2471),
    [sym_if_statement] = STATE(2471),
    [sym_switch_statement] = STATE(2471),
    [sym_for_statement] = STATE(2471),
    [sym_for_in_statement] = STATE(2471),
    [sym_for_of_statement] = STATE(2471),
    [sym_while_statement] = STATE(2471),
    [sym_do_statement] = STATE(2471),
    [sym_try_statement] = STATE(2471),
    [sym_with_statement] = STATE(2471),
    [sym_break_statement] = STATE(2471),
    [sym_continue_statement] = STATE(2471),
    [sym_debugger_statement] = STATE(2471),
    [sym_return_statement] = STATE(2471),
    [sym_throw_statement] = STATE(2471),
    [sym_empty_statement] = STATE(2471),
    [sym_labeled_statement] = STATE(2471),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2419] = {
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_EQ_GT] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3403),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_regex] = ACTIONS(3407),
    [sym_number] = ACTIONS(3405),
    [sym_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
  },
  [2420] = {
    [sym_export_statement] = STATE(2472),
    [sym__declaration] = STATE(2472),
    [sym_import_statement] = STATE(2472),
    [sym_expression_statement] = STATE(2472),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2472),
    [sym_if_statement] = STATE(2472),
    [sym_switch_statement] = STATE(2472),
    [sym_for_statement] = STATE(2472),
    [sym_for_in_statement] = STATE(2472),
    [sym_for_of_statement] = STATE(2472),
    [sym_while_statement] = STATE(2472),
    [sym_do_statement] = STATE(2472),
    [sym_try_statement] = STATE(2472),
    [sym_with_statement] = STATE(2472),
    [sym_break_statement] = STATE(2472),
    [sym_continue_statement] = STATE(2472),
    [sym_debugger_statement] = STATE(2472),
    [sym_return_statement] = STATE(2472),
    [sym_throw_statement] = STATE(2472),
    [sym_empty_statement] = STATE(2472),
    [sym_labeled_statement] = STATE(2472),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2421] = {
    [sym_export_statement] = STATE(2473),
    [sym__declaration] = STATE(2473),
    [sym_import_statement] = STATE(2473),
    [sym_expression_statement] = STATE(2473),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2473),
    [sym_if_statement] = STATE(2473),
    [sym_switch_statement] = STATE(2473),
    [sym_for_statement] = STATE(2473),
    [sym_for_in_statement] = STATE(2473),
    [sym_for_of_statement] = STATE(2473),
    [sym_while_statement] = STATE(2473),
    [sym_do_statement] = STATE(2473),
    [sym_try_statement] = STATE(2473),
    [sym_with_statement] = STATE(2473),
    [sym_break_statement] = STATE(2473),
    [sym_continue_statement] = STATE(2473),
    [sym_debugger_statement] = STATE(2473),
    [sym_return_statement] = STATE(2473),
    [sym_throw_statement] = STATE(2473),
    [sym_empty_statement] = STATE(2473),
    [sym_labeled_statement] = STATE(2473),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2422] = {
    [sym_export_statement] = STATE(2474),
    [sym__declaration] = STATE(2474),
    [sym_import_statement] = STATE(2474),
    [sym_expression_statement] = STATE(2474),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2474),
    [sym_if_statement] = STATE(2474),
    [sym_switch_statement] = STATE(2474),
    [sym_for_statement] = STATE(2474),
    [sym_for_in_statement] = STATE(2474),
    [sym_for_of_statement] = STATE(2474),
    [sym_while_statement] = STATE(2474),
    [sym_do_statement] = STATE(2474),
    [sym_try_statement] = STATE(2474),
    [sym_with_statement] = STATE(2474),
    [sym_break_statement] = STATE(2474),
    [sym_continue_statement] = STATE(2474),
    [sym_debugger_statement] = STATE(2474),
    [sym_return_statement] = STATE(2474),
    [sym_throw_statement] = STATE(2474),
    [sym_empty_statement] = STATE(2474),
    [sym_labeled_statement] = STATE(2474),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2423] = {
    [sym_export_statement] = STATE(2475),
    [sym__declaration] = STATE(2475),
    [sym_import_statement] = STATE(2475),
    [sym_expression_statement] = STATE(2475),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2475),
    [sym_if_statement] = STATE(2475),
    [sym_switch_statement] = STATE(2475),
    [sym_for_statement] = STATE(2475),
    [sym_for_in_statement] = STATE(2475),
    [sym_for_of_statement] = STATE(2475),
    [sym_while_statement] = STATE(2475),
    [sym_do_statement] = STATE(2475),
    [sym_try_statement] = STATE(2475),
    [sym_with_statement] = STATE(2475),
    [sym_break_statement] = STATE(2475),
    [sym_continue_statement] = STATE(2475),
    [sym_debugger_statement] = STATE(2475),
    [sym_return_statement] = STATE(2475),
    [sym_throw_statement] = STATE(2475),
    [sym_empty_statement] = STATE(2475),
    [sym_labeled_statement] = STATE(2475),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2424] = {
    [sym_export_statement] = STATE(2476),
    [sym__declaration] = STATE(2476),
    [sym_import_statement] = STATE(2476),
    [sym_expression_statement] = STATE(2476),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2476),
    [sym_if_statement] = STATE(2476),
    [sym_switch_statement] = STATE(2476),
    [sym_for_statement] = STATE(2476),
    [sym_for_in_statement] = STATE(2476),
    [sym_for_of_statement] = STATE(2476),
    [sym_while_statement] = STATE(2476),
    [sym_do_statement] = STATE(2476),
    [sym_try_statement] = STATE(2476),
    [sym_with_statement] = STATE(2476),
    [sym_break_statement] = STATE(2476),
    [sym_continue_statement] = STATE(2476),
    [sym_debugger_statement] = STATE(2476),
    [sym_return_statement] = STATE(2476),
    [sym_throw_statement] = STATE(2476),
    [sym_empty_statement] = STATE(2476),
    [sym_labeled_statement] = STATE(2476),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2425] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2426] = {
    [sym_statement_block] = STATE(2477),
    [anon_sym_LBRACE] = ACTIONS(3921),
    [sym_comment] = ACTIONS(76),
  },
  [2427] = {
    [sym__automatic_semicolon] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1822),
    [anon_sym_DASH_DASH] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(1822),
    [sym_regex] = ACTIONS(2646),
    [sym_number] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
  },
  [2428] = {
    [sym_decorator] = STATE(561),
    [sym_public_field_definition] = STATE(562),
    [sym_method_definition] = STATE(563),
    [sym__property_name] = STATE(564),
    [sym_computed_property_name] = STATE(556),
    [aux_sym_export_statement_repeat1] = STATE(565),
    [aux_sym_class_body_repeat1] = STATE(1010),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(4227),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_async] = ACTIONS(901),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(903),
    [sym_number] = ACTIONS(905),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
  },
  [2429] = {
    [sym__automatic_semicolon] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2650),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_regex] = ACTIONS(2654),
    [sym_number] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
  },
  [2430] = {
    [sym_statement_block] = STATE(2479),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [sym_comment] = ACTIONS(76),
  },
  [2431] = {
    [sym__automatic_semicolon] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2656),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_regex] = ACTIONS(2660),
    [sym_number] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
  },
  [2432] = {
    [sym_statement_block] = STATE(2480),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [sym_comment] = ACTIONS(76),
  },
  [2433] = {
    [sym__automatic_semicolon] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2666),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_regex] = ACTIONS(2670),
    [sym_number] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
  },
  [2434] = {
    [sym__automatic_semicolon] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2435] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4229),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2436] = {
    [sym_class_body] = STATE(2482),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [sym_comment] = ACTIONS(76),
  },
  [2437] = {
    [anon_sym_export] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_import] = ACTIONS(2895),
    [anon_sym_var] = ACTIONS(2895),
    [anon_sym_let] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_LPAREN] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_with] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_debugger] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_yield] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_async] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_await] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_typeof] = ACTIONS(2895),
    [anon_sym_void] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2893),
    [anon_sym_BQUOTE] = ACTIONS(2893),
    [sym_regex] = ACTIONS(2897),
    [sym_number] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [sym_this] = ACTIONS(2895),
    [sym_super] = ACTIONS(2895),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [sym_null] = ACTIONS(2895),
    [sym_undefined] = ACTIONS(2895),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2895),
    [anon_sym_set] = ACTIONS(2895),
  },
  [2438] = {
    [anon_sym_export] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_with] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_debugger] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_yield] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_function] = ACTIONS(2983),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_await] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_void] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2981),
    [anon_sym_BQUOTE] = ACTIONS(2981),
    [sym_regex] = ACTIONS(2985),
    [sym_number] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2985),
    [sym_this] = ACTIONS(2983),
    [sym_super] = ACTIONS(2983),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [sym_null] = ACTIONS(2983),
    [sym_undefined] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2983),
  },
  [2439] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2483),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2440] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2484),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2441] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2485),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2442] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2486),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2443] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expressions] = STATE(2487),
    [sym__expression] = STATE(126),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(367),
    [sym_array] = STATE(368),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(132),
    [sym_subscript_expression] = STATE(132),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_sequence_expression] = STATE(133),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(134),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(166),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(174),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(178),
    [anon_sym_new] = ACTIONS(180),
    [anon_sym_await] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_BANG] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(190),
    [anon_sym_DASH_DASH] = ACTIONS(190),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(599),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(204),
    [anon_sym_set] = ACTIONS(204),
  },
  [2444] = {
    [sym_parenthesized_expression] = STATE(120),
    [sym__expression] = STATE(2488),
    [sym_yield_expression] = STATE(120),
    [sym_object] = STATE(1304),
    [sym_array] = STATE(1305),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_jsx_opening_element] = STATE(130),
    [sym_jsx_self_closing_element] = STATE(120),
    [sym_anonymous_class] = STATE(120),
    [sym_class] = STATE(120),
    [sym_function] = STATE(131),
    [sym_arrow_function] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_new_expression] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(1306),
    [sym_subscript_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(1307),
    [aux_sym_export_statement_repeat1] = STATE(135),
    [anon_sym_LBRACE] = ACTIONS(160),
    [anon_sym_LPAREN] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(168),
    [anon_sym_LT] = ACTIONS(170),
    [anon_sym_class] = ACTIONS(172),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(176),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(192),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym_regex] = ACTIONS(196),
    [sym_number] = ACTIONS(198),
    [sym_identifier] = ACTIONS(2396),
    [sym_this] = ACTIONS(198),
    [sym_super] = ACTIONS(202),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_null] = ACTIONS(198),
    [sym_undefined] = ACTIONS(198),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(2398),
    [anon_sym_set] = ACTIONS(2398),
  },
  [2445] = {
    [anon_sym_RPAREN] = ACTIONS(4231),
    [sym_comment] = ACTIONS(76),
  },
  [2446] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4233),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2447] = {
    [sym_export_statement] = STATE(2491),
    [sym__declaration] = STATE(2491),
    [sym_import_statement] = STATE(2491),
    [sym_expression_statement] = STATE(2491),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2491),
    [sym_if_statement] = STATE(2491),
    [sym_switch_statement] = STATE(2491),
    [sym_for_statement] = STATE(2491),
    [sym_for_in_statement] = STATE(2491),
    [sym_for_of_statement] = STATE(2491),
    [sym_while_statement] = STATE(2491),
    [sym_do_statement] = STATE(2491),
    [sym_try_statement] = STATE(2491),
    [sym_with_statement] = STATE(2491),
    [sym_break_statement] = STATE(2491),
    [sym_continue_statement] = STATE(2491),
    [sym_debugger_statement] = STATE(2491),
    [sym_return_statement] = STATE(2491),
    [sym_throw_statement] = STATE(2491),
    [sym_empty_statement] = STATE(2491),
    [sym_labeled_statement] = STATE(2491),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2448] = {
    [anon_sym_RPAREN] = ACTIONS(4235),
    [sym_comment] = ACTIONS(76),
  },
  [2449] = {
    [anon_sym_RPAREN] = ACTIONS(4237),
    [sym_comment] = ACTIONS(76),
  },
  [2450] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4239),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2451] = {
    [anon_sym_RPAREN] = ACTIONS(4241),
    [sym_comment] = ACTIONS(76),
  },
  [2452] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4243),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2453] = {
    [anon_sym_export] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_else] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_with] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_debugger] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3109),
    [anon_sym_EQ_GT] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym_void] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3107),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_regex] = ACTIONS(3111),
    [sym_number] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3111),
    [sym_this] = ACTIONS(3109),
    [sym_super] = ACTIONS(3109),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [sym_null] = ACTIONS(3109),
    [sym_undefined] = ACTIONS(3109),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3109),
    [anon_sym_set] = ACTIONS(3109),
  },
  [2454] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_finally] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2455] = {
    [sym_export_statement] = STATE(40),
    [sym__declaration] = STATE(40),
    [sym_import_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_variable_declaration] = STATE(41),
    [sym_lexical_declaration] = STATE(41),
    [sym_statement_block] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_for_in_statement] = STATE(40),
    [sym_for_of_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_debugger_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_empty_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(42),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(47),
    [sym_function] = STATE(48),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(47),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_program_repeat1] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(54),
    [anon_sym_export] = ACTIONS(14),
    [anon_sym_LBRACE] = ACTIONS(16),
    [anon_sym_RBRACE] = ACTIONS(4245),
    [anon_sym_import] = ACTIONS(18),
    [anon_sym_var] = ACTIONS(20),
    [anon_sym_let] = ACTIONS(22),
    [anon_sym_const] = ACTIONS(22),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_switch] = ACTIONS(26),
    [anon_sym_for] = ACTIONS(120),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(122),
    [anon_sym_do] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(124),
    [anon_sym_break] = ACTIONS(40),
    [anon_sym_continue] = ACTIONS(42),
    [anon_sym_debugger] = ACTIONS(44),
    [anon_sym_return] = ACTIONS(46),
    [anon_sym_throw] = ACTIONS(48),
    [anon_sym_SEMI] = ACTIONS(50),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(58),
    [anon_sym_async] = ACTIONS(60),
    [anon_sym_function] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(553),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2456] = {
    [anon_sym_RPAREN] = ACTIONS(4247),
    [sym_comment] = ACTIONS(76),
  },
  [2457] = {
    [anon_sym_export] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_var] = ACTIONS(483),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(483),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_with] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_debugger] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_throw] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(483),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_typeof] = ACTIONS(483),
    [anon_sym_void] = ACTIONS(483),
    [anon_sym_delete] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(481),
    [anon_sym_DASH_DASH] = ACTIONS(481),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_regex] = ACTIONS(487),
    [sym_number] = ACTIONS(483),
    [sym_identifier] = ACTIONS(487),
    [sym_this] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_null] = ACTIONS(483),
    [sym_undefined] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(483),
    [anon_sym_set] = ACTIONS(483),
  },
  [2458] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_GT_GT_GT] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_EQ_EQ] = ACTIONS(2615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2615),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_instanceof] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [2459] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_COMMA] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_in] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_PIPE_PIPE] = ACTIONS(3171),
    [anon_sym_GT_GT] = ACTIONS(3173),
    [anon_sym_GT_GT_GT] = ACTIONS(3171),
    [anon_sym_LT_LT] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PERCENT] = ACTIONS(3171),
    [anon_sym_LT_EQ] = ACTIONS(3171),
    [anon_sym_EQ_EQ] = ACTIONS(3173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3171),
    [anon_sym_BANG_EQ] = ACTIONS(3173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3171),
    [anon_sym_GT_EQ] = ACTIONS(3171),
    [anon_sym_instanceof] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [2460] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_PIPE_PIPE] = ACTIONS(3177),
    [anon_sym_GT_GT] = ACTIONS(3179),
    [anon_sym_GT_GT_GT] = ACTIONS(3177),
    [anon_sym_LT_LT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PERCENT] = ACTIONS(3177),
    [anon_sym_LT_EQ] = ACTIONS(3177),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3177),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3177),
    [anon_sym_GT_EQ] = ACTIONS(3177),
    [anon_sym_instanceof] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [2461] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2462] = {
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_else] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_EQ_GT] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3213),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_regex] = ACTIONS(3217),
    [sym_number] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
  },
  [2463] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_COMMA] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_in] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_GT] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_DOT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_PIPE_PIPE] = ACTIONS(3219),
    [anon_sym_GT_GT] = ACTIONS(3221),
    [anon_sym_GT_GT_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_PIPE] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(3219),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_EQ_EQ] = ACTIONS(3221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3219),
    [anon_sym_BANG_EQ] = ACTIONS(3221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3219),
    [anon_sym_instanceof] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [2464] = {
    [sym_export_statement] = STATE(2499),
    [sym__declaration] = STATE(2499),
    [sym_import_statement] = STATE(2499),
    [sym_expression_statement] = STATE(2499),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2499),
    [sym_if_statement] = STATE(2499),
    [sym_switch_statement] = STATE(2499),
    [sym_for_statement] = STATE(2499),
    [sym_for_in_statement] = STATE(2499),
    [sym_for_of_statement] = STATE(2499),
    [sym_while_statement] = STATE(2499),
    [sym_do_statement] = STATE(2499),
    [sym_try_statement] = STATE(2499),
    [sym_with_statement] = STATE(2499),
    [sym_break_statement] = STATE(2499),
    [sym_continue_statement] = STATE(2499),
    [sym_debugger_statement] = STATE(2499),
    [sym_return_statement] = STATE(2499),
    [sym_throw_statement] = STATE(2499),
    [sym_empty_statement] = STATE(2499),
    [sym_labeled_statement] = STATE(2499),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2465] = {
    [sym_export_statement] = STATE(2500),
    [sym__declaration] = STATE(2500),
    [sym_import_statement] = STATE(2500),
    [sym_expression_statement] = STATE(2500),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2500),
    [sym_if_statement] = STATE(2500),
    [sym_switch_statement] = STATE(2500),
    [sym_for_statement] = STATE(2500),
    [sym_for_in_statement] = STATE(2500),
    [sym_for_of_statement] = STATE(2500),
    [sym_while_statement] = STATE(2500),
    [sym_do_statement] = STATE(2500),
    [sym_try_statement] = STATE(2500),
    [sym_with_statement] = STATE(2500),
    [sym_break_statement] = STATE(2500),
    [sym_continue_statement] = STATE(2500),
    [sym_debugger_statement] = STATE(2500),
    [sym_return_statement] = STATE(2500),
    [sym_throw_statement] = STATE(2500),
    [sym_empty_statement] = STATE(2500),
    [sym_labeled_statement] = STATE(2500),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2466] = {
    [sym_export_statement] = STATE(2501),
    [sym__declaration] = STATE(2501),
    [sym_import_statement] = STATE(2501),
    [sym_expression_statement] = STATE(2501),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2501),
    [sym_if_statement] = STATE(2501),
    [sym_switch_statement] = STATE(2501),
    [sym_for_statement] = STATE(2501),
    [sym_for_in_statement] = STATE(2501),
    [sym_for_of_statement] = STATE(2501),
    [sym_while_statement] = STATE(2501),
    [sym_do_statement] = STATE(2501),
    [sym_try_statement] = STATE(2501),
    [sym_with_statement] = STATE(2501),
    [sym_break_statement] = STATE(2501),
    [sym_continue_statement] = STATE(2501),
    [sym_debugger_statement] = STATE(2501),
    [sym_return_statement] = STATE(2501),
    [sym_throw_statement] = STATE(2501),
    [sym_empty_statement] = STATE(2501),
    [sym_labeled_statement] = STATE(2501),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2467] = {
    [sym_export_statement] = STATE(2502),
    [sym__declaration] = STATE(2502),
    [sym_import_statement] = STATE(2502),
    [sym_expression_statement] = STATE(2502),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2502),
    [sym_if_statement] = STATE(2502),
    [sym_switch_statement] = STATE(2502),
    [sym_for_statement] = STATE(2502),
    [sym_for_in_statement] = STATE(2502),
    [sym_for_of_statement] = STATE(2502),
    [sym_while_statement] = STATE(2502),
    [sym_do_statement] = STATE(2502),
    [sym_try_statement] = STATE(2502),
    [sym_with_statement] = STATE(2502),
    [sym_break_statement] = STATE(2502),
    [sym_continue_statement] = STATE(2502),
    [sym_debugger_statement] = STATE(2502),
    [sym_return_statement] = STATE(2502),
    [sym_throw_statement] = STATE(2502),
    [sym_empty_statement] = STATE(2502),
    [sym_labeled_statement] = STATE(2502),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2468] = {
    [sym_export_statement] = STATE(2503),
    [sym__declaration] = STATE(2503),
    [sym_import_statement] = STATE(2503),
    [sym_expression_statement] = STATE(2503),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2503),
    [sym_if_statement] = STATE(2503),
    [sym_switch_statement] = STATE(2503),
    [sym_for_statement] = STATE(2503),
    [sym_for_in_statement] = STATE(2503),
    [sym_for_of_statement] = STATE(2503),
    [sym_while_statement] = STATE(2503),
    [sym_do_statement] = STATE(2503),
    [sym_try_statement] = STATE(2503),
    [sym_with_statement] = STATE(2503),
    [sym_break_statement] = STATE(2503),
    [sym_continue_statement] = STATE(2503),
    [sym_debugger_statement] = STATE(2503),
    [sym_return_statement] = STATE(2503),
    [sym_throw_statement] = STATE(2503),
    [sym_empty_statement] = STATE(2503),
    [sym_labeled_statement] = STATE(2503),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2469] = {
    [sym_export_statement] = STATE(2504),
    [sym__declaration] = STATE(2504),
    [sym_import_statement] = STATE(2504),
    [sym_expression_statement] = STATE(2504),
    [sym_variable_declaration] = STATE(1599),
    [sym_lexical_declaration] = STATE(1599),
    [sym_statement_block] = STATE(2504),
    [sym_if_statement] = STATE(2504),
    [sym_switch_statement] = STATE(2504),
    [sym_for_statement] = STATE(2504),
    [sym_for_in_statement] = STATE(2504),
    [sym_for_of_statement] = STATE(2504),
    [sym_while_statement] = STATE(2504),
    [sym_do_statement] = STATE(2504),
    [sym_try_statement] = STATE(2504),
    [sym_with_statement] = STATE(2504),
    [sym_break_statement] = STATE(2504),
    [sym_continue_statement] = STATE(2504),
    [sym_debugger_statement] = STATE(2504),
    [sym_return_statement] = STATE(2504),
    [sym_throw_statement] = STATE(2504),
    [sym_empty_statement] = STATE(2504),
    [sym_labeled_statement] = STATE(2504),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(1600),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(1601),
    [sym_function] = STATE(1602),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(1601),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1604),
    [anon_sym_export] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_import] = ACTIONS(2907),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_async] = ACTIONS(2941),
    [anon_sym_function] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(2945),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2470] = {
    [anon_sym_export] = ACTIONS(3709),
    [anon_sym_default] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_import] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_with] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_debugger] = ACTIONS(3709),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_case] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_function] = ACTIONS(3709),
    [anon_sym_EQ_GT] = ACTIONS(3707),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_void] = ACTIONS(3709),
    [anon_sym_delete] = ACTIONS(3709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3707),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_regex] = ACTIONS(3711),
    [sym_number] = ACTIONS(3709),
    [sym_identifier] = ACTIONS(3711),
    [sym_this] = ACTIONS(3709),
    [sym_super] = ACTIONS(3709),
    [sym_true] = ACTIONS(3709),
    [sym_false] = ACTIONS(3709),
    [sym_null] = ACTIONS(3709),
    [sym_undefined] = ACTIONS(3709),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_get] = ACTIONS(3709),
    [anon_sym_set] = ACTIONS(3709),
  },
  [2471] = {
    [anon_sym_export] = ACTIONS(3717),
    [anon_sym_default] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_RBRACE] = ACTIONS(3715),
    [anon_sym_import] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_debugger] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_case] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LT] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3717),
    [anon_sym_EQ_GT] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym_void] = ACTIONS(3717),
    [anon_sym_delete] = ACTIONS(3717),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3715),
    [anon_sym_BQUOTE] = ACTIONS(3715),
    [sym_regex] = ACTIONS(3719),
    [sym_number] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(3719),
    [sym_this] = ACTIONS(3717),
    [sym_super] = ACTIONS(3717),
    [sym_true] = ACTIONS(3717),
    [sym_false] = ACTIONS(3717),
    [sym_null] = ACTIONS(3717),
    [sym_undefined] = ACTIONS(3717),
    [anon_sym_AT] = ACTIONS(3715),
    [anon_sym_get] = ACTIONS(3717),
    [anon_sym_set] = ACTIONS(3717),
  },
  [2472] = {
    [anon_sym_export] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_RBRACE] = ACTIONS(3723),
    [anon_sym_import] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_with] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_debugger] = ACTIONS(3725),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_case] = ACTIONS(3725),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(3723),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_EQ_GT] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_delete] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3723),
    [anon_sym_BQUOTE] = ACTIONS(3723),
    [sym_regex] = ACTIONS(3727),
    [sym_number] = ACTIONS(3725),
    [sym_identifier] = ACTIONS(3727),
    [sym_this] = ACTIONS(3725),
    [sym_super] = ACTIONS(3725),
    [sym_true] = ACTIONS(3725),
    [sym_false] = ACTIONS(3725),
    [sym_null] = ACTIONS(3725),
    [sym_undefined] = ACTIONS(3725),
    [anon_sym_AT] = ACTIONS(3723),
    [anon_sym_get] = ACTIONS(3725),
    [anon_sym_set] = ACTIONS(3725),
  },
  [2473] = {
    [anon_sym_export] = ACTIONS(3731),
    [anon_sym_default] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3729),
    [anon_sym_RBRACE] = ACTIONS(3729),
    [anon_sym_import] = ACTIONS(3731),
    [anon_sym_var] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_const] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_switch] = ACTIONS(3731),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_with] = ACTIONS(3731),
    [anon_sym_break] = ACTIONS(3731),
    [anon_sym_continue] = ACTIONS(3731),
    [anon_sym_debugger] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_throw] = ACTIONS(3731),
    [anon_sym_SEMI] = ACTIONS(3729),
    [anon_sym_case] = ACTIONS(3731),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_LT] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3731),
    [anon_sym_async] = ACTIONS(3731),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_EQ_GT] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_await] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3731),
    [anon_sym_void] = ACTIONS(3731),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3729),
    [anon_sym_DASH_DASH] = ACTIONS(3729),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3729),
    [anon_sym_BQUOTE] = ACTIONS(3729),
    [sym_regex] = ACTIONS(3733),
    [sym_number] = ACTIONS(3731),
    [sym_identifier] = ACTIONS(3733),
    [sym_this] = ACTIONS(3731),
    [sym_super] = ACTIONS(3731),
    [sym_true] = ACTIONS(3731),
    [sym_false] = ACTIONS(3731),
    [sym_null] = ACTIONS(3731),
    [sym_undefined] = ACTIONS(3731),
    [anon_sym_AT] = ACTIONS(3729),
    [anon_sym_get] = ACTIONS(3731),
    [anon_sym_set] = ACTIONS(3731),
  },
  [2474] = {
    [anon_sym_export] = ACTIONS(3737),
    [anon_sym_default] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [anon_sym_import] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_with] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_debugger] = ACTIONS(3737),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_case] = ACTIONS(3737),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LT] = ACTIONS(3735),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_function] = ACTIONS(3737),
    [anon_sym_EQ_GT] = ACTIONS(3735),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym_void] = ACTIONS(3737),
    [anon_sym_delete] = ACTIONS(3737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3735),
    [anon_sym_BQUOTE] = ACTIONS(3735),
    [sym_regex] = ACTIONS(3739),
    [sym_number] = ACTIONS(3737),
    [sym_identifier] = ACTIONS(3739),
    [sym_this] = ACTIONS(3737),
    [sym_super] = ACTIONS(3737),
    [sym_true] = ACTIONS(3737),
    [sym_false] = ACTIONS(3737),
    [sym_null] = ACTIONS(3737),
    [sym_undefined] = ACTIONS(3737),
    [anon_sym_AT] = ACTIONS(3735),
    [anon_sym_get] = ACTIONS(3737),
    [anon_sym_set] = ACTIONS(3737),
  },
  [2475] = {
    [anon_sym_export] = ACTIONS(3743),
    [anon_sym_default] = ACTIONS(3743),
    [anon_sym_LBRACE] = ACTIONS(3741),
    [anon_sym_RBRACE] = ACTIONS(3741),
    [anon_sym_import] = ACTIONS(3743),
    [anon_sym_var] = ACTIONS(3743),
    [anon_sym_let] = ACTIONS(3743),
    [anon_sym_const] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(3743),
    [anon_sym_switch] = ACTIONS(3743),
    [anon_sym_for] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3743),
    [anon_sym_do] = ACTIONS(3743),
    [anon_sym_try] = ACTIONS(3743),
    [anon_sym_with] = ACTIONS(3743),
    [anon_sym_break] = ACTIONS(3743),
    [anon_sym_continue] = ACTIONS(3743),
    [anon_sym_debugger] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3743),
    [anon_sym_throw] = ACTIONS(3743),
    [anon_sym_SEMI] = ACTIONS(3741),
    [anon_sym_case] = ACTIONS(3743),
    [anon_sym_yield] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3743),
    [anon_sym_async] = ACTIONS(3743),
    [anon_sym_function] = ACTIONS(3743),
    [anon_sym_EQ_GT] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3743),
    [anon_sym_await] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3743),
    [anon_sym_DASH] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3743),
    [anon_sym_void] = ACTIONS(3743),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3741),
    [anon_sym_DASH_DASH] = ACTIONS(3741),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3741),
    [anon_sym_BQUOTE] = ACTIONS(3741),
    [sym_regex] = ACTIONS(3745),
    [sym_number] = ACTIONS(3743),
    [sym_identifier] = ACTIONS(3745),
    [sym_this] = ACTIONS(3743),
    [sym_super] = ACTIONS(3743),
    [sym_true] = ACTIONS(3743),
    [sym_false] = ACTIONS(3743),
    [sym_null] = ACTIONS(3743),
    [sym_undefined] = ACTIONS(3743),
    [anon_sym_AT] = ACTIONS(3741),
    [anon_sym_get] = ACTIONS(3743),
    [anon_sym_set] = ACTIONS(3743),
  },
  [2476] = {
    [anon_sym_export] = ACTIONS(3749),
    [anon_sym_default] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_RBRACE] = ACTIONS(3747),
    [anon_sym_import] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_with] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_debugger] = ACTIONS(3749),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_case] = ACTIONS(3749),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LT] = ACTIONS(3747),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_function] = ACTIONS(3749),
    [anon_sym_EQ_GT] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_void] = ACTIONS(3749),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3747),
    [anon_sym_BQUOTE] = ACTIONS(3747),
    [sym_regex] = ACTIONS(3751),
    [sym_number] = ACTIONS(3749),
    [sym_identifier] = ACTIONS(3751),
    [sym_this] = ACTIONS(3749),
    [sym_super] = ACTIONS(3749),
    [sym_true] = ACTIONS(3749),
    [sym_false] = ACTIONS(3749),
    [sym_null] = ACTIONS(3749),
    [sym_undefined] = ACTIONS(3749),
    [anon_sym_AT] = ACTIONS(3747),
    [anon_sym_get] = ACTIONS(3749),
    [anon_sym_set] = ACTIONS(3749),
  },
  [2477] = {
    [anon_sym_export] = ACTIONS(3783),
    [anon_sym_default] = ACTIONS(3783),
    [anon_sym_LBRACE] = ACTIONS(3781),
    [anon_sym_RBRACE] = ACTIONS(3781),
    [anon_sym_import] = ACTIONS(3783),
    [anon_sym_var] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_const] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_switch] = ACTIONS(3783),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_with] = ACTIONS(3783),
    [anon_sym_break] = ACTIONS(3783),
    [anon_sym_continue] = ACTIONS(3783),
    [anon_sym_debugger] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_throw] = ACTIONS(3783),
    [anon_sym_SEMI] = ACTIONS(3781),
    [anon_sym_case] = ACTIONS(3783),
    [anon_sym_finally] = ACTIONS(3783),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3783),
    [anon_sym_async] = ACTIONS(3783),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_EQ_GT] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_await] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_BANG] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3783),
    [anon_sym_void] = ACTIONS(3783),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3781),
    [anon_sym_DASH_DASH] = ACTIONS(3781),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3781),
    [anon_sym_BQUOTE] = ACTIONS(3781),
    [sym_regex] = ACTIONS(3785),
    [sym_number] = ACTIONS(3783),
    [sym_identifier] = ACTIONS(3785),
    [sym_this] = ACTIONS(3783),
    [sym_super] = ACTIONS(3783),
    [sym_true] = ACTIONS(3783),
    [sym_false] = ACTIONS(3783),
    [sym_null] = ACTIONS(3783),
    [sym_undefined] = ACTIONS(3783),
    [anon_sym_AT] = ACTIONS(3781),
    [anon_sym_get] = ACTIONS(3783),
    [anon_sym_set] = ACTIONS(3783),
  },
  [2478] = {
    [sym__automatic_semicolon] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_EQ_GT] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(2613),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_regex] = ACTIONS(3169),
    [sym_number] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
  },
  [2479] = {
    [sym__automatic_semicolon] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_EQ_GT] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3171),
    [anon_sym_BQUOTE] = ACTIONS(3171),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3175),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
  },
  [2480] = {
    [sym__automatic_semicolon] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_regex] = ACTIONS(3181),
    [sym_number] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
  },
  [2481] = {
    [sym__automatic_semicolon] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2482] = {
    [sym__automatic_semicolon] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_EQ_GT] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_regex] = ACTIONS(3223),
    [sym_number] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
  },
  [2483] = {
    [anon_sym_RPAREN] = ACTIONS(4249),
    [sym_comment] = ACTIONS(76),
  },
  [2484] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4251),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2485] = {
    [anon_sym_RPAREN] = ACTIONS(4253),
    [sym_comment] = ACTIONS(76),
  },
  [2486] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4255),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2487] = {
    [anon_sym_RPAREN] = ACTIONS(4257),
    [sym_comment] = ACTIONS(76),
  },
  [2488] = {
    [sym_template_string] = STATE(457),
    [sym_arguments] = STATE(457),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(4259),
    [anon_sym_in] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(3025),
    [anon_sym_GT] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_QMARK] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3033),
    [anon_sym_GT_GT_GT] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_LT_EQ] = ACTIONS(3047),
    [anon_sym_EQ_EQ] = ACTIONS(3025),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3047),
    [anon_sym_GT_EQ] = ACTIONS(3047),
    [anon_sym_instanceof] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [sym_comment] = ACTIONS(76),
    [anon_sym_BQUOTE] = ACTIONS(194),
  },
  [2489] = {
    [sym_export_statement] = STATE(2511),
    [sym__declaration] = STATE(2511),
    [sym_import_statement] = STATE(2511),
    [sym_expression_statement] = STATE(2511),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2511),
    [sym_if_statement] = STATE(2511),
    [sym_switch_statement] = STATE(2511),
    [sym_for_statement] = STATE(2511),
    [sym_for_in_statement] = STATE(2511),
    [sym_for_of_statement] = STATE(2511),
    [sym_while_statement] = STATE(2511),
    [sym_do_statement] = STATE(2511),
    [sym_try_statement] = STATE(2511),
    [sym_with_statement] = STATE(2511),
    [sym_break_statement] = STATE(2511),
    [sym_continue_statement] = STATE(2511),
    [sym_debugger_statement] = STATE(2511),
    [sym_return_statement] = STATE(2511),
    [sym_throw_statement] = STATE(2511),
    [sym_empty_statement] = STATE(2511),
    [sym_labeled_statement] = STATE(2511),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2490] = {
    [sym_export_statement] = STATE(2512),
    [sym__declaration] = STATE(2512),
    [sym_import_statement] = STATE(2512),
    [sym_expression_statement] = STATE(2512),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2512),
    [sym_if_statement] = STATE(2512),
    [sym_switch_statement] = STATE(2512),
    [sym_for_statement] = STATE(2512),
    [sym_for_in_statement] = STATE(2512),
    [sym_for_of_statement] = STATE(2512),
    [sym_while_statement] = STATE(2512),
    [sym_do_statement] = STATE(2512),
    [sym_try_statement] = STATE(2512),
    [sym_with_statement] = STATE(2512),
    [sym_break_statement] = STATE(2512),
    [sym_continue_statement] = STATE(2512),
    [sym_debugger_statement] = STATE(2512),
    [sym_return_statement] = STATE(2512),
    [sym_throw_statement] = STATE(2512),
    [sym_empty_statement] = STATE(2512),
    [sym_labeled_statement] = STATE(2512),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2491] = {
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_EQ_GT] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3403),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_regex] = ACTIONS(3407),
    [sym_number] = ACTIONS(3405),
    [sym_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
  },
  [2492] = {
    [sym_export_statement] = STATE(2513),
    [sym__declaration] = STATE(2513),
    [sym_import_statement] = STATE(2513),
    [sym_expression_statement] = STATE(2513),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2513),
    [sym_if_statement] = STATE(2513),
    [sym_switch_statement] = STATE(2513),
    [sym_for_statement] = STATE(2513),
    [sym_for_in_statement] = STATE(2513),
    [sym_for_of_statement] = STATE(2513),
    [sym_while_statement] = STATE(2513),
    [sym_do_statement] = STATE(2513),
    [sym_try_statement] = STATE(2513),
    [sym_with_statement] = STATE(2513),
    [sym_break_statement] = STATE(2513),
    [sym_continue_statement] = STATE(2513),
    [sym_debugger_statement] = STATE(2513),
    [sym_return_statement] = STATE(2513),
    [sym_throw_statement] = STATE(2513),
    [sym_empty_statement] = STATE(2513),
    [sym_labeled_statement] = STATE(2513),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2493] = {
    [sym_export_statement] = STATE(2514),
    [sym__declaration] = STATE(2514),
    [sym_import_statement] = STATE(2514),
    [sym_expression_statement] = STATE(2514),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2514),
    [sym_if_statement] = STATE(2514),
    [sym_switch_statement] = STATE(2514),
    [sym_for_statement] = STATE(2514),
    [sym_for_in_statement] = STATE(2514),
    [sym_for_of_statement] = STATE(2514),
    [sym_while_statement] = STATE(2514),
    [sym_do_statement] = STATE(2514),
    [sym_try_statement] = STATE(2514),
    [sym_with_statement] = STATE(2514),
    [sym_break_statement] = STATE(2514),
    [sym_continue_statement] = STATE(2514),
    [sym_debugger_statement] = STATE(2514),
    [sym_return_statement] = STATE(2514),
    [sym_throw_statement] = STATE(2514),
    [sym_empty_statement] = STATE(2514),
    [sym_labeled_statement] = STATE(2514),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2494] = {
    [sym_export_statement] = STATE(2515),
    [sym__declaration] = STATE(2515),
    [sym_import_statement] = STATE(2515),
    [sym_expression_statement] = STATE(2515),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2515),
    [sym_if_statement] = STATE(2515),
    [sym_switch_statement] = STATE(2515),
    [sym_for_statement] = STATE(2515),
    [sym_for_in_statement] = STATE(2515),
    [sym_for_of_statement] = STATE(2515),
    [sym_while_statement] = STATE(2515),
    [sym_do_statement] = STATE(2515),
    [sym_try_statement] = STATE(2515),
    [sym_with_statement] = STATE(2515),
    [sym_break_statement] = STATE(2515),
    [sym_continue_statement] = STATE(2515),
    [sym_debugger_statement] = STATE(2515),
    [sym_return_statement] = STATE(2515),
    [sym_throw_statement] = STATE(2515),
    [sym_empty_statement] = STATE(2515),
    [sym_labeled_statement] = STATE(2515),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2495] = {
    [sym_export_statement] = STATE(2516),
    [sym__declaration] = STATE(2516),
    [sym_import_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2516),
    [sym_if_statement] = STATE(2516),
    [sym_switch_statement] = STATE(2516),
    [sym_for_statement] = STATE(2516),
    [sym_for_in_statement] = STATE(2516),
    [sym_for_of_statement] = STATE(2516),
    [sym_while_statement] = STATE(2516),
    [sym_do_statement] = STATE(2516),
    [sym_try_statement] = STATE(2516),
    [sym_with_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_debugger_statement] = STATE(2516),
    [sym_return_statement] = STATE(2516),
    [sym_throw_statement] = STATE(2516),
    [sym_empty_statement] = STATE(2516),
    [sym_labeled_statement] = STATE(2516),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2496] = {
    [sym_export_statement] = STATE(2517),
    [sym__declaration] = STATE(2517),
    [sym_import_statement] = STATE(2517),
    [sym_expression_statement] = STATE(2517),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2517),
    [sym_if_statement] = STATE(2517),
    [sym_switch_statement] = STATE(2517),
    [sym_for_statement] = STATE(2517),
    [sym_for_in_statement] = STATE(2517),
    [sym_for_of_statement] = STATE(2517),
    [sym_while_statement] = STATE(2517),
    [sym_do_statement] = STATE(2517),
    [sym_try_statement] = STATE(2517),
    [sym_with_statement] = STATE(2517),
    [sym_break_statement] = STATE(2517),
    [sym_continue_statement] = STATE(2517),
    [sym_debugger_statement] = STATE(2517),
    [sym_return_statement] = STATE(2517),
    [sym_throw_statement] = STATE(2517),
    [sym_empty_statement] = STATE(2517),
    [sym_labeled_statement] = STATE(2517),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2497] = {
    [anon_sym_export] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_var] = ACTIONS(1436),
    [anon_sym_let] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_debugger] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_finally] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1436),
    [anon_sym_void] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_regex] = ACTIONS(1438),
    [sym_number] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1436),
    [sym_super] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [sym_undefined] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1436),
    [anon_sym_set] = ACTIONS(1436),
  },
  [2498] = {
    [sym_statement_block] = STATE(2518),
    [anon_sym_LBRACE] = ACTIONS(4153),
    [sym_comment] = ACTIONS(76),
  },
  [2499] = {
    [anon_sym_export] = ACTIONS(3933),
    [anon_sym_default] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_import] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_with] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_debugger] = ACTIONS(3933),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_case] = ACTIONS(3933),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3931),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_function] = ACTIONS(3933),
    [anon_sym_EQ_GT] = ACTIONS(3931),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym_void] = ACTIONS(3933),
    [anon_sym_delete] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3931),
    [anon_sym_BQUOTE] = ACTIONS(3931),
    [sym_regex] = ACTIONS(3935),
    [sym_number] = ACTIONS(3933),
    [sym_identifier] = ACTIONS(3935),
    [sym_this] = ACTIONS(3933),
    [sym_super] = ACTIONS(3933),
    [sym_true] = ACTIONS(3933),
    [sym_false] = ACTIONS(3933),
    [sym_null] = ACTIONS(3933),
    [sym_undefined] = ACTIONS(3933),
    [anon_sym_AT] = ACTIONS(3931),
    [anon_sym_get] = ACTIONS(3933),
    [anon_sym_set] = ACTIONS(3933),
  },
  [2500] = {
    [anon_sym_export] = ACTIONS(3939),
    [anon_sym_default] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_import] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(3939),
    [anon_sym_let] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3939),
    [anon_sym_switch] = ACTIONS(3939),
    [anon_sym_for] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3939),
    [anon_sym_do] = ACTIONS(3939),
    [anon_sym_try] = ACTIONS(3939),
    [anon_sym_with] = ACTIONS(3939),
    [anon_sym_break] = ACTIONS(3939),
    [anon_sym_continue] = ACTIONS(3939),
    [anon_sym_debugger] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3939),
    [anon_sym_throw] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3937),
    [anon_sym_case] = ACTIONS(3939),
    [anon_sym_yield] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_async] = ACTIONS(3939),
    [anon_sym_function] = ACTIONS(3939),
    [anon_sym_EQ_GT] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3939),
    [anon_sym_await] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3939),
    [anon_sym_DASH] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3937),
    [anon_sym_TILDE] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3939),
    [anon_sym_void] = ACTIONS(3939),
    [anon_sym_delete] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3937),
    [anon_sym_DASH_DASH] = ACTIONS(3937),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3937),
    [anon_sym_BQUOTE] = ACTIONS(3937),
    [sym_regex] = ACTIONS(3941),
    [sym_number] = ACTIONS(3939),
    [sym_identifier] = ACTIONS(3941),
    [sym_this] = ACTIONS(3939),
    [sym_super] = ACTIONS(3939),
    [sym_true] = ACTIONS(3939),
    [sym_false] = ACTIONS(3939),
    [sym_null] = ACTIONS(3939),
    [sym_undefined] = ACTIONS(3939),
    [anon_sym_AT] = ACTIONS(3937),
    [anon_sym_get] = ACTIONS(3939),
    [anon_sym_set] = ACTIONS(3939),
  },
  [2501] = {
    [anon_sym_export] = ACTIONS(3945),
    [anon_sym_default] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_import] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_with] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_debugger] = ACTIONS(3945),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_case] = ACTIONS(3945),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(3943),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_function] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(3943),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_void] = ACTIONS(3945),
    [anon_sym_delete] = ACTIONS(3945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3943),
    [anon_sym_BQUOTE] = ACTIONS(3943),
    [sym_regex] = ACTIONS(3947),
    [sym_number] = ACTIONS(3945),
    [sym_identifier] = ACTIONS(3947),
    [sym_this] = ACTIONS(3945),
    [sym_super] = ACTIONS(3945),
    [sym_true] = ACTIONS(3945),
    [sym_false] = ACTIONS(3945),
    [sym_null] = ACTIONS(3945),
    [sym_undefined] = ACTIONS(3945),
    [anon_sym_AT] = ACTIONS(3943),
    [anon_sym_get] = ACTIONS(3945),
    [anon_sym_set] = ACTIONS(3945),
  },
  [2502] = {
    [anon_sym_export] = ACTIONS(3951),
    [anon_sym_default] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_RBRACE] = ACTIONS(3949),
    [anon_sym_import] = ACTIONS(3951),
    [anon_sym_var] = ACTIONS(3951),
    [anon_sym_let] = ACTIONS(3951),
    [anon_sym_const] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3951),
    [anon_sym_switch] = ACTIONS(3951),
    [anon_sym_for] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3951),
    [anon_sym_do] = ACTIONS(3951),
    [anon_sym_try] = ACTIONS(3951),
    [anon_sym_with] = ACTIONS(3951),
    [anon_sym_break] = ACTIONS(3951),
    [anon_sym_continue] = ACTIONS(3951),
    [anon_sym_debugger] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3951),
    [anon_sym_throw] = ACTIONS(3951),
    [anon_sym_SEMI] = ACTIONS(3949),
    [anon_sym_case] = ACTIONS(3951),
    [anon_sym_yield] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3951),
    [anon_sym_async] = ACTIONS(3951),
    [anon_sym_function] = ACTIONS(3951),
    [anon_sym_EQ_GT] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_await] = ACTIONS(3951),
    [anon_sym_PLUS] = ACTIONS(3951),
    [anon_sym_DASH] = ACTIONS(3951),
    [anon_sym_BANG] = ACTIONS(3949),
    [anon_sym_TILDE] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3951),
    [anon_sym_void] = ACTIONS(3951),
    [anon_sym_delete] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3949),
    [anon_sym_DASH_DASH] = ACTIONS(3949),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3949),
    [anon_sym_BQUOTE] = ACTIONS(3949),
    [sym_regex] = ACTIONS(3953),
    [sym_number] = ACTIONS(3951),
    [sym_identifier] = ACTIONS(3953),
    [sym_this] = ACTIONS(3951),
    [sym_super] = ACTIONS(3951),
    [sym_true] = ACTIONS(3951),
    [sym_false] = ACTIONS(3951),
    [sym_null] = ACTIONS(3951),
    [sym_undefined] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(3949),
    [anon_sym_get] = ACTIONS(3951),
    [anon_sym_set] = ACTIONS(3951),
  },
  [2503] = {
    [anon_sym_export] = ACTIONS(3957),
    [anon_sym_default] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_import] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_with] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_debugger] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_case] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LT] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3957),
    [anon_sym_EQ_GT] = ACTIONS(3955),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3957),
    [anon_sym_delete] = ACTIONS(3957),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3955),
    [anon_sym_BQUOTE] = ACTIONS(3955),
    [sym_regex] = ACTIONS(3959),
    [sym_number] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [sym_this] = ACTIONS(3957),
    [sym_super] = ACTIONS(3957),
    [sym_true] = ACTIONS(3957),
    [sym_false] = ACTIONS(3957),
    [sym_null] = ACTIONS(3957),
    [sym_undefined] = ACTIONS(3957),
    [anon_sym_AT] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
  },
  [2504] = {
    [anon_sym_export] = ACTIONS(3963),
    [anon_sym_default] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3961),
    [anon_sym_RBRACE] = ACTIONS(3961),
    [anon_sym_import] = ACTIONS(3963),
    [anon_sym_var] = ACTIONS(3963),
    [anon_sym_let] = ACTIONS(3963),
    [anon_sym_const] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3963),
    [anon_sym_switch] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3963),
    [anon_sym_do] = ACTIONS(3963),
    [anon_sym_try] = ACTIONS(3963),
    [anon_sym_with] = ACTIONS(3963),
    [anon_sym_break] = ACTIONS(3963),
    [anon_sym_continue] = ACTIONS(3963),
    [anon_sym_debugger] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3963),
    [anon_sym_throw] = ACTIONS(3963),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_case] = ACTIONS(3963),
    [anon_sym_yield] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(3961),
    [anon_sym_LT] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3963),
    [anon_sym_async] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3963),
    [anon_sym_EQ_GT] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3963),
    [anon_sym_await] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(3963),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3963),
    [anon_sym_void] = ACTIONS(3963),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3961),
    [anon_sym_DASH_DASH] = ACTIONS(3961),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3961),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_regex] = ACTIONS(3965),
    [sym_number] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [sym_this] = ACTIONS(3963),
    [sym_super] = ACTIONS(3963),
    [sym_true] = ACTIONS(3963),
    [sym_false] = ACTIONS(3963),
    [sym_null] = ACTIONS(3963),
    [sym_undefined] = ACTIONS(3963),
    [anon_sym_AT] = ACTIONS(3961),
    [anon_sym_get] = ACTIONS(3963),
    [anon_sym_set] = ACTIONS(3963),
  },
  [2505] = {
    [sym_export_statement] = STATE(2519),
    [sym__declaration] = STATE(2519),
    [sym_import_statement] = STATE(2519),
    [sym_expression_statement] = STATE(2519),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2519),
    [sym_if_statement] = STATE(2519),
    [sym_switch_statement] = STATE(2519),
    [sym_for_statement] = STATE(2519),
    [sym_for_in_statement] = STATE(2519),
    [sym_for_of_statement] = STATE(2519),
    [sym_while_statement] = STATE(2519),
    [sym_do_statement] = STATE(2519),
    [sym_try_statement] = STATE(2519),
    [sym_with_statement] = STATE(2519),
    [sym_break_statement] = STATE(2519),
    [sym_continue_statement] = STATE(2519),
    [sym_debugger_statement] = STATE(2519),
    [sym_return_statement] = STATE(2519),
    [sym_throw_statement] = STATE(2519),
    [sym_empty_statement] = STATE(2519),
    [sym_labeled_statement] = STATE(2519),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2506] = {
    [sym_export_statement] = STATE(2520),
    [sym__declaration] = STATE(2520),
    [sym_import_statement] = STATE(2520),
    [sym_expression_statement] = STATE(2520),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2520),
    [sym_if_statement] = STATE(2520),
    [sym_switch_statement] = STATE(2520),
    [sym_for_statement] = STATE(2520),
    [sym_for_in_statement] = STATE(2520),
    [sym_for_of_statement] = STATE(2520),
    [sym_while_statement] = STATE(2520),
    [sym_do_statement] = STATE(2520),
    [sym_try_statement] = STATE(2520),
    [sym_with_statement] = STATE(2520),
    [sym_break_statement] = STATE(2520),
    [sym_continue_statement] = STATE(2520),
    [sym_debugger_statement] = STATE(2520),
    [sym_return_statement] = STATE(2520),
    [sym_throw_statement] = STATE(2520),
    [sym_empty_statement] = STATE(2520),
    [sym_labeled_statement] = STATE(2520),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2507] = {
    [sym_export_statement] = STATE(2521),
    [sym__declaration] = STATE(2521),
    [sym_import_statement] = STATE(2521),
    [sym_expression_statement] = STATE(2521),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2521),
    [sym_if_statement] = STATE(2521),
    [sym_switch_statement] = STATE(2521),
    [sym_for_statement] = STATE(2521),
    [sym_for_in_statement] = STATE(2521),
    [sym_for_of_statement] = STATE(2521),
    [sym_while_statement] = STATE(2521),
    [sym_do_statement] = STATE(2521),
    [sym_try_statement] = STATE(2521),
    [sym_with_statement] = STATE(2521),
    [sym_break_statement] = STATE(2521),
    [sym_continue_statement] = STATE(2521),
    [sym_debugger_statement] = STATE(2521),
    [sym_return_statement] = STATE(2521),
    [sym_throw_statement] = STATE(2521),
    [sym_empty_statement] = STATE(2521),
    [sym_labeled_statement] = STATE(2521),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2508] = {
    [sym_export_statement] = STATE(2522),
    [sym__declaration] = STATE(2522),
    [sym_import_statement] = STATE(2522),
    [sym_expression_statement] = STATE(2522),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2522),
    [sym_if_statement] = STATE(2522),
    [sym_switch_statement] = STATE(2522),
    [sym_for_statement] = STATE(2522),
    [sym_for_in_statement] = STATE(2522),
    [sym_for_of_statement] = STATE(2522),
    [sym_while_statement] = STATE(2522),
    [sym_do_statement] = STATE(2522),
    [sym_try_statement] = STATE(2522),
    [sym_with_statement] = STATE(2522),
    [sym_break_statement] = STATE(2522),
    [sym_continue_statement] = STATE(2522),
    [sym_debugger_statement] = STATE(2522),
    [sym_return_statement] = STATE(2522),
    [sym_throw_statement] = STATE(2522),
    [sym_empty_statement] = STATE(2522),
    [sym_labeled_statement] = STATE(2522),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2509] = {
    [sym_export_statement] = STATE(2523),
    [sym__declaration] = STATE(2523),
    [sym_import_statement] = STATE(2523),
    [sym_expression_statement] = STATE(2523),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2523),
    [sym_if_statement] = STATE(2523),
    [sym_switch_statement] = STATE(2523),
    [sym_for_statement] = STATE(2523),
    [sym_for_in_statement] = STATE(2523),
    [sym_for_of_statement] = STATE(2523),
    [sym_while_statement] = STATE(2523),
    [sym_do_statement] = STATE(2523),
    [sym_try_statement] = STATE(2523),
    [sym_with_statement] = STATE(2523),
    [sym_break_statement] = STATE(2523),
    [sym_continue_statement] = STATE(2523),
    [sym_debugger_statement] = STATE(2523),
    [sym_return_statement] = STATE(2523),
    [sym_throw_statement] = STATE(2523),
    [sym_empty_statement] = STATE(2523),
    [sym_labeled_statement] = STATE(2523),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2510] = {
    [sym_export_statement] = STATE(2524),
    [sym__declaration] = STATE(2524),
    [sym_import_statement] = STATE(2524),
    [sym_expression_statement] = STATE(2524),
    [sym_variable_declaration] = STATE(2034),
    [sym_lexical_declaration] = STATE(2034),
    [sym_statement_block] = STATE(2524),
    [sym_if_statement] = STATE(2524),
    [sym_switch_statement] = STATE(2524),
    [sym_for_statement] = STATE(2524),
    [sym_for_in_statement] = STATE(2524),
    [sym_for_of_statement] = STATE(2524),
    [sym_while_statement] = STATE(2524),
    [sym_do_statement] = STATE(2524),
    [sym_try_statement] = STATE(2524),
    [sym_with_statement] = STATE(2524),
    [sym_break_statement] = STATE(2524),
    [sym_continue_statement] = STATE(2524),
    [sym_debugger_statement] = STATE(2524),
    [sym_return_statement] = STATE(2524),
    [sym_throw_statement] = STATE(2524),
    [sym_empty_statement] = STATE(2524),
    [sym_labeled_statement] = STATE(2524),
    [sym_parenthesized_expression] = STATE(33),
    [sym__expressions] = STATE(2035),
    [sym__expression] = STATE(43),
    [sym_yield_expression] = STATE(33),
    [sym_object] = STATE(44),
    [sym_array] = STATE(45),
    [sym_jsx_element] = STATE(33),
    [sym_jsx_fragment] = STATE(33),
    [sym_jsx_opening_element] = STATE(46),
    [sym_jsx_self_closing_element] = STATE(33),
    [sym_anonymous_class] = STATE(33),
    [sym_class] = STATE(2036),
    [sym_function] = STATE(2037),
    [sym_arrow_function] = STATE(33),
    [sym_generator_function] = STATE(2036),
    [sym_call_expression] = STATE(33),
    [sym_new_expression] = STATE(33),
    [sym_await_expression] = STATE(33),
    [sym_member_expression] = STATE(49),
    [sym_subscript_expression] = STATE(49),
    [sym_assignment_expression] = STATE(33),
    [sym_augmented_assignment_expression] = STATE(33),
    [sym_ternary_expression] = STATE(33),
    [sym_binary_expression] = STATE(33),
    [sym_unary_expression] = STATE(33),
    [sym_update_expression] = STATE(33),
    [sym_sequence_expression] = STATE(50),
    [sym_template_string] = STATE(33),
    [sym_decorator] = STATE(51),
    [sym_formal_parameters] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(2038),
    [anon_sym_export] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3555),
    [anon_sym_import] = ACTIONS(3557),
    [anon_sym_var] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3561),
    [anon_sym_const] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3565),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_LPAREN] = ACTIONS(30),
    [anon_sym_while] = ACTIONS(3569),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3577),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_debugger] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3585),
    [anon_sym_SEMI] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(54),
    [anon_sym_LT] = ACTIONS(56),
    [anon_sym_class] = ACTIONS(3589),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_function] = ACTIONS(3593),
    [anon_sym_EQ_GT] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(66),
    [anon_sym_await] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(70),
    [anon_sym_DASH] = ACTIONS(70),
    [anon_sym_BANG] = ACTIONS(72),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_typeof] = ACTIONS(70),
    [anon_sym_void] = ACTIONS(70),
    [anon_sym_delete] = ACTIONS(70),
    [anon_sym_PLUS_PLUS] = ACTIONS(74),
    [anon_sym_DASH_DASH] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(78),
    [anon_sym_BQUOTE] = ACTIONS(80),
    [sym_regex] = ACTIONS(82),
    [sym_number] = ACTIONS(84),
    [sym_identifier] = ACTIONS(3595),
    [sym_this] = ACTIONS(84),
    [sym_super] = ACTIONS(88),
    [sym_true] = ACTIONS(84),
    [sym_false] = ACTIONS(84),
    [sym_null] = ACTIONS(84),
    [sym_undefined] = ACTIONS(84),
    [anon_sym_AT] = ACTIONS(90),
    [anon_sym_get] = ACTIONS(92),
    [anon_sym_set] = ACTIONS(92),
  },
  [2511] = {
    [anon_sym_export] = ACTIONS(3709),
    [anon_sym_default] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_import] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_else] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_with] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_debugger] = ACTIONS(3709),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_case] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_function] = ACTIONS(3709),
    [anon_sym_EQ_GT] = ACTIONS(3707),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_void] = ACTIONS(3709),
    [anon_sym_delete] = ACTIONS(3709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3707),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_regex] = ACTIONS(3711),
    [sym_number] = ACTIONS(3709),
    [sym_identifier] = ACTIONS(3711),
    [sym_this] = ACTIONS(3709),
    [sym_super] = ACTIONS(3709),
    [sym_true] = ACTIONS(3709),
    [sym_false] = ACTIONS(3709),
    [sym_null] = ACTIONS(3709),
    [sym_undefined] = ACTIONS(3709),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_get] = ACTIONS(3709),
    [anon_sym_set] = ACTIONS(3709),
  },
  [2512] = {
    [anon_sym_export] = ACTIONS(3717),
    [anon_sym_default] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_RBRACE] = ACTIONS(3715),
    [anon_sym_import] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_else] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_debugger] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_case] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LT] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3717),
    [anon_sym_EQ_GT] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym_void] = ACTIONS(3717),
    [anon_sym_delete] = ACTIONS(3717),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3715),
    [anon_sym_BQUOTE] = ACTIONS(3715),
    [sym_regex] = ACTIONS(3719),
    [sym_number] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(3719),
    [sym_this] = ACTIONS(3717),
    [sym_super] = ACTIONS(3717),
    [sym_true] = ACTIONS(3717),
    [sym_false] = ACTIONS(3717),
    [sym_null] = ACTIONS(3717),
    [sym_undefined] = ACTIONS(3717),
    [anon_sym_AT] = ACTIONS(3715),
    [anon_sym_get] = ACTIONS(3717),
    [anon_sym_set] = ACTIONS(3717),
  },
  [2513] = {
    [anon_sym_export] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_RBRACE] = ACTIONS(3723),
    [anon_sym_import] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_else] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_with] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_debugger] = ACTIONS(3725),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_case] = ACTIONS(3725),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(3723),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_EQ_GT] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_delete] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3723),
    [anon_sym_BQUOTE] = ACTIONS(3723),
    [sym_regex] = ACTIONS(3727),
    [sym_number] = ACTIONS(3725),
    [sym_identifier] = ACTIONS(3727),
    [sym_this] = ACTIONS(3725),
    [sym_super] = ACTIONS(3725),
    [sym_true] = ACTIONS(3725),
    [sym_false] = ACTIONS(3725),
    [sym_null] = ACTIONS(3725),
    [sym_undefined] = ACTIONS(3725),
    [anon_sym_AT] = ACTIONS(3723),
    [anon_sym_get] = ACTIONS(3725),
    [anon_sym_set] = ACTIONS(3725),
  },
  [2514] = {
    [anon_sym_export] = ACTIONS(3731),
    [anon_sym_default] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3729),
    [anon_sym_RBRACE] = ACTIONS(3729),
    [anon_sym_import] = ACTIONS(3731),
    [anon_sym_var] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_const] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_else] = ACTIONS(3731),
    [anon_sym_switch] = ACTIONS(3731),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_with] = ACTIONS(3731),
    [anon_sym_break] = ACTIONS(3731),
    [anon_sym_continue] = ACTIONS(3731),
    [anon_sym_debugger] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_throw] = ACTIONS(3731),
    [anon_sym_SEMI] = ACTIONS(3729),
    [anon_sym_case] = ACTIONS(3731),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_LT] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3731),
    [anon_sym_async] = ACTIONS(3731),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_EQ_GT] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_await] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3731),
    [anon_sym_void] = ACTIONS(3731),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3729),
    [anon_sym_DASH_DASH] = ACTIONS(3729),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3729),
    [anon_sym_BQUOTE] = ACTIONS(3729),
    [sym_regex] = ACTIONS(3733),
    [sym_number] = ACTIONS(3731),
    [sym_identifier] = ACTIONS(3733),
    [sym_this] = ACTIONS(3731),
    [sym_super] = ACTIONS(3731),
    [sym_true] = ACTIONS(3731),
    [sym_false] = ACTIONS(3731),
    [sym_null] = ACTIONS(3731),
    [sym_undefined] = ACTIONS(3731),
    [anon_sym_AT] = ACTIONS(3729),
    [anon_sym_get] = ACTIONS(3731),
    [anon_sym_set] = ACTIONS(3731),
  },
  [2515] = {
    [anon_sym_export] = ACTIONS(3737),
    [anon_sym_default] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [anon_sym_import] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_else] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_with] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_debugger] = ACTIONS(3737),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_case] = ACTIONS(3737),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LT] = ACTIONS(3735),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_function] = ACTIONS(3737),
    [anon_sym_EQ_GT] = ACTIONS(3735),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym_void] = ACTIONS(3737),
    [anon_sym_delete] = ACTIONS(3737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3735),
    [anon_sym_BQUOTE] = ACTIONS(3735),
    [sym_regex] = ACTIONS(3739),
    [sym_number] = ACTIONS(3737),
    [sym_identifier] = ACTIONS(3739),
    [sym_this] = ACTIONS(3737),
    [sym_super] = ACTIONS(3737),
    [sym_true] = ACTIONS(3737),
    [sym_false] = ACTIONS(3737),
    [sym_null] = ACTIONS(3737),
    [sym_undefined] = ACTIONS(3737),
    [anon_sym_AT] = ACTIONS(3735),
    [anon_sym_get] = ACTIONS(3737),
    [anon_sym_set] = ACTIONS(3737),
  },
  [2516] = {
    [anon_sym_export] = ACTIONS(3743),
    [anon_sym_default] = ACTIONS(3743),
    [anon_sym_LBRACE] = ACTIONS(3741),
    [anon_sym_RBRACE] = ACTIONS(3741),
    [anon_sym_import] = ACTIONS(3743),
    [anon_sym_var] = ACTIONS(3743),
    [anon_sym_let] = ACTIONS(3743),
    [anon_sym_const] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(3743),
    [anon_sym_else] = ACTIONS(3743),
    [anon_sym_switch] = ACTIONS(3743),
    [anon_sym_for] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3743),
    [anon_sym_do] = ACTIONS(3743),
    [anon_sym_try] = ACTIONS(3743),
    [anon_sym_with] = ACTIONS(3743),
    [anon_sym_break] = ACTIONS(3743),
    [anon_sym_continue] = ACTIONS(3743),
    [anon_sym_debugger] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3743),
    [anon_sym_throw] = ACTIONS(3743),
    [anon_sym_SEMI] = ACTIONS(3741),
    [anon_sym_case] = ACTIONS(3743),
    [anon_sym_yield] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3743),
    [anon_sym_async] = ACTIONS(3743),
    [anon_sym_function] = ACTIONS(3743),
    [anon_sym_EQ_GT] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3743),
    [anon_sym_await] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3743),
    [anon_sym_DASH] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3743),
    [anon_sym_void] = ACTIONS(3743),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3741),
    [anon_sym_DASH_DASH] = ACTIONS(3741),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3741),
    [anon_sym_BQUOTE] = ACTIONS(3741),
    [sym_regex] = ACTIONS(3745),
    [sym_number] = ACTIONS(3743),
    [sym_identifier] = ACTIONS(3745),
    [sym_this] = ACTIONS(3743),
    [sym_super] = ACTIONS(3743),
    [sym_true] = ACTIONS(3743),
    [sym_false] = ACTIONS(3743),
    [sym_null] = ACTIONS(3743),
    [sym_undefined] = ACTIONS(3743),
    [anon_sym_AT] = ACTIONS(3741),
    [anon_sym_get] = ACTIONS(3743),
    [anon_sym_set] = ACTIONS(3743),
  },
  [2517] = {
    [anon_sym_export] = ACTIONS(3749),
    [anon_sym_default] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_RBRACE] = ACTIONS(3747),
    [anon_sym_import] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_else] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_with] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_debugger] = ACTIONS(3749),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_case] = ACTIONS(3749),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LT] = ACTIONS(3747),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_function] = ACTIONS(3749),
    [anon_sym_EQ_GT] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_void] = ACTIONS(3749),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3747),
    [anon_sym_BQUOTE] = ACTIONS(3747),
    [sym_regex] = ACTIONS(3751),
    [sym_number] = ACTIONS(3749),
    [sym_identifier] = ACTIONS(3751),
    [sym_this] = ACTIONS(3749),
    [sym_super] = ACTIONS(3749),
    [sym_true] = ACTIONS(3749),
    [sym_false] = ACTIONS(3749),
    [sym_null] = ACTIONS(3749),
    [sym_undefined] = ACTIONS(3749),
    [anon_sym_AT] = ACTIONS(3747),
    [anon_sym_get] = ACTIONS(3749),
    [anon_sym_set] = ACTIONS(3749),
  },
  [2518] = {
    [anon_sym_export] = ACTIONS(3783),
    [anon_sym_default] = ACTIONS(3783),
    [anon_sym_LBRACE] = ACTIONS(3781),
    [anon_sym_RBRACE] = ACTIONS(3781),
    [anon_sym_import] = ACTIONS(3783),
    [anon_sym_var] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_const] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_else] = ACTIONS(3783),
    [anon_sym_switch] = ACTIONS(3783),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_with] = ACTIONS(3783),
    [anon_sym_break] = ACTIONS(3783),
    [anon_sym_continue] = ACTIONS(3783),
    [anon_sym_debugger] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_throw] = ACTIONS(3783),
    [anon_sym_SEMI] = ACTIONS(3781),
    [anon_sym_case] = ACTIONS(3783),
    [anon_sym_finally] = ACTIONS(3783),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3783),
    [anon_sym_async] = ACTIONS(3783),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_EQ_GT] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_await] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_BANG] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3783),
    [anon_sym_void] = ACTIONS(3783),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3781),
    [anon_sym_DASH_DASH] = ACTIONS(3781),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3781),
    [anon_sym_BQUOTE] = ACTIONS(3781),
    [sym_regex] = ACTIONS(3785),
    [sym_number] = ACTIONS(3783),
    [sym_identifier] = ACTIONS(3785),
    [sym_this] = ACTIONS(3783),
    [sym_super] = ACTIONS(3783),
    [sym_true] = ACTIONS(3783),
    [sym_false] = ACTIONS(3783),
    [sym_null] = ACTIONS(3783),
    [sym_undefined] = ACTIONS(3783),
    [anon_sym_AT] = ACTIONS(3781),
    [anon_sym_get] = ACTIONS(3783),
    [anon_sym_set] = ACTIONS(3783),
  },
  [2519] = {
    [anon_sym_export] = ACTIONS(3933),
    [anon_sym_default] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_import] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_else] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_with] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_debugger] = ACTIONS(3933),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_case] = ACTIONS(3933),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3931),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_function] = ACTIONS(3933),
    [anon_sym_EQ_GT] = ACTIONS(3931),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym_void] = ACTIONS(3933),
    [anon_sym_delete] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3931),
    [anon_sym_BQUOTE] = ACTIONS(3931),
    [sym_regex] = ACTIONS(3935),
    [sym_number] = ACTIONS(3933),
    [sym_identifier] = ACTIONS(3935),
    [sym_this] = ACTIONS(3933),
    [sym_super] = ACTIONS(3933),
    [sym_true] = ACTIONS(3933),
    [sym_false] = ACTIONS(3933),
    [sym_null] = ACTIONS(3933),
    [sym_undefined] = ACTIONS(3933),
    [anon_sym_AT] = ACTIONS(3931),
    [anon_sym_get] = ACTIONS(3933),
    [anon_sym_set] = ACTIONS(3933),
  },
  [2520] = {
    [anon_sym_export] = ACTIONS(3939),
    [anon_sym_default] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_import] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(3939),
    [anon_sym_let] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3939),
    [anon_sym_else] = ACTIONS(3939),
    [anon_sym_switch] = ACTIONS(3939),
    [anon_sym_for] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3939),
    [anon_sym_do] = ACTIONS(3939),
    [anon_sym_try] = ACTIONS(3939),
    [anon_sym_with] = ACTIONS(3939),
    [anon_sym_break] = ACTIONS(3939),
    [anon_sym_continue] = ACTIONS(3939),
    [anon_sym_debugger] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3939),
    [anon_sym_throw] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3937),
    [anon_sym_case] = ACTIONS(3939),
    [anon_sym_yield] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_LT] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_async] = ACTIONS(3939),
    [anon_sym_function] = ACTIONS(3939),
    [anon_sym_EQ_GT] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3939),
    [anon_sym_await] = ACTIONS(3939),
    [anon_sym_PLUS] = ACTIONS(3939),
    [anon_sym_DASH] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3937),
    [anon_sym_TILDE] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3939),
    [anon_sym_void] = ACTIONS(3939),
    [anon_sym_delete] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3937),
    [anon_sym_DASH_DASH] = ACTIONS(3937),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3937),
    [anon_sym_BQUOTE] = ACTIONS(3937),
    [sym_regex] = ACTIONS(3941),
    [sym_number] = ACTIONS(3939),
    [sym_identifier] = ACTIONS(3941),
    [sym_this] = ACTIONS(3939),
    [sym_super] = ACTIONS(3939),
    [sym_true] = ACTIONS(3939),
    [sym_false] = ACTIONS(3939),
    [sym_null] = ACTIONS(3939),
    [sym_undefined] = ACTIONS(3939),
    [anon_sym_AT] = ACTIONS(3937),
    [anon_sym_get] = ACTIONS(3939),
    [anon_sym_set] = ACTIONS(3939),
  },
  [2521] = {
    [anon_sym_export] = ACTIONS(3945),
    [anon_sym_default] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_import] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_else] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_with] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_debugger] = ACTIONS(3945),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_case] = ACTIONS(3945),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(3943),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_function] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(3943),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym_void] = ACTIONS(3945),
    [anon_sym_delete] = ACTIONS(3945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3943),
    [anon_sym_BQUOTE] = ACTIONS(3943),
    [sym_regex] = ACTIONS(3947),
    [sym_number] = ACTIONS(3945),
    [sym_identifier] = ACTIONS(3947),
    [sym_this] = ACTIONS(3945),
    [sym_super] = ACTIONS(3945),
    [sym_true] = ACTIONS(3945),
    [sym_false] = ACTIONS(3945),
    [sym_null] = ACTIONS(3945),
    [sym_undefined] = ACTIONS(3945),
    [anon_sym_AT] = ACTIONS(3943),
    [anon_sym_get] = ACTIONS(3945),
    [anon_sym_set] = ACTIONS(3945),
  },
  [2522] = {
    [anon_sym_export] = ACTIONS(3951),
    [anon_sym_default] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_RBRACE] = ACTIONS(3949),
    [anon_sym_import] = ACTIONS(3951),
    [anon_sym_var] = ACTIONS(3951),
    [anon_sym_let] = ACTIONS(3951),
    [anon_sym_const] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3951),
    [anon_sym_else] = ACTIONS(3951),
    [anon_sym_switch] = ACTIONS(3951),
    [anon_sym_for] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3951),
    [anon_sym_do] = ACTIONS(3951),
    [anon_sym_try] = ACTIONS(3951),
    [anon_sym_with] = ACTIONS(3951),
    [anon_sym_break] = ACTIONS(3951),
    [anon_sym_continue] = ACTIONS(3951),
    [anon_sym_debugger] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3951),
    [anon_sym_throw] = ACTIONS(3951),
    [anon_sym_SEMI] = ACTIONS(3949),
    [anon_sym_case] = ACTIONS(3951),
    [anon_sym_yield] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3951),
    [anon_sym_async] = ACTIONS(3951),
    [anon_sym_function] = ACTIONS(3951),
    [anon_sym_EQ_GT] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3951),
    [anon_sym_await] = ACTIONS(3951),
    [anon_sym_PLUS] = ACTIONS(3951),
    [anon_sym_DASH] = ACTIONS(3951),
    [anon_sym_BANG] = ACTIONS(3949),
    [anon_sym_TILDE] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3951),
    [anon_sym_void] = ACTIONS(3951),
    [anon_sym_delete] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3949),
    [anon_sym_DASH_DASH] = ACTIONS(3949),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3949),
    [anon_sym_BQUOTE] = ACTIONS(3949),
    [sym_regex] = ACTIONS(3953),
    [sym_number] = ACTIONS(3951),
    [sym_identifier] = ACTIONS(3953),
    [sym_this] = ACTIONS(3951),
    [sym_super] = ACTIONS(3951),
    [sym_true] = ACTIONS(3951),
    [sym_false] = ACTIONS(3951),
    [sym_null] = ACTIONS(3951),
    [sym_undefined] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(3949),
    [anon_sym_get] = ACTIONS(3951),
    [anon_sym_set] = ACTIONS(3951),
  },
  [2523] = {
    [anon_sym_export] = ACTIONS(3957),
    [anon_sym_default] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_import] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_else] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_with] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_debugger] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_case] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LT] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3957),
    [anon_sym_EQ_GT] = ACTIONS(3955),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym_void] = ACTIONS(3957),
    [anon_sym_delete] = ACTIONS(3957),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3955),
    [anon_sym_BQUOTE] = ACTIONS(3955),
    [sym_regex] = ACTIONS(3959),
    [sym_number] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [sym_this] = ACTIONS(3957),
    [sym_super] = ACTIONS(3957),
    [sym_true] = ACTIONS(3957),
    [sym_false] = ACTIONS(3957),
    [sym_null] = ACTIONS(3957),
    [sym_undefined] = ACTIONS(3957),
    [anon_sym_AT] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
  },
  [2524] = {
    [anon_sym_export] = ACTIONS(3963),
    [anon_sym_default] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3961),
    [anon_sym_RBRACE] = ACTIONS(3961),
    [anon_sym_import] = ACTIONS(3963),
    [anon_sym_var] = ACTIONS(3963),
    [anon_sym_let] = ACTIONS(3963),
    [anon_sym_const] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3963),
    [anon_sym_else] = ACTIONS(3963),
    [anon_sym_switch] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3963),
    [anon_sym_do] = ACTIONS(3963),
    [anon_sym_try] = ACTIONS(3963),
    [anon_sym_with] = ACTIONS(3963),
    [anon_sym_break] = ACTIONS(3963),
    [anon_sym_continue] = ACTIONS(3963),
    [anon_sym_debugger] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3963),
    [anon_sym_throw] = ACTIONS(3963),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_case] = ACTIONS(3963),
    [anon_sym_yield] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(3961),
    [anon_sym_LT] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3963),
    [anon_sym_async] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3963),
    [anon_sym_EQ_GT] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3963),
    [anon_sym_await] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(3963),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3963),
    [anon_sym_void] = ACTIONS(3963),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3961),
    [anon_sym_DASH_DASH] = ACTIONS(3961),
    [sym_comment] = ACTIONS(76),
    [sym_string] = ACTIONS(3961),
    [anon_sym_BQUOTE] = ACTIONS(3961),
    [sym_regex] = ACTIONS(3965),
    [sym_number] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [sym_this] = ACTIONS(3963),
    [sym_super] = ACTIONS(3963),
    [sym_true] = ACTIONS(3963),
    [sym_false] = ACTIONS(3963),
    [sym_null] = ACTIONS(3963),
    [sym_undefined] = ACTIONS(3963),
    [anon_sym_AT] = ACTIONS(3961),
    [anon_sym_get] = ACTIONS(3963),
    [anon_sym_set] = ACTIONS(3963),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false, .depends_on_lookahead = false},
  [1] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, RECOVER(),
  [5] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, SHIFT_EXTRA(), RECOVER(),
  [8] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, RECOVER(),
  [10] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_program, 0),
  [12] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2),
  [14] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(3),
  [16] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(4),
  [18] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(5),
  [20] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(6),
  [22] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(7),
  [24] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(8),
  [26] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(9),
  [28] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(10),
  [30] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(11),
  [32] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(12),
  [34] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(13),
  [36] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(14),
  [38] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(15),
  [40] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(16),
  [42] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(17),
  [44] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(18),
  [46] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(19),
  [48] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(20),
  [50] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(21),
  [52] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(22),
  [54] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(23),
  [56] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(24),
  [58] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(25),
  [60] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(26),
  [62] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(27),
  [64] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(28),
  [66] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(29),
  [68] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(30),
  [70] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(31),
  [72] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(31),
  [74] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(32),
  [76] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT_EXTRA(),
  [78] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(33),
  [80] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(34),
  [82] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(33),
  [84] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(33),
  [86] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(35),
  [88] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(36),
  [90] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(37),
  [92] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(38),
  [94] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_program, 1),
  [96] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(56),
  [98] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(57),
  [100] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(58),
  [102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(6),
  [104] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(7),
  [106] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(59),
  [108] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(60),
  [110] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(61),
  [112] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(66),
  [114] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(67),
  [116] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(68),
  [118] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(69),
  [120] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(70),
  [122] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(71),
  [124] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(72),
  [126] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(73),
  [128] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(74),
  [130] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(75),
  [132] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(76),
  [134] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(76),
  [136] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(77),
  [138] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(78),
  [140] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(79),
  [142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(88),
  [144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(89),
  [146] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(90),
  [148] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(91),
  [150] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(94),
  [152] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(95),
  [154] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(96),
  [156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(101),
  [158] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(104),
  [160] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(105),
  [162] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(106),
  [164] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(107),
  [166] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(108),
  [168] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(109),
  [170] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(110),
  [172] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(111),
  [174] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(112),
  [176] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(113),
  [178] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(114),
  [180] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(115),
  [182] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(116),
  [184] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(117),
  [186] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(118),
  [188] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(118),
  [190] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(119),
  [192] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(120),
  [194] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(121),
  [196] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(120),
  [198] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(120),
  [200] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(122),
  [202] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(123),
  [204] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(124),
  [206] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(137),
  [208] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(138),
  [210] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(139),
  [212] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(140),
  [214] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(141),
  [216] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(142),
  [218] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(143),
  [220] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(144),
  [222] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(145),
  [224] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(146),
  [226] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(147),
  [228] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(152),
  [230] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(155),
  [232] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(156),
  [234] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(157),
  [236] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(158),
  [238] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(159),
  [240] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(160),
  [242] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(161),
  [244] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(162),
  [246] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_empty_statement, 1),
  [248] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_empty_statement, 1),
  [250] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_empty_statement, 1),
  [252] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_yield_expression, 1, .fragile = true),
  [254] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_yield_expression, 1, .fragile = true),
  [256] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(24),
  [258] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(168),
  [260] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(169),
  [262] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(170),
  [264] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(171),
  [266] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(172),
  [268] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(173),
  [270] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(174),
  [272] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(175),
  [274] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(176),
  [276] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(176),
  [278] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(177),
  [280] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(178),
  [282] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(179),
  [284] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(187),
  [286] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(188),
  [288] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(189),
  [290] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(192),
  [292] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(193),
  [294] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(194),
  [296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1),
  [298] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1),
  [300] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1), SHIFT(197),
  [303] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(198),
  [305] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(199),
  [307] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(200),
  [309] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(201),
  [311] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(202),
  [313] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(203),
  [315] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(205),
  [317] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(197),
  [319] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(206),
  [321] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(208),
  [323] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true),
  [325] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true),
  [327] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(215),
  [329] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(216),
  [331] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(217),
  [333] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(219),
  [335] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(220),
  [337] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(221),
  [339] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(222),
  [341] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(224),
  [343] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(226),
  [345] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(227),
  [347] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, ACCEPT_INPUT(),
  [349] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 1),
  [351] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 1),
  [353] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 1),
  [355] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__declaration, 1),
  [357] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__declaration, 1),
  [359] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__declaration, 1),
  [361] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(231),
  [363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expressions, 1),
  [365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(232),
  [367] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(233),
  [369] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(234),
  [371] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(232),
  [373] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(235),
  [375] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(236),
  [377] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(237),
  [379] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(236),
  [381] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(237),
  [383] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(238),
  [385] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(219),
  [387] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(239),
  [389] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(242),
  [391] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(243),
  [393] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(244),
  [395] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(248),
  [397] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_export_statement_repeat1, 1),
  [399] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 1),
  [401] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 1),
  [403] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(250),
  [405] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(251),
  [407] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_program, 2),
  [409] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(253),
  [411] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(255),
  [413] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(256),
  [415] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(257),
  [417] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(258),
  [419] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(259),
  [421] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(260),
  [423] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(260),
  [425] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(261),
  [427] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(262),
  [429] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(263),
  [431] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(269),
  [433] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(270),
  [435] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(271),
  [437] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(273),
  [439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(274),
  [441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(275),
  [443] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(276),
  [445] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(278),
  [447] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 2),
  [449] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_export_statement, 2),
  [451] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 2),
  [453] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(279),
  [455] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(281),
  [457] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(282),
  [459] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(84),
  [461] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(84),
  [463] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(282),
  [465] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(284),
  [467] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_object_repeat1, 1),
  [469] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(285),
  [471] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(286),
  [473] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(287),
  [475] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(288),
  [477] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(289),
  [479] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 2),
  [481] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_statement_block, 2, .fragile = true),
  [483] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_statement_block, 2, .fragile = true),
  [485] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 2),
  [487] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_statement_block, 2, .fragile = true),
  [489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(296),
  [491] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1), SHIFT(300),
  [494] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(301),
  [496] = {.count = 3, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1), REDUCE(sym__property_name, 1, .fragile = true, .alias_sequence_id = 2), SHIFT(197),
  [500] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__property_name, 1, .fragile = true, .alias_sequence_id = 2),
  [502] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1), SHIFT(281),
  [505] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(198),
  [507] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(302),
  [509] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(303),
  [511] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(305),
  [513] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(306),
  [515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(307),
  [517] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(308),
  [519] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(309),
  [521] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(310),
  [523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(310),
  [525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(311),
  [527] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(312),
  [529] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(313),
  [531] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), REDUCE(sym__property_name, 1, .fragile = true),
  [534] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__property_name, 1, .fragile = true),
  [536] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), REDUCE(sym__property_name, 1, .fragile = true, .alias_sequence_id = 2),
  [539] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__property_name, 1, .fragile = true, .alias_sequence_id = 2), SHIFT(319),
  [542] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(320),
  [544] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true, .alias_sequence_id = 1), REDUCE(sym__property_name, 1, .fragile = true, .alias_sequence_id = 2),
  [547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(325),
  [549] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(328),
  [551] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(330),
  [553] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(331),
  [555] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(250),
  [557] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(251),
  [559] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(333),
  [561] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(334),
  [563] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(339),
  [565] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(340),
  [567] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(341),
  [569] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(343),
  [571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(344),
  [573] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_clause, 1),
  [575] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(346),
  [577] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(347),
  [579] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(348),
  [581] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(349),
  [583] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(353),
  [585] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 1),
  [587] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(199),
  [589] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(358),
  [591] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(359),
  [593] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 1, .alias_sequence_id = 3),
  [595] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 1, .alias_sequence_id = 4),
  [597] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(363),
  [599] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(365),
  [601] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(369),
  [603] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(370),
  [605] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(371),
  [607] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(372),
  [609] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(373),
  [611] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(374),
  [613] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(375),
  [615] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(376),
  [617] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(377),
  [619] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(378),
  [621] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(379),
  [623] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(380),
  [625] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(381),
  [627] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(382),
  [629] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(383),
  [631] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(384),
  [633] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(385),
  [635] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(386),
  [637] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(387),
  [639] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(388),
  [641] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(389),
  [643] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(390),
  [645] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(397),
  [647] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(399),
  [649] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(400),
  [651] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(401),
  [653] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(402),
  [655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(407),
  [657] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(408),
  [659] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(409),
  [661] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(410),
  [663] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 2),
  [665] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(110),
  [667] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(416),
  [669] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(420),
  [671] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(421),
  [673] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(422),
  [675] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(425),
  [677] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(426),
  [679] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(429),
  [681] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(430),
  [683] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(431),
  [685] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(432),
  [687] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(433),
  [689] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(434),
  [691] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(436),
  [693] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(437),
  [695] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(439),
  [697] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(444),
  [699] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(447),
  [701] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(449),
  [704] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(450),
  [707] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(451),
  [709] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(452),
  [711] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(453),
  [713] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(456),
  [715] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(458),
  [717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(459),
  [719] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(460),
  [721] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(461),
  [723] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(459),
  [725] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(462),
  [727] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(463),
  [729] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(464),
  [731] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(463),
  [733] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(464),
  [735] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(465),
  [737] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(451),
  [739] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(466),
  [741] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(467),
  [744] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(449),
  [746] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(450),
  [748] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1, .fragile = true), SHIFT(470),
  [751] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(473),
  [753] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(477),
  [755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(479),
  [757] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(480),
  [759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(481),
  [761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(483),
  [763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(485),
  [765] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(489),
  [767] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(490),
  [769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(491),
  [771] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(492),
  [773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(494),
  [775] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(495),
  [777] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(496),
  [779] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(497),
  [781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(498),
  [783] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 2),
  [785] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 2),
  [787] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(500),
  [789] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(501),
  [791] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 2),
  [793] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 2),
  [795] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_break_statement, 2),
  [797] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 2),
  [799] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(505),
  [801] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 2),
  [803] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_continue_statement, 2),
  [805] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 2),
  [807] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(506),
  [809] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_debugger_statement, 2),
  [811] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_debugger_statement, 2),
  [813] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_debugger_statement, 2),
  [815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 2),
  [817] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_return_statement, 2),
  [819] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 2),
  [821] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(507),
  [823] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(508),
  [825] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(509),
  [827] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(510),
  [829] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(512),
  [831] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(513),
  [833] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_yield_expression, 2),
  [835] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_array_repeat1, 1),
  [837] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_array, 2),
  [839] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_array, 2),
  [841] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(517),
  [843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(518),
  [845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(519),
  [847] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(520),
  [849] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(524),
  [851] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(525),
  [853] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(526),
  [855] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(527),
  [857] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(526),
  [859] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(528),
  [861] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(529),
  [863] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(530),
  [865] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(529),
  [867] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(530),
  [869] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(531),
  [871] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(524),
  [873] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(536),
  [875] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(538),
  [877] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(539),
  [879] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(540),
  [881] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(541),
  [883] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(542),
  [885] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(543),
  [887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(547),
  [889] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(548),
  [891] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(549),
  [893] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(550),
  [895] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(552),
  [897] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(553),
  [899] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(554),
  [901] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(555),
  [903] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(556),
  [905] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(556),
  [907] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(557),
  [909] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(558),
  [911] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(559),
  [913] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(560),
  [915] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(567),
  [917] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(568),
  [919] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(569),
  [921] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(570),
  [923] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(571),
  [925] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(572),
  [927] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(572),
  [929] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(573),
  [931] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(574),
  [933] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(575),
  [935] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(581),
  [937] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(193),
  [939] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_anonymous_class, 2),
  [941] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_anonymous_class, 2),
  [943] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(585),
  [945] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(586),
  [947] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(589),
  [949] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(591),
  [951] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(596),
  [953] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 1),
  [955] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 1),
  [957] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(597),
  [959] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(599),
  [961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arrow_function, 2),
  [963] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arrow_function, 2),
  [965] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_new_expression, 2),
  [967] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_new_expression, 2),
  [969] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_await_expression, 2),
  [971] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_unary_expression, 2),
  [973] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_unary_expression, 2),
  [975] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_update_expression, 2),
  [977] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_update_expression, 2),
  [979] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_template_string, 2),
  [981] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_template_string, 2),
  [983] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_template_string_repeat1, 1),
  [985] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_template_string_repeat1, 1),
  [987] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(604),
  [989] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(608),
  [991] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_expression, 2, .fragile = true),
  [993] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_assignment_expression, 2, .fragile = true),
  [995] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(610),
  [997] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(611),
  [999] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(612),
  [1001] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_call_expression, 2),
  [1003] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_call_expression, 2),
  [1005] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__identifier_reference, 1, .alias_sequence_id = 1),
  [1007] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__identifier_reference, 1, .alias_sequence_id = 1),
  [1009] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__identifier_reference, 1, .alias_sequence_id = 1),
  [1011] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__identifier_reference, 1),
  [1013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__identifier_reference, 1),
  [1015] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__identifier_reference, 1),
  [1017] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2),
  [1019] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(616),
  [1021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 5),
  [1023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(618),
  [1025] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator, 2, .alias_sequence_id = 6),
  [1027] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 6),
  [1029] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 6),
  [1031] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_statement, 2),
  [1033] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_expression_statement, 2),
  [1035] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_expression_statement, 2),
  [1037] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(625),
  [1039] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(626),
  [1041] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(627),
  [1043] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(628),
  [1045] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(629),
  [1047] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(630),
  [1049] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(630),
  [1051] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(631),
  [1053] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(632),
  [1055] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(633),
  [1057] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 3),
  [1059] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 3),
  [1061] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 4),
  [1063] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 4),
  [1065] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(642),
  [1067] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(643),
  [1069] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(646),
  [1071] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(647),
  [1073] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(648),
  [1075] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [1077] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(651),
  [1079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_element, 2),
  [1081] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_element, 2),
  [1083] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__declaration, 2),
  [1085] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__declaration, 2),
  [1087] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__declaration, 2),
  [1089] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2),
  [1091] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [1094] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [1097] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [1100] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [1103] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [1106] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [1109] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [1112] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [1115] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [1118] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [1121] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [1124] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [1127] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [1130] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [1133] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [1136] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [1139] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [1142] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [1145] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [1148] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [1151] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [1154] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [1157] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [1160] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [1163] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [1166] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [1169] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [1172] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [1175] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [1178] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [1181] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [1184] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [1187] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(34),
  [1190] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [1193] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [1196] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [1199] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(36),
  [1202] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(37),
  [1205] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [1208] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(656),
  [1210] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(657),
  [1212] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1214] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(37),
  [1217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(659),
  [1219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(660),
  [1221] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(662),
  [1223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(663),
  [1225] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(664),
  [1227] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(665),
  [1229] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(668),
  [1231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(669),
  [1233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(670),
  [1235] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(670),
  [1237] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(671),
  [1239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(672),
  [1241] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(673),
  [1243] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(672),
  [1245] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(673),
  [1247] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(674),
  [1249] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(668),
  [1251] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(675),
  [1253] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_clause, 2),
  [1255] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__import_export_specifier, 1),
  [1257] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(676),
  [1259] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(677),
  [1261] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(678),
  [1263] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(680),
  [1265] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(683),
  [1267] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(685),
  [1269] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(687),
  [1271] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 3),
  [1273] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_export_statement, 3),
  [1275] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 3),
  [1277] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(689),
  [1279] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(690),
  [1281] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(691),
  [1283] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(692),
  [1285] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(693),
  [1287] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(694),
  [1289] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(695),
  [1291] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(695),
  [1293] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(696),
  [1295] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(697),
  [1297] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(698),
  [1299] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(705),
  [1301] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(706),
  [1303] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(707),
  [1305] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(708),
  [1307] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(712),
  [1309] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(300),
  [1311] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_object_repeat1, 2, .alias_sequence_id = 7),
  [1313] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(716),
  [1315] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(718),
  [1317] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(719),
  [1319] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_object_repeat1, 2),
  [1321] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(727),
  [1323] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(728),
  [1325] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(729),
  [1327] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(730),
  [1329] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(731),
  [1331] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(733),
  [1333] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(734),
  [1335] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(735),
  [1337] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(739),
  [1339] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 3, .alias_sequence_id = 7),
  [1341] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 3, .alias_sequence_id = 7),
  [1343] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(741),
  [1345] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(716),
  [1347] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(743),
  [1349] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(744),
  [1351] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(745),
  [1353] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(748),
  [1355] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(749),
  [1357] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(750),
  [1359] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_spread_element, 2),
  [1361] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(750),
  [1363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(751),
  [1365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(752),
  [1367] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(753),
  [1369] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(752),
  [1371] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(753),
  [1373] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(754),
  [1375] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(748),
  [1377] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(755),
  [1379] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(756),
  [1381] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(757),
  [1383] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(758),
  [1385] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(759),
  [1387] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(760),
  [1389] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(760),
  [1391] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(761),
  [1393] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(762),
  [1395] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(763),
  [1397] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 8), REDUCE(sym_assignment_expression, 2, .fragile = true),
  [1400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 8),
  [1402] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator, 2),
  [1404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(769),
  [1406] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(616),
  [1408] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2),
  [1410] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator, 2, .alias_sequence_id = 5),
  [1412] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(618),
  [1414] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 5),
  [1416] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 3), REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 3),
  [1419] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 3),
  [1421] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 3),
  [1423] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 3),
  [1425] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(770),
  [1427] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 4), REDUCE(sym_assignment_expression, 2, .fragile = true, .alias_sequence_id = 4),
  [1430] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment_pattern, 2, .fragile = true, .alias_sequence_id = 4),
  [1432] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(772),
  [1434] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_statement_block, 3),
  [1436] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_statement_block, 3),
  [1438] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_statement_block, 3),
  [1440] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(319),
  [1442] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(69),
  [1445] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [1448] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(71),
  [1451] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(72),
  [1454] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(331),
  [1457] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1459] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1461] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(78),
  [1464] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(67),
  [1467] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(775),
  [1469] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(776),
  [1471] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_named_imports, 2),
  [1473] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(777),
  [1475] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(778),
  [1477] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_statement, 3),
  [1479] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_import_statement, 3),
  [1481] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_statement, 3),
  [1483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(781),
  [1485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(782),
  [1487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(784),
  [1489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(787),
  [1491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 2),
  [1493] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declaration, 3),
  [1495] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_variable_declaration, 3),
  [1497] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_variable_declaration, 3),
  [1499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(790),
  [1501] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 2, .alias_sequence_id = 3),
  [1503] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declarator, 2, .alias_sequence_id = 4),
  [1505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lexical_declaration, 3),
  [1507] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_lexical_declaration, 3),
  [1509] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_lexical_declaration, 3),
  [1511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(792),
  [1513] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(793),
  [1515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(794),
  [1517] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(795),
  [1519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(372),
  [1521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(373),
  [1523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(796),
  [1525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(797),
  [1527] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(798),
  [1529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(803),
  [1531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(805),
  [1533] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(811),
  [1535] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(814),
  [1537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(817),
  [1539] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(818),
  [1541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(819),
  [1543] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(820),
  [1545] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(821),
  [1547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(822),
  [1549] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(825),
  [1551] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(826),
  [1553] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(827),
  [1555] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(828),
  [1557] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(830),
  [1559] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 3, .fragile = true),
  [1561] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_statement, 3, .fragile = true),
  [1563] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(831),
  [1565] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 3, .fragile = true),
  [1567] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(832),
  [1569] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(833),
  [1571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(834),
  [1573] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(835),
  [1575] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(836),
  [1577] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(837),
  [1579] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(838),
  [1581] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_statement, 3),
  [1583] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_statement, 3),
  [1585] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_switch_statement, 3),
  [1587] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(841),
  [1589] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(846),
  [1591] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(847),
  [1593] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(849),
  [1595] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(850),
  [1597] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(851),
  [1599] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(852),
  [1601] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(853),
  [1603] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(854),
  [1605] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(856),
  [1607] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(859),
  [1609] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(860),
  [1611] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(862),
  [1613] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(864),
  [1615] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(866),
  [1617] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(868),
  [1619] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(873),
  [1621] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(875),
  [1623] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(880),
  [1625] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(881),
  [1627] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(883),
  [1629] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(885),
  [1631] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(886),
  [1633] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(887),
  [1635] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_rest_parameter, 2),
  [1637] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(890),
  [1639] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(891),
  [1641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 3),
  [1643] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(896),
  [1645] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(898),
  [1647] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(900),
  [1649] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_expression, 3),
  [1651] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parenthesized_expression, 3),
  [1653] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 3, .alias_sequence_id = 9),
  [1655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(912),
  [1657] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 3, .alias_sequence_id = 10),
  [1659] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(913),
  [1661] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(914),
  [1663] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(916),
  [1665] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 3),
  [1667] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_while_statement, 3),
  [1669] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 3),
  [1671] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(918),
  [1673] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(919),
  [1675] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(920),
  [1677] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(921),
  [1679] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(923),
  [1681] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(924),
  [1683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(925),
  [1685] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(926),
  [1687] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(927),
  [1689] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(928),
  [1691] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(929),
  [1693] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(930),
  [1695] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(931),
  [1697] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(936),
  [1699] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(937),
  [1701] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(938),
  [1703] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(942),
  [1705] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(943),
  [1707] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(947),
  [1709] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(949),
  [1711] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(951),
  [1713] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(953),
  [1715] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(955),
  [1717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(956),
  [1719] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(957),
  [1721] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(958),
  [1723] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(960),
  [1725] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 3),
  [1727] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 3),
  [1729] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 3),
  [1731] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 3),
  [1733] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_with_statement, 3),
  [1735] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 3),
  [1737] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 3, .alias_sequence_id = 11),
  [1739] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_break_statement, 3, .alias_sequence_id = 11),
  [1741] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_break_statement, 3, .alias_sequence_id = 11),
  [1743] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 3, .alias_sequence_id = 11),
  [1745] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_continue_statement, 3, .alias_sequence_id = 11),
  [1747] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_continue_statement, 3, .alias_sequence_id = 11),
  [1749] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 3),
  [1751] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_return_statement, 3),
  [1753] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 3),
  [1755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_throw_statement, 3),
  [1757] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_throw_statement, 3),
  [1759] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_throw_statement, 3),
  [1761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_array_repeat1, 2),
  [1763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(966),
  [1765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_array, 3, .fragile = true),
  [1767] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_array, 3, .fragile = true),
  [1769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(973),
  [1771] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(168),
  [1774] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(974),
  [1776] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(975),
  [1778] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(976),
  [1780] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(979),
  [1782] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(980),
  [1784] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .alias_sequence_id = 12),
  [1786] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(981),
  [1788] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_attribute, 1, .alias_sequence_id = 2),
  [1790] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_attribute, 1, .alias_sequence_id = 2),
  [1792] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(982),
  [1794] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1),
  [1796] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1),
  [1798] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_attribute, 1),
  [1800] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_attribute, 1),
  [1802] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(983),
  [1804] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(984),
  [1806] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(985),
  [1808] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(987),
  [1810] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(988),
  [1812] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1),
  [1814] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(989),
  [1816] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(990),
  [1818] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(991),
  [1820] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(992),
  [1822] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class_body, 2),
  [1824] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class_body, 2),
  [1826] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(995),
  [1828] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(996),
  [1830] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(997),
  [1832] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(998),
  [1834] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1004),
  [1836] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1838] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1840] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1842] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_public_field_definition, 1),
  [1844] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(662),
  [1846] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1007),
  [1848] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1009),
  [1850] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1012),
  [1852] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1013),
  [1854] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1014),
  [1856] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1015),
  [1858] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1018),
  [1860] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1019),
  [1862] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1020),
  [1864] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class_heritage, 2),
  [1866] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1020),
  [1868] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1021),
  [1870] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1022),
  [1872] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1023),
  [1874] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1022),
  [1876] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1023),
  [1878] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1024),
  [1880] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1018),
  [1882] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1025),
  [1884] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class, 3),
  [1886] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class, 3),
  [1888] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class, 3),
  [1890] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_anonymous_class, 3),
  [1892] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_anonymous_class, 3),
  [1894] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(430),
  [1896] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(467),
  [1898] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(470),
  [1900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 13),
  [1902] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 13),
  [1904] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__initializer, 2),
  [1906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arrow_function, 3),
  [1908] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arrow_function, 3),
  [1910] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_augmented_assignment_expression, 3, .alias_sequence_id = 1),
  [1912] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1035),
  [1914] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function, 3),
  [1916] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_function, 3),
  [1918] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function, 3),
  [1920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1037),
  [1922] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1038),
  [1924] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1039),
  [1926] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_template_string, 3),
  [1928] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_template_string, 3),
  [1930] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_template_string_repeat1, 2),
  [1932] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(216),
  [1935] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(217),
  [1938] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_binary_expression, 3),
  [1940] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_binary_expression, 3),
  [1942] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 14),
  [1944] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 14),
  [1946] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 14),
  [1948] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 15),
  [1950] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 15),
  [1952] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_augmented_assignment_expression, 3),
  [1954] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arguments, 2),
  [1956] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arguments, 2),
  [1958] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1042),
  [1960] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1045),
  [1962] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator_call_expression, 2),
  [1964] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator_call_expression, 2),
  [1966] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator_call_expression, 2),
  [1968] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1046),
  [1970] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator_call_expression, 2, .alias_sequence_id = 16),
  [1972] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator_call_expression, 2, .alias_sequence_id = 16),
  [1974] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator_call_expression, 2, .alias_sequence_id = 16),
  [1976] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_sequence_expression, 3),
  [1978] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1047),
  [1980] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1048),
  [1982] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1050),
  [1984] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1051),
  [1986] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1052),
  [1988] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1053),
  [1990] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1056),
  [1992] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1057),
  [1994] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1058),
  [1996] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1059),
  [1998] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1058),
  [2000] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1060),
  [2002] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1061),
  [2004] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1062),
  [2006] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1061),
  [2008] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1062),
  [2010] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1063),
  [2012] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1056),
  [2014] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_expression, 2),
  [2016] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1064),
  [2018] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1065),
  [2020] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1066),
  [2022] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1067),
  [2024] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1068),
  [2026] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1069),
  [2028] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1069),
  [2030] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1070),
  [2032] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1071),
  [2034] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1072),
  [2036] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1078),
  [2038] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1079),
  [2040] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1080),
  [2042] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1083),
  [2044] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1085),
  [2046] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1087),
  [2048] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_element, 2),
  [2050] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_element, 3),
  [2052] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_element, 3),
  [2054] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(242),
  [2057] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1089),
  [2060] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(244),
  [2063] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__from_clause, 2),
  [2065] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 4),
  [2067] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_export_statement, 4),
  [2069] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 4),
  [2071] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1096),
  [2073] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_clause, 3),
  [2075] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1103),
  [2077] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1104),
  [2079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_clause, 3, .alias_sequence_id = 17),
  [2081] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1106),
  [2083] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1108),
  [2085] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1115),
  [2087] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1119),
  [2089] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1120),
  [2091] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1121),
  [2093] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1122),
  [2095] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1125),
  [2097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1126),
  [2099] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1127),
  [2101] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1128),
  [2103] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1127),
  [2105] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1129),
  [2107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1130),
  [2109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1131),
  [2111] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1130),
  [2113] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1131),
  [2115] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1132),
  [2117] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1125),
  [2119] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1134),
  [2121] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1136),
  [2123] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1139),
  [2125] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1141),
  [2127] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1143),
  [2129] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1144),
  [2131] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1146),
  [2133] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_object_repeat1, 3),
  [2135] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(288),
  [2138] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1149),
  [2140] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1152),
  [2142] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1153),
  [2144] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1154),
  [2146] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1157),
  [2148] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1158),
  [2150] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1160),
  [2152] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1161),
  [2154] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1162),
  [2156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1163),
  [2158] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_array, 3, .fragile = true), REDUCE(sym_computed_property_name, 3, .fragile = true),
  [2161] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_computed_property_name, 3, .fragile = true),
  [2163] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 4, .alias_sequence_id = 7),
  [2165] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 4, .alias_sequence_id = 7),
  [2167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1167),
  [2169] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1175),
  [2171] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1176),
  [2173] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1177),
  [2175] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1180),
  [2177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1181),
  [2179] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1182),
  [2181] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1182),
  [2183] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1183),
  [2185] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1184),
  [2187] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1185),
  [2189] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1184),
  [2191] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1185),
  [2193] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1186),
  [2195] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1180),
  [2197] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1187),
  [2199] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 4),
  [2201] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 4),
  [2203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_pair, 3),
  [2205] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 3),
  [2207] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_method_definition, 3),
  [2209] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 3),
  [2211] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1191),
  [2213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_namespace_import, 3),
  [2215] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_named_imports, 3),
  [2217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1192),
  [2219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_named_imports, 3, .alias_sequence_id = 18),
  [2221] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1194),
  [2223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_clause, 3),
  [2225] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_statement, 4),
  [2227] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_import_statement, 4),
  [2229] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_import_statement, 4),
  [2231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1196),
  [2233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1197),
  [2235] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1199),
  [2237] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variable_declaration, 4),
  [2241] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_variable_declaration, 4),
  [2243] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_variable_declaration, 4),
  [2245] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(359),
  [2248] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lexical_declaration, 4),
  [2250] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_lexical_declaration, 4),
  [2252] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_lexical_declaration, 4),
  [2254] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_expression, 3),
  [2256] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1202),
  [2258] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1203),
  [2260] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1204),
  [2262] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1205),
  [2264] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1207),
  [2266] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1208),
  [2268] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1209),
  [2270] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1210),
  [2272] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1212),
  [2274] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1214),
  [2276] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1217),
  [2278] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1219),
  [2280] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1220),
  [2282] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1221),
  [2284] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1226),
  [2286] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1227),
  [2288] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1229),
  [2290] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1230),
  [2292] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1234),
  [2294] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1235),
  [2296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1236),
  [2298] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1237),
  [2300] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1238),
  [2302] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1241),
  [2304] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1243),
  [2306] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1245),
  [2308] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1249),
  [2310] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1250),
  [2312] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1251),
  [2314] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_body, 2),
  [2316] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_body, 2),
  [2318] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_switch_body, 2),
  [2320] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1252),
  [2322] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1253),
  [2324] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1254),
  [2326] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1255),
  [2328] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1256),
  [2330] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1257),
  [2332] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1257),
  [2334] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1258),
  [2336] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1259),
  [2338] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1260),
  [2340] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [2342] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1267),
  [2344] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1269),
  [2346] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1270),
  [2348] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1271),
  [2350] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1273),
  [2352] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1274),
  [2354] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1275),
  [2356] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1276),
  [2358] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1277),
  [2360] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1279),
  [2362] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1280),
  [2364] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1281),
  [2366] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1282),
  [2368] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1283),
  [2370] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1284),
  [2372] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1284),
  [2374] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1285),
  [2376] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1286),
  [2378] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1287),
  [2380] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1294),
  [2382] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1295),
  [2384] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1296),
  [2386] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1297),
  [2388] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1298),
  [2390] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1299),
  [2392] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1299),
  [2394] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1300),
  [2396] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1301),
  [2398] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1302),
  [2400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1308),
  [2402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1314),
  [2404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1315),
  [2406] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1317),
  [2408] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1318),
  [2410] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1319),
  [2412] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1320),
  [2414] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1321),
  [2416] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1322),
  [2418] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1323),
  [2420] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1324),
  [2422] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1332),
  [2424] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1333),
  [2426] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2428] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .alias_sequence_id = 9),
  [2430] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .alias_sequence_id = 10),
  [2432] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 4),
  [2434] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(449),
  [2437] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1334),
  [2439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1336),
  [2441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1337),
  [2443] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 4, .alias_sequence_id = 9),
  [2445] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_formal_parameters, 4, .alias_sequence_id = 10),
  [2447] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1338),
  [2449] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1339),
  [2451] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1345),
  [2453] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1347),
  [2455] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1349),
  [2457] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1350),
  [2459] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1351),
  [2461] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1352),
  [2463] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(146),
  [2465] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1355),
  [2467] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1357),
  [2469] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1360),
  [2471] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1361),
  [2473] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1362),
  [2475] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1363),
  [2477] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1366),
  [2479] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1367),
  [2481] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1369),
  [2483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1370),
  [2485] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1371),
  [2487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1372),
  [2489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1373),
  [2491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1379),
  [2493] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1380),
  [2495] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1382),
  [2497] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1384),
  [2499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_catch_clause, 2),
  [2501] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_catch_clause, 2),
  [2503] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_catch_clause, 2),
  [2505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1385),
  [2507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_finally_clause, 2),
  [2509] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_finally_clause, 2),
  [2511] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_finally_clause, 2),
  [2513] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 4),
  [2515] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 4),
  [2517] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 4),
  [2519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1387),
  [2521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_array, 4),
  [2523] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_array, 4),
  [2525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1388),
  [2527] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1389),
  [2529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_expression, 2),
  [2531] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_expression, 2),
  [2533] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1390),
  [2535] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 19),
  [2537] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 19),
  [2539] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 1),
  [2541] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 1),
  [2543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 4, .alias_sequence_id = 12),
  [2545] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_self_closing_element, 4, .alias_sequence_id = 12),
  [2547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1391),
  [2549] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1392),
  [2551] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1394),
  [2553] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .alias_sequence_id = 12),
  [2555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1395),
  [2557] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(538),
  [2560] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [2562] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [2564] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(542),
  [2567] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(543),
  [2570] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 20),
  [2572] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 20),
  [2574] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_namespace_name, 3),
  [2576] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_namespace_name, 3),
  [2578] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 4),
  [2580] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_self_closing_element, 4),
  [2582] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_nested_identifier, 3),
  [2584] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_nested_identifier, 3),
  [2586] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1),
  [2588] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1396),
  [2590] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1398),
  [2592] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1400),
  [2594] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1401),
  [2596] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1403),
  [2598] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1405),
  [2600] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2),
  [2602] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 2),
  [2604] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2),
  [2606] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_public_field_definition, 2),
  [2608] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1406),
  [2610] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(558),
  [2613] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class_body, 3),
  [2615] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class_body, 3),
  [2617] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(552),
  [2620] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(554),
  [2623] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(555),
  [2626] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(556),
  [2629] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(556),
  [2632] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(557),
  [2635] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(558),
  [2638] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(559),
  [2641] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(560),
  [2644] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1412),
  [2646] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class_body, 2),
  [2648] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1419),
  [2650] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class, 4),
  [2652] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class, 4),
  [2654] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class, 4),
  [2656] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function, 4),
  [2658] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_function, 4),
  [2660] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function, 4),
  [2662] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arrow_function, 4),
  [2664] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arrow_function, 4),
  [2666] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_generator_function, 4),
  [2668] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_generator_function, 4),
  [2670] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_generator_function, 4),
  [2672] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1422),
  [2674] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_template_substitution, 3),
  [2676] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_template_substitution, 3),
  [2678] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arguments, 3),
  [2680] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arguments, 3),
  [2682] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1424),
  [2684] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(610),
  [2687] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 15),
  [2689] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 15),
  [2691] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 15),
  [2693] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 21),
  [2695] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 21),
  [2697] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 21),
  [2699] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_subscript_expression, 4),
  [2701] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_subscript_expression, 4),
  [2703] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1429),
  [2705] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1438),
  [2707] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1439),
  [2709] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1440),
  [2711] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1441),
  [2713] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1444),
  [2715] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1445),
  [2717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1446),
  [2719] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1446),
  [2721] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1447),
  [2723] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1448),
  [2725] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1449),
  [2727] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1448),
  [2729] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1449),
  [2731] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1450),
  [2733] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1444),
  [2735] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_expression, 3),
  [2737] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1451),
  [2739] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1452),
  [2741] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1453),
  [2743] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1454),
  [2745] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1455),
  [2747] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1456),
  [2749] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1457),
  [2751] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1458),
  [2753] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_element, 3),
  [2755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1461),
  [2757] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_anonymous_class, 4),
  [2759] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_anonymous_class, 4),
  [2761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1464),
  [2763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__import_export_specifier, 3),
  [2765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_clause, 4, .alias_sequence_id = 17),
  [2767] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_clause_repeat1, 2, .alias_sequence_id = 17),
  [2769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1465),
  [2771] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1466),
  [2774] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2776] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1467),
  [2778] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1470),
  [2780] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1475),
  [2782] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 4),
  [2784] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_method_definition, 4),
  [2786] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 4),
  [2788] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1482),
  [2790] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1483),
  [2792] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1485),
  [2794] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1486),
  [2796] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1490),
  [2798] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1491),
  [2800] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1493),
  [2802] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1494),
  [2804] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1495),
  [2806] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1499),
  [2808] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1500),
  [2810] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1501),
  [2812] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1502),
  [2814] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1503),
  [2816] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1504),
  [2818] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1507),
  [2820] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1515),
  [2822] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1518),
  [2824] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_arguments, 2),
  [2826] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1525),
  [2828] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_object, 5),
  [2830] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_object, 5),
  [2832] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_named_imports, 4, .alias_sequence_id = 18),
  [2834] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_named_imports_repeat1, 2, .alias_sequence_id = 18),
  [2836] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1527),
  [2838] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1528),
  [2841] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1529),
  [2845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1530),
  [2847] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1531),
  [2849] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1534),
  [2851] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1536),
  [2853] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1538),
  [2855] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1540),
  [2857] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1541),
  [2859] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1542),
  [2861] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1543),
  [2863] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1544),
  [2865] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1545),
  [2867] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1547),
  [2869] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1550),
  [2871] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1551),
  [2873] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1553),
  [2875] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1554),
  [2877] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1555),
  [2879] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1556),
  [2881] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1558),
  [2883] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1559),
  [2885] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1560),
  [2887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1562),
  [2889] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1565),
  [2891] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1572),
  [2893] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 5),
  [2895] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_statement, 5),
  [2897] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 5),
  [2899] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1576),
  [2901] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_default, 2),
  [2903] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1577),
  [2905] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_default, 2),
  [2907] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1578),
  [2909] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1579),
  [2911] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1580),
  [2913] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1581),
  [2915] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1582),
  [2917] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1583),
  [2919] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1584),
  [2921] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1585),
  [2923] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1586),
  [2925] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1587),
  [2927] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1588),
  [2929] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1589),
  [2931] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1590),
  [2933] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1591),
  [2935] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1592),
  [2937] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1593),
  [2939] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1594),
  [2941] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1595),
  [2943] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1596),
  [2945] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1597),
  [2947] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1606),
  [2949] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1607),
  [2951] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1608),
  [2953] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1609),
  [2955] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1612),
  [2957] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1613),
  [2959] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1614),
  [2961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1615),
  [2963] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1616),
  [2965] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1615),
  [2967] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1617),
  [2969] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1618),
  [2971] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1619),
  [2973] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1618),
  [2975] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1619),
  [2977] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1620),
  [2979] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1612),
  [2981] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_body, 3),
  [2983] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_body, 3),
  [2985] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_switch_body, 3),
  [2987] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(836),
  [2990] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2992] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(838),
  [2995] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1623),
  [2997] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1628),
  [2999] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1630),
  [3001] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1631),
  [3003] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1632),
  [3005] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1633),
  [3007] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1636),
  [3009] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1637),
  [3011] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1638),
  [3013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1639),
  [3015] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1639),
  [3017] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1645),
  [3019] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1646),
  [3021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1647),
  [3023] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1648),
  [3025] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1651),
  [3027] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1652),
  [3029] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1653),
  [3031] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1654),
  [3033] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1653),
  [3035] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1655),
  [3037] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1656),
  [3039] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1657),
  [3041] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1656),
  [3043] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1657),
  [3045] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1658),
  [3047] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1651),
  [3049] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1660),
  [3051] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1661),
  [3053] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1662),
  [3055] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1663),
  [3057] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1664),
  [3059] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1665),
  [3061] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1666),
  [3063] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1667),
  [3065] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1668),
  [3067] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1669),
  [3069] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1672),
  [3071] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1674),
  [3073] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1675),
  [3075] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(489),
  [3077] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(490),
  [3079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1680),
  [3081] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1682),
  [3083] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1683),
  [3085] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1684),
  [3087] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1688),
  [3089] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1689),
  [3091] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1691),
  [3093] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1692),
  [3095] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1693),
  [3097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1694),
  [3099] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1695),
  [3101] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1696),
  [3103] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1699),
  [3105] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1705),
  [3107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_do_statement, 5),
  [3109] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_do_statement, 5),
  [3111] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_do_statement, 5),
  [3113] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1709),
  [3115] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1710),
  [3117] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_fragment, 5),
  [3119] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_fragment, 5),
  [3121] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1712),
  [3123] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_expression, 3),
  [3125] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_expression, 3),
  [3127] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1713),
  [3129] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1714),
  [3131] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1715),
  [3133] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_attribute, 3, .alias_sequence_id = 2),
  [3135] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_attribute, 3, .alias_sequence_id = 2),
  [3137] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1718),
  [3139] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_attribute, 3),
  [3141] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_attribute, 3),
  [3143] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 5, .alias_sequence_id = 12),
  [3145] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_self_closing_element, 5, .alias_sequence_id = 12),
  [3147] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 5),
  [3149] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_self_closing_element, 5),
  [3151] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1722),
  [3153] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1726),
  [3155] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1727),
  [3157] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 3),
  [3159] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 3),
  [3161] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 3),
  [3163] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1728),
  [3165] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1730),
  [3167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1732),
  [3169] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class_body, 3),
  [3171] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function, 5),
  [3173] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_function, 5),
  [3175] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function, 5),
  [3177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_generator_function, 5),
  [3179] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_generator_function, 5),
  [3181] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_generator_function, 5),
  [3183] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_arguments, 4),
  [3185] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_arguments, 4),
  [3187] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_ternary_expression, 5, .fragile = true),
  [3189] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1734),
  [3191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1738),
  [3193] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_closing_element, 4, .alias_sequence_id = 20),
  [3195] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_closing_element, 4, .alias_sequence_id = 20),
  [3197] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_closing_element, 4),
  [3199] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_closing_element, 4),
  [3201] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 4, .alias_sequence_id = 12),
  [3203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1745),
  [3205] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 4),
  [3207] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1746),
  [3209] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1747),
  [3211] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1748),
  [3213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 5),
  [3215] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_export_statement, 5),
  [3217] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_export_statement, 5),
  [3219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class, 5),
  [3221] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class, 5),
  [3223] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class, 5),
  [3225] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_export_clause, 5, .alias_sequence_id = 17),
  [3227] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1751),
  [3229] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1752),
  [3231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1753),
  [3233] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1755),
  [3235] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1756),
  [3237] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1759),
  [3239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1760),
  [3241] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1762),
  [3243] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1763),
  [3245] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1764),
  [3247] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1765),
  [3249] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1772),
  [3251] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1773),
  [3253] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1774),
  [3255] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1775),
  [3257] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1776),
  [3259] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1777),
  [3261] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1778),
  [3263] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 5),
  [3265] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_method_definition, 5),
  [3267] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_method_definition, 5),
  [3269] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1781),
  [3271] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_arguments, 3),
  [3273] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1782),
  [3275] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_named_imports, 5, .alias_sequence_id = 18),
  [3277] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1783),
  [3279] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1790),
  [3281] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1794),
  [3283] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1795),
  [3285] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1796),
  [3287] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1797),
  [3289] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1798),
  [3291] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1799),
  [3293] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1800),
  [3295] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1803),
  [3297] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1809),
  [3299] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1810),
  [3301] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1812),
  [3303] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1813),
  [3305] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1814),
  [3307] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1817),
  [3309] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1818),
  [3311] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1820),
  [3313] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1821),
  [3315] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1579),
  [3317] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1580),
  [3319] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1822),
  [3321] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1823),
  [3323] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1824),
  [3325] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1829),
  [3327] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1831),
  [3329] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1837),
  [3331] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1840),
  [3333] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1843),
  [3335] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1844),
  [3337] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1845),
  [3339] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1846),
  [3341] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1847),
  [3343] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1848),
  [3345] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1851),
  [3347] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1852),
  [3349] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1853),
  [3351] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1854),
  [3353] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1856),
  [3355] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1857),
  [3357] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1858),
  [3359] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_default, 3),
  [3361] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_default, 3),
  [3363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1860),
  [3365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1861),
  [3367] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1865),
  [3369] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_case, 3),
  [3371] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_case, 3),
  [3373] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1874),
  [3375] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1875),
  [3377] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1876),
  [3379] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1877),
  [3381] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1878),
  [3383] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1879),
  [3385] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1640),
  [3387] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1641),
  [3389] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1642),
  [3391] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1641),
  [3393] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1642),
  [3395] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1643),
  [3397] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1636),
  [3399] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1883),
  [3401] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1894),
  [3403] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 6),
  [3405] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_statement, 6),
  [3407] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 6),
  [3409] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1907),
  [3411] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(955),
  [3413] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1908),
  [3415] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1909),
  [3417] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1912),
  [3419] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1913),
  [3421] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1915),
  [3423] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1916),
  [3425] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1917),
  [3427] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1918),
  [3429] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1919),
  [3431] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1920),
  [3433] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1927),
  [3435] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1928),
  [3437] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1929),
  [3439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1930),
  [3441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1931),
  [3443] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1932),
  [3445] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1933),
  [3447] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1934),
  [3449] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_jsx_fragment, 6),
  [3451] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_jsx_fragment, 6),
  [3453] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1936),
  [3455] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1938),
  [3457] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1940),
  [3459] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1942),
  [3461] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1944),
  [3463] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1946),
  [3465] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 4),
  [3467] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_class_body_repeat1, 4),
  [3469] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_class_body_repeat1, 4),
  [3471] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1950),
  [3473] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 5, .alias_sequence_id = 12),
  [3475] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_self_closing_element, 5),
  [3477] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_closing_element, 4, .alias_sequence_id = 20),
  [3479] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_jsx_closing_element, 4),
  [3481] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1952),
  [3483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1953),
  [3485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1954),
  [3487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1955),
  [3489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1956),
  [3491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1957),
  [3493] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1958),
  [3495] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1961),
  [3497] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1967),
  [3499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1968),
  [3501] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1969),
  [3503] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1970),
  [3505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1971),
  [3507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1972),
  [3509] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_arguments, 4),
  [3511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1974),
  [3513] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1977),
  [3515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1985),
  [3517] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1986),
  [3519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1988),
  [3521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1989),
  [3523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1990),
  [3525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1991),
  [3527] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1992),
  [3529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1993),
  [3531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1994),
  [3533] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1997),
  [3535] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1998),
  [3537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1999),
  [3539] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2000),
  [3541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2002),
  [3543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2003),
  [3545] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2004),
  [3547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2005),
  [3549] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2007),
  [3551] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2009),
  [3553] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2011),
  [3555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2012),
  [3557] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2013),
  [3559] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2014),
  [3561] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2015),
  [3563] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2016),
  [3565] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2017),
  [3567] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2018),
  [3569] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2019),
  [3571] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2020),
  [3573] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2021),
  [3575] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2022),
  [3577] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2023),
  [3579] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2024),
  [3581] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2025),
  [3583] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2026),
  [3585] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2027),
  [3587] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2028),
  [3589] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2029),
  [3591] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2030),
  [3593] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2031),
  [3595] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2032),
  [3597] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2039),
  [3599] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2041),
  [3601] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2042),
  [3603] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2043),
  [3605] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2048),
  [3607] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2049),
  [3609] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2051),
  [3611] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2052),
  [3613] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2056),
  [3615] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2057),
  [3617] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2058),
  [3619] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2059),
  [3621] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2060),
  [3623] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2063),
  [3625] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2065),
  [3627] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2067),
  [3629] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1576),
  [3632] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2),
  [3634] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1577),
  [3637] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1578),
  [3640] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1579),
  [3643] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1580),
  [3646] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1581),
  [3649] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1582),
  [3652] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1583),
  [3655] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1584),
  [3658] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1585),
  [3661] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1586),
  [3664] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1587),
  [3667] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1588),
  [3670] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1589),
  [3673] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1590),
  [3676] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1591),
  [3679] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1592),
  [3682] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1593),
  [3685] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1594),
  [3688] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1595),
  [3691] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1596),
  [3694] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1597),
  [3697] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2070),
  [3699] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2071),
  [3701] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_switch_case, 4),
  [3703] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_switch_case, 4),
  [3705] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2073),
  [3707] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7),
  [3709] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 7),
  [3711] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7),
  [3713] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2081),
  [3715] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7),
  [3717] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 7),
  [3719] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7),
  [3721] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2083),
  [3723] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 7),
  [3725] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_statement, 7),
  [3727] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 7),
  [3729] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 22),
  [3731] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 22),
  [3733] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 22),
  [3735] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 22),
  [3737] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 22),
  [3739] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 22),
  [3741] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 23),
  [3743] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 23),
  [3745] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 23),
  [3747] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 23),
  [3749] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 23),
  [3751] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 23),
  [3753] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2084),
  [3755] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2085),
  [3757] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2086),
  [3759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2087),
  [3761] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2088),
  [3763] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2089),
  [3765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2092),
  [3767] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2098),
  [3769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2099),
  [3771] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2100),
  [3773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2101),
  [3775] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2102),
  [3777] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2103),
  [3779] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2104),
  [3781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_catch_clause, 5),
  [3783] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_catch_clause, 5),
  [3785] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_catch_clause, 5),
  [3787] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2105),
  [3789] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2106),
  [3791] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2107),
  [3793] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2108),
  [3795] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2109),
  [3797] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2110),
  [3799] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2111),
  [3801] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2112),
  [3803] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2115),
  [3805] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2123),
  [3807] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2124),
  [3809] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2125),
  [3811] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2126),
  [3813] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2127),
  [3815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2128),
  [3817] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2129),
  [3819] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2130),
  [3821] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2131),
  [3823] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2132),
  [3825] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2133),
  [3827] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2134),
  [3829] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2135),
  [3831] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2144),
  [3833] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2145),
  [3835] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2148),
  [3837] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2150),
  [3839] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2152),
  [3841] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2154),
  [3843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2155),
  [3845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2156),
  [3847] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2157),
  [3849] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2158),
  [3851] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2159),
  [3853] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2014),
  [3855] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2015),
  [3857] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2160),
  [3859] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2161),
  [3861] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2162),
  [3863] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2167),
  [3865] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2169),
  [3867] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2175),
  [3869] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2178),
  [3871] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2181),
  [3873] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2182),
  [3875] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2183),
  [3877] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2184),
  [3879] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2185),
  [3881] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2186),
  [3883] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2189),
  [3885] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2190),
  [3887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2191),
  [3889] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2192),
  [3891] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2194),
  [3893] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2195),
  [3895] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2196),
  [3897] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2197),
  [3899] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2198),
  [3901] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2199),
  [3903] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2200),
  [3905] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2202),
  [3907] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2205),
  [3909] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2206),
  [3911] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2208),
  [3913] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2209),
  [3915] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2210),
  [3917] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2211),
  [3919] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2213),
  [3921] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2214),
  [3923] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2215),
  [3925] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2217),
  [3927] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2220),
  [3929] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2227),
  [3931] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8),
  [3933] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 8),
  [3935] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8),
  [3937] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8),
  [3939] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 8),
  [3941] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8),
  [3943] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 24),
  [3945] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 24),
  [3947] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 24),
  [3949] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 24),
  [3951] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 24),
  [3953] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 24),
  [3955] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 25),
  [3957] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 25),
  [3959] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 25),
  [3961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 25),
  [3963] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 25),
  [3965] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 25),
  [3967] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2240),
  [3969] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2241),
  [3971] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2242),
  [3973] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2243),
  [3975] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2244),
  [3977] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2245),
  [3979] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2246),
  [3981] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2247),
  [3983] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2248),
  [3985] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2249),
  [3987] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2250),
  [3989] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2251),
  [3991] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2252),
  [3993] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2253),
  [3995] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2254),
  [3997] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2255),
  [3999] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2256),
  [4001] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2257),
  [4003] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2258),
  [4005] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2259),
  [4007] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2266),
  [4009] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2273),
  [4011] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2278),
  [4013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2279),
  [4015] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2280),
  [4017] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2281),
  [4019] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2283),
  [4021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2284),
  [4023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2285),
  [4025] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2286),
  [4027] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2288),
  [4029] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2290),
  [4031] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2293),
  [4033] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2295),
  [4035] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2296),
  [4037] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2297),
  [4039] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2302),
  [4041] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2303),
  [4043] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2305),
  [4045] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2306),
  [4047] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2310),
  [4049] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2311),
  [4051] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2312),
  [4053] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2313),
  [4055] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2314),
  [4057] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2317),
  [4059] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2319),
  [4061] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2321),
  [4063] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2325),
  [4065] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(2326),
  [4067] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2327),
  [4069] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2328),
  [4071] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2329),
  [4073] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2330),
  [4075] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2331),
  [4077] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2332),
  [4079] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2333),
  [4081] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2336),
  [4083] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2342),
  [4085] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2343),
  [4087] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2345),
  [4089] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2346),
  [4091] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2347),
  [4093] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2350),
  [4095] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2351),
  [4097] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2353),
  [4099] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2354),
  [4101] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2355),
  [4103] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2356),
  [4105] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2357),
  [4107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2358),
  [4109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2359),
  [4111] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2360),
  [4113] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2363),
  [4115] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2365),
  [4117] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2366),
  [4119] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2369),
  [4121] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2371),
  [4123] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2373),
  [4125] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2375),
  [4127] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2376),
  [4129] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2377),
  [4131] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2378),
  [4133] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2379),
  [4135] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2380),
  [4137] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2382),
  [4139] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2385),
  [4141] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2386),
  [4143] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2388),
  [4145] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2389),
  [4147] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2390),
  [4149] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2391),
  [4151] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2393),
  [4153] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2394),
  [4155] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2395),
  [4157] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2397),
  [4159] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2400),
  [4161] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2407),
  [4163] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2417),
  [4165] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2418),
  [4167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2420),
  [4169] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2421),
  [4171] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2422),
  [4173] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2423),
  [4175] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2424),
  [4177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2425),
  [4179] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2426),
  [4181] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2427),
  [4183] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2434),
  [4185] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2438),
  [4187] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2439),
  [4189] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2440),
  [4191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2441),
  [4193] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2442),
  [4195] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2443),
  [4197] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2444),
  [4199] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2447),
  [4201] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2453),
  [4203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2454),
  [4205] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2456),
  [4207] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2457),
  [4209] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2458),
  [4211] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2461),
  [4213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2462),
  [4215] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2464),
  [4217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2465),
  [4219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2466),
  [4221] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2467),
  [4223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2468),
  [4225] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2469),
  [4227] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2478),
  [4229] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2481),
  [4231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2489),
  [4233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2490),
  [4235] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2492),
  [4237] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2493),
  [4239] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2494),
  [4241] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2495),
  [4243] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2496),
  [4245] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2497),
  [4247] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2498),
  [4249] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2505),
  [4251] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2506),
  [4253] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2507),
  [4255] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2508),
  [4257] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2509),
  [4259] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(2510),
};

void *tree_sitter_javascript_external_scanner_create();
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
