#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 5
#define STATE_COUNT 1980
#define SYMBOL_COUNT 197
#define ALIAS_COUNT 2
#define TOKEN_COUNT 92
#define EXTERNAL_TOKEN_COUNT 3
#define MAX_ALIAS_SEQUENCE_LENGTH 5

enum {
  sym__newline = 1,
  sym__indent = 2,
  sym__dedent = 3,
  anon_sym_import = 4,
  anon_sym_from = 5,
  anon_sym_DOT = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  sym_pass_statement = 18,
  sym_break_statement = 19,
  sym_continue_statement = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_for = 25,
  anon_sym_in = 26,
  anon_sym_while = 27,
  anon_sym_try = 28,
  anon_sym_except = 29,
  anon_sym_finally = 30,
  anon_sym_with = 31,
  anon_sym_async = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_global = 36,
  anon_sym_nonlocal = 37,
  anon_sym_exec = 38,
  anon_sym_class = 39,
  anon_sym_AT = 40,
  anon_sym_not = 41,
  anon_sym_and = 42,
  anon_sym_or = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_SLASH = 46,
  anon_sym_PERCENT = 47,
  anon_sym_SLASH_SLASH = 48,
  anon_sym_STAR_STAR = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_SLASH_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_STAR_STAR_EQ = 70,
  anon_sym_GT_GT_EQ = 71,
  anon_sym_LT_LT_EQ = 72,
  anon_sym_AMP_EQ = 73,
  anon_sym_CARET_EQ = 74,
  anon_sym_PIPE_EQ = 75,
  anon_sym_yield = 76,
  anon_sym_LBRACK = 77,
  anon_sym_RBRACK = 78,
  sym_ellipsis = 79,
  anon_sym_LBRACE = 80,
  anon_sym_RBRACE = 81,
  sym_string = 82,
  sym_integer = 83,
  sym_float = 84,
  sym_identifier = 85,
  sym_true = 86,
  sym_false = 87,
  sym_none = 88,
  anon_sym_await = 89,
  sym_comment = 90,
  sym__semicolon = 91,
  sym_module = 92,
  sym__statement = 93,
  sym__simple_statements = 94,
  sym_import_statement = 95,
  sym_import_from_statement = 96,
  sym__import_list = 97,
  sym_aliased_import = 98,
  sym_wildcard_import = 99,
  sym_print_statement = 100,
  sym_chevron = 101,
  sym_assert_statement = 102,
  sym_expression_statement = 103,
  sym_return_statement = 104,
  sym_delete_statement = 105,
  sym_raise_statement = 106,
  sym_if_statement = 107,
  sym_elif_clause = 108,
  sym_else_clause = 109,
  sym_for_statement = 110,
  sym_while_statement = 111,
  sym_try_statement = 112,
  sym_except_clause = 113,
  sym_finally_clause = 114,
  sym_with_statement = 115,
  sym_with_item = 116,
  sym_async_function_definition = 117,
  sym_function_definition = 118,
  sym__function_definition = 119,
  sym_parameters = 120,
  sym_lambda_parameters = 121,
  sym__parameters = 122,
  sym_default_parameter = 123,
  sym_typed_default_parameter = 124,
  sym_list_splat = 125,
  sym_dictionary_splat = 126,
  sym_global_statement = 127,
  sym_nonlocal_statement = 128,
  sym_exec_statement = 129,
  sym_class_definition = 130,
  sym_argument_list = 131,
  sym_decorated_definition = 132,
  sym_decorator = 133,
  sym__suite = 134,
  sym_variables = 135,
  sym_expression_list = 136,
  sym_dotted_name = 137,
  sym__expression_within_for_in_clause = 138,
  sym__expression = 139,
  sym__primary_expression = 140,
  sym_not_operator = 141,
  sym_boolean_operator = 142,
  sym_binary_operator = 143,
  sym_unary_operator = 144,
  sym_comparison_operator = 145,
  sym_lambda = 146,
  sym_lambda_within_for_in_clause = 147,
  sym_assignment = 148,
  sym_augmented_assignment = 149,
  sym__right_hand_side = 150,
  sym_yield = 151,
  sym_attribute = 152,
  sym_subscript = 153,
  sym_slice = 154,
  sym_call = 155,
  sym_typed_parameter = 156,
  sym_type = 157,
  sym_keyword_argument = 158,
  sym_list = 159,
  sym__comprehension_body = 160,
  sym_list_comprehension = 161,
  sym_dictionary = 162,
  sym_dictionary_comprehension = 163,
  sym_pair = 164,
  sym_set = 165,
  sym_set_comprehension = 166,
  sym_parenthesized_expression = 167,
  sym_tuple = 168,
  sym_generator_expression = 169,
  sym_for_in_clause = 170,
  sym_if_clause = 171,
  sym_conditional_expression = 172,
  sym_concatenated_string = 173,
  sym_await = 174,
  aux_sym_module_repeat1 = 175,
  aux_sym__simple_statements_repeat1 = 176,
  aux_sym_import_from_statement_repeat1 = 177,
  aux_sym__import_list_repeat1 = 178,
  aux_sym_print_statement_repeat1 = 179,
  aux_sym_if_statement_repeat1 = 180,
  aux_sym_try_statement_repeat1 = 181,
  aux_sym_with_statement_repeat1 = 182,
  aux_sym__parameters_repeat1 = 183,
  aux_sym_global_statement_repeat1 = 184,
  aux_sym_argument_list_repeat1 = 185,
  aux_sym_decorated_definition_repeat1 = 186,
  aux_sym_variables_repeat1 = 187,
  aux_sym_dotted_name_repeat1 = 188,
  aux_sym_comparison_operator_repeat1 = 189,
  aux_sym_subscript_repeat1 = 190,
  aux_sym_list_repeat1 = 191,
  aux_sym__comprehension_body_repeat1 = 192,
  aux_sym_dictionary_repeat1 = 193,
  aux_sym_tuple_repeat1 = 194,
  aux_sym_for_in_clause_repeat1 = 195,
  aux_sym_concatenated_string_repeat1 = 196,
  alias_sym_identifier = 197,
  alias_sym_lambda = 198,
};

static const char *ts_symbol_names[] = {
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [ts_builtin_sym_end] = "END",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_DOT] = ".",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_async] = "async",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_string] = "string",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_identifier] = "identifier",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_async_function_definition] = "async_function_definition",
  [sym_function_definition] = "function_definition",
  [sym__function_definition] = "_function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym__suite] = "_suite",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda_within_for_in_clause",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_body] = "_comprehension_body",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_from_statement_repeat1] = "import_from_statement_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_body_repeat1] = "_comprehension_body_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [alias_sym_identifier] = "identifier",
  [alias_sym_lambda] = "lambda",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_async_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__suite] = {
    .visible = false,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_body] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_from_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_lambda] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[4][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_identifier,
  },
  [2] = {
    [1] = alias_sym_identifier,
  },
  [3] = {
    [0] = alias_sym_lambda,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '*')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(30);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(33);
      if (lookahead == '.')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ':')
        ADVANCE(64);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(66);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(73);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(100);
      if (lookahead == ']')
        ADVANCE(101);
      if (lookahead == '^')
        ADVANCE(102);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(104);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(140);
      if (lookahead == 'f')
        ADVANCE(153);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(171);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'o')
        ADVANCE(195);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '|')
        ADVANCE(232);
      if (lookahead == '}')
        ADVANCE(234);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\\')
        ADVANCE(10);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(11);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '\"')
        ADVANCE(6);
      END_STATE();
    case 6:
      if (lookahead == '\"')
        ADVANCE(7);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '\"')
        ADVANCE(8);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 8:
      if (lookahead == '\"')
        ADVANCE(9);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 10:
      if (lookahead == '\n')
        ADVANCE(11);
      if (lookahead != 0)
        ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == '\"')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(10);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(11);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(12);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=')
        ADVANCE(16);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 17:
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '\\')
        ADVANCE(22);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(23);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '\'')
        ADVANCE(19);
      END_STATE();
    case 19:
      if (lookahead == '\'')
        ADVANCE(20);
      if (lookahead != 0)
        ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '\'')
        ADVANCE(21);
      if (lookahead != 0)
        ADVANCE(19);
      END_STATE();
    case 21:
      if (lookahead == '\'')
        ADVANCE(9);
      if (lookahead != 0)
        ADVANCE(19);
      END_STATE();
    case 22:
      if (lookahead == '\n')
        ADVANCE(23);
      if (lookahead != 0)
        ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '\'')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(22);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(23);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(27);
      if (lookahead == '=')
        ADVANCE(29);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=')
        ADVANCE(28);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(34);
      if (lookahead == '>')
        ADVANCE(35);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(37);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 37:
      if (lookahead == '.')
        ADVANCE(38);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(39);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(39);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(44);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(46);
      if (lookahead == '=')
        ADVANCE(48);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=')
        ADVANCE(47);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == 'B')
        ADVANCE(50);
      if (lookahead == 'O')
        ADVANCE(54);
      if (lookahead == 'X')
        ADVANCE(57);
      if (lookahead == '_')
        ADVANCE(60);
      if (lookahead == 'b')
        ADVANCE(50);
      if (lookahead == 'o')
        ADVANCE(54);
      if (lookahead == 'x')
        ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(61);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(53);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      END_STATE();
    case 50:
      if (lookahead == '_')
        ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(52);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(52);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(52);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 54:
      if (lookahead == '_')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(56);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(55);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '_')
        ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(59);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(58);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(59);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(61);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(53);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      END_STATE();
    case 61:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == '_')
        ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(61);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(53);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(67);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(68);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(72);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(74);
      if (lookahead == '>')
        ADVANCE(75);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 79:
      if (lookahead == '\\')
        ADVANCE(80);
      if (lookahead == '`')
        ADVANCE(9);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == '\n')
        ADVANCE(79);
      if (lookahead != 0)
        ADVANCE(79);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(84);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(85);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(85);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_none);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 100:
      if (lookahead == '\n')
        SKIP(0);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(105);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 'w')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(108);
      if (lookahead == 'y')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_assert);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_async);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_await);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'r')
        ADVANCE(120);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'e')
        ADVANCE(121);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k')
        ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_break_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(125);
      if (lookahead == 'o')
        ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_class);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_continue_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(138);
      if (lookahead == 'l')
        ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_def);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_del);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(141);
      if (lookahead == 'x')
        ADVANCE(146);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(142);
      if (lookahead == 's')
        ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_elif);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'e')
        ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_except);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_exec);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(154);
      if (lookahead == 'o')
        ADVANCE(160);
      if (lookahead == 'r')
        ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_finally);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_for);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_from);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_global);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(172);
      if (lookahead == 'm')
        ADVANCE(173);
      if (lookahead == 'n')
        ADVANCE(178);
      if (lookahead == 's')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_import);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_is);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_lambda);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(188);
      if (lookahead == 't')
        ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_not);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_or);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(198);
      if (lookahead == 'r')
        ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_pass_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_print);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(206);
      if (lookahead == 'e')
        ADVANCE(210);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_raise);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_return);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_try);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(219);
      if (lookahead == 'i')
        ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_while);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_with);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_yield);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 236:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(240);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(241);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(244);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(236);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.')
        ADVANCE(37);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 240:
      if (lookahead == '\n')
        SKIP(236);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 'w')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(243);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(160);
      if (lookahead == 'r')
        ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(172);
      if (lookahead == 'm')
        ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 246:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '*')
        ADVANCE(247);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '\\')
        SKIP(249);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(246);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 249:
      if (lookahead == '\n')
        SKIP(246);
      END_STATE();
    case 250:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(251);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(250);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 251:
      if (lookahead == '\n')
        SKIP(250);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'w')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 256:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(30);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(257);
      if (lookahead == '.')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(66);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(73);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(258);
      if (lookahead == '^')
        ADVANCE(102);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(259);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'i')
        ADVANCE(260);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'o')
        ADVANCE(195);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '|')
        ADVANCE(232);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(256);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(34);
      END_STATE();
    case 258:
      if (lookahead == '\n')
        SKIP(256);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(105);
      if (lookahead == 'w')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(172);
      if (lookahead == 'n')
        ADVANCE(178);
      if (lookahead == 's')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 261:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(262);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(261);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 262:
      if (lookahead == '\n')
        SKIP(261);
      END_STATE();
    case 263:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(264);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(265);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(263);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 264:
      if (lookahead == '\n')
        SKIP(263);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 266:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(267);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(266);
      END_STATE();
    case 267:
      if (lookahead == '\n')
        SKIP(266);
      END_STATE();
    case 268:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(269);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(268);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 269:
      if (lookahead == '\n')
        SKIP(268);
      END_STATE();
    case 270:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(30);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(257);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(66);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(73);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(271);
      if (lookahead == '^')
        ADVANCE(102);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(232);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(270);
      END_STATE();
    case 271:
      if (lookahead == '\n')
        SKIP(270);
      END_STATE();
    case 272:
      if (lookahead == 'n')
        ADVANCE(273);
      END_STATE();
    case 273:
      if (lookahead == 'd')
        ADVANCE(274);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 275:
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'n')
        ADVANCE(277);
      if (lookahead == 's')
        ADVANCE(278);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 279:
      if (lookahead == 'o')
        ADVANCE(280);
      END_STATE();
    case 280:
      if (lookahead == 't')
        ADVANCE(281);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 282:
      if (lookahead == 'r')
        ADVANCE(283);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 284:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      END_STATE();
    case 285:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '*')
        ADVANCE(247);
      if (lookahead == ':')
        ADVANCE(64);
      if (lookahead == '\\')
        SKIP(286);
      if (lookahead == 'e')
        ADVANCE(287);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(285);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 286:
      if (lookahead == '\n')
        SKIP(285);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 288:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '*')
        ADVANCE(247);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ':')
        ADVANCE(64);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(289);
      if (lookahead == ']')
        ADVANCE(101);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '}')
        ADVANCE(234);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(288);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 289:
      if (lookahead == '\n')
        SKIP(288);
      END_STATE();
    case 290:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(13);
      if (lookahead == '&')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(30);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(257);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(66);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(73);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(291);
      if (lookahead == '^')
        ADVANCE(102);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(232);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(290);
      END_STATE();
    case 291:
      if (lookahead == '\n')
        SKIP(290);
      END_STATE();
    case 292:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(293);
      if (lookahead == '&')
        ADVANCE(294);
      if (lookahead == '*')
        ADVANCE(295);
      if (lookahead == '+')
        ADVANCE(297);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(298);
      if (lookahead == '/')
        ADVANCE(299);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(301);
      if (lookahead == '=')
        ADVANCE(303);
      if (lookahead == '>')
        ADVANCE(304);
      if (lookahead == '\\')
        SKIP(306);
      if (lookahead == '^')
        ADVANCE(307);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(308);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(309);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(292);
      END_STATE();
    case 293:
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 294:
      if (lookahead == '=')
        ADVANCE(16);
      END_STATE();
    case 295:
      if (lookahead == '*')
        ADVANCE(296);
      if (lookahead == '=')
        ADVANCE(29);
      END_STATE();
    case 296:
      if (lookahead == '=')
        ADVANCE(28);
      END_STATE();
    case 297:
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 298:
      if (lookahead == '=')
        ADVANCE(34);
      END_STATE();
    case 299:
      if (lookahead == '/')
        ADVANCE(300);
      if (lookahead == '=')
        ADVANCE(48);
      END_STATE();
    case 300:
      if (lookahead == '=')
        ADVANCE(47);
      END_STATE();
    case 301:
      if (lookahead == '<')
        ADVANCE(302);
      END_STATE();
    case 302:
      if (lookahead == '=')
        ADVANCE(68);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 304:
      if (lookahead == '>')
        ADVANCE(305);
      END_STATE();
    case 305:
      if (lookahead == '=')
        ADVANCE(76);
      END_STATE();
    case 306:
      if (lookahead == '\n')
        SKIP(292);
      END_STATE();
    case 307:
      if (lookahead == '=')
        ADVANCE(103);
      END_STATE();
    case 308:
      if (lookahead == 'f')
        ADVANCE(276);
      END_STATE();
    case 309:
      if (lookahead == '=')
        ADVANCE(233);
      END_STATE();
    case 310:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(311);
      if (lookahead == 'a')
        ADVANCE(312);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(310);
      END_STATE();
    case 311:
      if (lookahead == '\n')
        SKIP(310);
      END_STATE();
    case 312:
      if (lookahead == 's')
        ADVANCE(313);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 314:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(315);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(314);
      END_STATE();
    case 315:
      if (lookahead == '\n')
        SKIP(314);
      END_STATE();
    case 316:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(317);
      if (lookahead == 'a')
        ADVANCE(312);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(316);
      END_STATE();
    case 317:
      if (lookahead == '\n')
        SKIP(316);
      END_STATE();
    case 318:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '\\')
        SKIP(319);
      if (lookahead == 'i')
        ADVANCE(320);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(318);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 319:
      if (lookahead == '\n')
        SKIP(318);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 321:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ':')
        ADVANCE(64);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(332);
      if (lookahead == ']')
        ADVANCE(101);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(334);
      if (lookahead == 'e')
        ADVANCE(335);
      if (lookahead == 'f')
        ADVANCE(339);
      if (lookahead == 'i')
        ADVANCE(342);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == '}')
        ADVANCE(234);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(321);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(325);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(327);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(329);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(74);
      if (lookahead == '>')
        ADVANCE(331);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 332:
      if (lookahead == '\n')
        SKIP(321);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 334:
      if (lookahead == 'n')
        ADVANCE(273);
      if (lookahead == 's')
        ADVANCE(313);
      END_STATE();
    case 335:
      if (lookahead == 'l')
        ADVANCE(336);
      END_STATE();
    case 336:
      if (lookahead == 's')
        ADVANCE(337);
      END_STATE();
    case 337:
      if (lookahead == 'e')
        ADVANCE(338);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 339:
      if (lookahead == 'o')
        ADVANCE(340);
      END_STATE();
    case 340:
      if (lookahead == 'r')
        ADVANCE(341);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 342:
      if (lookahead == 'f')
        ADVANCE(276);
      if (lookahead == 'm')
        ADVANCE(343);
      if (lookahead == 'n')
        ADVANCE(277);
      if (lookahead == 's')
        ADVANCE(278);
      END_STATE();
    case 343:
      if (lookahead == 'p')
        ADVANCE(344);
      END_STATE();
    case 344:
      if (lookahead == 'o')
        ADVANCE(345);
      END_STATE();
    case 345:
      if (lookahead == 'r')
        ADVANCE(346);
      END_STATE();
    case 346:
      if (lookahead == 't')
        ADVANCE(347);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 349:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(350);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(265);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(349);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 350:
      if (lookahead == '\n')
        SKIP(349);
      END_STATE();
    case 351:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(353);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(351);
      END_STATE();
    case 352:
      if (lookahead == '=')
        ADVANCE(72);
      END_STATE();
    case 353:
      if (lookahead == '\n')
        SKIP(351);
      END_STATE();
    case 354:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(355);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(354);
      END_STATE();
    case 355:
      if (lookahead == '\n')
        SKIP(354);
      END_STATE();
    case 356:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(357);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(308);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(356);
      END_STATE();
    case 357:
      if (lookahead == '\n')
        SKIP(356);
      END_STATE();
    case 358:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(359);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(358);
      END_STATE();
    case 359:
      if (lookahead == '\n')
        SKIP(358);
      END_STATE();
    case 360:
      if (lookahead == 'r')
        ADVANCE(361);
      END_STATE();
    case 361:
      if (lookahead == 'o')
        ADVANCE(362);
      END_STATE();
    case 362:
      if (lookahead == 'm')
        ADVANCE(363);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 364:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(365);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(364);
      END_STATE();
    case 365:
      if (lookahead == '\n')
        SKIP(364);
      END_STATE();
    case 366:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(367);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(366);
      END_STATE();
    case 367:
      if (lookahead == '\n')
        SKIP(366);
      END_STATE();
    case 368:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(369);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == 'i')
        ADVANCE(308);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(368);
      END_STATE();
    case 369:
      if (lookahead == '\n')
        SKIP(368);
      END_STATE();
    case 370:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(371);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(372);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(374);
      if (lookahead == 'd')
        ADVANCE(375);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(265);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(320);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(370);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 371:
      if (lookahead == '\n')
        SKIP(370);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(373);
      if (lookahead == 'w')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 377:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(378);
      if (lookahead == 'i')
        ADVANCE(379);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(377);
      END_STATE();
    case 378:
      if (lookahead == '\n')
        SKIP(377);
      END_STATE();
    case 379:
      if (lookahead == 'n')
        ADVANCE(277);
      END_STATE();
    case 380:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '\\')
        SKIP(381);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(380);
      END_STATE();
    case 381:
      if (lookahead == '\n')
        SKIP(380);
      END_STATE();
    case 382:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '\\')
        SKIP(383);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(382);
      END_STATE();
    case 383:
      if (lookahead == '\n')
        SKIP(382);
      END_STATE();
    case 384:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(293);
      if (lookahead == '&')
        ADVANCE(294);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(295);
      if (lookahead == '+')
        ADVANCE(30);
      if (lookahead == '-')
        ADVANCE(257);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '/')
        ADVANCE(299);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(301);
      if (lookahead == '=')
        ADVANCE(303);
      if (lookahead == '>')
        ADVANCE(304);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(385);
      if (lookahead == '^')
        ADVANCE(307);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '|')
        ADVANCE(309);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(384);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 385:
      if (lookahead == '\n')
        SKIP(384);
      END_STATE();
    case 386:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(293);
      if (lookahead == '&')
        ADVANCE(294);
      if (lookahead == '*')
        ADVANCE(295);
      if (lookahead == '+')
        ADVANCE(297);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(298);
      if (lookahead == '/')
        ADVANCE(299);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(301);
      if (lookahead == '=')
        ADVANCE(303);
      if (lookahead == '>')
        ADVANCE(304);
      if (lookahead == '\\')
        SKIP(387);
      if (lookahead == '^')
        ADVANCE(307);
      if (lookahead == '|')
        ADVANCE(309);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(386);
      END_STATE();
    case 387:
      if (lookahead == '\n')
        SKIP(386);
      END_STATE();
    case 388:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(389);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(388);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 389:
      if (lookahead == '\n')
        SKIP(388);
      END_STATE();
    case 390:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(293);
      if (lookahead == '&')
        ADVANCE(294);
      if (lookahead == '*')
        ADVANCE(295);
      if (lookahead == '+')
        ADVANCE(297);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(298);
      if (lookahead == '/')
        ADVANCE(299);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(391);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(392);
      if (lookahead == '\\')
        SKIP(393);
      if (lookahead == '^')
        ADVANCE(307);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(309);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(390);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(302);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(74);
      if (lookahead == '>')
        ADVANCE(305);
      END_STATE();
    case 393:
      if (lookahead == '\n')
        SKIP(390);
      END_STATE();
    case 394:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(395);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 395:
      if (lookahead == '\n')
        SKIP(394);
      END_STATE();
    case 396:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(397);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(398);
      if (lookahead == '\\')
        SKIP(399);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(396);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(74);
      END_STATE();
    case 399:
      if (lookahead == '\n')
        SKIP(396);
      END_STATE();
    case 400:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(401);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(284);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(284);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(400);
      END_STATE();
    case 401:
      if (lookahead == '\n')
        SKIP(400);
      END_STATE();
    case 402:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(403);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(308);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(402);
      END_STATE();
    case 403:
      if (lookahead == '\n')
        SKIP(402);
      END_STATE();
    case 404:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(322);
      if (lookahead == '&')
        ADVANCE(323);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '*')
        ADVANCE(324);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(248);
      if (lookahead == '/')
        ADVANCE(326);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(328);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(330);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(405);
      if (lookahead == '^')
        ADVANCE(333);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '|')
        ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(404);
      END_STATE();
    case 405:
      if (lookahead == '\n')
        SKIP(404);
      END_STATE();
    case 406:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '\\')
        SKIP(407);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(406);
      END_STATE();
    case 407:
      if (lookahead == '\n')
        SKIP(406);
      END_STATE();
    case 408:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(32);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(397);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(398);
      if (lookahead == '\\')
        SKIP(409);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'f')
        ADVANCE(360);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(408);
      END_STATE();
    case 409:
      if (lookahead == '\n')
        SKIP(408);
      END_STATE();
    case 410:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(411);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'i')
        ADVANCE(412);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(410);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 411:
      if (lookahead == '\n')
        SKIP(410);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 413:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(414);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(241);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(415);
      if (lookahead == 'f')
        ADVANCE(153);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(413);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 414:
      if (lookahead == '\n')
        SKIP(413);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(416);
      if (lookahead == 'x')
        ADVANCE(146);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 417:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '-')
        ADVANCE(418);
      if (lookahead == ':')
        ADVANCE(64);
      if (lookahead == '\\')
        SKIP(419);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(417);
      END_STATE();
    case 418:
      if (lookahead == '>')
        ADVANCE(35);
      END_STATE();
    case 419:
      if (lookahead == '\n')
        SKIP(417);
      END_STATE();
    case 420:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\\')
        SKIP(421);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(420);
      END_STATE();
    case 421:
      if (lookahead == '\n')
        SKIP(420);
      END_STATE();
    case 422:
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '%')
        ADVANCE(293);
      if (lookahead == '&')
        ADVANCE(294);
      if (lookahead == '*')
        ADVANCE(295);
      if (lookahead == '+')
        ADVANCE(297);
      if (lookahead == '-')
        ADVANCE(298);
      if (lookahead == '/')
        ADVANCE(299);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(301);
      if (lookahead == '=')
        ADVANCE(303);
      if (lookahead == '>')
        ADVANCE(304);
      if (lookahead == '\\')
        SKIP(423);
      if (lookahead == '^')
        ADVANCE(307);
      if (lookahead == '|')
        ADVANCE(309);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(422);
      END_STATE();
    case 423:
      if (lookahead == '\n')
        SKIP(422);
      END_STATE();
    case 424:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(65);
      if (lookahead == '<')
        ADVANCE(397);
      if (lookahead == '=')
        ADVANCE(352);
      if (lookahead == '>')
        ADVANCE(398);
      if (lookahead == '\\')
        SKIP(425);
      if (lookahead == 'a')
        ADVANCE(272);
      if (lookahead == 'i')
        ADVANCE(275);
      if (lookahead == 'n')
        ADVANCE(279);
      if (lookahead == 'o')
        ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(424);
      END_STATE();
    case 425:
      if (lookahead == '\n')
        SKIP(424);
      END_STATE();
    case 426:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(427);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(241);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(428);
      if (lookahead == 'f')
        ADVANCE(244);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(426);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 427:
      if (lookahead == '\n')
        SKIP(426);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(141);
      if (lookahead == 'x')
        ADVANCE(243);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 429:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(430);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(241);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(431);
      if (lookahead == 'f')
        ADVANCE(244);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(429);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 430:
      if (lookahead == '\n')
        SKIP(429);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(416);
      if (lookahead == 'x')
        ADVANCE(243);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 432:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == '@')
        ADVANCE(77);
      if (lookahead == 'B')
        ADVANCE(78);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'R')
        ADVANCE(78);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(433);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(241);
      if (lookahead == 'b')
        ADVANCE(119);
      if (lookahead == 'c')
        ADVANCE(124);
      if (lookahead == 'd')
        ADVANCE(136);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(153);
      if (lookahead == 'g')
        ADVANCE(165);
      if (lookahead == 'i')
        ADVANCE(245);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(186);
      if (lookahead == 'p')
        ADVANCE(197);
      if (lookahead == 'r')
        ADVANCE(205);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == 'w')
        ADVANCE(218);
      if (lookahead == 'y')
        ADVANCE(226);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(432);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 433:
      if (lookahead == '\n')
        SKIP(432);
      END_STATE();
    case 434:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(17);
      if (lookahead == '(')
        ADVANCE(24);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(237);
      if (lookahead == '-')
        ADVANCE(238);
      if (lookahead == '.')
        ADVANCE(239);
      if (lookahead == '0')
        ADVANCE(49);
      if (lookahead == 'E')
        ADVANCE(82);
      if (lookahead == 'F')
        ADVANCE(86);
      if (lookahead == 'N')
        ADVANCE(91);
      if (lookahead == 'T')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(99);
      if (lookahead == '\\')
        SKIP(435);
      if (lookahead == ']')
        ADVANCE(101);
      if (lookahead == '`')
        ADVANCE(79);
      if (lookahead == 'a')
        ADVANCE(252);
      if (lookahead == 'e')
        ADVANCE(242);
      if (lookahead == 'f')
        ADVANCE(436);
      if (lookahead == 'i')
        ADVANCE(437);
      if (lookahead == 'l')
        ADVANCE(180);
      if (lookahead == 'n')
        ADVANCE(253);
      if (lookahead == 'p')
        ADVANCE(255);
      if (lookahead == '{')
        ADVANCE(231);
      if (lookahead == '}')
        ADVANCE(234);
      if (lookahead == '~')
        ADVANCE(235);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(78);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(434);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(63);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 435:
      if (lookahead == '\n')
        SKIP(434);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(81);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 236},
  [2] = {.lex_state = 246},
  [3] = {.lex_state = 246},
  [4] = {.lex_state = 250},
  [5] = {.lex_state = 256, .external_lex_state = 2},
  [6] = {.lex_state = 261},
  [7] = {.lex_state = 261, .external_lex_state = 2},
  [8] = {.lex_state = 261},
  [9] = {.lex_state = 263, .external_lex_state = 2},
  [10] = {.lex_state = 266, .external_lex_state = 2},
  [11] = {.lex_state = 261},
  [12] = {.lex_state = 268},
  [13] = {.lex_state = 261},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 261},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 246},
  [18] = {.lex_state = 246},
  [19] = {.lex_state = 246},
  [20] = {.lex_state = 270, .external_lex_state = 2},
  [21] = {.lex_state = 246},
  [22] = {.lex_state = 246},
  [23] = {.lex_state = 261},
  [24] = {.lex_state = 268},
  [25] = {.lex_state = 285},
  [26] = {.lex_state = 263, .external_lex_state = 2},
  [27] = {.lex_state = 288},
  [28] = {.lex_state = 290, .external_lex_state = 2},
  [29] = {.lex_state = 288},
  [30] = {.lex_state = 270, .external_lex_state = 2},
  [31] = {.lex_state = 261},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 236},
  [34] = {.lex_state = 236},
  [35] = {.lex_state = 236},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 292, .external_lex_state = 2},
  [39] = {.lex_state = 290, .external_lex_state = 2},
  [40] = {.lex_state = 292, .external_lex_state = 2},
  [41] = {.lex_state = 266, .external_lex_state = 2},
  [42] = {.lex_state = 236},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 310, .external_lex_state = 2},
  [45] = {.lex_state = 266, .external_lex_state = 2},
  [46] = {.lex_state = 314, .external_lex_state = 2},
  [47] = {.lex_state = 316, .external_lex_state = 2},
  [48] = {.lex_state = 318},
  [49] = {.lex_state = 318},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 318},
  [52] = {.lex_state = 250},
  [53] = {.lex_state = 290, .external_lex_state = 2},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 321},
  [56] = {.lex_state = 261},
  [57] = {.lex_state = 268},
  [58] = {.lex_state = 285},
  [59] = {.lex_state = 349},
  [60] = {.lex_state = 288},
  [61] = {.lex_state = 321},
  [62] = {.lex_state = 288},
  [63] = {.lex_state = 321},
  [64] = {.lex_state = 261},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 321},
  [67] = {.lex_state = 321},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 250},
  [70] = {.lex_state = 351, .external_lex_state = 2},
  [71] = {.lex_state = 261},
  [72] = {.lex_state = 261},
  [73] = {.lex_state = 268},
  [74] = {.lex_state = 285},
  [75] = {.lex_state = 288},
  [76] = {.lex_state = 351, .external_lex_state = 2},
  [77] = {.lex_state = 288},
  [78] = {.lex_state = 354, .external_lex_state = 2},
  [79] = {.lex_state = 261},
  [80] = {.lex_state = 314, .external_lex_state = 2},
  [81] = {.lex_state = 356, .external_lex_state = 2},
  [82] = {.lex_state = 351, .external_lex_state = 2},
  [83] = {.lex_state = 356, .external_lex_state = 2},
  [84] = {.lex_state = 266, .external_lex_state = 2},
  [85] = {.lex_state = 356, .external_lex_state = 2},
  [86] = {.lex_state = 266, .external_lex_state = 2},
  [87] = {.lex_state = 261},
  [88] = {.lex_state = 250},
  [89] = {.lex_state = 358, .external_lex_state = 2},
  [90] = {.lex_state = 261},
  [91] = {.lex_state = 268},
  [92] = {.lex_state = 285},
  [93] = {.lex_state = 288},
  [94] = {.lex_state = 358, .external_lex_state = 2},
  [95] = {.lex_state = 288},
  [96] = {.lex_state = 364, .external_lex_state = 2},
  [97] = {.lex_state = 261},
  [98] = {.lex_state = 366, .external_lex_state = 2},
  [99] = {.lex_state = 368, .external_lex_state = 2},
  [100] = {.lex_state = 358, .external_lex_state = 2},
  [101] = {.lex_state = 368, .external_lex_state = 2},
  [102] = {.lex_state = 236},
  [103] = {.lex_state = 370, .external_lex_state = 2},
  [104] = {.lex_state = 266, .external_lex_state = 2},
  [105] = {.lex_state = 261},
  [106] = {.lex_state = 268},
  [107] = {.lex_state = 285},
  [108] = {.lex_state = 321},
  [109] = {.lex_state = 261},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 321},
  [112] = {.lex_state = 268},
  [113] = {.lex_state = 321},
  [114] = {.lex_state = 0},
  [115] = {.lex_state = 321},
  [116] = {.lex_state = 0},
  [117] = {.lex_state = 370, .external_lex_state = 3},
  [118] = {.lex_state = 261},
  [119] = {.lex_state = 268},
  [120] = {.lex_state = 285},
  [121] = {.lex_state = 321},
  [122] = {.lex_state = 261},
  [123] = {.lex_state = 0},
  [124] = {.lex_state = 321},
  [125] = {.lex_state = 321},
  [126] = {.lex_state = 236},
  [127] = {.lex_state = 0},
  [128] = {.lex_state = 314, .external_lex_state = 2},
  [129] = {.lex_state = 314, .external_lex_state = 2},
  [130] = {.lex_state = 377, .external_lex_state = 2},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 380, .external_lex_state = 2},
  [133] = {.lex_state = 382, .external_lex_state = 2},
  [134] = {.lex_state = 290, .external_lex_state = 2},
  [135] = {.lex_state = 292, .external_lex_state = 2},
  [136] = {.lex_state = 290, .external_lex_state = 2},
  [137] = {.lex_state = 250},
  [138] = {.lex_state = 288},
  [139] = {.lex_state = 0},
  [140] = {.lex_state = 261},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 0},
  [146] = {.lex_state = 261},
  [147] = {.lex_state = 266, .external_lex_state = 2},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 288},
  [150] = {.lex_state = 261},
  [151] = {.lex_state = 268},
  [152] = {.lex_state = 285},
  [153] = {.lex_state = 290, .external_lex_state = 2},
  [154] = {.lex_state = 321},
  [155] = {.lex_state = 261},
  [156] = {.lex_state = 0},
  [157] = {.lex_state = 0},
  [158] = {.lex_state = 321},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 288},
  [161] = {.lex_state = 261},
  [162] = {.lex_state = 268},
  [163] = {.lex_state = 285},
  [164] = {.lex_state = 290, .external_lex_state = 2},
  [165] = {.lex_state = 321},
  [166] = {.lex_state = 261},
  [167] = {.lex_state = 0},
  [168] = {.lex_state = 0},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 321},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 270, .external_lex_state = 2},
  [173] = {.lex_state = 270, .external_lex_state = 2},
  [174] = {.lex_state = 292, .external_lex_state = 2},
  [175] = {.lex_state = 250},
  [176] = {.lex_state = 250},
  [177] = {.lex_state = 384, .external_lex_state = 2},
  [178] = {.lex_state = 261},
  [179] = {.lex_state = 261},
  [180] = {.lex_state = 261},
  [181] = {.lex_state = 386, .external_lex_state = 2},
  [182] = {.lex_state = 246},
  [183] = {.lex_state = 288},
  [184] = {.lex_state = 268},
  [185] = {.lex_state = 268},
  [186] = {.lex_state = 268},
  [187] = {.lex_state = 0},
  [188] = {.lex_state = 268},
  [189] = {.lex_state = 268},
  [190] = {.lex_state = 268},
  [191] = {.lex_state = 268},
  [192] = {.lex_state = 268},
  [193] = {.lex_state = 388},
  [194] = {.lex_state = 288},
  [195] = {.lex_state = 290, .external_lex_state = 2},
  [196] = {.lex_state = 390, .external_lex_state = 2},
  [197] = {.lex_state = 236},
  [198] = {.lex_state = 236},
  [199] = {.lex_state = 0},
  [200] = {.lex_state = 246},
  [201] = {.lex_state = 310, .external_lex_state = 2},
  [202] = {.lex_state = 394, .external_lex_state = 2},
  [203] = {.lex_state = 314, .external_lex_state = 2},
  [204] = {.lex_state = 246},
  [205] = {.lex_state = 246},
  [206] = {.lex_state = 318},
  [207] = {.lex_state = 246},
  [208] = {.lex_state = 0},
  [209] = {.lex_state = 318},
  [210] = {.lex_state = 321},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 0},
  [213] = {.lex_state = 0},
  [214] = {.lex_state = 290, .external_lex_state = 2},
  [215] = {.lex_state = 0},
  [216] = {.lex_state = 321},
  [217] = {.lex_state = 261},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 261},
  [220] = {.lex_state = 261},
  [221] = {.lex_state = 268},
  [222] = {.lex_state = 285},
  [223] = {.lex_state = 321},
  [224] = {.lex_state = 261},
  [225] = {.lex_state = 0},
  [226] = {.lex_state = 0},
  [227] = {.lex_state = 321},
  [228] = {.lex_state = 0},
  [229] = {.lex_state = 321},
  [230] = {.lex_state = 0},
  [231] = {.lex_state = 0},
  [232] = {.lex_state = 0},
  [233] = {.lex_state = 321},
  [234] = {.lex_state = 0},
  [235] = {.lex_state = 0},
  [236] = {.lex_state = 0},
  [237] = {.lex_state = 0},
  [238] = {.lex_state = 321},
  [239] = {.lex_state = 321},
  [240] = {.lex_state = 321},
  [241] = {.lex_state = 290, .external_lex_state = 2},
  [242] = {.lex_state = 250},
  [243] = {.lex_state = 261},
  [244] = {.lex_state = 268},
  [245] = {.lex_state = 261},
  [246] = {.lex_state = 261},
  [247] = {.lex_state = 0},
  [248] = {.lex_state = 0},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 246},
  [251] = {.lex_state = 288},
  [252] = {.lex_state = 268},
  [253] = {.lex_state = 268},
  [254] = {.lex_state = 268},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 268},
  [257] = {.lex_state = 268},
  [258] = {.lex_state = 268},
  [259] = {.lex_state = 268},
  [260] = {.lex_state = 268},
  [261] = {.lex_state = 388},
  [262] = {.lex_state = 288},
  [263] = {.lex_state = 321},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 351, .external_lex_state = 2},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 356, .external_lex_state = 2},
  [270] = {.lex_state = 356, .external_lex_state = 2},
  [271] = {.lex_state = 351, .external_lex_state = 2},
  [272] = {.lex_state = 261},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 351, .external_lex_state = 2},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 351, .external_lex_state = 2},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 354, .external_lex_state = 2},
  [285] = {.lex_state = 354, .external_lex_state = 2},
  [286] = {.lex_state = 261, .external_lex_state = 2},
  [287] = {.lex_state = 314, .external_lex_state = 2},
  [288] = {.lex_state = 261},
  [289] = {.lex_state = 261},
  [290] = {.lex_state = 261},
  [291] = {.lex_state = 246},
  [292] = {.lex_state = 288},
  [293] = {.lex_state = 268},
  [294] = {.lex_state = 268},
  [295] = {.lex_state = 268},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 268},
  [298] = {.lex_state = 268},
  [299] = {.lex_state = 268},
  [300] = {.lex_state = 268},
  [301] = {.lex_state = 268},
  [302] = {.lex_state = 388},
  [303] = {.lex_state = 288},
  [304] = {.lex_state = 351, .external_lex_state = 2},
  [305] = {.lex_state = 396, .external_lex_state = 2},
  [306] = {.lex_state = 261},
  [307] = {.lex_state = 314, .external_lex_state = 2},
  [308] = {.lex_state = 261, .external_lex_state = 2},
  [309] = {.lex_state = 314, .external_lex_state = 2},
  [310] = {.lex_state = 261},
  [311] = {.lex_state = 268},
  [312] = {.lex_state = 285},
  [313] = {.lex_state = 400, .external_lex_state = 2},
  [314] = {.lex_state = 261},
  [315] = {.lex_state = 402, .external_lex_state = 2},
  [316] = {.lex_state = 404, .external_lex_state = 2},
  [317] = {.lex_state = 358, .external_lex_state = 2},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 368, .external_lex_state = 2},
  [322] = {.lex_state = 358, .external_lex_state = 2},
  [323] = {.lex_state = 261},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 358, .external_lex_state = 2},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 358, .external_lex_state = 2},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 0},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 364, .external_lex_state = 2},
  [336] = {.lex_state = 364, .external_lex_state = 2},
  [337] = {.lex_state = 368, .external_lex_state = 2},
  [338] = {.lex_state = 261},
  [339] = {.lex_state = 263, .external_lex_state = 2},
  [340] = {.lex_state = 261},
  [341] = {.lex_state = 261},
  [342] = {.lex_state = 261},
  [343] = {.lex_state = 406, .external_lex_state = 2},
  [344] = {.lex_state = 246},
  [345] = {.lex_state = 288},
  [346] = {.lex_state = 268},
  [347] = {.lex_state = 268},
  [348] = {.lex_state = 268},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 268},
  [351] = {.lex_state = 268},
  [352] = {.lex_state = 268},
  [353] = {.lex_state = 268},
  [354] = {.lex_state = 268},
  [355] = {.lex_state = 388},
  [356] = {.lex_state = 288},
  [357] = {.lex_state = 358, .external_lex_state = 2},
  [358] = {.lex_state = 408, .external_lex_state = 2},
  [359] = {.lex_state = 236},
  [360] = {.lex_state = 266, .external_lex_state = 2},
  [361] = {.lex_state = 370, .external_lex_state = 2},
  [362] = {.lex_state = 266, .external_lex_state = 2},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 261},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 321},
  [367] = {.lex_state = 261},
  [368] = {.lex_state = 370, .external_lex_state = 3},
  [369] = {.lex_state = 261},
  [370] = {.lex_state = 261},
  [371] = {.lex_state = 268},
  [372] = {.lex_state = 268},
  [373] = {.lex_state = 268},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 268},
  [376] = {.lex_state = 268},
  [377] = {.lex_state = 268},
  [378] = {.lex_state = 268},
  [379] = {.lex_state = 268},
  [380] = {.lex_state = 388},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 321},
  [383] = {.lex_state = 261},
  [384] = {.lex_state = 410},
  [385] = {.lex_state = 268},
  [386] = {.lex_state = 268},
  [387] = {.lex_state = 268},
  [388] = {.lex_state = 268},
  [389] = {.lex_state = 268},
  [390] = {.lex_state = 268},
  [391] = {.lex_state = 268},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 370, .external_lex_state = 3},
  [394] = {.lex_state = 236, .external_lex_state = 4},
  [395] = {.lex_state = 266, .external_lex_state = 2},
  [396] = {.lex_state = 413},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 321},
  [399] = {.lex_state = 261},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 321},
  [402] = {.lex_state = 261},
  [403] = {.lex_state = 370, .external_lex_state = 3},
  [404] = {.lex_state = 0},
  [405] = {.lex_state = 261},
  [406] = {.lex_state = 261},
  [407] = {.lex_state = 261},
  [408] = {.lex_state = 261},
  [409] = {.lex_state = 268},
  [410] = {.lex_state = 268},
  [411] = {.lex_state = 268},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 268},
  [414] = {.lex_state = 268},
  [415] = {.lex_state = 268},
  [416] = {.lex_state = 268},
  [417] = {.lex_state = 268},
  [418] = {.lex_state = 388},
  [419] = {.lex_state = 321},
  [420] = {.lex_state = 285},
  [421] = {.lex_state = 417},
  [422] = {.lex_state = 246},
  [423] = {.lex_state = 314, .external_lex_state = 2},
  [424] = {.lex_state = 314, .external_lex_state = 2},
  [425] = {.lex_state = 261},
  [426] = {.lex_state = 288},
  [427] = {.lex_state = 370, .external_lex_state = 3},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 246},
  [430] = {.lex_state = 380, .external_lex_state = 2},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 288},
  [433] = {.lex_state = 420, .external_lex_state = 2},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 0},
  [436] = {.lex_state = 261},
  [437] = {.lex_state = 261},
  [438] = {.lex_state = 268},
  [439] = {.lex_state = 285},
  [440] = {.lex_state = 321},
  [441] = {.lex_state = 261},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 321},
  [444] = {.lex_state = 285},
  [445] = {.lex_state = 261},
  [446] = {.lex_state = 261},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 292, .external_lex_state = 2},
  [449] = {.lex_state = 285},
  [450] = {.lex_state = 261},
  [451] = {.lex_state = 261},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 261},
  [454] = {.lex_state = 261},
  [455] = {.lex_state = 402, .external_lex_state = 2},
  [456] = {.lex_state = 290, .external_lex_state = 2},
  [457] = {.lex_state = 261},
  [458] = {.lex_state = 268},
  [459] = {.lex_state = 285},
  [460] = {.lex_state = 321},
  [461] = {.lex_state = 261},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 321},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 261},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 321},
  [468] = {.lex_state = 288},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 261},
  [471] = {.lex_state = 268},
  [472] = {.lex_state = 261},
  [473] = {.lex_state = 261},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 268},
  [477] = {.lex_state = 268},
  [478] = {.lex_state = 268},
  [479] = {.lex_state = 0},
  [480] = {.lex_state = 268},
  [481] = {.lex_state = 268},
  [482] = {.lex_state = 268},
  [483] = {.lex_state = 268},
  [484] = {.lex_state = 268},
  [485] = {.lex_state = 388},
  [486] = {.lex_state = 0},
  [487] = {.lex_state = 290, .external_lex_state = 2},
  [488] = {.lex_state = 261},
  [489] = {.lex_state = 261},
  [490] = {.lex_state = 268},
  [491] = {.lex_state = 285},
  [492] = {.lex_state = 321},
  [493] = {.lex_state = 261},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 321},
  [496] = {.lex_state = 0},
  [497] = {.lex_state = 261},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 321},
  [500] = {.lex_state = 288},
  [501] = {.lex_state = 290, .external_lex_state = 2},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 288},
  [504] = {.lex_state = 0},
  [505] = {.lex_state = 261},
  [506] = {.lex_state = 261},
  [507] = {.lex_state = 268},
  [508] = {.lex_state = 261},
  [509] = {.lex_state = 261},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 268},
  [513] = {.lex_state = 268},
  [514] = {.lex_state = 268},
  [515] = {.lex_state = 0},
  [516] = {.lex_state = 268},
  [517] = {.lex_state = 268},
  [518] = {.lex_state = 268},
  [519] = {.lex_state = 268},
  [520] = {.lex_state = 268},
  [521] = {.lex_state = 388},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 270, .external_lex_state = 2},
  [525] = {.lex_state = 422, .external_lex_state = 2},
  [526] = {.lex_state = 292, .external_lex_state = 2},
  [527] = {.lex_state = 266, .external_lex_state = 2},
  [528] = {.lex_state = 266, .external_lex_state = 2},
  [529] = {.lex_state = 266, .external_lex_state = 2},
  [530] = {.lex_state = 292, .external_lex_state = 2},
  [531] = {.lex_state = 261},
  [532] = {.lex_state = 268},
  [533] = {.lex_state = 285},
  [534] = {.lex_state = 321},
  [535] = {.lex_state = 261},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 321},
  [538] = {.lex_state = 292, .external_lex_state = 2},
  [539] = {.lex_state = 292, .external_lex_state = 2},
  [540] = {.lex_state = 384, .external_lex_state = 2},
  [541] = {.lex_state = 386, .external_lex_state = 2},
  [542] = {.lex_state = 290, .external_lex_state = 2},
  [543] = {.lex_state = 290, .external_lex_state = 2},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 288},
  [546] = {.lex_state = 321},
  [547] = {.lex_state = 321},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 290, .external_lex_state = 2},
  [551] = {.lex_state = 290, .external_lex_state = 2},
  [552] = {.lex_state = 290, .external_lex_state = 2},
  [553] = {.lex_state = 268},
  [554] = {.lex_state = 290, .external_lex_state = 2},
  [555] = {.lex_state = 290, .external_lex_state = 2},
  [556] = {.lex_state = 290, .external_lex_state = 2},
  [557] = {.lex_state = 290, .external_lex_state = 2},
  [558] = {.lex_state = 290, .external_lex_state = 2},
  [559] = {.lex_state = 288},
  [560] = {.lex_state = 261},
  [561] = {.lex_state = 268},
  [562] = {.lex_state = 285},
  [563] = {.lex_state = 321},
  [564] = {.lex_state = 261},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 321},
  [567] = {.lex_state = 0},
  [568] = {.lex_state = 390, .external_lex_state = 2},
  [569] = {.lex_state = 310, .external_lex_state = 2},
  [570] = {.lex_state = 310, .external_lex_state = 2},
  [571] = {.lex_state = 314, .external_lex_state = 2},
  [572] = {.lex_state = 316, .external_lex_state = 2},
  [573] = {.lex_state = 394, .external_lex_state = 2},
  [574] = {.lex_state = 314, .external_lex_state = 2},
  [575] = {.lex_state = 314, .external_lex_state = 2},
  [576] = {.lex_state = 321},
  [577] = {.lex_state = 318},
  [578] = {.lex_state = 246},
  [579] = {.lex_state = 266, .external_lex_state = 2},
  [580] = {.lex_state = 266, .external_lex_state = 2},
  [581] = {.lex_state = 246},
  [582] = {.lex_state = 321},
  [583] = {.lex_state = 321},
  [584] = {.lex_state = 250},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 261},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 261},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 321},
  [594] = {.lex_state = 288},
  [595] = {.lex_state = 261},
  [596] = {.lex_state = 261},
  [597] = {.lex_state = 261},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 268},
  [600] = {.lex_state = 268},
  [601] = {.lex_state = 268},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 268},
  [604] = {.lex_state = 268},
  [605] = {.lex_state = 268},
  [606] = {.lex_state = 268},
  [607] = {.lex_state = 268},
  [608] = {.lex_state = 388},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 321},
  [611] = {.lex_state = 288},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 321},
  [615] = {.lex_state = 288},
  [616] = {.lex_state = 321},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 288},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 321},
  [623] = {.lex_state = 290, .external_lex_state = 2},
  [624] = {.lex_state = 0},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 321},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 290, .external_lex_state = 2},
  [631] = {.lex_state = 261},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 250},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 321},
  [637] = {.lex_state = 321},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 321},
  [642] = {.lex_state = 321},
  [643] = {.lex_state = 321},
  [644] = {.lex_state = 268},
  [645] = {.lex_state = 321},
  [646] = {.lex_state = 321},
  [647] = {.lex_state = 321},
  [648] = {.lex_state = 321},
  [649] = {.lex_state = 321},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 351, .external_lex_state = 2},
  [654] = {.lex_state = 351, .external_lex_state = 2},
  [655] = {.lex_state = 250},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 356, .external_lex_state = 2},
  [659] = {.lex_state = 261},
  [660] = {.lex_state = 351, .external_lex_state = 2},
  [661] = {.lex_state = 288},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 351, .external_lex_state = 2},
  [665] = {.lex_state = 288},
  [666] = {.lex_state = 351, .external_lex_state = 2},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 288},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 354, .external_lex_state = 2},
  [673] = {.lex_state = 356, .external_lex_state = 2},
  [674] = {.lex_state = 261, .external_lex_state = 2},
  [675] = {.lex_state = 314, .external_lex_state = 2},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 356, .external_lex_state = 2},
  [678] = {.lex_state = 351, .external_lex_state = 2},
  [679] = {.lex_state = 351, .external_lex_state = 2},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 351, .external_lex_state = 2},
  [684] = {.lex_state = 351, .external_lex_state = 2},
  [685] = {.lex_state = 351, .external_lex_state = 2},
  [686] = {.lex_state = 268},
  [687] = {.lex_state = 351, .external_lex_state = 2},
  [688] = {.lex_state = 351, .external_lex_state = 2},
  [689] = {.lex_state = 351, .external_lex_state = 2},
  [690] = {.lex_state = 351, .external_lex_state = 2},
  [691] = {.lex_state = 351, .external_lex_state = 2},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 396, .external_lex_state = 2},
  [695] = {.lex_state = 261, .external_lex_state = 2},
  [696] = {.lex_state = 402, .external_lex_state = 2},
  [697] = {.lex_state = 261},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 400, .external_lex_state = 2},
  [700] = {.lex_state = 261},
  [701] = {.lex_state = 261},
  [702] = {.lex_state = 261},
  [703] = {.lex_state = 268},
  [704] = {.lex_state = 268},
  [705] = {.lex_state = 268},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 268},
  [708] = {.lex_state = 268},
  [709] = {.lex_state = 268},
  [710] = {.lex_state = 268},
  [711] = {.lex_state = 268},
  [712] = {.lex_state = 388},
  [713] = {.lex_state = 424, .external_lex_state = 2},
  [714] = {.lex_state = 358, .external_lex_state = 2},
  [715] = {.lex_state = 358, .external_lex_state = 2},
  [716] = {.lex_state = 250},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 368, .external_lex_state = 2},
  [720] = {.lex_state = 261},
  [721] = {.lex_state = 358, .external_lex_state = 2},
  [722] = {.lex_state = 288},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 358, .external_lex_state = 2},
  [726] = {.lex_state = 288},
  [727] = {.lex_state = 358, .external_lex_state = 2},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 288},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 364, .external_lex_state = 2},
  [734] = {.lex_state = 402, .external_lex_state = 2},
  [735] = {.lex_state = 368, .external_lex_state = 2},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 368, .external_lex_state = 2},
  [738] = {.lex_state = 368, .external_lex_state = 2},
  [739] = {.lex_state = 263, .external_lex_state = 2},
  [740] = {.lex_state = 406, .external_lex_state = 2},
  [741] = {.lex_state = 358, .external_lex_state = 2},
  [742] = {.lex_state = 358, .external_lex_state = 2},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 358, .external_lex_state = 2},
  [747] = {.lex_state = 358, .external_lex_state = 2},
  [748] = {.lex_state = 358, .external_lex_state = 2},
  [749] = {.lex_state = 268},
  [750] = {.lex_state = 358, .external_lex_state = 2},
  [751] = {.lex_state = 358, .external_lex_state = 2},
  [752] = {.lex_state = 358, .external_lex_state = 2},
  [753] = {.lex_state = 358, .external_lex_state = 2},
  [754] = {.lex_state = 358, .external_lex_state = 2},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 408, .external_lex_state = 2},
  [758] = {.lex_state = 236},
  [759] = {.lex_state = 370},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 261},
  [762] = {.lex_state = 321},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 236, .external_lex_state = 4},
  [765] = {.lex_state = 266, .external_lex_state = 2},
  [766] = {.lex_state = 426},
  [767] = {.lex_state = 426},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 321},
  [770] = {.lex_state = 321},
  [771] = {.lex_state = 321},
  [772] = {.lex_state = 268},
  [773] = {.lex_state = 321},
  [774] = {.lex_state = 321},
  [775] = {.lex_state = 321},
  [776] = {.lex_state = 321},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 321},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 321},
  [782] = {.lex_state = 321},
  [783] = {.lex_state = 321},
  [784] = {.lex_state = 321},
  [785] = {.lex_state = 321},
  [786] = {.lex_state = 321},
  [787] = {.lex_state = 321},
  [788] = {.lex_state = 410},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 236, .external_lex_state = 4},
  [791] = {.lex_state = 266, .external_lex_state = 2},
  [792] = {.lex_state = 429},
  [793] = {.lex_state = 429},
  [794] = {.lex_state = 413},
  [795] = {.lex_state = 266, .external_lex_state = 2},
  [796] = {.lex_state = 261},
  [797] = {.lex_state = 268},
  [798] = {.lex_state = 261},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 261},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 246},
  [803] = {.lex_state = 246},
  [804] = {.lex_state = 236, .external_lex_state = 4},
  [805] = {.lex_state = 236, .external_lex_state = 4},
  [806] = {.lex_state = 236, .external_lex_state = 4},
  [807] = {.lex_state = 236, .external_lex_state = 4},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 413},
  [810] = {.lex_state = 370, .external_lex_state = 2},
  [811] = {.lex_state = 266, .external_lex_state = 2},
  [812] = {.lex_state = 288},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 413},
  [815] = {.lex_state = 236},
  [816] = {.lex_state = 413},
  [817] = {.lex_state = 321},
  [818] = {.lex_state = 261},
  [819] = {.lex_state = 321},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 236, .external_lex_state = 4},
  [822] = {.lex_state = 236},
  [823] = {.lex_state = 236},
  [824] = {.lex_state = 370, .external_lex_state = 3},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 321},
  [829] = {.lex_state = 321},
  [830] = {.lex_state = 321},
  [831] = {.lex_state = 321},
  [832] = {.lex_state = 268},
  [833] = {.lex_state = 321},
  [834] = {.lex_state = 321},
  [835] = {.lex_state = 321},
  [836] = {.lex_state = 321},
  [837] = {.lex_state = 321},
  [838] = {.lex_state = 417},
  [839] = {.lex_state = 288},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 370, .external_lex_state = 3},
  [846] = {.lex_state = 261},
  [847] = {.lex_state = 314, .external_lex_state = 2},
  [848] = {.lex_state = 314, .external_lex_state = 2},
  [849] = {.lex_state = 356, .external_lex_state = 2},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 236},
  [852] = {.lex_state = 370, .external_lex_state = 3},
  [853] = {.lex_state = 380, .external_lex_state = 2},
  [854] = {.lex_state = 380, .external_lex_state = 2},
  [855] = {.lex_state = 420, .external_lex_state = 2},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 261},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 321},
  [865] = {.lex_state = 261},
  [866] = {.lex_state = 261},
  [867] = {.lex_state = 261},
  [868] = {.lex_state = 268},
  [869] = {.lex_state = 268},
  [870] = {.lex_state = 268},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 268},
  [873] = {.lex_state = 268},
  [874] = {.lex_state = 268},
  [875] = {.lex_state = 268},
  [876] = {.lex_state = 268},
  [877] = {.lex_state = 388},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 261},
  [884] = {.lex_state = 268},
  [885] = {.lex_state = 285},
  [886] = {.lex_state = 321},
  [887] = {.lex_state = 261},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 321},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 285},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 261},
  [895] = {.lex_state = 268},
  [896] = {.lex_state = 285},
  [897] = {.lex_state = 321},
  [898] = {.lex_state = 261},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 321},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 285},
  [904] = {.lex_state = 292, .external_lex_state = 2},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 261},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 321},
  [911] = {.lex_state = 261},
  [912] = {.lex_state = 261},
  [913] = {.lex_state = 261},
  [914] = {.lex_state = 268},
  [915] = {.lex_state = 268},
  [916] = {.lex_state = 268},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 268},
  [919] = {.lex_state = 268},
  [920] = {.lex_state = 268},
  [921] = {.lex_state = 268},
  [922] = {.lex_state = 268},
  [923] = {.lex_state = 388},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 261},
  [927] = {.lex_state = 321},
  [928] = {.lex_state = 290, .external_lex_state = 2},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 288},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 290, .external_lex_state = 2},
  [937] = {.lex_state = 261},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 321},
  [940] = {.lex_state = 321},
  [941] = {.lex_state = 321},
  [942] = {.lex_state = 268},
  [943] = {.lex_state = 321},
  [944] = {.lex_state = 321},
  [945] = {.lex_state = 321},
  [946] = {.lex_state = 321},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 261},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 321},
  [953] = {.lex_state = 261},
  [954] = {.lex_state = 261},
  [955] = {.lex_state = 261},
  [956] = {.lex_state = 268},
  [957] = {.lex_state = 268},
  [958] = {.lex_state = 268},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 268},
  [961] = {.lex_state = 268},
  [962] = {.lex_state = 268},
  [963] = {.lex_state = 268},
  [964] = {.lex_state = 268},
  [965] = {.lex_state = 388},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 261},
  [969] = {.lex_state = 321},
  [970] = {.lex_state = 288},
  [971] = {.lex_state = 290, .external_lex_state = 2},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 288},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 246},
  [976] = {.lex_state = 290, .external_lex_state = 2},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 288},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 261},
  [983] = {.lex_state = 268},
  [984] = {.lex_state = 285},
  [985] = {.lex_state = 321},
  [986] = {.lex_state = 261},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 321},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 290, .external_lex_state = 2},
  [992] = {.lex_state = 261},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 321},
  [995] = {.lex_state = 321},
  [996] = {.lex_state = 321},
  [997] = {.lex_state = 268},
  [998] = {.lex_state = 321},
  [999] = {.lex_state = 321},
  [1000] = {.lex_state = 321},
  [1001] = {.lex_state = 321},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 290, .external_lex_state = 2},
  [1004] = {.lex_state = 384, .external_lex_state = 2},
  [1005] = {.lex_state = 386, .external_lex_state = 2},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 261},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 321},
  [1010] = {.lex_state = 261},
  [1011] = {.lex_state = 261},
  [1012] = {.lex_state = 261},
  [1013] = {.lex_state = 261},
  [1014] = {.lex_state = 268},
  [1015] = {.lex_state = 268},
  [1016] = {.lex_state = 268},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 268},
  [1019] = {.lex_state = 268},
  [1020] = {.lex_state = 268},
  [1021] = {.lex_state = 268},
  [1022] = {.lex_state = 268},
  [1023] = {.lex_state = 388},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 261},
  [1026] = {.lex_state = 290, .external_lex_state = 2},
  [1027] = {.lex_state = 261},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 261},
  [1030] = {.lex_state = 261},
  [1031] = {.lex_state = 288},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 290, .external_lex_state = 2},
  [1034] = {.lex_state = 288},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 261},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 321},
  [1040] = {.lex_state = 288},
  [1041] = {.lex_state = 261},
  [1042] = {.lex_state = 288},
  [1043] = {.lex_state = 261},
  [1044] = {.lex_state = 261},
  [1045] = {.lex_state = 290, .external_lex_state = 2},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 268},
  [1048] = {.lex_state = 268},
  [1049] = {.lex_state = 268},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 268},
  [1052] = {.lex_state = 268},
  [1053] = {.lex_state = 268},
  [1054] = {.lex_state = 268},
  [1055] = {.lex_state = 268},
  [1056] = {.lex_state = 388},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 246},
  [1059] = {.lex_state = 321},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 321},
  [1063] = {.lex_state = 246},
  [1064] = {.lex_state = 266, .external_lex_state = 2},
  [1065] = {.lex_state = 321},
  [1066] = {.lex_state = 321},
  [1067] = {.lex_state = 250},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 261},
  [1071] = {.lex_state = 321},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 288},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 321},
  [1078] = {.lex_state = 321},
  [1079] = {.lex_state = 321},
  [1080] = {.lex_state = 268},
  [1081] = {.lex_state = 321},
  [1082] = {.lex_state = 321},
  [1083] = {.lex_state = 321},
  [1084] = {.lex_state = 321},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 321},
  [1087] = {.lex_state = 288},
  [1088] = {.lex_state = 321},
  [1089] = {.lex_state = 321},
  [1090] = {.lex_state = 288},
  [1091] = {.lex_state = 321},
  [1092] = {.lex_state = 288},
  [1093] = {.lex_state = 321},
  [1094] = {.lex_state = 321},
  [1095] = {.lex_state = 261},
  [1096] = {.lex_state = 261},
  [1097] = {.lex_state = 261},
  [1098] = {.lex_state = 268},
  [1099] = {.lex_state = 285},
  [1100] = {.lex_state = 321},
  [1101] = {.lex_state = 261},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 321},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 290, .external_lex_state = 2},
  [1106] = {.lex_state = 250},
  [1107] = {.lex_state = 321},
  [1108] = {.lex_state = 288},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 321},
  [1111] = {.lex_state = 288},
  [1112] = {.lex_state = 321},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 351, .external_lex_state = 2},
  [1115] = {.lex_state = 351, .external_lex_state = 2},
  [1116] = {.lex_state = 250},
  [1117] = {.lex_state = 356, .external_lex_state = 2},
  [1118] = {.lex_state = 351, .external_lex_state = 2},
  [1119] = {.lex_state = 288},
  [1120] = {.lex_state = 351, .external_lex_state = 2},
  [1121] = {.lex_state = 351, .external_lex_state = 2},
  [1122] = {.lex_state = 288},
  [1123] = {.lex_state = 351, .external_lex_state = 2},
  [1124] = {.lex_state = 288},
  [1125] = {.lex_state = 351, .external_lex_state = 2},
  [1126] = {.lex_state = 351, .external_lex_state = 2},
  [1127] = {.lex_state = 261},
  [1128] = {.lex_state = 351, .external_lex_state = 2},
  [1129] = {.lex_state = 288},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 351, .external_lex_state = 2},
  [1132] = {.lex_state = 288},
  [1133] = {.lex_state = 351, .external_lex_state = 2},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 402, .external_lex_state = 2},
  [1136] = {.lex_state = 261},
  [1137] = {.lex_state = 400, .external_lex_state = 2},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 402, .external_lex_state = 2},
  [1140] = {.lex_state = 404, .external_lex_state = 2},
  [1141] = {.lex_state = 404, .external_lex_state = 2},
  [1142] = {.lex_state = 404, .external_lex_state = 2},
  [1143] = {.lex_state = 268},
  [1144] = {.lex_state = 404, .external_lex_state = 2},
  [1145] = {.lex_state = 404, .external_lex_state = 2},
  [1146] = {.lex_state = 404, .external_lex_state = 2},
  [1147] = {.lex_state = 404, .external_lex_state = 2},
  [1148] = {.lex_state = 424, .external_lex_state = 2},
  [1149] = {.lex_state = 358, .external_lex_state = 2},
  [1150] = {.lex_state = 358, .external_lex_state = 2},
  [1151] = {.lex_state = 250},
  [1152] = {.lex_state = 368, .external_lex_state = 2},
  [1153] = {.lex_state = 358, .external_lex_state = 2},
  [1154] = {.lex_state = 288},
  [1155] = {.lex_state = 358, .external_lex_state = 2},
  [1156] = {.lex_state = 358, .external_lex_state = 2},
  [1157] = {.lex_state = 288},
  [1158] = {.lex_state = 358, .external_lex_state = 2},
  [1159] = {.lex_state = 288},
  [1160] = {.lex_state = 358, .external_lex_state = 2},
  [1161] = {.lex_state = 358, .external_lex_state = 2},
  [1162] = {.lex_state = 261},
  [1163] = {.lex_state = 261},
  [1164] = {.lex_state = 358, .external_lex_state = 2},
  [1165] = {.lex_state = 288},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 358, .external_lex_state = 2},
  [1168] = {.lex_state = 288},
  [1169] = {.lex_state = 358, .external_lex_state = 2},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 261},
  [1173] = {.lex_state = 426},
  [1174] = {.lex_state = 236, .external_lex_state = 4},
  [1175] = {.lex_state = 426},
  [1176] = {.lex_state = 370, .external_lex_state = 2},
  [1177] = {.lex_state = 266, .external_lex_state = 2},
  [1178] = {.lex_state = 261},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 426},
  [1181] = {.lex_state = 236},
  [1182] = {.lex_state = 426},
  [1183] = {.lex_state = 321},
  [1184] = {.lex_state = 370, .external_lex_state = 3},
  [1185] = {.lex_state = 288},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 268},
  [1188] = {.lex_state = 429},
  [1189] = {.lex_state = 236, .external_lex_state = 4},
  [1190] = {.lex_state = 429},
  [1191] = {.lex_state = 370, .external_lex_state = 2},
  [1192] = {.lex_state = 266, .external_lex_state = 2},
  [1193] = {.lex_state = 236},
  [1194] = {.lex_state = 236, .external_lex_state = 4},
  [1195] = {.lex_state = 370, .external_lex_state = 2},
  [1196] = {.lex_state = 266, .external_lex_state = 2},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 370, .external_lex_state = 3},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 236, .external_lex_state = 4},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 413},
  [1206] = {.lex_state = 236, .external_lex_state = 4},
  [1207] = {.lex_state = 236, .external_lex_state = 4},
  [1208] = {.lex_state = 413},
  [1209] = {.lex_state = 370, .external_lex_state = 2},
  [1210] = {.lex_state = 370, .external_lex_state = 3},
  [1211] = {.lex_state = 321},
  [1212] = {.lex_state = 370, .external_lex_state = 3},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 432},
  [1215] = {.lex_state = 236},
  [1216] = {.lex_state = 413},
  [1217] = {.lex_state = 321},
  [1218] = {.lex_state = 236},
  [1219] = {.lex_state = 236, .external_lex_state = 4},
  [1220] = {.lex_state = 236},
  [1221] = {.lex_state = 261},
  [1222] = {.lex_state = 321},
  [1223] = {.lex_state = 261},
  [1224] = {.lex_state = 261},
  [1225] = {.lex_state = 268},
  [1226] = {.lex_state = 285},
  [1227] = {.lex_state = 321},
  [1228] = {.lex_state = 261},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 321},
  [1231] = {.lex_state = 285},
  [1232] = {.lex_state = 261},
  [1233] = {.lex_state = 261},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 285},
  [1236] = {.lex_state = 261},
  [1237] = {.lex_state = 261},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 417},
  [1240] = {.lex_state = 261},
  [1241] = {.lex_state = 236},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 314, .external_lex_state = 2},
  [1245] = {.lex_state = 236},
  [1246] = {.lex_state = 420, .external_lex_state = 2},
  [1247] = {.lex_state = 288},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 261},
  [1251] = {.lex_state = 321},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 321},
  [1255] = {.lex_state = 321},
  [1256] = {.lex_state = 321},
  [1257] = {.lex_state = 268},
  [1258] = {.lex_state = 321},
  [1259] = {.lex_state = 321},
  [1260] = {.lex_state = 321},
  [1261] = {.lex_state = 321},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 261},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 321},
  [1267] = {.lex_state = 261},
  [1268] = {.lex_state = 261},
  [1269] = {.lex_state = 261},
  [1270] = {.lex_state = 268},
  [1271] = {.lex_state = 268},
  [1272] = {.lex_state = 268},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 268},
  [1275] = {.lex_state = 268},
  [1276] = {.lex_state = 268},
  [1277] = {.lex_state = 268},
  [1278] = {.lex_state = 268},
  [1279] = {.lex_state = 388},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 261},
  [1282] = {.lex_state = 285},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 261},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 321},
  [1287] = {.lex_state = 261},
  [1288] = {.lex_state = 261},
  [1289] = {.lex_state = 261},
  [1290] = {.lex_state = 268},
  [1291] = {.lex_state = 268},
  [1292] = {.lex_state = 268},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 268},
  [1295] = {.lex_state = 268},
  [1296] = {.lex_state = 268},
  [1297] = {.lex_state = 268},
  [1298] = {.lex_state = 268},
  [1299] = {.lex_state = 388},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 261},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 261},
  [1304] = {.lex_state = 321},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 321},
  [1308] = {.lex_state = 321},
  [1309] = {.lex_state = 321},
  [1310] = {.lex_state = 268},
  [1311] = {.lex_state = 321},
  [1312] = {.lex_state = 321},
  [1313] = {.lex_state = 321},
  [1314] = {.lex_state = 321},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 290, .external_lex_state = 2},
  [1318] = {.lex_state = 288},
  [1319] = {.lex_state = 261},
  [1320] = {.lex_state = 261},
  [1321] = {.lex_state = 261},
  [1322] = {.lex_state = 268},
  [1323] = {.lex_state = 285},
  [1324] = {.lex_state = 321},
  [1325] = {.lex_state = 261},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 321},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 321},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 261},
  [1332] = {.lex_state = 321},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 321},
  [1336] = {.lex_state = 321},
  [1337] = {.lex_state = 321},
  [1338] = {.lex_state = 268},
  [1339] = {.lex_state = 321},
  [1340] = {.lex_state = 321},
  [1341] = {.lex_state = 321},
  [1342] = {.lex_state = 321},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 290, .external_lex_state = 2},
  [1346] = {.lex_state = 288},
  [1347] = {.lex_state = 261},
  [1348] = {.lex_state = 290, .external_lex_state = 2},
  [1349] = {.lex_state = 288},
  [1350] = {.lex_state = 261},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 261},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 321},
  [1355] = {.lex_state = 261},
  [1356] = {.lex_state = 261},
  [1357] = {.lex_state = 261},
  [1358] = {.lex_state = 268},
  [1359] = {.lex_state = 268},
  [1360] = {.lex_state = 268},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 268},
  [1363] = {.lex_state = 268},
  [1364] = {.lex_state = 268},
  [1365] = {.lex_state = 268},
  [1366] = {.lex_state = 268},
  [1367] = {.lex_state = 388},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 261},
  [1370] = {.lex_state = 261},
  [1371] = {.lex_state = 268},
  [1372] = {.lex_state = 285},
  [1373] = {.lex_state = 321},
  [1374] = {.lex_state = 261},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 321},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 321},
  [1379] = {.lex_state = 384, .external_lex_state = 2},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 261},
  [1382] = {.lex_state = 321},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 292, .external_lex_state = 2},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 321},
  [1387] = {.lex_state = 321},
  [1388] = {.lex_state = 321},
  [1389] = {.lex_state = 268},
  [1390] = {.lex_state = 321},
  [1391] = {.lex_state = 321},
  [1392] = {.lex_state = 321},
  [1393] = {.lex_state = 321},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 290, .external_lex_state = 2},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 288},
  [1402] = {.lex_state = 0},
  [1403] = {.lex_state = 0},
  [1404] = {.lex_state = 288},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 261},
  [1407] = {.lex_state = 321},
  [1408] = {.lex_state = 290, .external_lex_state = 2},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 0},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 288},
  [1415] = {.lex_state = 0},
  [1416] = {.lex_state = 321},
  [1417] = {.lex_state = 321},
  [1418] = {.lex_state = 321},
  [1419] = {.lex_state = 268},
  [1420] = {.lex_state = 321},
  [1421] = {.lex_state = 321},
  [1422] = {.lex_state = 321},
  [1423] = {.lex_state = 321},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 321},
  [1426] = {.lex_state = 266, .external_lex_state = 2},
  [1427] = {.lex_state = 246},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 246},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 321},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 261},
  [1434] = {.lex_state = 261},
  [1435] = {.lex_state = 321},
  [1436] = {.lex_state = 321},
  [1437] = {.lex_state = 321},
  [1438] = {.lex_state = 321},
  [1439] = {.lex_state = 0},
  [1440] = {.lex_state = 285},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 0},
  [1444] = {.lex_state = 0},
  [1445] = {.lex_state = 261},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 321},
  [1448] = {.lex_state = 261},
  [1449] = {.lex_state = 261},
  [1450] = {.lex_state = 261},
  [1451] = {.lex_state = 268},
  [1452] = {.lex_state = 268},
  [1453] = {.lex_state = 268},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 268},
  [1456] = {.lex_state = 268},
  [1457] = {.lex_state = 268},
  [1458] = {.lex_state = 268},
  [1459] = {.lex_state = 268},
  [1460] = {.lex_state = 388},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 321},
  [1463] = {.lex_state = 288},
  [1464] = {.lex_state = 321},
  [1465] = {.lex_state = 288},
  [1466] = {.lex_state = 351, .external_lex_state = 2},
  [1467] = {.lex_state = 351, .external_lex_state = 2},
  [1468] = {.lex_state = 351, .external_lex_state = 2},
  [1469] = {.lex_state = 351, .external_lex_state = 2},
  [1470] = {.lex_state = 356, .external_lex_state = 2},
  [1471] = {.lex_state = 351, .external_lex_state = 2},
  [1472] = {.lex_state = 288},
  [1473] = {.lex_state = 351, .external_lex_state = 2},
  [1474] = {.lex_state = 288},
  [1475] = {.lex_state = 402, .external_lex_state = 2},
  [1476] = {.lex_state = 261},
  [1477] = {.lex_state = 404, .external_lex_state = 2},
  [1478] = {.lex_state = 358, .external_lex_state = 2},
  [1479] = {.lex_state = 358, .external_lex_state = 2},
  [1480] = {.lex_state = 358, .external_lex_state = 2},
  [1481] = {.lex_state = 358, .external_lex_state = 2},
  [1482] = {.lex_state = 368, .external_lex_state = 2},
  [1483] = {.lex_state = 358, .external_lex_state = 2},
  [1484] = {.lex_state = 288},
  [1485] = {.lex_state = 358, .external_lex_state = 2},
  [1486] = {.lex_state = 288},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 426},
  [1489] = {.lex_state = 426},
  [1490] = {.lex_state = 370, .external_lex_state = 2},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 370, .external_lex_state = 3},
  [1493] = {.lex_state = 236},
  [1494] = {.lex_state = 426},
  [1495] = {.lex_state = 429},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 288},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 429},
  [1500] = {.lex_state = 429},
  [1501] = {.lex_state = 370, .external_lex_state = 2},
  [1502] = {.lex_state = 236, .external_lex_state = 4},
  [1503] = {.lex_state = 370, .external_lex_state = 2},
  [1504] = {.lex_state = 370, .external_lex_state = 3},
  [1505] = {.lex_state = 261},
  [1506] = {.lex_state = 370, .external_lex_state = 3},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 370, .external_lex_state = 3},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 417},
  [1511] = {.lex_state = 370, .external_lex_state = 3},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 413},
  [1514] = {.lex_state = 413},
  [1515] = {.lex_state = 261},
  [1516] = {.lex_state = 370, .external_lex_state = 3},
  [1517] = {.lex_state = 236},
  [1518] = {.lex_state = 370, .external_lex_state = 3},
  [1519] = {.lex_state = 236},
  [1520] = {.lex_state = 236},
  [1521] = {.lex_state = 321},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 261},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 321},
  [1527] = {.lex_state = 261},
  [1528] = {.lex_state = 261},
  [1529] = {.lex_state = 261},
  [1530] = {.lex_state = 268},
  [1531] = {.lex_state = 268},
  [1532] = {.lex_state = 268},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 268},
  [1535] = {.lex_state = 268},
  [1536] = {.lex_state = 268},
  [1537] = {.lex_state = 268},
  [1538] = {.lex_state = 268},
  [1539] = {.lex_state = 388},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 285},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 261},
  [1549] = {.lex_state = 268},
  [1550] = {.lex_state = 285},
  [1551] = {.lex_state = 321},
  [1552] = {.lex_state = 261},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 321},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 285},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 370, .external_lex_state = 3},
  [1560] = {.lex_state = 420, .external_lex_state = 2},
  [1561] = {.lex_state = 288},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 261},
  [1564] = {.lex_state = 321},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 261},
  [1567] = {.lex_state = 321},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 321},
  [1571] = {.lex_state = 321},
  [1572] = {.lex_state = 321},
  [1573] = {.lex_state = 268},
  [1574] = {.lex_state = 321},
  [1575] = {.lex_state = 321},
  [1576] = {.lex_state = 321},
  [1577] = {.lex_state = 321},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 261},
  [1582] = {.lex_state = 321},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 321},
  [1586] = {.lex_state = 321},
  [1587] = {.lex_state = 321},
  [1588] = {.lex_state = 268},
  [1589] = {.lex_state = 321},
  [1590] = {.lex_state = 321},
  [1591] = {.lex_state = 321},
  [1592] = {.lex_state = 321},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 261},
  [1597] = {.lex_state = 321},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 285},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 261},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 321},
  [1606] = {.lex_state = 261},
  [1607] = {.lex_state = 261},
  [1608] = {.lex_state = 261},
  [1609] = {.lex_state = 268},
  [1610] = {.lex_state = 268},
  [1611] = {.lex_state = 268},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 268},
  [1614] = {.lex_state = 268},
  [1615] = {.lex_state = 268},
  [1616] = {.lex_state = 268},
  [1617] = {.lex_state = 268},
  [1618] = {.lex_state = 388},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 261},
  [1622] = {.lex_state = 321},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 261},
  [1627] = {.lex_state = 321},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 321},
  [1631] = {.lex_state = 321},
  [1632] = {.lex_state = 321},
  [1633] = {.lex_state = 268},
  [1634] = {.lex_state = 321},
  [1635] = {.lex_state = 321},
  [1636] = {.lex_state = 321},
  [1637] = {.lex_state = 321},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 285},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 261},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 321},
  [1646] = {.lex_state = 261},
  [1647] = {.lex_state = 261},
  [1648] = {.lex_state = 261},
  [1649] = {.lex_state = 268},
  [1650] = {.lex_state = 268},
  [1651] = {.lex_state = 268},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 268},
  [1654] = {.lex_state = 268},
  [1655] = {.lex_state = 268},
  [1656] = {.lex_state = 268},
  [1657] = {.lex_state = 268},
  [1658] = {.lex_state = 388},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 261},
  [1662] = {.lex_state = 321},
  [1663] = {.lex_state = 290, .external_lex_state = 2},
  [1664] = {.lex_state = 288},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 261},
  [1668] = {.lex_state = 288},
  [1669] = {.lex_state = 290, .external_lex_state = 2},
  [1670] = {.lex_state = 288},
  [1671] = {.lex_state = 321},
  [1672] = {.lex_state = 321},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 321},
  [1675] = {.lex_state = 246},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 266, .external_lex_state = 2},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 261},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 434},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 261},
  [1686] = {.lex_state = 321},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 321},
  [1690] = {.lex_state = 321},
  [1691] = {.lex_state = 321},
  [1692] = {.lex_state = 268},
  [1693] = {.lex_state = 321},
  [1694] = {.lex_state = 321},
  [1695] = {.lex_state = 321},
  [1696] = {.lex_state = 321},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 321},
  [1699] = {.lex_state = 321},
  [1700] = {.lex_state = 351, .external_lex_state = 2},
  [1701] = {.lex_state = 351, .external_lex_state = 2},
  [1702] = {.lex_state = 402, .external_lex_state = 2},
  [1703] = {.lex_state = 358, .external_lex_state = 2},
  [1704] = {.lex_state = 358, .external_lex_state = 2},
  [1705] = {.lex_state = 426},
  [1706] = {.lex_state = 370, .external_lex_state = 3},
  [1707] = {.lex_state = 236},
  [1708] = {.lex_state = 236},
  [1709] = {.lex_state = 261},
  [1710] = {.lex_state = 429},
  [1711] = {.lex_state = 236, .external_lex_state = 4},
  [1712] = {.lex_state = 236, .external_lex_state = 4},
  [1713] = {.lex_state = 266, .external_lex_state = 2},
  [1714] = {.lex_state = 426, .external_lex_state = 4},
  [1715] = {.lex_state = 426, .external_lex_state = 4},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 236, .external_lex_state = 4},
  [1718] = {.lex_state = 266, .external_lex_state = 2},
  [1719] = {.lex_state = 429, .external_lex_state = 4},
  [1720] = {.lex_state = 429, .external_lex_state = 4},
  [1721] = {.lex_state = 288},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 413, .external_lex_state = 4},
  [1724] = {.lex_state = 236, .external_lex_state = 4},
  [1725] = {.lex_state = 413, .external_lex_state = 4},
  [1726] = {.lex_state = 236, .external_lex_state = 4},
  [1727] = {.lex_state = 236, .external_lex_state = 4},
  [1728] = {.lex_state = 236, .external_lex_state = 4},
  [1729] = {.lex_state = 370, .external_lex_state = 3},
  [1730] = {.lex_state = 370, .external_lex_state = 3},
  [1731] = {.lex_state = 261},
  [1732] = {.lex_state = 236, .external_lex_state = 4},
  [1733] = {.lex_state = 370, .external_lex_state = 3},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 413},
  [1736] = {.lex_state = 236, .external_lex_state = 4},
  [1737] = {.lex_state = 266, .external_lex_state = 2},
  [1738] = {.lex_state = 432},
  [1739] = {.lex_state = 432},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 261},
  [1742] = {.lex_state = 321},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 321},
  [1746] = {.lex_state = 321},
  [1747] = {.lex_state = 321},
  [1748] = {.lex_state = 268},
  [1749] = {.lex_state = 321},
  [1750] = {.lex_state = 321},
  [1751] = {.lex_state = 321},
  [1752] = {.lex_state = 321},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 261},
  [1755] = {.lex_state = 285},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 261},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 321},
  [1760] = {.lex_state = 261},
  [1761] = {.lex_state = 261},
  [1762] = {.lex_state = 261},
  [1763] = {.lex_state = 268},
  [1764] = {.lex_state = 268},
  [1765] = {.lex_state = 268},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 268},
  [1768] = {.lex_state = 268},
  [1769] = {.lex_state = 268},
  [1770] = {.lex_state = 268},
  [1771] = {.lex_state = 268},
  [1772] = {.lex_state = 388},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 261},
  [1775] = {.lex_state = 236},
  [1776] = {.lex_state = 420, .external_lex_state = 2},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 261},
  [1780] = {.lex_state = 321},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 261},
  [1783] = {.lex_state = 321},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 261},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 434},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 261},
  [1791] = {.lex_state = 321},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 321},
  [1795] = {.lex_state = 321},
  [1796] = {.lex_state = 321},
  [1797] = {.lex_state = 268},
  [1798] = {.lex_state = 321},
  [1799] = {.lex_state = 321},
  [1800] = {.lex_state = 321},
  [1801] = {.lex_state = 321},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 261},
  [1806] = {.lex_state = 321},
  [1807] = {.lex_state = 261},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 434},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 261},
  [1813] = {.lex_state = 321},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 321},
  [1817] = {.lex_state = 321},
  [1818] = {.lex_state = 321},
  [1819] = {.lex_state = 268},
  [1820] = {.lex_state = 321},
  [1821] = {.lex_state = 321},
  [1822] = {.lex_state = 321},
  [1823] = {.lex_state = 321},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 246},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 261},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 434},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 261},
  [1836] = {.lex_state = 321},
  [1837] = {.lex_state = 426},
  [1838] = {.lex_state = 426, .external_lex_state = 4},
  [1839] = {.lex_state = 236, .external_lex_state = 4},
  [1840] = {.lex_state = 426, .external_lex_state = 4},
  [1841] = {.lex_state = 370, .external_lex_state = 2},
  [1842] = {.lex_state = 266, .external_lex_state = 2},
  [1843] = {.lex_state = 261},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 426, .external_lex_state = 4},
  [1846] = {.lex_state = 236, .external_lex_state = 4},
  [1847] = {.lex_state = 426, .external_lex_state = 4},
  [1848] = {.lex_state = 370, .external_lex_state = 3},
  [1849] = {.lex_state = 429, .external_lex_state = 4},
  [1850] = {.lex_state = 236, .external_lex_state = 4},
  [1851] = {.lex_state = 429, .external_lex_state = 4},
  [1852] = {.lex_state = 370, .external_lex_state = 2},
  [1853] = {.lex_state = 266, .external_lex_state = 2},
  [1854] = {.lex_state = 236, .external_lex_state = 4},
  [1855] = {.lex_state = 370, .external_lex_state = 3},
  [1856] = {.lex_state = 321},
  [1857] = {.lex_state = 370, .external_lex_state = 3},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 432, .external_lex_state = 4},
  [1860] = {.lex_state = 236, .external_lex_state = 4},
  [1861] = {.lex_state = 413, .external_lex_state = 4},
  [1862] = {.lex_state = 236, .external_lex_state = 4},
  [1863] = {.lex_state = 236, .external_lex_state = 4},
  [1864] = {.lex_state = 236, .external_lex_state = 4},
  [1865] = {.lex_state = 236, .external_lex_state = 4},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 236, .external_lex_state = 4},
  [1868] = {.lex_state = 370, .external_lex_state = 3},
  [1869] = {.lex_state = 432},
  [1870] = {.lex_state = 236, .external_lex_state = 4},
  [1871] = {.lex_state = 432},
  [1872] = {.lex_state = 370, .external_lex_state = 2},
  [1873] = {.lex_state = 266, .external_lex_state = 2},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 261},
  [1876] = {.lex_state = 321},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 261},
  [1880] = {.lex_state = 321},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 321},
  [1884] = {.lex_state = 321},
  [1885] = {.lex_state = 321},
  [1886] = {.lex_state = 268},
  [1887] = {.lex_state = 321},
  [1888] = {.lex_state = 321},
  [1889] = {.lex_state = 321},
  [1890] = {.lex_state = 321},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 261},
  [1896] = {.lex_state = 434},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 261},
  [1900] = {.lex_state = 321},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 261},
  [1903] = {.lex_state = 434},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 261},
  [1907] = {.lex_state = 321},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 261},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 426, .external_lex_state = 4},
  [1912] = {.lex_state = 426, .external_lex_state = 4},
  [1913] = {.lex_state = 370, .external_lex_state = 2},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 370, .external_lex_state = 3},
  [1916] = {.lex_state = 236, .external_lex_state = 4},
  [1917] = {.lex_state = 426, .external_lex_state = 4},
  [1918] = {.lex_state = 429, .external_lex_state = 4},
  [1919] = {.lex_state = 429, .external_lex_state = 4},
  [1920] = {.lex_state = 429, .external_lex_state = 4},
  [1921] = {.lex_state = 370, .external_lex_state = 2},
  [1922] = {.lex_state = 236, .external_lex_state = 4},
  [1923] = {.lex_state = 266, .external_lex_state = 2},
  [1924] = {.lex_state = 413, .external_lex_state = 4},
  [1925] = {.lex_state = 413, .external_lex_state = 4},
  [1926] = {.lex_state = 261},
  [1927] = {.lex_state = 370, .external_lex_state = 3},
  [1928] = {.lex_state = 236, .external_lex_state = 4},
  [1929] = {.lex_state = 370, .external_lex_state = 3},
  [1930] = {.lex_state = 236, .external_lex_state = 4},
  [1931] = {.lex_state = 236, .external_lex_state = 4},
  [1932] = {.lex_state = 370, .external_lex_state = 3},
  [1933] = {.lex_state = 413},
  [1934] = {.lex_state = 432},
  [1935] = {.lex_state = 432},
  [1936] = {.lex_state = 370, .external_lex_state = 2},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 261},
  [1940] = {.lex_state = 321},
  [1941] = {.lex_state = 261},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 261},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 426, .external_lex_state = 4},
  [1946] = {.lex_state = 370, .external_lex_state = 3},
  [1947] = {.lex_state = 236, .external_lex_state = 4},
  [1948] = {.lex_state = 236, .external_lex_state = 4},
  [1949] = {.lex_state = 429, .external_lex_state = 4},
  [1950] = {.lex_state = 413, .external_lex_state = 4},
  [1951] = {.lex_state = 236, .external_lex_state = 4},
  [1952] = {.lex_state = 413, .external_lex_state = 4},
  [1953] = {.lex_state = 370, .external_lex_state = 2},
  [1954] = {.lex_state = 266, .external_lex_state = 2},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 413, .external_lex_state = 4},
  [1957] = {.lex_state = 236, .external_lex_state = 4},
  [1958] = {.lex_state = 266, .external_lex_state = 2},
  [1959] = {.lex_state = 432, .external_lex_state = 4},
  [1960] = {.lex_state = 432, .external_lex_state = 4},
  [1961] = {.lex_state = 236, .external_lex_state = 4},
  [1962] = {.lex_state = 432},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 426, .external_lex_state = 4},
  [1965] = {.lex_state = 413, .external_lex_state = 4},
  [1966] = {.lex_state = 413, .external_lex_state = 4},
  [1967] = {.lex_state = 370, .external_lex_state = 2},
  [1968] = {.lex_state = 370, .external_lex_state = 3},
  [1969] = {.lex_state = 432, .external_lex_state = 4},
  [1970] = {.lex_state = 236, .external_lex_state = 4},
  [1971] = {.lex_state = 432, .external_lex_state = 4},
  [1972] = {.lex_state = 370, .external_lex_state = 2},
  [1973] = {.lex_state = 266, .external_lex_state = 2},
  [1974] = {.lex_state = 413, .external_lex_state = 4},
  [1975] = {.lex_state = 413, .external_lex_state = 4},
  [1976] = {.lex_state = 432, .external_lex_state = 4},
  [1977] = {.lex_state = 432, .external_lex_state = 4},
  [1978] = {.lex_state = 370, .external_lex_state = 2},
  [1979] = {.lex_state = 432, .external_lex_state = 4},
};

enum {
  ts_external_token__newline,
  ts_external_token__indent,
  ts_external_token__dedent,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
};

static bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
  },
  [2] = {
    [ts_external_token__newline] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
  },
  [4] = {
    [ts_external_token__dedent] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_print] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_del] = ACTIONS(3),
    [anon_sym_raise] = ACTIONS(3),
    [sym_pass_statement] = ACTIONS(3),
    [sym_break_statement] = ACTIONS(3),
    [sym_continue_statement] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(3),
    [anon_sym_except] = ACTIONS(3),
    [anon_sym_finally] = ACTIONS(3),
    [anon_sym_with] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(3),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_global] = ACTIONS(3),
    [anon_sym_nonlocal] = ACTIONS(3),
    [anon_sym_exec] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_STAR_STAR] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(3),
    [anon_sym_lambda] = ACTIONS(3),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_string] = ACTIONS(3),
    [sym_integer] = ACTIONS(3),
    [sym_float] = ACTIONS(5),
    [sym_identifier] = ACTIONS(5),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [sym_none] = ACTIONS(3),
    [anon_sym_await] = ACTIONS(3),
    [sym_comment] = ACTIONS(7),
    [sym__semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(32),
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(34),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_with_statement] = STATE(34),
    [sym_async_function_definition] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__function_definition] = STATE(35),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(34),
    [sym_decorated_definition] = STATE(34),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(43),
    [ts_builtin_sym_end] = ACTIONS(10),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_if] = ACTIONS(30),
    [anon_sym_for] = ACTIONS(32),
    [anon_sym_while] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_async] = ACTIONS(40),
    [anon_sym_def] = ACTIONS(42),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(50),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [2] = {
    [sym__import_list] = STATE(45),
    [sym_aliased_import] = STATE(46),
    [sym_dotted_name] = STATE(47),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
  },
  [3] = {
    [sym_dotted_name] = STATE(50),
    [aux_sym_import_from_statement_repeat1] = STATE(51),
    [anon_sym_DOT] = ACTIONS(80),
    [sym_identifier] = ACTIONS(82),
    [sym_comment] = ACTIONS(76),
  },
  [4] = {
    [sym__expression] = STATE(65),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(68),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(86),
    [anon_sym_COMMA] = ACTIONS(88),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [5] = {
    [sym_chevron] = STATE(80),
    [sym__expression] = STATE(81),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(114),
    [anon_sym_DOT] = ACTIONS(116),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(120),
    [anon_sym_if] = ACTIONS(116),
    [anon_sym_in] = ACTIONS(116),
    [anon_sym_EQ] = ACTIONS(116),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(116),
    [anon_sym_and] = ACTIONS(116),
    [anon_sym_or] = ACTIONS(116),
    [anon_sym_PLUS] = ACTIONS(116),
    [anon_sym_DASH] = ACTIONS(116),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(116),
    [anon_sym_SLASH_SLASH] = ACTIONS(116),
    [anon_sym_STAR_STAR] = ACTIONS(116),
    [anon_sym_PIPE] = ACTIONS(116),
    [anon_sym_AMP] = ACTIONS(116),
    [anon_sym_CARET] = ACTIONS(116),
    [anon_sym_LT_LT] = ACTIONS(116),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(116),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_PLUS_EQ] = ACTIONS(114),
    [anon_sym_DASH_EQ] = ACTIONS(114),
    [anon_sym_STAR_EQ] = ACTIONS(114),
    [anon_sym_SLASH_EQ] = ACTIONS(114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(114),
    [anon_sym_PERCENT_EQ] = ACTIONS(114),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(114),
    [anon_sym_GT_GT_EQ] = ACTIONS(114),
    [anon_sym_LT_LT_EQ] = ACTIONS(114),
    [anon_sym_AMP_EQ] = ACTIONS(114),
    [anon_sym_CARET_EQ] = ACTIONS(114),
    [anon_sym_PIPE_EQ] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(134),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(114),
  },
  [6] = {
    [sym__expression] = STATE(83),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [7] = {
    [sym_expression_list] = STATE(84),
    [sym__expression] = STATE(85),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(144),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(144),
  },
  [8] = {
    [sym_expression_list] = STATE(86),
    [sym__expression] = STATE(85),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [9] = {
    [sym_expression_list] = STATE(98),
    [sym__expression] = STATE(99),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [sym__newline] = ACTIONS(146),
    [anon_sym_from] = ACTIONS(148),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(146),
  },
  [10] = {
    [aux_sym__simple_statements_repeat1] = STATE(104),
    [sym__newline] = ACTIONS(174),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(176),
  },
  [11] = {
    [sym__expression] = STATE(110),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [12] = {
    [sym_variables] = STATE(114),
    [sym__primary_expression] = STATE(115),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [13] = {
    [sym__expression] = STATE(116),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [14] = {
    [anon_sym_COLON] = ACTIONS(192),
    [sym_comment] = ACTIONS(76),
  },
  [15] = {
    [sym_with_item] = STATE(123),
    [sym__expression] = STATE(124),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [16] = {
    [sym__function_definition] = STATE(126),
    [anon_sym_def] = ACTIONS(204),
    [sym_comment] = ACTIONS(76),
  },
  [17] = {
    [sym_identifier] = ACTIONS(206),
    [sym_comment] = ACTIONS(76),
  },
  [18] = {
    [sym_identifier] = ACTIONS(208),
    [sym_comment] = ACTIONS(76),
  },
  [19] = {
    [sym_identifier] = ACTIONS(210),
    [sym_comment] = ACTIONS(76),
  },
  [20] = {
    [sym__newline] = ACTIONS(114),
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(116),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_EQ] = ACTIONS(116),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(116),
    [anon_sym_DASH] = ACTIONS(116),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(116),
    [anon_sym_SLASH_SLASH] = ACTIONS(116),
    [anon_sym_STAR_STAR] = ACTIONS(116),
    [anon_sym_PIPE] = ACTIONS(116),
    [anon_sym_AMP] = ACTIONS(116),
    [anon_sym_CARET] = ACTIONS(116),
    [anon_sym_LT_LT] = ACTIONS(116),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_PLUS_EQ] = ACTIONS(114),
    [anon_sym_DASH_EQ] = ACTIONS(114),
    [anon_sym_STAR_EQ] = ACTIONS(114),
    [anon_sym_SLASH_EQ] = ACTIONS(114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(114),
    [anon_sym_PERCENT_EQ] = ACTIONS(114),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(114),
    [anon_sym_GT_GT_EQ] = ACTIONS(114),
    [anon_sym_LT_LT_EQ] = ACTIONS(114),
    [anon_sym_AMP_EQ] = ACTIONS(114),
    [anon_sym_CARET_EQ] = ACTIONS(114),
    [anon_sym_PIPE_EQ] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_string] = ACTIONS(212),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(114),
  },
  [21] = {
    [sym_identifier] = ACTIONS(214),
    [sym_comment] = ACTIONS(76),
  },
  [22] = {
    [sym_dotted_name] = STATE(133),
    [sym_identifier] = ACTIONS(216),
    [sym_comment] = ACTIONS(76),
  },
  [23] = {
    [sym__expression] = STATE(135),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [24] = {
    [sym__primary_expression] = STATE(136),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [25] = {
    [sym_lambda_parameters] = STATE(142),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [26] = {
    [sym_expression_list] = STATE(147),
    [sym__expression] = STATE(85),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(230),
    [anon_sym_from] = ACTIONS(232),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(230),
  },
  [27] = {
    [sym_list_splat] = STATE(156),
    [sym__expression] = STATE(157),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(234),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(244),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [28] = {
    [sym__newline] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_PLUS_EQ] = ACTIONS(250),
    [anon_sym_DASH_EQ] = ACTIONS(250),
    [anon_sym_STAR_EQ] = ACTIONS(250),
    [anon_sym_SLASH_EQ] = ACTIONS(250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(250),
    [anon_sym_PERCENT_EQ] = ACTIONS(250),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(250),
    [anon_sym_GT_GT_EQ] = ACTIONS(250),
    [anon_sym_LT_LT_EQ] = ACTIONS(250),
    [anon_sym_AMP_EQ] = ACTIONS(250),
    [anon_sym_CARET_EQ] = ACTIONS(250),
    [anon_sym_PIPE_EQ] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [29] = {
    [sym_list_splat] = STATE(167),
    [sym_dictionary_splat] = STATE(168),
    [sym__expression] = STATE(169),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(171),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(254),
    [anon_sym_STAR] = ACTIONS(256),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(264),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [30] = {
    [aux_sym_concatenated_string_repeat1] = STATE(173),
    [sym__newline] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_PLUS_EQ] = ACTIONS(250),
    [anon_sym_DASH_EQ] = ACTIONS(250),
    [anon_sym_STAR_EQ] = ACTIONS(250),
    [anon_sym_SLASH_EQ] = ACTIONS(250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(250),
    [anon_sym_PERCENT_EQ] = ACTIONS(250),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(250),
    [anon_sym_GT_GT_EQ] = ACTIONS(250),
    [anon_sym_LT_LT_EQ] = ACTIONS(250),
    [anon_sym_AMP_EQ] = ACTIONS(250),
    [anon_sym_CARET_EQ] = ACTIONS(250),
    [anon_sym_PIPE_EQ] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(270),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [31] = {
    [sym__expression] = STATE(174),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_comment] = ACTIONS(76),
  },
  [33] = {
    [ts_builtin_sym_end] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(276),
    [anon_sym_from] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(274),
    [anon_sym_print] = ACTIONS(276),
    [anon_sym_assert] = ACTIONS(276),
    [anon_sym_return] = ACTIONS(276),
    [anon_sym_del] = ACTIONS(276),
    [anon_sym_raise] = ACTIONS(276),
    [sym_pass_statement] = ACTIONS(276),
    [sym_break_statement] = ACTIONS(276),
    [sym_continue_statement] = ACTIONS(276),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(276),
    [anon_sym_while] = ACTIONS(276),
    [anon_sym_try] = ACTIONS(276),
    [anon_sym_with] = ACTIONS(276),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_def] = ACTIONS(276),
    [anon_sym_global] = ACTIONS(276),
    [anon_sym_nonlocal] = ACTIONS(276),
    [anon_sym_exec] = ACTIONS(276),
    [anon_sym_class] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(276),
    [anon_sym_yield] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(274),
    [sym_ellipsis] = ACTIONS(274),
    [anon_sym_LBRACE] = ACTIONS(274),
    [sym_string] = ACTIONS(276),
    [sym_integer] = ACTIONS(276),
    [sym_float] = ACTIONS(276),
    [sym_identifier] = ACTIONS(278),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_none] = ACTIONS(276),
    [anon_sym_await] = ACTIONS(276),
    [sym_comment] = ACTIONS(76),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(280),
    [anon_sym_import] = ACTIONS(282),
    [anon_sym_from] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_print] = ACTIONS(282),
    [anon_sym_assert] = ACTIONS(282),
    [anon_sym_return] = ACTIONS(282),
    [anon_sym_del] = ACTIONS(282),
    [anon_sym_raise] = ACTIONS(282),
    [sym_pass_statement] = ACTIONS(282),
    [sym_break_statement] = ACTIONS(282),
    [sym_continue_statement] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(282),
    [anon_sym_for] = ACTIONS(282),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_try] = ACTIONS(282),
    [anon_sym_with] = ACTIONS(282),
    [anon_sym_async] = ACTIONS(282),
    [anon_sym_def] = ACTIONS(282),
    [anon_sym_global] = ACTIONS(282),
    [anon_sym_nonlocal] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(282),
    [anon_sym_class] = ACTIONS(282),
    [anon_sym_AT] = ACTIONS(280),
    [anon_sym_not] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(280),
    [anon_sym_DASH] = ACTIONS(280),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_lambda] = ACTIONS(282),
    [anon_sym_yield] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(280),
    [sym_ellipsis] = ACTIONS(280),
    [anon_sym_LBRACE] = ACTIONS(280),
    [sym_string] = ACTIONS(282),
    [sym_integer] = ACTIONS(282),
    [sym_float] = ACTIONS(282),
    [sym_identifier] = ACTIONS(284),
    [sym_true] = ACTIONS(282),
    [sym_false] = ACTIONS(282),
    [sym_none] = ACTIONS(282),
    [anon_sym_await] = ACTIONS(282),
    [sym_comment] = ACTIONS(76),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(286),
    [anon_sym_import] = ACTIONS(288),
    [anon_sym_from] = ACTIONS(288),
    [anon_sym_LPAREN] = ACTIONS(286),
    [anon_sym_print] = ACTIONS(288),
    [anon_sym_assert] = ACTIONS(288),
    [anon_sym_return] = ACTIONS(288),
    [anon_sym_del] = ACTIONS(288),
    [anon_sym_raise] = ACTIONS(288),
    [sym_pass_statement] = ACTIONS(288),
    [sym_break_statement] = ACTIONS(288),
    [sym_continue_statement] = ACTIONS(288),
    [anon_sym_if] = ACTIONS(288),
    [anon_sym_for] = ACTIONS(288),
    [anon_sym_while] = ACTIONS(288),
    [anon_sym_try] = ACTIONS(288),
    [anon_sym_with] = ACTIONS(288),
    [anon_sym_async] = ACTIONS(288),
    [anon_sym_def] = ACTIONS(288),
    [anon_sym_global] = ACTIONS(288),
    [anon_sym_nonlocal] = ACTIONS(288),
    [anon_sym_exec] = ACTIONS(288),
    [anon_sym_class] = ACTIONS(288),
    [anon_sym_AT] = ACTIONS(286),
    [anon_sym_not] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(286),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_lambda] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(286),
    [sym_ellipsis] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(286),
    [sym_string] = ACTIONS(288),
    [sym_integer] = ACTIONS(288),
    [sym_float] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_true] = ACTIONS(288),
    [sym_false] = ACTIONS(288),
    [sym_none] = ACTIONS(288),
    [anon_sym_await] = ACTIONS(288),
    [sym_comment] = ACTIONS(76),
  },
  [36] = {
    [anon_sym_async] = ACTIONS(292),
    [anon_sym_def] = ACTIONS(292),
    [anon_sym_class] = ACTIONS(292),
    [anon_sym_AT] = ACTIONS(292),
    [sym_comment] = ACTIONS(76),
  },
  [37] = {
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_PLUS_EQ] = ACTIONS(296),
    [anon_sym_DASH_EQ] = ACTIONS(296),
    [anon_sym_STAR_EQ] = ACTIONS(296),
    [anon_sym_SLASH_EQ] = ACTIONS(296),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(296),
    [anon_sym_PERCENT_EQ] = ACTIONS(296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(296),
    [anon_sym_GT_GT_EQ] = ACTIONS(296),
    [anon_sym_LT_LT_EQ] = ACTIONS(296),
    [anon_sym_AMP_EQ] = ACTIONS(296),
    [anon_sym_CARET_EQ] = ACTIONS(296),
    [anon_sym_PIPE_EQ] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
  },
  [38] = {
    [aux_sym_print_statement_repeat1] = STATE(181),
    [sym__newline] = ACTIONS(298),
    [anon_sym_COMMA] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(304),
    [anon_sym_DASH_EQ] = ACTIONS(304),
    [anon_sym_STAR_EQ] = ACTIONS(304),
    [anon_sym_SLASH_EQ] = ACTIONS(304),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(304),
    [anon_sym_PERCENT_EQ] = ACTIONS(304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(304),
    [anon_sym_GT_GT_EQ] = ACTIONS(304),
    [anon_sym_LT_LT_EQ] = ACTIONS(304),
    [anon_sym_AMP_EQ] = ACTIONS(304),
    [anon_sym_CARET_EQ] = ACTIONS(304),
    [anon_sym_PIPE_EQ] = ACTIONS(304),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(298),
  },
  [39] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [aux_sym_comparison_operator_repeat1] = STATE(196),
    [sym__newline] = ACTIONS(310),
    [anon_sym_DOT] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(320),
    [anon_sym_EQ] = ACTIONS(322),
    [anon_sym_not] = ACTIONS(324),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(330),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_CARET] = ACTIONS(334),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(320),
    [anon_sym_EQ_EQ] = ACTIONS(320),
    [anon_sym_BANG_EQ] = ACTIONS(320),
    [anon_sym_GT_EQ] = ACTIONS(320),
    [anon_sym_GT] = ACTIONS(336),
    [anon_sym_LT_GT] = ACTIONS(320),
    [anon_sym_is] = ACTIONS(338),
    [anon_sym_PLUS_EQ] = ACTIONS(310),
    [anon_sym_DASH_EQ] = ACTIONS(310),
    [anon_sym_STAR_EQ] = ACTIONS(310),
    [anon_sym_SLASH_EQ] = ACTIONS(310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(310),
    [anon_sym_PERCENT_EQ] = ACTIONS(310),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(310),
    [anon_sym_GT_GT_EQ] = ACTIONS(310),
    [anon_sym_LT_LT_EQ] = ACTIONS(310),
    [anon_sym_AMP_EQ] = ACTIONS(310),
    [anon_sym_CARET_EQ] = ACTIONS(310),
    [anon_sym_PIPE_EQ] = ACTIONS(310),
    [anon_sym_LBRACK] = ACTIONS(340),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [40] = {
    [sym__newline] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_EQ] = ACTIONS(310),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS_EQ] = ACTIONS(310),
    [anon_sym_DASH_EQ] = ACTIONS(310),
    [anon_sym_STAR_EQ] = ACTIONS(310),
    [anon_sym_SLASH_EQ] = ACTIONS(310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(310),
    [anon_sym_PERCENT_EQ] = ACTIONS(310),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(310),
    [anon_sym_GT_GT_EQ] = ACTIONS(310),
    [anon_sym_LT_LT_EQ] = ACTIONS(310),
    [anon_sym_AMP_EQ] = ACTIONS(310),
    [anon_sym_CARET_EQ] = ACTIONS(310),
    [anon_sym_PIPE_EQ] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [41] = {
    [sym__newline] = ACTIONS(298),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(298),
  },
  [42] = {
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(34),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_with_statement] = STATE(34),
    [sym_async_function_definition] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__function_definition] = STATE(35),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(34),
    [sym_decorated_definition] = STATE(34),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(197),
    [aux_sym_decorated_definition_repeat1] = STATE(43),
    [ts_builtin_sym_end] = ACTIONS(342),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_if] = ACTIONS(30),
    [anon_sym_for] = ACTIONS(32),
    [anon_sym_while] = ACTIONS(34),
    [anon_sym_try] = ACTIONS(36),
    [anon_sym_with] = ACTIONS(38),
    [anon_sym_async] = ACTIONS(40),
    [anon_sym_def] = ACTIONS(42),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(50),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [43] = {
    [sym_async_function_definition] = STATE(198),
    [sym_function_definition] = STATE(198),
    [sym__function_definition] = STATE(35),
    [sym_class_definition] = STATE(198),
    [sym_decorator] = STATE(36),
    [aux_sym_decorated_definition_repeat1] = STATE(199),
    [anon_sym_async] = ACTIONS(344),
    [anon_sym_def] = ACTIONS(204),
    [anon_sym_class] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(52),
    [sym_comment] = ACTIONS(76),
  },
  [44] = {
    [aux_sym_dotted_name_repeat1] = STATE(201),
    [sym__newline] = ACTIONS(348),
    [anon_sym_DOT] = ACTIONS(350),
    [anon_sym_COMMA] = ACTIONS(348),
    [anon_sym_as] = ACTIONS(348),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(348),
  },
  [45] = {
    [sym__newline] = ACTIONS(352),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(352),
  },
  [46] = {
    [aux_sym__import_list_repeat1] = STATE(203),
    [sym__newline] = ACTIONS(354),
    [anon_sym_COMMA] = ACTIONS(356),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(354),
  },
  [47] = {
    [aux_sym__import_list_repeat1] = STATE(203),
    [sym__newline] = ACTIONS(354),
    [anon_sym_COMMA] = ACTIONS(356),
    [anon_sym_as] = ACTIONS(358),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(354),
  },
  [48] = {
    [anon_sym_import] = ACTIONS(360),
    [anon_sym_DOT] = ACTIONS(362),
    [sym_identifier] = ACTIONS(364),
    [sym_comment] = ACTIONS(76),
  },
  [49] = {
    [aux_sym_dotted_name_repeat1] = STATE(206),
    [anon_sym_import] = ACTIONS(348),
    [anon_sym_DOT] = ACTIONS(366),
    [sym_comment] = ACTIONS(76),
  },
  [50] = {
    [anon_sym_import] = ACTIONS(368),
    [sym_comment] = ACTIONS(76),
  },
  [51] = {
    [sym_dotted_name] = STATE(208),
    [aux_sym_import_from_statement_repeat1] = STATE(209),
    [anon_sym_import] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(80),
    [sym_identifier] = ACTIONS(372),
    [sym_comment] = ACTIONS(76),
  },
  [52] = {
    [sym__expression] = STATE(212),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(213),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(374),
    [anon_sym_COMMA] = ACTIONS(376),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [53] = {
    [sym__newline] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(378),
    [anon_sym_COMMA] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_GT_GT] = ACTIONS(380),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_in] = ACTIONS(378),
    [anon_sym_EQ] = ACTIONS(380),
    [anon_sym_not] = ACTIONS(378),
    [anon_sym_and] = ACTIONS(378),
    [anon_sym_or] = ACTIONS(378),
    [anon_sym_PLUS] = ACTIONS(380),
    [anon_sym_DASH] = ACTIONS(380),
    [anon_sym_SLASH] = ACTIONS(380),
    [anon_sym_PERCENT] = ACTIONS(380),
    [anon_sym_SLASH_SLASH] = ACTIONS(380),
    [anon_sym_STAR_STAR] = ACTIONS(380),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_AMP] = ACTIONS(380),
    [anon_sym_CARET] = ACTIONS(380),
    [anon_sym_LT_LT] = ACTIONS(380),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(378),
    [anon_sym_EQ_EQ] = ACTIONS(378),
    [anon_sym_BANG_EQ] = ACTIONS(378),
    [anon_sym_GT_EQ] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(380),
    [anon_sym_LT_GT] = ACTIONS(378),
    [anon_sym_is] = ACTIONS(378),
    [anon_sym_PLUS_EQ] = ACTIONS(378),
    [anon_sym_DASH_EQ] = ACTIONS(378),
    [anon_sym_STAR_EQ] = ACTIONS(378),
    [anon_sym_SLASH_EQ] = ACTIONS(378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(378),
    [anon_sym_PERCENT_EQ] = ACTIONS(378),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(378),
    [anon_sym_GT_GT_EQ] = ACTIONS(378),
    [anon_sym_LT_LT_EQ] = ACTIONS(378),
    [anon_sym_AMP_EQ] = ACTIONS(378),
    [anon_sym_CARET_EQ] = ACTIONS(378),
    [anon_sym_PIPE_EQ] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(378),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(378),
  },
  [54] = {
    [anon_sym_RPAREN] = ACTIONS(382),
    [sym_comment] = ACTIONS(76),
  },
  [55] = {
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_RPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_as] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(114),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_COLON] = ACTIONS(114),
    [anon_sym_else] = ACTIONS(114),
    [anon_sym_for] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_EQ] = ACTIONS(116),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(114),
    [anon_sym_DASH] = ACTIONS(114),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(114),
    [anon_sym_SLASH_SLASH] = ACTIONS(114),
    [anon_sym_STAR_STAR] = ACTIONS(114),
    [anon_sym_PIPE] = ACTIONS(114),
    [anon_sym_AMP] = ACTIONS(114),
    [anon_sym_CARET] = ACTIONS(114),
    [anon_sym_LT_LT] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [anon_sym_RBRACK] = ACTIONS(114),
    [anon_sym_RBRACE] = ACTIONS(114),
    [sym_comment] = ACTIONS(76),
  },
  [56] = {
    [sym__expression] = STATE(215),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [57] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [58] = {
    [sym_lambda_parameters] = STATE(218),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(384),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [59] = {
    [sym_expression_list] = STATE(225),
    [sym__expression] = STATE(226),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_from] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(230),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [60] = {
    [sym_list_splat] = STATE(230),
    [sym__expression] = STATE(231),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(400),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [61] = {
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_else] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(250),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_comment] = ACTIONS(76),
  },
  [62] = {
    [sym_list_splat] = STATE(234),
    [sym_dictionary_splat] = STATE(235),
    [sym__expression] = STATE(236),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(237),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(256),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(404),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [63] = {
    [aux_sym_concatenated_string_repeat1] = STATE(239),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [64] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [65] = {
    [sym__comprehension_body] = STATE(247),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_tuple_repeat1] = STATE(249),
    [anon_sym_RPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [66] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(264),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_not] = ACTIONS(430),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_LT_GT] = ACTIONS(428),
    [anon_sym_is] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [67] = {
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_as] = ACTIONS(310),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_else] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_EQ] = ACTIONS(310),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_RBRACK] = ACTIONS(310),
    [anon_sym_RBRACE] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [68] = {
    [aux_sym_tuple_repeat1] = STATE(249),
    [anon_sym_RPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [sym_comment] = ACTIONS(76),
  },
  [69] = {
    [sym__expression] = STATE(267),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(268),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(450),
    [anon_sym_COMMA] = ACTIONS(452),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [70] = {
    [sym__newline] = ACTIONS(114),
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(114),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(114),
    [anon_sym_DASH] = ACTIONS(114),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(114),
    [anon_sym_SLASH_SLASH] = ACTIONS(114),
    [anon_sym_STAR_STAR] = ACTIONS(114),
    [anon_sym_PIPE] = ACTIONS(114),
    [anon_sym_AMP] = ACTIONS(114),
    [anon_sym_CARET] = ACTIONS(114),
    [anon_sym_LT_LT] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(114),
  },
  [71] = {
    [sym__expression] = STATE(269),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [72] = {
    [sym__expression] = STATE(270),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [73] = {
    [sym__primary_expression] = STATE(271),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [74] = {
    [sym_lambda_parameters] = STATE(273),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [75] = {
    [sym_list_splat] = STATE(276),
    [sym__expression] = STATE(277),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(458),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [76] = {
    [sym__newline] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [77] = {
    [sym_list_splat] = STATE(280),
    [sym_dictionary_splat] = STATE(281),
    [sym__expression] = STATE(282),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(283),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(256),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(462),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [78] = {
    [aux_sym_concatenated_string_repeat1] = STATE(285),
    [sym__newline] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(464),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [79] = {
    [sym__expression] = STATE(174),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [80] = {
    [aux_sym_print_statement_repeat1] = STATE(287),
    [sym__newline] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(468),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(466),
  },
  [81] = {
    [aux_sym_print_statement_repeat1] = STATE(287),
    [sym__newline] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(466),
  },
  [82] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [aux_sym_comparison_operator_repeat1] = STATE(305),
    [sym__newline] = ACTIONS(310),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_not] = ACTIONS(486),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(498),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_LT_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_LT_GT] = ACTIONS(484),
    [anon_sym_is] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [83] = {
    [aux_sym_print_statement_repeat1] = STATE(307),
    [sym__newline] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(506),
  },
  [84] = {
    [sym__newline] = ACTIONS(510),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(510),
  },
  [85] = {
    [aux_sym_print_statement_repeat1] = STATE(309),
    [sym__newline] = ACTIONS(304),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(304),
  },
  [86] = {
    [sym__newline] = ACTIONS(514),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(514),
  },
  [87] = {
    [sym__expression] = STATE(315),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [88] = {
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(320),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [89] = {
    [sym__newline] = ACTIONS(114),
    [anon_sym_from] = ACTIONS(114),
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(114),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(114),
    [anon_sym_DASH] = ACTIONS(114),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(114),
    [anon_sym_SLASH_SLASH] = ACTIONS(114),
    [anon_sym_STAR_STAR] = ACTIONS(114),
    [anon_sym_PIPE] = ACTIONS(114),
    [anon_sym_AMP] = ACTIONS(114),
    [anon_sym_CARET] = ACTIONS(114),
    [anon_sym_LT_LT] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(114),
  },
  [90] = {
    [sym__expression] = STATE(321),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [91] = {
    [sym__primary_expression] = STATE(322),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [92] = {
    [sym_lambda_parameters] = STATE(324),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [93] = {
    [sym_list_splat] = STATE(327),
    [sym__expression] = STATE(328),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(534),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [94] = {
    [sym__newline] = ACTIONS(250),
    [anon_sym_from] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [95] = {
    [sym_list_splat] = STATE(331),
    [sym_dictionary_splat] = STATE(332),
    [sym__expression] = STATE(333),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(334),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(256),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(538),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [96] = {
    [aux_sym_concatenated_string_repeat1] = STATE(336),
    [sym__newline] = ACTIONS(250),
    [anon_sym_from] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(540),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [97] = {
    [sym__expression] = STATE(337),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [98] = {
    [sym__newline] = ACTIONS(542),
    [anon_sym_from] = ACTIONS(544),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(542),
  },
  [99] = {
    [aux_sym_print_statement_repeat1] = STATE(343),
    [sym__newline] = ACTIONS(304),
    [anon_sym_from] = ACTIONS(304),
    [anon_sym_COMMA] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(304),
  },
  [100] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [aux_sym_comparison_operator_repeat1] = STATE(358),
    [sym__newline] = ACTIONS(310),
    [anon_sym_from] = ACTIONS(310),
    [anon_sym_DOT] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_not] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(574),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_GT] = ACTIONS(578),
    [anon_sym_LT_GT] = ACTIONS(562),
    [anon_sym_is] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [101] = {
    [sym__newline] = ACTIONS(310),
    [anon_sym_from] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [103] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [104] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(590),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(594),
  },
  [105] = {
    [sym__expression] = STATE(363),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [106] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [107] = {
    [sym_lambda_parameters] = STATE(365),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(596),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [108] = {
    [aux_sym_concatenated_string_repeat1] = STATE(366),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [109] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [110] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(600),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [111] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(381),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(610),
    [anon_sym_not] = ACTIONS(612),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_LT_GT] = ACTIONS(610),
    [anon_sym_is] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [112] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [113] = {
    [aux_sym_concatenated_string_repeat1] = STATE(382),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [114] = {
    [anon_sym_in] = ACTIONS(630),
    [sym_comment] = ACTIONS(76),
  },
  [115] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_variables_repeat1] = STATE(392),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_in] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(646),
    [anon_sym_AMP] = ACTIONS(648),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [116] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(652),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [117] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(395),
    [sym_import_from_statement] = STATE(395),
    [sym_print_statement] = STATE(395),
    [sym_assert_statement] = STATE(395),
    [sym_expression_statement] = STATE(395),
    [sym_return_statement] = STATE(395),
    [sym_delete_statement] = STATE(395),
    [sym_raise_statement] = STATE(395),
    [sym_global_statement] = STATE(395),
    [sym_nonlocal_statement] = STATE(395),
    [sym_exec_statement] = STATE(395),
    [sym__suite] = STATE(397),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(654),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(656),
    [sym_break_statement] = ACTIONS(656),
    [sym_continue_statement] = ACTIONS(656),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [118] = {
    [sym__expression] = STATE(398),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [119] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [120] = {
    [sym_lambda_parameters] = STATE(400),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(658),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [121] = {
    [aux_sym_concatenated_string_repeat1] = STATE(401),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [122] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [123] = {
    [aux_sym_with_statement_repeat1] = STATE(404),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(662),
    [sym_comment] = ACTIONS(76),
  },
  [124] = {
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_as] = ACTIONS(666),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [125] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(419),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_as] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(678),
    [anon_sym_not] = ACTIONS(680),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(692),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(694),
    [anon_sym_LT_EQ] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_LT_GT] = ACTIONS(678),
    [anon_sym_is] = ACTIONS(696),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(700),
    [anon_sym_from] = ACTIONS(700),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_print] = ACTIONS(700),
    [anon_sym_assert] = ACTIONS(700),
    [anon_sym_return] = ACTIONS(700),
    [anon_sym_del] = ACTIONS(700),
    [anon_sym_raise] = ACTIONS(700),
    [sym_pass_statement] = ACTIONS(700),
    [sym_break_statement] = ACTIONS(700),
    [sym_continue_statement] = ACTIONS(700),
    [anon_sym_if] = ACTIONS(700),
    [anon_sym_for] = ACTIONS(700),
    [anon_sym_while] = ACTIONS(700),
    [anon_sym_try] = ACTIONS(700),
    [anon_sym_with] = ACTIONS(700),
    [anon_sym_async] = ACTIONS(700),
    [anon_sym_def] = ACTIONS(700),
    [anon_sym_global] = ACTIONS(700),
    [anon_sym_nonlocal] = ACTIONS(700),
    [anon_sym_exec] = ACTIONS(700),
    [anon_sym_class] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(698),
    [anon_sym_not] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_TILDE] = ACTIONS(698),
    [anon_sym_lambda] = ACTIONS(700),
    [anon_sym_yield] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(698),
    [sym_ellipsis] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(698),
    [sym_string] = ACTIONS(700),
    [sym_integer] = ACTIONS(700),
    [sym_float] = ACTIONS(700),
    [sym_identifier] = ACTIONS(702),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_none] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(700),
    [sym_comment] = ACTIONS(76),
  },
  [127] = {
    [sym_parameters] = STATE(421),
    [anon_sym_LPAREN] = ACTIONS(704),
    [sym_comment] = ACTIONS(76),
  },
  [128] = {
    [aux_sym_global_statement_repeat1] = STATE(423),
    [sym__newline] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(708),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(706),
  },
  [129] = {
    [aux_sym_global_statement_repeat1] = STATE(424),
    [sym__newline] = ACTIONS(710),
    [anon_sym_COMMA] = ACTIONS(708),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(710),
  },
  [130] = {
    [sym__newline] = ACTIONS(712),
    [anon_sym_in] = ACTIONS(714),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(712),
  },
  [131] = {
    [sym_argument_list] = STATE(428),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_COLON] = ACTIONS(718),
    [sym_comment] = ACTIONS(76),
  },
  [132] = {
    [aux_sym_dotted_name_repeat1] = STATE(430),
    [sym__newline] = ACTIONS(348),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(348),
    [sym_comment] = ACTIONS(76),
  },
  [133] = {
    [sym_argument_list] = STATE(433),
    [sym__newline] = ACTIONS(722),
    [anon_sym_LPAREN] = ACTIONS(724),
    [sym_comment] = ACTIONS(76),
  },
  [134] = {
    [sym__newline] = ACTIONS(114),
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(116),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_EQ] = ACTIONS(116),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(116),
    [anon_sym_DASH] = ACTIONS(116),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(116),
    [anon_sym_SLASH_SLASH] = ACTIONS(116),
    [anon_sym_STAR_STAR] = ACTIONS(116),
    [anon_sym_PIPE] = ACTIONS(116),
    [anon_sym_AMP] = ACTIONS(116),
    [anon_sym_CARET] = ACTIONS(116),
    [anon_sym_LT_LT] = ACTIONS(116),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_PLUS_EQ] = ACTIONS(114),
    [anon_sym_DASH_EQ] = ACTIONS(114),
    [anon_sym_STAR_EQ] = ACTIONS(114),
    [anon_sym_SLASH_EQ] = ACTIONS(114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(114),
    [anon_sym_PERCENT_EQ] = ACTIONS(114),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(114),
    [anon_sym_GT_GT_EQ] = ACTIONS(114),
    [anon_sym_LT_LT_EQ] = ACTIONS(114),
    [anon_sym_AMP_EQ] = ACTIONS(114),
    [anon_sym_CARET_EQ] = ACTIONS(114),
    [anon_sym_PIPE_EQ] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(114),
  },
  [135] = {
    [sym__newline] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(726),
    [anon_sym_DASH_EQ] = ACTIONS(726),
    [anon_sym_STAR_EQ] = ACTIONS(726),
    [anon_sym_SLASH_EQ] = ACTIONS(726),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(726),
    [anon_sym_PERCENT_EQ] = ACTIONS(726),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(726),
    [anon_sym_GT_GT_EQ] = ACTIONS(726),
    [anon_sym_LT_LT_EQ] = ACTIONS(726),
    [anon_sym_AMP_EQ] = ACTIONS(726),
    [anon_sym_CARET_EQ] = ACTIONS(726),
    [anon_sym_PIPE_EQ] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(726),
  },
  [136] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(728),
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(730),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_in] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(730),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(728),
    [anon_sym_or] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(730),
    [anon_sym_DASH] = ACTIONS(730),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_SLASH_SLASH] = ACTIONS(730),
    [anon_sym_STAR_STAR] = ACTIONS(730),
    [anon_sym_PIPE] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(730),
    [anon_sym_CARET] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_is] = ACTIONS(728),
    [anon_sym_PLUS_EQ] = ACTIONS(728),
    [anon_sym_DASH_EQ] = ACTIONS(728),
    [anon_sym_STAR_EQ] = ACTIONS(728),
    [anon_sym_SLASH_EQ] = ACTIONS(728),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(728),
    [anon_sym_PERCENT_EQ] = ACTIONS(728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(728),
    [anon_sym_GT_GT_EQ] = ACTIONS(728),
    [anon_sym_LT_LT_EQ] = ACTIONS(728),
    [anon_sym_AMP_EQ] = ACTIONS(728),
    [anon_sym_CARET_EQ] = ACTIONS(728),
    [anon_sym_PIPE_EQ] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(728),
  },
  [137] = {
    [sym__expression] = STATE(434),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(435),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(374),
    [anon_sym_COMMA] = ACTIONS(376),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [138] = {
    [sym__expression] = STATE(442),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(732),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [139] = {
    [aux_sym__parameters_repeat1] = STATE(447),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_COLON] = ACTIONS(748),
    [anon_sym_EQ] = ACTIONS(750),
    [sym_comment] = ACTIONS(76),
  },
  [140] = {
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [141] = {
    [aux_sym__parameters_repeat1] = STATE(452),
    [anon_sym_COMMA] = ACTIONS(752),
    [anon_sym_COLON] = ACTIONS(754),
    [anon_sym_EQ] = ACTIONS(756),
    [sym_comment] = ACTIONS(76),
  },
  [142] = {
    [anon_sym_COLON] = ACTIONS(758),
    [sym_comment] = ACTIONS(76),
  },
  [143] = {
    [anon_sym_COLON] = ACTIONS(760),
    [sym_comment] = ACTIONS(76),
  },
  [144] = {
    [aux_sym__parameters_repeat1] = STATE(452),
    [anon_sym_COMMA] = ACTIONS(752),
    [anon_sym_COLON] = ACTIONS(754),
    [sym_comment] = ACTIONS(76),
  },
  [145] = {
    [aux_sym__parameters_repeat1] = STATE(452),
    [anon_sym_COMMA] = ACTIONS(752),
    [anon_sym_COLON] = ACTIONS(754),
    [sym_comment] = ACTIONS(76),
  },
  [146] = {
    [sym__expression] = STATE(455),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [147] = {
    [sym__newline] = ACTIONS(762),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(762),
  },
  [148] = {
    [anon_sym_RBRACK] = ACTIONS(764),
    [sym_comment] = ACTIONS(76),
  },
  [149] = {
    [sym__expression] = STATE(462),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(732),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [150] = {
    [sym__expression] = STATE(464),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [151] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [152] = {
    [sym_lambda_parameters] = STATE(466),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(776),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [153] = {
    [sym__newline] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(780),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(778),
    [anon_sym_and] = ACTIONS(778),
    [anon_sym_or] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_PERCENT] = ACTIONS(780),
    [anon_sym_SLASH_SLASH] = ACTIONS(780),
    [anon_sym_STAR_STAR] = ACTIONS(780),
    [anon_sym_PIPE] = ACTIONS(780),
    [anon_sym_AMP] = ACTIONS(780),
    [anon_sym_CARET] = ACTIONS(780),
    [anon_sym_LT_LT] = ACTIONS(780),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_LT_GT] = ACTIONS(778),
    [anon_sym_is] = ACTIONS(778),
    [anon_sym_PLUS_EQ] = ACTIONS(778),
    [anon_sym_DASH_EQ] = ACTIONS(778),
    [anon_sym_STAR_EQ] = ACTIONS(778),
    [anon_sym_SLASH_EQ] = ACTIONS(778),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(778),
    [anon_sym_PERCENT_EQ] = ACTIONS(778),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(778),
    [anon_sym_GT_GT_EQ] = ACTIONS(778),
    [anon_sym_LT_LT_EQ] = ACTIONS(778),
    [anon_sym_AMP_EQ] = ACTIONS(778),
    [anon_sym_CARET_EQ] = ACTIONS(778),
    [anon_sym_PIPE_EQ] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(778),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(778),
  },
  [154] = {
    [aux_sym_concatenated_string_repeat1] = STATE(467),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [155] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [156] = {
    [aux_sym_list_repeat1] = STATE(469),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_RBRACK] = ACTIONS(764),
    [sym_comment] = ACTIONS(76),
  },
  [157] = {
    [sym__comprehension_body] = STATE(474),
    [sym_for_in_clause] = STATE(475),
    [aux_sym_list_repeat1] = STATE(469),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(764),
    [sym_comment] = ACTIONS(76),
  },
  [158] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(486),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(796),
    [anon_sym_not] = ACTIONS(798),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(806),
    [anon_sym_AMP] = ACTIONS(808),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_EQ_EQ] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_LT_GT] = ACTIONS(796),
    [anon_sym_is] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [159] = {
    [anon_sym_RBRACE] = ACTIONS(816),
    [sym_comment] = ACTIONS(76),
  },
  [160] = {
    [sym__expression] = STATE(494),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(732),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [161] = {
    [sym__expression] = STATE(496),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [162] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [163] = {
    [sym_lambda_parameters] = STATE(498),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [164] = {
    [sym__newline] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(832),
    [anon_sym_and] = ACTIONS(832),
    [anon_sym_or] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_SLASH_SLASH] = ACTIONS(834),
    [anon_sym_STAR_STAR] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(832),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(832),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_LT_GT] = ACTIONS(832),
    [anon_sym_is] = ACTIONS(832),
    [anon_sym_PLUS_EQ] = ACTIONS(832),
    [anon_sym_DASH_EQ] = ACTIONS(832),
    [anon_sym_STAR_EQ] = ACTIONS(832),
    [anon_sym_SLASH_EQ] = ACTIONS(832),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(832),
    [anon_sym_PERCENT_EQ] = ACTIONS(832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(832),
    [anon_sym_GT_GT_EQ] = ACTIONS(832),
    [anon_sym_LT_LT_EQ] = ACTIONS(832),
    [anon_sym_AMP_EQ] = ACTIONS(832),
    [anon_sym_CARET_EQ] = ACTIONS(832),
    [anon_sym_PIPE_EQ] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(832),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(832),
  },
  [165] = {
    [aux_sym_concatenated_string_repeat1] = STATE(499),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [166] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [167] = {
    [aux_sym_list_repeat1] = STATE(502),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(838),
    [sym_comment] = ACTIONS(76),
  },
  [168] = {
    [aux_sym_dictionary_repeat1] = STATE(504),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_RBRACE] = ACTIONS(816),
    [sym_comment] = ACTIONS(76),
  },
  [169] = {
    [sym__comprehension_body] = STATE(510),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_list_repeat1] = STATE(502),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(838),
    [sym_comment] = ACTIONS(76),
  },
  [170] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(522),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_not] = ACTIONS(858),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_LT_EQ] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(856),
    [anon_sym_BANG_EQ] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_LT_GT] = ACTIONS(856),
    [anon_sym_is] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [171] = {
    [sym__comprehension_body] = STATE(523),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_dictionary_repeat1] = STATE(504),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(816),
    [sym_comment] = ACTIONS(76),
  },
  [172] = {
    [sym__newline] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_not] = ACTIONS(876),
    [anon_sym_and] = ACTIONS(876),
    [anon_sym_or] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_SLASH_SLASH] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(876),
    [anon_sym_PLUS_EQ] = ACTIONS(876),
    [anon_sym_DASH_EQ] = ACTIONS(876),
    [anon_sym_STAR_EQ] = ACTIONS(876),
    [anon_sym_SLASH_EQ] = ACTIONS(876),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(876),
    [anon_sym_PERCENT_EQ] = ACTIONS(876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(876),
    [anon_sym_GT_GT_EQ] = ACTIONS(876),
    [anon_sym_LT_LT_EQ] = ACTIONS(876),
    [anon_sym_AMP_EQ] = ACTIONS(876),
    [anon_sym_CARET_EQ] = ACTIONS(876),
    [anon_sym_PIPE_EQ] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(876),
    [sym_string] = ACTIONS(878),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(876),
  },
  [173] = {
    [aux_sym_concatenated_string_repeat1] = STATE(524),
    [sym__newline] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_EQ] = ACTIONS(882),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(882),
    [anon_sym_SLASH_SLASH] = ACTIONS(882),
    [anon_sym_STAR_STAR] = ACTIONS(882),
    [anon_sym_PIPE] = ACTIONS(882),
    [anon_sym_AMP] = ACTIONS(882),
    [anon_sym_CARET] = ACTIONS(882),
    [anon_sym_LT_LT] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_PLUS_EQ] = ACTIONS(880),
    [anon_sym_DASH_EQ] = ACTIONS(880),
    [anon_sym_STAR_EQ] = ACTIONS(880),
    [anon_sym_SLASH_EQ] = ACTIONS(880),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(880),
    [anon_sym_PERCENT_EQ] = ACTIONS(880),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(880),
    [anon_sym_GT_GT_EQ] = ACTIONS(880),
    [anon_sym_LT_LT_EQ] = ACTIONS(880),
    [anon_sym_AMP_EQ] = ACTIONS(880),
    [anon_sym_CARET_EQ] = ACTIONS(880),
    [anon_sym_PIPE_EQ] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(270),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(880),
  },
  [174] = {
    [sym__newline] = ACTIONS(884),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_and] = ACTIONS(884),
    [anon_sym_or] = ACTIONS(884),
    [anon_sym_PLUS_EQ] = ACTIONS(884),
    [anon_sym_DASH_EQ] = ACTIONS(884),
    [anon_sym_STAR_EQ] = ACTIONS(884),
    [anon_sym_SLASH_EQ] = ACTIONS(884),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(884),
    [anon_sym_PERCENT_EQ] = ACTIONS(884),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(884),
    [anon_sym_GT_GT_EQ] = ACTIONS(884),
    [anon_sym_LT_LT_EQ] = ACTIONS(884),
    [anon_sym_AMP_EQ] = ACTIONS(884),
    [anon_sym_CARET_EQ] = ACTIONS(884),
    [anon_sym_PIPE_EQ] = ACTIONS(884),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(884),
  },
  [175] = {
    [sym_expression_list] = STATE(525),
    [sym__expression] = STATE(526),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(527),
    [sym_augmented_assignment] = STATE(527),
    [sym__right_hand_side] = STATE(528),
    [sym_yield] = STATE(527),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [176] = {
    [sym_expression_list] = STATE(525),
    [sym__expression] = STATE(526),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(527),
    [sym_augmented_assignment] = STATE(527),
    [sym__right_hand_side] = STATE(529),
    [sym_yield] = STATE(527),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [177] = {
    [sym__expression] = STATE(530),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_EQ] = ACTIONS(888),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_PLUS_EQ] = ACTIONS(888),
    [anon_sym_DASH_EQ] = ACTIONS(888),
    [anon_sym_STAR_EQ] = ACTIONS(888),
    [anon_sym_SLASH_EQ] = ACTIONS(888),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(888),
    [anon_sym_PERCENT_EQ] = ACTIONS(888),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(888),
    [anon_sym_GT_GT_EQ] = ACTIONS(888),
    [anon_sym_LT_LT_EQ] = ACTIONS(888),
    [anon_sym_AMP_EQ] = ACTIONS(888),
    [anon_sym_CARET_EQ] = ACTIONS(888),
    [anon_sym_PIPE_EQ] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(886),
  },
  [178] = {
    [sym__expression] = STATE(536),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [179] = {
    [sym__expression] = STATE(538),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [180] = {
    [sym__expression] = STATE(539),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [181] = {
    [aux_sym_print_statement_repeat1] = STATE(541),
    [sym__newline] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(888),
    [anon_sym_PLUS_EQ] = ACTIONS(888),
    [anon_sym_DASH_EQ] = ACTIONS(888),
    [anon_sym_STAR_EQ] = ACTIONS(888),
    [anon_sym_SLASH_EQ] = ACTIONS(888),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(888),
    [anon_sym_PERCENT_EQ] = ACTIONS(888),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(888),
    [anon_sym_GT_GT_EQ] = ACTIONS(888),
    [anon_sym_LT_LT_EQ] = ACTIONS(888),
    [anon_sym_AMP_EQ] = ACTIONS(888),
    [anon_sym_CARET_EQ] = ACTIONS(888),
    [anon_sym_PIPE_EQ] = ACTIONS(888),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(886),
  },
  [182] = {
    [sym_identifier] = ACTIONS(904),
    [sym_comment] = ACTIONS(76),
  },
  [183] = {
    [sym_list_splat] = STATE(548),
    [sym_dictionary_splat] = STATE(548),
    [sym__expression] = STATE(549),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(548),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [184] = {
    [sym__primary_expression] = STATE(550),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [185] = {
    [sym__primary_expression] = STATE(551),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [186] = {
    [sym__primary_expression] = STATE(552),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [187] = {
    [anon_sym_in] = ACTIONS(916),
    [sym_comment] = ACTIONS(76),
  },
  [188] = {
    [sym__primary_expression] = STATE(554),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [189] = {
    [sym__primary_expression] = STATE(555),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [190] = {
    [sym__primary_expression] = STATE(556),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [191] = {
    [sym__primary_expression] = STATE(557),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [192] = {
    [sym__primary_expression] = STATE(558),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [193] = {
    [sym__primary_expression] = STATE(552),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(918),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [194] = {
    [sym__expression] = STATE(565),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(567),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [195] = {
    [sym__newline] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(934),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_EQ] = ACTIONS(934),
    [anon_sym_not] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(934),
    [anon_sym_DASH] = ACTIONS(934),
    [anon_sym_SLASH] = ACTIONS(934),
    [anon_sym_PERCENT] = ACTIONS(934),
    [anon_sym_SLASH_SLASH] = ACTIONS(934),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_CARET] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_LT_GT] = ACTIONS(932),
    [anon_sym_is] = ACTIONS(932),
    [anon_sym_PLUS_EQ] = ACTIONS(932),
    [anon_sym_DASH_EQ] = ACTIONS(932),
    [anon_sym_STAR_EQ] = ACTIONS(932),
    [anon_sym_SLASH_EQ] = ACTIONS(932),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(932),
    [anon_sym_PERCENT_EQ] = ACTIONS(932),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(932),
    [anon_sym_GT_GT_EQ] = ACTIONS(932),
    [anon_sym_LT_LT_EQ] = ACTIONS(932),
    [anon_sym_AMP_EQ] = ACTIONS(932),
    [anon_sym_CARET_EQ] = ACTIONS(932),
    [anon_sym_PIPE_EQ] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(932),
  },
  [196] = {
    [aux_sym_comparison_operator_repeat1] = STATE(568),
    [sym__newline] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(320),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_not] = ACTIONS(324),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(320),
    [anon_sym_EQ_EQ] = ACTIONS(320),
    [anon_sym_BANG_EQ] = ACTIONS(320),
    [anon_sym_GT_EQ] = ACTIONS(320),
    [anon_sym_GT] = ACTIONS(336),
    [anon_sym_LT_GT] = ACTIONS(320),
    [anon_sym_is] = ACTIONS(338),
    [anon_sym_PLUS_EQ] = ACTIONS(936),
    [anon_sym_DASH_EQ] = ACTIONS(936),
    [anon_sym_STAR_EQ] = ACTIONS(936),
    [anon_sym_SLASH_EQ] = ACTIONS(936),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(936),
    [anon_sym_PERCENT_EQ] = ACTIONS(936),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(936),
    [anon_sym_GT_GT_EQ] = ACTIONS(936),
    [anon_sym_LT_LT_EQ] = ACTIONS(936),
    [anon_sym_AMP_EQ] = ACTIONS(936),
    [anon_sym_CARET_EQ] = ACTIONS(936),
    [anon_sym_PIPE_EQ] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(936),
  },
  [197] = {
    [sym__statement] = STATE(33),
    [sym__simple_statements] = STATE(34),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_with_statement] = STATE(34),
    [sym_async_function_definition] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__function_definition] = STATE(35),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(34),
    [sym_decorated_definition] = STATE(34),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(197),
    [aux_sym_decorated_definition_repeat1] = STATE(43),
    [ts_builtin_sym_end] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_from] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_print] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(954),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_del] = ACTIONS(960),
    [anon_sym_raise] = ACTIONS(963),
    [sym_pass_statement] = ACTIONS(966),
    [sym_break_statement] = ACTIONS(966),
    [sym_continue_statement] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_for] = ACTIONS(972),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_async] = ACTIONS(984),
    [anon_sym_def] = ACTIONS(987),
    [anon_sym_global] = ACTIONS(990),
    [anon_sym_nonlocal] = ACTIONS(993),
    [anon_sym_exec] = ACTIONS(996),
    [anon_sym_class] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(1002),
    [anon_sym_not] = ACTIONS(1005),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_lambda] = ACTIONS(1011),
    [anon_sym_yield] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [sym_ellipsis] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [sym_string] = ACTIONS(1026),
    [sym_integer] = ACTIONS(1029),
    [sym_float] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(1032),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [sym_none] = ACTIONS(1029),
    [anon_sym_await] = ACTIONS(1035),
    [sym_comment] = ACTIONS(76),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(1038),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_print] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_del] = ACTIONS(1040),
    [anon_sym_raise] = ACTIONS(1040),
    [sym_pass_statement] = ACTIONS(1040),
    [sym_break_statement] = ACTIONS(1040),
    [sym_continue_statement] = ACTIONS(1040),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_while] = ACTIONS(1040),
    [anon_sym_try] = ACTIONS(1040),
    [anon_sym_with] = ACTIONS(1040),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_def] = ACTIONS(1040),
    [anon_sym_global] = ACTIONS(1040),
    [anon_sym_nonlocal] = ACTIONS(1040),
    [anon_sym_exec] = ACTIONS(1040),
    [anon_sym_class] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_not] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_lambda] = ACTIONS(1040),
    [anon_sym_yield] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [sym_ellipsis] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [sym_string] = ACTIONS(1040),
    [sym_integer] = ACTIONS(1040),
    [sym_float] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1042),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [anon_sym_await] = ACTIONS(1040),
    [sym_comment] = ACTIONS(76),
  },
  [199] = {
    [sym_decorator] = STATE(36),
    [aux_sym_decorated_definition_repeat1] = STATE(199),
    [anon_sym_async] = ACTIONS(1044),
    [anon_sym_def] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1046),
    [sym_comment] = ACTIONS(76),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1049),
    [sym_comment] = ACTIONS(76),
  },
  [201] = {
    [aux_sym_dotted_name_repeat1] = STATE(570),
    [sym__newline] = ACTIONS(1051),
    [anon_sym_DOT] = ACTIONS(350),
    [anon_sym_COMMA] = ACTIONS(1051),
    [anon_sym_as] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1051),
  },
  [202] = {
    [sym_aliased_import] = STATE(571),
    [sym_dotted_name] = STATE(572),
    [sym__newline] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1053),
  },
  [203] = {
    [aux_sym__import_list_repeat1] = STATE(574),
    [sym__newline] = ACTIONS(1053),
    [anon_sym_COMMA] = ACTIONS(1055),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1053),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1057),
    [sym_comment] = ACTIONS(76),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1059),
    [sym_comment] = ACTIONS(76),
  },
  [206] = {
    [aux_sym_dotted_name_repeat1] = STATE(577),
    [anon_sym_import] = ACTIONS(1051),
    [anon_sym_DOT] = ACTIONS(366),
    [sym_comment] = ACTIONS(76),
  },
  [207] = {
    [sym__import_list] = STATE(580),
    [sym_aliased_import] = STATE(46),
    [sym_wildcard_import] = STATE(580),
    [sym_dotted_name] = STATE(47),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(1063),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
  },
  [208] = {
    [anon_sym_import] = ACTIONS(1065),
    [sym_comment] = ACTIONS(76),
  },
  [209] = {
    [aux_sym_import_from_statement_repeat1] = STATE(209),
    [anon_sym_import] = ACTIONS(1067),
    [anon_sym_DOT] = ACTIONS(1069),
    [sym_identifier] = ACTIONS(1072),
    [sym_comment] = ACTIONS(76),
  },
  [210] = {
    [anon_sym_DOT] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(378),
    [anon_sym_RPAREN] = ACTIONS(378),
    [anon_sym_COMMA] = ACTIONS(378),
    [anon_sym_as] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_GT_GT] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_COLON] = ACTIONS(378),
    [anon_sym_else] = ACTIONS(378),
    [anon_sym_for] = ACTIONS(378),
    [anon_sym_in] = ACTIONS(378),
    [anon_sym_EQ] = ACTIONS(380),
    [anon_sym_not] = ACTIONS(378),
    [anon_sym_and] = ACTIONS(378),
    [anon_sym_or] = ACTIONS(378),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_SLASH] = ACTIONS(380),
    [anon_sym_PERCENT] = ACTIONS(378),
    [anon_sym_SLASH_SLASH] = ACTIONS(378),
    [anon_sym_STAR_STAR] = ACTIONS(378),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(378),
    [anon_sym_LT_LT] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(378),
    [anon_sym_EQ_EQ] = ACTIONS(378),
    [anon_sym_BANG_EQ] = ACTIONS(378),
    [anon_sym_GT_EQ] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(380),
    [anon_sym_LT_GT] = ACTIONS(378),
    [anon_sym_is] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_RBRACK] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(378),
    [sym_comment] = ACTIONS(76),
  },
  [211] = {
    [anon_sym_RPAREN] = ACTIONS(1074),
    [sym_comment] = ACTIONS(76),
  },
  [212] = {
    [sym__comprehension_body] = STATE(585),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_tuple_repeat1] = STATE(586),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [213] = {
    [aux_sym_tuple_repeat1] = STATE(586),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1078),
    [sym_comment] = ACTIONS(76),
  },
  [214] = {
    [sym__newline] = ACTIONS(1080),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1082),
    [anon_sym_GT_GT] = ACTIONS(1082),
    [anon_sym_if] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_not] = ACTIONS(1080),
    [anon_sym_and] = ACTIONS(1080),
    [anon_sym_or] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_PERCENT] = ACTIONS(1082),
    [anon_sym_SLASH_SLASH] = ACTIONS(1082),
    [anon_sym_STAR_STAR] = ACTIONS(1082),
    [anon_sym_PIPE] = ACTIONS(1082),
    [anon_sym_AMP] = ACTIONS(1082),
    [anon_sym_CARET] = ACTIONS(1082),
    [anon_sym_LT_LT] = ACTIONS(1082),
    [anon_sym_LT] = ACTIONS(1082),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_GT] = ACTIONS(1082),
    [anon_sym_LT_GT] = ACTIONS(1080),
    [anon_sym_is] = ACTIONS(1080),
    [anon_sym_PLUS_EQ] = ACTIONS(1080),
    [anon_sym_DASH_EQ] = ACTIONS(1080),
    [anon_sym_STAR_EQ] = ACTIONS(1080),
    [anon_sym_SLASH_EQ] = ACTIONS(1080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1080),
    [anon_sym_GT_GT_EQ] = ACTIONS(1080),
    [anon_sym_LT_LT_EQ] = ACTIONS(1080),
    [anon_sym_AMP_EQ] = ACTIONS(1080),
    [anon_sym_CARET_EQ] = ACTIONS(1080),
    [anon_sym_PIPE_EQ] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1080),
  },
  [215] = {
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [216] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(728),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_as] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(728),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_COLON] = ACTIONS(728),
    [anon_sym_else] = ACTIONS(728),
    [anon_sym_for] = ACTIONS(728),
    [anon_sym_in] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(730),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(728),
    [anon_sym_or] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(728),
    [anon_sym_SLASH_SLASH] = ACTIONS(728),
    [anon_sym_STAR_STAR] = ACTIONS(728),
    [anon_sym_PIPE] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_CARET] = ACTIONS(728),
    [anon_sym_LT_LT] = ACTIONS(728),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_is] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [anon_sym_RBRACK] = ACTIONS(728),
    [anon_sym_RBRACE] = ACTIONS(728),
    [sym_comment] = ACTIONS(76),
  },
  [217] = {
    [sym__expression] = STATE(587),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [218] = {
    [anon_sym_COLON] = ACTIONS(1084),
    [sym_comment] = ACTIONS(76),
  },
  [219] = {
    [sym__expression] = STATE(589),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [220] = {
    [sym__expression] = STATE(590),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [221] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [222] = {
    [sym_lambda_parameters] = STATE(592),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1086),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [223] = {
    [aux_sym_concatenated_string_repeat1] = STATE(593),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [224] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [225] = {
    [anon_sym_RPAREN] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(762),
    [sym_comment] = ACTIONS(76),
  },
  [226] = {
    [aux_sym_print_statement_repeat1] = STATE(598),
    [anon_sym_RPAREN] = ACTIONS(304),
    [anon_sym_COMMA] = ACTIONS(1088),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [227] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(609),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_not] = ACTIONS(1102),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_LT_EQ] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1100),
    [anon_sym_BANG_EQ] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1100),
    [anon_sym_GT] = ACTIONS(1116),
    [anon_sym_LT_GT] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [228] = {
    [anon_sym_RBRACK] = ACTIONS(1120),
    [sym_comment] = ACTIONS(76),
  },
  [229] = {
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_as] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_for] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(778),
    [anon_sym_and] = ACTIONS(778),
    [anon_sym_or] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_SLASH_SLASH] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_LT_GT] = ACTIONS(778),
    [anon_sym_is] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(778),
    [anon_sym_RBRACK] = ACTIONS(778),
    [anon_sym_RBRACE] = ACTIONS(778),
    [sym_comment] = ACTIONS(76),
  },
  [230] = {
    [aux_sym_list_repeat1] = STATE(612),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_RBRACK] = ACTIONS(1120),
    [sym_comment] = ACTIONS(76),
  },
  [231] = {
    [sym__comprehension_body] = STATE(613),
    [sym_for_in_clause] = STATE(475),
    [aux_sym_list_repeat1] = STATE(612),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(1120),
    [sym_comment] = ACTIONS(76),
  },
  [232] = {
    [anon_sym_RBRACE] = ACTIONS(1124),
    [sym_comment] = ACTIONS(76),
  },
  [233] = {
    [anon_sym_DOT] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_RPAREN] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(832),
    [anon_sym_as] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_COLON] = ACTIONS(832),
    [anon_sym_else] = ACTIONS(832),
    [anon_sym_for] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(832),
    [anon_sym_and] = ACTIONS(832),
    [anon_sym_or] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_SLASH_SLASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(832),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(832),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_LT_GT] = ACTIONS(832),
    [anon_sym_is] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(832),
    [anon_sym_RBRACK] = ACTIONS(832),
    [anon_sym_RBRACE] = ACTIONS(832),
    [sym_comment] = ACTIONS(76),
  },
  [234] = {
    [aux_sym_list_repeat1] = STATE(617),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [sym_comment] = ACTIONS(76),
  },
  [235] = {
    [aux_sym_dictionary_repeat1] = STATE(619),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [sym_comment] = ACTIONS(76),
  },
  [236] = {
    [sym__comprehension_body] = STATE(620),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_list_repeat1] = STATE(617),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [sym_comment] = ACTIONS(76),
  },
  [237] = {
    [sym__comprehension_body] = STATE(621),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_dictionary_repeat1] = STATE(619),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [sym_comment] = ACTIONS(76),
  },
  [238] = {
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_RPAREN] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_for] = ACTIONS(876),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_not] = ACTIONS(876),
    [anon_sym_and] = ACTIONS(876),
    [anon_sym_or] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(876),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(876),
    [anon_sym_RBRACK] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(876),
    [sym_string] = ACTIONS(878),
    [sym_comment] = ACTIONS(76),
  },
  [239] = {
    [aux_sym_concatenated_string_repeat1] = STATE(622),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [240] = {
    [anon_sym_RPAREN] = ACTIONS(884),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_COLON] = ACTIONS(884),
    [anon_sym_else] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(884),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_and] = ACTIONS(884),
    [anon_sym_or] = ACTIONS(884),
    [anon_sym_RBRACK] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(884),
    [sym_comment] = ACTIONS(76),
  },
  [241] = {
    [sym__newline] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_SLASH_SLASH] = ACTIONS(1134),
    [anon_sym_STAR_STAR] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_PLUS_EQ] = ACTIONS(1132),
    [anon_sym_DASH_EQ] = ACTIONS(1132),
    [anon_sym_STAR_EQ] = ACTIONS(1132),
    [anon_sym_SLASH_EQ] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1132),
    [anon_sym_PERCENT_EQ] = ACTIONS(1132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1132),
    [anon_sym_GT_GT_EQ] = ACTIONS(1132),
    [anon_sym_LT_LT_EQ] = ACTIONS(1132),
    [anon_sym_AMP_EQ] = ACTIONS(1132),
    [anon_sym_CARET_EQ] = ACTIONS(1132),
    [anon_sym_PIPE_EQ] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1132),
  },
  [242] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1136),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [243] = {
    [sym__expression] = STATE(626),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [244] = {
    [sym_variables] = STATE(627),
    [sym__primary_expression] = STATE(115),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [245] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [246] = {
    [sym__expression] = STATE(629),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [247] = {
    [anon_sym_RPAREN] = ACTIONS(1138),
    [sym_comment] = ACTIONS(76),
  },
  [248] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(633),
    [anon_sym_RPAREN] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(414),
    [sym_comment] = ACTIONS(76),
  },
  [249] = {
    [aux_sym_tuple_repeat1] = STATE(635),
    [anon_sym_RPAREN] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1144),
    [sym_comment] = ACTIONS(76),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(76),
  },
  [251] = {
    [sym_list_splat] = STATE(639),
    [sym_dictionary_splat] = STATE(639),
    [sym__expression] = STATE(640),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(639),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [252] = {
    [sym__primary_expression] = STATE(641),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [253] = {
    [sym__primary_expression] = STATE(642),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [254] = {
    [sym__primary_expression] = STATE(643),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [255] = {
    [anon_sym_in] = ACTIONS(1152),
    [sym_comment] = ACTIONS(76),
  },
  [256] = {
    [sym__primary_expression] = STATE(645),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [257] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [258] = {
    [sym__primary_expression] = STATE(647),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [259] = {
    [sym__primary_expression] = STATE(648),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [260] = {
    [sym__primary_expression] = STATE(649),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [261] = {
    [sym__primary_expression] = STATE(643),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [262] = {
    [sym__expression] = STATE(650),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(651),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [263] = {
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_RPAREN] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_else] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_EQ] = ACTIONS(934),
    [anon_sym_not] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(934),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_SLASH_SLASH] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_LT_GT] = ACTIONS(932),
    [anon_sym_is] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [anon_sym_RBRACK] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(932),
    [sym_comment] = ACTIONS(76),
  },
  [264] = {
    [aux_sym_comparison_operator_repeat1] = STATE(652),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_not] = ACTIONS(430),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_LT_GT] = ACTIONS(428),
    [anon_sym_is] = ACTIONS(446),
    [sym_comment] = ACTIONS(76),
  },
  [265] = {
    [sym__newline] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(378),
    [anon_sym_COMMA] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_GT_GT] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_in] = ACTIONS(378),
    [anon_sym_not] = ACTIONS(378),
    [anon_sym_and] = ACTIONS(378),
    [anon_sym_or] = ACTIONS(378),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_SLASH] = ACTIONS(380),
    [anon_sym_PERCENT] = ACTIONS(378),
    [anon_sym_SLASH_SLASH] = ACTIONS(378),
    [anon_sym_STAR_STAR] = ACTIONS(378),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(378),
    [anon_sym_LT_LT] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(378),
    [anon_sym_EQ_EQ] = ACTIONS(378),
    [anon_sym_BANG_EQ] = ACTIONS(378),
    [anon_sym_GT_EQ] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(380),
    [anon_sym_LT_GT] = ACTIONS(378),
    [anon_sym_is] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(378),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(378),
  },
  [266] = {
    [anon_sym_RPAREN] = ACTIONS(1156),
    [sym_comment] = ACTIONS(76),
  },
  [267] = {
    [sym__comprehension_body] = STATE(656),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_tuple_repeat1] = STATE(657),
    [anon_sym_RPAREN] = ACTIONS(1158),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [268] = {
    [aux_sym_tuple_repeat1] = STATE(657),
    [anon_sym_RPAREN] = ACTIONS(1158),
    [anon_sym_COMMA] = ACTIONS(1160),
    [sym_comment] = ACTIONS(76),
  },
  [269] = {
    [sym__newline] = ACTIONS(1162),
    [anon_sym_COMMA] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1162),
  },
  [270] = {
    [sym__newline] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(726),
  },
  [271] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(728),
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(728),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_in] = ACTIONS(728),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(728),
    [anon_sym_or] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(728),
    [anon_sym_SLASH_SLASH] = ACTIONS(728),
    [anon_sym_STAR_STAR] = ACTIONS(728),
    [anon_sym_PIPE] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_CARET] = ACTIONS(728),
    [anon_sym_LT_LT] = ACTIONS(728),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_is] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(728),
  },
  [272] = {
    [sym__expression] = STATE(658),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [273] = {
    [anon_sym_COLON] = ACTIONS(1164),
    [sym_comment] = ACTIONS(76),
  },
  [274] = {
    [anon_sym_RBRACK] = ACTIONS(1166),
    [sym_comment] = ACTIONS(76),
  },
  [275] = {
    [sym__newline] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_not] = ACTIONS(778),
    [anon_sym_and] = ACTIONS(778),
    [anon_sym_or] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_SLASH_SLASH] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_LT_GT] = ACTIONS(778),
    [anon_sym_is] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(778),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(778),
  },
  [276] = {
    [aux_sym_list_repeat1] = STATE(662),
    [anon_sym_COMMA] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1166),
    [sym_comment] = ACTIONS(76),
  },
  [277] = {
    [sym__comprehension_body] = STATE(663),
    [sym_for_in_clause] = STATE(475),
    [aux_sym_list_repeat1] = STATE(662),
    [anon_sym_COMMA] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(1166),
    [sym_comment] = ACTIONS(76),
  },
  [278] = {
    [anon_sym_RBRACE] = ACTIONS(1170),
    [sym_comment] = ACTIONS(76),
  },
  [279] = {
    [sym__newline] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_not] = ACTIONS(832),
    [anon_sym_and] = ACTIONS(832),
    [anon_sym_or] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_SLASH_SLASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(832),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(832),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_LT_GT] = ACTIONS(832),
    [anon_sym_is] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(832),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(832),
  },
  [280] = {
    [aux_sym_list_repeat1] = STATE(667),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [sym_comment] = ACTIONS(76),
  },
  [281] = {
    [aux_sym_dictionary_repeat1] = STATE(669),
    [anon_sym_COMMA] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [sym_comment] = ACTIONS(76),
  },
  [282] = {
    [sym__comprehension_body] = STATE(670),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_list_repeat1] = STATE(667),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [sym_comment] = ACTIONS(76),
  },
  [283] = {
    [sym__comprehension_body] = STATE(671),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_dictionary_repeat1] = STATE(669),
    [anon_sym_COMMA] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [sym_comment] = ACTIONS(76),
  },
  [284] = {
    [sym__newline] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_not] = ACTIONS(876),
    [anon_sym_and] = ACTIONS(876),
    [anon_sym_or] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(876),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(876),
    [sym_string] = ACTIONS(878),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(876),
  },
  [285] = {
    [aux_sym_concatenated_string_repeat1] = STATE(672),
    [sym__newline] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(464),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(880),
  },
  [286] = {
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1178),
  },
  [287] = {
    [aux_sym_print_statement_repeat1] = STATE(675),
    [sym__newline] = ACTIONS(1178),
    [anon_sym_COMMA] = ACTIONS(1180),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1178),
  },
  [288] = {
    [sym__expression] = STATE(676),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [289] = {
    [sym__expression] = STATE(538),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [290] = {
    [sym__expression] = STATE(677),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1182),
    [sym_comment] = ACTIONS(76),
  },
  [292] = {
    [sym_list_splat] = STATE(681),
    [sym_dictionary_splat] = STATE(681),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(681),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1184),
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [293] = {
    [sym__primary_expression] = STATE(683),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [294] = {
    [sym__primary_expression] = STATE(684),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [295] = {
    [sym__primary_expression] = STATE(685),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [296] = {
    [anon_sym_in] = ACTIONS(1188),
    [sym_comment] = ACTIONS(76),
  },
  [297] = {
    [sym__primary_expression] = STATE(687),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [298] = {
    [sym__primary_expression] = STATE(688),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [299] = {
    [sym__primary_expression] = STATE(689),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [300] = {
    [sym__primary_expression] = STATE(690),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [301] = {
    [sym__primary_expression] = STATE(691),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [302] = {
    [sym__primary_expression] = STATE(685),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [303] = {
    [sym__expression] = STATE(692),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(693),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [304] = {
    [sym__newline] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_not] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(934),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_SLASH_SLASH] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_LT_GT] = ACTIONS(932),
    [anon_sym_is] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(932),
  },
  [305] = {
    [aux_sym_comparison_operator_repeat1] = STATE(694),
    [sym__newline] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_not] = ACTIONS(486),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_LT_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_LT_GT] = ACTIONS(484),
    [anon_sym_is] = ACTIONS(502),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(936),
  },
  [306] = {
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [307] = {
    [aux_sym_print_statement_repeat1] = STATE(675),
    [sym__newline] = ACTIONS(1192),
    [anon_sym_COMMA] = ACTIONS(508),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1192),
  },
  [308] = {
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(888),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [309] = {
    [aux_sym_print_statement_repeat1] = STATE(675),
    [sym__newline] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(1194),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [310] = {
    [sym__expression] = STATE(696),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [311] = {
    [sym__primary_expression] = STATE(271),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [312] = {
    [sym_lambda_parameters] = STATE(698),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1196),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [313] = {
    [aux_sym_concatenated_string_repeat1] = STATE(699),
    [sym__newline] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(464),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(250),
  },
  [314] = {
    [sym__expression] = STATE(174),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [315] = {
    [sym__newline] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1198),
  },
  [316] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [aux_sym_comparison_operator_repeat1] = STATE(713),
    [sym__newline] = ACTIONS(310),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_not] = ACTIONS(1212),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1226),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1210),
    [anon_sym_BANG_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_GT] = ACTIONS(1226),
    [anon_sym_LT_GT] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(310),
  },
  [317] = {
    [sym__newline] = ACTIONS(378),
    [anon_sym_from] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(378),
    [anon_sym_COMMA] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(380),
    [anon_sym_GT_GT] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_in] = ACTIONS(378),
    [anon_sym_not] = ACTIONS(378),
    [anon_sym_and] = ACTIONS(378),
    [anon_sym_or] = ACTIONS(378),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_SLASH] = ACTIONS(380),
    [anon_sym_PERCENT] = ACTIONS(378),
    [anon_sym_SLASH_SLASH] = ACTIONS(378),
    [anon_sym_STAR_STAR] = ACTIONS(378),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(378),
    [anon_sym_LT_LT] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(378),
    [anon_sym_EQ_EQ] = ACTIONS(378),
    [anon_sym_BANG_EQ] = ACTIONS(378),
    [anon_sym_GT_EQ] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(380),
    [anon_sym_LT_GT] = ACTIONS(378),
    [anon_sym_is] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(378),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(378),
  },
  [318] = {
    [anon_sym_RPAREN] = ACTIONS(1230),
    [sym_comment] = ACTIONS(76),
  },
  [319] = {
    [sym__comprehension_body] = STATE(717),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_tuple_repeat1] = STATE(718),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [320] = {
    [aux_sym_tuple_repeat1] = STATE(718),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1234),
    [sym_comment] = ACTIONS(76),
  },
  [321] = {
    [sym__newline] = ACTIONS(726),
    [anon_sym_from] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(726),
  },
  [322] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(728),
    [anon_sym_from] = ACTIONS(728),
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(728),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_in] = ACTIONS(728),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(728),
    [anon_sym_or] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(728),
    [anon_sym_SLASH_SLASH] = ACTIONS(728),
    [anon_sym_STAR_STAR] = ACTIONS(728),
    [anon_sym_PIPE] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_CARET] = ACTIONS(728),
    [anon_sym_LT_LT] = ACTIONS(728),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_is] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(728),
  },
  [323] = {
    [sym__expression] = STATE(719),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [324] = {
    [anon_sym_COLON] = ACTIONS(1236),
    [sym_comment] = ACTIONS(76),
  },
  [325] = {
    [anon_sym_RBRACK] = ACTIONS(1238),
    [sym_comment] = ACTIONS(76),
  },
  [326] = {
    [sym__newline] = ACTIONS(778),
    [anon_sym_from] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_not] = ACTIONS(778),
    [anon_sym_and] = ACTIONS(778),
    [anon_sym_or] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_SLASH_SLASH] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_LT_GT] = ACTIONS(778),
    [anon_sym_is] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(778),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(778),
  },
  [327] = {
    [aux_sym_list_repeat1] = STATE(723),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_RBRACK] = ACTIONS(1238),
    [sym_comment] = ACTIONS(76),
  },
  [328] = {
    [sym__comprehension_body] = STATE(724),
    [sym_for_in_clause] = STATE(475),
    [aux_sym_list_repeat1] = STATE(723),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(1238),
    [sym_comment] = ACTIONS(76),
  },
  [329] = {
    [anon_sym_RBRACE] = ACTIONS(1242),
    [sym_comment] = ACTIONS(76),
  },
  [330] = {
    [sym__newline] = ACTIONS(832),
    [anon_sym_from] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_not] = ACTIONS(832),
    [anon_sym_and] = ACTIONS(832),
    [anon_sym_or] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_SLASH_SLASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(832),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(832),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_LT_GT] = ACTIONS(832),
    [anon_sym_is] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(832),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(832),
  },
  [331] = {
    [aux_sym_list_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [sym_comment] = ACTIONS(76),
  },
  [332] = {
    [aux_sym_dictionary_repeat1] = STATE(730),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [sym_comment] = ACTIONS(76),
  },
  [333] = {
    [sym__comprehension_body] = STATE(731),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_list_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [sym_comment] = ACTIONS(76),
  },
  [334] = {
    [sym__comprehension_body] = STATE(732),
    [sym_for_in_clause] = STATE(511),
    [aux_sym_dictionary_repeat1] = STATE(730),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [sym_comment] = ACTIONS(76),
  },
  [335] = {
    [sym__newline] = ACTIONS(876),
    [anon_sym_from] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_not] = ACTIONS(876),
    [anon_sym_and] = ACTIONS(876),
    [anon_sym_or] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(876),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(876),
    [sym_string] = ACTIONS(878),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(876),
  },
  [336] = {
    [aux_sym_concatenated_string_repeat1] = STATE(733),
    [sym__newline] = ACTIONS(880),
    [anon_sym_from] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(540),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(880),
  },
  [337] = {
    [sym__newline] = ACTIONS(884),
    [anon_sym_from] = ACTIONS(884),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_and] = ACTIONS(884),
    [anon_sym_or] = ACTIONS(884),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(884),
  },
  [338] = {
    [sym__expression] = STATE(734),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [339] = {
    [sym__expression] = STATE(735),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [sym__newline] = ACTIONS(888),
    [anon_sym_from] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [340] = {
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [341] = {
    [sym__expression] = STATE(737),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [342] = {
    [sym__expression] = STATE(738),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [343] = {
    [aux_sym_print_statement_repeat1] = STATE(740),
    [sym__newline] = ACTIONS(888),
    [anon_sym_from] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(1252),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1254),
    [sym_comment] = ACTIONS(76),
  },
  [345] = {
    [sym_list_splat] = STATE(744),
    [sym_dictionary_splat] = STATE(744),
    [sym__expression] = STATE(745),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(744),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1256),
    [anon_sym_COMMA] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [346] = {
    [sym__primary_expression] = STATE(746),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [347] = {
    [sym__primary_expression] = STATE(747),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [348] = {
    [sym__primary_expression] = STATE(748),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [349] = {
    [anon_sym_in] = ACTIONS(1260),
    [sym_comment] = ACTIONS(76),
  },
  [350] = {
    [sym__primary_expression] = STATE(750),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [351] = {
    [sym__primary_expression] = STATE(751),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [352] = {
    [sym__primary_expression] = STATE(752),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [353] = {
    [sym__primary_expression] = STATE(753),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [354] = {
    [sym__primary_expression] = STATE(754),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [355] = {
    [sym__primary_expression] = STATE(748),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [356] = {
    [sym__expression] = STATE(755),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(756),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [357] = {
    [sym__newline] = ACTIONS(932),
    [anon_sym_from] = ACTIONS(932),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(932),
    [anon_sym_not] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(934),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_SLASH_SLASH] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(932),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(932),
    [anon_sym_BANG_EQ] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_LT_GT] = ACTIONS(932),
    [anon_sym_is] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(932),
  },
  [358] = {
    [aux_sym_comparison_operator_repeat1] = STATE(757),
    [sym__newline] = ACTIONS(936),
    [anon_sym_from] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_not] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_GT] = ACTIONS(578),
    [anon_sym_LT_GT] = ACTIONS(562),
    [anon_sym_is] = ACTIONS(580),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(936),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [360] = {
    [sym__newline] = ACTIONS(1270),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1270),
  },
  [361] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [362] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(1270),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1274),
  },
  [363] = {
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [364] = {
    [sym__expression] = STATE(760),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [365] = {
    [anon_sym_COLON] = ACTIONS(1277),
    [sym_comment] = ACTIONS(76),
  },
  [366] = {
    [aux_sym_concatenated_string_repeat1] = STATE(762),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [367] = {
    [sym__expression] = STATE(763),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [368] = {
    [sym__simple_statements] = STATE(766),
    [sym_import_statement] = STATE(765),
    [sym_import_from_statement] = STATE(765),
    [sym_print_statement] = STATE(765),
    [sym_assert_statement] = STATE(765),
    [sym_expression_statement] = STATE(765),
    [sym_return_statement] = STATE(765),
    [sym_delete_statement] = STATE(765),
    [sym_raise_statement] = STATE(765),
    [sym_global_statement] = STATE(765),
    [sym_nonlocal_statement] = STATE(765),
    [sym_exec_statement] = STATE(765),
    [sym__suite] = STATE(767),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1279),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1281),
    [sym_break_statement] = ACTIONS(1281),
    [sym_continue_statement] = ACTIONS(1281),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [369] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [370] = {
    [sym__expression] = STATE(768),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [371] = {
    [sym__primary_expression] = STATE(769),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [372] = {
    [sym__primary_expression] = STATE(770),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [373] = {
    [sym__primary_expression] = STATE(771),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [374] = {
    [anon_sym_in] = ACTIONS(1283),
    [sym_comment] = ACTIONS(76),
  },
  [375] = {
    [sym__primary_expression] = STATE(773),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [376] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [377] = {
    [sym__primary_expression] = STATE(774),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [378] = {
    [sym__primary_expression] = STATE(775),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [379] = {
    [sym__primary_expression] = STATE(776),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [380] = {
    [sym__primary_expression] = STATE(771),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [381] = {
    [aux_sym_comparison_operator_repeat1] = STATE(777),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(610),
    [anon_sym_not] = ACTIONS(612),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_LT_GT] = ACTIONS(610),
    [anon_sym_is] = ACTIONS(628),
    [sym_comment] = ACTIONS(76),
  },
  [382] = {
    [aux_sym_concatenated_string_repeat1] = STATE(778),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [383] = {
    [sym_expression_list] = STATE(779),
    [sym__expression] = STATE(780),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [384] = {
    [sym__primary_expression] = STATE(781),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_in] = ACTIONS(1287),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [385] = {
    [sym__primary_expression] = STATE(782),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [386] = {
    [sym__primary_expression] = STATE(783),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [387] = {
    [sym__primary_expression] = STATE(784),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [388] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [389] = {
    [sym__primary_expression] = STATE(785),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [390] = {
    [sym__primary_expression] = STATE(786),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [391] = {
    [sym__primary_expression] = STATE(787),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [392] = {
    [aux_sym_variables_repeat1] = STATE(789),
    [anon_sym_COMMA] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(1291),
    [sym_comment] = ACTIONS(76),
  },
  [393] = {
    [sym__simple_statements] = STATE(792),
    [sym_import_statement] = STATE(791),
    [sym_import_from_statement] = STATE(791),
    [sym_print_statement] = STATE(791),
    [sym_assert_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_delete_statement] = STATE(791),
    [sym_raise_statement] = STATE(791),
    [sym_global_statement] = STATE(791),
    [sym_nonlocal_statement] = STATE(791),
    [sym_exec_statement] = STATE(791),
    [sym__suite] = STATE(793),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1295),
    [sym_break_statement] = ACTIONS(1295),
    [sym_continue_statement] = ACTIONS(1295),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [394] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(807),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(1297),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [395] = {
    [aux_sym__simple_statements_repeat1] = STATE(811),
    [sym__newline] = ACTIONS(1317),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1319),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_except] = ACTIONS(1323),
    [anon_sym_finally] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [397] = {
    [sym_except_clause] = STATE(814),
    [sym_finally_clause] = STATE(815),
    [aux_sym_try_statement_repeat1] = STATE(816),
    [anon_sym_except] = ACTIONS(1327),
    [anon_sym_finally] = ACTIONS(1329),
    [sym_comment] = ACTIONS(76),
  },
  [398] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_as] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [399] = {
    [sym__expression] = STATE(817),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [400] = {
    [anon_sym_COLON] = ACTIONS(1331),
    [sym_comment] = ACTIONS(76),
  },
  [401] = {
    [aux_sym_concatenated_string_repeat1] = STATE(819),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_as] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [402] = {
    [sym_with_item] = STATE(820),
    [sym__expression] = STATE(124),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [403] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(823),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [404] = {
    [aux_sym_with_statement_repeat1] = STATE(825),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(1335),
    [sym_comment] = ACTIONS(76),
  },
  [405] = {
    [sym__expression] = STATE(826),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [406] = {
    [sym__expression] = STATE(827),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [407] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [408] = {
    [sym__expression] = STATE(828),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [409] = {
    [sym__primary_expression] = STATE(829),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [410] = {
    [sym__primary_expression] = STATE(830),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [411] = {
    [sym__primary_expression] = STATE(831),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [412] = {
    [anon_sym_in] = ACTIONS(1337),
    [sym_comment] = ACTIONS(76),
  },
  [413] = {
    [sym__primary_expression] = STATE(833),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [414] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [415] = {
    [sym__primary_expression] = STATE(834),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [416] = {
    [sym__primary_expression] = STATE(835),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [417] = {
    [sym__primary_expression] = STATE(836),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [418] = {
    [sym__primary_expression] = STATE(831),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [419] = {
    [aux_sym_comparison_operator_repeat1] = STATE(837),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_as] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(678),
    [anon_sym_not] = ACTIONS(680),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(694),
    [anon_sym_LT_EQ] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_LT_GT] = ACTIONS(678),
    [anon_sym_is] = ACTIONS(696),
    [sym_comment] = ACTIONS(76),
  },
  [420] = {
    [sym__parameters] = STATE(842),
    [sym_default_parameter] = STATE(843),
    [sym_typed_default_parameter] = STATE(843),
    [sym_list_splat] = STATE(844),
    [sym_dictionary_splat] = STATE(844),
    [sym_typed_parameter] = STATE(843),
    [sym_tuple] = STATE(843),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(1345),
    [anon_sym_exec] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [sym_comment] = ACTIONS(76),
  },
  [421] = {
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [sym_comment] = ACTIONS(76),
  },
  [422] = {
    [sym_identifier] = ACTIONS(1353),
    [sym_comment] = ACTIONS(76),
  },
  [423] = {
    [aux_sym_global_statement_repeat1] = STATE(848),
    [sym__newline] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(708),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1355),
  },
  [424] = {
    [aux_sym_global_statement_repeat1] = STATE(848),
    [sym__newline] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(708),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1357),
  },
  [425] = {
    [sym__expression] = STATE(849),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [426] = {
    [sym_list_splat] = STATE(639),
    [sym_dictionary_splat] = STATE(639),
    [sym__expression] = STATE(850),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(639),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [427] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(851),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [428] = {
    [anon_sym_COLON] = ACTIONS(1359),
    [sym_comment] = ACTIONS(76),
  },
  [429] = {
    [sym_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(76),
  },
  [430] = {
    [aux_sym_dotted_name_repeat1] = STATE(854),
    [sym__newline] = ACTIONS(1051),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
  },
  [431] = {
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_def] = ACTIONS(1363),
    [anon_sym_class] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [sym_comment] = ACTIONS(76),
  },
  [432] = {
    [sym_list_splat] = STATE(857),
    [sym_dictionary_splat] = STATE(857),
    [sym__expression] = STATE(858),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(857),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [433] = {
    [sym__newline] = ACTIONS(1369),
    [sym_comment] = ACTIONS(76),
  },
  [434] = {
    [aux_sym_tuple_repeat1] = STATE(586),
    [anon_sym_RPAREN] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [435] = {
    [aux_sym_tuple_repeat1] = STATE(586),
    [anon_sym_RPAREN] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1078),
    [sym_comment] = ACTIONS(76),
  },
  [436] = {
    [sym__expression] = STATE(860),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [437] = {
    [sym__expression] = STATE(861),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [438] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [439] = {
    [sym_lambda_parameters] = STATE(863),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [440] = {
    [aux_sym_concatenated_string_repeat1] = STATE(864),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [441] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [442] = {
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(1373),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [443] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(878),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_is] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [444] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(882),
    [sym_dictionary_splat] = STATE(882),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1407),
    [anon_sym_exec] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(76),
  },
  [445] = {
    [sym__expression] = STATE(888),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(890),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [446] = {
    [sym__expression] = STATE(891),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [447] = {
    [aux_sym__parameters_repeat1] = STATE(893),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1407),
    [sym_comment] = ACTIONS(76),
  },
  [448] = {
    [sym__newline] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(1423),
    [anon_sym_DASH_EQ] = ACTIONS(1423),
    [anon_sym_STAR_EQ] = ACTIONS(1423),
    [anon_sym_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1423),
    [anon_sym_GT_GT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_EQ] = ACTIONS(1423),
    [anon_sym_AMP_EQ] = ACTIONS(1423),
    [anon_sym_CARET_EQ] = ACTIONS(1423),
    [anon_sym_PIPE_EQ] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1423),
  },
  [449] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(882),
    [sym_dictionary_splat] = STATE(882),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1425),
    [anon_sym_exec] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(76),
  },
  [450] = {
    [sym__expression] = STATE(899),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(901),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [451] = {
    [sym__expression] = STATE(902),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [452] = {
    [aux_sym__parameters_repeat1] = STATE(893),
    [anon_sym_COMMA] = ACTIONS(1437),
    [anon_sym_COLON] = ACTIONS(1425),
    [sym_comment] = ACTIONS(76),
  },
  [453] = {
    [sym__expression] = STATE(904),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [454] = {
    [sym__expression] = STATE(905),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(906),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [455] = {
    [sym__newline] = ACTIONS(1439),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1439),
  },
  [456] = {
    [sym__newline] = ACTIONS(1441),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_GT_GT] = ACTIONS(1443),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1441),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PERCENT] = ACTIONS(1443),
    [anon_sym_SLASH_SLASH] = ACTIONS(1443),
    [anon_sym_STAR_STAR] = ACTIONS(1443),
    [anon_sym_PIPE] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_CARET] = ACTIONS(1443),
    [anon_sym_LT_LT] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1443),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_is] = ACTIONS(1441),
    [anon_sym_PLUS_EQ] = ACTIONS(1441),
    [anon_sym_DASH_EQ] = ACTIONS(1441),
    [anon_sym_STAR_EQ] = ACTIONS(1441),
    [anon_sym_SLASH_EQ] = ACTIONS(1441),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1441),
    [anon_sym_PERCENT_EQ] = ACTIONS(1441),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1441),
    [anon_sym_GT_GT_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT_EQ] = ACTIONS(1441),
    [anon_sym_AMP_EQ] = ACTIONS(1441),
    [anon_sym_CARET_EQ] = ACTIONS(1441),
    [anon_sym_PIPE_EQ] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1441),
  },
  [457] = {
    [sym__expression] = STATE(907),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [458] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [459] = {
    [sym_lambda_parameters] = STATE(909),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1445),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [460] = {
    [aux_sym_concatenated_string_repeat1] = STATE(910),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [461] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [462] = {
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(1373),
    [sym_comment] = ACTIONS(76),
  },
  [463] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(924),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_not] = ACTIONS(1459),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1473),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_EQ_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1473),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_is] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [464] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [465] = {
    [sym__expression] = STATE(925),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [466] = {
    [anon_sym_COLON] = ACTIONS(1477),
    [sym_comment] = ACTIONS(76),
  },
  [467] = {
    [aux_sym_concatenated_string_repeat1] = STATE(927),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [468] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [469] = {
    [aux_sym_list_repeat1] = STATE(932),
    [anon_sym_COMMA] = ACTIONS(1481),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [sym_comment] = ACTIONS(76),
  },
  [470] = {
    [sym__expression] = STATE(933),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [471] = {
    [sym_variables] = STATE(934),
    [sym__primary_expression] = STATE(115),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [472] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [473] = {
    [sym__expression] = STATE(935),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [474] = {
    [anon_sym_RBRACK] = ACTIONS(1483),
    [sym_comment] = ACTIONS(76),
  },
  [475] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(938),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_RBRACK] = ACTIONS(1140),
    [sym_comment] = ACTIONS(76),
  },
  [476] = {
    [sym__primary_expression] = STATE(939),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [477] = {
    [sym__primary_expression] = STATE(940),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [478] = {
    [sym__primary_expression] = STATE(941),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [479] = {
    [anon_sym_in] = ACTIONS(1487),
    [sym_comment] = ACTIONS(76),
  },
  [480] = {
    [sym__primary_expression] = STATE(943),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [481] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [482] = {
    [sym__primary_expression] = STATE(944),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [483] = {
    [sym__primary_expression] = STATE(945),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [484] = {
    [sym__primary_expression] = STATE(946),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [485] = {
    [sym__primary_expression] = STATE(941),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [486] = {
    [aux_sym_comparison_operator_repeat1] = STATE(947),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(796),
    [anon_sym_not] = ACTIONS(798),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_EQ_EQ] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_LT_GT] = ACTIONS(796),
    [anon_sym_is] = ACTIONS(814),
    [anon_sym_RBRACK] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [487] = {
    [sym__newline] = ACTIONS(1491),
    [anon_sym_DOT] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_not] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_or] = ACTIONS(1491),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_SLASH_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1491),
    [anon_sym_is] = ACTIONS(1491),
    [anon_sym_PLUS_EQ] = ACTIONS(1491),
    [anon_sym_DASH_EQ] = ACTIONS(1491),
    [anon_sym_STAR_EQ] = ACTIONS(1491),
    [anon_sym_SLASH_EQ] = ACTIONS(1491),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1491),
    [anon_sym_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1491),
    [anon_sym_GT_GT_EQ] = ACTIONS(1491),
    [anon_sym_LT_LT_EQ] = ACTIONS(1491),
    [anon_sym_AMP_EQ] = ACTIONS(1491),
    [anon_sym_CARET_EQ] = ACTIONS(1491),
    [anon_sym_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1491),
  },
  [488] = {
    [sym__expression] = STATE(948),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [489] = {
    [sym__expression] = STATE(949),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [490] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [491] = {
    [sym_lambda_parameters] = STATE(951),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [492] = {
    [aux_sym_concatenated_string_repeat1] = STATE(952),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [493] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [494] = {
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [sym_comment] = ACTIONS(76),
  },
  [495] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(966),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_not] = ACTIONS(1509),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1507),
    [anon_sym_is] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [496] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [497] = {
    [sym__expression] = STATE(967),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [498] = {
    [anon_sym_COLON] = ACTIONS(1527),
    [sym_comment] = ACTIONS(76),
  },
  [499] = {
    [aux_sym_concatenated_string_repeat1] = STATE(969),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [500] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [501] = {
    [sym__newline] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_or] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_SLASH_SLASH] = ACTIONS(1535),
    [anon_sym_STAR_STAR] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_LT_GT] = ACTIONS(1533),
    [anon_sym_is] = ACTIONS(1533),
    [anon_sym_PLUS_EQ] = ACTIONS(1533),
    [anon_sym_DASH_EQ] = ACTIONS(1533),
    [anon_sym_STAR_EQ] = ACTIONS(1533),
    [anon_sym_SLASH_EQ] = ACTIONS(1533),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1533),
    [anon_sym_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1533),
    [anon_sym_GT_GT_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_EQ] = ACTIONS(1533),
    [anon_sym_AMP_EQ] = ACTIONS(1533),
    [anon_sym_CARET_EQ] = ACTIONS(1533),
    [anon_sym_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1533),
  },
  [502] = {
    [aux_sym_list_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [sym_comment] = ACTIONS(76),
  },
  [503] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [504] = {
    [aux_sym_dictionary_repeat1] = STATE(980),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [sym_comment] = ACTIONS(76),
  },
  [505] = {
    [sym__expression] = STATE(981),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [506] = {
    [sym__expression] = STATE(987),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [507] = {
    [sym_variables] = STATE(989),
    [sym__primary_expression] = STATE(115),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [508] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [509] = {
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [510] = {
    [anon_sym_RBRACE] = ACTIONS(1555),
    [sym_comment] = ACTIONS(76),
  },
  [511] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(993),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [sym_comment] = ACTIONS(76),
  },
  [512] = {
    [sym__primary_expression] = STATE(994),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [513] = {
    [sym__primary_expression] = STATE(995),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [514] = {
    [sym__primary_expression] = STATE(996),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [515] = {
    [anon_sym_in] = ACTIONS(1559),
    [sym_comment] = ACTIONS(76),
  },
  [516] = {
    [sym__primary_expression] = STATE(998),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [517] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [518] = {
    [sym__primary_expression] = STATE(999),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [519] = {
    [sym__primary_expression] = STATE(1000),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [520] = {
    [sym__primary_expression] = STATE(1001),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [521] = {
    [sym__primary_expression] = STATE(996),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [522] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1002),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_not] = ACTIONS(858),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_LT_EQ] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(856),
    [anon_sym_BANG_EQ] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_LT_GT] = ACTIONS(856),
    [anon_sym_is] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [523] = {
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_comment] = ACTIONS(76),
  },
  [524] = {
    [aux_sym_concatenated_string_repeat1] = STATE(524),
    [sym__newline] = ACTIONS(1565),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1567),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1567),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1567),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1567),
    [anon_sym_SLASH_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_PLUS_EQ] = ACTIONS(1565),
    [anon_sym_DASH_EQ] = ACTIONS(1565),
    [anon_sym_STAR_EQ] = ACTIONS(1565),
    [anon_sym_SLASH_EQ] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1565),
    [anon_sym_PERCENT_EQ] = ACTIONS(1565),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1565),
    [anon_sym_GT_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_LT_EQ] = ACTIONS(1565),
    [anon_sym_AMP_EQ] = ACTIONS(1565),
    [anon_sym_CARET_EQ] = ACTIONS(1565),
    [anon_sym_PIPE_EQ] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1569),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1565),
  },
  [525] = {
    [sym__newline] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_PLUS_EQ] = ACTIONS(296),
    [anon_sym_DASH_EQ] = ACTIONS(296),
    [anon_sym_STAR_EQ] = ACTIONS(296),
    [anon_sym_SLASH_EQ] = ACTIONS(296),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(296),
    [anon_sym_PERCENT_EQ] = ACTIONS(296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(296),
    [anon_sym_GT_GT_EQ] = ACTIONS(296),
    [anon_sym_LT_LT_EQ] = ACTIONS(296),
    [anon_sym_AMP_EQ] = ACTIONS(296),
    [anon_sym_CARET_EQ] = ACTIONS(296),
    [anon_sym_PIPE_EQ] = ACTIONS(296),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1572),
  },
  [526] = {
    [aux_sym_print_statement_repeat1] = STATE(1005),
    [sym__newline] = ACTIONS(304),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(304),
    [anon_sym_DASH_EQ] = ACTIONS(304),
    [anon_sym_STAR_EQ] = ACTIONS(304),
    [anon_sym_SLASH_EQ] = ACTIONS(304),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(304),
    [anon_sym_PERCENT_EQ] = ACTIONS(304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(304),
    [anon_sym_GT_GT_EQ] = ACTIONS(304),
    [anon_sym_LT_LT_EQ] = ACTIONS(304),
    [anon_sym_AMP_EQ] = ACTIONS(304),
    [anon_sym_CARET_EQ] = ACTIONS(304),
    [anon_sym_PIPE_EQ] = ACTIONS(304),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(304),
  },
  [527] = {
    [sym__newline] = ACTIONS(1572),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1572),
  },
  [528] = {
    [sym__newline] = ACTIONS(1576),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1576),
  },
  [529] = {
    [sym__newline] = ACTIONS(1578),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1578),
  },
  [530] = {
    [sym__newline] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(1580),
    [anon_sym_DASH_EQ] = ACTIONS(1580),
    [anon_sym_STAR_EQ] = ACTIONS(1580),
    [anon_sym_SLASH_EQ] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1580),
    [anon_sym_PERCENT_EQ] = ACTIONS(1580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1580),
    [anon_sym_GT_GT_EQ] = ACTIONS(1580),
    [anon_sym_LT_LT_EQ] = ACTIONS(1580),
    [anon_sym_AMP_EQ] = ACTIONS(1580),
    [anon_sym_CARET_EQ] = ACTIONS(1580),
    [anon_sym_PIPE_EQ] = ACTIONS(1580),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [531] = {
    [sym__expression] = STATE(1006),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [532] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [533] = {
    [sym_lambda_parameters] = STATE(1008),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [534] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1009),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_else] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [535] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [536] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1586),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [537] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1024),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_else] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_not] = ACTIONS(1598),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_LT_GT] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [538] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1616),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_PLUS_EQ] = ACTIONS(1616),
    [anon_sym_DASH_EQ] = ACTIONS(1616),
    [anon_sym_STAR_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_PERCENT_EQ] = ACTIONS(1616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_LT_LT_EQ] = ACTIONS(1616),
    [anon_sym_AMP_EQ] = ACTIONS(1616),
    [anon_sym_CARET_EQ] = ACTIONS(1616),
    [anon_sym_PIPE_EQ] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [539] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_PLUS_EQ] = ACTIONS(1616),
    [anon_sym_DASH_EQ] = ACTIONS(1616),
    [anon_sym_STAR_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_PERCENT_EQ] = ACTIONS(1616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_LT_LT_EQ] = ACTIONS(1616),
    [anon_sym_AMP_EQ] = ACTIONS(1616),
    [anon_sym_CARET_EQ] = ACTIONS(1616),
    [anon_sym_PIPE_EQ] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [540] = {
    [sym__expression] = STATE(530),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_EQ] = ACTIONS(1620),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_PLUS_EQ] = ACTIONS(1620),
    [anon_sym_DASH_EQ] = ACTIONS(1620),
    [anon_sym_STAR_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_PERCENT_EQ] = ACTIONS(1620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_LT_LT_EQ] = ACTIONS(1620),
    [anon_sym_AMP_EQ] = ACTIONS(1620),
    [anon_sym_CARET_EQ] = ACTIONS(1620),
    [anon_sym_PIPE_EQ] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1618),
  },
  [541] = {
    [aux_sym_print_statement_repeat1] = STATE(541),
    [sym__newline] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_PLUS_EQ] = ACTIONS(1580),
    [anon_sym_DASH_EQ] = ACTIONS(1580),
    [anon_sym_STAR_EQ] = ACTIONS(1580),
    [anon_sym_SLASH_EQ] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1580),
    [anon_sym_PERCENT_EQ] = ACTIONS(1580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1580),
    [anon_sym_GT_GT_EQ] = ACTIONS(1580),
    [anon_sym_LT_LT_EQ] = ACTIONS(1580),
    [anon_sym_AMP_EQ] = ACTIONS(1580),
    [anon_sym_CARET_EQ] = ACTIONS(1580),
    [anon_sym_PIPE_EQ] = ACTIONS(1580),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [542] = {
    [sym__newline] = ACTIONS(1625),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1627),
    [anon_sym_GT_GT] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1627),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_and] = ACTIONS(1625),
    [anon_sym_or] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PERCENT] = ACTIONS(1627),
    [anon_sym_SLASH_SLASH] = ACTIONS(1627),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_PIPE] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1627),
    [anon_sym_CARET] = ACTIONS(1627),
    [anon_sym_LT_LT] = ACTIONS(1627),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_EQ_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_GT] = ACTIONS(1627),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_is] = ACTIONS(1625),
    [anon_sym_PLUS_EQ] = ACTIONS(1625),
    [anon_sym_DASH_EQ] = ACTIONS(1625),
    [anon_sym_STAR_EQ] = ACTIONS(1625),
    [anon_sym_SLASH_EQ] = ACTIONS(1625),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1625),
    [anon_sym_PERCENT_EQ] = ACTIONS(1625),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1625),
    [anon_sym_GT_GT_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT_EQ] = ACTIONS(1625),
    [anon_sym_AMP_EQ] = ACTIONS(1625),
    [anon_sym_CARET_EQ] = ACTIONS(1625),
    [anon_sym_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1625),
  },
  [543] = {
    [sym__newline] = ACTIONS(1629),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_GT_GT] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1631),
    [anon_sym_not] = ACTIONS(1629),
    [anon_sym_and] = ACTIONS(1629),
    [anon_sym_or] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PERCENT] = ACTIONS(1631),
    [anon_sym_SLASH_SLASH] = ACTIONS(1631),
    [anon_sym_STAR_STAR] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_LT_LT] = ACTIONS(1631),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1631),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_is] = ACTIONS(1629),
    [anon_sym_PLUS_EQ] = ACTIONS(1629),
    [anon_sym_DASH_EQ] = ACTIONS(1629),
    [anon_sym_STAR_EQ] = ACTIONS(1629),
    [anon_sym_SLASH_EQ] = ACTIONS(1629),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1629),
    [anon_sym_PERCENT_EQ] = ACTIONS(1629),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1629),
    [anon_sym_GT_GT_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT_EQ] = ACTIONS(1629),
    [anon_sym_AMP_EQ] = ACTIONS(1629),
    [anon_sym_CARET_EQ] = ACTIONS(1629),
    [anon_sym_PIPE_EQ] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1629),
  },
  [544] = {
    [anon_sym_RPAREN] = ACTIONS(1633),
    [sym_comment] = ACTIONS(76),
  },
  [545] = {
    [sym__expression] = STATE(1028),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(732),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [546] = {
    [anon_sym_DOT] = ACTIONS(114),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_RPAREN] = ACTIONS(114),
    [anon_sym_COMMA] = ACTIONS(114),
    [anon_sym_STAR] = ACTIONS(116),
    [anon_sym_GT_GT] = ACTIONS(114),
    [anon_sym_if] = ACTIONS(114),
    [anon_sym_for] = ACTIONS(114),
    [anon_sym_in] = ACTIONS(114),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_not] = ACTIONS(114),
    [anon_sym_and] = ACTIONS(114),
    [anon_sym_or] = ACTIONS(114),
    [anon_sym_PLUS] = ACTIONS(114),
    [anon_sym_DASH] = ACTIONS(114),
    [anon_sym_SLASH] = ACTIONS(116),
    [anon_sym_PERCENT] = ACTIONS(114),
    [anon_sym_SLASH_SLASH] = ACTIONS(114),
    [anon_sym_STAR_STAR] = ACTIONS(114),
    [anon_sym_PIPE] = ACTIONS(114),
    [anon_sym_AMP] = ACTIONS(114),
    [anon_sym_CARET] = ACTIONS(114),
    [anon_sym_LT_LT] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(116),
    [anon_sym_LT_EQ] = ACTIONS(114),
    [anon_sym_EQ_EQ] = ACTIONS(114),
    [anon_sym_BANG_EQ] = ACTIONS(114),
    [anon_sym_GT_EQ] = ACTIONS(114),
    [anon_sym_GT] = ACTIONS(116),
    [anon_sym_LT_GT] = ACTIONS(114),
    [anon_sym_is] = ACTIONS(114),
    [anon_sym_LBRACK] = ACTIONS(114),
    [sym_comment] = ACTIONS(76),
  },
  [547] = {
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(1639),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_comment] = ACTIONS(76),
  },
  [548] = {
    [aux_sym_argument_list_repeat1] = STATE(1032),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1641),
    [sym_comment] = ACTIONS(76),
  },
  [549] = {
    [sym__comprehension_body] = STATE(247),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_argument_list_repeat1] = STATE(1032),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [550] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1645),
    [anon_sym_SLASH_SLASH] = ACTIONS(1645),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [551] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [552] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(330),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_CARET] = ACTIONS(334),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_PLUS_EQ] = ACTIONS(1647),
    [anon_sym_DASH_EQ] = ACTIONS(1647),
    [anon_sym_STAR_EQ] = ACTIONS(1647),
    [anon_sym_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_PERCENT_EQ] = ACTIONS(1647),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1647),
    [anon_sym_GT_GT_EQ] = ACTIONS(1647),
    [anon_sym_LT_LT_EQ] = ACTIONS(1647),
    [anon_sym_AMP_EQ] = ACTIONS(1647),
    [anon_sym_CARET_EQ] = ACTIONS(1647),
    [anon_sym_PIPE_EQ] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(340),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [553] = {
    [sym__primary_expression] = STATE(1033),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_concatenated_string] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [sym_comment] = ACTIONS(76),
  },
  [554] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [555] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1645),
    [anon_sym_SLASH_SLASH] = ACTIONS(1645),
    [anon_sym_STAR_STAR] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [556] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_CARET] = ACTIONS(334),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [557] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(334),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [558] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_PLUS_EQ] = ACTIONS(1643),
    [anon_sym_DASH_EQ] = ACTIONS(1643),
    [anon_sym_STAR_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1643),
    [anon_sym_PERCENT_EQ] = ACTIONS(1643),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1643),
    [anon_sym_GT_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_LT_EQ] = ACTIONS(1643),
    [anon_sym_AMP_EQ] = ACTIONS(1643),
    [anon_sym_CARET_EQ] = ACTIONS(1643),
    [anon_sym_PIPE_EQ] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [559] = {
    [sym__expression] = STATE(1035),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(1651),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(1653),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(1651),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [560] = {
    [sym__expression] = STATE(1036),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [561] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [562] = {
    [sym_lambda_parameters] = STATE(1038),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(1655),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [563] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1039),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [564] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [565] = {
    [aux_sym_subscript_repeat1] = STATE(1046),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1667),
    [sym_comment] = ACTIONS(76),
  },
  [566] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1057),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1675),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_GT] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_is] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [567] = {
    [aux_sym_subscript_repeat1] = STATE(1046),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym_RBRACK] = ACTIONS(1667),
    [sym_comment] = ACTIONS(76),
  },
  [568] = {
    [aux_sym_comparison_operator_repeat1] = STATE(568),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(1696),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_GT] = ACTIONS(1699),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_is] = ACTIONS(1702),
    [anon_sym_PLUS_EQ] = ACTIONS(1647),
    [anon_sym_DASH_EQ] = ACTIONS(1647),
    [anon_sym_STAR_EQ] = ACTIONS(1647),
    [anon_sym_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_PERCENT_EQ] = ACTIONS(1647),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1647),
    [anon_sym_GT_GT_EQ] = ACTIONS(1647),
    [anon_sym_LT_LT_EQ] = ACTIONS(1647),
    [anon_sym_AMP_EQ] = ACTIONS(1647),
    [anon_sym_CARET_EQ] = ACTIONS(1647),
    [anon_sym_PIPE_EQ] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [569] = {
    [sym__newline] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1705),
  },
  [570] = {
    [aux_sym_dotted_name_repeat1] = STATE(570),
    [sym__newline] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1705),
  },
  [571] = {
    [sym__newline] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1710),
  },
  [572] = {
    [sym__newline] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_as] = ACTIONS(358),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1710),
  },
  [573] = {
    [sym_aliased_import] = STATE(571),
    [sym_dotted_name] = STATE(572),
    [sym__newline] = ACTIONS(1712),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1712),
  },
  [574] = {
    [aux_sym__import_list_repeat1] = STATE(574),
    [sym__newline] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1714),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1710),
  },
  [575] = {
    [sym__newline] = ACTIONS(1717),
    [anon_sym_COMMA] = ACTIONS(1717),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1717),
  },
  [576] = {
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [577] = {
    [aux_sym_dotted_name_repeat1] = STATE(577),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1719),
    [sym_comment] = ACTIONS(76),
  },
  [578] = {
    [sym__import_list] = STATE(1060),
    [sym_aliased_import] = STATE(1061),
    [sym_dotted_name] = STATE(1062),
    [sym_identifier] = ACTIONS(1722),
    [sym_comment] = ACTIONS(76),
  },
  [579] = {
    [sym__newline] = ACTIONS(1724),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1724),
  },
  [580] = {
    [sym__newline] = ACTIONS(1726),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1726),
  },
  [581] = {
    [sym__import_list] = STATE(1064),
    [sym_aliased_import] = STATE(46),
    [sym_wildcard_import] = STATE(1064),
    [sym_dotted_name] = STATE(47),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [anon_sym_STAR] = ACTIONS(1063),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
  },
  [582] = {
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_as] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1082),
    [anon_sym_GT_GT] = ACTIONS(1080),
    [anon_sym_if] = ACTIONS(1080),
    [anon_sym_COLON] = ACTIONS(1080),
    [anon_sym_else] = ACTIONS(1080),
    [anon_sym_for] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_not] = ACTIONS(1080),
    [anon_sym_and] = ACTIONS(1080),
    [anon_sym_or] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_PERCENT] = ACTIONS(1080),
    [anon_sym_SLASH_SLASH] = ACTIONS(1080),
    [anon_sym_STAR_STAR] = ACTIONS(1080),
    [anon_sym_PIPE] = ACTIONS(1080),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_CARET] = ACTIONS(1080),
    [anon_sym_LT_LT] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1082),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_GT] = ACTIONS(1082),
    [anon_sym_LT_GT] = ACTIONS(1080),
    [anon_sym_is] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_RBRACK] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [sym_comment] = ACTIONS(76),
  },
  [583] = {
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_RBRACK] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [sym_comment] = ACTIONS(76),
  },
  [584] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1730),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [585] = {
    [anon_sym_RPAREN] = ACTIONS(1732),
    [sym_comment] = ACTIONS(76),
  },
  [586] = {
    [aux_sym_tuple_repeat1] = STATE(635),
    [anon_sym_RPAREN] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1734),
    [sym_comment] = ACTIONS(76),
  },
  [587] = {
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [588] = {
    [sym__expression] = STATE(1068),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [589] = {
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1439),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [590] = {
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [591] = {
    [sym__expression] = STATE(1069),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [592] = {
    [anon_sym_COLON] = ACTIONS(1736),
    [sym_comment] = ACTIONS(76),
  },
  [593] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1071),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [594] = {
    [sym__expression] = STATE(1072),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [595] = {
    [sym__expression] = STATE(1073),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [596] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [597] = {
    [sym__expression] = STATE(1074),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [598] = {
    [aux_sym_print_statement_repeat1] = STATE(1076),
    [anon_sym_RPAREN] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(1738),
    [sym_comment] = ACTIONS(76),
  },
  [599] = {
    [sym__primary_expression] = STATE(1077),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [600] = {
    [sym__primary_expression] = STATE(1078),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [601] = {
    [sym__primary_expression] = STATE(1079),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [602] = {
    [anon_sym_in] = ACTIONS(1740),
    [sym_comment] = ACTIONS(76),
  },
  [603] = {
    [sym__primary_expression] = STATE(1081),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [604] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [605] = {
    [sym__primary_expression] = STATE(1082),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [606] = {
    [sym__primary_expression] = STATE(1083),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [607] = {
    [sym__primary_expression] = STATE(1084),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [608] = {
    [sym__primary_expression] = STATE(1079),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [609] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1085),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_not] = ACTIONS(1102),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_LT_EQ] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1100),
    [anon_sym_BANG_EQ] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1100),
    [anon_sym_GT] = ACTIONS(1116),
    [anon_sym_LT_GT] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1118),
    [sym_comment] = ACTIONS(76),
  },
  [610] = {
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_RPAREN] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_as] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_COLON] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1441),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_SLASH_SLASH] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1443),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_is] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [anon_sym_RBRACK] = ACTIONS(1441),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [sym_comment] = ACTIONS(76),
  },
  [611] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(1744),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [612] = {
    [aux_sym_list_repeat1] = STATE(932),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_RBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(76),
  },
  [613] = {
    [anon_sym_RBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(76),
  },
  [614] = {
    [anon_sym_DOT] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_RPAREN] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_as] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_COLON] = ACTIONS(1491),
    [anon_sym_else] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_not] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_or] = ACTIONS(1491),
    [anon_sym_PLUS] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1491),
    [anon_sym_SLASH_SLASH] = ACTIONS(1491),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1491),
    [anon_sym_is] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_RBRACK] = ACTIONS(1491),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [sym_comment] = ACTIONS(76),
  },
  [615] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [616] = {
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_as] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_or] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_SLASH_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_LT_GT] = ACTIONS(1533),
    [anon_sym_is] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_RBRACK] = ACTIONS(1533),
    [anon_sym_RBRACE] = ACTIONS(1533),
    [sym_comment] = ACTIONS(76),
  },
  [617] = {
    [aux_sym_list_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1752),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [sym_comment] = ACTIONS(76),
  },
  [618] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [619] = {
    [aux_sym_dictionary_repeat1] = STATE(980),
    [anon_sym_COMMA] = ACTIONS(1756),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [sym_comment] = ACTIONS(76),
  },
  [620] = {
    [anon_sym_RBRACE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(76),
  },
  [621] = {
    [anon_sym_RBRACE] = ACTIONS(1760),
    [sym_comment] = ACTIONS(76),
  },
  [622] = {
    [aux_sym_concatenated_string_repeat1] = STATE(622),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [623] = {
    [sym__newline] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1765),
  },
  [624] = {
    [anon_sym_RPAREN] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [625] = {
    [anon_sym_RPAREN] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [sym_comment] = ACTIONS(76),
  },
  [626] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1771),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [627] = {
    [anon_sym_in] = ACTIONS(1773),
    [sym_comment] = ACTIONS(76),
  },
  [628] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_else] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1616),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [629] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [630] = {
    [sym__newline] = ACTIONS(1775),
    [anon_sym_DOT] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_in] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_not] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_is] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1775),
  },
  [631] = {
    [sym__expression] = STATE(1102),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [632] = {
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_RBRACK] = ACTIONS(1789),
    [anon_sym_RBRACE] = ACTIONS(1789),
    [sym_comment] = ACTIONS(76),
  },
  [633] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1104),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(414),
    [sym_comment] = ACTIONS(76),
  },
  [634] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [635] = {
    [aux_sym_tuple_repeat1] = STATE(635),
    [anon_sym_RPAREN] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1795),
    [sym_comment] = ACTIONS(76),
  },
  [636] = {
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_RPAREN] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [anon_sym_as] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1627),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_COLON] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_for] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1627),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_and] = ACTIONS(1625),
    [anon_sym_or] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PERCENT] = ACTIONS(1625),
    [anon_sym_SLASH_SLASH] = ACTIONS(1625),
    [anon_sym_STAR_STAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_EQ_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_GT] = ACTIONS(1627),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_is] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_RBRACK] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [sym_comment] = ACTIONS(76),
  },
  [637] = {
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym_as] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_if] = ACTIONS(1629),
    [anon_sym_COLON] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1631),
    [anon_sym_not] = ACTIONS(1629),
    [anon_sym_and] = ACTIONS(1629),
    [anon_sym_or] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PERCENT] = ACTIONS(1629),
    [anon_sym_SLASH_SLASH] = ACTIONS(1629),
    [anon_sym_STAR_STAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1631),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_is] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_RBRACK] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [sym_comment] = ACTIONS(76),
  },
  [638] = {
    [anon_sym_RPAREN] = ACTIONS(1798),
    [sym_comment] = ACTIONS(76),
  },
  [639] = {
    [aux_sym_argument_list_repeat1] = STATE(1109),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_COMMA] = ACTIONS(1800),
    [sym_comment] = ACTIONS(76),
  },
  [640] = {
    [sym__comprehension_body] = STATE(585),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_argument_list_repeat1] = STATE(1109),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [641] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [642] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [643] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [644] = {
    [sym__primary_expression] = STATE(1110),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [645] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [646] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [647] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [648] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [649] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [650] = {
    [aux_sym_subscript_repeat1] = STATE(1113),
    [anon_sym_COMMA] = ACTIONS(1802),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1804),
    [sym_comment] = ACTIONS(76),
  },
  [651] = {
    [aux_sym_subscript_repeat1] = STATE(1113),
    [anon_sym_COMMA] = ACTIONS(1802),
    [anon_sym_RBRACK] = ACTIONS(1804),
    [sym_comment] = ACTIONS(76),
  },
  [652] = {
    [aux_sym_comparison_operator_repeat1] = STATE(652),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1806),
    [anon_sym_not] = ACTIONS(1809),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_LT_EQ] = ACTIONS(1806),
    [anon_sym_EQ_EQ] = ACTIONS(1806),
    [anon_sym_BANG_EQ] = ACTIONS(1806),
    [anon_sym_GT_EQ] = ACTIONS(1806),
    [anon_sym_GT] = ACTIONS(1812),
    [anon_sym_LT_GT] = ACTIONS(1806),
    [anon_sym_is] = ACTIONS(1815),
    [sym_comment] = ACTIONS(76),
  },
  [653] = {
    [sym__newline] = ACTIONS(1080),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1082),
    [anon_sym_GT_GT] = ACTIONS(1080),
    [anon_sym_if] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1080),
    [anon_sym_not] = ACTIONS(1080),
    [anon_sym_and] = ACTIONS(1080),
    [anon_sym_or] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_PERCENT] = ACTIONS(1080),
    [anon_sym_SLASH_SLASH] = ACTIONS(1080),
    [anon_sym_STAR_STAR] = ACTIONS(1080),
    [anon_sym_PIPE] = ACTIONS(1080),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_CARET] = ACTIONS(1080),
    [anon_sym_LT_LT] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1082),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_GT] = ACTIONS(1082),
    [anon_sym_LT_GT] = ACTIONS(1080),
    [anon_sym_is] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1080),
  },
  [654] = {
    [sym__newline] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1132),
  },
  [655] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1818),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [656] = {
    [anon_sym_RPAREN] = ACTIONS(1820),
    [sym_comment] = ACTIONS(76),
  },
  [657] = {
    [aux_sym_tuple_repeat1] = STATE(635),
    [anon_sym_RPAREN] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(1822),
    [sym_comment] = ACTIONS(76),
  },
  [658] = {
    [sym__newline] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1423),
  },
  [659] = {
    [sym__expression] = STATE(1117),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [660] = {
    [sym__newline] = ACTIONS(1441),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_not] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1441),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_SLASH_SLASH] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1443),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_is] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1441),
  },
  [661] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [662] = {
    [aux_sym_list_repeat1] = STATE(932),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [sym_comment] = ACTIONS(76),
  },
  [663] = {
    [anon_sym_RBRACK] = ACTIONS(1828),
    [sym_comment] = ACTIONS(76),
  },
  [664] = {
    [sym__newline] = ACTIONS(1491),
    [anon_sym_DOT] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_not] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_or] = ACTIONS(1491),
    [anon_sym_PLUS] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1491),
    [anon_sym_SLASH_SLASH] = ACTIONS(1491),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1491),
    [anon_sym_is] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1491),
  },
  [665] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [666] = {
    [sym__newline] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_or] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_SLASH_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_LT_GT] = ACTIONS(1533),
    [anon_sym_is] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1533),
  },
  [667] = {
    [aux_sym_list_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [sym_comment] = ACTIONS(76),
  },
  [668] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [669] = {
    [aux_sym_dictionary_repeat1] = STATE(980),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [sym_comment] = ACTIONS(76),
  },
  [670] = {
    [anon_sym_RBRACE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(76),
  },
  [671] = {
    [anon_sym_RBRACE] = ACTIONS(1840),
    [sym_comment] = ACTIONS(76),
  },
  [672] = {
    [aux_sym_concatenated_string_repeat1] = STATE(672),
    [sym__newline] = ACTIONS(1565),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1842),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1565),
  },
  [673] = {
    [sym__newline] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [674] = {
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1845),
  },
  [675] = {
    [aux_sym_print_statement_repeat1] = STATE(675),
    [sym__newline] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1847),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [676] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1850),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [677] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [678] = {
    [sym__newline] = ACTIONS(1625),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1627),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1625),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_and] = ACTIONS(1625),
    [anon_sym_or] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PERCENT] = ACTIONS(1625),
    [anon_sym_SLASH_SLASH] = ACTIONS(1625),
    [anon_sym_STAR_STAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_EQ_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_GT] = ACTIONS(1627),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_is] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1625),
  },
  [679] = {
    [sym__newline] = ACTIONS(1629),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_if] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1629),
    [anon_sym_not] = ACTIONS(1629),
    [anon_sym_and] = ACTIONS(1629),
    [anon_sym_or] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PERCENT] = ACTIONS(1629),
    [anon_sym_SLASH_SLASH] = ACTIONS(1629),
    [anon_sym_STAR_STAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1631),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_is] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1629),
  },
  [680] = {
    [anon_sym_RPAREN] = ACTIONS(1852),
    [sym_comment] = ACTIONS(76),
  },
  [681] = {
    [aux_sym_argument_list_repeat1] = STATE(1130),
    [anon_sym_RPAREN] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1854),
    [sym_comment] = ACTIONS(76),
  },
  [682] = {
    [sym__comprehension_body] = STATE(656),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_argument_list_repeat1] = STATE(1130),
    [anon_sym_RPAREN] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1854),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [683] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [684] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [685] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(498),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [686] = {
    [sym__primary_expression] = STATE(1131),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [687] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [688] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [689] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(498),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [690] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(498),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [691] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [692] = {
    [aux_sym_subscript_repeat1] = STATE(1134),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(76),
  },
  [693] = {
    [aux_sym_subscript_repeat1] = STATE(1134),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_RBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(76),
  },
  [694] = {
    [aux_sym_comparison_operator_repeat1] = STATE(694),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_not] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1866),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1866),
    [anon_sym_LT_GT] = ACTIONS(1860),
    [anon_sym_is] = ACTIONS(1869),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [695] = {
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1620),
  },
  [696] = {
    [sym__newline] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(726),
  },
  [697] = {
    [sym__expression] = STATE(1135),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [698] = {
    [anon_sym_COLON] = ACTIONS(1872),
    [sym_comment] = ACTIONS(76),
  },
  [699] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1137),
    [sym__newline] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(464),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(880),
  },
  [700] = {
    [sym__expression] = STATE(1138),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [701] = {
    [sym__expression] = STATE(538),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [702] = {
    [sym__expression] = STATE(1139),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [703] = {
    [sym__primary_expression] = STATE(1140),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [704] = {
    [sym__primary_expression] = STATE(1141),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [705] = {
    [sym__primary_expression] = STATE(1142),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [706] = {
    [anon_sym_in] = ACTIONS(1874),
    [sym_comment] = ACTIONS(76),
  },
  [707] = {
    [sym__primary_expression] = STATE(1144),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [708] = {
    [sym__primary_expression] = STATE(688),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [709] = {
    [sym__primary_expression] = STATE(1145),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [710] = {
    [sym__primary_expression] = STATE(1146),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [711] = {
    [sym__primary_expression] = STATE(1147),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [712] = {
    [sym__primary_expression] = STATE(1142),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [713] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1148),
    [sym__newline] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_not] = ACTIONS(1212),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1226),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1210),
    [anon_sym_BANG_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_GT] = ACTIONS(1226),
    [anon_sym_LT_GT] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1228),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(936),
  },
  [714] = {
    [sym__newline] = ACTIONS(1080),
    [anon_sym_from] = ACTIONS(1080),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1082),
    [anon_sym_GT_GT] = ACTIONS(1080),
    [anon_sym_if] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1080),
    [anon_sym_not] = ACTIONS(1080),
    [anon_sym_and] = ACTIONS(1080),
    [anon_sym_or] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_PERCENT] = ACTIONS(1080),
    [anon_sym_SLASH_SLASH] = ACTIONS(1080),
    [anon_sym_STAR_STAR] = ACTIONS(1080),
    [anon_sym_PIPE] = ACTIONS(1080),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_CARET] = ACTIONS(1080),
    [anon_sym_LT_LT] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1082),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_GT] = ACTIONS(1082),
    [anon_sym_LT_GT] = ACTIONS(1080),
    [anon_sym_is] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1080),
  },
  [715] = {
    [sym__newline] = ACTIONS(1132),
    [anon_sym_from] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1132),
  },
  [716] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1878),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [717] = {
    [anon_sym_RPAREN] = ACTIONS(1880),
    [sym_comment] = ACTIONS(76),
  },
  [718] = {
    [aux_sym_tuple_repeat1] = STATE(635),
    [anon_sym_RPAREN] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(1882),
    [sym_comment] = ACTIONS(76),
  },
  [719] = {
    [sym__newline] = ACTIONS(1423),
    [anon_sym_from] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1423),
  },
  [720] = {
    [sym__expression] = STATE(1152),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [721] = {
    [sym__newline] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1441),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_not] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1441),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_SLASH_SLASH] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1443),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_is] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1441),
  },
  [722] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(1884),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [723] = {
    [aux_sym_list_repeat1] = STATE(932),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1884),
    [sym_comment] = ACTIONS(76),
  },
  [724] = {
    [anon_sym_RBRACK] = ACTIONS(1888),
    [sym_comment] = ACTIONS(76),
  },
  [725] = {
    [sym__newline] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1491),
    [anon_sym_DOT] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_not] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_or] = ACTIONS(1491),
    [anon_sym_PLUS] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1491),
    [anon_sym_SLASH_SLASH] = ACTIONS(1491),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1491),
    [anon_sym_is] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1491),
  },
  [726] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [727] = {
    [sym__newline] = ACTIONS(1533),
    [anon_sym_from] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_or] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_SLASH_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_LT_GT] = ACTIONS(1533),
    [anon_sym_is] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1533),
  },
  [728] = {
    [aux_sym_list_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [sym_comment] = ACTIONS(76),
  },
  [729] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(1894),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [730] = {
    [aux_sym_dictionary_repeat1] = STATE(980),
    [anon_sym_COMMA] = ACTIONS(1896),
    [anon_sym_RBRACE] = ACTIONS(1894),
    [sym_comment] = ACTIONS(76),
  },
  [731] = {
    [anon_sym_RBRACE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(76),
  },
  [732] = {
    [anon_sym_RBRACE] = ACTIONS(1900),
    [sym_comment] = ACTIONS(76),
  },
  [733] = {
    [aux_sym_concatenated_string_repeat1] = STATE(733),
    [sym__newline] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(1565),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1902),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1565),
  },
  [734] = {
    [sym__newline] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1905),
  },
  [735] = {
    [sym__newline] = ACTIONS(1580),
    [anon_sym_from] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [736] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1907),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [737] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_from] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1616),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [738] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_from] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [739] = {
    [sym__expression] = STATE(735),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [sym__newline] = ACTIONS(1620),
    [anon_sym_from] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1620),
  },
  [740] = {
    [aux_sym_print_statement_repeat1] = STATE(740),
    [sym__newline] = ACTIONS(1580),
    [anon_sym_from] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1911),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1580),
  },
  [741] = {
    [sym__newline] = ACTIONS(1625),
    [anon_sym_from] = ACTIONS(1625),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1627),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1625),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_and] = ACTIONS(1625),
    [anon_sym_or] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PERCENT] = ACTIONS(1625),
    [anon_sym_SLASH_SLASH] = ACTIONS(1625),
    [anon_sym_STAR_STAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_EQ_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_GT] = ACTIONS(1627),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_is] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1625),
  },
  [742] = {
    [sym__newline] = ACTIONS(1629),
    [anon_sym_from] = ACTIONS(1629),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_if] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1629),
    [anon_sym_not] = ACTIONS(1629),
    [anon_sym_and] = ACTIONS(1629),
    [anon_sym_or] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PERCENT] = ACTIONS(1629),
    [anon_sym_SLASH_SLASH] = ACTIONS(1629),
    [anon_sym_STAR_STAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1631),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_is] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1629),
  },
  [743] = {
    [anon_sym_RPAREN] = ACTIONS(1914),
    [sym_comment] = ACTIONS(76),
  },
  [744] = {
    [aux_sym_argument_list_repeat1] = STATE(1166),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1916),
    [sym_comment] = ACTIONS(76),
  },
  [745] = {
    [sym__comprehension_body] = STATE(717),
    [sym_for_in_clause] = STATE(248),
    [aux_sym_argument_list_repeat1] = STATE(1166),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [746] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [747] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [748] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_from] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(574),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [749] = {
    [sym__primary_expression] = STATE(1167),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_concatenated_string] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [sym_comment] = ACTIONS(76),
  },
  [750] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [751] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [752] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(574),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [753] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [754] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_from] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [755] = {
    [aux_sym_subscript_repeat1] = STATE(1170),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [sym_comment] = ACTIONS(76),
  },
  [756] = {
    [aux_sym_subscript_repeat1] = STATE(1170),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [sym_comment] = ACTIONS(76),
  },
  [757] = {
    [aux_sym_comparison_operator_repeat1] = STATE(757),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_from] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1922),
    [anon_sym_BANG_EQ] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1922),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(1922),
    [anon_sym_is] = ACTIONS(1931),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [759] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [760] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [761] = {
    [sym__expression] = STATE(1171),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [762] = {
    [aux_sym_concatenated_string_repeat1] = STATE(762),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [763] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1940),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [764] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1174),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [765] = {
    [aux_sym__simple_statements_repeat1] = STATE(1177),
    [sym__newline] = ACTIONS(1944),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1946),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_elif] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [767] = {
    [sym_elif_clause] = STATE(1180),
    [sym_else_clause] = STATE(1181),
    [aux_sym_if_statement_repeat1] = STATE(1182),
    [ts_builtin_sym_end] = ACTIONS(1948),
    [anon_sym_import] = ACTIONS(1950),
    [anon_sym_from] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_print] = ACTIONS(1950),
    [anon_sym_assert] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_del] = ACTIONS(1950),
    [anon_sym_raise] = ACTIONS(1950),
    [sym_pass_statement] = ACTIONS(1950),
    [sym_break_statement] = ACTIONS(1950),
    [sym_continue_statement] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_elif] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1954),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_with] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_def] = ACTIONS(1950),
    [anon_sym_global] = ACTIONS(1950),
    [anon_sym_nonlocal] = ACTIONS(1950),
    [anon_sym_exec] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_AT] = ACTIONS(1948),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_lambda] = ACTIONS(1950),
    [anon_sym_yield] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [sym_ellipsis] = ACTIONS(1948),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [sym_string] = ACTIONS(1950),
    [sym_integer] = ACTIONS(1950),
    [sym_float] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1956),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [sym_none] = ACTIONS(1950),
    [anon_sym_await] = ACTIONS(1950),
    [sym_comment] = ACTIONS(76),
  },
  [768] = {
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [769] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [770] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [771] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [772] = {
    [sym__primary_expression] = STATE(1183),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [773] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [774] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [775] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [776] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [777] = {
    [aux_sym_comparison_operator_repeat1] = STATE(777),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1961),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1964),
    [anon_sym_LT_EQ] = ACTIONS(1958),
    [anon_sym_EQ_EQ] = ACTIONS(1958),
    [anon_sym_BANG_EQ] = ACTIONS(1958),
    [anon_sym_GT_EQ] = ACTIONS(1958),
    [anon_sym_GT] = ACTIONS(1964),
    [anon_sym_LT_GT] = ACTIONS(1958),
    [anon_sym_is] = ACTIONS(1967),
    [sym_comment] = ACTIONS(76),
  },
  [778] = {
    [aux_sym_concatenated_string_repeat1] = STATE(778),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [779] = {
    [anon_sym_COLON] = ACTIONS(1970),
    [sym_comment] = ACTIONS(76),
  },
  [780] = {
    [aux_sym_print_statement_repeat1] = STATE(1186),
    [anon_sym_COMMA] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [781] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_in] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(646),
    [anon_sym_AMP] = ACTIONS(648),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [782] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [783] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [784] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [785] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(648),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [786] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [787] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [788] = {
    [sym__primary_expression] = STATE(781),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_in] = ACTIONS(1976),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [789] = {
    [aux_sym_variables_repeat1] = STATE(789),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1974),
    [sym_comment] = ACTIONS(76),
  },
  [790] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1189),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(1981),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [791] = {
    [aux_sym__simple_statements_repeat1] = STATE(1192),
    [sym__newline] = ACTIONS(1983),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1985),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [793] = {
    [sym_else_clause] = STATE(1193),
    [ts_builtin_sym_end] = ACTIONS(1987),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_print] = ACTIONS(1989),
    [anon_sym_assert] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_del] = ACTIONS(1989),
    [anon_sym_raise] = ACTIONS(1989),
    [sym_pass_statement] = ACTIONS(1989),
    [sym_break_statement] = ACTIONS(1989),
    [sym_continue_statement] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_else] = ACTIONS(1954),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_with] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_def] = ACTIONS(1989),
    [anon_sym_global] = ACTIONS(1989),
    [anon_sym_nonlocal] = ACTIONS(1989),
    [anon_sym_exec] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_TILDE] = ACTIONS(1987),
    [anon_sym_lambda] = ACTIONS(1989),
    [anon_sym_yield] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [sym_ellipsis] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [sym_string] = ACTIONS(1989),
    [sym_integer] = ACTIONS(1989),
    [sym_float] = ACTIONS(1989),
    [sym_identifier] = ACTIONS(1991),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_none] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [sym_comment] = ACTIONS(76),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_except] = ACTIONS(1995),
    [anon_sym_finally] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [795] = {
    [aux_sym__simple_statements_repeat1] = STATE(1196),
    [sym__newline] = ACTIONS(1999),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2001),
  },
  [796] = {
    [sym__expression] = STATE(1197),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [797] = {
    [sym_variables] = STATE(1198),
    [sym__primary_expression] = STATE(115),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [798] = {
    [sym__expression] = STATE(1199),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [799] = {
    [anon_sym_COLON] = ACTIONS(2003),
    [sym_comment] = ACTIONS(76),
  },
  [800] = {
    [sym_with_item] = STATE(1201),
    [sym__expression] = STATE(124),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [801] = {
    [sym__function_definition] = STATE(1202),
    [anon_sym_def] = ACTIONS(2005),
    [sym_comment] = ACTIONS(76),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2007),
    [sym_comment] = ACTIONS(76),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2009),
    [sym_comment] = ACTIONS(76),
  },
  [804] = {
    [sym__dedent] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(276),
    [anon_sym_from] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(274),
    [anon_sym_print] = ACTIONS(276),
    [anon_sym_assert] = ACTIONS(276),
    [anon_sym_return] = ACTIONS(276),
    [anon_sym_del] = ACTIONS(276),
    [anon_sym_raise] = ACTIONS(276),
    [sym_pass_statement] = ACTIONS(276),
    [sym_break_statement] = ACTIONS(276),
    [sym_continue_statement] = ACTIONS(276),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(276),
    [anon_sym_while] = ACTIONS(276),
    [anon_sym_try] = ACTIONS(276),
    [anon_sym_with] = ACTIONS(276),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_def] = ACTIONS(276),
    [anon_sym_global] = ACTIONS(276),
    [anon_sym_nonlocal] = ACTIONS(276),
    [anon_sym_exec] = ACTIONS(276),
    [anon_sym_class] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(276),
    [anon_sym_yield] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(274),
    [sym_ellipsis] = ACTIONS(274),
    [anon_sym_LBRACE] = ACTIONS(274),
    [sym_string] = ACTIONS(276),
    [sym_integer] = ACTIONS(276),
    [sym_float] = ACTIONS(276),
    [sym_identifier] = ACTIONS(278),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_none] = ACTIONS(276),
    [anon_sym_await] = ACTIONS(276),
    [sym_comment] = ACTIONS(76),
  },
  [805] = {
    [sym__dedent] = ACTIONS(280),
    [anon_sym_import] = ACTIONS(282),
    [anon_sym_from] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_print] = ACTIONS(282),
    [anon_sym_assert] = ACTIONS(282),
    [anon_sym_return] = ACTIONS(282),
    [anon_sym_del] = ACTIONS(282),
    [anon_sym_raise] = ACTIONS(282),
    [sym_pass_statement] = ACTIONS(282),
    [sym_break_statement] = ACTIONS(282),
    [sym_continue_statement] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(282),
    [anon_sym_for] = ACTIONS(282),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_try] = ACTIONS(282),
    [anon_sym_with] = ACTIONS(282),
    [anon_sym_async] = ACTIONS(282),
    [anon_sym_def] = ACTIONS(282),
    [anon_sym_global] = ACTIONS(282),
    [anon_sym_nonlocal] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(282),
    [anon_sym_class] = ACTIONS(282),
    [anon_sym_AT] = ACTIONS(280),
    [anon_sym_not] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(280),
    [anon_sym_DASH] = ACTIONS(280),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_lambda] = ACTIONS(282),
    [anon_sym_yield] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(280),
    [sym_ellipsis] = ACTIONS(280),
    [anon_sym_LBRACE] = ACTIONS(280),
    [sym_string] = ACTIONS(282),
    [sym_integer] = ACTIONS(282),
    [sym_float] = ACTIONS(282),
    [sym_identifier] = ACTIONS(284),
    [sym_true] = ACTIONS(282),
    [sym_false] = ACTIONS(282),
    [sym_none] = ACTIONS(282),
    [anon_sym_await] = ACTIONS(282),
    [sym_comment] = ACTIONS(76),
  },
  [806] = {
    [sym__dedent] = ACTIONS(286),
    [anon_sym_import] = ACTIONS(288),
    [anon_sym_from] = ACTIONS(288),
    [anon_sym_LPAREN] = ACTIONS(286),
    [anon_sym_print] = ACTIONS(288),
    [anon_sym_assert] = ACTIONS(288),
    [anon_sym_return] = ACTIONS(288),
    [anon_sym_del] = ACTIONS(288),
    [anon_sym_raise] = ACTIONS(288),
    [sym_pass_statement] = ACTIONS(288),
    [sym_break_statement] = ACTIONS(288),
    [sym_continue_statement] = ACTIONS(288),
    [anon_sym_if] = ACTIONS(288),
    [anon_sym_for] = ACTIONS(288),
    [anon_sym_while] = ACTIONS(288),
    [anon_sym_try] = ACTIONS(288),
    [anon_sym_with] = ACTIONS(288),
    [anon_sym_async] = ACTIONS(288),
    [anon_sym_def] = ACTIONS(288),
    [anon_sym_global] = ACTIONS(288),
    [anon_sym_nonlocal] = ACTIONS(288),
    [anon_sym_exec] = ACTIONS(288),
    [anon_sym_class] = ACTIONS(288),
    [anon_sym_AT] = ACTIONS(286),
    [anon_sym_not] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(286),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_lambda] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(286),
    [sym_ellipsis] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(286),
    [sym_string] = ACTIONS(288),
    [sym_integer] = ACTIONS(288),
    [sym_float] = ACTIONS(288),
    [sym_identifier] = ACTIONS(290),
    [sym_true] = ACTIONS(288),
    [sym_false] = ACTIONS(288),
    [sym_none] = ACTIONS(288),
    [anon_sym_await] = ACTIONS(288),
    [sym_comment] = ACTIONS(76),
  },
  [807] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(2011),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [808] = {
    [sym_async_function_definition] = STATE(1207),
    [sym_function_definition] = STATE(1207),
    [sym__function_definition] = STATE(806),
    [sym_class_definition] = STATE(1207),
    [sym_decorator] = STATE(36),
    [aux_sym_decorated_definition_repeat1] = STATE(199),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_def] = ACTIONS(2005),
    [anon_sym_class] = ACTIONS(2015),
    [anon_sym_AT] = ACTIONS(52),
    [sym_comment] = ACTIONS(76),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_except] = ACTIONS(586),
    [anon_sym_finally] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [810] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2017),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [811] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(2017),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2019),
  },
  [812] = {
    [sym__expression] = STATE(1211),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(2021),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [813] = {
    [anon_sym_COLON] = ACTIONS(2023),
    [sym_comment] = ACTIONS(76),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2025),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_from] = ACTIONS(2027),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_print] = ACTIONS(2027),
    [anon_sym_assert] = ACTIONS(2027),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_del] = ACTIONS(2027),
    [anon_sym_raise] = ACTIONS(2027),
    [sym_pass_statement] = ACTIONS(2027),
    [sym_break_statement] = ACTIONS(2027),
    [sym_continue_statement] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2027),
    [anon_sym_else] = ACTIONS(2027),
    [anon_sym_for] = ACTIONS(2027),
    [anon_sym_while] = ACTIONS(2027),
    [anon_sym_try] = ACTIONS(2027),
    [anon_sym_except] = ACTIONS(2027),
    [anon_sym_finally] = ACTIONS(2027),
    [anon_sym_with] = ACTIONS(2027),
    [anon_sym_async] = ACTIONS(2027),
    [anon_sym_def] = ACTIONS(2027),
    [anon_sym_global] = ACTIONS(2027),
    [anon_sym_nonlocal] = ACTIONS(2027),
    [anon_sym_exec] = ACTIONS(2027),
    [anon_sym_class] = ACTIONS(2027),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_not] = ACTIONS(2027),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_lambda] = ACTIONS(2027),
    [anon_sym_yield] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [sym_ellipsis] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [sym_string] = ACTIONS(2027),
    [sym_integer] = ACTIONS(2027),
    [sym_float] = ACTIONS(2027),
    [sym_identifier] = ACTIONS(2029),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [sym_none] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(2027),
    [sym_comment] = ACTIONS(76),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_print] = ACTIONS(2033),
    [anon_sym_assert] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_del] = ACTIONS(2033),
    [anon_sym_raise] = ACTIONS(2033),
    [sym_pass_statement] = ACTIONS(2033),
    [sym_break_statement] = ACTIONS(2033),
    [sym_continue_statement] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_def] = ACTIONS(2033),
    [anon_sym_global] = ACTIONS(2033),
    [anon_sym_nonlocal] = ACTIONS(2033),
    [anon_sym_exec] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_lambda] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_ellipsis] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [sym_string] = ACTIONS(2033),
    [sym_integer] = ACTIONS(2033),
    [sym_float] = ACTIONS(2033),
    [sym_identifier] = ACTIONS(2035),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_none] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [sym_comment] = ACTIONS(76),
  },
  [816] = {
    [sym_else_clause] = STATE(1214),
    [sym_except_clause] = STATE(814),
    [sym_finally_clause] = STATE(1215),
    [aux_sym_try_statement_repeat1] = STATE(1216),
    [ts_builtin_sym_end] = ACTIONS(2031),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_print] = ACTIONS(2033),
    [anon_sym_assert] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_del] = ACTIONS(2033),
    [anon_sym_raise] = ACTIONS(2033),
    [sym_pass_statement] = ACTIONS(2033),
    [sym_break_statement] = ACTIONS(2033),
    [sym_continue_statement] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_else] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_except] = ACTIONS(2039),
    [anon_sym_finally] = ACTIONS(2041),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_def] = ACTIONS(2033),
    [anon_sym_global] = ACTIONS(2033),
    [anon_sym_nonlocal] = ACTIONS(2033),
    [anon_sym_exec] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_lambda] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_ellipsis] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [sym_string] = ACTIONS(2033),
    [sym_integer] = ACTIONS(2033),
    [sym_float] = ACTIONS(2033),
    [sym_identifier] = ACTIONS(2035),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_none] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [sym_comment] = ACTIONS(76),
  },
  [817] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_as] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [818] = {
    [sym__expression] = STATE(1217),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [819] = {
    [aux_sym_concatenated_string_repeat1] = STATE(819),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_as] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [820] = {
    [anon_sym_COMMA] = ACTIONS(2043),
    [anon_sym_COLON] = ACTIONS(2043),
    [sym_comment] = ACTIONS(76),
  },
  [821] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1219),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2047),
    [anon_sym_import] = ACTIONS(2049),
    [anon_sym_from] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2047),
    [anon_sym_print] = ACTIONS(2049),
    [anon_sym_assert] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_del] = ACTIONS(2049),
    [anon_sym_raise] = ACTIONS(2049),
    [sym_pass_statement] = ACTIONS(2049),
    [sym_break_statement] = ACTIONS(2049),
    [sym_continue_statement] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_with] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_def] = ACTIONS(2049),
    [anon_sym_global] = ACTIONS(2049),
    [anon_sym_nonlocal] = ACTIONS(2049),
    [anon_sym_exec] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2047),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2047),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_TILDE] = ACTIONS(2047),
    [anon_sym_lambda] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [sym_ellipsis] = ACTIONS(2047),
    [anon_sym_LBRACE] = ACTIONS(2047),
    [sym_string] = ACTIONS(2049),
    [sym_integer] = ACTIONS(2049),
    [sym_float] = ACTIONS(2049),
    [sym_identifier] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [sym_none] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [sym_comment] = ACTIONS(76),
  },
  [824] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1220),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [825] = {
    [aux_sym_with_statement_repeat1] = STATE(825),
    [anon_sym_COMMA] = ACTIONS(2053),
    [anon_sym_COLON] = ACTIONS(2043),
    [sym_comment] = ACTIONS(76),
  },
  [826] = {
    [anon_sym_COMMA] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2056),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [827] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2058),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [828] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [829] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [830] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [831] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_as] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(692),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [832] = {
    [sym__primary_expression] = STATE(1222),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [833] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [834] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(692),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [835] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(692),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [836] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_as] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [837] = {
    [aux_sym_comparison_operator_repeat1] = STATE(837),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_as] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_not] = ACTIONS(2063),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_LT_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_GT_EQ] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_LT_GT] = ACTIONS(2060),
    [anon_sym_is] = ACTIONS(2069),
    [sym_comment] = ACTIONS(76),
  },
  [838] = {
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_DASH_GT] = ACTIONS(2072),
    [sym_comment] = ACTIONS(76),
  },
  [839] = {
    [sym__expression] = STATE(1229),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(732),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(732),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [840] = {
    [aux_sym__parameters_repeat1] = STATE(1234),
    [anon_sym_RPAREN] = ACTIONS(748),
    [anon_sym_COMMA] = ACTIONS(2086),
    [anon_sym_COLON] = ACTIONS(2088),
    [anon_sym_EQ] = ACTIONS(2090),
    [sym_comment] = ACTIONS(76),
  },
  [841] = {
    [aux_sym__parameters_repeat1] = STATE(1238),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(2092),
    [anon_sym_COLON] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2096),
    [sym_comment] = ACTIONS(76),
  },
  [842] = {
    [anon_sym_RPAREN] = ACTIONS(2098),
    [sym_comment] = ACTIONS(76),
  },
  [843] = {
    [aux_sym__parameters_repeat1] = STATE(1238),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(76),
  },
  [844] = {
    [aux_sym__parameters_repeat1] = STATE(1238),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(2092),
    [anon_sym_COLON] = ACTIONS(2100),
    [sym_comment] = ACTIONS(76),
  },
  [845] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1241),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [846] = {
    [sym__expression] = STATE(1242),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(1243),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [847] = {
    [sym__newline] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2102),
  },
  [848] = {
    [aux_sym_global_statement_repeat1] = STATE(848),
    [sym__newline] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2104),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2102),
  },
  [849] = {
    [aux_sym_print_statement_repeat1] = STATE(1244),
    [sym__newline] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2107),
  },
  [850] = {
    [aux_sym_argument_list_repeat1] = STATE(1109),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2111),
    [anon_sym_from] = ACTIONS(2111),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_print] = ACTIONS(2111),
    [anon_sym_assert] = ACTIONS(2111),
    [anon_sym_return] = ACTIONS(2111),
    [anon_sym_del] = ACTIONS(2111),
    [anon_sym_raise] = ACTIONS(2111),
    [sym_pass_statement] = ACTIONS(2111),
    [sym_break_statement] = ACTIONS(2111),
    [sym_continue_statement] = ACTIONS(2111),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_for] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2111),
    [anon_sym_try] = ACTIONS(2111),
    [anon_sym_with] = ACTIONS(2111),
    [anon_sym_async] = ACTIONS(2111),
    [anon_sym_def] = ACTIONS(2111),
    [anon_sym_global] = ACTIONS(2111),
    [anon_sym_nonlocal] = ACTIONS(2111),
    [anon_sym_exec] = ACTIONS(2111),
    [anon_sym_class] = ACTIONS(2111),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_not] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_lambda] = ACTIONS(2111),
    [anon_sym_yield] = ACTIONS(2111),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [sym_ellipsis] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [sym_string] = ACTIONS(2111),
    [sym_integer] = ACTIONS(2111),
    [sym_float] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(2113),
    [sym_true] = ACTIONS(2111),
    [sym_false] = ACTIONS(2111),
    [sym_none] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(2111),
    [sym_comment] = ACTIONS(76),
  },
  [852] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1245),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [853] = {
    [sym__newline] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [854] = {
    [aux_sym_dotted_name_repeat1] = STATE(854),
    [sym__newline] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(2115),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [855] = {
    [sym__newline] = ACTIONS(1629),
    [sym_comment] = ACTIONS(76),
  },
  [856] = {
    [anon_sym_RPAREN] = ACTIONS(2118),
    [sym_comment] = ACTIONS(76),
  },
  [857] = {
    [aux_sym_argument_list_repeat1] = STATE(1248),
    [anon_sym_RPAREN] = ACTIONS(2118),
    [anon_sym_COMMA] = ACTIONS(2120),
    [sym_comment] = ACTIONS(76),
  },
  [858] = {
    [aux_sym_argument_list_repeat1] = STATE(1248),
    [anon_sym_RPAREN] = ACTIONS(2118),
    [anon_sym_COMMA] = ACTIONS(2120),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [859] = {
    [anon_sym_async] = ACTIONS(2122),
    [anon_sym_def] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_AT] = ACTIONS(2122),
    [sym_comment] = ACTIONS(76),
  },
  [860] = {
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2124),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [861] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [862] = {
    [sym__expression] = STATE(1249),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [863] = {
    [anon_sym_COLON] = ACTIONS(2126),
    [sym_comment] = ACTIONS(76),
  },
  [864] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1251),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [865] = {
    [sym__expression] = STATE(1252),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [866] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [867] = {
    [sym__expression] = STATE(1253),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [868] = {
    [sym__primary_expression] = STATE(1254),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [869] = {
    [sym__primary_expression] = STATE(1255),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [870] = {
    [sym__primary_expression] = STATE(1256),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [871] = {
    [anon_sym_in] = ACTIONS(2128),
    [sym_comment] = ACTIONS(76),
  },
  [872] = {
    [sym__primary_expression] = STATE(1258),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [873] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [874] = {
    [sym__primary_expression] = STATE(1259),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [875] = {
    [sym__primary_expression] = STATE(1260),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [876] = {
    [sym__primary_expression] = STATE(1261),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [877] = {
    [sym__primary_expression] = STATE(1256),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [878] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1262),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_is] = ACTIONS(1403),
    [sym_comment] = ACTIONS(76),
  },
  [879] = {
    [anon_sym_COMMA] = ACTIONS(2132),
    [anon_sym_COLON] = ACTIONS(2132),
    [anon_sym_EQ] = ACTIONS(750),
    [sym_comment] = ACTIONS(76),
  },
  [880] = {
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(2134),
    [anon_sym_EQ] = ACTIONS(756),
    [sym_comment] = ACTIONS(76),
  },
  [881] = {
    [anon_sym_RPAREN] = ACTIONS(2134),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(2134),
    [sym_comment] = ACTIONS(76),
  },
  [882] = {
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(2134),
    [sym_comment] = ACTIONS(76),
  },
  [883] = {
    [sym__expression] = STATE(1263),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [884] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [885] = {
    [sym_lambda_parameters] = STATE(1265),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2136),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [886] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1266),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [887] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [888] = {
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(2144),
    [sym_comment] = ACTIONS(76),
  },
  [889] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1280),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_EQ] = ACTIONS(322),
    [anon_sym_not] = ACTIONS(2152),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_LT_EQ] = ACTIONS(2150),
    [anon_sym_EQ_EQ] = ACTIONS(2150),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_GT_EQ] = ACTIONS(2150),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_LT_GT] = ACTIONS(2150),
    [anon_sym_is] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [890] = {
    [anon_sym_EQ] = ACTIONS(2170),
    [sym_comment] = ACTIONS(76),
  },
  [891] = {
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2172),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [892] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(882),
    [sym_dictionary_splat] = STATE(882),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(2174),
    [anon_sym_exec] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(76),
  },
  [893] = {
    [aux_sym__parameters_repeat1] = STATE(893),
    [anon_sym_COMMA] = ACTIONS(2176),
    [anon_sym_COLON] = ACTIONS(2134),
    [sym_comment] = ACTIONS(76),
  },
  [894] = {
    [sym__expression] = STATE(1283),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [895] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [896] = {
    [sym_lambda_parameters] = STATE(1285),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2179),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [897] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1286),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [898] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [899] = {
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(2185),
    [sym_comment] = ACTIONS(76),
  },
  [900] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1300),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(322),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_LT_GT] = ACTIONS(2191),
    [anon_sym_is] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [901] = {
    [anon_sym_COMMA] = ACTIONS(2211),
    [anon_sym_COLON] = ACTIONS(2211),
    [anon_sym_EQ] = ACTIONS(2213),
    [sym_comment] = ACTIONS(76),
  },
  [902] = {
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2215),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [903] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(882),
    [sym_dictionary_splat] = STATE(882),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(2217),
    [anon_sym_exec] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(76),
  },
  [904] = {
    [sym__newline] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(2219),
    [anon_sym_DASH_EQ] = ACTIONS(2219),
    [anon_sym_STAR_EQ] = ACTIONS(2219),
    [anon_sym_SLASH_EQ] = ACTIONS(2219),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2219),
    [anon_sym_PERCENT_EQ] = ACTIONS(2219),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2219),
    [anon_sym_GT_GT_EQ] = ACTIONS(2219),
    [anon_sym_LT_LT_EQ] = ACTIONS(2219),
    [anon_sym_AMP_EQ] = ACTIONS(2219),
    [anon_sym_CARET_EQ] = ACTIONS(2219),
    [anon_sym_PIPE_EQ] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2219),
  },
  [905] = {
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [906] = {
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_COMMA] = ACTIONS(2211),
    [anon_sym_COLON] = ACTIONS(2211),
    [sym_comment] = ACTIONS(76),
  },
  [907] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [908] = {
    [sym__expression] = STATE(1302),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [909] = {
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_comment] = ACTIONS(76),
  },
  [910] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1304),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [911] = {
    [sym__expression] = STATE(1305),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [912] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [913] = {
    [sym__expression] = STATE(1306),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [914] = {
    [sym__primary_expression] = STATE(1307),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [915] = {
    [sym__primary_expression] = STATE(1308),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [916] = {
    [sym__primary_expression] = STATE(1309),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [917] = {
    [anon_sym_in] = ACTIONS(2223),
    [sym_comment] = ACTIONS(76),
  },
  [918] = {
    [sym__primary_expression] = STATE(1311),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [919] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [920] = {
    [sym__primary_expression] = STATE(1312),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [921] = {
    [sym__primary_expression] = STATE(1313),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [922] = {
    [sym__primary_expression] = STATE(1314),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [923] = {
    [sym__primary_expression] = STATE(1309),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [924] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1315),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_not] = ACTIONS(1459),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1473),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_EQ_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1473),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_is] = ACTIONS(1475),
    [anon_sym_RBRACK] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [925] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [926] = {
    [sym__expression] = STATE(1316),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [927] = {
    [aux_sym_concatenated_string_repeat1] = STATE(927),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [928] = {
    [sym__newline] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2229),
    [anon_sym_GT_GT] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_EQ] = ACTIONS(2229),
    [anon_sym_not] = ACTIONS(2227),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_STAR_STAR] = ACTIONS(2229),
    [anon_sym_PIPE] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2229),
    [anon_sym_LT_GT] = ACTIONS(2227),
    [anon_sym_is] = ACTIONS(2227),
    [anon_sym_PLUS_EQ] = ACTIONS(2227),
    [anon_sym_DASH_EQ] = ACTIONS(2227),
    [anon_sym_STAR_EQ] = ACTIONS(2227),
    [anon_sym_SLASH_EQ] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2227),
    [anon_sym_PERCENT_EQ] = ACTIONS(2227),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2227),
    [anon_sym_GT_GT_EQ] = ACTIONS(2227),
    [anon_sym_LT_LT_EQ] = ACTIONS(2227),
    [anon_sym_AMP_EQ] = ACTIONS(2227),
    [anon_sym_CARET_EQ] = ACTIONS(2227),
    [anon_sym_PIPE_EQ] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2227),
  },
  [929] = {
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RBRACK] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [930] = {
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [931] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2233),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [932] = {
    [aux_sym_list_repeat1] = STATE(932),
    [anon_sym_COMMA] = ACTIONS(2235),
    [anon_sym_RBRACK] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [933] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [934] = {
    [anon_sym_in] = ACTIONS(2240),
    [sym_comment] = ACTIONS(76),
  },
  [935] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [936] = {
    [sym__newline] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_and] = ACTIONS(2242),
    [anon_sym_or] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_SLASH_SLASH] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2242),
    [anon_sym_is] = ACTIONS(2242),
    [anon_sym_PLUS_EQ] = ACTIONS(2242),
    [anon_sym_DASH_EQ] = ACTIONS(2242),
    [anon_sym_STAR_EQ] = ACTIONS(2242),
    [anon_sym_SLASH_EQ] = ACTIONS(2242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2242),
    [anon_sym_PERCENT_EQ] = ACTIONS(2242),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2242),
    [anon_sym_GT_GT_EQ] = ACTIONS(2242),
    [anon_sym_LT_LT_EQ] = ACTIONS(2242),
    [anon_sym_AMP_EQ] = ACTIONS(2242),
    [anon_sym_CARET_EQ] = ACTIONS(2242),
    [anon_sym_PIPE_EQ] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2242),
  },
  [937] = {
    [sym__expression] = STATE(1326),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [938] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1328),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(76),
  },
  [939] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [940] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [941] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(806),
    [anon_sym_AMP] = ACTIONS(808),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [942] = {
    [sym__primary_expression] = STATE(1329),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [943] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [944] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(808),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [945] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [946] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [947] = {
    [aux_sym_comparison_operator_repeat1] = STATE(947),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2259),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_LT_GT] = ACTIONS(2256),
    [anon_sym_is] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [948] = {
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [sym_comment] = ACTIONS(76),
  },
  [949] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [950] = {
    [sym__expression] = STATE(1330),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [951] = {
    [anon_sym_COLON] = ACTIONS(2268),
    [sym_comment] = ACTIONS(76),
  },
  [952] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1332),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [953] = {
    [sym__expression] = STATE(1333),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [954] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [955] = {
    [sym__expression] = STATE(1334),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [956] = {
    [sym__primary_expression] = STATE(1335),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [957] = {
    [sym__primary_expression] = STATE(1336),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [958] = {
    [sym__primary_expression] = STATE(1337),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [959] = {
    [anon_sym_in] = ACTIONS(2270),
    [sym_comment] = ACTIONS(76),
  },
  [960] = {
    [sym__primary_expression] = STATE(1339),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [961] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [962] = {
    [sym__primary_expression] = STATE(1340),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [963] = {
    [sym__primary_expression] = STATE(1341),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [964] = {
    [sym__primary_expression] = STATE(1342),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [965] = {
    [sym__primary_expression] = STATE(1337),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [966] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1343),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_not] = ACTIONS(1509),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1507),
    [anon_sym_is] = ACTIONS(1525),
    [anon_sym_RBRACE] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [967] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [968] = {
    [sym__expression] = STATE(1344),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [969] = {
    [aux_sym_concatenated_string_repeat1] = STATE(969),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [970] = {
    [sym__expression] = STATE(494),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(732),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [971] = {
    [sym__newline] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2274),
    [anon_sym_and] = ACTIONS(2274),
    [anon_sym_or] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_SLASH] = ACTIONS(2276),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_SLASH_SLASH] = ACTIONS(2276),
    [anon_sym_STAR_STAR] = ACTIONS(2276),
    [anon_sym_PIPE] = ACTIONS(2276),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2276),
    [anon_sym_LT_LT] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2274),
    [anon_sym_is] = ACTIONS(2274),
    [anon_sym_PLUS_EQ] = ACTIONS(2274),
    [anon_sym_DASH_EQ] = ACTIONS(2274),
    [anon_sym_STAR_EQ] = ACTIONS(2274),
    [anon_sym_SLASH_EQ] = ACTIONS(2274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2274),
    [anon_sym_PERCENT_EQ] = ACTIONS(2274),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2274),
    [anon_sym_GT_GT_EQ] = ACTIONS(2274),
    [anon_sym_LT_LT_EQ] = ACTIONS(2274),
    [anon_sym_AMP_EQ] = ACTIONS(2274),
    [anon_sym_CARET_EQ] = ACTIONS(2274),
    [anon_sym_PIPE_EQ] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2274),
  },
  [972] = {
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [973] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [974] = {
    [aux_sym_list_repeat1] = STATE(974),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(76),
  },
  [975] = {
    [anon_sym_STAR] = ACTIONS(818),
    [sym_comment] = ACTIONS(76),
  },
  [976] = {
    [sym__newline] = ACTIONS(2283),
    [anon_sym_DOT] = ACTIONS(2283),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(2285),
    [anon_sym_GT_GT] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_in] = ACTIONS(2283),
    [anon_sym_EQ] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_and] = ACTIONS(2283),
    [anon_sym_or] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_SLASH] = ACTIONS(2285),
    [anon_sym_PERCENT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_STAR_STAR] = ACTIONS(2285),
    [anon_sym_PIPE] = ACTIONS(2285),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_CARET] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_LT] = ACTIONS(2285),
    [anon_sym_LT_EQ] = ACTIONS(2283),
    [anon_sym_EQ_EQ] = ACTIONS(2283),
    [anon_sym_BANG_EQ] = ACTIONS(2283),
    [anon_sym_GT_EQ] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2285),
    [anon_sym_LT_GT] = ACTIONS(2283),
    [anon_sym_is] = ACTIONS(2283),
    [anon_sym_PLUS_EQ] = ACTIONS(2283),
    [anon_sym_DASH_EQ] = ACTIONS(2283),
    [anon_sym_STAR_EQ] = ACTIONS(2283),
    [anon_sym_SLASH_EQ] = ACTIONS(2283),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2283),
    [anon_sym_PERCENT_EQ] = ACTIONS(2283),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2283),
    [anon_sym_GT_GT_EQ] = ACTIONS(2283),
    [anon_sym_LT_LT_EQ] = ACTIONS(2283),
    [anon_sym_AMP_EQ] = ACTIONS(2283),
    [anon_sym_CARET_EQ] = ACTIONS(2283),
    [anon_sym_PIPE_EQ] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2283),
  },
  [977] = {
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(76),
  },
  [978] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2289),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [979] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [980] = {
    [aux_sym_dictionary_repeat1] = STATE(980),
    [anon_sym_COMMA] = ACTIONS(2293),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(76),
  },
  [981] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [982] = {
    [sym__expression] = STATE(1351),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [983] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [984] = {
    [sym_lambda_parameters] = STATE(1353),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2298),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [985] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1354),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [986] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [987] = {
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [sym_comment] = ACTIONS(76),
  },
  [988] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1368),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_GT] = ACTIONS(2312),
    [anon_sym_is] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [989] = {
    [anon_sym_in] = ACTIONS(2332),
    [sym_comment] = ACTIONS(76),
  },
  [990] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [991] = {
    [sym__newline] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_STAR_STAR] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2334),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2334),
  },
  [992] = {
    [sym__expression] = STATE(1375),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [993] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1377),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [sym_comment] = ACTIONS(76),
  },
  [994] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [995] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [996] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [997] = {
    [sym__primary_expression] = STATE(1378),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [998] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [999] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1000] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1001] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1002] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1002),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_GT] = ACTIONS(2348),
    [anon_sym_is] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1003] = {
    [sym__newline] = ACTIONS(2360),
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_GT_GT] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_GT] = ACTIONS(2360),
    [anon_sym_is] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2360),
  },
  [1004] = {
    [sym__expression] = STATE(530),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(888),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_EQ] = ACTIONS(888),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_PLUS_EQ] = ACTIONS(888),
    [anon_sym_DASH_EQ] = ACTIONS(888),
    [anon_sym_STAR_EQ] = ACTIONS(888),
    [anon_sym_SLASH_EQ] = ACTIONS(888),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(888),
    [anon_sym_PERCENT_EQ] = ACTIONS(888),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(888),
    [anon_sym_GT_GT_EQ] = ACTIONS(888),
    [anon_sym_LT_LT_EQ] = ACTIONS(888),
    [anon_sym_AMP_EQ] = ACTIONS(888),
    [anon_sym_CARET_EQ] = ACTIONS(888),
    [anon_sym_PIPE_EQ] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [1005] = {
    [aux_sym_print_statement_repeat1] = STATE(541),
    [sym__newline] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_EQ] = ACTIONS(888),
    [anon_sym_PLUS_EQ] = ACTIONS(888),
    [anon_sym_DASH_EQ] = ACTIONS(888),
    [anon_sym_STAR_EQ] = ACTIONS(888),
    [anon_sym_SLASH_EQ] = ACTIONS(888),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(888),
    [anon_sym_PERCENT_EQ] = ACTIONS(888),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(888),
    [anon_sym_GT_GT_EQ] = ACTIONS(888),
    [anon_sym_LT_LT_EQ] = ACTIONS(888),
    [anon_sym_AMP_EQ] = ACTIONS(888),
    [anon_sym_CARET_EQ] = ACTIONS(888),
    [anon_sym_PIPE_EQ] = ACTIONS(888),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(888),
  },
  [1006] = {
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_else] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1007] = {
    [sym__expression] = STATE(1380),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1008] = {
    [anon_sym_COLON] = ACTIONS(2366),
    [sym_comment] = ACTIONS(76),
  },
  [1009] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1382),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_else] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1010] = {
    [sym__expression] = STATE(1383),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1011] = {
    [sym__expression] = STATE(1384),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1012] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1013] = {
    [sym__expression] = STATE(1385),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1014] = {
    [sym__primary_expression] = STATE(1386),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1015] = {
    [sym__primary_expression] = STATE(1387),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1016] = {
    [sym__primary_expression] = STATE(1388),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1017] = {
    [anon_sym_in] = ACTIONS(2368),
    [sym_comment] = ACTIONS(76),
  },
  [1018] = {
    [sym__primary_expression] = STATE(1390),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1019] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1020] = {
    [sym__primary_expression] = STATE(1391),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1021] = {
    [sym__primary_expression] = STATE(1392),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1022] = {
    [sym__primary_expression] = STATE(1393),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1023] = {
    [sym__primary_expression] = STATE(1388),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1024] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1394),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_else] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_not] = ACTIONS(1598),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_LT_GT] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1614),
    [sym_comment] = ACTIONS(76),
  },
  [1025] = {
    [sym__expression] = STATE(530),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1026] = {
    [sym__newline] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_GT_GT] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_EQ] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_and] = ACTIONS(2372),
    [anon_sym_or] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH] = ACTIONS(2374),
    [anon_sym_STAR_STAR] = ACTIONS(2374),
    [anon_sym_PIPE] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_CARET] = ACTIONS(2374),
    [anon_sym_LT_LT] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_GT] = ACTIONS(2372),
    [anon_sym_is] = ACTIONS(2372),
    [anon_sym_PLUS_EQ] = ACTIONS(2372),
    [anon_sym_DASH_EQ] = ACTIONS(2372),
    [anon_sym_STAR_EQ] = ACTIONS(2372),
    [anon_sym_SLASH_EQ] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2372),
    [anon_sym_PERCENT_EQ] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2372),
    [anon_sym_GT_GT_EQ] = ACTIONS(2372),
    [anon_sym_LT_LT_EQ] = ACTIONS(2372),
    [anon_sym_AMP_EQ] = ACTIONS(2372),
    [anon_sym_CARET_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_EQ] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2372),
  },
  [1027] = {
    [sym__expression] = STATE(1395),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1028] = {
    [anon_sym_RPAREN] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1029] = {
    [sym__expression] = STATE(1396),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1030] = {
    [sym__expression] = STATE(1397),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1031] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1032] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2378),
    [sym_comment] = ACTIONS(76),
  },
  [1033] = {
    [sym_argument_list] = STATE(195),
    [sym_generator_expression] = STATE(195),
    [sym__newline] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(314),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_SLASH_SLASH] = ACTIONS(316),
    [anon_sym_STAR_STAR] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(330),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_CARET] = ACTIONS(334),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_PLUS_EQ] = ACTIONS(2380),
    [anon_sym_DASH_EQ] = ACTIONS(2380),
    [anon_sym_STAR_EQ] = ACTIONS(2380),
    [anon_sym_SLASH_EQ] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2380),
    [anon_sym_PERCENT_EQ] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2380),
    [anon_sym_GT_GT_EQ] = ACTIONS(2380),
    [anon_sym_LT_LT_EQ] = ACTIONS(2380),
    [anon_sym_AMP_EQ] = ACTIONS(2380),
    [anon_sym_CARET_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_EQ] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(340),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2380),
  },
  [1034] = {
    [sym__expression] = STATE(1403),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1035] = {
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(2386),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [sym_comment] = ACTIONS(76),
  },
  [1036] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [1037] = {
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1038] = {
    [anon_sym_COLON] = ACTIONS(2388),
    [sym_comment] = ACTIONS(76),
  },
  [1039] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1407),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1040] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2390),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1041] = {
    [sym__expression] = STATE(1411),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1042] = {
    [sym__expression] = STATE(1412),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(2386),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1043] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1044] = {
    [sym__expression] = STATE(1413),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1045] = {
    [sym__newline] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_GT_GT] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_EQ] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_and] = ACTIONS(2392),
    [anon_sym_or] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH] = ACTIONS(2394),
    [anon_sym_STAR_STAR] = ACTIONS(2394),
    [anon_sym_PIPE] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_CARET] = ACTIONS(2394),
    [anon_sym_LT_LT] = ACTIONS(2394),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_GT] = ACTIONS(2392),
    [anon_sym_is] = ACTIONS(2392),
    [anon_sym_PLUS_EQ] = ACTIONS(2392),
    [anon_sym_DASH_EQ] = ACTIONS(2392),
    [anon_sym_STAR_EQ] = ACTIONS(2392),
    [anon_sym_SLASH_EQ] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2392),
    [anon_sym_PERCENT_EQ] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2392),
    [anon_sym_GT_GT_EQ] = ACTIONS(2392),
    [anon_sym_LT_LT_EQ] = ACTIONS(2392),
    [anon_sym_AMP_EQ] = ACTIONS(2392),
    [anon_sym_CARET_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_EQ] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2392),
  },
  [1046] = {
    [aux_sym_subscript_repeat1] = STATE(1415),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACK] = ACTIONS(2390),
    [sym_comment] = ACTIONS(76),
  },
  [1047] = {
    [sym__primary_expression] = STATE(1416),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1048] = {
    [sym__primary_expression] = STATE(1417),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1049] = {
    [sym__primary_expression] = STATE(1418),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1050] = {
    [anon_sym_in] = ACTIONS(2398),
    [sym_comment] = ACTIONS(76),
  },
  [1051] = {
    [sym__primary_expression] = STATE(1420),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1052] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1053] = {
    [sym__primary_expression] = STATE(1421),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1054] = {
    [sym__primary_expression] = STATE(1422),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1055] = {
    [sym__primary_expression] = STATE(1423),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1056] = {
    [sym__primary_expression] = STATE(1418),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1057] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1424),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1675),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_GT] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_is] = ACTIONS(1691),
    [anon_sym_RBRACK] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [1058] = {
    [sym_aliased_import] = STATE(571),
    [sym_dotted_name] = STATE(572),
    [sym_identifier] = ACTIONS(78),
    [sym_comment] = ACTIONS(76),
  },
  [1059] = {
    [aux_sym_dotted_name_repeat1] = STATE(1425),
    [anon_sym_DOT] = ACTIONS(366),
    [anon_sym_RPAREN] = ACTIONS(348),
    [anon_sym_COMMA] = ACTIONS(348),
    [anon_sym_as] = ACTIONS(348),
    [sym_comment] = ACTIONS(76),
  },
  [1060] = {
    [anon_sym_RPAREN] = ACTIONS(2402),
    [sym_comment] = ACTIONS(76),
  },
  [1061] = {
    [aux_sym__import_list_repeat1] = STATE(1428),
    [anon_sym_RPAREN] = ACTIONS(354),
    [anon_sym_COMMA] = ACTIONS(2404),
    [sym_comment] = ACTIONS(76),
  },
  [1062] = {
    [aux_sym__import_list_repeat1] = STATE(1428),
    [anon_sym_RPAREN] = ACTIONS(354),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_as] = ACTIONS(2406),
    [sym_comment] = ACTIONS(76),
  },
  [1063] = {
    [sym__import_list] = STATE(1430),
    [sym_aliased_import] = STATE(1061),
    [sym_dotted_name] = STATE(1062),
    [sym_identifier] = ACTIONS(1722),
    [sym_comment] = ACTIONS(76),
  },
  [1064] = {
    [sym__newline] = ACTIONS(2408),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2408),
  },
  [1065] = {
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_as] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_COLON] = ACTIONS(1765),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_RBRACK] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
  },
  [1066] = {
    [anon_sym_DOT] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_as] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1775),
    [anon_sym_in] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_not] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH] = ACTIONS(1775),
    [anon_sym_STAR_STAR] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_is] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_RBRACK] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [sym_comment] = ACTIONS(76),
  },
  [1067] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2410),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1068] = {
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [1069] = {
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1070] = {
    [sym__expression] = STATE(1432),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1071] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1071),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1072] = {
    [anon_sym_RPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1073] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1074] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1075] = {
    [sym__expression] = STATE(1072),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1076] = {
    [aux_sym_print_statement_repeat1] = STATE(1076),
    [anon_sym_RPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(2414),
    [sym_comment] = ACTIONS(76),
  },
  [1077] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1078] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1079] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1080] = {
    [sym__primary_expression] = STATE(1435),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1081] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1082] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1083] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1084] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1085] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1085),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2417),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2417),
    [anon_sym_EQ_EQ] = ACTIONS(2417),
    [anon_sym_BANG_EQ] = ACTIONS(2417),
    [anon_sym_GT_EQ] = ACTIONS(2417),
    [anon_sym_GT] = ACTIONS(2423),
    [anon_sym_LT_GT] = ACTIONS(2417),
    [anon_sym_is] = ACTIONS(2426),
    [sym_comment] = ACTIONS(76),
  },
  [1086] = {
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_RPAREN] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_as] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2229),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_COLON] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_EQ] = ACTIONS(2229),
    [anon_sym_not] = ACTIONS(2227),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2229),
    [anon_sym_LT_GT] = ACTIONS(2227),
    [anon_sym_is] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_RBRACK] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(76),
  },
  [1087] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2429),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1088] = {
    [anon_sym_DOT] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_as] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_COLON] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_and] = ACTIONS(2242),
    [anon_sym_or] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2242),
    [anon_sym_SLASH_SLASH] = ACTIONS(2242),
    [anon_sym_STAR_STAR] = ACTIONS(2242),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2242),
    [anon_sym_LT_LT] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2242),
    [anon_sym_is] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [sym_comment] = ACTIONS(76),
  },
  [1089] = {
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_RPAREN] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_COLON] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2274),
    [anon_sym_and] = ACTIONS(2274),
    [anon_sym_or] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2276),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_SLASH_SLASH] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2274),
    [anon_sym_is] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_RBRACK] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [sym_comment] = ACTIONS(76),
  },
  [1090] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1091] = {
    [anon_sym_DOT] = ACTIONS(2283),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_RPAREN] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2283),
    [anon_sym_as] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(2285),
    [anon_sym_GT_GT] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_COLON] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2283),
    [anon_sym_for] = ACTIONS(2283),
    [anon_sym_in] = ACTIONS(2283),
    [anon_sym_EQ] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_and] = ACTIONS(2283),
    [anon_sym_or] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2285),
    [anon_sym_PERCENT] = ACTIONS(2283),
    [anon_sym_SLASH_SLASH] = ACTIONS(2283),
    [anon_sym_STAR_STAR] = ACTIONS(2283),
    [anon_sym_PIPE] = ACTIONS(2283),
    [anon_sym_AMP] = ACTIONS(2283),
    [anon_sym_CARET] = ACTIONS(2283),
    [anon_sym_LT_LT] = ACTIONS(2283),
    [anon_sym_LT] = ACTIONS(2285),
    [anon_sym_LT_EQ] = ACTIONS(2283),
    [anon_sym_EQ_EQ] = ACTIONS(2283),
    [anon_sym_BANG_EQ] = ACTIONS(2283),
    [anon_sym_GT_EQ] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2285),
    [anon_sym_LT_GT] = ACTIONS(2283),
    [anon_sym_is] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [anon_sym_RBRACK] = ACTIONS(2283),
    [anon_sym_RBRACE] = ACTIONS(2283),
    [sym_comment] = ACTIONS(76),
  },
  [1092] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2433),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1093] = {
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_as] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_RBRACK] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
  },
  [1094] = {
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_as] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_GT_GT] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_COLON] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_STAR_STAR] = ACTIONS(2360),
    [anon_sym_PIPE] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_GT] = ACTIONS(2360),
    [anon_sym_is] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [sym_comment] = ACTIONS(76),
  },
  [1095] = {
    [sym__expression] = STATE(1439),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(96),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1096] = {
    [sym__expression_within_for_in_clause] = STATE(1441),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1097] = {
    [sym__expression] = STATE(1444),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1098] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1099] = {
    [sym_lambda_parameters] = STATE(1446),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2437),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1100] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1447),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1101] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1102] = {
    [anon_sym_RPAREN] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [1103] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1461),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(2461),
    [anon_sym_CARET] = ACTIONS(2463),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2465),
    [anon_sym_LT_GT] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1104] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1104),
    [anon_sym_RPAREN] = ACTIONS(2469),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2474),
    [sym_comment] = ACTIONS(76),
  },
  [1105] = {
    [sym__newline] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_GT_GT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(2479),
    [anon_sym_not] = ACTIONS(2477),
    [anon_sym_and] = ACTIONS(2477),
    [anon_sym_or] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_PERCENT] = ACTIONS(2479),
    [anon_sym_SLASH_SLASH] = ACTIONS(2479),
    [anon_sym_STAR_STAR] = ACTIONS(2479),
    [anon_sym_PIPE] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2479),
    [anon_sym_LT_LT] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2477),
    [anon_sym_BANG_EQ] = ACTIONS(2477),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_GT] = ACTIONS(2479),
    [anon_sym_LT_GT] = ACTIONS(2477),
    [anon_sym_is] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2477),
    [anon_sym_DASH_EQ] = ACTIONS(2477),
    [anon_sym_STAR_EQ] = ACTIONS(2477),
    [anon_sym_SLASH_EQ] = ACTIONS(2477),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2477),
    [anon_sym_PERCENT_EQ] = ACTIONS(2477),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2477),
    [anon_sym_GT_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_LT_EQ] = ACTIONS(2477),
    [anon_sym_AMP_EQ] = ACTIONS(2477),
    [anon_sym_CARET_EQ] = ACTIONS(2477),
    [anon_sym_PIPE_EQ] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2477),
  },
  [1106] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1107] = {
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_RPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_as] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_GT_GT] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_COLON] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_EQ] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_and] = ACTIONS(2372),
    [anon_sym_or] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_GT] = ACTIONS(2372),
    [anon_sym_is] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_RBRACE] = ACTIONS(2372),
    [sym_comment] = ACTIONS(76),
  },
  [1108] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1109] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_COMMA] = ACTIONS(2483),
    [sym_comment] = ACTIONS(76),
  },
  [1110] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_SLASH_SLASH] = ACTIONS(434),
    [anon_sym_STAR_STAR] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1111] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2485),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1112] = {
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2392),
    [anon_sym_RPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [anon_sym_as] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_GT_GT] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_COLON] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_EQ] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_and] = ACTIONS(2392),
    [anon_sym_or] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_GT] = ACTIONS(2392),
    [anon_sym_is] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_RBRACE] = ACTIONS(2392),
    [sym_comment] = ACTIONS(76),
  },
  [1113] = {
    [aux_sym_subscript_repeat1] = STATE(1415),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_RBRACK] = ACTIONS(2485),
    [sym_comment] = ACTIONS(76),
  },
  [1114] = {
    [sym__newline] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_not] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1765),
  },
  [1115] = {
    [sym__newline] = ACTIONS(1775),
    [anon_sym_DOT] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_in] = ACTIONS(1775),
    [anon_sym_not] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH] = ACTIONS(1775),
    [anon_sym_STAR_STAR] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_is] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1775),
  },
  [1116] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1117] = {
    [sym__newline] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2219),
  },
  [1118] = {
    [sym__newline] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2229),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_not] = ACTIONS(2227),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2229),
    [anon_sym_LT_GT] = ACTIONS(2227),
    [anon_sym_is] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2227),
  },
  [1119] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2491),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1120] = {
    [sym__newline] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_and] = ACTIONS(2242),
    [anon_sym_or] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2242),
    [anon_sym_SLASH_SLASH] = ACTIONS(2242),
    [anon_sym_STAR_STAR] = ACTIONS(2242),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2242),
    [anon_sym_LT_LT] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2242),
    [anon_sym_is] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2242),
  },
  [1121] = {
    [sym__newline] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_not] = ACTIONS(2274),
    [anon_sym_and] = ACTIONS(2274),
    [anon_sym_or] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2276),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_SLASH_SLASH] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2274),
    [anon_sym_is] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2274),
  },
  [1122] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2493),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1123] = {
    [sym__newline] = ACTIONS(2283),
    [anon_sym_DOT] = ACTIONS(2283),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(2285),
    [anon_sym_GT_GT] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_in] = ACTIONS(2283),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_and] = ACTIONS(2283),
    [anon_sym_or] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2285),
    [anon_sym_PERCENT] = ACTIONS(2283),
    [anon_sym_SLASH_SLASH] = ACTIONS(2283),
    [anon_sym_STAR_STAR] = ACTIONS(2283),
    [anon_sym_PIPE] = ACTIONS(2283),
    [anon_sym_AMP] = ACTIONS(2283),
    [anon_sym_CARET] = ACTIONS(2283),
    [anon_sym_LT_LT] = ACTIONS(2283),
    [anon_sym_LT] = ACTIONS(2285),
    [anon_sym_LT_EQ] = ACTIONS(2283),
    [anon_sym_EQ_EQ] = ACTIONS(2283),
    [anon_sym_BANG_EQ] = ACTIONS(2283),
    [anon_sym_GT_EQ] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2285),
    [anon_sym_LT_GT] = ACTIONS(2283),
    [anon_sym_is] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2283),
  },
  [1124] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1125] = {
    [sym__newline] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2334),
  },
  [1126] = {
    [sym__newline] = ACTIONS(2360),
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_GT_GT] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_STAR_STAR] = ACTIONS(2360),
    [anon_sym_PIPE] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_GT] = ACTIONS(2360),
    [anon_sym_is] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2360),
  },
  [1127] = {
    [sym__expression] = STATE(1470),
    [sym__primary_expression] = STATE(82),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(140),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(122),
    [anon_sym_lambda] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(130),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(136),
    [sym_comment] = ACTIONS(76),
  },
  [1128] = {
    [sym__newline] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_GT_GT] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_and] = ACTIONS(2372),
    [anon_sym_or] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_GT] = ACTIONS(2372),
    [anon_sym_is] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2372),
  },
  [1129] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1130] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2497),
    [anon_sym_COMMA] = ACTIONS(2499),
    [sym_comment] = ACTIONS(76),
  },
  [1131] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_SLASH_SLASH] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(498),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2380),
  },
  [1132] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2501),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1133] = {
    [sym__newline] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_GT_GT] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_and] = ACTIONS(2392),
    [anon_sym_or] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_GT] = ACTIONS(2392),
    [anon_sym_is] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2392),
  },
  [1134] = {
    [aux_sym_subscript_repeat1] = STATE(1415),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_RBRACK] = ACTIONS(2501),
    [sym_comment] = ACTIONS(76),
  },
  [1135] = {
    [sym__newline] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1423),
  },
  [1136] = {
    [sym__expression] = STATE(1475),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [1137] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1137),
    [sym__newline] = ACTIONS(1565),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1842),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1565),
  },
  [1138] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2505),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1139] = {
    [sym__newline] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1616),
  },
  [1140] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1141] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1142] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [1143] = {
    [sym__primary_expression] = STATE(1477),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_concatenated_string] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [sym_comment] = ACTIONS(76),
  },
  [1144] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1145] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1146] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1147] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1643),
  },
  [1148] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1148),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_LT_EQ] = ACTIONS(2507),
    [anon_sym_EQ_EQ] = ACTIONS(2507),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_GT_EQ] = ACTIONS(2507),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LT_GT] = ACTIONS(2507),
    [anon_sym_is] = ACTIONS(2516),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1647),
  },
  [1149] = {
    [sym__newline] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_not] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1765),
  },
  [1150] = {
    [sym__newline] = ACTIONS(1775),
    [anon_sym_from] = ACTIONS(1775),
    [anon_sym_DOT] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_in] = ACTIONS(1775),
    [anon_sym_not] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH] = ACTIONS(1775),
    [anon_sym_STAR_STAR] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_is] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1775),
  },
  [1151] = {
    [sym__expression] = STATE(624),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_yield] = STATE(625),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2519),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_yield] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1152] = {
    [sym__newline] = ACTIONS(2219),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2219),
  },
  [1153] = {
    [sym__newline] = ACTIONS(2227),
    [anon_sym_from] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2229),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_not] = ACTIONS(2227),
    [anon_sym_and] = ACTIONS(2227),
    [anon_sym_or] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2229),
    [anon_sym_LT_GT] = ACTIONS(2227),
    [anon_sym_is] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2227),
  },
  [1154] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1155] = {
    [sym__newline] = ACTIONS(2242),
    [anon_sym_from] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_and] = ACTIONS(2242),
    [anon_sym_or] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2242),
    [anon_sym_SLASH_SLASH] = ACTIONS(2242),
    [anon_sym_STAR_STAR] = ACTIONS(2242),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2242),
    [anon_sym_LT_LT] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2242),
    [anon_sym_is] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2242),
  },
  [1156] = {
    [sym__newline] = ACTIONS(2274),
    [anon_sym_from] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_not] = ACTIONS(2274),
    [anon_sym_and] = ACTIONS(2274),
    [anon_sym_or] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2276),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_SLASH_SLASH] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2274),
    [anon_sym_is] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2274),
  },
  [1157] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1158] = {
    [sym__newline] = ACTIONS(2283),
    [anon_sym_from] = ACTIONS(2283),
    [anon_sym_DOT] = ACTIONS(2283),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_COMMA] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(2285),
    [anon_sym_GT_GT] = ACTIONS(2283),
    [anon_sym_if] = ACTIONS(2283),
    [anon_sym_in] = ACTIONS(2283),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_and] = ACTIONS(2283),
    [anon_sym_or] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2285),
    [anon_sym_PERCENT] = ACTIONS(2283),
    [anon_sym_SLASH_SLASH] = ACTIONS(2283),
    [anon_sym_STAR_STAR] = ACTIONS(2283),
    [anon_sym_PIPE] = ACTIONS(2283),
    [anon_sym_AMP] = ACTIONS(2283),
    [anon_sym_CARET] = ACTIONS(2283),
    [anon_sym_LT_LT] = ACTIONS(2283),
    [anon_sym_LT] = ACTIONS(2285),
    [anon_sym_LT_EQ] = ACTIONS(2283),
    [anon_sym_EQ_EQ] = ACTIONS(2283),
    [anon_sym_BANG_EQ] = ACTIONS(2283),
    [anon_sym_GT_EQ] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2285),
    [anon_sym_LT_GT] = ACTIONS(2283),
    [anon_sym_is] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2283),
  },
  [1159] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(2525),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1160] = {
    [sym__newline] = ACTIONS(2334),
    [anon_sym_from] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2334),
  },
  [1161] = {
    [sym__newline] = ACTIONS(2360),
    [anon_sym_from] = ACTIONS(2360),
    [anon_sym_DOT] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_GT_GT] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_STAR_STAR] = ACTIONS(2360),
    [anon_sym_PIPE] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2360),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_GT] = ACTIONS(2360),
    [anon_sym_is] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2360),
  },
  [1162] = {
    [sym__expression] = STATE(1482),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [1163] = {
    [sym__expression] = STATE(735),
    [sym__primary_expression] = STATE(100),
    [sym_not_operator] = STATE(101),
    [sym_boolean_operator] = STATE(101),
    [sym_binary_operator] = STATE(94),
    [sym_unary_operator] = STATE(94),
    [sym_comparison_operator] = STATE(101),
    [sym_lambda] = STATE(101),
    [sym_attribute] = STATE(94),
    [sym_subscript] = STATE(94),
    [sym_call] = STATE(94),
    [sym_list] = STATE(94),
    [sym_list_comprehension] = STATE(94),
    [sym_dictionary] = STATE(94),
    [sym_dictionary_comprehension] = STATE(94),
    [sym_set] = STATE(94),
    [sym_set_comprehension] = STATE(94),
    [sym_parenthesized_expression] = STATE(94),
    [sym_tuple] = STATE(94),
    [sym_generator_expression] = STATE(94),
    [sym_conditional_expression] = STATE(101),
    [sym_concatenated_string] = STATE(94),
    [sym_await] = STATE(101),
    [anon_sym_LPAREN] = ACTIONS(150),
    [anon_sym_print] = ACTIONS(152),
    [anon_sym_exec] = ACTIONS(152),
    [anon_sym_not] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(156),
    [anon_sym_DASH] = ACTIONS(156),
    [anon_sym_TILDE] = ACTIONS(156),
    [anon_sym_lambda] = ACTIONS(158),
    [anon_sym_LBRACK] = ACTIONS(160),
    [sym_ellipsis] = ACTIONS(162),
    [anon_sym_LBRACE] = ACTIONS(164),
    [sym_string] = ACTIONS(166),
    [sym_integer] = ACTIONS(168),
    [sym_float] = ACTIONS(168),
    [sym_identifier] = ACTIONS(170),
    [sym_true] = ACTIONS(168),
    [sym_false] = ACTIONS(168),
    [sym_none] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(172),
    [sym_comment] = ACTIONS(76),
  },
  [1164] = {
    [sym__newline] = ACTIONS(2372),
    [anon_sym_from] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_GT_GT] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_and] = ACTIONS(2372),
    [anon_sym_or] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_GT] = ACTIONS(2372),
    [anon_sym_is] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2372),
  },
  [1165] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1166] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_COMMA] = ACTIONS(2529),
    [sym_comment] = ACTIONS(76),
  },
  [1167] = {
    [sym_argument_list] = STATE(357),
    [sym_generator_expression] = STATE(357),
    [sym__newline] = ACTIONS(2380),
    [anon_sym_from] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_SLASH_SLASH] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(574),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2380),
  },
  [1168] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2531),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1169] = {
    [sym__newline] = ACTIONS(2392),
    [anon_sym_from] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_GT_GT] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_and] = ACTIONS(2392),
    [anon_sym_or] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_GT] = ACTIONS(2392),
    [anon_sym_is] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2392),
  },
  [1170] = {
    [aux_sym_subscript_repeat1] = STATE(1415),
    [anon_sym_COMMA] = ACTIONS(2533),
    [anon_sym_RBRACK] = ACTIONS(2531),
    [sym_comment] = ACTIONS(76),
  },
  [1171] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1172] = {
    [sym__expression] = STATE(1487),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1173] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_elif] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1174] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(2535),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1175] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_elif] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1176] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2537),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1177] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(2537),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2539),
  },
  [1178] = {
    [sym__expression] = STATE(1491),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1179] = {
    [anon_sym_COLON] = ACTIONS(2541),
    [sym_comment] = ACTIONS(76),
  },
  [1180] = {
    [ts_builtin_sym_end] = ACTIONS(2543),
    [anon_sym_import] = ACTIONS(2545),
    [anon_sym_from] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_print] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_del] = ACTIONS(2545),
    [anon_sym_raise] = ACTIONS(2545),
    [sym_pass_statement] = ACTIONS(2545),
    [sym_break_statement] = ACTIONS(2545),
    [sym_continue_statement] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_elif] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_async] = ACTIONS(2545),
    [anon_sym_def] = ACTIONS(2545),
    [anon_sym_global] = ACTIONS(2545),
    [anon_sym_nonlocal] = ACTIONS(2545),
    [anon_sym_exec] = ACTIONS(2545),
    [anon_sym_class] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2543),
    [anon_sym_not] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_TILDE] = ACTIONS(2543),
    [anon_sym_lambda] = ACTIONS(2545),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [sym_ellipsis] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [sym_string] = ACTIONS(2545),
    [sym_integer] = ACTIONS(2545),
    [sym_float] = ACTIONS(2545),
    [sym_identifier] = ACTIONS(2547),
    [sym_true] = ACTIONS(2545),
    [sym_false] = ACTIONS(2545),
    [sym_none] = ACTIONS(2545),
    [anon_sym_await] = ACTIONS(2545),
    [sym_comment] = ACTIONS(76),
  },
  [1181] = {
    [ts_builtin_sym_end] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_print] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_del] = ACTIONS(2551),
    [anon_sym_raise] = ACTIONS(2551),
    [sym_pass_statement] = ACTIONS(2551),
    [sym_break_statement] = ACTIONS(2551),
    [sym_continue_statement] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2551),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_def] = ACTIONS(2551),
    [anon_sym_global] = ACTIONS(2551),
    [anon_sym_nonlocal] = ACTIONS(2551),
    [anon_sym_exec] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_lambda] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [sym_ellipsis] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [sym_string] = ACTIONS(2551),
    [sym_integer] = ACTIONS(2551),
    [sym_float] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2551),
    [sym_comment] = ACTIONS(76),
  },
  [1182] = {
    [sym_elif_clause] = STATE(1180),
    [sym_else_clause] = STATE(1493),
    [aux_sym_if_statement_repeat1] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_print] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_del] = ACTIONS(2551),
    [anon_sym_raise] = ACTIONS(2551),
    [sym_pass_statement] = ACTIONS(2551),
    [sym_break_statement] = ACTIONS(2551),
    [sym_continue_statement] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_elif] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1954),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2551),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_def] = ACTIONS(2551),
    [anon_sym_global] = ACTIONS(2551),
    [anon_sym_nonlocal] = ACTIONS(2551),
    [anon_sym_exec] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_lambda] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [sym_ellipsis] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [sym_string] = ACTIONS(2551),
    [sym_integer] = ACTIONS(2551),
    [sym_float] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2551),
    [sym_comment] = ACTIONS(76),
  },
  [1183] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_SLASH_SLASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1184] = {
    [sym__simple_statements] = STATE(792),
    [sym_import_statement] = STATE(791),
    [sym_import_from_statement] = STATE(791),
    [sym_print_statement] = STATE(791),
    [sym_assert_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_delete_statement] = STATE(791),
    [sym_raise_statement] = STATE(791),
    [sym_global_statement] = STATE(791),
    [sym_nonlocal_statement] = STATE(791),
    [sym_exec_statement] = STATE(791),
    [sym__suite] = STATE(1495),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1295),
    [sym_break_statement] = ACTIONS(1295),
    [sym_continue_statement] = ACTIONS(1295),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1185] = {
    [sym__expression] = STATE(1496),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1186] = {
    [aux_sym_print_statement_repeat1] = STATE(1498),
    [anon_sym_COMMA] = ACTIONS(2555),
    [anon_sym_COLON] = ACTIONS(888),
    [sym_comment] = ACTIONS(76),
  },
  [1187] = {
    [sym__primary_expression] = STATE(781),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(188),
    [anon_sym_DASH] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(190),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1188] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1189] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(2557),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1190] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1191] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2559),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1192] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(2559),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2561),
  },
  [1193] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_from] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_print] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_del] = ACTIONS(2565),
    [anon_sym_raise] = ACTIONS(2565),
    [sym_pass_statement] = ACTIONS(2565),
    [sym_break_statement] = ACTIONS(2565),
    [sym_continue_statement] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_def] = ACTIONS(2565),
    [anon_sym_global] = ACTIONS(2565),
    [anon_sym_nonlocal] = ACTIONS(2565),
    [anon_sym_exec] = ACTIONS(2565),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_lambda] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [sym_ellipsis] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [sym_string] = ACTIONS(2565),
    [sym_integer] = ACTIONS(2565),
    [sym_float] = ACTIONS(2565),
    [sym_identifier] = ACTIONS(2567),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_none] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2565),
    [sym_comment] = ACTIONS(76),
  },
  [1194] = {
    [sym__dedent] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1195] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2569),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1196] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(2569),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2571),
  },
  [1197] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2573),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1198] = {
    [anon_sym_in] = ACTIONS(2575),
    [sym_comment] = ACTIONS(76),
  },
  [1199] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2577),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1200] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(395),
    [sym_import_from_statement] = STATE(395),
    [sym_print_statement] = STATE(395),
    [sym_assert_statement] = STATE(395),
    [sym_expression_statement] = STATE(395),
    [sym_return_statement] = STATE(395),
    [sym_delete_statement] = STATE(395),
    [sym_raise_statement] = STATE(395),
    [sym_global_statement] = STATE(395),
    [sym_nonlocal_statement] = STATE(395),
    [sym_exec_statement] = STATE(395),
    [sym__suite] = STATE(1507),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(654),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(656),
    [sym_break_statement] = ACTIONS(656),
    [sym_continue_statement] = ACTIONS(656),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1201] = {
    [aux_sym_with_statement_repeat1] = STATE(1509),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(2579),
    [sym_comment] = ACTIONS(76),
  },
  [1202] = {
    [sym__dedent] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(700),
    [anon_sym_from] = ACTIONS(700),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_print] = ACTIONS(700),
    [anon_sym_assert] = ACTIONS(700),
    [anon_sym_return] = ACTIONS(700),
    [anon_sym_del] = ACTIONS(700),
    [anon_sym_raise] = ACTIONS(700),
    [sym_pass_statement] = ACTIONS(700),
    [sym_break_statement] = ACTIONS(700),
    [sym_continue_statement] = ACTIONS(700),
    [anon_sym_if] = ACTIONS(700),
    [anon_sym_for] = ACTIONS(700),
    [anon_sym_while] = ACTIONS(700),
    [anon_sym_try] = ACTIONS(700),
    [anon_sym_with] = ACTIONS(700),
    [anon_sym_async] = ACTIONS(700),
    [anon_sym_def] = ACTIONS(700),
    [anon_sym_global] = ACTIONS(700),
    [anon_sym_nonlocal] = ACTIONS(700),
    [anon_sym_exec] = ACTIONS(700),
    [anon_sym_class] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(698),
    [anon_sym_not] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_TILDE] = ACTIONS(698),
    [anon_sym_lambda] = ACTIONS(700),
    [anon_sym_yield] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(698),
    [sym_ellipsis] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(698),
    [sym_string] = ACTIONS(700),
    [sym_integer] = ACTIONS(700),
    [sym_float] = ACTIONS(700),
    [sym_identifier] = ACTIONS(702),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_none] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(700),
    [sym_comment] = ACTIONS(76),
  },
  [1203] = {
    [sym_parameters] = STATE(1510),
    [anon_sym_LPAREN] = ACTIONS(704),
    [sym_comment] = ACTIONS(76),
  },
  [1204] = {
    [sym_argument_list] = STATE(1512),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_COLON] = ACTIONS(2581),
    [sym_comment] = ACTIONS(76),
  },
  [1205] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_except] = ACTIONS(2585),
    [anon_sym_finally] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1206] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_from] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_print] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(954),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_del] = ACTIONS(960),
    [anon_sym_raise] = ACTIONS(963),
    [sym_pass_statement] = ACTIONS(2589),
    [sym_break_statement] = ACTIONS(2589),
    [sym_continue_statement] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2604),
    [anon_sym_async] = ACTIONS(2607),
    [anon_sym_def] = ACTIONS(2610),
    [anon_sym_global] = ACTIONS(990),
    [anon_sym_nonlocal] = ACTIONS(993),
    [anon_sym_exec] = ACTIONS(996),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_AT] = ACTIONS(1002),
    [anon_sym_not] = ACTIONS(1005),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_lambda] = ACTIONS(1011),
    [anon_sym_yield] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [sym_ellipsis] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [sym_string] = ACTIONS(1026),
    [sym_integer] = ACTIONS(1029),
    [sym_float] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(1032),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [sym_none] = ACTIONS(1029),
    [anon_sym_await] = ACTIONS(1035),
    [sym_comment] = ACTIONS(76),
  },
  [1207] = {
    [sym__dedent] = ACTIONS(1038),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_print] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_del] = ACTIONS(1040),
    [anon_sym_raise] = ACTIONS(1040),
    [sym_pass_statement] = ACTIONS(1040),
    [sym_break_statement] = ACTIONS(1040),
    [sym_continue_statement] = ACTIONS(1040),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_while] = ACTIONS(1040),
    [anon_sym_try] = ACTIONS(1040),
    [anon_sym_with] = ACTIONS(1040),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_def] = ACTIONS(1040),
    [anon_sym_global] = ACTIONS(1040),
    [anon_sym_nonlocal] = ACTIONS(1040),
    [anon_sym_exec] = ACTIONS(1040),
    [anon_sym_class] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_not] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_lambda] = ACTIONS(1040),
    [anon_sym_yield] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [sym_ellipsis] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [sym_string] = ACTIONS(1040),
    [sym_integer] = ACTIONS(1040),
    [sym_float] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1042),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [anon_sym_await] = ACTIONS(1040),
    [sym_comment] = ACTIONS(76),
  },
  [1208] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_except] = ACTIONS(1266),
    [anon_sym_finally] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1209] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2616),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1210] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(395),
    [sym_import_from_statement] = STATE(395),
    [sym_print_statement] = STATE(395),
    [sym_assert_statement] = STATE(395),
    [sym_expression_statement] = STATE(395),
    [sym_return_statement] = STATE(395),
    [sym_delete_statement] = STATE(395),
    [sym_raise_statement] = STATE(395),
    [sym_global_statement] = STATE(395),
    [sym_nonlocal_statement] = STATE(395),
    [sym_exec_statement] = STATE(395),
    [sym__suite] = STATE(1514),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(654),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(656),
    [sym_break_statement] = ACTIONS(656),
    [sym_continue_statement] = ACTIONS(656),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1211] = {
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(2620),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [1212] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1517),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1213] = {
    [anon_sym_COLON] = ACTIONS(2622),
    [sym_comment] = ACTIONS(76),
  },
  [1214] = {
    [sym_finally_clause] = STATE(1519),
    [ts_builtin_sym_end] = ACTIONS(2624),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_from] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_print] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_del] = ACTIONS(2626),
    [anon_sym_raise] = ACTIONS(2626),
    [sym_pass_statement] = ACTIONS(2626),
    [sym_break_statement] = ACTIONS(2626),
    [sym_continue_statement] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_finally] = ACTIONS(2041),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_def] = ACTIONS(2626),
    [anon_sym_global] = ACTIONS(2626),
    [anon_sym_nonlocal] = ACTIONS(2626),
    [anon_sym_exec] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_lambda] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_ellipsis] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [sym_string] = ACTIONS(2626),
    [sym_integer] = ACTIONS(2626),
    [sym_float] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_none] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2626),
    [sym_comment] = ACTIONS(76),
  },
  [1215] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_from] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_print] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_del] = ACTIONS(2626),
    [anon_sym_raise] = ACTIONS(2626),
    [sym_pass_statement] = ACTIONS(2626),
    [sym_break_statement] = ACTIONS(2626),
    [sym_continue_statement] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_def] = ACTIONS(2626),
    [anon_sym_global] = ACTIONS(2626),
    [anon_sym_nonlocal] = ACTIONS(2626),
    [anon_sym_exec] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_lambda] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_ellipsis] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [sym_string] = ACTIONS(2626),
    [sym_integer] = ACTIONS(2626),
    [sym_float] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_none] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2626),
    [sym_comment] = ACTIONS(76),
  },
  [1216] = {
    [sym_except_clause] = STATE(814),
    [aux_sym_try_statement_repeat1] = STATE(1216),
    [ts_builtin_sym_end] = ACTIONS(2630),
    [anon_sym_import] = ACTIONS(2632),
    [anon_sym_from] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2630),
    [anon_sym_print] = ACTIONS(2632),
    [anon_sym_assert] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_del] = ACTIONS(2632),
    [anon_sym_raise] = ACTIONS(2632),
    [sym_pass_statement] = ACTIONS(2632),
    [sym_break_statement] = ACTIONS(2632),
    [sym_continue_statement] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_except] = ACTIONS(2634),
    [anon_sym_finally] = ACTIONS(2632),
    [anon_sym_with] = ACTIONS(2632),
    [anon_sym_async] = ACTIONS(2632),
    [anon_sym_def] = ACTIONS(2632),
    [anon_sym_global] = ACTIONS(2632),
    [anon_sym_nonlocal] = ACTIONS(2632),
    [anon_sym_exec] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_lambda] = ACTIONS(2632),
    [anon_sym_yield] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [sym_ellipsis] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [sym_string] = ACTIONS(2632),
    [sym_integer] = ACTIONS(2632),
    [sym_float] = ACTIONS(2632),
    [sym_identifier] = ACTIONS(2637),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [sym_none] = ACTIONS(2632),
    [anon_sym_await] = ACTIONS(2632),
    [sym_comment] = ACTIONS(76),
  },
  [1217] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_as] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [1218] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1219] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(2639),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1220] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_from] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_print] = ACTIONS(2643),
    [anon_sym_assert] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_del] = ACTIONS(2643),
    [anon_sym_raise] = ACTIONS(2643),
    [sym_pass_statement] = ACTIONS(2643),
    [sym_break_statement] = ACTIONS(2643),
    [sym_continue_statement] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_async] = ACTIONS(2643),
    [anon_sym_def] = ACTIONS(2643),
    [anon_sym_global] = ACTIONS(2643),
    [anon_sym_nonlocal] = ACTIONS(2643),
    [anon_sym_exec] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_lambda] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [sym_ellipsis] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [sym_string] = ACTIONS(2643),
    [sym_integer] = ACTIONS(2643),
    [sym_float] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_none] = ACTIONS(2643),
    [anon_sym_await] = ACTIONS(2643),
    [sym_comment] = ACTIONS(76),
  },
  [1221] = {
    [sym__expression] = STATE(1521),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [1222] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_as] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(682),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(684),
    [anon_sym_SLASH_SLASH] = ACTIONS(684),
    [anon_sym_STAR_STAR] = ACTIONS(686),
    [anon_sym_PIPE] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(692),
    [anon_sym_LT_LT] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1223] = {
    [sym__expression] = STATE(1522),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1224] = {
    [sym__expression] = STATE(1523),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1225] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1226] = {
    [sym_lambda_parameters] = STATE(1525),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2647),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1227] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1526),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1228] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1229] = {
    [anon_sym_RPAREN] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_COLON] = ACTIONS(1373),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1230] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1540),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_COLON] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2659),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_GT] = ACTIONS(2675),
    [anon_sym_LT_GT] = ACTIONS(2659),
    [anon_sym_is] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1231] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(1543),
    [sym_dictionary_splat] = STATE(1543),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [sym_comment] = ACTIONS(76),
  },
  [1232] = {
    [sym__expression] = STATE(888),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(1544),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1233] = {
    [sym__expression] = STATE(1545),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1234] = {
    [aux_sym__parameters_repeat1] = STATE(1547),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(2683),
    [sym_comment] = ACTIONS(76),
  },
  [1235] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(1543),
    [sym_dictionary_splat] = STATE(1543),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [sym_comment] = ACTIONS(76),
  },
  [1236] = {
    [sym__expression] = STATE(1553),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(1555),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1237] = {
    [sym__expression] = STATE(1556),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1238] = {
    [aux_sym__parameters_repeat1] = STATE(1547),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(2695),
    [sym_comment] = ACTIONS(76),
  },
  [1239] = {
    [anon_sym_COLON] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(76),
  },
  [1240] = {
    [sym__expression] = STATE(1558),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(906),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1241] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_from] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_print] = ACTIONS(2701),
    [anon_sym_assert] = ACTIONS(2701),
    [anon_sym_return] = ACTIONS(2701),
    [anon_sym_del] = ACTIONS(2701),
    [anon_sym_raise] = ACTIONS(2701),
    [sym_pass_statement] = ACTIONS(2701),
    [sym_break_statement] = ACTIONS(2701),
    [sym_continue_statement] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_try] = ACTIONS(2701),
    [anon_sym_with] = ACTIONS(2701),
    [anon_sym_async] = ACTIONS(2701),
    [anon_sym_def] = ACTIONS(2701),
    [anon_sym_global] = ACTIONS(2701),
    [anon_sym_nonlocal] = ACTIONS(2701),
    [anon_sym_exec] = ACTIONS(2701),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_lambda] = ACTIONS(2701),
    [anon_sym_yield] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [sym_ellipsis] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [sym_string] = ACTIONS(2701),
    [sym_integer] = ACTIONS(2701),
    [sym_float] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [sym_true] = ACTIONS(2701),
    [sym_false] = ACTIONS(2701),
    [sym_none] = ACTIONS(2701),
    [anon_sym_await] = ACTIONS(2701),
    [sym_comment] = ACTIONS(76),
  },
  [1242] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1243] = {
    [anon_sym_COLON] = ACTIONS(2705),
    [sym_comment] = ACTIONS(76),
  },
  [1244] = {
    [aux_sym_print_statement_repeat1] = STATE(675),
    [sym__newline] = ACTIONS(2707),
    [anon_sym_COMMA] = ACTIONS(508),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2707),
  },
  [1245] = {
    [ts_builtin_sym_end] = ACTIONS(2709),
    [anon_sym_import] = ACTIONS(2711),
    [anon_sym_from] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_print] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_del] = ACTIONS(2711),
    [anon_sym_raise] = ACTIONS(2711),
    [sym_pass_statement] = ACTIONS(2711),
    [sym_break_statement] = ACTIONS(2711),
    [sym_continue_statement] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_with] = ACTIONS(2711),
    [anon_sym_async] = ACTIONS(2711),
    [anon_sym_def] = ACTIONS(2711),
    [anon_sym_global] = ACTIONS(2711),
    [anon_sym_nonlocal] = ACTIONS(2711),
    [anon_sym_exec] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_AT] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_lambda] = ACTIONS(2711),
    [anon_sym_yield] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [sym_ellipsis] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [sym_string] = ACTIONS(2711),
    [sym_integer] = ACTIONS(2711),
    [sym_float] = ACTIONS(2711),
    [sym_identifier] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [sym_none] = ACTIONS(2711),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(76),
  },
  [1246] = {
    [sym__newline] = ACTIONS(2372),
    [sym_comment] = ACTIONS(76),
  },
  [1247] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1248] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2715),
    [anon_sym_COMMA] = ACTIONS(2717),
    [sym_comment] = ACTIONS(76),
  },
  [1249] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1250] = {
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1251] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1251),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1252] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1253] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1254] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1255] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1256] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1257] = {
    [sym__primary_expression] = STATE(1564),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1258] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1259] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1260] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1261] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1262] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1262),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2724),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_LT_EQ] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_GT] = ACTIONS(2721),
    [anon_sym_is] = ACTIONS(2730),
    [sym_comment] = ACTIONS(76),
  },
  [1263] = {
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(2144),
    [sym_comment] = ACTIONS(76),
  },
  [1264] = {
    [sym__expression] = STATE(1565),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1265] = {
    [anon_sym_COLON] = ACTIONS(2733),
    [sym_comment] = ACTIONS(76),
  },
  [1266] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1567),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_EQ] = ACTIONS(882),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1267] = {
    [sym__expression] = STATE(1568),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1268] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1269] = {
    [sym__expression] = STATE(1569),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1270] = {
    [sym__primary_expression] = STATE(1570),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1271] = {
    [sym__primary_expression] = STATE(1571),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1272] = {
    [sym__primary_expression] = STATE(1572),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1273] = {
    [anon_sym_in] = ACTIONS(2735),
    [sym_comment] = ACTIONS(76),
  },
  [1274] = {
    [sym__primary_expression] = STATE(1574),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1275] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1276] = {
    [sym__primary_expression] = STATE(1575),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1277] = {
    [sym__primary_expression] = STATE(1576),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1278] = {
    [sym__primary_expression] = STATE(1577),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1279] = {
    [sym__primary_expression] = STATE(1572),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1280] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1578),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_not] = ACTIONS(2152),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_LT_EQ] = ACTIONS(2150),
    [anon_sym_EQ_EQ] = ACTIONS(2150),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_GT_EQ] = ACTIONS(2150),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_LT_GT] = ACTIONS(2150),
    [anon_sym_is] = ACTIONS(2168),
    [sym_comment] = ACTIONS(76),
  },
  [1281] = {
    [sym__expression] = STATE(1579),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1282] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(882),
    [sym_dictionary_splat] = STATE(882),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(1405),
    [anon_sym_exec] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(76),
  },
  [1283] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(2185),
    [sym_comment] = ACTIONS(76),
  },
  [1284] = {
    [sym__expression] = STATE(1580),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [1285] = {
    [anon_sym_COLON] = ACTIONS(2739),
    [sym_comment] = ACTIONS(76),
  },
  [1286] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1582),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_EQ] = ACTIONS(882),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1287] = {
    [sym__expression] = STATE(1583),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1288] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [1289] = {
    [sym__expression] = STATE(1584),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [1290] = {
    [sym__primary_expression] = STATE(1585),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1291] = {
    [sym__primary_expression] = STATE(1586),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1292] = {
    [sym__primary_expression] = STATE(1587),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1293] = {
    [anon_sym_in] = ACTIONS(2741),
    [sym_comment] = ACTIONS(76),
  },
  [1294] = {
    [sym__primary_expression] = STATE(1589),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1295] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1296] = {
    [sym__primary_expression] = STATE(1590),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1297] = {
    [sym__primary_expression] = STATE(1591),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1298] = {
    [sym__primary_expression] = STATE(1592),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1299] = {
    [sym__primary_expression] = STATE(1587),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1300] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1593),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_LT_GT] = ACTIONS(2191),
    [anon_sym_is] = ACTIONS(2209),
    [sym_comment] = ACTIONS(76),
  },
  [1301] = {
    [sym__expression] = STATE(1594),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1302] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1303] = {
    [sym__expression] = STATE(1595),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1304] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1304),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1305] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2745),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1306] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1307] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1308] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1309] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1310] = {
    [sym__primary_expression] = STATE(1597),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1311] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1312] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1313] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1314] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1315] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1315),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LT_GT] = ACTIONS(2747),
    [anon_sym_is] = ACTIONS(2756),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1316] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1317] = {
    [sym__newline] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_GT_GT] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2759),
  },
  [1318] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(236),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1319] = {
    [sym__expression] = STATE(1598),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1320] = {
    [sym__expression_within_for_in_clause] = STATE(1600),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1321] = {
    [sym__expression] = STATE(1602),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1322] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1323] = {
    [sym_lambda_parameters] = STATE(1604),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2765),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1324] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1605),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1325] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1326] = {
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(2439),
    [sym_comment] = ACTIONS(76),
  },
  [1327] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1619),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_GT] = ACTIONS(2775),
    [anon_sym_is] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [1328] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1328),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_RBRACK] = ACTIONS(2469),
    [sym_comment] = ACTIONS(76),
  },
  [1329] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(794),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_SLASH_SLASH] = ACTIONS(802),
    [anon_sym_STAR_STAR] = ACTIONS(804),
    [anon_sym_PIPE] = ACTIONS(806),
    [anon_sym_AMP] = ACTIONS(808),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1330] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1331] = {
    [sym__expression] = STATE(1620),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1332] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1332),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1333] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1334] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1335] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1336] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1337] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1338] = {
    [sym__primary_expression] = STATE(1622),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1339] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1340] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1341] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1342] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1343] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1343),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2809),
    [anon_sym_LT_GT] = ACTIONS(2803),
    [anon_sym_is] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1344] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1345] = {
    [sym__newline] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_in] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_GT] = ACTIONS(2815),
    [anon_sym_is] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2815),
  },
  [1346] = {
    [sym_list_splat] = STATE(929),
    [sym__expression] = STATE(972),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1347] = {
    [sym__expression] = STATE(1623),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1348] = {
    [sym__newline] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_GT_GT] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_in] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_GT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2819),
  },
  [1349] = {
    [sym_dictionary_splat] = STATE(977),
    [sym__expression] = STATE(978),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_pair] = STATE(977),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1350] = {
    [sym__expression] = STATE(1624),
    [sym__primary_expression] = STATE(170),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_lambda] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(266),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(268),
    [sym_comment] = ACTIONS(76),
  },
  [1351] = {
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [1352] = {
    [sym__expression] = STATE(1625),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1353] = {
    [anon_sym_COLON] = ACTIONS(2823),
    [sym_comment] = ACTIONS(76),
  },
  [1354] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1627),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1355] = {
    [sym__expression] = STATE(1628),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1356] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1357] = {
    [sym__expression] = STATE(1629),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1358] = {
    [sym__primary_expression] = STATE(1630),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1359] = {
    [sym__primary_expression] = STATE(1631),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1360] = {
    [sym__primary_expression] = STATE(1632),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1361] = {
    [anon_sym_in] = ACTIONS(2825),
    [sym_comment] = ACTIONS(76),
  },
  [1362] = {
    [sym__primary_expression] = STATE(1634),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1363] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1364] = {
    [sym__primary_expression] = STATE(1635),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1365] = {
    [sym__primary_expression] = STATE(1636),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1366] = {
    [sym__primary_expression] = STATE(1637),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1367] = {
    [sym__primary_expression] = STATE(1632),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1368] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1638),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_GT] = ACTIONS(2312),
    [anon_sym_is] = ACTIONS(2330),
    [anon_sym_RBRACE] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [1369] = {
    [sym__expression_within_for_in_clause] = STATE(1640),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1370] = {
    [sym__expression] = STATE(1642),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1371] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1372] = {
    [sym_lambda_parameters] = STATE(1644),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2831),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1373] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1645),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_for] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1374] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1375] = {
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [sym_comment] = ACTIONS(76),
  },
  [1376] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1659),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_LT_GT] = ACTIONS(2841),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(310),
    [sym_comment] = ACTIONS(76),
  },
  [1377] = {
    [sym_for_in_clause] = STATE(632),
    [sym_if_clause] = STATE(632),
    [aux_sym__comprehension_body_repeat1] = STATE(1377),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2469),
    [sym_comment] = ACTIONS(76),
  },
  [1378] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_SLASH_SLASH] = ACTIONS(862),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1379] = {
    [sym__expression] = STATE(530),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(218),
    [anon_sym_EQ] = ACTIONS(1620),
    [anon_sym_exec] = ACTIONS(218),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_PLUS_EQ] = ACTIONS(1620),
    [anon_sym_DASH_EQ] = ACTIONS(1620),
    [anon_sym_STAR_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_PERCENT_EQ] = ACTIONS(1620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_LT_LT_EQ] = ACTIONS(1620),
    [anon_sym_AMP_EQ] = ACTIONS(1620),
    [anon_sym_CARET_EQ] = ACTIONS(1620),
    [anon_sym_PIPE_EQ] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(1620),
  },
  [1380] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1381] = {
    [sym__expression] = STATE(1660),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1382] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1382),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1383] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1384] = {
    [sym__newline] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(306),
    [anon_sym_or] = ACTIONS(308),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2869),
  },
  [1385] = {
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_else] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1386] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1387] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1388] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1389] = {
    [sym__primary_expression] = STATE(1662),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1390] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1391] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1392] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1393] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1394] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1394),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2874),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2871),
    [anon_sym_is] = ACTIONS(2880),
    [sym_comment] = ACTIONS(76),
  },
  [1395] = {
    [anon_sym_RPAREN] = ACTIONS(2124),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1396] = {
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1397] = {
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1398] = {
    [sym__newline] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_in] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH] = ACTIONS(2889),
    [anon_sym_STAR_STAR] = ACTIONS(2889),
    [anon_sym_PIPE] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2889),
    [anon_sym_LT_LT] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_LT_GT] = ACTIONS(2887),
    [anon_sym_is] = ACTIONS(2887),
    [anon_sym_PLUS_EQ] = ACTIONS(2887),
    [anon_sym_DASH_EQ] = ACTIONS(2887),
    [anon_sym_STAR_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2887),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2887),
    [anon_sym_GT_GT_EQ] = ACTIONS(2887),
    [anon_sym_LT_LT_EQ] = ACTIONS(2887),
    [anon_sym_AMP_EQ] = ACTIONS(2887),
    [anon_sym_CARET_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_EQ] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2887),
  },
  [1399] = {
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_COMMA] = ACTIONS(2891),
    [sym_comment] = ACTIONS(76),
  },
  [1400] = {
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_COMMA] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1401] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1402] = {
    [aux_sym_argument_list_repeat1] = STATE(1402),
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_COMMA] = ACTIONS(2895),
    [sym_comment] = ACTIONS(76),
  },
  [1403] = {
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(2898),
    [sym_comment] = ACTIONS(76),
  },
  [1404] = {
    [sym__expression] = STATE(1665),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2898),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1405] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1406] = {
    [sym__expression] = STATE(1666),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1407] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1407),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1408] = {
    [sym__newline] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_GT_GT] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_in] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH] = ACTIONS(2902),
    [anon_sym_STAR_STAR] = ACTIONS(2902),
    [anon_sym_PIPE] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2902),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2900),
    [anon_sym_GT_GT_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT_EQ] = ACTIONS(2900),
    [anon_sym_AMP_EQ] = ACTIONS(2900),
    [anon_sym_CARET_EQ] = ACTIONS(2900),
    [anon_sym_PIPE_EQ] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2900),
  },
  [1409] = {
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(2904),
    [sym_comment] = ACTIONS(76),
  },
  [1410] = {
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_RBRACK] = ACTIONS(2904),
    [sym_comment] = ACTIONS(76),
  },
  [1411] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2906),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1412] = {
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(2898),
    [sym_comment] = ACTIONS(76),
  },
  [1413] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1414] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2910),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1415] = {
    [aux_sym_subscript_repeat1] = STATE(1415),
    [anon_sym_COMMA] = ACTIONS(2912),
    [anon_sym_RBRACK] = ACTIONS(2904),
    [sym_comment] = ACTIONS(76),
  },
  [1416] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1417] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1418] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1419] = {
    [sym__primary_expression] = STATE(1671),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1420] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1421] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1422] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1423] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1424] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1424),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2918),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_GT] = ACTIONS(2915),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1425] = {
    [aux_sym_dotted_name_repeat1] = STATE(1672),
    [anon_sym_DOT] = ACTIONS(366),
    [anon_sym_RPAREN] = ACTIONS(1051),
    [anon_sym_COMMA] = ACTIONS(1051),
    [anon_sym_as] = ACTIONS(1051),
    [sym_comment] = ACTIONS(76),
  },
  [1426] = {
    [sym__newline] = ACTIONS(2927),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2927),
  },
  [1427] = {
    [sym_aliased_import] = STATE(1673),
    [sym_dotted_name] = STATE(1674),
    [anon_sym_RPAREN] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(1722),
    [sym_comment] = ACTIONS(76),
  },
  [1428] = {
    [aux_sym__import_list_repeat1] = STATE(1676),
    [anon_sym_RPAREN] = ACTIONS(1053),
    [anon_sym_COMMA] = ACTIONS(2929),
    [sym_comment] = ACTIONS(76),
  },
  [1429] = {
    [sym_identifier] = ACTIONS(2931),
    [sym_comment] = ACTIONS(76),
  },
  [1430] = {
    [anon_sym_RPAREN] = ACTIONS(2933),
    [sym_comment] = ACTIONS(76),
  },
  [1431] = {
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_RPAREN] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2477),
    [anon_sym_as] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_COLON] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_for] = ACTIONS(2477),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(2479),
    [anon_sym_not] = ACTIONS(2477),
    [anon_sym_and] = ACTIONS(2477),
    [anon_sym_or] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_SLASH_SLASH] = ACTIONS(2477),
    [anon_sym_STAR_STAR] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2477),
    [anon_sym_BANG_EQ] = ACTIONS(2477),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_GT] = ACTIONS(2479),
    [anon_sym_LT_GT] = ACTIONS(2477),
    [anon_sym_is] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [anon_sym_RBRACK] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2477),
    [sym_comment] = ACTIONS(76),
  },
  [1432] = {
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1433] = {
    [sym__expression] = STATE(1679),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1434] = {
    [sym__expression] = STATE(1072),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1435] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1436] = {
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_RPAREN] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_as] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_GT_GT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_RBRACK] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [sym_comment] = ACTIONS(76),
  },
  [1437] = {
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_as] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_in] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_GT] = ACTIONS(2815),
    [anon_sym_is] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_RBRACK] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [sym_comment] = ACTIONS(76),
  },
  [1438] = {
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_as] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_in] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_GT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [sym_comment] = ACTIONS(76),
  },
  [1439] = {
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [1440] = {
    [sym_lambda_parameters] = STATE(1681),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1441] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1683),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [sym_comment] = ACTIONS(76),
  },
  [1442] = {
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(416),
    [anon_sym_or] = ACTIONS(418),
    [sym_comment] = ACTIONS(76),
  },
  [1443] = {
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [sym_comment] = ACTIONS(76),
  },
  [1444] = {
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [1445] = {
    [sym__expression] = STATE(1684),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1446] = {
    [anon_sym_COLON] = ACTIONS(2945),
    [sym_comment] = ACTIONS(76),
  },
  [1447] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1686),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1448] = {
    [sym__expression] = STATE(1687),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1449] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1450] = {
    [sym__expression] = STATE(1688),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1451] = {
    [sym__primary_expression] = STATE(1689),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1452] = {
    [sym__primary_expression] = STATE(1690),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1453] = {
    [sym__primary_expression] = STATE(1691),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1454] = {
    [anon_sym_in] = ACTIONS(2947),
    [sym_comment] = ACTIONS(76),
  },
  [1455] = {
    [sym__primary_expression] = STATE(1693),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1456] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1457] = {
    [sym__primary_expression] = STATE(1694),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1458] = {
    [sym__primary_expression] = STATE(1695),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1459] = {
    [sym__primary_expression] = STATE(1696),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1460] = {
    [sym__primary_expression] = STATE(1691),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1461] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1697),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2449),
    [anon_sym_not] = ACTIONS(2451),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2465),
    [anon_sym_LT_GT] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2467),
    [sym_comment] = ACTIONS(76),
  },
  [1462] = {
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_as] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_COLON] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_in] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_LT_GT] = ACTIONS(2887),
    [anon_sym_is] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_RBRACK] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
  },
  [1463] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1464] = {
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_RPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_as] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_in] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_SLASH_SLASH] = ACTIONS(2900),
    [anon_sym_STAR_STAR] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_RBRACK] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [sym_comment] = ACTIONS(76),
  },
  [1465] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2953),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1466] = {
    [sym__newline] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_not] = ACTIONS(2477),
    [anon_sym_and] = ACTIONS(2477),
    [anon_sym_or] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_SLASH_SLASH] = ACTIONS(2477),
    [anon_sym_STAR_STAR] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2477),
    [anon_sym_BANG_EQ] = ACTIONS(2477),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_GT] = ACTIONS(2479),
    [anon_sym_LT_GT] = ACTIONS(2477),
    [anon_sym_is] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2477),
  },
  [1467] = {
    [sym__newline] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_GT_GT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2759),
  },
  [1468] = {
    [sym__newline] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_in] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_GT] = ACTIONS(2815),
    [anon_sym_is] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2815),
  },
  [1469] = {
    [sym__newline] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_in] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_GT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2819),
  },
  [1470] = {
    [sym__newline] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_and] = ACTIONS(472),
    [anon_sym_or] = ACTIONS(474),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2869),
  },
  [1471] = {
    [sym__newline] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_in] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_LT_GT] = ACTIONS(2887),
    [anon_sym_is] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2887),
  },
  [1472] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1473] = {
    [sym__newline] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_in] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_SLASH_SLASH] = ACTIONS(2900),
    [anon_sym_STAR_STAR] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2900),
  },
  [1474] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2957),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1475] = {
    [sym__newline] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2219),
  },
  [1476] = {
    [sym__expression] = STATE(1702),
    [sym__primary_expression] = STATE(316),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(76),
    [sym_unary_operator] = STATE(76),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_attribute] = STATE(76),
    [sym_subscript] = STATE(76),
    [sym_call] = STATE(76),
    [sym_list] = STATE(76),
    [sym_list_comprehension] = STATE(76),
    [sym_dictionary] = STATE(76),
    [sym_dictionary_comprehension] = STATE(76),
    [sym_set] = STATE(76),
    [sym_set_comprehension] = STATE(76),
    [sym_parenthesized_expression] = STATE(76),
    [sym_tuple] = STATE(76),
    [sym_generator_expression] = STATE(76),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(76),
    [sym_await] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(138),
    [anon_sym_print] = ACTIONS(118),
    [anon_sym_exec] = ACTIONS(118),
    [anon_sym_not] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_lambda] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(142),
    [sym_ellipsis] = ACTIONS(126),
    [anon_sym_LBRACE] = ACTIONS(128),
    [sym_string] = ACTIONS(522),
    [sym_integer] = ACTIONS(132),
    [sym_float] = ACTIONS(132),
    [sym_identifier] = ACTIONS(134),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [sym_none] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(524),
    [sym_comment] = ACTIONS(76),
  },
  [1477] = {
    [sym_argument_list] = STATE(304),
    [sym_generator_expression] = STATE(304),
    [sym__newline] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(504),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2380),
  },
  [1478] = {
    [sym__newline] = ACTIONS(2477),
    [anon_sym_from] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_not] = ACTIONS(2477),
    [anon_sym_and] = ACTIONS(2477),
    [anon_sym_or] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_SLASH_SLASH] = ACTIONS(2477),
    [anon_sym_STAR_STAR] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2477),
    [anon_sym_BANG_EQ] = ACTIONS(2477),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_GT] = ACTIONS(2479),
    [anon_sym_LT_GT] = ACTIONS(2477),
    [anon_sym_is] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2477),
  },
  [1479] = {
    [sym__newline] = ACTIONS(2759),
    [anon_sym_from] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_GT_GT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2759),
  },
  [1480] = {
    [sym__newline] = ACTIONS(2815),
    [anon_sym_from] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_in] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_GT] = ACTIONS(2815),
    [anon_sym_is] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2815),
  },
  [1481] = {
    [sym__newline] = ACTIONS(2819),
    [anon_sym_from] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_in] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_GT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2819),
  },
  [1482] = {
    [sym__newline] = ACTIONS(2869),
    [anon_sym_from] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(552),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2869),
  },
  [1483] = {
    [sym__newline] = ACTIONS(2887),
    [anon_sym_from] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_COMMA] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_in] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_and] = ACTIONS(2887),
    [anon_sym_or] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2889),
    [anon_sym_LT_GT] = ACTIONS(2887),
    [anon_sym_is] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2887),
  },
  [1484] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1485] = {
    [sym__newline] = ACTIONS(2900),
    [anon_sym_from] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_in] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_SLASH_SLASH] = ACTIONS(2900),
    [anon_sym_STAR_STAR] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2900),
  },
  [1486] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(2961),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1487] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1488] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_elif] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1489] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_elif] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1490] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1491] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1492] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1707),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1493] = {
    [ts_builtin_sym_end] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2969),
    [anon_sym_from] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_print] = ACTIONS(2969),
    [anon_sym_assert] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_del] = ACTIONS(2969),
    [anon_sym_raise] = ACTIONS(2969),
    [sym_pass_statement] = ACTIONS(2969),
    [sym_break_statement] = ACTIONS(2969),
    [sym_continue_statement] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_with] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(2969),
    [anon_sym_def] = ACTIONS(2969),
    [anon_sym_global] = ACTIONS(2969),
    [anon_sym_nonlocal] = ACTIONS(2969),
    [anon_sym_exec] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_lambda] = ACTIONS(2969),
    [anon_sym_yield] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [sym_ellipsis] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [sym_string] = ACTIONS(2969),
    [sym_integer] = ACTIONS(2969),
    [sym_float] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [sym_none] = ACTIONS(2969),
    [anon_sym_await] = ACTIONS(2969),
    [sym_comment] = ACTIONS(76),
  },
  [1494] = {
    [sym_elif_clause] = STATE(1180),
    [aux_sym_if_statement_repeat1] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(2973),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_from] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [anon_sym_print] = ACTIONS(2975),
    [anon_sym_assert] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_del] = ACTIONS(2975),
    [anon_sym_raise] = ACTIONS(2975),
    [sym_pass_statement] = ACTIONS(2975),
    [sym_break_statement] = ACTIONS(2975),
    [sym_continue_statement] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_elif] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_with] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_def] = ACTIONS(2975),
    [anon_sym_global] = ACTIONS(2975),
    [anon_sym_nonlocal] = ACTIONS(2975),
    [anon_sym_exec] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_lambda] = ACTIONS(2975),
    [anon_sym_yield] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [sym_ellipsis] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [sym_string] = ACTIONS(2975),
    [sym_integer] = ACTIONS(2975),
    [sym_float] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2980),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_none] = ACTIONS(2975),
    [anon_sym_await] = ACTIONS(2975),
    [sym_comment] = ACTIONS(76),
  },
  [1495] = {
    [sym_else_clause] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(2982),
    [anon_sym_import] = ACTIONS(2984),
    [anon_sym_from] = ACTIONS(2984),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_print] = ACTIONS(2984),
    [anon_sym_assert] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_del] = ACTIONS(2984),
    [anon_sym_raise] = ACTIONS(2984),
    [sym_pass_statement] = ACTIONS(2984),
    [sym_break_statement] = ACTIONS(2984),
    [sym_continue_statement] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_else] = ACTIONS(1954),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_with] = ACTIONS(2984),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_def] = ACTIONS(2984),
    [anon_sym_global] = ACTIONS(2984),
    [anon_sym_nonlocal] = ACTIONS(2984),
    [anon_sym_exec] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_AT] = ACTIONS(2982),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_lambda] = ACTIONS(2984),
    [anon_sym_yield] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2982),
    [sym_ellipsis] = ACTIONS(2982),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [sym_string] = ACTIONS(2984),
    [sym_integer] = ACTIONS(2984),
    [sym_float] = ACTIONS(2984),
    [sym_identifier] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [sym_none] = ACTIONS(2984),
    [anon_sym_await] = ACTIONS(2984),
    [sym_comment] = ACTIONS(76),
  },
  [1496] = {
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(1580),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1497] = {
    [sym__expression] = STATE(1496),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1498] = {
    [aux_sym_print_statement_repeat1] = STATE(1498),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_COLON] = ACTIONS(1580),
    [sym_comment] = ACTIONS(76),
  },
  [1499] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1500] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1501] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1502] = {
    [sym__dedent] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1503] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(2993),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1504] = {
    [sym__simple_statements] = STATE(1714),
    [sym_import_statement] = STATE(1713),
    [sym_import_from_statement] = STATE(1713),
    [sym_print_statement] = STATE(1713),
    [sym_assert_statement] = STATE(1713),
    [sym_expression_statement] = STATE(1713),
    [sym_return_statement] = STATE(1713),
    [sym_delete_statement] = STATE(1713),
    [sym_raise_statement] = STATE(1713),
    [sym_global_statement] = STATE(1713),
    [sym_nonlocal_statement] = STATE(1713),
    [sym_exec_statement] = STATE(1713),
    [sym__suite] = STATE(1715),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(2997),
    [sym_break_statement] = ACTIONS(2997),
    [sym_continue_statement] = ACTIONS(2997),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1505] = {
    [sym_expression_list] = STATE(1716),
    [sym__expression] = STATE(780),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1506] = {
    [sym__simple_statements] = STATE(1719),
    [sym_import_statement] = STATE(1718),
    [sym_import_from_statement] = STATE(1718),
    [sym_print_statement] = STATE(1718),
    [sym_assert_statement] = STATE(1718),
    [sym_expression_statement] = STATE(1718),
    [sym_return_statement] = STATE(1718),
    [sym_delete_statement] = STATE(1718),
    [sym_raise_statement] = STATE(1718),
    [sym_global_statement] = STATE(1718),
    [sym_nonlocal_statement] = STATE(1718),
    [sym_exec_statement] = STATE(1718),
    [sym__suite] = STATE(1720),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3001),
    [sym_break_statement] = ACTIONS(3001),
    [sym_continue_statement] = ACTIONS(3001),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1507] = {
    [sym_except_clause] = STATE(1723),
    [sym_finally_clause] = STATE(1724),
    [aux_sym_try_statement_repeat1] = STATE(1725),
    [anon_sym_except] = ACTIONS(3003),
    [anon_sym_finally] = ACTIONS(3005),
    [sym_comment] = ACTIONS(76),
  },
  [1508] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1728),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1509] = {
    [aux_sym_with_statement_repeat1] = STATE(825),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(3009),
    [sym_comment] = ACTIONS(76),
  },
  [1510] = {
    [anon_sym_COLON] = ACTIONS(3011),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [sym_comment] = ACTIONS(76),
  },
  [1511] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1732),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1512] = {
    [anon_sym_COLON] = ACTIONS(3015),
    [sym_comment] = ACTIONS(76),
  },
  [1513] = {
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_except] = ACTIONS(1936),
    [anon_sym_finally] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1514] = {
    [ts_builtin_sym_end] = ACTIONS(3017),
    [anon_sym_import] = ACTIONS(3019),
    [anon_sym_from] = ACTIONS(3019),
    [anon_sym_LPAREN] = ACTIONS(3017),
    [anon_sym_print] = ACTIONS(3019),
    [anon_sym_assert] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_del] = ACTIONS(3019),
    [anon_sym_raise] = ACTIONS(3019),
    [sym_pass_statement] = ACTIONS(3019),
    [sym_break_statement] = ACTIONS(3019),
    [sym_continue_statement] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_else] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_except] = ACTIONS(3019),
    [anon_sym_finally] = ACTIONS(3019),
    [anon_sym_with] = ACTIONS(3019),
    [anon_sym_async] = ACTIONS(3019),
    [anon_sym_def] = ACTIONS(3019),
    [anon_sym_global] = ACTIONS(3019),
    [anon_sym_nonlocal] = ACTIONS(3019),
    [anon_sym_exec] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_lambda] = ACTIONS(3019),
    [anon_sym_yield] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [sym_ellipsis] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [sym_string] = ACTIONS(3019),
    [sym_integer] = ACTIONS(3019),
    [sym_float] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [sym_none] = ACTIONS(3019),
    [anon_sym_await] = ACTIONS(3019),
    [sym_comment] = ACTIONS(76),
  },
  [1515] = {
    [sym__expression] = STATE(1734),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1516] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(395),
    [sym_import_from_statement] = STATE(395),
    [sym_print_statement] = STATE(395),
    [sym_assert_statement] = STATE(395),
    [sym_expression_statement] = STATE(395),
    [sym_return_statement] = STATE(395),
    [sym_delete_statement] = STATE(395),
    [sym_raise_statement] = STATE(395),
    [sym_global_statement] = STATE(395),
    [sym_nonlocal_statement] = STATE(395),
    [sym_exec_statement] = STATE(395),
    [sym__suite] = STATE(1735),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(654),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(656),
    [sym_break_statement] = ACTIONS(656),
    [sym_continue_statement] = ACTIONS(656),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1517] = {
    [ts_builtin_sym_end] = ACTIONS(3023),
    [anon_sym_import] = ACTIONS(3025),
    [anon_sym_from] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3023),
    [anon_sym_print] = ACTIONS(3025),
    [anon_sym_assert] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_del] = ACTIONS(3025),
    [anon_sym_raise] = ACTIONS(3025),
    [sym_pass_statement] = ACTIONS(3025),
    [sym_break_statement] = ACTIONS(3025),
    [sym_continue_statement] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_with] = ACTIONS(3025),
    [anon_sym_async] = ACTIONS(3025),
    [anon_sym_def] = ACTIONS(3025),
    [anon_sym_global] = ACTIONS(3025),
    [anon_sym_nonlocal] = ACTIONS(3025),
    [anon_sym_exec] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_AT] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_lambda] = ACTIONS(3025),
    [anon_sym_yield] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [sym_ellipsis] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [sym_string] = ACTIONS(3025),
    [sym_integer] = ACTIONS(3025),
    [sym_float] = ACTIONS(3025),
    [sym_identifier] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [sym_none] = ACTIONS(3025),
    [anon_sym_await] = ACTIONS(3025),
    [sym_comment] = ACTIONS(76),
  },
  [1518] = {
    [sym__simple_statements] = STATE(1738),
    [sym_import_statement] = STATE(1737),
    [sym_import_from_statement] = STATE(1737),
    [sym_print_statement] = STATE(1737),
    [sym_assert_statement] = STATE(1737),
    [sym_expression_statement] = STATE(1737),
    [sym_return_statement] = STATE(1737),
    [sym_delete_statement] = STATE(1737),
    [sym_raise_statement] = STATE(1737),
    [sym_global_statement] = STATE(1737),
    [sym_nonlocal_statement] = STATE(1737),
    [sym_exec_statement] = STATE(1737),
    [sym__suite] = STATE(1739),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3029),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3031),
    [sym_break_statement] = ACTIONS(3031),
    [sym_continue_statement] = ACTIONS(3031),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1519] = {
    [ts_builtin_sym_end] = ACTIONS(3033),
    [anon_sym_import] = ACTIONS(3035),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_print] = ACTIONS(3035),
    [anon_sym_assert] = ACTIONS(3035),
    [anon_sym_return] = ACTIONS(3035),
    [anon_sym_del] = ACTIONS(3035),
    [anon_sym_raise] = ACTIONS(3035),
    [sym_pass_statement] = ACTIONS(3035),
    [sym_break_statement] = ACTIONS(3035),
    [sym_continue_statement] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_try] = ACTIONS(3035),
    [anon_sym_with] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_def] = ACTIONS(3035),
    [anon_sym_global] = ACTIONS(3035),
    [anon_sym_nonlocal] = ACTIONS(3035),
    [anon_sym_exec] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_lambda] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [sym_ellipsis] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [sym_string] = ACTIONS(3035),
    [sym_integer] = ACTIONS(3035),
    [sym_float] = ACTIONS(3035),
    [sym_identifier] = ACTIONS(3037),
    [sym_true] = ACTIONS(3035),
    [sym_false] = ACTIONS(3035),
    [sym_none] = ACTIONS(3035),
    [anon_sym_await] = ACTIONS(3035),
    [sym_comment] = ACTIONS(76),
  },
  [1520] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1521] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_as] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [1522] = {
    [anon_sym_RPAREN] = ACTIONS(2124),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_COLON] = ACTIONS(2124),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1523] = {
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_COLON] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1524] = {
    [sym__expression] = STATE(1740),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1525] = {
    [anon_sym_COLON] = ACTIONS(3039),
    [sym_comment] = ACTIONS(76),
  },
  [1526] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1742),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1527] = {
    [sym__expression] = STATE(1743),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1528] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1529] = {
    [sym__expression] = STATE(1744),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1530] = {
    [sym__primary_expression] = STATE(1745),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1531] = {
    [sym__primary_expression] = STATE(1746),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1532] = {
    [sym__primary_expression] = STATE(1747),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1533] = {
    [anon_sym_in] = ACTIONS(3041),
    [sym_comment] = ACTIONS(76),
  },
  [1534] = {
    [sym__primary_expression] = STATE(1749),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1535] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1536] = {
    [sym__primary_expression] = STATE(1750),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1537] = {
    [sym__primary_expression] = STATE(1751),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1538] = {
    [sym__primary_expression] = STATE(1752),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1539] = {
    [sym__primary_expression] = STATE(1747),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1540] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1753),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2659),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_GT] = ACTIONS(2675),
    [anon_sym_LT_GT] = ACTIONS(2659),
    [anon_sym_is] = ACTIONS(2677),
    [sym_comment] = ACTIONS(76),
  },
  [1541] = {
    [anon_sym_RPAREN] = ACTIONS(2132),
    [anon_sym_COMMA] = ACTIONS(2132),
    [anon_sym_COLON] = ACTIONS(2088),
    [anon_sym_EQ] = ACTIONS(2090),
    [sym_comment] = ACTIONS(76),
  },
  [1542] = {
    [anon_sym_RPAREN] = ACTIONS(2134),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2096),
    [sym_comment] = ACTIONS(76),
  },
  [1543] = {
    [anon_sym_RPAREN] = ACTIONS(2134),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(2100),
    [sym_comment] = ACTIONS(76),
  },
  [1544] = {
    [anon_sym_EQ] = ACTIONS(3045),
    [sym_comment] = ACTIONS(76),
  },
  [1545] = {
    [anon_sym_RPAREN] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1546] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(1543),
    [sym_dictionary_splat] = STATE(1543),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_RPAREN] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [sym_comment] = ACTIONS(76),
  },
  [1547] = {
    [aux_sym__parameters_repeat1] = STATE(1547),
    [anon_sym_RPAREN] = ACTIONS(2134),
    [anon_sym_COMMA] = ACTIONS(3047),
    [sym_comment] = ACTIONS(76),
  },
  [1548] = {
    [sym__expression] = STATE(1756),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1549] = {
    [sym__primary_expression] = STATE(216),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1550] = {
    [sym_lambda_parameters] = STATE(1758),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1551] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1759),
    [anon_sym_DOT] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_if] = ACTIONS(250),
    [anon_sym_in] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(250),
    [anon_sym_and] = ACTIONS(250),
    [anon_sym_or] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(250),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1552] = {
    [sym__expression] = STATE(240),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1553] = {
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3056),
    [sym_comment] = ACTIONS(76),
  },
  [1554] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [aux_sym_comparison_operator_repeat1] = STATE(1773),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_COMMA] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_in] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(322),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_and] = ACTIONS(310),
    [anon_sym_or] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LT_GT] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1555] = {
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_COMMA] = ACTIONS(2211),
    [anon_sym_EQ] = ACTIONS(3082),
    [sym_comment] = ACTIONS(76),
  },
  [1556] = {
    [anon_sym_RPAREN] = ACTIONS(2215),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1557] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(1543),
    [sym_dictionary_splat] = STATE(1543),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_RPAREN] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [sym_comment] = ACTIONS(76),
  },
  [1558] = {
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1559] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1775),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(28),
    [sym_break_statement] = ACTIONS(28),
    [sym_continue_statement] = ACTIONS(28),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1560] = {
    [sym__newline] = ACTIONS(2887),
    [sym_comment] = ACTIONS(76),
  },
  [1561] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1562] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1563] = {
    [sym__expression] = STATE(1777),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1564] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_SLASH_SLASH] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1565] = {
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(2144),
    [sym_comment] = ACTIONS(76),
  },
  [1566] = {
    [sym__expression] = STATE(1778),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1567] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1567),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1567),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1568] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1569] = {
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1570] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1571] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1572] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1573] = {
    [sym__primary_expression] = STATE(1780),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1574] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1575] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1576] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1577] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1578] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1578),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(3091),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_GT] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3097),
    [sym_comment] = ACTIONS(76),
  },
  [1579] = {
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(3100),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1580] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(2185),
    [sym_comment] = ACTIONS(76),
  },
  [1581] = {
    [sym__expression] = STATE(1781),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [1582] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1582),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1567),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1583] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1584] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1585] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1586] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1587] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1588] = {
    [sym__primary_expression] = STATE(1783),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1589] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1590] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1591] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1592] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1593] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1593),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LT_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3113),
    [sym_comment] = ACTIONS(76),
  },
  [1594] = {
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(3116),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1595] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1596] = {
    [sym__expression] = STATE(1784),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1597] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_SLASH_SLASH] = ACTIONS(1463),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1598] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1599] = {
    [sym_lambda_parameters] = STATE(1786),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1600] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1788),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_RBRACK] = ACTIONS(2937),
    [sym_comment] = ACTIONS(76),
  },
  [1601] = {
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(788),
    [anon_sym_or] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [sym_comment] = ACTIONS(76),
  },
  [1602] = {
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [1603] = {
    [sym__expression] = STATE(1789),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1604] = {
    [anon_sym_COLON] = ACTIONS(3122),
    [sym_comment] = ACTIONS(76),
  },
  [1605] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1791),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1606] = {
    [sym__expression] = STATE(1792),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1607] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1608] = {
    [sym__expression] = STATE(1793),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1609] = {
    [sym__primary_expression] = STATE(1794),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1610] = {
    [sym__primary_expression] = STATE(1795),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1611] = {
    [sym__primary_expression] = STATE(1796),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1612] = {
    [anon_sym_in] = ACTIONS(3124),
    [sym_comment] = ACTIONS(76),
  },
  [1613] = {
    [sym__primary_expression] = STATE(1798),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1614] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1615] = {
    [sym__primary_expression] = STATE(1799),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1616] = {
    [sym__primary_expression] = STATE(1800),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1617] = {
    [sym__primary_expression] = STATE(1801),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1618] = {
    [sym__primary_expression] = STATE(1796),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1619] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1802),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_GT] = ACTIONS(2775),
    [anon_sym_is] = ACTIONS(2793),
    [anon_sym_RBRACK] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [1620] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1621] = {
    [sym__expression] = STATE(1803),
    [sym__primary_expression] = STATE(495),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_lambda] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(826),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(828),
    [sym_comment] = ACTIONS(76),
  },
  [1622] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1623] = {
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [sym_comment] = ACTIONS(76),
  },
  [1624] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(848),
    [anon_sym_or] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1625] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1626] = {
    [sym__expression] = STATE(1804),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1627] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1627),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1628] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1629] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1630] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1631] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1632] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1633] = {
    [sym__primary_expression] = STATE(1806),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1634] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1635] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1636] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1637] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1638] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1638),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3133),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_GT] = ACTIONS(3130),
    [anon_sym_is] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1639] = {
    [sym_lambda_parameters] = STATE(1808),
    [sym__parameters] = STATE(143),
    [sym_default_parameter] = STATE(144),
    [sym_typed_default_parameter] = STATE(144),
    [sym_list_splat] = STATE(145),
    [sym_dictionary_splat] = STATE(145),
    [sym_typed_parameter] = STATE(144),
    [sym_tuple] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(222),
    [anon_sym_print] = ACTIONS(224),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_exec] = ACTIONS(224),
    [sym_identifier] = ACTIONS(228),
    [sym_comment] = ACTIONS(76),
  },
  [1640] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1810),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [sym_comment] = ACTIONS(76),
  },
  [1641] = {
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [sym_comment] = ACTIONS(76),
  },
  [1642] = {
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(726),
    [sym_comment] = ACTIONS(76),
  },
  [1643] = {
    [sym__expression] = STATE(1811),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1644] = {
    [anon_sym_COLON] = ACTIONS(3146),
    [sym_comment] = ACTIONS(76),
  },
  [1645] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1813),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1646] = {
    [sym__expression] = STATE(1814),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1647] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1648] = {
    [sym__expression] = STATE(1815),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1649] = {
    [sym__primary_expression] = STATE(1816),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1650] = {
    [sym__primary_expression] = STATE(1817),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1651] = {
    [sym__primary_expression] = STATE(1818),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1652] = {
    [anon_sym_in] = ACTIONS(3148),
    [sym_comment] = ACTIONS(76),
  },
  [1653] = {
    [sym__primary_expression] = STATE(1820),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1654] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1655] = {
    [sym__primary_expression] = STATE(1821),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1656] = {
    [sym__primary_expression] = STATE(1822),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1657] = {
    [sym__primary_expression] = STATE(1823),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1658] = {
    [sym__primary_expression] = STATE(1818),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1659] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1824),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_GT] = ACTIONS(2857),
    [anon_sym_LT_GT] = ACTIONS(2841),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(936),
    [sym_comment] = ACTIONS(76),
  },
  [1660] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1661] = {
    [sym__expression] = STATE(1825),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1662] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_SLASH_SLASH] = ACTIONS(1602),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1663] = {
    [sym__newline] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_GT_GT] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3152),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_and] = ACTIONS(3152),
    [anon_sym_or] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH] = ACTIONS(3154),
    [anon_sym_STAR_STAR] = ACTIONS(3154),
    [anon_sym_PIPE] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_CARET] = ACTIONS(3154),
    [anon_sym_LT_LT] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LT_GT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3152),
    [anon_sym_GT_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_LT_EQ] = ACTIONS(3152),
    [anon_sym_AMP_EQ] = ACTIONS(3152),
    [anon_sym_CARET_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_EQ] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3152),
  },
  [1664] = {
    [sym_list_splat] = STATE(1399),
    [sym_dictionary_splat] = STATE(1399),
    [sym__expression] = STATE(1400),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_keyword_argument] = STATE(1399),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_print] = ACTIONS(912),
    [anon_sym_exec] = ACTIONS(912),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(914),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1665] = {
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(3156),
    [sym_comment] = ACTIONS(76),
  },
  [1666] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1667] = {
    [sym__expression] = STATE(1826),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1668] = {
    [sym__expression] = STATE(1827),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_lambda] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(3156),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(772),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(774),
    [sym_comment] = ACTIONS(76),
  },
  [1669] = {
    [sym__newline] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_GT] = ACTIONS(3158),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3158),
  },
  [1670] = {
    [sym__expression] = STATE(1409),
    [sym__primary_expression] = STATE(566),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_slice] = STATE(1410),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_lambda] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(928),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(930),
    [sym_comment] = ACTIONS(76),
  },
  [1671] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_SLASH_SLASH] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1672] = {
    [aux_sym_dotted_name_repeat1] = STATE(1672),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [sym_comment] = ACTIONS(76),
  },
  [1673] = {
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [sym_comment] = ACTIONS(76),
  },
  [1674] = {
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_as] = ACTIONS(2406),
    [sym_comment] = ACTIONS(76),
  },
  [1675] = {
    [sym_aliased_import] = STATE(1673),
    [sym_dotted_name] = STATE(1674),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [sym_identifier] = ACTIONS(1722),
    [sym_comment] = ACTIONS(76),
  },
  [1676] = {
    [aux_sym__import_list_repeat1] = STATE(1676),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(3162),
    [sym_comment] = ACTIONS(76),
  },
  [1677] = {
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_COMMA] = ACTIONS(1717),
    [sym_comment] = ACTIONS(76),
  },
  [1678] = {
    [sym__newline] = ACTIONS(3165),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3165),
  },
  [1679] = {
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1680] = {
    [sym__expression_within_for_in_clause] = STATE(1829),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1681] = {
    [anon_sym_COLON] = ACTIONS(3167),
    [sym_comment] = ACTIONS(76),
  },
  [1682] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1683] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1833),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_COMMA] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [sym_comment] = ACTIONS(76),
  },
  [1684] = {
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [1685] = {
    [sym__expression] = STATE(1834),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1686] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1686),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1687] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1688] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1689] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1690] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1691] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(2461),
    [anon_sym_CARET] = ACTIONS(2463),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1692] = {
    [sym__primary_expression] = STATE(1836),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1693] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1694] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2461),
    [anon_sym_CARET] = ACTIONS(2463),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1695] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2463),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1696] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1697] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1697),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_LT_EQ] = ACTIONS(3179),
    [anon_sym_EQ_EQ] = ACTIONS(3179),
    [anon_sym_BANG_EQ] = ACTIONS(3179),
    [anon_sym_GT_EQ] = ACTIONS(3179),
    [anon_sym_GT] = ACTIONS(3185),
    [anon_sym_LT_GT] = ACTIONS(3179),
    [anon_sym_is] = ACTIONS(3188),
    [sym_comment] = ACTIONS(76),
  },
  [1698] = {
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_RPAREN] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_as] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_COLON] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3152),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_and] = ACTIONS(3152),
    [anon_sym_or] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LT_GT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_RBRACK] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [sym_comment] = ACTIONS(76),
  },
  [1699] = {
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH] = ACTIONS(3158),
    [anon_sym_STAR_STAR] = ACTIONS(3158),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_GT] = ACTIONS(3158),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_RBRACK] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [sym_comment] = ACTIONS(76),
  },
  [1700] = {
    [sym__newline] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_and] = ACTIONS(3152),
    [anon_sym_or] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LT_GT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3152),
  },
  [1701] = {
    [sym__newline] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH] = ACTIONS(3158),
    [anon_sym_STAR_STAR] = ACTIONS(3158),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_GT] = ACTIONS(3158),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3158),
  },
  [1702] = {
    [sym__newline] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1202),
    [anon_sym_or] = ACTIONS(1204),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(2869),
  },
  [1703] = {
    [sym__newline] = ACTIONS(3152),
    [anon_sym_from] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_and] = ACTIONS(3152),
    [anon_sym_or] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LT_GT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3152),
  },
  [1704] = {
    [sym__newline] = ACTIONS(3158),
    [anon_sym_from] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH] = ACTIONS(3158),
    [anon_sym_STAR_STAR] = ACTIONS(3158),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_GT] = ACTIONS(3158),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3158),
  },
  [1705] = {
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_elif] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1706] = {
    [sym__simple_statements] = STATE(766),
    [sym_import_statement] = STATE(765),
    [sym_import_from_statement] = STATE(765),
    [sym_print_statement] = STATE(765),
    [sym_assert_statement] = STATE(765),
    [sym_expression_statement] = STATE(765),
    [sym_return_statement] = STATE(765),
    [sym_delete_statement] = STATE(765),
    [sym_raise_statement] = STATE(765),
    [sym_global_statement] = STATE(765),
    [sym_nonlocal_statement] = STATE(765),
    [sym_exec_statement] = STATE(765),
    [sym__suite] = STATE(1837),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(1279),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1281),
    [sym_break_statement] = ACTIONS(1281),
    [sym_continue_statement] = ACTIONS(1281),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1707] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_print] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_del] = ACTIONS(3193),
    [anon_sym_raise] = ACTIONS(3193),
    [sym_pass_statement] = ACTIONS(3193),
    [sym_break_statement] = ACTIONS(3193),
    [sym_continue_statement] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_def] = ACTIONS(3193),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_nonlocal] = ACTIONS(3193),
    [anon_sym_exec] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_lambda] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [sym_ellipsis] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [sym_string] = ACTIONS(3193),
    [sym_integer] = ACTIONS(3193),
    [sym_float] = ACTIONS(3193),
    [sym_identifier] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_none] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
  },
  [1708] = {
    [ts_builtin_sym_end] = ACTIONS(3197),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_from] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_print] = ACTIONS(3199),
    [anon_sym_assert] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_del] = ACTIONS(3199),
    [anon_sym_raise] = ACTIONS(3199),
    [sym_pass_statement] = ACTIONS(3199),
    [sym_break_statement] = ACTIONS(3199),
    [sym_continue_statement] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_def] = ACTIONS(3199),
    [anon_sym_global] = ACTIONS(3199),
    [anon_sym_nonlocal] = ACTIONS(3199),
    [anon_sym_exec] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_lambda] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [sym_ellipsis] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [sym_string] = ACTIONS(3199),
    [sym_integer] = ACTIONS(3199),
    [sym_float] = ACTIONS(3199),
    [sym_identifier] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_none] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [sym_comment] = ACTIONS(76),
  },
  [1709] = {
    [sym__expression] = STATE(1496),
    [sym__primary_expression] = STATE(443),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_lambda] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(742),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(744),
    [sym_comment] = ACTIONS(76),
  },
  [1710] = {
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1711] = {
    [sym__dedent] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1712] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1839),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1713] = {
    [aux_sym__simple_statements_repeat1] = STATE(1842),
    [sym__newline] = ACTIONS(3205),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3207),
  },
  [1714] = {
    [sym__dedent] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_elif] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1715] = {
    [sym_elif_clause] = STATE(1845),
    [sym_else_clause] = STATE(1846),
    [aux_sym_if_statement_repeat1] = STATE(1847),
    [sym__dedent] = ACTIONS(1948),
    [anon_sym_import] = ACTIONS(1950),
    [anon_sym_from] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_print] = ACTIONS(1950),
    [anon_sym_assert] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_del] = ACTIONS(1950),
    [anon_sym_raise] = ACTIONS(1950),
    [sym_pass_statement] = ACTIONS(1950),
    [sym_break_statement] = ACTIONS(1950),
    [sym_continue_statement] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_elif] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_with] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_def] = ACTIONS(1950),
    [anon_sym_global] = ACTIONS(1950),
    [anon_sym_nonlocal] = ACTIONS(1950),
    [anon_sym_exec] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_AT] = ACTIONS(1948),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_lambda] = ACTIONS(1950),
    [anon_sym_yield] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [sym_ellipsis] = ACTIONS(1948),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [sym_string] = ACTIONS(1950),
    [sym_integer] = ACTIONS(1950),
    [sym_float] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1956),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [sym_none] = ACTIONS(1950),
    [anon_sym_await] = ACTIONS(1950),
    [sym_comment] = ACTIONS(76),
  },
  [1716] = {
    [anon_sym_COLON] = ACTIONS(3213),
    [sym_comment] = ACTIONS(76),
  },
  [1717] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1850),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1718] = {
    [aux_sym__simple_statements_repeat1] = STATE(1853),
    [sym__newline] = ACTIONS(3217),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3219),
  },
  [1719] = {
    [sym__dedent] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1720] = {
    [sym_else_clause] = STATE(1854),
    [sym__dedent] = ACTIONS(1987),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_print] = ACTIONS(1989),
    [anon_sym_assert] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_del] = ACTIONS(1989),
    [anon_sym_raise] = ACTIONS(1989),
    [sym_pass_statement] = ACTIONS(1989),
    [sym_break_statement] = ACTIONS(1989),
    [sym_continue_statement] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_with] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_def] = ACTIONS(1989),
    [anon_sym_global] = ACTIONS(1989),
    [anon_sym_nonlocal] = ACTIONS(1989),
    [anon_sym_exec] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_TILDE] = ACTIONS(1987),
    [anon_sym_lambda] = ACTIONS(1989),
    [anon_sym_yield] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [sym_ellipsis] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [sym_string] = ACTIONS(1989),
    [sym_integer] = ACTIONS(1989),
    [sym_float] = ACTIONS(1989),
    [sym_identifier] = ACTIONS(1991),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_none] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [sym_comment] = ACTIONS(76),
  },
  [1721] = {
    [sym__expression] = STATE(1856),
    [sym__primary_expression] = STATE(125),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_COLON] = ACTIONS(3221),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(200),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(202),
    [sym_comment] = ACTIONS(76),
  },
  [1722] = {
    [anon_sym_COLON] = ACTIONS(3223),
    [sym_comment] = ACTIONS(76),
  },
  [1723] = {
    [sym__dedent] = ACTIONS(2025),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_from] = ACTIONS(2027),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_print] = ACTIONS(2027),
    [anon_sym_assert] = ACTIONS(2027),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_del] = ACTIONS(2027),
    [anon_sym_raise] = ACTIONS(2027),
    [sym_pass_statement] = ACTIONS(2027),
    [sym_break_statement] = ACTIONS(2027),
    [sym_continue_statement] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2027),
    [anon_sym_else] = ACTIONS(2027),
    [anon_sym_for] = ACTIONS(2027),
    [anon_sym_while] = ACTIONS(2027),
    [anon_sym_try] = ACTIONS(2027),
    [anon_sym_except] = ACTIONS(2027),
    [anon_sym_finally] = ACTIONS(2027),
    [anon_sym_with] = ACTIONS(2027),
    [anon_sym_async] = ACTIONS(2027),
    [anon_sym_def] = ACTIONS(2027),
    [anon_sym_global] = ACTIONS(2027),
    [anon_sym_nonlocal] = ACTIONS(2027),
    [anon_sym_exec] = ACTIONS(2027),
    [anon_sym_class] = ACTIONS(2027),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_not] = ACTIONS(2027),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_lambda] = ACTIONS(2027),
    [anon_sym_yield] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [sym_ellipsis] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [sym_string] = ACTIONS(2027),
    [sym_integer] = ACTIONS(2027),
    [sym_float] = ACTIONS(2027),
    [sym_identifier] = ACTIONS(2029),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [sym_none] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(2027),
    [sym_comment] = ACTIONS(76),
  },
  [1724] = {
    [sym__dedent] = ACTIONS(2031),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_print] = ACTIONS(2033),
    [anon_sym_assert] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_del] = ACTIONS(2033),
    [anon_sym_raise] = ACTIONS(2033),
    [sym_pass_statement] = ACTIONS(2033),
    [sym_break_statement] = ACTIONS(2033),
    [sym_continue_statement] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_def] = ACTIONS(2033),
    [anon_sym_global] = ACTIONS(2033),
    [anon_sym_nonlocal] = ACTIONS(2033),
    [anon_sym_exec] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_lambda] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_ellipsis] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [sym_string] = ACTIONS(2033),
    [sym_integer] = ACTIONS(2033),
    [sym_float] = ACTIONS(2033),
    [sym_identifier] = ACTIONS(2035),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_none] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [sym_comment] = ACTIONS(76),
  },
  [1725] = {
    [sym_else_clause] = STATE(1859),
    [sym_except_clause] = STATE(1723),
    [sym_finally_clause] = STATE(1860),
    [aux_sym_try_statement_repeat1] = STATE(1861),
    [sym__dedent] = ACTIONS(2031),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_print] = ACTIONS(2033),
    [anon_sym_assert] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_del] = ACTIONS(2033),
    [anon_sym_raise] = ACTIONS(2033),
    [sym_pass_statement] = ACTIONS(2033),
    [sym_break_statement] = ACTIONS(2033),
    [sym_continue_statement] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_except] = ACTIONS(3227),
    [anon_sym_finally] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_def] = ACTIONS(2033),
    [anon_sym_global] = ACTIONS(2033),
    [anon_sym_nonlocal] = ACTIONS(2033),
    [anon_sym_exec] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_lambda] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_ellipsis] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [sym_string] = ACTIONS(2033),
    [sym_integer] = ACTIONS(2033),
    [sym_float] = ACTIONS(2033),
    [sym_identifier] = ACTIONS(2035),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_none] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [sym_comment] = ACTIONS(76),
  },
  [1726] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1863),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1727] = {
    [sym__dedent] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1728] = {
    [sym__dedent] = ACTIONS(2047),
    [anon_sym_import] = ACTIONS(2049),
    [anon_sym_from] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2047),
    [anon_sym_print] = ACTIONS(2049),
    [anon_sym_assert] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_del] = ACTIONS(2049),
    [anon_sym_raise] = ACTIONS(2049),
    [sym_pass_statement] = ACTIONS(2049),
    [sym_break_statement] = ACTIONS(2049),
    [sym_continue_statement] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_with] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_def] = ACTIONS(2049),
    [anon_sym_global] = ACTIONS(2049),
    [anon_sym_nonlocal] = ACTIONS(2049),
    [anon_sym_exec] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2047),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2047),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_TILDE] = ACTIONS(2047),
    [anon_sym_lambda] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [sym_ellipsis] = ACTIONS(2047),
    [anon_sym_LBRACE] = ACTIONS(2047),
    [sym_string] = ACTIONS(2049),
    [sym_integer] = ACTIONS(2049),
    [sym_float] = ACTIONS(2049),
    [sym_identifier] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [sym_none] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [sym_comment] = ACTIONS(76),
  },
  [1729] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1864),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1730] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1865),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1731] = {
    [sym__expression] = STATE(1242),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_type] = STATE(1866),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1732] = {
    [sym__dedent] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2111),
    [anon_sym_from] = ACTIONS(2111),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_print] = ACTIONS(2111),
    [anon_sym_assert] = ACTIONS(2111),
    [anon_sym_return] = ACTIONS(2111),
    [anon_sym_del] = ACTIONS(2111),
    [anon_sym_raise] = ACTIONS(2111),
    [sym_pass_statement] = ACTIONS(2111),
    [sym_break_statement] = ACTIONS(2111),
    [sym_continue_statement] = ACTIONS(2111),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_for] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2111),
    [anon_sym_try] = ACTIONS(2111),
    [anon_sym_with] = ACTIONS(2111),
    [anon_sym_async] = ACTIONS(2111),
    [anon_sym_def] = ACTIONS(2111),
    [anon_sym_global] = ACTIONS(2111),
    [anon_sym_nonlocal] = ACTIONS(2111),
    [anon_sym_exec] = ACTIONS(2111),
    [anon_sym_class] = ACTIONS(2111),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_not] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_lambda] = ACTIONS(2111),
    [anon_sym_yield] = ACTIONS(2111),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [sym_ellipsis] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [sym_string] = ACTIONS(2111),
    [sym_integer] = ACTIONS(2111),
    [sym_float] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(2113),
    [sym_true] = ACTIONS(2111),
    [sym_false] = ACTIONS(2111),
    [sym_none] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(2111),
    [sym_comment] = ACTIONS(76),
  },
  [1733] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1867),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1734] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(3233),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1735] = {
    [ts_builtin_sym_end] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_from] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_print] = ACTIONS(3237),
    [anon_sym_assert] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_del] = ACTIONS(3237),
    [anon_sym_raise] = ACTIONS(3237),
    [sym_pass_statement] = ACTIONS(3237),
    [sym_break_statement] = ACTIONS(3237),
    [sym_continue_statement] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_except] = ACTIONS(3237),
    [anon_sym_finally] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_def] = ACTIONS(3237),
    [anon_sym_global] = ACTIONS(3237),
    [anon_sym_nonlocal] = ACTIONS(3237),
    [anon_sym_exec] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_lambda] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [sym_ellipsis] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [sym_string] = ACTIONS(3237),
    [sym_integer] = ACTIONS(3237),
    [sym_float] = ACTIONS(3237),
    [sym_identifier] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_none] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [sym_comment] = ACTIONS(76),
  },
  [1736] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1870),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1737] = {
    [aux_sym__simple_statements_repeat1] = STATE(1873),
    [sym__newline] = ACTIONS(3243),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3245),
  },
  [1738] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_finally] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1739] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_print] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_del] = ACTIONS(3193),
    [anon_sym_raise] = ACTIONS(3193),
    [sym_pass_statement] = ACTIONS(3193),
    [sym_break_statement] = ACTIONS(3193),
    [sym_continue_statement] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_def] = ACTIONS(3193),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_nonlocal] = ACTIONS(3193),
    [anon_sym_exec] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_lambda] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [sym_ellipsis] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [sym_string] = ACTIONS(3193),
    [sym_integer] = ACTIONS(3193),
    [sym_float] = ACTIONS(3193),
    [sym_identifier] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_none] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
  },
  [1740] = {
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1741] = {
    [sym__expression] = STATE(1874),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1742] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1742),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1743] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1744] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1745] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1746] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1747] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1748] = {
    [sym__primary_expression] = STATE(1876),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1749] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1750] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1751] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1752] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1753] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1753),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_LT_EQ] = ACTIONS(3249),
    [anon_sym_EQ_EQ] = ACTIONS(3249),
    [anon_sym_BANG_EQ] = ACTIONS(3249),
    [anon_sym_GT_EQ] = ACTIONS(3249),
    [anon_sym_GT] = ACTIONS(3255),
    [anon_sym_LT_GT] = ACTIONS(3249),
    [anon_sym_is] = ACTIONS(3258),
    [sym_comment] = ACTIONS(76),
  },
  [1754] = {
    [sym__expression] = STATE(1877),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1755] = {
    [sym_default_parameter] = STATE(881),
    [sym_typed_default_parameter] = STATE(881),
    [sym_list_splat] = STATE(1543),
    [sym_dictionary_splat] = STATE(1543),
    [sym_typed_parameter] = STATE(881),
    [sym_tuple] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [sym_comment] = ACTIONS(76),
  },
  [1756] = {
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3056),
    [sym_comment] = ACTIONS(76),
  },
  [1757] = {
    [sym__expression] = STATE(1878),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1758] = {
    [anon_sym_COLON] = ACTIONS(3261),
    [sym_comment] = ACTIONS(76),
  },
  [1759] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1880),
    [anon_sym_DOT] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_COMMA] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_in] = ACTIONS(880),
    [anon_sym_EQ] = ACTIONS(882),
    [anon_sym_not] = ACTIONS(880),
    [anon_sym_and] = ACTIONS(880),
    [anon_sym_or] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(880),
    [anon_sym_SLASH_SLASH] = ACTIONS(880),
    [anon_sym_STAR_STAR] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(880),
    [anon_sym_AMP] = ACTIONS(880),
    [anon_sym_CARET] = ACTIONS(880),
    [anon_sym_LT_LT] = ACTIONS(880),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(880),
    [anon_sym_EQ_EQ] = ACTIONS(880),
    [anon_sym_BANG_EQ] = ACTIONS(880),
    [anon_sym_GT_EQ] = ACTIONS(880),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_LT_GT] = ACTIONS(880),
    [anon_sym_is] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(880),
    [sym_string] = ACTIONS(406),
    [sym_comment] = ACTIONS(76),
  },
  [1760] = {
    [sym__expression] = STATE(1881),
    [sym__primary_expression] = STATE(537),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_lambda] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(898),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(900),
    [sym_comment] = ACTIONS(76),
  },
  [1761] = {
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1762] = {
    [sym__expression] = STATE(1882),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1763] = {
    [sym__primary_expression] = STATE(1883),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1764] = {
    [sym__primary_expression] = STATE(1884),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1765] = {
    [sym__primary_expression] = STATE(1885),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1766] = {
    [anon_sym_in] = ACTIONS(3263),
    [sym_comment] = ACTIONS(76),
  },
  [1767] = {
    [sym__primary_expression] = STATE(1887),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1768] = {
    [sym__primary_expression] = STATE(646),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1769] = {
    [sym__primary_expression] = STATE(1888),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1770] = {
    [sym__primary_expression] = STATE(1889),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1771] = {
    [sym__primary_expression] = STATE(1890),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1772] = {
    [sym__primary_expression] = STATE(1885),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1773] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1891),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_and] = ACTIONS(936),
    [anon_sym_or] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LT_GT] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3080),
    [sym_comment] = ACTIONS(76),
  },
  [1774] = {
    [sym__expression] = STATE(1892),
    [sym__primary_expression] = STATE(227),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_TILDE] = ACTIONS(390),
    [anon_sym_lambda] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(394),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(396),
    [sym_comment] = ACTIONS(76),
  },
  [1775] = {
    [ts_builtin_sym_end] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_from] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_print] = ACTIONS(3269),
    [anon_sym_assert] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_del] = ACTIONS(3269),
    [anon_sym_raise] = ACTIONS(3269),
    [sym_pass_statement] = ACTIONS(3269),
    [sym_break_statement] = ACTIONS(3269),
    [sym_continue_statement] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_def] = ACTIONS(3269),
    [anon_sym_global] = ACTIONS(3269),
    [anon_sym_nonlocal] = ACTIONS(3269),
    [anon_sym_exec] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_lambda] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [sym_ellipsis] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [sym_string] = ACTIONS(3269),
    [sym_integer] = ACTIONS(3269),
    [sym_float] = ACTIONS(3269),
    [sym_identifier] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_none] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [sym_comment] = ACTIONS(76),
  },
  [1776] = {
    [sym__newline] = ACTIONS(3152),
    [sym_comment] = ACTIONS(76),
  },
  [1777] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_or] = ACTIONS(1379),
    [sym_comment] = ACTIONS(76),
  },
  [1778] = {
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(2144),
    [sym_comment] = ACTIONS(76),
  },
  [1779] = {
    [sym__expression] = STATE(1893),
    [sym__primary_expression] = STATE(889),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_lambda] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1417),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1419),
    [sym_comment] = ACTIONS(76),
  },
  [1780] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1781] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_EQ] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(2185),
    [sym_comment] = ACTIONS(76),
  },
  [1782] = {
    [sym__expression] = STATE(1894),
    [sym__primary_expression] = STATE(900),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_lambda] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1433),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1435),
    [sym_comment] = ACTIONS(76),
  },
  [1783] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1784] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1785] = {
    [sym__expression_within_for_in_clause] = STATE(1829),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1786] = {
    [anon_sym_COLON] = ACTIONS(3273),
    [sym_comment] = ACTIONS(76),
  },
  [1787] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(3169),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1788] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1897),
    [anon_sym_COMMA] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_RBRACK] = ACTIONS(3169),
    [sym_comment] = ACTIONS(76),
  },
  [1789] = {
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1790] = {
    [sym__expression] = STATE(1898),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1791] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1791),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1792] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1793] = {
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1794] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1795] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1796] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1797] = {
    [sym__primary_expression] = STATE(1900),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1798] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1799] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1800] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1801] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1802] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1802),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_not] = ACTIONS(3284),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3287),
    [anon_sym_LT_GT] = ACTIONS(3281),
    [anon_sym_is] = ACTIONS(3290),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1803] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1804] = {
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1805] = {
    [sym__expression] = STATE(1901),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1806] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1807] = {
    [sym__expression_within_for_in_clause] = STATE(1829),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1808] = {
    [anon_sym_COLON] = ACTIONS(3293),
    [sym_comment] = ACTIONS(76),
  },
  [1809] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1810] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1904),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [sym_comment] = ACTIONS(76),
  },
  [1811] = {
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(76),
  },
  [1812] = {
    [sym__expression] = STATE(1905),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1813] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1813),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1814] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1815] = {
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1816] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1817] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1818] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1819] = {
    [sym__primary_expression] = STATE(1907),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1820] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1821] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1822] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1823] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1824] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1824),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_LT_EQ] = ACTIONS(3301),
    [anon_sym_EQ_EQ] = ACTIONS(3301),
    [anon_sym_BANG_EQ] = ACTIONS(3301),
    [anon_sym_GT_EQ] = ACTIONS(3301),
    [anon_sym_GT] = ACTIONS(3307),
    [anon_sym_LT_GT] = ACTIONS(3301),
    [anon_sym_is] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(76),
  },
  [1825] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1826] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1665),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1827] = {
    [anon_sym_COMMA] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [sym_comment] = ACTIONS(76),
  },
  [1828] = {
    [sym_aliased_import] = STATE(1673),
    [sym_dotted_name] = STATE(1674),
    [sym_identifier] = ACTIONS(1722),
    [sym_comment] = ACTIONS(76),
  },
  [1829] = {
    [anon_sym_RPAREN] = ACTIONS(3315),
    [anon_sym_COMMA] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_RBRACK] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [sym_comment] = ACTIONS(76),
  },
  [1830] = {
    [sym__expression_within_for_in_clause] = STATE(1908),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1831] = {
    [anon_sym_RPAREN] = ACTIONS(3317),
    [anon_sym_COMMA] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [sym_comment] = ACTIONS(76),
  },
  [1832] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(3319),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1833] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1833),
    [anon_sym_RPAREN] = ACTIONS(3317),
    [anon_sym_COMMA] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [sym_comment] = ACTIONS(76),
  },
  [1834] = {
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [1835] = {
    [sym__expression] = STATE(1910),
    [sym__primary_expression] = STATE(1103),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_lambda] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1785),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1787),
    [sym_comment] = ACTIONS(76),
  },
  [1836] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2445),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(2455),
    [anon_sym_SLASH_SLASH] = ACTIONS(2455),
    [anon_sym_STAR_STAR] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(2461),
    [anon_sym_CARET] = ACTIONS(2463),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1837] = {
    [ts_builtin_sym_end] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_from] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_print] = ACTIONS(3328),
    [anon_sym_assert] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_del] = ACTIONS(3328),
    [anon_sym_raise] = ACTIONS(3328),
    [sym_pass_statement] = ACTIONS(3328),
    [sym_break_statement] = ACTIONS(3328),
    [sym_continue_statement] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_elif] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_def] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3328),
    [anon_sym_nonlocal] = ACTIONS(3328),
    [anon_sym_exec] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_lambda] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [sym_ellipsis] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [sym_string] = ACTIONS(3328),
    [sym_integer] = ACTIONS(3328),
    [sym_float] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(3330),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_none] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [sym_comment] = ACTIONS(76),
  },
  [1838] = {
    [sym__dedent] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_elif] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1839] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1840] = {
    [sym__dedent] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_elif] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1841] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1842] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(3334),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3336),
  },
  [1843] = {
    [sym__expression] = STATE(1914),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1844] = {
    [anon_sym_COLON] = ACTIONS(3338),
    [sym_comment] = ACTIONS(76),
  },
  [1845] = {
    [sym__dedent] = ACTIONS(2543),
    [anon_sym_import] = ACTIONS(2545),
    [anon_sym_from] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_print] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_del] = ACTIONS(2545),
    [anon_sym_raise] = ACTIONS(2545),
    [sym_pass_statement] = ACTIONS(2545),
    [sym_break_statement] = ACTIONS(2545),
    [sym_continue_statement] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_elif] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_async] = ACTIONS(2545),
    [anon_sym_def] = ACTIONS(2545),
    [anon_sym_global] = ACTIONS(2545),
    [anon_sym_nonlocal] = ACTIONS(2545),
    [anon_sym_exec] = ACTIONS(2545),
    [anon_sym_class] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2543),
    [anon_sym_not] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_TILDE] = ACTIONS(2543),
    [anon_sym_lambda] = ACTIONS(2545),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [sym_ellipsis] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [sym_string] = ACTIONS(2545),
    [sym_integer] = ACTIONS(2545),
    [sym_float] = ACTIONS(2545),
    [sym_identifier] = ACTIONS(2547),
    [sym_true] = ACTIONS(2545),
    [sym_false] = ACTIONS(2545),
    [sym_none] = ACTIONS(2545),
    [anon_sym_await] = ACTIONS(2545),
    [sym_comment] = ACTIONS(76),
  },
  [1846] = {
    [sym__dedent] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_print] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_del] = ACTIONS(2551),
    [anon_sym_raise] = ACTIONS(2551),
    [sym_pass_statement] = ACTIONS(2551),
    [sym_break_statement] = ACTIONS(2551),
    [sym_continue_statement] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2551),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_def] = ACTIONS(2551),
    [anon_sym_global] = ACTIONS(2551),
    [anon_sym_nonlocal] = ACTIONS(2551),
    [anon_sym_exec] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_lambda] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [sym_ellipsis] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [sym_string] = ACTIONS(2551),
    [sym_integer] = ACTIONS(2551),
    [sym_float] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2551),
    [sym_comment] = ACTIONS(76),
  },
  [1847] = {
    [sym_elif_clause] = STATE(1845),
    [sym_else_clause] = STATE(1916),
    [aux_sym_if_statement_repeat1] = STATE(1917),
    [sym__dedent] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_print] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_del] = ACTIONS(2551),
    [anon_sym_raise] = ACTIONS(2551),
    [sym_pass_statement] = ACTIONS(2551),
    [sym_break_statement] = ACTIONS(2551),
    [sym_continue_statement] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_elif] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2551),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_def] = ACTIONS(2551),
    [anon_sym_global] = ACTIONS(2551),
    [anon_sym_nonlocal] = ACTIONS(2551),
    [anon_sym_exec] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_lambda] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [sym_ellipsis] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [sym_string] = ACTIONS(2551),
    [sym_integer] = ACTIONS(2551),
    [sym_float] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2551),
    [sym_comment] = ACTIONS(76),
  },
  [1848] = {
    [sym__simple_statements] = STATE(1719),
    [sym_import_statement] = STATE(1718),
    [sym_import_from_statement] = STATE(1718),
    [sym_print_statement] = STATE(1718),
    [sym_assert_statement] = STATE(1718),
    [sym_expression_statement] = STATE(1718),
    [sym_return_statement] = STATE(1718),
    [sym_delete_statement] = STATE(1718),
    [sym_raise_statement] = STATE(1718),
    [sym_global_statement] = STATE(1718),
    [sym_nonlocal_statement] = STATE(1718),
    [sym_exec_statement] = STATE(1718),
    [sym__suite] = STATE(1918),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3001),
    [sym_break_statement] = ACTIONS(3001),
    [sym_continue_statement] = ACTIONS(3001),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1849] = {
    [sym__dedent] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1850] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1851] = {
    [sym__dedent] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1852] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1853] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(3342),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3344),
  },
  [1854] = {
    [sym__dedent] = ACTIONS(2563),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_from] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_print] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_del] = ACTIONS(2565),
    [anon_sym_raise] = ACTIONS(2565),
    [sym_pass_statement] = ACTIONS(2565),
    [sym_break_statement] = ACTIONS(2565),
    [sym_continue_statement] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_def] = ACTIONS(2565),
    [anon_sym_global] = ACTIONS(2565),
    [anon_sym_nonlocal] = ACTIONS(2565),
    [anon_sym_exec] = ACTIONS(2565),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_lambda] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [sym_ellipsis] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [sym_string] = ACTIONS(2565),
    [sym_integer] = ACTIONS(2565),
    [sym_float] = ACTIONS(2565),
    [sym_identifier] = ACTIONS(2567),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_none] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2565),
    [sym_comment] = ACTIONS(76),
  },
  [1855] = {
    [sym__simple_statements] = STATE(1924),
    [sym_import_statement] = STATE(1923),
    [sym_import_from_statement] = STATE(1923),
    [sym_print_statement] = STATE(1923),
    [sym_assert_statement] = STATE(1923),
    [sym_expression_statement] = STATE(1923),
    [sym_return_statement] = STATE(1923),
    [sym_delete_statement] = STATE(1923),
    [sym_raise_statement] = STATE(1923),
    [sym_global_statement] = STATE(1923),
    [sym_nonlocal_statement] = STATE(1923),
    [sym_exec_statement] = STATE(1923),
    [sym__suite] = STATE(1925),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3348),
    [sym_break_statement] = ACTIONS(3348),
    [sym_continue_statement] = ACTIONS(3348),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1856] = {
    [anon_sym_COMMA] = ACTIONS(3350),
    [anon_sym_as] = ACTIONS(3350),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(3352),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(672),
    [sym_comment] = ACTIONS(76),
  },
  [1857] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1928),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1858] = {
    [anon_sym_COLON] = ACTIONS(3354),
    [sym_comment] = ACTIONS(76),
  },
  [1859] = {
    [sym_finally_clause] = STATE(1930),
    [sym__dedent] = ACTIONS(2624),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_from] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_print] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_del] = ACTIONS(2626),
    [anon_sym_raise] = ACTIONS(2626),
    [sym_pass_statement] = ACTIONS(2626),
    [sym_break_statement] = ACTIONS(2626),
    [sym_continue_statement] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_finally] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_def] = ACTIONS(2626),
    [anon_sym_global] = ACTIONS(2626),
    [anon_sym_nonlocal] = ACTIONS(2626),
    [anon_sym_exec] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_lambda] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_ellipsis] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [sym_string] = ACTIONS(2626),
    [sym_integer] = ACTIONS(2626),
    [sym_float] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_none] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2626),
    [sym_comment] = ACTIONS(76),
  },
  [1860] = {
    [sym__dedent] = ACTIONS(2624),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_from] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_print] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_del] = ACTIONS(2626),
    [anon_sym_raise] = ACTIONS(2626),
    [sym_pass_statement] = ACTIONS(2626),
    [sym_break_statement] = ACTIONS(2626),
    [sym_continue_statement] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_def] = ACTIONS(2626),
    [anon_sym_global] = ACTIONS(2626),
    [anon_sym_nonlocal] = ACTIONS(2626),
    [anon_sym_exec] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_lambda] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_ellipsis] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [sym_string] = ACTIONS(2626),
    [sym_integer] = ACTIONS(2626),
    [sym_float] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_none] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2626),
    [sym_comment] = ACTIONS(76),
  },
  [1861] = {
    [sym_except_clause] = STATE(1723),
    [aux_sym_try_statement_repeat1] = STATE(1861),
    [sym__dedent] = ACTIONS(2630),
    [anon_sym_import] = ACTIONS(2632),
    [anon_sym_from] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2630),
    [anon_sym_print] = ACTIONS(2632),
    [anon_sym_assert] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_del] = ACTIONS(2632),
    [anon_sym_raise] = ACTIONS(2632),
    [sym_pass_statement] = ACTIONS(2632),
    [sym_break_statement] = ACTIONS(2632),
    [sym_continue_statement] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_except] = ACTIONS(3356),
    [anon_sym_finally] = ACTIONS(2632),
    [anon_sym_with] = ACTIONS(2632),
    [anon_sym_async] = ACTIONS(2632),
    [anon_sym_def] = ACTIONS(2632),
    [anon_sym_global] = ACTIONS(2632),
    [anon_sym_nonlocal] = ACTIONS(2632),
    [anon_sym_exec] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_lambda] = ACTIONS(2632),
    [anon_sym_yield] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [sym_ellipsis] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [sym_string] = ACTIONS(2632),
    [sym_integer] = ACTIONS(2632),
    [sym_float] = ACTIONS(2632),
    [sym_identifier] = ACTIONS(2637),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [sym_none] = ACTIONS(2632),
    [anon_sym_await] = ACTIONS(2632),
    [sym_comment] = ACTIONS(76),
  },
  [1862] = {
    [sym__dedent] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1863] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1864] = {
    [sym__dedent] = ACTIONS(2641),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_from] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_print] = ACTIONS(2643),
    [anon_sym_assert] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_del] = ACTIONS(2643),
    [anon_sym_raise] = ACTIONS(2643),
    [sym_pass_statement] = ACTIONS(2643),
    [sym_break_statement] = ACTIONS(2643),
    [sym_continue_statement] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_async] = ACTIONS(2643),
    [anon_sym_def] = ACTIONS(2643),
    [anon_sym_global] = ACTIONS(2643),
    [anon_sym_nonlocal] = ACTIONS(2643),
    [anon_sym_exec] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_lambda] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [sym_ellipsis] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [sym_string] = ACTIONS(2643),
    [sym_integer] = ACTIONS(2643),
    [sym_float] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_none] = ACTIONS(2643),
    [anon_sym_await] = ACTIONS(2643),
    [sym_comment] = ACTIONS(76),
  },
  [1865] = {
    [sym__dedent] = ACTIONS(2699),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_from] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_print] = ACTIONS(2701),
    [anon_sym_assert] = ACTIONS(2701),
    [anon_sym_return] = ACTIONS(2701),
    [anon_sym_del] = ACTIONS(2701),
    [anon_sym_raise] = ACTIONS(2701),
    [sym_pass_statement] = ACTIONS(2701),
    [sym_break_statement] = ACTIONS(2701),
    [sym_continue_statement] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_try] = ACTIONS(2701),
    [anon_sym_with] = ACTIONS(2701),
    [anon_sym_async] = ACTIONS(2701),
    [anon_sym_def] = ACTIONS(2701),
    [anon_sym_global] = ACTIONS(2701),
    [anon_sym_nonlocal] = ACTIONS(2701),
    [anon_sym_exec] = ACTIONS(2701),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_lambda] = ACTIONS(2701),
    [anon_sym_yield] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [sym_ellipsis] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [sym_string] = ACTIONS(2701),
    [sym_integer] = ACTIONS(2701),
    [sym_float] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [sym_true] = ACTIONS(2701),
    [sym_false] = ACTIONS(2701),
    [sym_none] = ACTIONS(2701),
    [anon_sym_await] = ACTIONS(2701),
    [sym_comment] = ACTIONS(76),
  },
  [1866] = {
    [anon_sym_COLON] = ACTIONS(3361),
    [sym_comment] = ACTIONS(76),
  },
  [1867] = {
    [sym__dedent] = ACTIONS(2709),
    [anon_sym_import] = ACTIONS(2711),
    [anon_sym_from] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_print] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_del] = ACTIONS(2711),
    [anon_sym_raise] = ACTIONS(2711),
    [sym_pass_statement] = ACTIONS(2711),
    [sym_break_statement] = ACTIONS(2711),
    [sym_continue_statement] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_with] = ACTIONS(2711),
    [anon_sym_async] = ACTIONS(2711),
    [anon_sym_def] = ACTIONS(2711),
    [anon_sym_global] = ACTIONS(2711),
    [anon_sym_nonlocal] = ACTIONS(2711),
    [anon_sym_exec] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_AT] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_lambda] = ACTIONS(2711),
    [anon_sym_yield] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [sym_ellipsis] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [sym_string] = ACTIONS(2711),
    [sym_integer] = ACTIONS(2711),
    [sym_float] = ACTIONS(2711),
    [sym_identifier] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [sym_none] = ACTIONS(2711),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(76),
  },
  [1868] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(395),
    [sym_import_from_statement] = STATE(395),
    [sym_print_statement] = STATE(395),
    [sym_assert_statement] = STATE(395),
    [sym_expression_statement] = STATE(395),
    [sym_return_statement] = STATE(395),
    [sym_delete_statement] = STATE(395),
    [sym_raise_statement] = STATE(395),
    [sym_global_statement] = STATE(395),
    [sym_nonlocal_statement] = STATE(395),
    [sym_exec_statement] = STATE(395),
    [sym__suite] = STATE(1933),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(654),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(656),
    [sym_break_statement] = ACTIONS(656),
    [sym_continue_statement] = ACTIONS(656),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1869] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_finally] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1870] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1871] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_finally] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1872] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1873] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(3365),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3367),
  },
  [1874] = {
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1875] = {
    [sym__expression] = STATE(1937),
    [sym__primary_expression] = STATE(1230),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_lambda] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2082),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2084),
    [sym_comment] = ACTIONS(76),
  },
  [1876] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH] = ACTIONS(2665),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1877] = {
    [anon_sym_RPAREN] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1878] = {
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3056),
    [sym_comment] = ACTIONS(76),
  },
  [1879] = {
    [sym__expression] = STATE(1938),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1880] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1880),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1567),
    [anon_sym_not] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_LT_GT] = ACTIONS(1565),
    [anon_sym_is] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [sym_string] = ACTIONS(1762),
    [sym_comment] = ACTIONS(76),
  },
  [1881] = {
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_and] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1590),
    [sym_comment] = ACTIONS(76),
  },
  [1882] = {
    [anon_sym_RPAREN] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(1616),
    [sym_comment] = ACTIONS(76),
  },
  [1883] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_SLASH_SLASH] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1884] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1885] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_is] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1886] = {
    [sym__primary_expression] = STATE(1940),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_concatenated_string] = STATE(61),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [sym_comment] = ACTIONS(76),
  },
  [1887] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1888] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1889] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1890] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_not] = ACTIONS(1643),
    [anon_sym_and] = ACTIONS(1643),
    [anon_sym_or] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1643),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_is] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [sym_comment] = ACTIONS(76),
  },
  [1891] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1891),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(3371),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_not] = ACTIONS(3374),
    [anon_sym_and] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_LT_EQ] = ACTIONS(3371),
    [anon_sym_EQ_EQ] = ACTIONS(3371),
    [anon_sym_BANG_EQ] = ACTIONS(3371),
    [anon_sym_GT_EQ] = ACTIONS(3371),
    [anon_sym_GT] = ACTIONS(3377),
    [anon_sym_LT_GT] = ACTIONS(3371),
    [anon_sym_is] = ACTIONS(3380),
    [sym_comment] = ACTIONS(76),
  },
  [1892] = {
    [anon_sym_RPAREN] = ACTIONS(3116),
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_and] = ACTIONS(1092),
    [anon_sym_or] = ACTIONS(1094),
    [sym_comment] = ACTIONS(76),
  },
  [1893] = {
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2142),
    [anon_sym_or] = ACTIONS(2144),
    [sym_comment] = ACTIONS(76),
  },
  [1894] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2183),
    [anon_sym_or] = ACTIONS(2185),
    [sym_comment] = ACTIONS(76),
  },
  [1895] = {
    [sym__expression_within_for_in_clause] = STATE(1908),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1896] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [anon_sym_RBRACK] = ACTIONS(3319),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1897] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1897),
    [anon_sym_COMMA] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [sym_comment] = ACTIONS(76),
  },
  [1898] = {
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1899] = {
    [sym__expression] = STATE(1942),
    [sym__primary_expression] = STATE(1327),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_lambda] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2252),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2254),
    [sym_comment] = ACTIONS(76),
  },
  [1900] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1901] = {
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2304),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1902] = {
    [sym__expression_within_for_in_clause] = STATE(1908),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1903] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1904] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1904),
    [anon_sym_COMMA] = ACTIONS(3386),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [sym_comment] = ACTIONS(76),
  },
  [1905] = {
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(76),
  },
  [1906] = {
    [sym__expression] = STATE(1944),
    [sym__primary_expression] = STATE(1376),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_lambda] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2344),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2346),
    [sym_comment] = ACTIONS(76),
  },
  [1907] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_GT_GT] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [sym_comment] = ACTIONS(76),
  },
  [1908] = {
    [anon_sym_RPAREN] = ACTIONS(3389),
    [anon_sym_COMMA] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_RBRACK] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [sym_comment] = ACTIONS(76),
  },
  [1909] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(66),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(92),
    [anon_sym_PLUS] = ACTIONS(94),
    [anon_sym_DASH] = ACTIONS(94),
    [anon_sym_TILDE] = ACTIONS(94),
    [anon_sym_lambda] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(106),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(112),
    [sym_comment] = ACTIONS(76),
  },
  [1910] = {
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2441),
    [anon_sym_or] = ACTIONS(2443),
    [sym_comment] = ACTIONS(76),
  },
  [1911] = {
    [sym__dedent] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_elif] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1912] = {
    [sym__dedent] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_elif] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1913] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3391),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1914] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(3393),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1915] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1947),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1916] = {
    [sym__dedent] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2969),
    [anon_sym_from] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_print] = ACTIONS(2969),
    [anon_sym_assert] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_del] = ACTIONS(2969),
    [anon_sym_raise] = ACTIONS(2969),
    [sym_pass_statement] = ACTIONS(2969),
    [sym_break_statement] = ACTIONS(2969),
    [sym_continue_statement] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_with] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(2969),
    [anon_sym_def] = ACTIONS(2969),
    [anon_sym_global] = ACTIONS(2969),
    [anon_sym_nonlocal] = ACTIONS(2969),
    [anon_sym_exec] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_lambda] = ACTIONS(2969),
    [anon_sym_yield] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [sym_ellipsis] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [sym_string] = ACTIONS(2969),
    [sym_integer] = ACTIONS(2969),
    [sym_float] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [sym_none] = ACTIONS(2969),
    [anon_sym_await] = ACTIONS(2969),
    [sym_comment] = ACTIONS(76),
  },
  [1917] = {
    [sym_elif_clause] = STATE(1845),
    [aux_sym_if_statement_repeat1] = STATE(1917),
    [sym__dedent] = ACTIONS(2973),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_from] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [anon_sym_print] = ACTIONS(2975),
    [anon_sym_assert] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_del] = ACTIONS(2975),
    [anon_sym_raise] = ACTIONS(2975),
    [sym_pass_statement] = ACTIONS(2975),
    [sym_break_statement] = ACTIONS(2975),
    [sym_continue_statement] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_elif] = ACTIONS(3395),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_with] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_def] = ACTIONS(2975),
    [anon_sym_global] = ACTIONS(2975),
    [anon_sym_nonlocal] = ACTIONS(2975),
    [anon_sym_exec] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_lambda] = ACTIONS(2975),
    [anon_sym_yield] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [sym_ellipsis] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [sym_string] = ACTIONS(2975),
    [sym_integer] = ACTIONS(2975),
    [sym_float] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2980),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_none] = ACTIONS(2975),
    [anon_sym_await] = ACTIONS(2975),
    [sym_comment] = ACTIONS(76),
  },
  [1918] = {
    [sym_else_clause] = STATE(1948),
    [sym__dedent] = ACTIONS(2982),
    [anon_sym_import] = ACTIONS(2984),
    [anon_sym_from] = ACTIONS(2984),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_print] = ACTIONS(2984),
    [anon_sym_assert] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_del] = ACTIONS(2984),
    [anon_sym_raise] = ACTIONS(2984),
    [sym_pass_statement] = ACTIONS(2984),
    [sym_break_statement] = ACTIONS(2984),
    [sym_continue_statement] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_with] = ACTIONS(2984),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_def] = ACTIONS(2984),
    [anon_sym_global] = ACTIONS(2984),
    [anon_sym_nonlocal] = ACTIONS(2984),
    [anon_sym_exec] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_AT] = ACTIONS(2982),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_lambda] = ACTIONS(2984),
    [anon_sym_yield] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2982),
    [sym_ellipsis] = ACTIONS(2982),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [sym_string] = ACTIONS(2984),
    [sym_integer] = ACTIONS(2984),
    [sym_float] = ACTIONS(2984),
    [sym_identifier] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [sym_none] = ACTIONS(2984),
    [anon_sym_await] = ACTIONS(2984),
    [sym_comment] = ACTIONS(76),
  },
  [1919] = {
    [sym__dedent] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1920] = {
    [sym__dedent] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1921] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3398),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1922] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1951),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3400),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1923] = {
    [aux_sym__simple_statements_repeat1] = STATE(1954),
    [sym__newline] = ACTIONS(3402),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3404),
  },
  [1924] = {
    [sym__dedent] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_except] = ACTIONS(1323),
    [anon_sym_finally] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1925] = {
    [sym__dedent] = ACTIONS(3017),
    [anon_sym_import] = ACTIONS(3019),
    [anon_sym_from] = ACTIONS(3019),
    [anon_sym_LPAREN] = ACTIONS(3017),
    [anon_sym_print] = ACTIONS(3019),
    [anon_sym_assert] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_del] = ACTIONS(3019),
    [anon_sym_raise] = ACTIONS(3019),
    [sym_pass_statement] = ACTIONS(3019),
    [sym_break_statement] = ACTIONS(3019),
    [sym_continue_statement] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_else] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_except] = ACTIONS(3019),
    [anon_sym_finally] = ACTIONS(3019),
    [anon_sym_with] = ACTIONS(3019),
    [anon_sym_async] = ACTIONS(3019),
    [anon_sym_def] = ACTIONS(3019),
    [anon_sym_global] = ACTIONS(3019),
    [anon_sym_nonlocal] = ACTIONS(3019),
    [anon_sym_exec] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_AT] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_lambda] = ACTIONS(3019),
    [anon_sym_yield] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [sym_ellipsis] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [sym_string] = ACTIONS(3019),
    [sym_integer] = ACTIONS(3019),
    [sym_float] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [sym_none] = ACTIONS(3019),
    [anon_sym_await] = ACTIONS(3019),
    [sym_comment] = ACTIONS(76),
  },
  [1926] = {
    [sym__expression] = STATE(1955),
    [sym__primary_expression] = STATE(111),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(184),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(186),
    [sym_comment] = ACTIONS(76),
  },
  [1927] = {
    [sym__simple_statements] = STATE(1924),
    [sym_import_statement] = STATE(1923),
    [sym_import_from_statement] = STATE(1923),
    [sym_print_statement] = STATE(1923),
    [sym_assert_statement] = STATE(1923),
    [sym_expression_statement] = STATE(1923),
    [sym_return_statement] = STATE(1923),
    [sym_delete_statement] = STATE(1923),
    [sym_raise_statement] = STATE(1923),
    [sym_global_statement] = STATE(1923),
    [sym_nonlocal_statement] = STATE(1923),
    [sym_exec_statement] = STATE(1923),
    [sym__suite] = STATE(1956),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3348),
    [sym_break_statement] = ACTIONS(3348),
    [sym_continue_statement] = ACTIONS(3348),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1928] = {
    [sym__dedent] = ACTIONS(3023),
    [anon_sym_import] = ACTIONS(3025),
    [anon_sym_from] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3023),
    [anon_sym_print] = ACTIONS(3025),
    [anon_sym_assert] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_del] = ACTIONS(3025),
    [anon_sym_raise] = ACTIONS(3025),
    [sym_pass_statement] = ACTIONS(3025),
    [sym_break_statement] = ACTIONS(3025),
    [sym_continue_statement] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_with] = ACTIONS(3025),
    [anon_sym_async] = ACTIONS(3025),
    [anon_sym_def] = ACTIONS(3025),
    [anon_sym_global] = ACTIONS(3025),
    [anon_sym_nonlocal] = ACTIONS(3025),
    [anon_sym_exec] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_AT] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_lambda] = ACTIONS(3025),
    [anon_sym_yield] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [sym_ellipsis] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [sym_string] = ACTIONS(3025),
    [sym_integer] = ACTIONS(3025),
    [sym_float] = ACTIONS(3025),
    [sym_identifier] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [sym_none] = ACTIONS(3025),
    [anon_sym_await] = ACTIONS(3025),
    [sym_comment] = ACTIONS(76),
  },
  [1929] = {
    [sym__simple_statements] = STATE(1959),
    [sym_import_statement] = STATE(1958),
    [sym_import_from_statement] = STATE(1958),
    [sym_print_statement] = STATE(1958),
    [sym_assert_statement] = STATE(1958),
    [sym_expression_statement] = STATE(1958),
    [sym_return_statement] = STATE(1958),
    [sym_delete_statement] = STATE(1958),
    [sym_raise_statement] = STATE(1958),
    [sym_global_statement] = STATE(1958),
    [sym_nonlocal_statement] = STATE(1958),
    [sym_exec_statement] = STATE(1958),
    [sym__suite] = STATE(1960),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3406),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3408),
    [sym_break_statement] = ACTIONS(3408),
    [sym_continue_statement] = ACTIONS(3408),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1930] = {
    [sym__dedent] = ACTIONS(3033),
    [anon_sym_import] = ACTIONS(3035),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_print] = ACTIONS(3035),
    [anon_sym_assert] = ACTIONS(3035),
    [anon_sym_return] = ACTIONS(3035),
    [anon_sym_del] = ACTIONS(3035),
    [anon_sym_raise] = ACTIONS(3035),
    [sym_pass_statement] = ACTIONS(3035),
    [sym_break_statement] = ACTIONS(3035),
    [sym_continue_statement] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_try] = ACTIONS(3035),
    [anon_sym_with] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_def] = ACTIONS(3035),
    [anon_sym_global] = ACTIONS(3035),
    [anon_sym_nonlocal] = ACTIONS(3035),
    [anon_sym_exec] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_lambda] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [sym_ellipsis] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [sym_string] = ACTIONS(3035),
    [sym_integer] = ACTIONS(3035),
    [sym_float] = ACTIONS(3035),
    [sym_identifier] = ACTIONS(3037),
    [sym_true] = ACTIONS(3035),
    [sym_false] = ACTIONS(3035),
    [sym_none] = ACTIONS(3035),
    [anon_sym_await] = ACTIONS(3035),
    [sym_comment] = ACTIONS(76),
  },
  [1931] = {
    [sym__dedent] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1932] = {
    [sym__simple_statements] = STATE(1727),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym__suite] = STATE(1961),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3007),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1933] = {
    [ts_builtin_sym_end] = ACTIONS(3410),
    [anon_sym_import] = ACTIONS(3412),
    [anon_sym_from] = ACTIONS(3412),
    [anon_sym_LPAREN] = ACTIONS(3410),
    [anon_sym_print] = ACTIONS(3412),
    [anon_sym_assert] = ACTIONS(3412),
    [anon_sym_return] = ACTIONS(3412),
    [anon_sym_del] = ACTIONS(3412),
    [anon_sym_raise] = ACTIONS(3412),
    [sym_pass_statement] = ACTIONS(3412),
    [sym_break_statement] = ACTIONS(3412),
    [sym_continue_statement] = ACTIONS(3412),
    [anon_sym_if] = ACTIONS(3412),
    [anon_sym_else] = ACTIONS(3412),
    [anon_sym_for] = ACTIONS(3412),
    [anon_sym_while] = ACTIONS(3412),
    [anon_sym_try] = ACTIONS(3412),
    [anon_sym_except] = ACTIONS(3412),
    [anon_sym_finally] = ACTIONS(3412),
    [anon_sym_with] = ACTIONS(3412),
    [anon_sym_async] = ACTIONS(3412),
    [anon_sym_def] = ACTIONS(3412),
    [anon_sym_global] = ACTIONS(3412),
    [anon_sym_nonlocal] = ACTIONS(3412),
    [anon_sym_exec] = ACTIONS(3412),
    [anon_sym_class] = ACTIONS(3412),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_not] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_TILDE] = ACTIONS(3410),
    [anon_sym_lambda] = ACTIONS(3412),
    [anon_sym_yield] = ACTIONS(3412),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [sym_ellipsis] = ACTIONS(3410),
    [anon_sym_LBRACE] = ACTIONS(3410),
    [sym_string] = ACTIONS(3412),
    [sym_integer] = ACTIONS(3412),
    [sym_float] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3414),
    [sym_true] = ACTIONS(3412),
    [sym_false] = ACTIONS(3412),
    [sym_none] = ACTIONS(3412),
    [anon_sym_await] = ACTIONS(3412),
    [sym_comment] = ACTIONS(76),
  },
  [1934] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_finally] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1935] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_finally] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1936] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3416),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1937] = {
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2653),
    [sym_comment] = ACTIONS(76),
  },
  [1938] = {
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(2219),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3056),
    [sym_comment] = ACTIONS(76),
  },
  [1939] = {
    [sym__expression] = STATE(1963),
    [sym__primary_expression] = STATE(1554),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_lambda] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(2691),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(2693),
    [sym_comment] = ACTIONS(76),
  },
  [1940] = {
    [sym_argument_list] = STATE(263),
    [sym_generator_expression] = STATE(263),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_GT_GT] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_and] = ACTIONS(2380),
    [anon_sym_or] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2380),
    [anon_sym_is] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(448),
    [sym_comment] = ACTIONS(76),
  },
  [1941] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1601),
    [sym__primary_expression] = STATE(158),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(246),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(248),
    [sym_comment] = ACTIONS(76),
  },
  [1942] = {
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1943] = {
    [sym__expression_within_for_in_clause] = STATE(1831),
    [sym__expression] = STATE(1641),
    [sym__primary_expression] = STATE(988),
    [sym_not_operator] = STATE(67),
    [sym_boolean_operator] = STATE(67),
    [sym_binary_operator] = STATE(61),
    [sym_unary_operator] = STATE(61),
    [sym_comparison_operator] = STATE(67),
    [sym_lambda] = STATE(67),
    [sym_lambda_within_for_in_clause] = STATE(1443),
    [sym_attribute] = STATE(61),
    [sym_subscript] = STATE(61),
    [sym_call] = STATE(61),
    [sym_list] = STATE(61),
    [sym_list_comprehension] = STATE(61),
    [sym_dictionary] = STATE(61),
    [sym_dictionary_comprehension] = STATE(61),
    [sym_set] = STATE(61),
    [sym_set_comprehension] = STATE(61),
    [sym_parenthesized_expression] = STATE(61),
    [sym_tuple] = STATE(61),
    [sym_generator_expression] = STATE(61),
    [sym_conditional_expression] = STATE(67),
    [sym_concatenated_string] = STATE(61),
    [sym_await] = STATE(67),
    [anon_sym_LPAREN] = ACTIONS(84),
    [anon_sym_print] = ACTIONS(90),
    [anon_sym_exec] = ACTIONS(90),
    [anon_sym_not] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_lambda] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(100),
    [sym_ellipsis] = ACTIONS(102),
    [anon_sym_LBRACE] = ACTIONS(104),
    [sym_string] = ACTIONS(1551),
    [sym_integer] = ACTIONS(108),
    [sym_float] = ACTIONS(108),
    [sym_identifier] = ACTIONS(110),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_none] = ACTIONS(108),
    [anon_sym_await] = ACTIONS(1553),
    [sym_comment] = ACTIONS(76),
  },
  [1944] = {
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [sym_comment] = ACTIONS(76),
  },
  [1945] = {
    [sym__dedent] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_elif] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1946] = {
    [sym__simple_statements] = STATE(1714),
    [sym_import_statement] = STATE(1713),
    [sym_import_from_statement] = STATE(1713),
    [sym_print_statement] = STATE(1713),
    [sym_assert_statement] = STATE(1713),
    [sym_expression_statement] = STATE(1713),
    [sym_return_statement] = STATE(1713),
    [sym_delete_statement] = STATE(1713),
    [sym_raise_statement] = STATE(1713),
    [sym_global_statement] = STATE(1713),
    [sym_nonlocal_statement] = STATE(1713),
    [sym_exec_statement] = STATE(1713),
    [sym__suite] = STATE(1964),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(2997),
    [sym_break_statement] = ACTIONS(2997),
    [sym_continue_statement] = ACTIONS(2997),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1947] = {
    [sym__dedent] = ACTIONS(3191),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_print] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_del] = ACTIONS(3193),
    [anon_sym_raise] = ACTIONS(3193),
    [sym_pass_statement] = ACTIONS(3193),
    [sym_break_statement] = ACTIONS(3193),
    [sym_continue_statement] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_def] = ACTIONS(3193),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_nonlocal] = ACTIONS(3193),
    [anon_sym_exec] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_lambda] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [sym_ellipsis] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [sym_string] = ACTIONS(3193),
    [sym_integer] = ACTIONS(3193),
    [sym_float] = ACTIONS(3193),
    [sym_identifier] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_none] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
  },
  [1948] = {
    [sym__dedent] = ACTIONS(3197),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_from] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_print] = ACTIONS(3199),
    [anon_sym_assert] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_del] = ACTIONS(3199),
    [anon_sym_raise] = ACTIONS(3199),
    [sym_pass_statement] = ACTIONS(3199),
    [sym_break_statement] = ACTIONS(3199),
    [sym_continue_statement] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_def] = ACTIONS(3199),
    [anon_sym_global] = ACTIONS(3199),
    [anon_sym_nonlocal] = ACTIONS(3199),
    [anon_sym_exec] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_lambda] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [sym_ellipsis] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [sym_string] = ACTIONS(3199),
    [sym_integer] = ACTIONS(3199),
    [sym_float] = ACTIONS(3199),
    [sym_identifier] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_none] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [sym_comment] = ACTIONS(76),
  },
  [1949] = {
    [sym__dedent] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1950] = {
    [sym__dedent] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_except] = ACTIONS(1995),
    [anon_sym_finally] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1951] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3418),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1952] = {
    [sym__dedent] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_except] = ACTIONS(586),
    [anon_sym_finally] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1953] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3420),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1954] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(3420),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3422),
  },
  [1955] = {
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(3424),
    [anon_sym_and] = ACTIONS(602),
    [anon_sym_or] = ACTIONS(604),
    [sym_comment] = ACTIONS(76),
  },
  [1956] = {
    [sym__dedent] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_from] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_print] = ACTIONS(3237),
    [anon_sym_assert] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_del] = ACTIONS(3237),
    [anon_sym_raise] = ACTIONS(3237),
    [sym_pass_statement] = ACTIONS(3237),
    [sym_break_statement] = ACTIONS(3237),
    [sym_continue_statement] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_except] = ACTIONS(3237),
    [anon_sym_finally] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_def] = ACTIONS(3237),
    [anon_sym_global] = ACTIONS(3237),
    [anon_sym_nonlocal] = ACTIONS(3237),
    [anon_sym_exec] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_lambda] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [sym_ellipsis] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [sym_string] = ACTIONS(3237),
    [sym_integer] = ACTIONS(3237),
    [sym_float] = ACTIONS(3237),
    [sym_identifier] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_none] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [sym_comment] = ACTIONS(76),
  },
  [1957] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1970),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1958] = {
    [aux_sym__simple_statements_repeat1] = STATE(1973),
    [sym__newline] = ACTIONS(3428),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3430),
  },
  [1959] = {
    [sym__dedent] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_print] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_del] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1323),
    [sym_pass_statement] = ACTIONS(1323),
    [sym_break_statement] = ACTIONS(1323),
    [sym_continue_statement] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_finally] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_def] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1323),
    [anon_sym_exec] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_lambda] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [sym_string] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [anon_sym_await] = ACTIONS(1323),
    [sym_comment] = ACTIONS(76),
  },
  [1960] = {
    [sym__dedent] = ACTIONS(3191),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_print] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_del] = ACTIONS(3193),
    [anon_sym_raise] = ACTIONS(3193),
    [sym_pass_statement] = ACTIONS(3193),
    [sym_break_statement] = ACTIONS(3193),
    [sym_continue_statement] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_def] = ACTIONS(3193),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_nonlocal] = ACTIONS(3193),
    [anon_sym_exec] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_lambda] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [sym_ellipsis] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [sym_string] = ACTIONS(3193),
    [sym_integer] = ACTIONS(3193),
    [sym_float] = ACTIONS(3193),
    [sym_identifier] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_none] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [sym_comment] = ACTIONS(76),
  },
  [1961] = {
    [sym__dedent] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_from] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_print] = ACTIONS(3269),
    [anon_sym_assert] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_del] = ACTIONS(3269),
    [anon_sym_raise] = ACTIONS(3269),
    [sym_pass_statement] = ACTIONS(3269),
    [sym_break_statement] = ACTIONS(3269),
    [sym_continue_statement] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_def] = ACTIONS(3269),
    [anon_sym_global] = ACTIONS(3269),
    [anon_sym_nonlocal] = ACTIONS(3269),
    [anon_sym_exec] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_lambda] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [sym_ellipsis] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [sym_string] = ACTIONS(3269),
    [sym_integer] = ACTIONS(3269),
    [sym_float] = ACTIONS(3269),
    [sym_identifier] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_none] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [sym_comment] = ACTIONS(76),
  },
  [1962] = {
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_finally] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1963] = {
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3056),
    [sym_comment] = ACTIONS(76),
  },
  [1964] = {
    [sym__dedent] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_from] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_print] = ACTIONS(3328),
    [anon_sym_assert] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_del] = ACTIONS(3328),
    [anon_sym_raise] = ACTIONS(3328),
    [sym_pass_statement] = ACTIONS(3328),
    [sym_break_statement] = ACTIONS(3328),
    [sym_continue_statement] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_elif] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_def] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3328),
    [anon_sym_nonlocal] = ACTIONS(3328),
    [anon_sym_exec] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_lambda] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [sym_ellipsis] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [sym_string] = ACTIONS(3328),
    [sym_integer] = ACTIONS(3328),
    [sym_float] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(3330),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_none] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [sym_comment] = ACTIONS(76),
  },
  [1965] = {
    [sym__dedent] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_except] = ACTIONS(2585),
    [anon_sym_finally] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1966] = {
    [sym__dedent] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_else] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_except] = ACTIONS(1266),
    [anon_sym_finally] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1967] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3432),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1968] = {
    [sym__simple_statements] = STATE(1924),
    [sym_import_statement] = STATE(1923),
    [sym_import_from_statement] = STATE(1923),
    [sym_print_statement] = STATE(1923),
    [sym_assert_statement] = STATE(1923),
    [sym_expression_statement] = STATE(1923),
    [sym_return_statement] = STATE(1923),
    [sym_delete_statement] = STATE(1923),
    [sym_raise_statement] = STATE(1923),
    [sym_global_statement] = STATE(1923),
    [sym_nonlocal_statement] = STATE(1923),
    [sym_exec_statement] = STATE(1923),
    [sym__suite] = STATE(1975),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__indent] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(3348),
    [sym_break_statement] = ACTIONS(3348),
    [sym_continue_statement] = ACTIONS(3348),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1969] = {
    [sym__dedent] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_print] = ACTIONS(1995),
    [anon_sym_assert] = ACTIONS(1995),
    [anon_sym_return] = ACTIONS(1995),
    [anon_sym_del] = ACTIONS(1995),
    [anon_sym_raise] = ACTIONS(1995),
    [sym_pass_statement] = ACTIONS(1995),
    [sym_break_statement] = ACTIONS(1995),
    [sym_continue_statement] = ACTIONS(1995),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_for] = ACTIONS(1995),
    [anon_sym_while] = ACTIONS(1995),
    [anon_sym_try] = ACTIONS(1995),
    [anon_sym_finally] = ACTIONS(1995),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_def] = ACTIONS(1995),
    [anon_sym_global] = ACTIONS(1995),
    [anon_sym_nonlocal] = ACTIONS(1995),
    [anon_sym_exec] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(1993),
    [anon_sym_not] = ACTIONS(1995),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_lambda] = ACTIONS(1995),
    [anon_sym_yield] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_ellipsis] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [sym_string] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [sym_true] = ACTIONS(1995),
    [sym_false] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1995),
    [sym_comment] = ACTIONS(76),
  },
  [1970] = {
    [sym__statement] = STATE(804),
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(795),
    [sym_import_from_statement] = STATE(795),
    [sym_print_statement] = STATE(795),
    [sym_assert_statement] = STATE(795),
    [sym_expression_statement] = STATE(795),
    [sym_return_statement] = STATE(795),
    [sym_delete_statement] = STATE(795),
    [sym_raise_statement] = STATE(795),
    [sym_if_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_async_function_definition] = STATE(805),
    [sym_function_definition] = STATE(805),
    [sym__function_definition] = STATE(806),
    [sym_global_statement] = STATE(795),
    [sym_nonlocal_statement] = STATE(795),
    [sym_exec_statement] = STATE(795),
    [sym_class_definition] = STATE(805),
    [sym_decorated_definition] = STATE(805),
    [sym_decorator] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [aux_sym_module_repeat1] = STATE(1206),
    [aux_sym_decorated_definition_repeat1] = STATE(808),
    [sym__dedent] = ACTIONS(3434),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(1299),
    [sym_break_statement] = ACTIONS(1299),
    [sym_continue_statement] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_def] = ACTIONS(1313),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(52),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1971] = {
    [sym__dedent] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_from] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_print] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_del] = ACTIONS(586),
    [anon_sym_raise] = ACTIONS(586),
    [sym_pass_statement] = ACTIONS(586),
    [sym_break_statement] = ACTIONS(586),
    [sym_continue_statement] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_finally] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_def] = ACTIONS(586),
    [anon_sym_global] = ACTIONS(586),
    [anon_sym_nonlocal] = ACTIONS(586),
    [anon_sym_exec] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_not] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_lambda] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_ellipsis] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [sym_string] = ACTIONS(586),
    [sym_integer] = ACTIONS(586),
    [sym_float] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_none] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(586),
    [sym_comment] = ACTIONS(76),
  },
  [1972] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3436),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1973] = {
    [aux_sym__simple_statements_repeat1] = STATE(362),
    [sym__newline] = ACTIONS(3436),
    [sym_comment] = ACTIONS(76),
    [sym__semicolon] = ACTIONS(3438),
  },
  [1974] = {
    [sym__dedent] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_except] = ACTIONS(1936),
    [anon_sym_finally] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
  [1975] = {
    [sym__dedent] = ACTIONS(3410),
    [anon_sym_import] = ACTIONS(3412),
    [anon_sym_from] = ACTIONS(3412),
    [anon_sym_LPAREN] = ACTIONS(3410),
    [anon_sym_print] = ACTIONS(3412),
    [anon_sym_assert] = ACTIONS(3412),
    [anon_sym_return] = ACTIONS(3412),
    [anon_sym_del] = ACTIONS(3412),
    [anon_sym_raise] = ACTIONS(3412),
    [sym_pass_statement] = ACTIONS(3412),
    [sym_break_statement] = ACTIONS(3412),
    [sym_continue_statement] = ACTIONS(3412),
    [anon_sym_if] = ACTIONS(3412),
    [anon_sym_else] = ACTIONS(3412),
    [anon_sym_for] = ACTIONS(3412),
    [anon_sym_while] = ACTIONS(3412),
    [anon_sym_try] = ACTIONS(3412),
    [anon_sym_except] = ACTIONS(3412),
    [anon_sym_finally] = ACTIONS(3412),
    [anon_sym_with] = ACTIONS(3412),
    [anon_sym_async] = ACTIONS(3412),
    [anon_sym_def] = ACTIONS(3412),
    [anon_sym_global] = ACTIONS(3412),
    [anon_sym_nonlocal] = ACTIONS(3412),
    [anon_sym_exec] = ACTIONS(3412),
    [anon_sym_class] = ACTIONS(3412),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_not] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_TILDE] = ACTIONS(3410),
    [anon_sym_lambda] = ACTIONS(3412),
    [anon_sym_yield] = ACTIONS(3412),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [sym_ellipsis] = ACTIONS(3410),
    [anon_sym_LBRACE] = ACTIONS(3410),
    [sym_string] = ACTIONS(3412),
    [sym_integer] = ACTIONS(3412),
    [sym_float] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3414),
    [sym_true] = ACTIONS(3412),
    [sym_false] = ACTIONS(3412),
    [sym_none] = ACTIONS(3412),
    [anon_sym_await] = ACTIONS(3412),
    [sym_comment] = ACTIONS(76),
  },
  [1976] = {
    [sym__dedent] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_from] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_print] = ACTIONS(2585),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_del] = ACTIONS(2585),
    [anon_sym_raise] = ACTIONS(2585),
    [sym_pass_statement] = ACTIONS(2585),
    [sym_break_statement] = ACTIONS(2585),
    [sym_continue_statement] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_finally] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [anon_sym_global] = ACTIONS(2585),
    [anon_sym_nonlocal] = ACTIONS(2585),
    [anon_sym_exec] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_lambda] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_ellipsis] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [sym_string] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2585),
    [sym_comment] = ACTIONS(76),
  },
  [1977] = {
    [sym__dedent] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1266),
    [anon_sym_from] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_print] = ACTIONS(1266),
    [anon_sym_assert] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_del] = ACTIONS(1266),
    [anon_sym_raise] = ACTIONS(1266),
    [sym_pass_statement] = ACTIONS(1266),
    [sym_break_statement] = ACTIONS(1266),
    [sym_continue_statement] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_finally] = ACTIONS(1266),
    [anon_sym_with] = ACTIONS(1266),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_def] = ACTIONS(1266),
    [anon_sym_global] = ACTIONS(1266),
    [anon_sym_nonlocal] = ACTIONS(1266),
    [anon_sym_exec] = ACTIONS(1266),
    [anon_sym_class] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_lambda] = ACTIONS(1266),
    [anon_sym_yield] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [sym_string] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [sym_comment] = ACTIONS(76),
  },
  [1978] = {
    [sym_import_statement] = STATE(360),
    [sym_import_from_statement] = STATE(360),
    [sym_print_statement] = STATE(360),
    [sym_assert_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_delete_statement] = STATE(360),
    [sym_raise_statement] = STATE(360),
    [sym_global_statement] = STATE(360),
    [sym_nonlocal_statement] = STATE(360),
    [sym_exec_statement] = STATE(360),
    [sym_expression_list] = STATE(37),
    [sym__expression] = STATE(38),
    [sym__primary_expression] = STATE(39),
    [sym_not_operator] = STATE(40),
    [sym_boolean_operator] = STATE(40),
    [sym_binary_operator] = STATE(28),
    [sym_unary_operator] = STATE(28),
    [sym_comparison_operator] = STATE(40),
    [sym_lambda] = STATE(40),
    [sym_assignment] = STATE(41),
    [sym_augmented_assignment] = STATE(41),
    [sym_yield] = STATE(41),
    [sym_attribute] = STATE(28),
    [sym_subscript] = STATE(28),
    [sym_call] = STATE(28),
    [sym_list] = STATE(28),
    [sym_list_comprehension] = STATE(28),
    [sym_dictionary] = STATE(28),
    [sym_dictionary_comprehension] = STATE(28),
    [sym_set] = STATE(28),
    [sym_set_comprehension] = STATE(28),
    [sym_parenthesized_expression] = STATE(28),
    [sym_tuple] = STATE(28),
    [sym_generator_expression] = STATE(28),
    [sym_conditional_expression] = STATE(40),
    [sym_concatenated_string] = STATE(28),
    [sym_await] = STATE(40),
    [sym__newline] = ACTIONS(3440),
    [anon_sym_import] = ACTIONS(12),
    [anon_sym_from] = ACTIONS(14),
    [anon_sym_LPAREN] = ACTIONS(16),
    [anon_sym_print] = ACTIONS(18),
    [anon_sym_assert] = ACTIONS(20),
    [anon_sym_return] = ACTIONS(22),
    [anon_sym_del] = ACTIONS(24),
    [anon_sym_raise] = ACTIONS(26),
    [sym_pass_statement] = ACTIONS(592),
    [sym_break_statement] = ACTIONS(592),
    [sym_continue_statement] = ACTIONS(592),
    [anon_sym_global] = ACTIONS(44),
    [anon_sym_nonlocal] = ACTIONS(46),
    [anon_sym_exec] = ACTIONS(48),
    [anon_sym_not] = ACTIONS(54),
    [anon_sym_PLUS] = ACTIONS(56),
    [anon_sym_DASH] = ACTIONS(56),
    [anon_sym_TILDE] = ACTIONS(56),
    [anon_sym_lambda] = ACTIONS(58),
    [anon_sym_yield] = ACTIONS(60),
    [anon_sym_LBRACK] = ACTIONS(62),
    [sym_ellipsis] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(66),
    [sym_string] = ACTIONS(68),
    [sym_integer] = ACTIONS(70),
    [sym_float] = ACTIONS(70),
    [sym_identifier] = ACTIONS(72),
    [sym_true] = ACTIONS(70),
    [sym_false] = ACTIONS(70),
    [sym_none] = ACTIONS(70),
    [anon_sym_await] = ACTIONS(74),
    [sym_comment] = ACTIONS(76),
  },
  [1979] = {
    [sym__dedent] = ACTIONS(1934),
    [anon_sym_import] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_print] = ACTIONS(1936),
    [anon_sym_assert] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_del] = ACTIONS(1936),
    [anon_sym_raise] = ACTIONS(1936),
    [sym_pass_statement] = ACTIONS(1936),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_finally] = ACTIONS(1936),
    [anon_sym_with] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_def] = ACTIONS(1936),
    [anon_sym_global] = ACTIONS(1936),
    [anon_sym_nonlocal] = ACTIONS(1936),
    [anon_sym_exec] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_lambda] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [sym_ellipsis] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [sym_string] = ACTIONS(1936),
    [sym_integer] = ACTIONS(1936),
    [sym_float] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1938),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [sym_none] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [sym_comment] = ACTIONS(76),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false, .depends_on_lookahead = false},
  [1] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, RECOVER(),
  [5] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, RECOVER(),
  [7] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, SHIFT_EXTRA(), RECOVER(),
  [10] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_module, 0),
  [12] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(2),
  [14] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(3),
  [16] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(4),
  [18] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(5),
  [20] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(6),
  [22] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(7),
  [24] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(8),
  [26] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(9),
  [28] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(10),
  [30] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(11),
  [32] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(12),
  [34] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(13),
  [36] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(14),
  [38] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(15),
  [40] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(16),
  [42] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(17),
  [44] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(18),
  [46] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(19),
  [48] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(20),
  [50] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(21),
  [52] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(22),
  [54] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(23),
  [56] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(24),
  [58] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(25),
  [60] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(26),
  [62] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(27),
  [64] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(28),
  [66] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(29),
  [68] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(30),
  [70] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(28),
  [72] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(28),
  [74] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(31),
  [76] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT_EXTRA(),
  [78] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(44),
  [80] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(48),
  [82] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(49),
  [84] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(52),
  [86] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(53),
  [88] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(54),
  [90] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(55),
  [92] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(56),
  [94] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(57),
  [96] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(58),
  [98] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(59),
  [100] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(60),
  [102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(61),
  [104] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(62),
  [106] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(63),
  [108] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(61),
  [110] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(61),
  [112] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(64),
  [114] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__primary_expression, 1, .alias_sequence_id = 1),
  [116] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__primary_expression, 1, .alias_sequence_id = 1),
  [118] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(70),
  [120] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(71),
  [122] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(73),
  [124] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(74),
  [126] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(76),
  [128] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(77),
  [130] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(78),
  [132] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(76),
  [134] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(76),
  [136] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(79),
  [138] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(69),
  [140] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(72),
  [142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(75),
  [144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 1),
  [146] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_raise_statement, 1),
  [148] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(87),
  [150] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(88),
  [152] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(89),
  [154] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(90),
  [156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(91),
  [158] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(92),
  [160] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(93),
  [162] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(94),
  [164] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(95),
  [166] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(96),
  [168] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(94),
  [170] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(94),
  [172] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(97),
  [174] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(102),
  [176] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(103),
  [178] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(105),
  [180] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(106),
  [182] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(107),
  [184] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(108),
  [186] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(109),
  [188] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(112),
  [190] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(113),
  [192] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(117),
  [194] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(118),
  [196] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(119),
  [198] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(120),
  [200] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(121),
  [202] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(122),
  [204] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(17),
  [206] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(127),
  [208] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(128),
  [210] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(129),
  [212] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(130),
  [214] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(131),
  [216] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(132),
  [218] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(134),
  [220] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(137),
  [222] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(138),
  [224] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(139),
  [226] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(140),
  [228] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(141),
  [230] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_yield, 1),
  [232] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(146),
  [234] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(148),
  [236] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(149),
  [238] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(150),
  [240] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(151),
  [242] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(152),
  [244] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(153),
  [246] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(154),
  [248] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(155),
  [250] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__primary_expression, 1),
  [252] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__primary_expression, 1),
  [254] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(159),
  [256] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(160),
  [258] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(161),
  [260] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(162),
  [262] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(163),
  [264] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(164),
  [266] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(165),
  [268] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(166),
  [270] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(172),
  [272] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, ACCEPT_INPUT(),
  [274] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 1),
  [276] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 1),
  [278] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 1),
  [280] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__statement, 1),
  [282] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__statement, 1),
  [284] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__statement, 1),
  [286] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_function_definition, 1),
  [288] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_function_definition, 1),
  [290] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_function_definition, 1),
  [292] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_decorated_definition_repeat1, 1),
  [294] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(175),
  [296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(176),
  [298] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_statement, 1),
  [300] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(177),
  [302] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(178),
  [304] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 1, .fragile = true),
  [306] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(179),
  [308] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(180),
  [310] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression, 1),
  [312] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(182),
  [314] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(183),
  [316] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(184),
  [318] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(185),
  [320] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(186),
  [322] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__expression, 1),
  [324] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(187),
  [326] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(188),
  [328] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(189),
  [330] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(190),
  [332] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(191),
  [334] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(192),
  [336] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(186),
  [338] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(193),
  [340] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(194),
  [342] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_module, 1),
  [344] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(16),
  [346] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(21),
  [348] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dotted_name, 1),
  [350] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(200),
  [352] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_statement, 2),
  [354] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__import_list, 1),
  [356] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(202),
  [358] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(204),
  [360] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_import_from_statement_repeat1, 1),
  [362] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_import_from_statement_repeat1, 1),
  [364] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_import_from_statement_repeat1, 1),
  [366] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(205),
  [368] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(207),
  [370] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(207),
  [372] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(49),
  [374] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(210),
  [376] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(211),
  [378] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_tuple, 2),
  [380] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_tuple, 2),
  [382] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(214),
  [384] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(217),
  [386] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(219),
  [388] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(220),
  [390] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(221),
  [392] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(222),
  [394] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(223),
  [396] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(224),
  [398] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(228),
  [400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(229),
  [402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(232),
  [404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(233),
  [406] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(238),
  [408] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(241),
  [410] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(242),
  [412] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(243),
  [414] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(244),
  [416] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(245),
  [418] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(246),
  [420] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(250),
  [422] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(251),
  [424] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(252),
  [426] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(253),
  [428] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(254),
  [430] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(255),
  [432] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(256),
  [434] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(252),
  [436] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(257),
  [438] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(258),
  [440] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(259),
  [442] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(260),
  [444] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(254),
  [446] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(261),
  [448] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(262),
  [450] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(265),
  [452] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(266),
  [454] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(272),
  [456] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(274),
  [458] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(275),
  [460] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(278),
  [462] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(279),
  [464] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(284),
  [466] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_print_statement, 2),
  [468] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(286),
  [470] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(288),
  [472] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(289),
  [474] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(290),
  [476] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(291),
  [478] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(292),
  [480] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(293),
  [482] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(294),
  [484] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(295),
  [486] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(296),
  [488] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(297),
  [490] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(293),
  [492] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(298),
  [494] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(299),
  [496] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(300),
  [498] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(301),
  [500] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(295),
  [502] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(302),
  [504] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(303),
  [506] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assert_statement, 2),
  [508] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(306),
  [510] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_return_statement, 2),
  [512] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(308),
  [514] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_delete_statement, 2),
  [516] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(310),
  [518] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(311),
  [520] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(312),
  [522] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(313),
  [524] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(314),
  [526] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(317),
  [528] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(318),
  [530] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(323),
  [532] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(325),
  [534] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(326),
  [536] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(329),
  [538] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(330),
  [540] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(335),
  [542] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_raise_statement, 2),
  [544] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(338),
  [546] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(339),
  [548] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(340),
  [550] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(341),
  [552] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(342),
  [554] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(344),
  [556] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(345),
  [558] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(346),
  [560] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(347),
  [562] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(348),
  [564] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(349),
  [566] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(350),
  [568] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(346),
  [570] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(351),
  [572] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(352),
  [574] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(353),
  [576] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(354),
  [578] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(348),
  [580] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(355),
  [582] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(356),
  [584] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 2),
  [586] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__simple_statements, 2),
  [588] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 2),
  [590] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(359),
  [592] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(360),
  [594] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(361),
  [596] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(364),
  [598] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(367),
  [600] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(368),
  [602] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(369),
  [604] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(370),
  [606] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(371),
  [608] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(372),
  [610] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(373),
  [612] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(374),
  [614] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(375),
  [616] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(371),
  [618] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(376),
  [620] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(377),
  [622] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(378),
  [624] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(379),
  [626] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(373),
  [628] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(380),
  [630] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(383),
  [632] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(384),
  [634] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(385),
  [636] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(386),
  [638] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variables, 1),
  [640] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(387),
  [642] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(385),
  [644] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(388),
  [646] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(389),
  [648] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(390),
  [650] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(391),
  [652] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(393),
  [654] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(394),
  [656] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(395),
  [658] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(399),
  [660] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(402),
  [662] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(403),
  [664] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_with_item, 1),
  [666] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(405),
  [668] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(406),
  [670] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(407),
  [672] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(408),
  [674] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(409),
  [676] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(410),
  [678] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(411),
  [680] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(412),
  [682] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(413),
  [684] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(409),
  [686] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(414),
  [688] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(415),
  [690] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(416),
  [692] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(417),
  [694] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(411),
  [696] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(418),
  [698] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_async_function_definition, 2),
  [700] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_async_function_definition, 2),
  [702] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_async_function_definition, 2),
  [704] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(420),
  [706] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_global_statement, 2),
  [708] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(422),
  [710] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_nonlocal_statement, 2),
  [712] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_exec_statement, 2),
  [714] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(425),
  [716] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(426),
  [718] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(427),
  [720] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(429),
  [722] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(431),
  [724] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(432),
  [726] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_not_operator, 2),
  [728] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_unary_operator, 2),
  [730] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_unary_operator, 2),
  [732] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list_splat, 1),
  [734] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(436),
  [736] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(437),
  [738] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(438),
  [740] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(439),
  [742] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(440),
  [744] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(441),
  [746] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(444),
  [748] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 1, .alias_sequence_id = 1),
  [750] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(446),
  [752] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(449),
  [754] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 1),
  [756] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(451),
  [758] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(453),
  [760] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lambda_parameters, 1),
  [762] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_yield, 2),
  [764] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(456),
  [766] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(457),
  [768] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(458),
  [770] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(459),
  [772] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(460),
  [774] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(461),
  [776] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(465),
  [778] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list, 2),
  [780] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_list, 2),
  [782] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(468),
  [784] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(470),
  [786] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(471),
  [788] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(472),
  [790] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(473),
  [792] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(476),
  [794] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(477),
  [796] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(478),
  [798] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(479),
  [800] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(480),
  [802] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(476),
  [804] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(481),
  [806] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(482),
  [808] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(483),
  [810] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(484),
  [812] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(478),
  [814] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(485),
  [816] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(487),
  [818] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(488),
  [820] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(489),
  [822] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(490),
  [824] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(491),
  [826] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(492),
  [828] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(493),
  [830] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(497),
  [832] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary, 2),
  [834] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_dictionary, 2),
  [836] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(500),
  [838] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(501),
  [840] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(503),
  [842] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(505),
  [844] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(506),
  [846] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(507),
  [848] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(508),
  [850] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(509),
  [852] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(512),
  [854] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(513),
  [856] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(514),
  [858] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(515),
  [860] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(516),
  [862] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(512),
  [864] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(517),
  [866] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(518),
  [868] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(519),
  [870] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(520),
  [872] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(514),
  [874] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(521),
  [876] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_concatenated_string_repeat1, 1),
  [878] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 1),
  [880] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_concatenated_string, 2),
  [882] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_concatenated_string, 2),
  [884] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_await, 2),
  [886] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_statement, 2),
  [888] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 2, .fragile = true),
  [890] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(24),
  [892] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(531),
  [894] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(532),
  [896] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(533),
  [898] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(534),
  [900] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(535),
  [902] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(540),
  [904] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(542),
  [906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(543),
  [908] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(544),
  [910] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(545),
  [912] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(546),
  [914] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(547),
  [916] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(553),
  [918] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(553),
  [920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(559),
  [922] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(560),
  [924] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(561),
  [926] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(562),
  [928] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(563),
  [930] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(564),
  [932] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_call, 2),
  [934] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_call, 2),
  [936] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_comparison_operator, 2),
  [938] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_comparison_operator, 2),
  [940] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2),
  [942] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2),
  [945] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(3),
  [948] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(4),
  [951] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(5),
  [954] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(6),
  [957] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(7),
  [960] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(8),
  [963] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(9),
  [966] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(10),
  [969] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(11),
  [972] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(12),
  [975] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(13),
  [978] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(14),
  [981] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(15),
  [984] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(16),
  [987] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(17),
  [990] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(18),
  [993] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(19),
  [996] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(20),
  [999] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(21),
  [1002] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(22),
  [1005] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(23),
  [1008] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(24),
  [1011] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(25),
  [1014] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(26),
  [1017] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(27),
  [1020] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(28),
  [1023] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(29),
  [1026] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(30),
  [1029] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(28),
  [1032] = {.count = 2, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(28),
  [1035] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(31),
  [1038] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorated_definition, 2),
  [1040] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_decorated_definition, 2),
  [1042] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_decorated_definition, 2),
  [1044] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1046] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(22),
  [1049] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(569),
  [1051] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dotted_name, 2),
  [1053] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__import_list, 2),
  [1055] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(573),
  [1057] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(575),
  [1059] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(576),
  [1061] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(578),
  [1063] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(579),
  [1065] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(581),
  [1067] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_import_from_statement_repeat1, 2),
  [1069] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_import_from_statement_repeat1, 2), SHIFT_REPEAT(48),
  [1072] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_import_from_statement_repeat1, 2),
  [1074] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(582),
  [1076] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(583),
  [1078] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(584),
  [1080] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_tuple, 3, .fragile = true),
  [1082] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_tuple, 3, .fragile = true),
  [1084] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(588),
  [1086] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(591),
  [1088] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(594),
  [1090] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(595),
  [1092] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(596),
  [1094] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(597),
  [1096] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(599),
  [1098] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(600),
  [1100] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(601),
  [1102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(602),
  [1104] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(603),
  [1106] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(599),
  [1108] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(604),
  [1110] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(605),
  [1112] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(606),
  [1114] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(607),
  [1116] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(601),
  [1118] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(608),
  [1120] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(610),
  [1122] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(611),
  [1124] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(614),
  [1126] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(615),
  [1128] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(616),
  [1130] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(618),
  [1132] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parenthesized_expression, 3),
  [1134] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_parenthesized_expression, 3),
  [1136] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(623),
  [1138] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(630),
  [1140] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__comprehension_body, 1),
  [1142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(631),
  [1144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(634),
  [1146] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(636),
  [1148] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(637),
  [1150] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(638),
  [1152] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(644),
  [1154] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(644),
  [1156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(653),
  [1158] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(654),
  [1160] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(655),
  [1162] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_chevron, 2),
  [1164] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(659),
  [1166] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(660),
  [1168] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(661),
  [1170] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(664),
  [1172] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(665),
  [1174] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(666),
  [1176] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(668),
  [1178] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_print_statement, 3),
  [1180] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(674),
  [1182] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(678),
  [1184] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(679),
  [1186] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(680),
  [1188] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(686),
  [1190] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(686),
  [1192] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assert_statement, 3),
  [1194] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(695),
  [1196] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(697),
  [1198] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_raise_statement, 3),
  [1200] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(700),
  [1202] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(701),
  [1204] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(702),
  [1206] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(703),
  [1208] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(704),
  [1210] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(705),
  [1212] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(706),
  [1214] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(707),
  [1216] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(703),
  [1218] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(708),
  [1220] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(709),
  [1222] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(710),
  [1224] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(711),
  [1226] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(705),
  [1228] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(712),
  [1230] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(714),
  [1232] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(715),
  [1234] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(716),
  [1236] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(720),
  [1238] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(721),
  [1240] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(722),
  [1242] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(725),
  [1244] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(726),
  [1246] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(727),
  [1248] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(729),
  [1250] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_expression_list, 2, .fragile = true),
  [1252] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(739),
  [1254] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(741),
  [1256] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(742),
  [1258] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(743),
  [1260] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(749),
  [1262] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(749),
  [1264] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 3),
  [1266] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__simple_statements, 3),
  [1268] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 3),
  [1270] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [1272] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(758),
  [1274] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(759),
  [1277] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(761),
  [1279] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(764),
  [1281] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(765),
  [1283] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(772),
  [1285] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(772),
  [1287] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_variables, 2),
  [1289] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(788),
  [1291] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_variables, 2),
  [1293] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(790),
  [1295] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(791),
  [1297] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(794),
  [1299] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(795),
  [1301] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(796),
  [1303] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(797),
  [1305] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(798),
  [1307] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(799),
  [1309] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(800),
  [1311] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(801),
  [1313] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(802),
  [1315] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(803),
  [1317] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(809),
  [1319] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(810),
  [1321] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__suite, 1),
  [1323] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__suite, 1),
  [1325] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__suite, 1),
  [1327] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(812),
  [1329] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(813),
  [1331] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(818),
  [1333] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(821),
  [1335] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(824),
  [1337] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(832),
  [1339] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(832),
  [1341] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(838),
  [1343] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(839),
  [1345] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(840),
  [1347] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(841),
  [1349] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(845),
  [1351] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(846),
  [1353] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(847),
  [1355] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_global_statement, 3),
  [1357] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_nonlocal_statement, 3),
  [1359] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(852),
  [1361] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(853),
  [1363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator, 3),
  [1365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(855),
  [1367] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(856),
  [1369] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(859),
  [1371] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(862),
  [1373] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list_splat, 2),
  [1375] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(865),
  [1377] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(866),
  [1379] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(867),
  [1381] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(868),
  [1383] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(869),
  [1385] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(870),
  [1387] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(871),
  [1389] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(872),
  [1391] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(868),
  [1393] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(873),
  [1395] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(874),
  [1397] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(875),
  [1399] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(876),
  [1401] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(870),
  [1403] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(877),
  [1405] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(879),
  [1407] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 2, .alias_sequence_id = 1),
  [1409] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(880),
  [1411] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(883),
  [1413] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(884),
  [1415] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(885),
  [1417] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(886),
  [1419] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(887),
  [1421] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(892),
  [1423] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lambda, 3, .fragile = true),
  [1425] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 2),
  [1427] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(894),
  [1429] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(895),
  [1431] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(896),
  [1433] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(897),
  [1435] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(898),
  [1437] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(903),
  [1439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_yield, 3),
  [1441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list, 3),
  [1443] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_list, 3),
  [1445] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(908),
  [1447] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(911),
  [1449] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(912),
  [1451] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(913),
  [1453] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(914),
  [1455] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(915),
  [1457] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(916),
  [1459] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(917),
  [1461] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(918),
  [1463] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(914),
  [1465] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(919),
  [1467] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(920),
  [1469] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(921),
  [1471] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(922),
  [1473] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(916),
  [1475] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(923),
  [1477] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(926),
  [1479] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(928),
  [1481] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(931),
  [1483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(936),
  [1485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(937),
  [1487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(942),
  [1489] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(942),
  [1491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary, 3),
  [1493] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_dictionary, 3),
  [1495] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(950),
  [1497] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(953),
  [1499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(954),
  [1501] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(955),
  [1503] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(956),
  [1505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(957),
  [1507] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(958),
  [1509] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(959),
  [1511] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(960),
  [1513] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(956),
  [1515] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(961),
  [1517] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(962),
  [1519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(963),
  [1521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(964),
  [1523] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(958),
  [1525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(965),
  [1527] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(968),
  [1529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(970),
  [1531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(971),
  [1533] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_set, 3),
  [1535] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_set, 3),
  [1537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(973),
  [1539] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(975),
  [1541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(976),
  [1543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(979),
  [1545] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(982),
  [1547] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(983),
  [1549] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(984),
  [1551] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(985),
  [1553] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(986),
  [1555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(991),
  [1557] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(992),
  [1559] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(997),
  [1561] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(997),
  [1563] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1003),
  [1565] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1567] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1569] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(172),
  [1572] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__right_hand_side, 1),
  [1574] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1004),
  [1576] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_assignment, 3),
  [1578] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_augmented_assignment, 3),
  [1580] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2),
  [1582] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1007),
  [1584] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1010),
  [1586] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1011),
  [1588] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1012),
  [1590] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1013),
  [1592] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1014),
  [1594] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1015),
  [1596] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1016),
  [1598] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1017),
  [1600] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1018),
  [1602] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1014),
  [1604] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1019),
  [1606] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1020),
  [1608] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1021),
  [1610] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1022),
  [1612] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1016),
  [1614] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1023),
  [1616] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_boolean_operator, 3),
  [1618] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_statement, 3),
  [1620] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_expression_list, 3),
  [1622] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1025),
  [1625] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_attribute, 3),
  [1627] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_attribute, 3),
  [1629] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 2),
  [1631] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 2),
  [1633] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1026),
  [1635] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1027),
  [1637] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1029),
  [1639] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1030),
  [1641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1031),
  [1643] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_binary_operator, 3),
  [1645] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_binary_operator, 3),
  [1647] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1649] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1651] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice, 1),
  [1653] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1034),
  [1655] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1037),
  [1657] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1040),
  [1659] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1041),
  [1661] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1042),
  [1663] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1043),
  [1665] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1044),
  [1667] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1045),
  [1669] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1047),
  [1671] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1048),
  [1673] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1049),
  [1675] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1050),
  [1677] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1051),
  [1679] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1047),
  [1681] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1052),
  [1683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1053),
  [1685] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1054),
  [1687] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1055),
  [1689] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1049),
  [1691] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1056),
  [1693] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(186),
  [1696] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(187),
  [1699] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(186),
  [1702] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(193),
  [1705] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1707] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(200),
  [1710] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__import_list_repeat1, 2),
  [1712] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__import_list, 3),
  [1714] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__import_list_repeat1, 2), SHIFT_REPEAT(1058),
  [1717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_aliased_import, 3),
  [1719] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(205),
  [1722] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1059),
  [1724] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_wildcard_import, 1),
  [1726] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_from_statement, 4),
  [1728] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1063),
  [1730] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1065),
  [1732] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1066),
  [1734] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1067),
  [1736] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1070),
  [1738] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1075),
  [1740] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1080),
  [1742] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1080),
  [1744] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1086),
  [1746] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1087),
  [1748] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1088),
  [1750] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1089),
  [1752] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1090),
  [1754] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1091),
  [1756] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1092),
  [1758] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1093),
  [1760] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1094),
  [1762] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(238),
  [1765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_tuple, 4),
  [1767] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_tuple, 4),
  [1769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_tuple_repeat1, 2),
  [1771] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1095),
  [1773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1096),
  [1775] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_generator_expression, 4),
  [1777] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_generator_expression, 4),
  [1779] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1097),
  [1781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1098),
  [1783] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1099),
  [1785] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1100),
  [1787] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1101),
  [1789] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 1),
  [1791] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__comprehension_body, 2),
  [1793] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1105),
  [1795] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(1106),
  [1798] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1107),
  [1800] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1108),
  [1802] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1111),
  [1804] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1112),
  [1806] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(254),
  [1809] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(255),
  [1812] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(254),
  [1815] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(261),
  [1818] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1114),
  [1820] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1115),
  [1822] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1116),
  [1824] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1118),
  [1826] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1119),
  [1828] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1120),
  [1830] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1121),
  [1832] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1122),
  [1834] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1123),
  [1836] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1124),
  [1838] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1125),
  [1840] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1126),
  [1842] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(284),
  [1845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_print_statement, 4),
  [1847] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(306),
  [1850] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1127),
  [1852] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1128),
  [1854] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1129),
  [1856] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1132),
  [1858] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1133),
  [1860] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(295),
  [1863] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(296),
  [1866] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(295),
  [1869] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(302),
  [1872] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1136),
  [1874] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1143),
  [1876] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1143),
  [1878] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1149),
  [1880] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1150),
  [1882] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1151),
  [1884] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1153),
  [1886] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1154),
  [1888] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1155),
  [1890] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1156),
  [1892] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1157),
  [1894] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1158),
  [1896] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1159),
  [1898] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1160),
  [1900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1161),
  [1902] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(335),
  [1905] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_raise_statement, 4),
  [1907] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1162),
  [1909] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_expression_list, 3),
  [1911] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1163),
  [1914] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1164),
  [1916] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1165),
  [1918] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1168),
  [1920] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1169),
  [1922] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(348),
  [1925] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(349),
  [1928] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(348),
  [1931] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(355),
  [1934] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 4),
  [1936] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__simple_statements, 4),
  [1938] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__simple_statements, 4),
  [1940] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1172),
  [1942] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1173),
  [1944] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1175),
  [1946] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1176),
  [1948] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 4),
  [1950] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_statement, 4),
  [1952] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1178),
  [1954] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1179),
  [1956] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 4),
  [1958] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(373),
  [1961] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(374),
  [1964] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(373),
  [1967] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(380),
  [1970] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1184),
  [1972] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1185),
  [1974] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_variables_repeat1, 2),
  [1976] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_variables, 3),
  [1978] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(1187),
  [1981] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1188),
  [1983] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1190),
  [1985] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1191),
  [1987] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 4),
  [1989] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_while_statement, 4),
  [1991] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 4),
  [1993] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__suite, 2),
  [1995] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__suite, 2),
  [1997] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__suite, 2),
  [1999] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1194),
  [2001] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1195),
  [2003] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1200),
  [2005] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(802),
  [2007] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1203),
  [2009] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1204),
  [2011] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1205),
  [2013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(801),
  [2015] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(803),
  [2017] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1208),
  [2019] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1209),
  [2021] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1210),
  [2023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1212),
  [2025] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [2027] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [2029] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [2031] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 4),
  [2033] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 4),
  [2035] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 4),
  [2037] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1213),
  [2039] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(812),
  [2041] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(813),
  [2043] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2045] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1218),
  [2047] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 4),
  [2049] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_with_statement, 4),
  [2051] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 4),
  [2053] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(402),
  [2056] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_with_item, 3),
  [2058] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1221),
  [2060] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(411),
  [2063] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(412),
  [2066] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(411),
  [2069] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(418),
  [2072] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameters, 2),
  [2074] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1223),
  [2076] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1224),
  [2078] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1225),
  [2080] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1226),
  [2082] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1227),
  [2084] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1228),
  [2086] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1231),
  [2088] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1232),
  [2090] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1233),
  [2092] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1235),
  [2094] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1236),
  [2096] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1237),
  [2098] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1239),
  [2100] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1240),
  [2102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [2104] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(422),
  [2107] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_exec_statement, 4),
  [2109] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class_definition, 4),
  [2111] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class_definition, 4),
  [2113] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class_definition, 4),
  [2115] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(429),
  [2118] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1246),
  [2120] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1247),
  [2122] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_decorator, 4),
  [2124] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary_splat, 3),
  [2126] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1250),
  [2128] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1257),
  [2130] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1257),
  [2132] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__parameters_repeat1, 2, .alias_sequence_id = 2),
  [2134] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__parameters_repeat1, 2),
  [2136] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1264),
  [2138] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1267),
  [2140] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_type, 1),
  [2142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1268),
  [2144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1269),
  [2146] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1270),
  [2148] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1271),
  [2150] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1272),
  [2152] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1273),
  [2154] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1274),
  [2156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1270),
  [2158] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1275),
  [2160] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1276),
  [2162] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1277),
  [2164] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1278),
  [2166] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1272),
  [2168] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1279),
  [2170] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1281),
  [2172] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_default_parameter, 3, .alias_sequence_id = 1),
  [2174] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 3, .alias_sequence_id = 1),
  [2176] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1282),
  [2179] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1284),
  [2181] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1287),
  [2183] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1288),
  [2185] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1289),
  [2187] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1290),
  [2189] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1291),
  [2191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1292),
  [2193] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1293),
  [2195] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1294),
  [2197] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1290),
  [2199] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1295),
  [2201] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1296),
  [2203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1297),
  [2205] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1298),
  [2207] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1292),
  [2209] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1299),
  [2211] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_typed_parameter, 3),
  [2213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1301),
  [2215] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_default_parameter, 3),
  [2217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__parameters, 3),
  [2219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lambda, 4, .fragile = true),
  [2221] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1303),
  [2223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1310),
  [2225] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1310),
  [2227] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list, 4),
  [2229] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_list, 4),
  [2231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_list_repeat1, 2),
  [2233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1317),
  [2235] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1318),
  [2238] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1319),
  [2240] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1320),
  [2242] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list_comprehension, 4),
  [2244] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_list_comprehension, 4),
  [2246] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1321),
  [2248] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1322),
  [2250] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1323),
  [2252] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1324),
  [2254] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1325),
  [2256] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(478),
  [2259] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(479),
  [2262] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(478),
  [2265] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(485),
  [2268] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1331),
  [2270] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1338),
  [2272] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1338),
  [2274] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_set, 4),
  [2276] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_set, 4),
  [2278] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1345),
  [2280] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1346),
  [2283] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary, 4),
  [2285] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_dictionary, 4),
  [2287] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2289] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1347),
  [2291] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1348),
  [2293] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(1349),
  [2296] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1350),
  [2298] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1352),
  [2300] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_pair, 3),
  [2302] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1355),
  [2304] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1356),
  [2306] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1357),
  [2308] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1358),
  [2310] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1359),
  [2312] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1360),
  [2314] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1361),
  [2316] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1362),
  [2318] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1358),
  [2320] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1363),
  [2322] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1364),
  [2324] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1365),
  [2326] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1366),
  [2328] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1360),
  [2330] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1367),
  [2332] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1369),
  [2334] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_set_comprehension, 4),
  [2336] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_set_comprehension, 4),
  [2338] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1370),
  [2340] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1371),
  [2342] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1372),
  [2344] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1373),
  [2346] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1374),
  [2348] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(514),
  [2351] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(515),
  [2354] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(514),
  [2357] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(521),
  [2360] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary_comprehension, 4),
  [2362] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_dictionary_comprehension, 4),
  [2364] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1379),
  [2366] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1381),
  [2368] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1389),
  [2370] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1389),
  [2372] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 3),
  [2374] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 3),
  [2376] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1398),
  [2378] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1401),
  [2380] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [2382] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [2384] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice, 2),
  [2386] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1404),
  [2388] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1406),
  [2390] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1408),
  [2392] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_subscript, 4),
  [2394] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_subscript, 4),
  [2396] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1414),
  [2398] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1419),
  [2400] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1419),
  [2402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1426),
  [2404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1427),
  [2406] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1429),
  [2408] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_from_statement, 5),
  [2410] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1431),
  [2412] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1433),
  [2414] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1434),
  [2417] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(601),
  [2420] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(602),
  [2423] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(601),
  [2426] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(608),
  [2429] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1436),
  [2431] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1437),
  [2433] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1438),
  [2435] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1440),
  [2437] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1445),
  [2439] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_clause, 2),
  [2441] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1449),
  [2443] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1450),
  [2445] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1451),
  [2447] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1452),
  [2449] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1453),
  [2451] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1454),
  [2453] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1455),
  [2455] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1451),
  [2457] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1456),
  [2459] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1457),
  [2461] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1458),
  [2463] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1459),
  [2465] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1453),
  [2467] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1460),
  [2469] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2),
  [2471] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(631),
  [2474] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(244),
  [2477] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_tuple, 5),
  [2479] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_tuple, 5),
  [2481] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1462),
  [2483] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1463),
  [2485] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1464),
  [2487] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1465),
  [2489] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1466),
  [2491] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1467),
  [2493] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1468),
  [2495] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1469),
  [2497] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1471),
  [2499] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1472),
  [2501] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1473),
  [2503] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1474),
  [2505] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1476),
  [2507] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(705),
  [2510] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(706),
  [2513] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(705),
  [2516] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(712),
  [2519] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1478),
  [2521] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1479),
  [2523] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1480),
  [2525] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1481),
  [2527] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1483),
  [2529] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1484),
  [2531] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1485),
  [2533] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1486),
  [2535] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1488),
  [2537] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1489),
  [2539] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1490),
  [2541] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1492),
  [2543] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_if_statement_repeat1, 1),
  [2545] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_if_statement_repeat1, 1),
  [2547] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_if_statement_repeat1, 1),
  [2549] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 5),
  [2551] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_statement, 5),
  [2553] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 5),
  [2555] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1497),
  [2557] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1499),
  [2559] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1500),
  [2561] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1501),
  [2563] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 5),
  [2565] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_while_statement, 5),
  [2567] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_while_statement, 5),
  [2569] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1502),
  [2571] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1503),
  [2573] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1504),
  [2575] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1505),
  [2577] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1506),
  [2579] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1508),
  [2581] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1511),
  [2583] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__suite, 3),
  [2585] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__suite, 3),
  [2587] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__suite, 3),
  [2589] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(795),
  [2592] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(796),
  [2595] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(797),
  [2598] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(798),
  [2601] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(799),
  [2604] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(800),
  [2607] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(801),
  [2610] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(802),
  [2613] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(803),
  [2616] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1513),
  [2618] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1515),
  [2620] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1516),
  [2622] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1518),
  [2624] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 5),
  [2626] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 5),
  [2628] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 5),
  [2630] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [2632] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [2634] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(812),
  [2637] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [2639] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1520),
  [2641] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 5),
  [2643] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_with_statement, 5),
  [2645] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_with_statement, 5),
  [2647] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1524),
  [2649] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1527),
  [2651] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1528),
  [2653] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1529),
  [2655] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1530),
  [2657] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1531),
  [2659] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1532),
  [2661] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1533),
  [2663] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1534),
  [2665] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1530),
  [2667] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1535),
  [2669] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1536),
  [2671] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1537),
  [2673] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1538),
  [2675] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1532),
  [2677] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1539),
  [2679] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1541),
  [2681] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, SHIFT(1542),
  [2683] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1546),
  [2685] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1548),
  [2687] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1549),
  [2689] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1550),
  [2691] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1551),
  [2693] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1552),
  [2695] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1557),
  [2697] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_parameters, 3),
  [2699] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__function_definition, 5),
  [2701] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__function_definition, 5),
  [2703] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__function_definition, 5),
  [2705] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1559),
  [2707] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_exec_statement, 5),
  [2709] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_class_definition, 5),
  [2711] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_class_definition, 5),
  [2713] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_class_definition, 5),
  [2715] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1560),
  [2717] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1561),
  [2719] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1563),
  [2721] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(870),
  [2724] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(871),
  [2727] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(870),
  [2730] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(877),
  [2733] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1566),
  [2735] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1573),
  [2737] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1573),
  [2739] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1581),
  [2741] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1588),
  [2743] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1588),
  [2745] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1596),
  [2747] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(916),
  [2750] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(917),
  [2753] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(916),
  [2756] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(923),
  [2759] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_list, 5),
  [2761] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_list, 5),
  [2763] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1599),
  [2765] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1603),
  [2767] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1607),
  [2769] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1608),
  [2771] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1609),
  [2773] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1610),
  [2775] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1611),
  [2777] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1612),
  [2779] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1613),
  [2781] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1609),
  [2783] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1614),
  [2785] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1615),
  [2787] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1616),
  [2789] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1617),
  [2791] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1611),
  [2793] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1618),
  [2795] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(937),
  [2798] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(471),
  [2801] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1621),
  [2803] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(958),
  [2806] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(959),
  [2809] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(958),
  [2812] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(965),
  [2815] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_set, 5),
  [2817] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_set, 5),
  [2819] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_dictionary, 5),
  [2821] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_dictionary, 5),
  [2823] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1626),
  [2825] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1633),
  [2827] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1633),
  [2829] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1639),
  [2831] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1643),
  [2833] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1647),
  [2835] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1648),
  [2837] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1649),
  [2839] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1650),
  [2841] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1651),
  [2843] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1652),
  [2845] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1653),
  [2847] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1649),
  [2849] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1654),
  [2851] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1655),
  [2853] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1656),
  [2855] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1657),
  [2857] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1651),
  [2859] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1658),
  [2861] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(992),
  [2864] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(507),
  [2867] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1661),
  [2869] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_conditional_expression, 5, .fragile = true),
  [2871] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1016),
  [2874] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1017),
  [2877] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1016),
  [2880] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1023),
  [2883] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_keyword_argument, 3, .alias_sequence_id = 1),
  [2885] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_keyword_argument, 3),
  [2887] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 4),
  [2889] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 4),
  [2891] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2893] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1663),
  [2895] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1664),
  [2898] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice, 3),
  [2900] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_subscript, 5),
  [2902] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_subscript, 5),
  [2904] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_subscript_repeat1, 2),
  [2906] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1667),
  [2908] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1668),
  [2910] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1669),
  [2912] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(1670),
  [2915] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1049),
  [2918] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1050),
  [2921] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1049),
  [2924] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1056),
  [2927] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_from_statement, 6),
  [2929] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1675),
  [2931] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1677),
  [2933] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1678),
  [2935] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1680),
  [2937] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_clause, 4),
  [2939] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1682),
  [2941] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression_within_for_in_clause, 1),
  [2943] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__expression_within_for_in_clause, 1, .alias_sequence_id = 3),
  [2945] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1685),
  [2947] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1692),
  [2949] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1692),
  [2951] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1698),
  [2953] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1699),
  [2955] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1700),
  [2957] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1701),
  [2959] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1703),
  [2961] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1704),
  [2963] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1705),
  [2965] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1706),
  [2967] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 6),
  [2969] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_if_statement, 6),
  [2971] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_if_statement, 6),
  [2973] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [2975] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [2977] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(1178),
  [2980] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [2982] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 6),
  [2984] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_statement, 6),
  [2986] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 6),
  [2988] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1709),
  [2991] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1710),
  [2993] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1711),
  [2995] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1712),
  [2997] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1713),
  [2999] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1717),
  [3001] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1718),
  [3003] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1721),
  [3005] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1722),
  [3007] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1726),
  [3009] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1729),
  [3011] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1730),
  [3013] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1731),
  [3015] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1733),
  [3017] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 3),
  [3019] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_except_clause, 3),
  [3021] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 3),
  [3023] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_finally_clause, 3),
  [3025] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_finally_clause, 3),
  [3027] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_finally_clause, 3),
  [3029] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1736),
  [3031] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1737),
  [3033] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 6),
  [3035] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_try_statement, 6),
  [3037] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_try_statement, 6),
  [3039] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1741),
  [3041] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1748),
  [3043] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1748),
  [3045] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1754),
  [3047] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1755),
  [3050] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1757),
  [3052] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1760),
  [3054] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1761),
  [3056] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1762),
  [3058] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1763),
  [3060] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1764),
  [3062] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1765),
  [3064] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1766),
  [3066] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1767),
  [3068] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1763),
  [3070] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1768),
  [3072] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1769),
  [3074] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1770),
  [3076] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1771),
  [3078] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1765),
  [3080] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1772),
  [3082] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1774),
  [3084] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1776),
  [3086] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1779),
  [3088] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1272),
  [3091] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1273),
  [3094] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1272),
  [3097] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1279),
  [3100] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_typed_default_parameter, 5, .alias_sequence_id = 1),
  [3102] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1782),
  [3104] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1292),
  [3107] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1293),
  [3110] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1292),
  [3113] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1299),
  [3116] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_typed_default_parameter, 5),
  [3118] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1785),
  [3120] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1787),
  [3122] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1790),
  [3124] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1797),
  [3126] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1797),
  [3128] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1805),
  [3130] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1360),
  [3133] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1361),
  [3136] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1360),
  [3139] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1367),
  [3142] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1807),
  [3144] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1809),
  [3146] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1812),
  [3148] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1819),
  [3150] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1819),
  [3152] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_argument_list, 5),
  [3154] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_argument_list, 5),
  [3156] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice, 4),
  [3158] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_subscript, 6),
  [3160] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_subscript, 6),
  [3162] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym__import_list_repeat1, 2), SHIFT_REPEAT(1828),
  [3165] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_import_from_statement, 7),
  [3167] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1830),
  [3169] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_clause, 5),
  [3171] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_clause, 5),
  [3173] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1832),
  [3175] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1448),
  [3177] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1835),
  [3179] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1453),
  [3182] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1454),
  [3185] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1453),
  [3188] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1460),
  [3191] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_else_clause, 3),
  [3193] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_else_clause, 3),
  [3195] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_else_clause, 3),
  [3197] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 7),
  [3199] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_statement, 7),
  [3201] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_for_statement, 7),
  [3203] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1838),
  [3205] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1840),
  [3207] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1841),
  [3209] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1843),
  [3211] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1844),
  [3213] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1848),
  [3215] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1849),
  [3217] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1851),
  [3219] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1852),
  [3221] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1855),
  [3223] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1857),
  [3225] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1858),
  [3227] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1721),
  [3229] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1722),
  [3231] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1862),
  [3233] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1868),
  [3235] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 4),
  [3237] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_except_clause, 4),
  [3239] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 4),
  [3241] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1869),
  [3243] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1871),
  [3245] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1872),
  [3247] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1875),
  [3249] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1532),
  [3252] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1533),
  [3255] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1532),
  [3258] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1539),
  [3261] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1879),
  [3263] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1886),
  [3265] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1886),
  [3267] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym__function_definition, 7),
  [3269] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym__function_definition, 7),
  [3271] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym__function_definition, 7),
  [3273] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1895),
  [3275] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1896),
  [3277] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1606),
  [3279] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1899),
  [3281] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1611),
  [3284] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1612),
  [3287] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1611),
  [3290] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1618),
  [3293] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1902),
  [3295] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1903),
  [3297] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1646),
  [3299] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1906),
  [3301] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1651),
  [3304] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1652),
  [3307] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1651),
  [3310] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1658),
  [3313] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_slice, 5),
  [3315] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lambda_within_for_in_clause, 3),
  [3317] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [3319] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_for_in_clause, 6),
  [3321] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_for_in_clause, 6),
  [3323] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1909),
  [3326] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_elif_clause, 4),
  [3328] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_elif_clause, 4),
  [3330] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_elif_clause, 4),
  [3332] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1911),
  [3334] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1912),
  [3336] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1913),
  [3338] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1915),
  [3340] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1919),
  [3342] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1920),
  [3344] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1921),
  [3346] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1922),
  [3348] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1923),
  [3350] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1926),
  [3352] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1927),
  [3354] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1929),
  [3356] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1721),
  [3359] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1931),
  [3361] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1932),
  [3363] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1934),
  [3365] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1935),
  [3367] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1936),
  [3369] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1939),
  [3371] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1765),
  [3374] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1766),
  [3377] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1765),
  [3380] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1772),
  [3383] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1941),
  [3386] = {.count = 2, .reusable = true, .depends_on_lookahead = false}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1943),
  [3389] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_lambda_within_for_in_clause, 4),
  [3391] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1945),
  [3393] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1946),
  [3395] = {.count = 2, .reusable = true, .depends_on_lookahead = true}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(1843),
  [3398] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1949),
  [3400] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1950),
  [3402] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1952),
  [3404] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1953),
  [3406] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1957),
  [3408] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, SHIFT(1958),
  [3410] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 6),
  [3412] = {.count = 1, .reusable = true, .depends_on_lookahead = true}, REDUCE(sym_except_clause, 6),
  [3414] = {.count = 1, .reusable = false, .depends_on_lookahead = false}, REDUCE(sym_except_clause, 6),
  [3416] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1962),
  [3418] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1965),
  [3420] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1966),
  [3422] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1967),
  [3424] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1968),
  [3426] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1969),
  [3428] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1971),
  [3430] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1972),
  [3432] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1974),
  [3434] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1976),
  [3436] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1977),
  [3438] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1978),
  [3440] = {.count = 1, .reusable = true, .depends_on_lookahead = false}, SHIFT(1979),
};

void *tree_sitter_python_external_scanner_create();
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
